Print[
"The file provides interpolating functions for the LO, NLO and NLL cross sections 
for production of squark and gluino pairs at the LHC with 7 TeV and 8 TeV c.o.m. energy. 	  
	  
See README file for further information and references.	  
	  
-----------------------------------------------------------------------------------------------------------------
	  
AVAILABLE FUNCTIONS:																						
	  
 - sigmaLOST[COLL_, MST_], sigmaNLOST[COLL_, MST_], sigmaNLLST[COLL_, MST_]: LO, NLO, and NLL cross section for 
   stop-pair production	
 - sigmaLOXX[COLL_, MSQ_, MGL_], sigmaNLOXX[COLL_, MSQ_, MGL_], sigmaNLLXX[COLL_, MSQ_, MGL_]: LO, NLO and NLL 
   cross section for process XX, with XX = SB, SS, SG, GG, SUSY (see README file for process coding)								
	  
The first variable COLL (allowed values = 7,8) selects the c.o.m. energy.
The function output is given in the form {sigma, delsigma+, delsigma-}, with									
 - sigma     = cross section at the central value of the scale(s).											
 - delsigma+ = upper total theoretical error.																
 - delsigma- = lower totel theoretical error.																
	  
Range of interpolation: MSQ, MGL = 200-2000 GeV, MST = 100-1000 GeV for 7 TeV c.o.m. energy. 
MSQ, MGL = 200-2500 GeV, MST = 100-1200 GeV for 8 TeV c.o.m. energy.
	  
All cross sections in pb.					
	  
-----------------------------------------------------------------------------------------------------------------
	  
Authors: P. Falgari, C. Schwinn, C. Wever."];



sigmaLOSB[coll_,x_,y_]:=If[coll==7,sigmaLOSB7[x, y],If[coll==8,sigmaLOSB8[x, y],"Wrong collider flag!"]];
sigmaNLOSB[coll_,x_,y_]:=If[coll==7,sigmaNLOSB7[x, y],If[coll==8,sigmaNLOSB8[x, y],"Wrong collider flag!"]];
sigmaNLLSB[coll_,x_,y_]:=If[coll==7,sigmaNLLSB7[x, y],If[coll==8,sigmaNLLSB8[x, y],"Wrong collider flag!"]];


sigmaLOSS[coll_,x_,y_]:=If[coll==7,sigmaLOSS7[x, y],If[coll==8,sigmaLOSS8[x, y],"Wrong collider flag!"]];
sigmaNLOSS[coll_,x_,y_]:=If[coll==7,sigmaNLOSS7[x, y],If[coll==8,sigmaNLOSS8[x, y],"Wrong collider flag!"]];
sigmaNLLSS[coll_,x_,y_]:=If[coll==7,sigmaNLLSS7[x, y],If[coll==8,sigmaNLLSS8[x, y],"Wrong collider flag!"]];


sigmaLOSG[coll_,x_,y_]:=If[coll==7,sigmaLOSG7[x, y],If[coll==8,sigmaLOSG8[x, y],"Wrong collider flag!"]];
sigmaNLOSG[coll_,x_,y_]:=If[coll==7,sigmaNLOSG7[x, y],If[coll==8,sigmaNLOSG8[x, y],"Wrong collider flag!"]];
sigmaNLLSG[coll_,x_,y_]:=If[coll==7,sigmaNLLSG7[x, y],If[coll==8,sigmaNLLSG8[x, y],"Wrong collider flag!"]];


sigmaLOGG[coll_,x_,y_]:=If[coll==7,sigmaLOGG7[x, y],If[coll==8,sigmaLOGG8[x, y],"Wrong collider flag!"]];
sigmaNLOGG[coll_,x_,y_]:=If[coll==7,sigmaNLOGG7[x, y],If[coll==8,sigmaNLOGG8[x, y],"Wrong collider flag!"]];
sigmaNLLGG[coll_,x_,y_]:=If[coll==7,sigmaNLLGG7[x, y],If[coll==8,sigmaNLLGG8[x, y],"Wrong collider flag!"]];


sigmaLOSUSY[coll_,x_,y_]:=If[coll==7,sigmaLOSUSY7[x, y],If[coll==8,sigmaLOSUSY8[x, y],"Wrong collider flag!"]];
sigmaNLOSUSY[coll_,x_,y_]:=If[coll==7,sigmaNLOSUSY7[x, y],If[coll==8,sigmaNLOSUSY8[x, y],"Wrong collider flag!"]];
sigmaNLLSUSY[coll_,x_,y_]:=If[coll==7,sigmaNLLSUSY7[x, y],If[coll==8,sigmaNLLSUSY8[x, y],"Wrong collider flag!"]];


sigmaLOST[coll_,x_]:=If[coll==7,sigmaLOST7[x],If[coll==8,sigmaLOST8[x],"Wrong collider flag!"]];
sigmaNLOST[coll_,x_]:=If[coll==7,sigmaNLOST7[x],If[coll==8,sigmaNLOST8[x],"Wrong collider flag!"]];
sigmaNLLST[coll_,x_]:=If[coll==7,sigmaNLLST7[x],If[coll==8,sigmaNLLST8[x],"Wrong collider flag!"]];


sigmaLOSB7[x_, y_] := If[x < 200 || x > 2000 || y < 200 || y > 2000, 
     "Squark or gluino mass outside range of interpolation!", 
     {SetPrecision[E^fLOSBLog7[x, y][[1]], 3], SetPrecision[
       E^fLOSBLog7[x, y][[2]], 3], SetPrecision[-E^fLOSBLog7[x, y][[3]], 3]}]
 
fLOSBLog7 = InterpolatingFunction[{{200., 2000.}, {200., 2000.}}, 
     {4, 3, 0, {19, 19}, {5, 5}, 0, 0, 0, 0, Automatic}, 
     {{200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000.}, 
      {200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000.}}, 
     {{{{5.272999558563747, 4.220977213155467, 3.8437441646748516}}, 
       {{5.152134856369956, 4.120661870539474, 3.735285826928092}}, 
       {{5.042133961155627, 4.032469158504012, 3.64283551561253}}, 
       {{4.951592753462473, 3.960813169597578, 3.5667118201397288}}, 
       {{4.8782461060505105, 3.906004933102583, 3.504355473764782}}, 
       {{4.820281565605037, 3.8607297110405954, 3.4572626055951043}}, 
       {{4.774068722449905, 3.8264651170664994, 3.420019135902743}}, 
       {{4.736198448394496, 3.799973501619523, 3.3874364664121184}}, 
       {{4.706823839714591, 3.775057150354989, 3.366260811781259}}, 
       {{4.68213122712422, 3.7565381025877516, 3.34603697048488}}, 
       {{4.661550519424199, 3.742420221041966, 3.3289850475482305}}, 
       {{4.6443908991413725, 3.7305011288047556, 3.3145495749364833}}, 
       {{4.629862798578463, 3.7208624999669873, 3.3017453026904953}}, 
       {{4.618086411254637, 3.711130063048756, 3.2932409068235073}}, 
       {{4.60816569496789, 3.7013019741124937, 3.286160571673797}}, 
       {{4.599152113662528, 3.6963514689526367, 3.2782761681496484}}, 
       {{4.591578232468624, 3.690128673514368, 3.2722270003651954}}, 
       {{4.584967478670572, 3.686376323895818, 3.2665224783355535}}, 
       {{4.579236803961587, 3.682861381788373, 3.2619353143286474}}}, 
      {{{3.261935314328648, 2.2364452904895007, 1.851599469584072}}, 
       {{3.1912990570979662, 2.169053700369523, 1.7850704810772586}}, 
       {{3.098288861879083, 2.0881534822818573, 1.6992786164338896}}, 
       {{3.0037004432031678, 2.0068708488450007, 1.6134299337036377}}, 
       {{2.9161477942111484, 1.9329696377795786, 1.5368672195992645}}, 
       {{2.837322536806349, 1.8687205103641833, 1.4678743481123135}}, 
       {{2.768204123921957, 1.811562096524235, 1.4085449700547104}}, 
       {{2.70805020110221, 1.7630170003624006, 1.3558351536351823}}, 
       {{2.655352412101761, 1.7209792871670078, 1.3083328196501791}}, 
       {{2.6100697927420065, 1.6845453849209056, 1.2697605448639393}}, 
       {{2.5710843460290524, 1.6544112780768312, 1.2389537732211815}}, 
       {{2.5368663887187113, 1.6272778305624314, 1.2098554674840913}}, 
       {{2.50715725872282, 1.603419840108537, 1.1850957485562466}}, 
       {{2.4807312783775197, 1.5851452198650555, 1.1619000279040281}}, 
       {{2.457877977400081, 1.5665304114228238, 1.142629174084884}}, 
       {{2.4379897300002487, 1.5518087995974645, 1.1265516573573509}}, 
       {{2.4203681286504293, 1.536867219599265, 1.11185751541813}}, 
       {{2.4042387467205457, 1.5260563034950492, 1.0972780656549732}}, 
       {{2.390595970316759, 1.5151272329628591, 1.0868770324496888}}}, 
      {{{1.6500038741807619, 0.6533663105481006, 0.2623642644674909}}, 
       {{1.6315907170752337, 0.630739720431328, 0.24137631957526956}}, 
       {{1.5746394068914047, 0.5766133643039939, 0.18564934688662907}}, 
       {{1.5009614360980166, 0.5098251234324072, 0.11689375147149904}}, 
       {{1.4219027885872582, 0.4395444217610273, 0.044016885416773836}}, 
       {{1.3439086446234527, 0.3701832939635246, -0.02737119679613213}}, 
       {{1.2694796065280556, 0.30601302913650413, -0.09541018480465795}}, 
       {{1.2002659423946096, 0.24686007793152565, -0.15782408519356708}}, 
       {{1.1368710007852, 0.19309662996191315, -0.21443161071218833}}, 
       {{1.0790896221792459, 0.14410034397375707, -0.2652684776148804}}, 
       {{1.026758184900126, 0.10074990310014334, -0.31197476502082583}}, 
       {{0.9790777199729198, 0.0620353909194527, -0.353821874956326}}, 
       {{0.9364854391596744, 0.026641930946420877, -0.3915622029391727}}, 
       {{0.8981267612464839, -0.006018072325563245, -0.42464792752493813}}, 
       {{0.8633118070832684, -0.03355678352884264, -0.4541302800894454}}, 
       {{0.8316039237069612, -0.058688996348679495, -0.48288625507674887}}, 
       {{0.8033459728580209, -0.0822952427268304, -0.5058380822549513}}, 
       {{0.7774883289936962, -0.10203272556515161, -0.5293290953305501}}, 
       {{0.7542422799197561, -0.12103832837705597, -0.5499130124740376}}}, 
      {{{0.24764102291459714, -0.7215466550816433, -1.1171836742535453}}, 
       {{0.2700271372130602, -0.7052197617942145, -1.1002135700350832}}, 
       {{0.24920108563349933, -0.7277386253295641, -1.1239300966523997}}, 
       {{0.20294084399669038, -0.7721903879003983, -1.1686056604886443}}, 
       {{0.14323416808590775, -0.8301130356331023, -1.2248560152423602}}, 
       {{0.0769610411361284, -0.8891620644859024, -1.287354413264987}}, 
       {{0.008959741371471801, -0.9519179095173059, -1.3505411914140732}}, 
       {{-0.05837091332632951, -1.0114259269891939, -1.4134600291926598}}, 
       {{-0.12318510057037832, -1.0674043615439166, -1.4735966895226873}}, 
       {{-0.18476453844509458, -1.1217785666999494, -1.5301647315395923}}, 
       {{-0.24258124520668492, -1.173120340843171, -1.5823092450458476}}, 
       {{-0.29679009148250834, -1.2214581186669553, -1.6321948995567166}}, 
       {{-0.3471490312853284, -1.2630153449597192, -1.6777167531873949}}, 
       {{-0.3937836033343265, -1.3030567625498348, -1.7192527784413072}}, 
       {{-0.43695577519953516, -1.3401744255063375, -1.7579379207525443}}, 
       {{-0.47690740556253, -1.373575588712116, -1.793961892783255}}, 
       {{-0.5138301327862895, -1.4044583317475616, -1.8269722249837999}}, 
       {{-0.5478354493998913, -1.4329667693183217, -1.8572584514607502}}, 
       {{-0.5792829244108981, -1.459295254004381, -1.8851914140206072}}}, 
      {{{-1.025826618942462, -1.967542449182427, -2.369793842687496}}, 
       {{-0.9749797282228346, -1.9248338234533968, -2.3258537199334004}}, 
       {{-0.964168812118619, -1.9193655938332006, -2.317698730804094}}, 
       {{-0.9834994815676051, -1.9393318336951906, -2.339249077365637}}, 
       {{-1.0216512475319814, -1.9776072357985677, -2.3762316331623445}}, 
       {{-1.071483621279857, -2.0241960674538575, -2.4236234213711016}}, 
       {{-1.1276292377386024, -2.076246650783317, -2.478129665508977}}, 
       {{-1.186787979571835, -2.130313872053593, -2.534517150341334}}, 
       {{-1.246532418744732, -2.1856913415225465, -2.5902671654458267}}, 
       {{-1.305636458102436, -2.239610293832657, -2.6450754019408214}}, 
       {{-1.3633593898373946, -2.2906565221287725, -2.6985950423314544}}, 
       {{-1.4188175528254507, -2.3402869601780574, -2.750435917598648}}, 
       {{-1.4718522494815371, -2.3870542496204954, -2.8001654900100155}}, 
       {{-1.5218850154262389, -2.4326937783410663, -2.845589615124272}}, 
       {{-1.5697365455825483, -2.4733734139743273, -2.8895720777256}}, 
       {{-1.6144504542576446, -2.513306124309698, -2.931818947810338}}, 
       {{-1.6565295199679508, -2.5510464522925456, -2.9681171065210177}}, 
       {{-1.6966311241364778, -2.5836226227271584, -3.005782609407493}}, 
       {{-1.7338679908122774, -2.615926912226404, -3.0407296394847267}}}, 
      {{{-2.2136588837996443, -3.1281214615997364, -3.5394255009455984}}, 
       {{-2.1438734018392247, -3.068302966388826, -3.4757054338372173}}, 
       {{-2.1086644003567394, -3.0386397745652673, -3.4451492691913383}}, 
       {{-2.102914897865478, -3.0386397745652673, -3.44014613180073}}, 
       {{-2.120263536200091, -3.055482277959765, -3.4593562958356876}}, 
       {{-2.152442434564326, -3.085656981081978, -3.491340931515121}}, 
       {{-2.1937306880819634, -3.128121461599737, -3.529826524259336}}, 
       {{-2.2424311701742985, -3.172469452054045, -3.5784120010879654}}, 
       {{-2.2936253516225737, -3.221378955086319, -3.626468193992539}}, 
       {{-2.346850509292061, -3.2693799570419686, -3.677346218300263}}, 
       {{-2.400418453342809, -3.3181438265268692, -3.72845222923376}}, 
       {{-2.453524268559332, -3.366506141872225, -3.7788041616419235}}, 
       {{-2.505435941040493, -3.415499166373015, -3.827681856994395}}, 
       {{-2.5558013285645482, -3.4619032567795505, -3.874727220684449}}, 
       {{-2.604501325473651, -3.504559894657309, -3.920559336450432}}, 
       {{-2.6511501539693985, -3.5466856884107605, -3.963842754157943}}, 
       {{-2.6959240213043696, -3.5866839417992664, -4.00578438524262}}, 
       {{-2.73861250668485, -3.624590964231574, -4.045554398052669}}, 
       {{-2.7791703336053355, -3.6608752577043386, -4.082811326408428}}}, 
      {{{-3.3404786466274494, -4.232228269585487, -4.64703439008679}}, 
       {{-3.259697819388456, -4.159843544454796, -4.57270299585059}}, 
       {{-3.20571283834192, -4.112915947807536, -4.523590198995669}}, 
       {{-3.179895525227317, -4.091747936374835, -4.500810170663849}}, 
       {{-3.1774939870894316, -4.0911496713255815, -4.499909675330598}}, 
       {{-3.1922338939217796, -4.1068220837332134, -4.515329481988302}}, 
       {{-3.219375949909883, -4.133917337341924, -4.542195386826703}}, 
       {{-3.2552805067620008, -4.16756062455336, -4.577555018955118}}, 
       {{-3.296567132584072, -4.207737249577192, -4.61724276722236}}, 
       {{-3.341891275764748, -4.249595847493392, -4.6617405374764855}}, 
       {{-3.389071201864315, -4.294748626566821, -4.706096104578052}}, 
       {{-3.4373428282985086, -4.33973372248363, -4.752510773886801}}, 
       {{-3.486101888752599, -4.384429519290192, -4.799969264293159}}, 
       {{-3.5342717358874975, -4.428699042872313, -4.844697216552825}}, 
       {{-3.5816407034443376, -4.472389074754273, -4.890189141020389}}, 
       {{-3.627596225697038, -4.515329481988302, -4.932286327685279}}, 
       {{-3.6726124816500643, -4.55638002181866, -4.976233867378923}}, 
       {{-3.716045122186706, -4.596210444616619, -5.016150474784366}}, 
       {{-3.7580151929487986, -4.634598996678903, -5.0561558093980645}}}, 
      {{{-4.425351759412255, -5.294325345278499, -5.715045666934912}}, 
       {{-4.338201155133852, -5.215816145036293, -5.633230818705257}}, 
       {{-4.270843105713267, -5.155083198462129, -5.572754212249797}}, 
       {{-4.228104552401625, -5.1176638668547785, -5.531511253715748}}, 
       {{-4.208409518510074, -5.1011071972603315, -5.513988903023546}}, 
       {{-4.207065432286219, -5.1011071972603315, -5.513988903023545}}, 
       {{-4.219907785197447, -5.115995809754082, -5.526473459685791}}, 
       {{-4.243308715362059, -5.137900645142132, -5.551920125346955}}, 
       {{-4.274428624075863, -5.1672891041416324, -5.583336321580334}}, 
       {{-4.310264268446991, -5.2030071867437115, -5.616321198886207}}, 
       {{-4.349753074123586, -5.24004845842406, -5.653850105907992}}, 
       {{-4.39248109257774, -5.280477448419706, -5.696409720326788}}, 
       {{-4.436271649526278, -5.320562975495356, -5.738995230411946}}, 
       {{-4.480301203942222, -5.362322696523949, -5.780555533462115}}, 
       {{-4.524512282970637, -5.405902577227974, -5.822228229862683}}, 
       {{-4.568838256740701, -5.444499876726118, -5.865008123155422}}, 
       {{-4.612496961374553, -5.486335115886873, -5.907123398674231}}, 
       {{-4.6553062554818885, -5.524214706058868, -5.948021989265145}}, 
       {{-4.697066200692628, -5.562803881396629, -5.987472525838444}}}, 
      {{{-5.480798936143357, -6.3266576022308145, -6.755034191964473}}, 
       {{-5.390871348158645, -6.2445519747952645, -6.6703144229671025}}, 
       {{-5.31363407065993, -6.17490673157064, -6.597333719560866}}, 
       {{-5.257751404801375, -6.123853735153728, -6.54519767188525}}, 
       {{-5.223395440030777, -6.0932758132546665, -6.513688215826343}}, 
       {{-5.2075630032795726, -6.080077205464586, -6.499627053454489}}, 
       {{-5.206832676425858, -6.080951713609518, -6.499627053454489}}, 
       {{-5.218028535319234, -6.092390465697942, -6.511667332686569}}, 
       {{-5.237975137541875, -6.112502875485038, -6.531375751769069}}, 
       {{-5.264689185568052, -6.138573412146195, -6.557098407368968}}, 
       {{-5.296518984606657, -6.169156835518275, -6.588574539470985}}, 
       {{-5.33187415007688, -6.202679527556918, -6.623328499251029}}, 
       {{-5.369598568553, -6.238900790991236, -6.659333920483658}}, 
       {{-5.409248927255319, -6.275951728663244, -6.69830505479993}}, 
       {{-5.449605480761819, -6.314981072568979, -6.737168978406603}}, 
       {{-5.490689259195492, -6.353295618196086, -6.776727016575733}}, 
       {{-5.531763810858144, -6.391942113705107, -6.816088090456313}}, 
       {{-5.572491088975025, -6.4302796348977, -6.855162828862966}}, 
       {{-5.613028111387737, -6.46821085722111, -6.893852373813146}}}, 
      {{{-6.516389095253475, -7.340077841260184, -7.77525584668686}}, 
       {{-6.425946604286639, -7.257312755152006, -7.690827167070069}}, 
       {{-6.341873449468068, -7.1808772001025885, -7.608934631239347}}, 
       {{-6.275420237818949, -7.119711640905782, -7.546414274258012}}, 
       {{-6.228707022801694, -7.077358063368317, -7.50377574881136}}, 
       {{-6.20021221813846, -7.051625649401839, -7.476916479761091}}, 
       {{-6.186992931389218, -7.040144467027883, -7.464624841249535}}, 
       {{-6.186506668311317, -7.0412866716066596, -7.464624841249535}}, 
       {{-6.196277141737468, -7.050471581183732, -7.476916479761091}}, 
       {{-6.213608598089109, -7.067924031134958, -7.49294531803699}}, 
       {{-6.236853707369511, -7.091678117143065, -7.514724763301031}}, 
       {{-6.264849314858939, -7.1184763102977895, -7.542633551418106}}, 
       {{-6.2963606002944505, -7.148553765535068, -7.573287292509109}}, 
       {{-6.330580274674612, -7.1808772001025885, -7.606920531867646}}, 
       {{-6.366594455420073, -7.215640058751437, -7.64380996055336}}, 
       {{-6.4033502230190695, -7.251655031432146, -7.67778350387804}}, 
       {{-6.441508698614114, -7.286091719702048, -7.71519160594421}}, 
       {{-6.479224897942976, -7.3232707229438025, -7.751725349276667}}, 
       {{-6.517742275432894, -7.35874090239211, -7.789644584138959}}}, 
      {{{-7.540183724507377, -8.343660140655361, -8.783766300657783}}, 
       {{-7.450243583256969, -8.26061486401579, -8.698715068039627}}, 
       {{-7.36204305178787, -8.17929340280384, -8.614806020283238}}, 
       {{-7.287406452197322, -8.110395638074294, -8.54405064558612}}, 
       {{-7.230166831955016, -8.057871410517363, -8.489578024383263}}, 
       {{-7.190250824746618, -8.022192117997218, -8.451405450878234}}, 
       {{-7.1658785491923735, -7.999888601552537, -8.428724543428629}}, 
       {{-7.15467935896175, -7.990100595186375, -8.418706244701584}}, 
       {{-7.154167457235701, -7.991281930232207, -8.418706244701584}}, 
       {{-7.162518504676808, -7.998697061346027, -8.427809630281551}}, 
       {{-7.177728417653145, -8.014601372577351, -8.443013793241986}}, 
       {{-7.198374995421261, -8.034149948662698, -8.463178603109998}}, 
       {{-7.223288279589695, -8.057871410517363, -8.487634389174694}}, 
       {{-7.251655031432146, -8.0854107749907, -8.515694315292501}}, 
       {{-7.282448728423548, -8.115066984573588, -8.545592665937935}}, 
       {{-7.315122194379898, -8.146319528077692, -8.577474122301167}}, 
       {{-7.349054840099518, -8.17929340280384, -8.610405573138417}}, 
       {{-7.384018458399017, -8.212285338299388, -8.644458542462115}}, 
       {{-7.419414583496705, -8.246402986634674, -8.678536341825001}}}, 
      {{{-8.559057395514936, -9.342729560021928, -9.786593801064628}}, 
       {{-8.470309605517388, -9.259530616166955, -9.702998691786725}}, 
       {{-8.379171893518862, -9.17593894525885, -9.615305605042696}}, 
       {{-8.298459348590727, -9.09969385188912, -9.540234293237273}}, 
       {{-8.2323902597153, -9.03975407140065, -9.475608849591064}}, 
       {{-8.182866111141413, -8.992812559447609, -9.429740937011557}}, 
       {{-8.148392067679664, -8.961139286342684, -9.396669950167677}}, 
       {{-8.127180187866994, -8.941841118941175, -9.376394956306266}}, 
       {{-8.11707568963467, -8.933466498241005, -9.36699418202156}}, 
       {{-8.116405672859184, -8.934224935895868, -9.36699418202156}}, 
       {{-8.123800664542342, -8.94107688504842, -9.375215015166416}}, 
       {{-8.137045891292363, -8.954923260111677, -9.388271580468844}}, 
       {{-8.155331720790205, -8.97289951596115, -9.40635525590214}}, 
       {{-8.177867885812619, -8.993617388464896, -9.428496381779354}}, 
       {{-8.203112645109925, -9.018893907405227, -9.452411933175911}}, 
       {{-8.231262652003263, -9.04567375042095, -9.480837619673864}}, 
       {{-8.261001786055827, -9.07493573496998, -9.510095025662233}}, 
       {{-8.29245091873833, -9.104180176147793, -9.540234293237273}}, 
       {{-8.324508847586737, -9.136160973801932, -9.571310240197796}}}, 
      {{{-9.579232499853507, -10.341992514722493, -10.79264961702203}}, 
       {{-9.491642837463925, -10.259591231106569, -10.709579492112207}}, 
       {{-9.398840979846852, -10.17582134804111, -10.620927425665117}}, 
       {{-9.312816163565419, -10.093680003710652, -10.538365824972097}}, 
       {{-9.239769182666995, -10.026785768880622, -10.46841743529532}}, 
       {{-9.181752915124271, -9.971766393289423, -10.413313675969036}}, 
       {{-9.138019710396557, -9.931887027057826, -10.371253686841673}}, 
       {{-9.10778378365109, -9.903487552536127, -10.342612862136928}}, 
       {{-9.089008086808658, -9.885647634407798, -10.325082042574175}}, 
       {{-9.080189687511137, -9.877819805787551, -10.317186465571396}}, 
       {{-9.079312109569779, -9.877819805787551, -10.316581687808783}}, 
       {{-9.085471389930314, -9.883684925239947, -10.322950170288147}}, 
       {{-9.09701168666918, -9.89551938288695, -10.33396282364846}}, 
       {{-9.11321366124546, -9.911519724233392, -10.349774655164548}}, 
       {{-9.133379330840054, -9.931887027057826, -10.369977362482068}}, 
       {{-9.156799605048153, -9.9526777967269, -10.393857167734737}}, 
       {{-9.181752915124271, -9.980368596872086, -10.416983404857998}}, 
       {{-9.2093408716431, -10.006628311455641, -10.444428800206742}}, 
       {{-9.238328408516352, -10.032230428428853, -10.473355716935902}}}, 
      {{{-10.605877314463006, -11.348258843414994, -11.804615558819549}}, 
       {{-10.51930339015975, -11.268411887919827, -11.722412689836952}}, 
       {{-10.425374123661543, -11.180748152631896, -11.632835761642786}}, 
       {{-10.335501995877829, -11.096190764603833, -11.546482248499071}}, 
       {{-10.256455091686538, -11.021894468532418, -11.470824288951594}}, 
       {{-10.190636433826251, -10.96076597771126, -11.406765269141838}}, 
       {{-10.138956753540974, -10.911893573318089, -11.357632580564193}}, 
       {{-10.100232629995807, -10.875290994340542, -11.320653577323105}}, 
       {{-10.073090336922307, -10.850237491894992, -11.29459347065324}}, 
       {{-10.056172640201776, -10.834891922220331, -11.278644169245563}}, 
       {{-10.047819923426047, -10.827306550831075, -11.269979286359838}}, 
       {{-10.046896135831485, -10.827306550831075, -11.269979286359838}}, 
       {{-10.052219606336527, -10.832357066617144, -11.275484608955194}}, 
       {{-10.062483284026586, -10.843046911349637, -11.28578989238648}}, 
       {{-10.077126908947248, -10.857480151594295, -11.300236371559878}}, 
       {{-10.095374714199783, -10.874762592743043, -11.319004772332923}}, 
       {{-10.116185845988799, -10.896119517667005, -11.33897215784679}}, 
       {{-10.139716343398993, -10.917942533197515, -11.3619225914337}}, 
       {{-10.164852316670535, -10.94251104979258, -11.387174259664668}}}, 
      {{{-11.64405973299503, -12.366476167023198, -12.828947773104787}}, 
       {{-11.558760001314027, -12.287716634570684, -12.747013893200789}}, 
       {{-11.464135300800796, -12.198104475880998, -12.657372289982138}}, 
       {{-11.370558223683306, -12.110762465725848, -12.56646879027076}}, 
       {{-11.28578989238648, -12.032119338406735, -12.483936409044617}}, 
       {{-11.213561887744609, -11.963911088380202, -12.414327584350632}}, 
       {{-11.154551964395914, -11.907450633040058, -12.356895535264757}}, 
       {{-11.108127245849767, -11.863902387794322, -12.313657856210112}}, 
       {{-11.073381043209201, -11.83037969575568, -12.28079619172611}}, 
       {{-11.049191448738089, -11.807296525572806, -12.257365939917724}}, 
       {{-11.033590508295609, -11.792639367772832, -12.242736629901765}}, 
       {{-11.02557319738988, -11.78604738609068, -12.234472120051873}}, 
       {{-11.024345450151557, -11.78604738609068, -12.232416620869776}}, 
       {{-11.029265509277007, -11.789997358309995, -12.238595837235733}}, 
       {{-11.037934294213454, -11.800607537422009, -12.24689464005043}}, 
       {{-11.051080023425957, -11.812680118656278, -12.259473422257289}}, 
       {{-11.067598823436933, -11.829007011943707, -12.276495109826719}}, 
       {{-11.087004348294682, -11.84700057699172, -12.29599735305816}}, 
       {{-11.108127245849767, -11.868172856917775, -12.31588751153738}}}, 
      {{{-12.699058351167833, -13.400755402949017, -13.86891133469139}}, 
       {{-12.614642568591817, -13.321424258202581, -13.788868627017854}}, 
       {{-12.5185940079956, -13.232178243411536, -13.695951322906636}}, 
       {{-12.422488876094958, -13.141546196821103, -13.603630198928775}}, 
       {{-12.333451574860003, -13.05798111847506, -13.517630660536048}}, 
       {{-12.2554729958253, -12.98347137853771, -13.44256864156167}}, 
       {{-12.189412204637067, -12.921465435037438, -13.37854678279674}}, 
       {{-12.135800592544841, -12.870438024664667, -13.326317234325398}}, 
       {{-12.093815963184506, -12.830440310695293, -13.286059470075118}}, 
       {{-12.062145476723531, -12.800279878235216, -13.25532350466056}}, 
       {{-12.039711108314949, -12.779483144487786, -13.233853753437693}}, 
       {{-12.025419145836915, -12.766088513486936, -13.21997620627133}}, 
       {{-12.018100417227405, -12.759110118105474, -13.213382775791498}}, 
       {{-12.016609980584853, -12.758414949499098, -13.211741188555544}}, 
       {{-12.020423298643545, -12.762593228558295, -13.216124757218804}}, 
       {{-12.028596140399419, -12.770650725295411, -13.22439610296948}}, 
       {{-12.040388729889242, -12.78232607461862, -13.236092142732671}}, 
       {{-12.05524175582759, -12.797024313775449, -13.250765092208853}}, 
       {{-12.072766278221948, -12.814143653735, -13.26796735126312}}}, 
      {{{-13.776289844810993, -14.456065288405048, -14.931777781871105}}, 
       {{-13.69240836083029, -14.377629476117816, -14.851711586510987}}, 
       {{-13.595572137599012, -14.287115468576983, -14.758658744008311}}, 
       {{-13.496329818453122, -14.195307919323861, -14.661808918018394}}, 
       {{-13.403400907137442, -14.105862858971934, -14.572663068500132}}, 
       {{-13.319595546934037, -14.026231589279927, -14.490817820395888}}, 
       {{-13.247359867579014, -13.958226860165869, -14.420646861201506}}, 
       {{-13.187435374148043, -13.899979714590724, -14.363691968274034}}, 
       {{-13.138492759334213, -13.853212425148286, -14.316385850877097}}, 
       {{-13.10011276846951, -13.816511058297857, -14.279134580245971}}, 
       {{-13.07119509082993, -13.788868627017854, -14.25091954244551}}, 
       {{-13.0505079403039, -13.769581626075874, -14.23102600192594}}, 
       {{-13.036644502001792, -13.758185491345005, -14.217481776818182}}, 
       {{-13.029784196111235, -13.750659585644657, -14.210035726034103}}, 
       {{-13.028417764561802, -13.749722817426271, -14.210035726034105}}, 
       {{-13.031152497350945, -13.75347516704482, -14.211520507301683}}, 
       {{-13.038481893423628, -13.760075851076174, -14.220475791030788}}, 
       {{-13.049112915664736, -13.770537192321543, -14.23102600192594}}, 
       {{-13.062680375243156, -13.784011890904903, -14.244756194737842}}}, 
      {{{-14.882042953168972, -15.539798312077316, -16.022785471153995}}, 
       {{-14.797941092342974, -15.461093917034727, -15.942463082315161}}, 
       {{-14.699818243985378, -15.369040838460078, -15.84806851374526}}, 
       {{-14.598363651608713, -15.273515766638164, -15.749986329393924}}, 
       {{-14.501086473027902, -15.181218285475778, -15.655620288133376}}, 
       {{-14.412257244237905, -15.096724442633658, -15.568818840818077}}, 
       {{-14.334368353427529, -15.02248787131051, -15.493227311151669}}, 
       {{-14.267752857631367, -14.959015615523121, -15.428454609727662}}, 
       {{-14.21241243541195, -14.904370555189706, -15.374730754237756}}, 
       {{-14.167482293632439, -14.863334679800278, -15.331002857555847}}, 
       {{-14.132140952371948, -14.82776168098434, -15.296555255629976}}, 
       {{-14.105328242546477, -14.802760378778924, -15.270512117093956}}, 
       {{-14.086007805661954, -14.785729631863985, -15.25183585268973}}, 
       {{-14.073245554048103, -14.772102586611954, -15.239299123511746}}, 
       {{-14.066410786323527, -14.767687568402838, -15.23308920912393}}, 
       {{-14.06461314844858, -14.766133968918934, -15.231439724213855}}, 
       {{-14.067182192893021, -14.768724643943028, -15.234328110789725}}, 
       {{-14.07350438671423, -14.774187006334866, -15.240545747400596}}, 
       {{-14.082997923130536, -14.783884369708655, -15.249735452841715}}}, 
      {{{-16.022785471153995, -16.657663743589964, -17.149516690086106}}, 
       {{-15.938277224382484, -16.578545067399244, -17.068201731327207}}, 
       {{-15.838193765825501, -16.484820930750555, -16.97070760616929}}, 
       {{-15.734194720765997, -16.38597509611392, -16.87056829760308}}, 
       {{-15.632587835176619, -16.29007091569813, -16.772022118364983}}, 
       {{-15.539237616800502, -16.20039089368515, -16.68021456911186}}, 
       {{-15.455923274697804, -16.120097653628992, -16.60098190603507}}, 
       {{-15.383326795707555, -16.051372018915412, -16.529075939754595}}, 
       {{-15.321489762030145, -15.99234444565276, -16.467653127128187}}, 
       {{-15.270512117093956, -15.943302360585157, -16.41920074374224}}, 
       {{-15.228970587156935, -15.902984271341374, -16.378162556377127}}, 
       {{-15.196220540790264, -15.871235573026794, -16.346251744096072}}, 
       {{-15.171081746441324, -15.847305446176756, -16.32143657497635}}, 
       {{-15.153014754914732, -15.829913703464888, -16.304425229149814}}, 
       {{-15.140897984180643, -15.8187320737327, -16.292449038103097}}, 
       {{-15.13414627061035, -15.812819270105587, -16.286514302583285}}, 
       {{-15.132278856435555, -15.810610951210359, -16.2841502352884}}, 
       {{-15.13414627061035, -15.812819270105587, -16.286514302583285}}, 
       {{-15.139769528164711, -15.8187320737327, -16.292449038103097}}}}, 
     {Automatic, Automatic}]
 
sigmaNLOSB7[x_, y_] := If[x < 200 || x > 2000 || y < 200 || y > 2000, 
     "Squark or gluino mass outside range of interpolation!", 
     {SetPrecision[E^fNLOSBLog7[x, y][[1]], 3], 
      SetPrecision[E^fNLOSBLog7[x, y][[2]], 3], 
      SetPrecision[-E^fNLOSBLog7[x, y][[3]], 3]}]
 
fNLOSBLog7 = InterpolatingFunction[{{200., 2000.}, {200., 2000.}}, 
     {4, 3, 0, {19, 19}, {5, 5}, 0, 0, 0, 0, Automatic}, 
     {{200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000.}, 
      {200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000.}}, 
     {{{{5.577084821610244, 3.58351893845611, 3.5553480614894135}}, 
       {{5.4013251166222656, 3.258096538021482, 3.321432413193292}}, 
       {{5.301811255802292, 3.18221184049661, 3.2425923514855164}}, 
       {{5.225208894727398, 3.152736022363656, 3.1945831322991562}}, 
       {{5.161924741642482, 3.1135153092103742, 3.144152278672264}}, 
       {{5.110782242701195, 3.0773122605464134, 3.1090609588609945}}, 
       {{5.069532935343741, 3.0492730404820207, 3.0773122605464134}}, 
       {{5.0369526024136295, 3.0204248861443626, 3.0540011816779664}}, 
       {{5.009968405108552, 3.00071981506503, 3.034952986707273}}, 
       {{4.9883896851489355, 2.98568193770049, 3.01553490085017}}, 
       {{4.970507503005476, 2.970414465569701, 3.0056826044071587}}, 
       {{4.955122584165997, 2.960105095910839, 2.990719731730447}}, 
       {{4.94306997460049, 2.9496883350525853, 2.980618635743942}}, 
       {{4.932313327320786, 2.9444389791664403, 2.9704144655697005}}, 
       {{4.923623917106626, 2.939161922065597, 2.9652730660692828}}, 
       {{4.915591745409362, 2.9338568698359024, 2.9601050959108406}}, 
       {{4.908971640319756, 2.9285235238605405, 2.954910279033736}}, 
       {{4.9037921984782065, 2.9231615807191553, 2.954910279033737}}, 
       {{4.898585790287632, 2.9231615807191553, 2.949688335052584}}}, 
      {{{3.501344330267094, 1.3660916538023715, 1.4327007339340458}}, 
       {{3.469478889078561, 1.463255402256019, 1.460937904115656}}, 
       {{3.3297013799570854, 1.1908875647772803, 1.2612978709452056}}, 
       {{3.2315945972759756, 1.061256502124341, 1.1600209167967537}}, 
       {{3.1557230098629323, 1.0224509277025462, 1.108562619521277}}, 
       {{3.0860299115347716, 0.9820784724121575, 1.050821624831761}}, 
       {{3.0248055210396982, 0.9321640810304449, 1.0043016091968686}}, 
       {{2.97092715463502, 0.8837675401685943, 0.9669838461896741}}, 
       {{2.9231615807191558, 0.8544153281560667, 0.9202827531436931}}, 
       {{2.8831233291713367, 0.8109302162163288, 0.896088024556636}}, 
       {{2.847812143477369, 0.78390154382841, 0.8671004876833837}}, 
       {{2.8172035149987327, 0.7654678421395708, 0.8415671856782188}}, 
       {{2.790551422613954, 0.741937344729378, 0.8153648132841944}}, 
       {{2.768204123921957, 0.7178397931503172, 0.8020015854720276}}, 
       {{2.7479117345273405, 0.7030975114131132, 0.7839015438284093}}, 
       {{2.73046379593911, 0.6881346387364002, 0.7701082216960737}}, 
       {{2.714694743820879, 0.6780335427498975, 0.7561219797213333}}, 
       {{2.7006898466959175, 0.6678293725756551, 0.741937344729378}}, 
       {{2.688527534613346, 0.657520002916794, 0.7371640659767205}}}, 
      {{{1.889188614559601, -0.16134315040876293, -0.12329821634449424}}, 
       {{1.8523840910444898, -0.251028754803746, -0.1875351238468424}}, 
       {{1.8308199131286493, -0.16134315040876293, -0.15665381004537737}}, 
       {{1.7204424704770116, -0.3739664410487925, -0.3133418192323587}}, 
       {{1.6284559182698621, -0.5259392615760385, -0.42312004334688474}}, 
       {{1.55814461804655, -0.5780343734594409, -0.4812668215244458}}, 
       {{1.491779868965868, -0.6254885320861302, -0.53102833108351}}, 
       {{1.4288748086550092, -0.6694306539426301, -0.5816058058270376}}, 
       {{1.3706729802169337, -0.7174398731289899, -0.632993257740198}}, 
       {{1.3174800451195308, -0.7678707267558809, -0.6772738314036552}}, 
       {{1.268917492966318, -0.8074363269620726, -0.7236063880446542}}, 
       {{1.2258321386788296, -0.8509712657535123, -0.7592869830644904}}, 
       {{1.1869283697166775, -0.8818893051568234, -0.7896580809407887}}, 
       {{1.1518370499054076, -0.9137938516755684, -0.8209805520698303}}, 
       {{1.1203737804496223, -0.9441759353636902, -0.8509712657535123}}, 
       {{1.0925942163425468, -0.9728610833625503, -0.8722738464573804}}, 
       {{1.067121621576739, -0.991553216374702, -0.8940401229393358}}, 
       {{1.044508029674909, -1.0133524447172864, -0.9113031903631157}}, 
       {{1.0238887424721732, -1.0300194972024974, -0.9288695140810151}}}, 
      {{{0.4799539600989037, -1.5005835075220189, -1.4828052615007339}}, 
       {{0.4879663296199081, -1.5324768712979722, -1.500583507522018}}, 
       {{0.4555243079809013, -1.6044503709230609, -1.5464631132727127}}, 
       {{0.4408322519454557, -1.5232602161930482, -1.5186835491656359}}, 
       {{0.35276731910771536, -1.6928195213731518, -1.6398971199188093}}, 
       {{0.268499253035007, -1.8325814637483107, -1.748699979767607}}, 
       {{0.20457216572877446, -1.9038089730366792, -1.8078888511579378}}, 
       {{0.14323416808590775, -1.9310215365615626, -1.8617528410485908}}, 
       {{0.08342160813907236, -1.987774353154012, -1.9139271032022627}}, 
       {{0.026641930946421092, -2.0402208285265537, -1.961836299605573}}, 
       {{-0.027371196796132015, -2.095570923609719, -2.006934850893088}}, 
       {{-0.07893498808814227, -2.137918471438812, -2.0549440700794483}}, 
       {{-0.12567660808800193, -2.185691341522547, -2.0971982632690946}}, 
       {{-0.16912896300797145, -2.2246985543369746, -2.137070654516472}}, 
       {{-0.20936392790583797, -2.2576117273513154, -2.1741918782256464}}, 
       {{-0.24615632562328255, -2.2956094792576214, -2.2054583822633225}}, 
       {{-0.27971390280260405, -2.330984567515744, -2.2377341206744292}}, 
       {{-0.3102003838823833, -2.3612740893427246, -2.261443149662871}}, 
       {{-0.3385544028255375, -2.3848803357208763, -2.2867117438377553}}}, 
      {{{-0.8054204230427312, -2.7257051363409315, -2.727233020518984}}, 
       {{-0.7642136289938055, -2.715074816039174, -2.7060521984395365}}, 
       {{-0.7639989215318964, -2.747310915055512, -2.7226563534915726}}, 
       {{-0.7914217498282858, -2.796881414808826, -2.759869949832007}}, 
       {{-0.8009551331942506, -2.721135440650865, -2.731830729767613}}, 
       {{-0.8727524298596716, -2.8559703311788325, -2.8302178350764176}}, 
       {{-0.9480394301887354, -2.993734270891318, -2.931818947810338}}, 
       {{-1.0059419538268015, -3.0554822779597655, -2.985781942700822}}, 
       {{-1.0607386362400282, -3.0944482464931484, -3.03032371832361}}, 
       {{-1.1159619270032226, -3.146555163288575, -3.081290161915638}}, 
       {{-1.1698934906730734, -3.2015271865335873, -3.1304071768805923}}, 
       {{-1.22315562374271, -3.244193632852491, -3.182061851745485}}, 
       {{-1.2733228824607292, -3.294138309368747, -3.2238883666917455}}, 
       {{-1.3220058712375287, -3.3410434588424085, -3.275446176356595}}, 
       {{-1.3668839676000673, -3.387294476493164, -3.3159375377113314}}, 
       {{-1.4089490516846968, -3.4295968561838537, -3.3524072174927233}}, 
       {{-1.44859538731727, -3.4673371841667002, -3.387294476493164}}, 
       {{-1.4858937263426453, -3.5032301072273064, -3.429596856183853}}, 
       {{-1.5191402744533198, -3.5439136838637513, -3.451438598098902}}}, 
      {{{-2.007679175452945, -3.8728022922748653, -3.892220378131966}}, 
       {{-1.9456101940463153, -3.8350619642920174, -3.8490482062667577}}, 
       {{-1.9166426513747452, -3.8350619642920187, -3.8304430184357234}}, 
       {{-1.9200474895295858, -3.8537540973041704, -3.849048206266757}}, 
       {{-1.9428149441480107, -3.892220378131966, -3.877621578710813}}, 
       {{-1.9477117710019414, -3.8258453091870943, -3.844364356954331}}, 
       {{-2.007679175452945, -3.932225712745665, -3.927136643238194}}, 
       {{-2.074653024948039, -4.057048777478403, -4.017383521085973}}, 
       {{-2.1269525243508878, -4.122744036743799, -4.074541934925921}}, 
       {{-2.1759524420606797, -4.1604843647266465, -4.115363929446176}}, 
       {{-2.2256240518579173, -4.213128098212067, -4.156007222614208}}, 
       {{-2.276917346245468, -4.254513314374922, -4.210429041242903}}, 
       {{-2.326570455744557, -4.299893805135359, -4.257334190716564}}, 
       {{-2.3752633184920313, -4.349753074123587, -4.302107011498008}}, 
       {{-2.4228336655902214, -4.3957199618058835, -4.348205086198371}}, 
       {{-2.4674597361842796, -4.446458494833271, -4.3900588063711465}}, 
       {{-2.510347542269953, -4.487387150331708, -4.430376895614928}}, 
       {{-2.5509182553819154, -4.5263590055638, -4.468892567695543}}, 
       {{-2.589600720902666, -4.56498839635526, -4.507136445716725}}}, 
      {{{-3.1521521928252927, -4.971895465780325, -5.001180135325501}}, 
       {{-3.0780275162808213, -4.9171449510089165, -4.94064292227622}}, 
       {{-3.02846209817691, -4.883562211532779, -4.902229420252469}}, 
       {{-3.0082097950651034, -4.879607031689852, -4.892852258439873}}, 
       {{-3.0118616554838744, -4.902229420252469, -4.904924839674141}}, 
       {{-3.0305307790966864, -4.926753810115554, -4.928134072584513}}, 
       {{-3.0328112817954116, -4.8652370914068985, -4.900884430137136}}, 
       {{-3.082816380461104, -4.953310227476987, -4.966140054209704}}, 
       {{-3.1430728614527, -5.064036070823371, -5.05145728861651}}, 
       {{-3.1898025773824936, -5.126046145607583, -5.1011071972603315}}, 
       {{-3.2332283310926013, -5.165536255314218, -5.137900645142132}}, 
       {{-3.2788912572781874, -5.208476662548248, -5.181423615076537}}, 
       {{-3.3253480693787174, -5.249527202378605, -5.225066904808444}}, 
       {{-3.3720270043623755, -5.288367035694868, -5.268758564306492}}, 
       {{-3.4182418162714137, -5.341224867559313, -5.31444674847792}}, 
       {{-3.4641371814360293, -5.383875254909684, -5.35806737095381}}, 
       {{-3.507892120333118, -5.4352832216211935, -5.40145812546755}}, 
       {{-3.549813405990939, -5.477444032445471, -5.442187736967739}}, 
       {{-3.5906644066169813, -5.516473376351207, -5.48464694473953}}}, 
      {{{-4.257334190716564, -6.032286541628238, -6.0705077544484345}}, 
       {{-4.177291483043027, -5.967748020490666, -6.007593929037866}}, 
       {{-4.112915947807536, -5.914503505971854, -5.952243833954701}}, 
       {{-4.073366155836909, -5.888907958782891, -5.9182140853683896}}, 
       {{-4.058205515606227, -5.885304351279591, -5.910806644090528}}, 
       {{-4.061683779982553, -5.903453669785269, -5.921938484459372}}, 
       {{-4.07689764861838, -5.921938484459371, -5.940771432792465}}, 
       {{-4.076308199736002, -5.8639512268090215, -5.910806644090528}}, 
       {{-4.119662370206391, -5.933195638984007, -5.971661919811802}}, 
       {{-4.173387769562553, -6.036461913038718, -6.044865323835097}}, 
       {{-4.2151571824388485, -6.0968250627658085, -6.087975447488826}}, 
       {{-4.254513314374922, -6.128430402181141, -6.128430402181139}}, 
       {{-4.295482033273696, -6.165817934252759, -6.16581793425276}}, 
       {{-4.337435751346007, -6.209620556911153, -6.199719485928441}}, 
       {{-4.381226954503317, -6.2450673059069, -6.2450673059068995}}, 
       {{-4.424516686294834, -6.297989707361242, -6.287178791257028}}, 
       {{-4.4680203478408576, -6.336775732396399, -6.32777679652783}}, 
       {{-4.5107695105666075, -6.383026750047154, -6.374776850575014}}, 
       {{-4.550682000704022, -6.4315210999857655, -6.4106229823481495}}}, 
      {{{-5.336642480869704, -7.066751010472595, -7.120948499443178}}, 
       {{-5.254109111883716, -7.000967660704315, -7.050471581183732}}, 
       {{-5.179468232709656, -6.93512647577827, -6.983556992398419}}, 
       {{-5.125036554406231, -6.8889335247415495, -6.93512647577827}}, 
       {{-5.093256322784592, -6.865654102963502, -6.9097572816528094}}, 
       {{-5.08111140790058, -6.864695789521689, -6.9037632577126}}, 
       {{-5.084335657026213, -6.8772260739473134, -6.911763300379676}}, 
       {{-5.096683498721709, -6.889915360853807, -6.925919249609808}}, 
       {{-5.094234317972569, -6.835434617402512, -6.89978710933296}}, 
       {{-5.131278666618599, -6.896815338943803, -6.947536148993982}}, 
       {{-5.179645836830538, -6.991136887921187, -7.0153404896620755}}, 
       {{-5.217290527905663, -7.042430182308738, -7.056255287300581}}, 
       {{-5.252197430934483, -7.072629922172371, -7.089277155605527}}, 
       {{-5.289357625176565, -7.106206217705974, -7.124668280545711}}, 
       {{-5.328158208559058, -7.14221259019662, -7.160070207596627}}, 
       {{-5.368096261155953, -7.176942768797753, -7.198107579989798}}, 
       {{-5.408802099723308, -7.226584080430754, -7.23904098891605}}, 
       {{-5.450303723545918, -7.264430222920869, -7.280269286950615}}, 
       {{-5.490446864333077, -7.314220887423885, -7.321756718112588}}}, 
      {{{-6.399733582548881, -8.088662810377079, -8.152550077828328}}, 
       {{-6.317748857341705, -8.019452807198903, -8.085410774990699}}, 
       {{-6.2363425905681975, -7.946213644830499, -8.010375589047785}}, 
       {{-6.170591213005418, -7.88592141457438, -7.949042501030978}}, 
       {{-6.124767394422403, -7.849363818840581, -7.907427619795343}}, 
       {{-6.098604422665885, -7.826549141074411, -7.885921414574379}}, 
       {{-6.088416073184432, -7.826549141074412, -7.8806163623446865}}, 
       {{-6.091063912330736, -7.836624793063152, -7.888584531993864}}, 
       {{-6.100833084163347, -7.846802997978909, -7.8966167036911274}}, 
       {{-6.0968250627658085, -7.792062965003241, -7.872711182837573}}, 
       {{-6.129348254471369, -7.844248718173811, -7.912877224562909}}, 
       {{-6.1729864237313725, -7.932188169475995, -7.9748689005908755}}, 
       {{-6.206639928773015, -7.977780110798334, -8.010375589047785}}, 
       {{-6.237876725361546, -8.004369564987574, -8.040959012419865}}, 
       {{-6.271707690462764, -8.034767042171945, -8.07571764578504}}, 
       {{-6.306723387329997, -8.069307367424122, -8.105083540589403}}, 
       {{-6.3435784797191515, -8.101777752454906, -8.138756755695992}}, 
       {{-6.381844017798105, -8.145629634983754, -8.180720954795024}}, 
       {{-6.421017450745237, -8.184298776142908, -8.2170885989659}}}, 
      {{{-7.455763693875844, -9.103281299682775, -9.17981116694136}}, 
       {{-7.374723519684351, -9.036387064852745, -9.10959046887604}}, 
       {{-7.289601521491668, -8.958803746160756, -9.031357716447744}}, 
       {{-7.2155040135842325, -8.88825687280707, -8.961919013477704}}, 
       {{-7.158526997413821, -8.835334471352727, -8.90875539435541}}, 
       {{-7.11958803915048, -8.80088324259848, -8.873154104621312}}, 
       {{-7.097222303936963, -8.783766300657783, -8.855467049984078}}, 
       {{-7.088557989806822, -8.781809990937022, -8.850570223130148}}, 
       {{-7.0904769157974314, -8.789001914711728, -8.855467049984078}}, 
       {{-7.098310640703195, -8.795585216960925, -8.862504376704655}}, 
       {{-7.092640118179256, -8.74472134104827, -8.836709987388037}}, 
       {{-7.121319855516024, -8.791630037117997, -8.873154104621312}}, 
       {{-7.1613580377810555, -8.868170114240332, -8.929682914461367}}, 
       {{-7.191710969693104, -8.910235779525845, -8.963480294044658}}, 
       {{-7.21932029189725, -8.931951346435994, -8.987997140832743}}, 
       {{-7.249400874377347, -8.961139286342684, -9.016419679338876}}, 
       {{-7.281867079432305, -8.992812559447609, -9.046522286746788}}, 
       {{-7.316475679810974, -9.022202429860789, -9.082827051677222}}, 
       {{-7.35185727070522, -9.060197713546463, -9.116850028888845}}}, 
      {{{-8.511708261185667, -10.11668077299717, -10.207299006917793}}, 
       {{-8.432392589723772, -10.054310442270712, -10.136681439703839}}, 
       {{-8.345342934489578, -9.973910016832674, -10.056638732030303}}, 
       {{-8.264879262802248, -9.89750548085858, -9.980368596872085}}, 
       {{-8.199103162793074, -9.832097556449455, -9.917586476915629}}, 
       {{-8.149429950492085, -9.78481602281863, -9.871988885476757}}, 
       {{-8.11607083274221, -9.755067547417855, -9.841452161616676}}, 
       {{-8.096511117503212, -9.739669467306733, -9.824676372111838}}, 
       {{-8.088662810377077, -9.737973114058555, -9.820986331024384}}, 
       {{-8.08996659152656, -9.743070831130224, -9.824676372111838}}, 
       {{-8.09618287197261, -9.746483803726463, -9.828380080049323}}, 
       {{-8.089314488471173, -9.696473383151801, -9.804547604681225}}, 
       {{-8.115066984573588, -9.737973114058555, -9.837699811998124}}, 
       {{-8.151508953319917, -9.811820364010305, -9.887614203379838}}, 
       {{-8.178936833001524, -9.845218644412153, -9.919616934466012}}, 
       {{-8.20347794191764, -9.864266839382847, -9.94015153690772}}, 
       {{-8.23051161929804, -9.891558981670855, -9.965362956254214}}, 
       {{-8.260228091626518, -9.917586476915629, -9.993412260064115}}, 
       {{-8.292051637439355, -9.948484918466864, -10.024525880913183}}}, 
      {{{-9.57403993085188, -11.139983548567624, -11.239849544907809}}, 
       {{-9.4972227642574, -11.077901554620519, -11.17360015936661}}, 
       {{-9.409035242888082, -10.996515462910336, -11.091587007705774}}, 
       {{-9.324405328264156, -10.915188469214941, -11.010938789871442}}, 
       {{-9.251162366496438, -10.839980991727803, -10.940816612787339}}, 
       {{-9.192500453847853, -10.78537685769295, -10.883783614386196}}, 
       {{-9.149245272616373, -10.742817243274155, -10.843558813075687}}, 
       {{-9.119586008707719, -10.719932949440567, -10.815786263140746}}, 
       {{-9.10238323047109, -10.70644959910328, -10.80144732772556}}, 
       {{-9.095227564875678, -10.7019952487539, -10.796550158291076}}, 
       {{-9.09611922788616, -10.7019952487539, -10.799975657114103}}, 
       {{-9.100589508017064, -10.70644959910328, -10.80144732772556}}, 
       {{-9.0925573363198, -10.658510136814161, -10.7762399823958}}, 
       {{-9.1159396965547, -10.697560651686034, -10.806368597500365}}, 
       {{-9.150186449156436, -10.761509376286307, -10.85799949723048}}, 
       {{-9.174008442728793, -10.790219482168737, -10.88165368812837}}, 
       {{-9.196437466807192, -10.804889671916532, -10.902616562719288}}, 
       {{-9.220491723032557, -10.829323697253814, -10.921257453360138}}, 
       {{-9.247938402391501, -10.855923731046637, -10.948179999214807}}}, 
      {{{-10.64961365788696, -12.174573978470804, -12.287282700955716}}, 
       {{-10.574873241314561, -12.11440545700435, -12.222202027460057}}, 
       {{-10.486525510416044, -12.032119338406735, -12.140284904992171}}, 
       {{-10.398439827145829, -11.946790047600091, -12.055929987100454}}, 
       {{-10.319609240832822, -11.868172856917775, -11.979734203319445}}, 
       {{-10.253612565611128, -11.801941760435147, -11.91639257041572}}, 
       {{-10.201354650046275, -11.751182654094485, -11.865323852141701}}, 
       {{-10.163035785744137, -11.713818407349619, -11.83037969575568}}, 
       {{-10.136681439703839, -11.692052130867664, -11.804615558819547}}, 
       {{-10.12139483705509, -11.67898004930031, -11.792639367772832}}, 
       {{-10.114702532985063, -11.675444394468004, -11.788678966556736}}, 
       {{-10.114702532985063, -11.676621557641019, -11.788678966556736}}, 
       {{-10.118414949078998, -11.676621557641019, -11.791317490514917}}, 
       {{-10.109036795449386, -11.63058350843846, -11.763954219773973}}, 
       {{-10.13038815272805, -11.666076644464402, -11.791317490514917}}, 
       {{-10.161740280963906, -11.72611868543127, -11.837271521793602}}, 
       {{-10.183466040602877, -11.752452495534962, -11.861065506459123}}, 
       {{-10.20297233710706, -11.765240393584717, -11.876768898387573}}, 
       {{-10.225347076789495, -11.782112954785845, -11.895651086108904}}}, 
      {{{-11.744353235872136, -13.227723893062155, -13.353035195139329}}, 
       {{-11.671569558409827, -13.169979231345993, -13.29019048804783}}, 
       {{-11.583240638885254, -13.088445159200868, -13.207921265765975}}, 
       {{-11.493122837674049, -13.000145744680081, -13.12286350244601}}, 
       {{-11.409466756601999, -12.915349208020002, -13.042166835410052}}, 
       {{-11.336454321854449, -12.84473164080605, -12.969213197910655}}, 
       {{-11.277063141248243, -12.78232607461862, -12.911292407324389}}, 
       {{-11.230758573206558, -12.737100976613684, -12.867721159030747}}, 
       {{-11.195927338184394, -12.703653042546144, -12.833432085552117}}, 
       {{-11.172176671581756, -12.684108446473173, -12.811208948767407}}, 
       {{-11.158052142978125, -12.674477553412212, -12.800279878235216}}, 
       {{-11.151760615758644, -12.668108105126732, -12.796663237765026}}, 
       {{-11.151760615758644, -12.668108105126732, -12.796663237765026}}, 
       {{-11.153853396431774, -12.668108105126732, -12.796663237765026}}, 
       {{-11.144124341233656, -12.62158808949184, -12.77170650579116}}, 
       {{-11.163678036860293, -12.65548964116752, -12.796663237765026}}, 
       {{-11.192292292378761, -12.71357047920349, -12.837184435170666}}, 
       {{-11.211340487349457, -12.737100976613682, -12.856160336629673}}, 
       {{-11.230004709620157, -12.740508134935299, -12.875503299472804}}}, 
      {{{-12.865011654760382, -14.3049009010102, -14.444744412780567}}, 
       {{-12.793779313632122, -14.246293474056728, -14.382906533218659}}, 
       {{-12.705628677037934, -14.165068034134142, -14.301643569139893}}, 
       {{-12.613139035005313, -14.076875322098681, -14.213007496423261}}, 
       {{-12.52545180472521, -13.988674176973463, -14.127485322985098}}, 
       {{-12.447380167472055, -13.909821237435516, -14.052499516100536}}, 
       {{-12.38114057361282, -13.842881754760405, -13.987485822704084}}, 
       {{-12.327336733023213, -13.788868627017854, -13.935420854636831}}, 
       {{-12.285115852870627, -13.747851909490459, -13.894553765304726}}, 
       {{-12.254003179287723, -13.71838384723355, -13.864700802155046}}, 
       {{-12.232416620869776, -13.699506882207968, -13.844939368655087}}, 
       {{-12.219360539857108, -13.687997237665314, -13.833674528591946}}, 
       {{-12.213097260467139, -13.683605487084336, -13.82859579751293}}, 
       {{-12.21229194534409, -13.682729446730455, -13.82859579751293}}, 
       {{-12.213903224645362, -13.680979665006667, -13.82859579751293}}, 
       {{-12.202877754633654, -13.636527902435834, -13.801607652795283}}, 
       {{-12.22159245718821, -13.66622885524852, -13.826571505323699}}, 
       {{-12.248145421952081, -13.719291700223732, -13.864700802155046}}, 
       {{-12.265398111614989, -13.736699377539985, -13.882719307657725}}}, 
      {{{-14.018116458060936, -15.4130198995331, -15.569396374764247}}, 
       {{-13.948013907777367, -15.356822641350774, -15.508330079337426}}, 
       {{-13.859880505700215, -15.274805811968655, -15.426950473069047}}, 
       {{-13.76576846606946, -15.185931569927874, -15.33693759307566}}, 
       {{-13.674879428224529, -15.092054055125045, -15.249735452841714}}, 
       {{-13.5915673264795, -15.009533031437043, -15.167596747754429}}, 
       {{-13.51911654491047, -14.936368455579704, -15.095644723255774}}, 
       {{-13.458535659016544, -14.876827061888687, -15.036290480606592}}, 
       {{-13.40937900531295, -14.82886300268156, -14.989924560048665}}, 
       {{-13.371465967888634, -14.788371641326824, -14.954944841152638}}, 
       {{-13.343010048519952, -14.762260497323137, -14.92720808618104}}, 
       {{-13.323256319783718, -14.744380072045288, -14.909135305121344}}, 
       {{-13.310501819519848, -14.734304420056548, -14.894320219336205}}, 
       {{-13.304484954195617, -14.729304409639843, -14.891383359662894}}, 
       {{-13.303285913284576, -14.72681374832739, -14.891383359662894}}, 
       {{-13.304484954195617, -14.72185095898526, -14.891383359662894}}, 
       {{-13.292558754400442, -14.6782605229104, -14.865332682462952}}, 
       {{-13.30989850125117, -14.70955068090361, -14.88553538978047}}, 
       {{-13.334937977369304, -14.759686493327965, -14.92114746156935}}}, 
      {{{-15.21145129613597, -16.559706205702838, -16.732431651093975}}, 
       {{-15.142027715048304, -16.503758131770304, -16.67148088914311}}, 
       {{-15.053729801018802, -16.42326303775112, -16.591304411153004}}, 
       {{-14.958074734161567, -16.330052012881964, -16.500821272096996}}, 
       {{-14.863619864459277, -16.236879186948286, -16.40844795196598}}, 
       {{-14.776014444514754, -16.14958631804969, -16.322662816699594}}, 
       {{-14.698366513752191, -16.07025832154416, -16.24706603225528}}, 
       {{-14.631503568523065, -16.003874506868296, -16.181035450732196}}, 
       {{-14.57586648821767, -15.947509350382786, -16.127136395610467}}, 
       {{-14.53090334747154, -15.902984271341374, -16.08272850712103}}, 
       {{-14.495741513257673, -15.86889456532482, -16.048569588309707}}, 
       {{-14.46962935155674, -15.842739228197175, -16.02460530787098}}, 
       {{-14.451143832323613, -15.826172584249285, -16.007449130871258}}, 
       {{-14.439318260445607, -15.816510673337547, -15.99587801823407}}, 
       {{-14.433364754488789, -15.810610951210359, -15.991463000024954}}, 
       {{-14.431511529347565, -15.809141443230999, -15.989702436189921}}, 
       {{-14.43188189972217, -15.80474583175796, -15.98882331525418}}, 
       {{-14.418999866593683, -15.761820787040927, -15.96023756634274}}, 
       {{-14.436151047737471, -15.790952509625626, -15.984439266145646}}}, 
      {{{-16.45370825716765, -17.755418766881956, -17.943205099867928}}, 
       {{-16.384407697673907, -17.699432133281544, -17.88243452461038}}, 
       {{-16.295549076355414, -17.61599218865951, -17.801180103560718}}, 
       {{-16.19811335894435, -17.525000965982336, -17.708221252360048}}, 
       {{-16.101238533891898, -17.42742897094208, -17.616887043305358}}, 
       {{-16.009241246046237, -17.335491475616397, -17.526226706687385}}, 
       {{-15.925823763311197, -17.25440980681044, -17.442730631691482}}, 
       {{-15.853426352815612, -17.179412154882733, -17.373361749671805}}, 
       {{-15.791673750190608, -17.117767991771526, -17.312118124431088}}, 
       {{-15.741030017371854, -17.064845590317184, -17.26379954716028}}, 
       {{-15.699385316100134, -17.024436051979308, -17.223732554563394}}, 
       {{-15.667020031598103, -16.992764708141657, -17.191040192877853}}, 
       {{-15.642482782948074, -16.96906691671183, -17.167917775457}}, 
       {{-15.625230352569321, -16.952806395840053, -17.15373314046504}}, 
       {{-15.613690594995251, -16.94363201956401, -17.1397468984903}}, 
       {{-15.60767010721367, -16.93907620302815, -17.136972971607577}}, 
       {{-15.605272024529656, -16.936806054493612, -17.131448095675605}}, 
       {{-15.605272024529656, -16.930026367508233, -17.131448095675605}}, 
       {{-15.59159354780732, -16.888123875854223, -17.104272510296642}}}}, 
     {Automatic, Automatic}]
 
sigmaNLLSB7[x_, y_] := If[x < 200 || x > 2000 || y < 200 || y > 2000, 
     "Squark or gluino mass outside range of Interpolation!", 
     {SetPrecision[E^fNLLSBLog7[x, y][[1]], 3], 
      SetPrecision[E^fNLLSBLog7[x, y][[2]], 3], 
      SetPrecision[-E^fNLLSBLog7[x, y][[3]], 3]}]
 
fNLLSBLog7 = InterpolatingFunction[{{200., 2000.}, {200., 2000.}}, 
     {4, 3, 0, {19, 19}, {5, 5}, 0, 0, 0, 0, Automatic}, 
     {{200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000.}, 
      {200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000.}}, 
     {{{{5.66957228094369, 3.4093971958126095, 3.2869161186666944}}, 
       {{5.507276377110283, 3.4221989303807483, 3.2361828781015975}}, 
       {{5.41154565035174, 3.358983564489281, 3.175660067334074}}, 
       {{5.337538288826776, 3.2998211340031736, 3.1263618910939917}}, 
       {{5.2770048442741455, 3.262899611989159, 3.090297244147422}}, 
       {{5.228548425775576, 3.235682030402624, 3.063342269832064}}, 
       {{5.189788386181298, 3.2203555034694404, 3.0438963872497067}}, 
       {{5.159346854204226, 3.2082609734057956, 3.029274890311423}}, 
       {{5.13430006815866, 3.1994853163794676, 3.01797170536691}}, 
       {{5.114342189257099, 3.1950182110436356, 3.0093455930043382}}, 
       {{5.09787044565917, 3.188419032070423, 3.002277484107086}}, 
       {{5.083764663543453, 3.1868687596494443, 2.9966814928590346}}, 
       {{5.072713623265426, 3.1844443147610866, 2.992211863650972}}, 
       {{5.062895092884893, 3.183424977827243, 2.988160129757914}}, 
       {{5.054963290626041, 3.180762583488637, 2.9852360074103323}}, 
       {{5.047664427143585, 3.178961464399276, 2.9823933143499204}}, 
       {{5.041647818223549, 3.1778550418553855, 2.980445053863253}}, 
       {{5.036928311120418, 3.1745339305286455, 2.9788625826905464}}, 
       {{5.032213841576569, 3.17445077723649, 2.9770797343944473}}}, 
      {{{3.5847157974556234, 1.2123563504876171, 1.0690216462488644}}, 
       {{3.5621843892390057, 1.234335996324923, 1.0781130623271205}}, 
       {{3.4333678895481676, 1.1799724021626539, 1.0367542878550895}}, 
       {{3.3396421784024346, 1.1359419832171818, 0.9825288357312869}}, 
       {{3.265670682952457, 1.071036806892098, 0.9277220823170779}}, 
       {{3.197958859023964, 1.0209637951460466, 0.8806705963529947}}, 
       {{3.1387679803680553, 0.9776836795733621, 0.8419526500289011}}, 
       {{3.087029920375971, 0.9410251334931261, 0.8096414955471992}}, 
       {{3.041504900181226, 0.9197248007257732, 0.7831336846298282}}, 
       {{3.00347651611128, 0.8939183956696583, 0.7621624253751951}}, 
       {{2.9701467747745105, 0.8779411707196767, 0.7443259825661519}}, 
       {{2.9413858329390514, 0.8677811685539588, 0.7297118991659627}}, 
       {{2.916446021707205, 0.8619934505249586, 0.7173129226060897}}, 
       {{2.8955631075856183, 0.8520123131477635, 0.7074237271569084}}, 
       {{2.8766999180881525, 0.8473943875041599, 0.6983966320329378}}, 
       {{2.8605089367148637, 0.8424420898169575, 0.691203581266089}}, 
       {{2.8459321967545375, 0.8393722229579743, 0.6847001258156111}}, 
       {{2.833018336713894, 0.837879386851126, 0.6786673819955588}}, 
       {{2.8218142994254425, 0.8322252464487498, 0.6738868523442494}}}, 
      {{{1.9623912021026506, -0.40772167801480713, -0.6797927784922504}}, 
       {{1.9417341845337586, -0.46395754870057604, -0.6148829807395019}}, 
       {{1.926360997572349, -0.4372715136362301, -0.6129229888184704}}, 
       {{1.8248571683237014, -0.5462021447006332, -0.6466414781873431}}, 
       {{1.737572062914805, -0.5780636686554055, -0.694686076481685}}, 
       {{1.6689106741771806, -0.6360473877887304, -0.7466197270861071}}, 
       {{1.6038450435392866, -0.694243258354307, -0.7962813307431971}}, 
       {{1.5423532766839803, -0.7447885435629331, -0.8413352328289301}}, 
       {{1.4856903618114863, -0.7864271506746295, -0.8813033836201639}}, 
       {{1.4341405331945494, -0.8233932237976419, -0.9162468959094093}}, 
       {{1.3873217394973516, -0.8513451016670698, -0.9462988978649025}}, 
       {{1.345910238438683, -0.8781225661982678, -0.9724902698563435}}, 
       {{1.3086854453332097, -0.9018222613172028, -0.9951095545430123}}, 
       {{1.2752480106531188, -0.9196018612881881, -1.0144043613225155}}, 
       {{1.245370964937593, -0.9335036997794925, -1.0312649626998078}}, 
       {{1.219046378897854, -0.9485906974086622, -1.045983172560467}}, 
       {{1.1950122208733338, -0.9599949850772331, -1.0589193596755402}}, 
       {{1.17371416319903, -0.9696321002527696, -1.0701629503698415}}, 
       {{1.1543571238532244, -0.9761544601065831, -1.0801797620280997}}}, 
      {{{0.5480984127513785, -1.787403833423301, -2.14505576439747}}, 
       {{0.5720067873703912, -1.8215353678448731, -2.069591590949911}}, 
       {{0.5520043947275896, -1.869552580202924, -2.0271733557853766}}, 
       {{0.5417472573161831, -1.8397810327548805, -2.027635828819308}}, 
       {{0.461052578367158, -1.95361618107346, -2.055597507144338}}, 
       {{0.3816342159924697, -2.0085560941732505, -2.0972856689341755}}, 
       {{0.3193366260674372, -2.059435036861623, -2.1445797275578964}}, 
       {{0.25901606418738676, -2.1130053532878863, -2.192682996280145}}, 
       {{0.20016461469895777, -2.1643040442212906, -2.2389916854700362}}, 
       {{0.1443529021417998, -2.21268595725586, -2.282207000192356}}, 
       {{0.0914470046221743, -2.2566886671560304, -2.3217272179345483}}, 
       {{0.041198506894454125, -2.2931614529723063, -2.35761498030934}}, 
       {{-0.004295694821786075, -2.3265481506971066, -2.389652013637716}}, 
       {{-0.046424976316488786, -2.355503155934754, -2.4185298651504756}}, 
       {{-0.08529103877570045, -2.3806703806239304, -2.4443806027064467}}, 
       {{-0.12073706056235776, -2.4043260451276587, -2.4673033540929943}}, 
       {{-0.1529891110132939, -2.4230691934774704, -2.487684123849042}}, 
       {{-0.18223208118420242, -2.442938925641674, -2.506094391113231}}, 
       {{-0.20932866198750483, -2.458456140957044, -2.5224944470867485}}}, 
      {{{-0.7387952542949512, -3.0343633545504187, -3.4222106171143256}}, 
       {{-0.6824412396033862, -3.0428308176637517, -3.3582032306173755}}, 
       {{-0.6688938006811929, -3.072879754501886, -3.3024453503059013}}, 
       {{-0.6862975421229274, -3.108219876778843, -3.2730759532823934}}, 
       {{-0.692552015961078, -3.074571255327663, -3.2737431893065816}}, 
       {{-0.7580014963979241, -3.1730844736368455, -3.2978936421042677}}, 
       {{-0.8284939195806562, -3.258034737224066, -3.3336357898543185}}, 
       {{-0.8846849791471847, -3.30612771957205, -3.3758634607745712}}, 
       {{-0.938678532400532, -3.358094268316905, -3.4206161149283205}}, 
       {{-0.9931947701635683, -3.4076009780571472, -3.465423058140595}}, 
       {{-1.0464611580932406, -3.4555898926997335, -3.5087290402626015}}, 
       {{-1.0988813220513896, -3.499082020865754, -3.5499596669215068}}, 
       {{-1.14823445035646, -3.54262661910624, -3.5884683130378754}}, 
       {{-1.1959075254116804, -3.577379675537165, -3.624172761645349}}, 
       {{-1.2398463053055992, -3.6126164126843276, -3.6570780672977605}}, 
       {{-1.280935129951171, -3.6454198652550605, -3.6872762113861923}}, 
       {{-1.319539254553541, -3.674814548509736, -3.7148644517083635}}, 
       {{-1.3557437564503132, -3.696211399497777, -3.7401125643527484}}, 
       {{-1.3880796313306447, -3.7247949530546, -3.7629206695941795}}}, 
      {{{-1.9401576796927464, -4.198684680973414, -4.595700698040433}}, 
       {{-1.863532362799349, -4.186773705602795, -4.533642177417794}}, 
       {{-1.8210382891728574, -4.1975560524094595, -4.47383786066359}}, 
       {{-1.8131601907662687, -4.214477224553461, -4.433039230191176}}, 
       {{-1.8275792634419605, -4.24323574125882, -4.411285656841065}}, 
       {{-1.8301125459275722, -4.210368083588321, -4.411372509826559}}, 
       {{-1.8844188880943236, -4.292821070787589, -4.432998772797351}}, 
       {{-1.9466818863519106, -4.374314477583746, -4.463717467836261}}, 
       {{-1.9971708216455544, -4.428196402599285, -4.501048589010251}}, 
       {{-2.0454382234196613, -4.47421298440175, -4.541818066888394}}, 
       {{-2.0946093149553286, -4.525926833332027, -4.583850924185198}}, 
       {{-2.145269119708845, -4.573674875226389, -4.625706380008399}}, 
       {{-2.19439554074111, -4.622024897631711, -4.666456618323773}}, 
       {{-2.2424834118903685, -4.66739054834304, -4.705529513602991}}, 
       {{-2.289329282931556, -4.706854586562892, -4.742598575029624}}, 
       {{-2.3333061693278516, -4.744664013863479, -4.777517268665625}}, 
       {{-2.375455772349096, -4.779694858388514, -4.810238577578595}}, 
       {{-2.4152707080753175, -4.812045108563996, -4.840784103152149}}, 
       {{-2.453132429649817, -4.841063881643449, -4.869222343805394}}}, 
      {{{-3.0819531332528896, -5.3148577675011754, -5.706884660888349}}, 
       {{-2.9936526614377637, -5.287750454532551, -5.640036020451094}}, 
       {{-2.930411894671981, -5.272047078478147, -5.576102398272057}}, 
       {{-2.89828806325088, -5.274132229887196, -5.526743483093837}}, 
       {{-2.8923404093936784, -5.292082584217577, -5.494305794351179}}, 
       {{-2.9038933553053665, -5.311174666636299, -5.4782055175828015}}, 
       {{-2.90441735098497, -5.2777631563540215, -5.47791563589029}}, 
       {{-2.94936877763668, -5.348489754379449, -5.497030344429037}}, 
       {{-3.004916780584728, -5.424234174122837, -5.524074485177634}}, 
       {{-3.049804825551974, -5.474333570536701, -5.556971787627755}}, 
       {{-3.092564847710376, -5.517332259514216, -5.593724910787141}}, 
       {{-3.1376935229761966, -5.562740515124875, -5.632470796219756}}, 
       {{-3.1837039645233545, -5.607805759972016, -5.671891241610297}}, 
       {{-3.2299367903220735, -5.6518541351833855, -5.711068836191073}}, 
       {{-3.2756843972186287, -5.7007598161579525, -5.749378641964183}}, 
       {{-3.3209966285339623, -5.7449967378585285, -5.786407990006655}}, 
       {{-3.364246378289833, -5.791345748567219, -5.821897531384761}}, 
       {{-3.4056706559082133, -5.830308425263595, -5.855698046689675}}, 
       {{-3.445914412225491, -5.863428768583967, -5.887738939976877}}}, 
      {{{-4.182955428593811, -6.393305826674224, -6.7774377853033245}}, 
       {{-4.088909200348128, -6.356398957391532, -6.713546723040877}}, 
       {{-4.010737309777426, -6.323455011249393, -6.641032609681041}}, 
       {{-3.9589009689378893, -6.308651556068168, -6.579281256677966}}, 
       {{-3.9333491726312753, -6.307207227346792, -6.536258073598819}}, 
       {{-3.928497717448688, -6.320312567246769, -6.510086572944947}}, 
       {{-3.9375389641852467, -6.334691391357021, -6.497533423584147}}, 
       {{-3.93579327593968, -6.301104936045152, -6.496118741931071}}, 
       {{-3.9744141190238564, -6.358747845405544, -6.5137659882404035}}, 
       {{-4.0235164724878505, -6.431315292218899, -6.537920035697457}}, 
       {{-4.063424094489202, -6.478718623090911, -6.566918239847455}}, 
       {{-4.102038140096599, -6.515532455945759, -6.5999013236466135}}, 
       {{-4.142535504783946, -6.556038249622472, -6.635287266400396}}, 
       {{-4.184162414055034, -6.599901149465396, -6.67190423275058}}, 
       {{-4.2274915479542345, -6.6405129238211265, -6.7088934379832965}}, 
       {{-4.27040141413533, -6.688176261757672, -6.745633290551088}}, 
       {{-4.313422743488213, -6.729720755211336, -6.781681189206106}}, 
       {{-4.355667026707314, -6.773578304046227, -6.8167292128252415}}, 
       {{-4.395311770974866, -6.817354561244133, -6.850570506918171}}}, 
      {{{-5.256704044906847, -7.447087144292207, -7.831798317847123}}, 
       {{-5.160221293088699, -7.408394302142891, -7.761345615455819}}, 
       {{-5.071644365181764, -7.363090299471204, -7.681689648854646}}, 
       {{-5.0045556650255, -7.329785139077294, -7.611055980360706}}, 
       {{-4.961814628660085, -7.31200047161569, -7.556894641458373}}, 
       {{-4.940533547626449, -7.310011733533836, -7.5192426700079285}}, 
       {{-4.93639459474729, -7.317676790414692, -7.496667262179773}}, 
       {{-4.943317663614229, -7.327466342146929, -7.486834176104621}}, 
       {{-4.940172632742985, -7.29440290061944, -7.484446571423236}}, 
       {{-4.972864000320325, -7.345638667608679, -7.500358267713132}}, 
       {{-5.0166409647706764, -7.412523185932857, -7.522010849752407}}, 
       {{-5.052376222565943, -7.454009421363678, -7.547743772470781}}, 
       {{-5.086587689546064, -7.487620068999542, -7.577310314361326}}, 
       {{-5.123256917945854, -7.52410518454025, -7.609483600974568}}, 
       {{-5.16166639111894, -7.56252999269668, -7.643235197810476}}, 
       {{-5.201239155860445, -7.600836706791824, -7.67778281449563}}, 
       {{-5.241547921507907, -7.645841788810319, -7.712536120556757}}, 
       {{-5.282530155002089, -7.6855962586294435, -7.747053975282399}}, 
       {{-5.322300324090882, -7.729901356503168, -7.781010947018746}}}, 
      {{{-6.312933896740949, -8.490224854456882, -8.868903159121263}}, 
       {{-6.216884715284204, -8.446510732736023, -8.801904146292081}}, 
       {{-6.121353591947676, -8.393176004560335, -8.714915685001786}}, 
       {{-6.042588094944722, -8.346066888535576, -8.634050422591496}}, 
       {{-5.985346910699467, -8.316196256571994, -8.567976379156518}}, 
       {{-5.949396540993201, -8.295171666505196, -8.518957247363304}}, 
       {{-5.931104162517401, -8.29198876078044, -8.48551712589211}}, 
       {{-5.9271827438685145, -8.296787624313358, -8.466047113793683}}, 
       {{-5.932168681242655, -8.304054215974649, -8.457346275462019}}, 
       {{-5.927883745546948, -8.269817243879356, -8.454491149027994}}, 
       {{-5.956272811582185, -8.313582443544727, -8.468941973089438}}, 
       {{-5.99535563791723, -8.376114096522793, -8.488041113892471}}, 
       {{-6.027119394968957, -8.413213593409292, -8.511006566712341}}, 
       {{-6.057669364172426, -8.443016290371254, -8.537555737726597}}, 
       {{-6.090967924803291, -8.475985256077378, -8.566770376770588}}, 
       {{-6.125656081710088, -8.511833242329923, -8.59775656144508}}, 
       {{-6.162137287466463, -8.54733053456251, -8.629822369797163}}, 
       {{-6.199941855672141, -8.588336977092867, -8.662420561462294}}, 
       {{-6.23856380730365, -8.62704303620454, -8.695127960331455}}}, 
      {{{-7.360719260816622, -9.527786813743749, -9.90368714667991}}, 
       {{-7.265505950371288, -9.485062759028146, -9.83140749232072}}, 
       {{-7.165977032325485, -9.425875471743685, -9.741110931778167}}, 
       {{-7.078493297826543, -9.36746700849125, -9.652880323554946}}, 
       {{-7.009645294513936, -9.32123736311221, -9.576955156702859}}, 
       {{-6.960447756751184, -9.288864444035749, -9.516718692751073}}, 
       {{-6.929349524502095, -9.270197058729483, -9.472870888509906}}, 
       {{-6.913404344116148, -9.26382912765596, -9.442919301785386}}, 
       {{-6.909426681728294, -9.26564199771191, -9.425263603804543}}, 
       {{-6.912984520407413, -9.269823509574266, -9.417521429844353}}, 
       {{-6.907487630433083, -9.237875381302468, -9.41423219364167}}, 
       {{-6.932227839980576, -9.276541125944183, -9.42721039190663}}, 
       {{-6.9676494310787405, -9.331053166843473, -9.444425968069314}}, 
       {{-6.996104372972458, -9.364904932001464, -9.4648881407476}}, 
       {{-7.0231112258594885, -9.390567667672084, -9.488746586267958}}, 
       {{-7.052755324598442, -9.421184943563683, -9.5152913423393}}, 
       {{-7.08479747540173, -9.453994744452347, -9.543712331720739}}, 
       {{-7.118902490324407, -9.486430220913546, -9.573411134246099}}, 
       {{-7.153838454907544, -9.523357278490405, -9.60383564714278}}}, 
      {{{-8.406952750535838, -10.565528134101239, -10.94043780229546}}, 
       {{-8.31329399521999, -10.526058554725404, -10.86487001479698}}, 
       {{-8.211505686753162, -10.461977525251683, -10.771070494776565}}, 
       {{-8.117303571426536, -10.396021440948637, -10.675494539758747}}, 
       {{-8.039200074893126, -10.336074459124736, -10.590434640382302}}, 
       {{-7.978825752349223, -10.290467220892083, -10.520703203394689}}, 
       {{-7.936208272330235, -10.25925610404606, -10.466073462455151}}, 
       {{-7.9088209268408285, -10.240198855779026, -10.425957703570415}}, 
       {{-7.894421010546235, -10.232904504687879, -10.399138780829484}}, 
       {{-7.89038144089434, -10.23250302457001, -10.383059614087717}}, 
       {{-7.892754936269423, -10.234062518966978, -10.375675611419028}}, 
       {{-7.886454649578166, -10.202774024288672, -10.372845448564965}}, 
       {{-7.908373635486238, -10.236473000908337, -10.383921923763483}}, 
       {{-7.9402128071109335, -10.287777649223917, -10.399089063696309}}, 
       {{-7.965744933952671, -10.315851550894818, -10.417455575255548}}, 
       {{-7.989751779626249, -10.338669846936764, -10.438917381664547}}, 
       {{-8.016394958052867, -10.3668375517799, -10.463030207845508}}, 
       {{-8.04567139712406, -10.395445633437157, -10.489061845440187}}, 
       {{-8.076988573359795, -10.427155759747313, -10.516542454751065}}}, 
      {{{-9.4579097181589, -11.615849919458434, -11.982523887905021}}, 
       {{-9.366476245296354, -11.574035781975724, -11.908138180722203}}, 
       {{-9.263226521657682, -11.506497653527774, -11.809565720141675}}, 
       {{-9.164418190418518, -11.433296442733639, -11.70779694300881}}, 
       {{-9.078463063052057, -11.36171720946465, -11.614480435222783}}, 
       {{-9.008675648937974, -11.30747388742654, -11.534262147017518}}, 
       {{-8.955729825912599, -11.262988650015675, -11.470222371658382}}, 
       {{-8.917802552255681, -11.235415442129332, -11.420285024787262}}, 
       {{-8.893506712709687, -11.216424751019616, -11.38409454593343}}, 
       {{-8.880394026359209, -11.206217321420127, -11.359400466146106}}, 
       {{-8.876381527254617, -11.201920223682382, -11.344667214019474}}, 
       {{-8.877461197692151, -11.203577581635837, -11.337488283056878}}, 
       {{-8.870410077269636, -11.174496022064675, -11.334947669241888}}, 
       {{-8.890016874562392, -11.204923115203473, -11.344420046158202}}, 
       {{-8.919469827898489, -11.24844100602318, -11.358162005290826}}, 
       {{-8.941614844751138, -11.272847720332816, -11.374401477043317}}, 
       {{-8.963461915848287, -11.292223273378669, -11.393876728397643}}, 
       {{-8.98723273938243, -11.317646121813167, -11.415751814955525}}, 
       {{-9.014181180019541, -11.345168554795755, -11.43968514022729}}}, 
      {{{-10.5198540265704, -12.678949148528343, -13.04351615821929}}, 
       {{-10.430218818921098, -12.636187807009039, -12.96612475670769}}, 
       {{-10.326412989143193, -12.564532253488549, -12.864340080428859}}, 
       {{-10.223757172430265, -12.484408264745314, -12.756621648317301}}, 
       {{-10.13175447141119, -12.406956323570121, -12.655902081982646}}, 
       {{-10.05417369547657, -12.339239966651999, -12.567957060783929}}, 
       {{-9.991885593368718, -12.285013251549081, -12.49401719398194}}, 
       {{-9.944818959365241, -12.242974498142976, -12.435673120506749}}, 
       {{-9.910981753192793, -12.214910231442373, -12.389939553124565}}, 
       {{-9.88920178202655, -12.19553515993345, -12.35703625130402}}, 
       {{-9.87705828537467, -12.185403516950608, -12.334293887098173}}, 
       {{-9.872628900810899, -12.181309571981703, -12.31994108516652}}, 
       {{-9.873197187753952, -12.179892594321078, -12.312870807077784}}, 
       {{-9.865286793931556, -12.153092620698848, -12.310566469523234}}, 
       {{-9.88289060919152, -12.179645069837568, -12.317709503305627}}, 
       {{-9.909447126621114, -12.218770418136685, -12.3295257941192}}, 
       {{-9.929477752420095, -12.24064004573883, -12.343928478762226}}, 
       {{-9.948591761874265, -12.258055269892472, -12.361211181355449}}, 
       {{-9.970577224053526, -12.278679180314533, -12.381056656198728}}}, 
      {{{-11.598801487618504, -13.762882904141092, -14.117773347350324}}, 
       {{-11.510811457725936, -13.719437910124245, -14.037583403945309}}, 
       {{-11.406645460297597, -13.644989268304597, -13.93159369066885}}, 
       {{-11.301473172902844, -13.558315539392472, -13.819753683840611}}, 
       {{-11.204249727576737, -13.471658784976036, -13.712172404275918}}, 
       {{-11.119376981667754, -13.396856068081492, -13.615084584369438}}, 
       {{-11.049513268429791, -13.32946388789866, -13.533342870659764}}, 
       {{-10.994076392560057, -13.277994967080966, -13.465309034970199}}, 
       {{-10.95145412284625, -13.23797046661081, -13.409851911297373}}, 
       {{-10.92092205029206, -13.210733324198157, -13.367372215202948}}, 
       {{-10.90090508406356, -13.193054219261825, -13.335959292868417}}, 
       {{-10.889592532084942, -13.180755943123115, -13.313914520042479}}, 
       {{-10.88541115371711, -13.175560342851693, -13.300430054996818}}, 
       {{-10.884803867528973, -13.173779331826086, -13.293657009686601}}, 
       {{-10.876842615865014, -13.148205148410478, -13.291988275311638}}, 
       {{-10.892671586982134, -13.172118061709433, -13.297909292108121}}, 
       {{-10.916527410786331, -13.207533428664368, -13.308031969653818}}, 
       {{-10.934065804700236, -13.22673542514105, -13.320879880466379}}, 
       {{-10.952116947613181, -13.239149135661147, -13.336702824506865}}}, 
      {{{-12.700703415676818, -14.872727090743734, -15.213687431072488}}, 
       {{-12.613942219368594, -14.823963549438849, -15.128947630071918}}, 
       {{-12.509562289727233, -14.745705280551228, -15.019557480402298}}, 
       {{-12.401691395727893, -14.655250276450943, -14.90190805312214}}, 
       {{-12.300069066162264, -14.561605846314414, -14.786424632396397}}, 
       {{-12.209690502306382, -14.475809067788182, -14.681819597153847}}, 
       {{-12.13269149473399, -14.401225101680774, -14.590542107426332}}, 
       {{-12.069488605156838, -14.339309910517192, -14.513935138618686}}, 
       {{-12.019139771291679, -14.290162108844452, -14.451038820219779}}, 
       {{-11.980895351320656, -14.252518764389986, -14.40090750945366}}, 
       {{-11.953128527882813, -14.22535934828262, -14.361769655933227}}, 
       {{-11.934671555333685, -14.206341132027152, -14.332733991860186}}, 
       {{-11.923827255962903, -14.19495342093048, -14.312507281265272}}, 
       {{-11.91924403233436, -14.1889714056752, -14.300032461522537}}, 
       {{-11.918342120553511, -14.18605202178934, -14.29394133083058}}, 
       {{-11.909643374760181, -14.163364342989208, -14.29248762258138}}, 
       {{-11.924452061755623, -14.183205905557191, -14.297472356696755}}, 
       {{-11.94617685516264, -14.213877310440466, -14.306289454245318}}, 
       {{-11.961959264878045, -14.229445249038577, -14.317886451456785}}}, 
      {{{-13.831418676333183, -16.01499778413689, -16.334130201207916}}, 
       {{-13.745463838950368, -15.963886326076265, -16.24216601211041}}, 
       {{-13.640739835994935, -15.879471159684465, -16.125511142458635}}, 
       {{-13.530866678990723, -15.783399175451988, -16.000970045171087}}, 
       {{-13.425646169292605, -15.680115981789802, -15.880618130509474}}, 
       {{-13.329798098828523, -15.58706176941181, -15.76977516673551}}, 
       {{-13.246378085102823, -15.503515499620809, -15.672177951273309}}, 
       {{-13.17618618919955, -15.433453832359591, -15.588878960354117}}, 
       {{-13.11865875291234, -15.375388892885828, -15.519344237846727}}, 
       {{-13.073307432652364, -15.32666220710595, -15.462177327449744}}, 
       {{-13.0384022947873, -15.291177411108466, -15.41622927749688}}, 
       {{-13.012982988144152, -15.264628589152121, -15.380718494386159}}, 
       {{-12.995412935977201, -15.246308472590355, -15.354252291909946}}, 
       {{-12.985143128256858, -15.234414108655827, -15.335989687570953}}, 
       {{-12.980451093527067, -15.227447903287587, -15.324464424523521}}, 
       {{-12.9792989862251, -15.222982504678352, -15.318816153076236}}, 
       {{-12.970213300315553, -15.20247869075815, -15.31761856664508}}, 
       {{-12.983617864134038, -15.221417536370623, -15.321767405706654}}, 
       {{-13.003653590083982, -15.247910634890049, -15.329394079411486}}}, 
      {{{-14.997721609740097, -17.196069639487543, -17.465921890155556}}, 
       {{-14.912143618537879, -17.13883656881143, -17.369073442239966}}, 
       {{-14.8069347981711, -17.049800954631287, -17.25048043298019}}, 
       {{-14.695199325857951, -16.943893558255066, -17.12403211129012}}, 
       {{-14.586242349106497, -16.836343702801386, -17.000190163180715}}, 
       {{-14.485847223468925, -16.73460246970662, -16.885714401207682}}, 
       {{-14.396985062709524, -16.641981676368317, -16.783313067477465}}, 
       {{-14.320393321866042, -16.56271652701266, -16.694225465435327}}, 
       {{-14.256231451082504, -16.49497981198404, -16.61859531615878}}, 
       {{-14.203781575013233, -16.439628804156182, -16.55545114167725}}, 
       {{-14.16203360082569, -16.395345830646463, -16.50390576285946}}, 
       {{-14.130050780954063, -16.360300556954694, -16.462767548927296}}, 
       {{-14.106430835433333, -16.3346759678795, -16.430780708143402}}, 
       {{-14.090126238874143, -16.316579949067478, -16.406884668352006}}, 
       {{-14.080247437449787, -16.304230752153448, -16.39007929930122}}, 
       {{-14.075249002619724, -16.297455686799424, -16.379440263820143}}, 
       {{-14.073552635812614, -16.293208374611936, -16.374154909485462}}, 
       {{-14.064096243437426, -16.275720242643036, -16.373295100974527}}, 
       {{-14.07695619837713, -16.291427403531163, -16.376747589443834}}}, 
      {{{-16.20688344917875, -18.423390633769475, -18.616671046527077}}, 
       {{-16.12121581337304, -18.358061690026513, -18.51795671117359}}, 
       {{-16.01525286355951, -18.259060495250072, -18.399369147258657}}, 
       {{-15.901582856156676, -18.14865256199836, -18.273357900279027}}, 
       {{-15.789921122979202, -18.032087484595564, -18.149430567101035}}, 
       {{-15.685104125804372, -17.92192634140705, -18.033146158278242}}, 
       {{-15.590608410474104, -17.823212817905468, -17.927860593925967}}, 
       {{-15.508397191544784, -17.73399159845644, -17.835328283190506}}, 
       {{-15.438090722371376, -17.658516099660496, -17.755446817773}}, 
       {{-15.379734785114264, -17.594121596237546, -17.68760375937418}}, 
       {{-15.33149741689808, -17.54208707415555, -17.630991240269864}}, 
       {{-15.293191143024476, -17.499961308225284, -17.584638476125726}}, 
       {{-15.263429242011362, -17.466789153067513, -17.547457363573205}}, 
       {{-15.241472659858138, -17.441690536393747, -17.518522332986713}}, 
       {{-15.225908661593436, -17.42387435241541, -17.496819855545013}}, 
       {{-15.216295970602793, -17.411910656341462, -17.481480391589454}}, 
       {{-15.211071171899508, -17.4046311859367, -17.471699034023384}}, 
       {{-15.209161728837747, -17.39971674983151, -17.466757689552892}}, 
       {{-15.1995126062773, -17.38540780983167, -17.466000477530002}}}}, 
     {Automatic, Automatic}]
 
sigmaLOSS7[x_, y_] := If[x < 200 || x > 2000 || y < 200 || y > 2000, 
     "Squark or gluino mass outside range of interpolation!", 
     {SetPrecision[E^fLOSSLog7[x, y][[1]], 3], SetPrecision[
       E^fLOSSLog7[x, y][[2]], 3], SetPrecision[-E^fLOSSLog7[x, y][[3]], 3]}]
 
fLOSSLog7 = InterpolatingFunction[{{200., 2000.}, {200., 2000.}}, 
     {4, 3, 0, {19, 19}, {5, 5}, 0, 0, 0, 0, Automatic}, 
     {{200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000.}, 
      {200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000.}}, 
     {{{{4.956531035103055, 3.7495040759303713, 3.414442608412176}}, 
       {{4.690430029938915, 3.484312288372662, 3.1450139762697455}}, 
       {{4.428790938649766, 3.221671912170202, 2.8859174075467844}}, 
       {{4.184489912073446, 2.9801108926510342, 2.6440448711262974}}, 
       {{3.959669658895499, 2.7587433154177283, 2.421256622711544}}, 
       {{3.753261713043204, 2.555675720676208, 2.2181159363675955}}, 
       {{3.563032744247961, 2.3693087250369538, 2.0294631718735947}}, 
       {{3.3874364664121184, 2.1961128484835286, 1.856297990365626}}, 
       {{3.2240623515555007, 2.0360119837525, 1.6956156086751526}}, 
       {{3.0717669598299886, 1.8870696490323802, 1.5432981099295553}}, 
       {{2.929592471049446, 1.7457155307266483, 1.4036429994545032}}, 
       {{2.7960610784249234, 1.6134299337036377, 1.2725655957915474}}, 
       {{2.67000213346468, 1.4883995840570445, 1.1474024528375417}}, 
       {{2.551006451492524, 1.3711807233098428, 1.0296194171811586}}, 
       {{2.4379897300002487, 1.2612978709452056, 0.9174900124496372}}, 
       {{2.330200260027019, 1.156881196792086, 0.8087055211942172}}, 
       {{2.2285078895977297, 1.0557047876568333, 0.7095125346462093}}, 
       {{2.1310847748316744, 0.9578164787026533, 0.61302113608066}}, 
       {{2.037968293473261, 0.864997437486605, 0.5205779152086688}}}, 
      {{{3.398192872641857, 2.2607208888953467, 1.9080599249242154}}, 
       {{3.2476576262936527, 2.1041341542702074, 1.7526720805200082}}, 
       {{3.070839746040796, 1.9242486522741342, 1.5748464676644809}}, 
       {{2.8892600290434745, 1.742219023667919, 1.3937663759585919}}, 
       {{2.712706012638404, 1.5665304114228238, 1.2178757094949277}}, 
       {{2.543961412569315, 1.398716881118448, 1.0508216248317617}}, 
       {{2.3832429960115, 1.244154593958768, 0.8891250638013855}}, 
       {{2.232377197950549, 1.0912519342618177, 0.7409845099741049}}, 
       {{2.089391872533004, 0.9516578757114463, 0.5993858007454708}}, 
       {{1.9541617252530783, 0.8175747589349976, 0.46561903092791146}}, 
       {{1.8259998523827556, 0.6916460544336781, 0.33789978861239783}}, 
       {{1.7045662575256777, 0.570979546585738, 0.21833199431698752}}, 
       {{1.5890311026564377, 0.4574248470388755, 0.10345870836822997}}, 
       {{1.4788735424129837, 0.34924742810993586, -0.006018072325563245}}, 
       {{1.3739687114292538, 0.24529635595534308, -0.10981486600720669}}, 
       {{1.2736854167372362, 0.14583044821153954, -0.2094872248667242}}, 
       {{1.1777314931207088, 0.05069311431551858, -0.30381145438166457}}, 
       {{1.0858647158456072, -0.03978087001184471, -0.39452516806982946}}, 
       {{0.9973175705165285, -0.1266976530459573, -0.48450831544861783}}}, 
      {{{2.124414907322567, 1.0338959739484181, 0.6703901934373291}}, 
       {{2.0515563381903004, 0.951657875711446, 0.5916680116100916}}, 
       {{1.937013548547558, 0.8337783102996911, 0.4743690867553751}}, 
       {{1.805333589255173, 0.7001227942963707, 0.34145977813225203}}, 
       {{1.667895482005669, 0.5624688569178291, 0.20375683751401963}}, 
       {{1.530827511852189, 0.42526773540434426, 0.06672363204290813}}, 
       {{1.3964921860963366, 0.2919230667090351, -0.06720874969344952}}, 
       {{1.2666658736643595, 0.16296882827813972, -0.19601488392595706}}, 
       {{1.1416717781285568, 0.039220713153280906, -0.320205264157341}}, 
       {{1.021731244332152, -0.07904320734045296, -0.4400565528777832}}, 
       {{0.9066443548223496, -0.19358474907266554, -0.5533852381847867}}, 
       {{0.7966058889281753, -0.3024573580339354, -0.6616485135005743}}, 
       {{0.6906440503418269, -0.406465608441748, -0.7678707267558814}}, 
       {{0.5894519442211802, -0.5074978336733162, -0.8675005677047233}}, 
       {{0.4916428043492167, -0.603306476560156, -0.9649559038554361}}, 
       {{0.398104753701872, -0.6951491832306186, -1.0584304990352773}}, 
       {{0.30821972366932904, -0.785262469467751, -1.1457038962019601}}, 
       {{0.22154226994723591, -0.8722738464573809, -1.2330583852210326}}, 
       {{0.1380212978973746, -0.9545119446943529, -1.315649521550559}}}, 
      {{{1.0083228173206489, -0.044997365930735805, -0.41703174447962943}}, 
       {{0.9891693772867276, -0.07257069283483526, -0.443166975292176}}, 
       {{0.9238619973704731, -0.1427163022015952, -0.5124936808666873}}, 
       {{0.8329091229351039, -0.2369889581362626, -0.6051363032372323}}, 
       {{0.7294791098073355, -0.342490308946776, -0.7092765624898294}}, 
       {{0.620038708739307, -0.4525567156420147, -0.8187104035352909}}, 
       {{0.5086232002107907, -0.5638748448558059, -0.9314043696842029}}, 
       {{0.398104753701872, -0.6733445532637656, -1.0412872220488396}}, 
       {{0.28968007511445404, -0.7808860948679521, -1.1488535051048558}}, 
       {{0.1839868361130158, -0.8867319296326103, -1.2531630485167078}}, 
       {{0.08065790301745454, -0.9888614247089909, -1.3575125596944382}}, 
       {{-0.01877515532633398, -1.0888599972254314, -1.4554300999547525}}, 
       {{-0.11518640980911748, -1.184823985487175, -1.5506974174115005}}, 
       {{-0.20850127457733975, -1.2758269080939195, -1.6435118927678523}}, 
       {{-0.2988104302396246, -1.3657077275115024, -1.7338679908122776}}, 
       {{-0.3859566417201215, -1.4524341636244358, -1.8201589437497534}}, 
       {{-0.4703236804566608, -1.536187450694508, -1.9038089730366778}}, 
       {{-0.5519949008040616, -1.616966178854892, -1.9848588991938882}}, 
       {{-0.6309238373798134, -1.695540611487512, -2.0635681925235456}}}, 
      {{{-0.010151351056375355, -1.0325436886984047, -1.410587053688935}}, 
       {{0.007968169649176881, -1.021651247531981, -1.3991769869509043}}, 
       {{-0.01816397062767118, -1.05268335677971, -1.4283671375417983}}, 
       {{-0.07429260458185508, -1.1129140733789697, -1.4872202797098513}}, 
       {{-0.14873205380039942, -1.190069899156945, -1.5635089805457005}}, 
       {{-0.23319388716771114, -1.2765434971607716, -1.6486986263874028}}, 
       {{-0.323240167852495, -1.3668839676000673, -1.7395465977811209}}, 
       {{-0.4158185201876559, -1.4597256392057738, -1.8319566589794676}}, 
       {{-0.5091603444469295, -1.5525851008413176, -1.9255194594075793}}, 
       {{-0.6018450221531594, -1.6450650900772512, -2.0181583132629375}}, 
       {{-0.6931471805599453, -1.7361355654800579, -2.108664400356739}}, 
       {{-0.7828530936444383, -1.8251094489096094, -2.198225077669803}}, 
       {{-0.8703617999857552, -1.912572089444803, -2.284745174865715}}, 
       {{-0.9558114900364384, -1.9973087121413138, -2.3697938426874954}}, 
       {{-1.039023497256452, -2.080241861850605, -2.4522458675484518}}, 
       {{-1.1202445887952235, -2.1602178517071238, -2.534517150341335}}, 
       {{-1.198985262814897, -2.2386717672503926, -2.611831343361667}}, 
       {{-1.275468806031006, -2.314657674228315, -2.6882475738060303}}, 
       {{-1.3501553145040175, -2.3881429813556925, -2.7630345094349695}}}, 
      {{{-0.96443110720209, -1.9575779539229954, -2.3423659630058906}}, 
       {{-0.920298753271694, -1.9207298505250145, -2.3035855933276292}}, 
       {{-0.916290731874155, -1.9220959709560586, -2.303585593327629}}, 
       {{-0.9431481860440377, -1.95333766488411, -2.333044300478754}}, 
       {{-0.9912837109155852, -2.0047051955658186, -2.3837951484195887}}, 
       {{-1.0532565869473125, -2.06830379726938, -2.4464554634137476}}, 
       {{-1.1239300966523995, -2.1396162647159063, -2.5182566294695543}}, 
       {{-1.1996488328458814, -2.2164073967529934, -2.5942751868433653}}, 
       {{-1.2783372196147982, -2.295609479257621, -2.673648774384877}}, 
       {{-1.3582901647102932, -2.3762316331623445, -2.753570716404019}}, 
       {{-1.4388516118585666, -2.4557362724882204, -2.833613424077556}}, 
       {{-1.5186835491656363, -2.5357789801617567, -2.9132310520422475}}, 
       {{-1.5980035348084372, -2.613194670089531, -2.9937342708913177}}, 
       {{-1.6755777149386453, -2.6911930840357874, -3.0704558197499274}}, 
       {{-1.7521542146356957, -2.7678002055079842, -3.1465551632885744}}, 
       {{-1.8269722249837996, -2.84215318562569, -3.2213789550863194}}, 
       {{-1.900458886151396, -2.9150743705365367, -3.2941383093687477}}, 
       {{-1.9718435310818179, -2.9857819427008225, -3.363901596918459}}, 
       {{-2.0417604747121474, -3.055482277959765, -3.4345473613437094}}}, 
      {{{-1.8753584931043688, -2.8404393891479556, -3.2339894626782493}}, 
       {{-1.8146187633741377, -2.7854713480707947, -3.1772541501773817}}, 
       {{-1.7867719277170158, -2.7646205525906042, -3.153556358747558}}, 
       {{-1.7891628433807891, -2.7709900008760844, -3.158251203051766}}, 
       {{-1.8140050781753747, -2.800165490010016, -3.184474398150868}}, 
       {{-1.8553384508709263, -2.843869924244745, -3.228926160721702}}, 
       {{-1.907843948248857, -2.8967923256990873, -3.280751228586288}}, 
       {{-1.9675424491824272, -2.958436488810294, -3.341043458842408}}, 
       {{-2.0325579557809856, -3.024131748075689, -3.407919927422982}}, 
       {{-2.1004609089039112, -3.0922431739348344, -3.476028692285159}}, 
       {{-2.1698039817602273, -3.1629681929299047, -3.5446059649575115}}, 
       {{-2.2405497020745933, -3.2314546070750607, -3.6163727633271883}}, 
       {{-2.311222286389709, -3.303344981494651, -3.686881451451263}}, 
       {{-2.3816283003344987, -3.3726099248102424, -3.7575866521237273}}, 
       {{-2.451317146794445, -3.4413945714135687, -3.8267631614773223}}, 
       {{-2.520119405543745, -3.511570439143526, -3.8951658883617233}}, 
       {{-2.5880030637927596, -3.578053899025052, -3.9627901224817994}}, 
       {{-2.6546990256052156, -3.6446711994496157, -4.0296810488963795}}, 
       {{-2.720224002033919, -3.7098988213380117, -4.09474464224344}}}, 
      {{{-2.7562430437036953, -3.697314932935038, -4.09474464224344}}, 
       {{-2.6850175019916374, -3.6317432627431274, -4.027433856939473}}, 
       {{-2.639457409636598, -3.5906644066169817, -3.985669545596444}}, 
       {{-2.6212763523201716, -3.5759079754547747, -3.970712001776826}}, 
       {{-2.626239825904644, -3.5845194387896937, -3.97762876252614}}, 
       {{-2.649026860652749, -3.610438027807374, -4.0024949085922215}}, 
       {{-2.6847243757987136, -3.647737510782761, -4.039288356474023}}, 
       {{-2.7296825012293238, -3.694495192899572, -4.085186624437335}}, 
       {{-2.7812662634334693, -3.7469323855625536, -4.137669686960474}}, 
       {{-2.83736193758255, -3.80361713158436, -4.193723006202379}}, 
       {{-2.8966111826861836, -3.8632328412587142, -4.253809336873128}}, 
       {{-2.9578586211259097, -3.9246017876350066, -4.314741887868285}}, 
       {{-3.020229905154391, -3.986746551624083, -4.377238117942085}}, 
       {{-3.0830346019567876, -4.05013630755778, -4.4396557475105185}}, 
       {{-3.146090155142553, -4.112915947807536, -4.502613597662999}}, 
       {{-3.2089254940150327, -4.175988551262611, -4.56594947283481}}, 
       {{-3.271485775140498, -4.237753145517456, -4.628438812927446}}, 
       {{-3.333164971270328, -4.299893805135359, -4.689639342614541}}, 
       {{-3.3941224679901936, -4.360656608937689, -4.750195958038349}}}, 
      {{{-3.6186074011286045, -4.53471172233953, -4.939245298009583}}, 
       {{-3.541149342089601, -4.46280294470117, -4.865237091406899}}, 
       {{-3.482190540871687, -4.408781371982702, -4.809737351729366}}, 
       {{-3.4473460376881357, -4.378034613404344, -4.777145450727902}}, 
       {{-3.4348575831547907, -4.368518284649089, -4.766513336396854}}, 
       {{-3.4407701567819786, -4.377238117942085, -4.774772970374271}}, 
       {{-3.4609473860679296, -4.398969355404193, -4.796330691449251}}, 
       {{-3.491997745988652, -4.431216878864653, -4.8283137373023015}}, 
       {{-3.530850589889026, -4.472389074754273, -4.867834495464584}}, 
       {{-3.5759079754547747, -4.517159308665378, -4.914416436355713}}, 
       {{-3.6249661283702834, -4.566911473871001, -4.9632747227364185}}, 
       {{-3.6769508832486624, -4.619269110367593, -5.016150474784366}}, 
       {{-3.7313695057348886, -4.673449026741386, -5.07038529850203}}, 
       {{-3.7867128144626996, -4.729600264366268, -5.126046145607583}}, 
       {{-3.8434302139625345, -4.785493740119373, -5.183204559447532}}, 
       {{-3.900094434562872, -4.843427375112349, -5.23816344372829}}, 
       {{-3.957020371358882, -4.900884430137137, -5.296319363885363}}, 
       {{-4.014055730993298, -4.956147108812186, -5.353830076478295}}, 
       {{-4.070432742175788, -5.0131384243143735, -5.408132232555244}}}, 
      {{{-4.4706392930304855, -5.362322696523949, -5.774741563596695}}, 
       {{-4.3892526797656215, -5.288367035694868, -5.694327315885446}}, 
       {{-4.320743406256983, -5.223209894061231, -5.629324563738191}}, 
       {{-4.272275770714763, -5.177871213472169, -5.583336321580334}}, 
       {{-4.245400037142057, -5.153351596297851, -5.559682130682444}}, 
       {{-4.236369062251518, -5.14645501723879, -5.551920125346955}}, 
       {{-4.241916926689236, -5.155083198462129, -5.559682130682444}}, 
       {{-4.259455082285701, -5.176099733823787, -5.578031269350641}}, 
       {{-4.286716454869556, -5.2030071867437115, -5.604842526801297}}, 
       {{-4.320743406256983, -5.23816344372829, -5.640807675494813}}, 
       {{-4.359873830032749, -5.2785147392518565, -5.680163609057567}}, 
       {{-4.403046001897957, -5.322610059117081, -5.7235771019843815}}, 
       {{-4.44902150349816, -5.368739830844583, -5.768961200681195}}, 
       {{-4.498111113694684, -5.417100902538003, -5.820203937673453}}, 
       {{-4.547845119368822, -5.46555328592395, -5.869600959351142}}, 
       {{-4.598194572251666, -5.518964037663659, -5.918214085368389}}, 
       {{-4.650272159900512, -5.569863657090414, -5.971661919811802}}, 
       {{-4.702231898831222, -5.622663423371409, -6.0235746010262154}}, 
       {{-4.754250409002244, -5.673738353307824, -6.0757160995555735}}}, 
      {{{-5.317704080348227, -6.18796616747577, -6.603216089463933}}, 
       {{-5.235718224791516, -6.109797734069846, -6.523854348789813}}, 
       {{-5.160121867796637, -6.037717931625444, -6.451597056558455}}, 
       {{-5.100943007127789, -5.982703041439409, -6.39433302936888}}, 
       {{-5.060876510533003, -5.945344611494429, -6.356747865583315}}, 
       {{-5.038571912789278, -5.925676806569979, -6.336775732396399}}, 
       {{-5.031501486777641, -5.92081970753865, -6.330580274674612}}, 
       {{-5.037030605455787, -5.927926526303994, -6.337906314766686}}, 
       {{-5.052551637197547, -5.944962713456563, -6.3538701657556995}}, 
       {{-5.076134276328951, -5.96970305532647, -6.378304191092981}}, 
       {{-5.1060454789009135, -5.999900025929084, -6.409407176727259}}, 
       {{-5.140630090712443, -6.035207470055901, -6.444021262749997}}, 
       {{-5.178935609527956, -6.0744114679289085, -6.482487543577792}}, 
       {{-5.220245831127881, -6.115668150567288, -6.524535779821292}}, 
       {{-5.263722721783537, -6.159173391534091, -6.567717976196428}}, 
       {{-5.308771824451895, -6.2046577675690235, -6.613594240432647}}, 
       {{-5.354887718036431, -6.2507535450585445, -6.659333920483658}}, 
       {{-5.401901682804607, -6.297989707361243, -6.706448422277102}}, 
       {{-5.4493728414679925, -6.345286422064308, -6.753318925677718}}}, 
      {{{-6.167247527062354, -7.014227523492654, -7.437084374312688}}, 
       {{-6.084896491900534, -6.936154753503835, -7.357172274619485}}, 
       {{-6.004347172938996, -6.8589651148127055, -7.278818960372969}}, 
       {{-5.936597645667142, -6.7953198496523495, -7.212922665774937}}, 
       {{-5.886024034649985, -6.746487131386015, -7.165231509376852}}, 
       {{-5.852050491325304, -6.714658649020223, -7.133401960514465}}, 
       {{-5.83309421113654, -6.69911641387081, -7.1147794484164635}}, 
       {{-5.827306960941699, -6.694258104719732, -7.109871463104271}}, 
       {{-5.8320704949577316, -6.7007411095978116, -7.116010217802596}}, 
       {{-5.845806974685619, -6.715483391335014, -7.1308988302963465}}, 
       {{-5.866419058133758, -6.737168978406603, -7.152377861973471}}, 
       {{-5.892886983746988, -6.763654935008381, -7.179564002277628}}, 
       {{-5.923432136716155, -6.795319849652349, -7.210212637016072}}, 
       {{-5.957642998632471, -6.8298687403250655, -7.2446275956246895}}, 
       {{-5.994669678056931, -6.867573489349305, -7.281721720030931}}, 
       {{-6.0339545987289345, -6.905757276319465, -7.321756718112588}}, 
       {{-6.0744114679289085, -6.947536148993982, -7.361885559071582}}, 
       {{-6.116574358150826, -6.990050521708968, -7.4036922902543765}}, 
       {{-6.159646540348217, -7.033318501957483, -7.447323371613781}}}, 
      {{{-7.023727455234558, -7.848082588684534, -8.276602726498307}}, 
       {{-6.941829259315888, -7.769321111167046, -8.196922929371304}}, 
       {{-6.858013187087323, -7.688641373850089, -8.115401488674381}}, 
       {{-6.783769299201146, -7.617031841471966, -8.044069434834258}}, 
       {{-6.723768442869122, -7.559760516210908, -7.985682976457414}}, 
       {{-6.67982321093613, -7.518401238030338, -7.944238196184698}}, 
       {{-6.650017082903428, -7.49294531803699, -7.914517914020368}}, 
       {{-6.633918613352409, -7.476916479761091, -7.900117447807587}}, 
       {{-6.628609537552642, -7.473389139243123, -7.895542012561362}}, 
       {{-6.633158446079012, -7.478684826817833, -7.901737318572164}}, 
       {{-6.644622079451769, -7.491151595582964, -7.912877224562908}}, 
       {{-6.662458923026794, -7.511061755542293, -7.930518255366809}}, 
       {{-6.686213009034901, -7.5351147190040795, -7.956149851489629}}, 
       {{-6.713011202189626, -7.563606674798385, -7.981870096049859}}, 
       {{-6.743937193752742, -7.592934289892906, -8.013694343036708}}, 
       {{-6.777604594517092, -7.627246434881684, -8.048440344072155}}, 
       {{-6.812445099177812, -7.66277786326017, -8.081845708826203}}, 
       {{-6.850430212362868, -7.69961843248124, -8.12211517619456}}, 
       {{-6.887952651685957, -7.74016452687559, -8.157423042570203}}}, 
      {{{-7.892324851609587, -8.694527206699153, -9.129682468958729}}, 
       {{-7.8111297855897455, -8.615909164355395, -9.049923650570278}}, 
       {{-7.724879639361793, -8.532814572319195, -8.96582679492578}}, 
       {{-7.645063355327852, -8.456098092056427, -8.88825687280707}}, 
       {{-7.577576634238586, -8.391441986110678, -8.822360578209038}}, 
       {{-7.524497128339677, -8.340722048300458, -8.771440487781781}}, 
       {{-7.485611415207348, -8.303696017153833, -8.733485267781345}}, 
       {{-7.459750179786199, -8.279752335401204, -8.708959207038191}}, 
       {{-7.445267168010633, -8.266823653848435, -8.695721949971496}}, 
       {{-7.440485738136178, -8.263326467459187, -8.691546578561015}}, 
       {{-7.443898710732418, -8.26760247008718, -8.695721949971496}}, 
       {{-7.454208080391279, -8.278570069253641, -8.706539363147156}}, 
       {{-7.47004965112332, -8.295250360678546, -8.722374042356275}}, 
       {{-7.490793236862053, -8.316295249049347, -8.74409379160816}}, 
       {{-7.515091803128971, -8.34156062277308, -8.768221946219983}}, 
       {{-7.542633551418106, -8.369635627058623, -8.796245937169964}}, 
       {{-7.572898263132485, -8.399410155759854, -8.827120872815337}}, 
       {{-7.605111304316137, -8.431933347465414, -8.858979522861219}}, 
       {{-7.63901978165521, -8.466024904841838, -8.893342245190349}}}, 
      {{{-8.777260096835045, -9.558480413465078, -9.99779823200737}}, 
       {{-8.696918122362925, -9.4795278617918, -9.919616934466012}}, 
       {{-8.609308480324042, -9.394263210137112, -9.833961489887518}}, 
       {{-8.5252253631135, -9.313481130895696, -9.751625203226881}}, 
       {{-8.451405450878234, -9.241831039067554, -9.680344001221918}}, 
       {{-8.390120108852761, -9.183698441029762, -9.619813501481886}}, 
       {{-8.342819804471457, -9.138019710396556, -9.574183805393528}}, 
       {{-8.30814856448153, -9.10507986131869, -9.540234293237273}}, 
       {{-8.284891702317262, -9.083707721042817, -9.518225151745483}}, 
       {{-8.271896835460895, -9.071448373109563, -9.506054616125228}}, 
       {{-8.267212986148468, -9.06797313068926, -9.502030465825502}}, 
       {{-8.269942564758795, -9.071448373109563, -9.50471143257876}}, 
       {{-8.278964002683987, -9.081068036272043, -9.515507758768983}}, 
       {{-8.292850359526545, -9.095227564875678, -9.529169173424801}}, 
       {{-8.31139927843714, -9.11412151423564, -9.548614230544024}}, 
       {{-8.333206355303222, -9.136160973801932, -9.569876548195948}}, 
       {{-8.35805497007794, -9.161550207806751, -9.594533344808807}}, 
       {{-8.385288120536298, -9.189557832793653, -9.622830095021312}}, 
       {{-8.414636603091145, -9.219381116628332, -9.651950926720701}}}, 
      {{{-9.684352022619457, -10.44168437309825, -10.889128362545076}}, 
       {{-9.604717183098927, -10.364571084407304, -10.810818543038812}}, 
       {{-9.515643453185366, -10.277163338154885, -10.724013662425904}}, 
       {{-9.427998993059823, -10.19223686094833, -10.63787348111267}}, 
       {{-9.348683321597928, -10.116185845988799, -10.5604956864802}}, 
       {{-9.28087013816671, -10.05175556920523, -10.493717199089387}}, 
       {{-9.22586018363422, -9.99691949732868, -10.44031497884112}}, 
       {{-9.182725204943209, -9.956888329263244, -10.397128351548018}}, 
       {{-9.152071463852208, -9.925733161483448, -10.369021187110413}}, 
       {{-9.130605403957329, -9.907495573933668, -10.34758954425921}}, 
       {{-9.118673183450358, -9.89551938288695, -10.337043540810818}}, 
       {{-9.11412151423564, -9.891558981670855, -10.333040456173382}}, 
       {{-9.1159396965547, -9.89551938288695, -10.334886042670798}}, 
       {{-9.12324566512525, -9.903487552536129, -10.341682485267212}}, 
       {{-9.136160973801932, -9.915560133770397, -10.356358783041562}}, 
       {{-9.152071463852208, -9.931887027057826, -10.37157302262596}}, 
       {{-9.172081659859092, -9.9526777967269, -10.392877895582053}}, 
       {{-9.194467022819893, -9.973910016832674, -10.414980065289821}}, 
       {{-9.219280213545657, -10.0002187414959, -10.439972923082696}}}, 
      {{{-10.618062680509693, -11.352508743564323, -11.807296525572806}}, 
       {{-10.539120826895466, -11.275484608955194, -11.729838466533803}}, 
       {{-10.448904621071737, -11.188670412287607, -11.640758836480114}}, 
       {{-10.35824795236917, -11.100153781679627, -11.551666293286658}}, 
       {{-10.274261420854362, -11.01822922313412, -11.468908579553455}}, 
       {{-10.200546786800507, -10.94647593745624, -11.396921789213922}}, 
       {{-10.13845068065568, -10.886452417678276, -11.336454321854449}}, 
       {{-10.088372391733248, -10.837942255037955, -11.287384789056297}}, 
       {{-10.04967006271421, -10.80046597337791, -11.24979226543986}}, 
       {{-10.020920649428223, -10.773371911596128, -11.221002398261193}}, 
       {{-10.001541493011516, -10.754927312090667, -11.202503905548959}}, 
       {{-9.9901353592618, -10.743743598134285, -11.192292292378761}}, 
       {{-9.98534857901645, -10.740505103515776, -11.187225325330926}}, 
       {{-9.986869161475179, -10.741891745753211, -11.190117590543073}}, 
       {{-9.993193465620621, -10.749319820761722, -11.195927338184395}}, 
       {{-10.003971091114451, -10.760566424778437, -11.206912435833724}}, 
       {{-10.018673962345245, -10.775283044523732, -11.222497166850422}}, 
       {{-10.036333465869557, -10.793136353463861, -11.240610869649569}}, 
       {{-10.056638732030303, -10.813796212732736, -11.260611536356238}}}, 
      {{{-11.584206666975192, -12.296435085610565, -12.756332338541572}}, 
       {{-11.505949851233803, -12.218145226764443, -12.68024495164813}}, 
       {{-11.414891724698863, -12.129111604394046, -12.590853162445505}}, 
       {{-11.321479000399274, -12.038864726546267, -12.498834263725254}}, 
       {{-11.23302357983741, -11.952982017848012, -12.411376278716052}}, 
       {{-11.153853396431774, -11.875331083617946, -12.333906017040059}}, 
       {{-11.085698865080552, -11.808639709119273, -12.267948049248261}}, 
       {{-11.028649176437774, -11.753723951523158, -12.210080666927713}}, 
       {{-10.982885622280433, -11.708940348896185, -12.166851932376892}}, 
       {{-10.94704363545616, -11.675444394468004, -12.130965173043368}}, 
       {{-10.920704203000243, -11.649891320043386, -12.105322742430031}}, 
       {{-10.902616562719288, -11.632835761642786, -12.087401115812675}}, 
       {{-10.891811487310115, -11.621624881893569, -12.076800309826035}}, 
       {{-10.886987034103733, -11.618285980628055, -12.073291534296356}}, 
       {{-10.887521936496803, -11.619397709480745, -12.073291534296356}}, 
       {{-10.892886756230922, -11.626094163075866, -12.078559325231215}}, 
       {{-10.902616562719288, -11.635093098944436, -12.089178894058675}}, 
       {{-10.915738675556193, -11.64760036829683, -12.10351605720508}}, 
       {{-10.931268660443646, -11.66491182196811, -12.118061768207461}}}, 
      {{{-12.589384948997205, -13.27609747734637, -13.745052094315714}}, 
       {{-12.510697438712267, -13.20032491887404, -13.66795299360666}}, 
       {{-12.418770938982846, -13.109940857405771, -13.577281369232024}}, 
       {{-12.32283120614037, -13.017102866746836, -13.482616142690945}}, 
       {{-12.230775258170546, -12.926796593860352, -13.392205531727779}}, 
       {{-12.146483854118516, -12.844352924649279, -13.309295546755967}}, 
       {{-12.0724162607175, -12.77205868047344, -13.236652523806457}}, 
       {{-12.00919093740489, -12.710253726577497, -13.174183126134125}}, 
       {{-11.956715687400061, -12.65925848984975, -13.122363377404328}}, 
       {{-11.914448353845769, -12.619469123964619, -13.081221434073154}}, 
       {{-11.881528408345826, -12.584993198416226, -13.048648339582048}}, 
       {{-11.856966271091393, -12.562461915991745, -13.024783049065464}}, 
       {{-11.839764252623203, -12.54631196872063, -13.008142233314306}}, 
       {{-11.829281398006616, -12.53680140752432, -12.997935799029277}}, 
       {{-11.82435393115201, -12.532911433183148, -12.993530505561361}}, 
       {{-11.824490477885341, -12.532634156042873, -12.99397016263593}}, 
       {{-11.829007011943707, -12.537358355464086, -12.998819191312874}}, 
       {{-11.837271521793602, -12.545750013100335, -13.007250570303825}}, 
       {{-11.848817869726432, -12.556197658605173, -13.018904669036099}}}}, 
     {Automatic, Automatic}]
 
sigmaNLOSS7[x_, y_] := If[x < 200 || x > 2000 || y < 200 || y > 2000, 
     "Squark or gluino mass outside range of interpolation!", 
     {SetPrecision[E^fNLOSSLog7[x, y][[1]], 3], 
      SetPrecision[E^fNLOSSLog7[x, y][[2]], 3], 
      SetPrecision[-E^fNLOSSLog7[x, y][[3]], 3]}]
 
fNLOSSLog7 = InterpolatingFunction[{{200., 2000.}, {200., 2000.}}, 
     {4, 3, 0, {19, 19}, {5, 5}, 0, 0, 0, 0, Automatic}, 
     {{200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000.}, 
      {200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000.}}, 
     {{{{5.163642463221435, 2.9231615807191553, 2.939161922065597}}, 
       {{4.73707525686803, 1.740466174840505, 2.1860512767380933}}, 
       {{4.438288813682014, 1.2178757094949302, 1.7783364488959146}}, 
       {{4.185859671057874, 0.7884573603642715, 1.5454325824581876}}, 
       {{3.9497040723958348, 0.47000362924573647, 1.2809338454620647}}, 
       {{3.7400477406883357, 0.26236426446748884, 1.0784095813505918}}, 
       {{3.555919326857706, 0.22314355131420976, 0.940007258491472}}, 
       {{3.402529826895934, 0.19885085874516717, 0.8544153281560667}}, 
       {{3.273742726309041, 0.47000362924573647, 0.8372475245337017}}, 
       {{3.167161389181522, 0.6931471805599453, 0.7975071958841876}}, 
       {{3.092405160814252, 0.8586616190375185, 0.8796267475025636}}, 
       {{3.0392705755684744, 1.033184483345654, 0.9593502213346018}}, 
       {{3.00617753141553, 1.2119409739751128, 1.0331844833456552}}, 
       {{2.9947317732204075, 1.3660916538023706, 1.1442227999201622}}, 
       {{2.997730276216664, 1.521698998126094, 1.2354714713853063}}, 
       {{3.0155349008501706, 1.6563214983329513, 1.3376291891386092}}, 
       {{3.044522437723423, 1.7867469274045105, 1.4398351280479202}}, 
       {{3.0823685802135374, 1.9050881545350586, 1.5390154481375546}}, 
       {{3.1271990362962967, 2.0162354657760435, 1.635105659182678}}}, 
      {{{3.6524747722201365, 1.5195132049061133, 1.5238800240724546}}, 
       {{3.4372078191851885, 1.131402111491101, 1.220829921392359}}, 
       {{3.1561489949598958, 0.3576744442718157, 0.7371640659767196}}, 
       {{2.926382195419198, -0.1863295781914955, 0.392042087776024}}, 
       {{2.7285062096695922, -0.4620354595965603, 0.1484200051182734}}, 
       {{2.546315277916644, -0.8915981192837832, -0.030459207484707887}}, 
       {{2.3693087250369538, -1.108662624521611, -0.2704972476976802}}, 
       {{2.2070648911366333, -1.5278579254416833, -0.4416105547445166}}, 
       {{2.057579294822701, -1.8140050781753732, -0.6106459590482013}}, 
       {{1.9185389522591814, -1.9105430052180241, -0.7298111649315363}}, 
       {{1.7884205679625405, -1.97328134585145, -0.9162907318741542}}, 
       {{1.673351238177753, -1.9951003932460842, -0.9728610833625491}}, 
       {{1.5684075628761085, -1.9379419794061417, -1.0384583658483624}}, 
       {{1.4729306677794374, -1.8018098050815563, -1.0996127890016927}}, 
       {{1.3890405867879159, -1.6713133161521894, -1.1147416705979925}}, 
       {{1.3137236682850553, -1.5417792639602856, -1.1177951080848825}}, 
       {{1.2487549470978292, -1.3983669423541603, -1.108662624521611}}, 
       {{1.1930129640895941, -1.2482730632225163, -1.0817551716016869}}, 
       {{1.146767330555157, -1.1208578976154293, -1.0498221244986774}}}, 
      {{{2.4203681286504293, 0.41871033485818476, 0.38253760346445925}}, 
       {{2.285642372263734, 0.12044615307586726, 0.16296882827814083}}, 
       {{2.1195032472536823, -0.19237189264745694, -0.07472354619593655}}, 
       {{1.9148616663620384, -0.7011793522572087, -0.4079682383262842}}, 
       {{1.7298840655099674, -1.1874435023747234, -0.695149183230619}}, 
       {{1.5684075628761085, -1.4872202797098513, -0.9088187170354529}}, 
       {{1.4185195084146276, -1.8018098050815563, -1.0758728016986197}}, 
       {{1.2717249063767546, -2.087473713377103, -1.2729656758128867}}, 
       {{1.1317246401183119, -2.3227878003115667, -1.4481697648379785}}, 
       {{1.0013669042292743, -2.718100536955714, -1.5896352851379199}}, 
       {{0.8754687373538999, -2.8824035882469867, -1.754463684484358}}, 
       {{0.7570605063035981, -3.101092789211819, -1.9038089730366778}}, 
       {{0.6471032420585384, -3.324236340526026, -2.017406150760383}}, 
       {{0.5417427264007123, -3.4420193761824165, -2.12026353620009}}, 
       {{0.44276089285186127, -3.5404594489956582, -2.234926444520231}}, 
       {{0.3513608491149636, -3.6496587409606542, -2.302585092994045}}, 
       {{0.2631331995303682, -3.6496587409606542, -2.385966701933098}}, 
       {{0.1823215567939546, -3.6496587409606542, -2.430418464503932}}, 
       {{0.10616019582839072, -3.540459448995666, -2.4889146711855368}}}, 
      {{{1.3230882852160981, -0.6051363032372316, -0.6577800367226544}}, 
       {{1.2638442013633264, -0.7635696448564917, -0.7721903879003978}}, 
       {{1.1470849421188876, -1.0216512475319817, -0.9571127263944105}}, 
       {{1.0130544003064632, -1.2765434971607716, -1.1520130653952254}}, 
       {{0.8552660300363805, -1.6502599069543546, -1.3943265328171557}}, 
       {{0.7026023393307005, -2.017406150760383, -1.629640619751619}}, 
       {{0.5675839575845996, -2.302585092994045, -1.8140050781753745}}, 
       {{0.4382549309311553, -2.5639498571284536, -1.9805015938249315}}, 
       {{0.3133498192003588, -2.8302178350764184, -2.1370706545164713}}, 
       {{0.19144646457095527, -3.0159349808715117, -2.302585092994045}}, 
       {{0.07603468627599758, -3.2701691192557503, -2.442997246710791}}, 
       {{-0.03428093397687417, -3.5508581562165635, -2.570464538149647}}, 
       {{-0.14029708553872267, -3.763603000309873, -2.7060521984395374}}, 
       {{-0.24143482128646124, -4.039856376938028, -2.8234610526135375}}, 
       {{-0.338694704474312, -4.179902450583748, -2.9374633654300144}}, 
       {{-0.430629081771714, -4.350527967614509, -3.042823881087842}}, 
       {{-0.5186897988227925, -4.4918415006810894, -3.1372958378757754}}, 
       {{-0.6034893086294099, -4.585367558691913, -3.2289261607217004}}, 
       {{-0.6849806178935519, -4.625372893305608, -3.327017983487904}}}, 
      {{{0.3133498192003588, -1.5558971455060713, -1.6245515502441483}}, 
       {{0.3038014543316642, -1.6398971199188093, -1.671313316152188}}, 
       {{0.2413763195752694, -1.7837912995788772, -1.7837912995788785}}, 
       {{0.14149956227369942, -2.0024805005437076, -1.9449106487222296}}, 
       {{0.03052920503482279, -2.2164073967529934, -2.102914897865479}}, 
       {{-0.09673118895977176, -2.507152258735321, -2.2956094792576205}}, 
       {{-0.22464467744047695, -2.808423175248997, -2.4889146711855394}}, 
       {{-0.34122350604669965, -3.04282388108784, -2.64930970607961}}, 
       {{-0.45318584431957604, -3.2596978193884563, -2.796881414808825}}, 
       {{-0.5621189181535413, -3.490028595368768, -2.9355783507342452}}, 
       {{-0.6688448880369805, -3.676950883248663, -3.0769423289795346}}, 
       {{-0.7706763830691832, -3.897134392934396, -3.196625215933381}}, 
       {{-0.8698843590599994, -4.1043948980756015, -3.3214624136433026}}, 
       {{-0.9660063241200879, -4.305065593537752, -3.445149269191339}}, 
       {{-1.0575663192321088, -4.509860006183765, -3.5508581562165613}}, 
       {{-1.1466477377066666, -4.710530701645917, -3.661264287080963}}, 
       {{-1.2316866428934519, -4.892852258439872, -3.763603000309873}}, 
       {{-1.3137876703331426, -5.051457288616509, -3.8584822385001174}}, 
       {{-1.393117586468016, -5.203007186743706, -3.9528449999484017}}}, 
      {{{-0.6360109891891362, -2.4604091781876125, -2.535778980161757}}, 
       {{-0.6143360001356555, -2.491327217590923, -2.544656654193774}}, 
       {{-0.6356332743593387, -2.5743938162895357, -2.599644327258424}}, 
       {{-0.6943479011364642, -2.7120582224997496, -2.6985950423314544}}, 
       {{-0.7800131135816073, -2.8986055628232688, -2.8336134240775563}}, 
       {{-0.8739498913846301, -3.083471187861998, -2.970064526805413}}, 
       {{-0.9800295728411619, -3.3104430183936917, -3.1281214615997364}}, 
       {{-1.0888599972254314, -3.5578511917075333, -3.291446517703036}}, 
       {{-1.1903986842988181, -3.7593019184104803, -3.4295968561838537}}, 
       {{-1.2888047398426334, -3.9580669439295524, -3.5613661338149765}}, 
       {{-1.3854946809493265, -4.135166556742355, -3.6888794541139376}}, 
       {{-1.4801655767299613, -4.312500572025272, -3.8121776704584294}}, 
       {{-1.5716605481000705, -4.500810170663849, -3.9220733412816484}}, 
       {{-1.6607312068216509, -4.677740878822926, -4.034190639402354}}, 
       {{-1.7481254322079938, -4.840892519509162, -4.147745338949216}}, 
       {{-1.831956658979468, -5.005647752585215, -4.247495741716277}}, 
       {{-1.9132493668157649, -5.167289104141636, -4.350527967614509}}, 
       {{-1.9914306643571225, -5.360192770266128, -4.439655747510518}}, 
       {{-2.06830379726938, -5.472670753692819, -4.537511537514275}}}, 
      {{{-1.544586940114484, -3.321462413643302, -3.4112477175156566}}, 
       {{-1.502828177375842, -3.3270179834879032, -3.3932292120129786}}, 
       {{-1.4943251053335957, -3.363901596918458, -3.4112477175156566}}, 
       {{-1.520054351299415, -3.445149269191339, -3.4673371841667002}}, 
       {{-1.5735882595404032, -3.56843330103807, -3.5543485611563295}}, 
       {{-1.647659125254298, -3.7297014486341915, -3.673006104957646}}, 
       {{-1.7282214484240672, -3.892220378131966, -3.7853903544947802}}, 
       {{-1.8189251373008244, -4.0745419349259215, -3.922073341281647}}, 
       {{-1.912572089444803, -4.283086686818978, -4.057048777478403}}, 
       {{-2.001740034015984, -4.456750180869818, -4.179902450583747}}, 
       {{-2.0890879187316416, -4.62537289330561, -4.297685486240131}}, 
       {{-2.175071772695086, -4.791499764179586, -4.406319327242926}}, 
       {{-2.26048391697541, -4.947660494934868, -4.522668964476347}}, 
       {{-2.3431987758793427, -5.102750583004061, -4.625372893305612}}, 
       {{-2.4244138013591794, -5.253344000905305, -4.7284684023325845}}, 
       {{-2.5037225640456406, -5.40145812546755, -4.828313737302301}}, 
       {{-2.5803168345926584, -5.551920125346953, -4.919880930827792}}, 
       {{-2.655552632144456, -5.698794933145164, -5.0131384243143735}}, 
       {{-2.7284570108798727, -5.83275285595316, -5.104396673910729}}}, 
      {{{-2.424639739001351, -4.161125595912452, -4.259455082285701}}, 
       {{-2.371078089439346, -4.146480316642629, -4.228104552401624}}, 
       {{-2.3410141196138277, -4.156007222614208, -4.2185481656814074}}, 
       {{-2.340702415107174, -4.197041960460443, -4.241221758082861}}, 
       {{-2.367230286487577, -4.271559181647911, -4.2940157573511675}}, 
       {{-2.41552985201018, -4.383627916040855, -4.3732651290053095}}, 
       {{-2.4801579427657967, -4.522668964476348, -4.473265115108153}}, 
       {{-2.550661910853467, -4.6617405374764855, -4.576582729136178}}, 
       {{-2.628453746831067, -4.820841722463601, -4.688551794927142}}, 
       {{-2.7105533313203285, -4.992304337411534, -4.808511110006122}}, 
       {{-2.78969419014272, -5.14645501723879, -4.9171449510089165}}, 
       {{-2.867866902556095, -5.2943253452785, -5.020685629949757}}, 
       {{-2.945419459680402, -5.435283221621195, -5.122684797904879}}, 
       {{-3.0222816087875275, -5.575389259887801, -5.223209894061231}}, 
       {{-3.0975435397006756, -5.713832810509701, -5.316481337175708}}, 
       {{-3.171753717799466, -5.8499649848342825, -5.410366870356659}}, 
       {{-3.2444500759876314, -5.983496377458804, -5.504112279527634}}, 
       {{-3.3151114327490263, -6.114762763452477, -5.585999438999817}}, 
       {{-3.3849304091982835, -6.234810805739713, -5.678114727907624}}}, 
      {{{-3.2868870354847446, -4.984967547347678, -5.091303197163711}}, 
       {{-3.2264040912889924, -4.960417577935638, -5.049896008049559}}, 
       {{-3.181098460534171, -4.946253035166988, -5.0237205336449104}}, 
       {{-3.1603710954956377, -4.9575685731595645, -5.020685629949757}}, 
       {{-3.164387639584131, -5.001180135325501, -5.045226738865875}}, 
       {{-3.1902883680162883, -5.071978924337308, -5.094560529034016}}, 
       {{-3.2337356877752246, -5.170804046249078, -5.165536255314218}}, 
       {{-3.2906403910975115, -5.290349196898859, -5.253344000905305}}, 
       {{-3.3526929726025405, -5.412606512950164, -5.343314732478772}}, 
       {{-3.4206860582460177, -5.551920125346955, -5.439880930869824}}, 
       {{-3.4929837772928636, -5.698794933145162, -5.544217904984863}}, 
       {{-3.563833965139712, -5.83275285595316, -5.6436285518364535}}, 
       {{-3.6343912688298667, -5.959965880048611, -5.73837391942582}}, 
       {{-3.70419615822583, -6.087975447488825, -5.825950108630408}}, 
       {{-3.7740017075307715, -6.214608098422192, -5.918214085368389}}, 
       {{-3.8434302139625345, -6.331141914678145, -6.007593929037865}}, 
       {{-3.9110235050950624, -6.456679659621919, -6.087975447488825}}, 
       {{-3.978162807932691, -6.578451531839537, -6.17538738526891}}, 
       {{-4.043841580048994, -6.692643899365193, -6.255430092942447}}}, 
      {{{-4.138923605620068, -5.799192659460859, -5.914503505971854}}, 
       {{-4.075130343298296, -5.766722274430076, -5.867478567326991}}, 
       {{-4.019051578186669, -5.73837391942582, -5.829345697631547}}, 
       {{-3.982445469724692, -5.729100282640491, -5.809142990314028}}, 
       {{-3.968064396311771, -5.744604469176456, -5.809142990314028}}, 
       {{-3.9749628052020203, -5.786077717383031, -5.836171662701946}}, 
       {{-3.9992162171305234, -5.853443249210607, -5.881713683148863}}, 
       {{-4.038153282572358, -5.940771432792464, -5.940771432792464}}, 
       {{-4.0887601839282, -6.044865323835097, -6.023987738813542}}, 
       {{-4.143324744443819, -6.156339190298215, -6.096825062765809}}, 
       {{-4.203713099277466, -6.2764835021402785, -6.185049296180647}}, 
       {{-4.267983918633221, -6.400937676613685, -6.276483502140279}}, 
       {{-4.331333520358363, -6.522492878191493, -6.359633870472449}}, 
       {{-4.395719961805884, -6.637728141769078, -6.450330431943261}}, 
       {{-4.459339737776552, -6.750751530172473, -6.536191722549654}}, 
       {{-4.522668964476348, -6.868534565828855, -6.611361265928334}}, 
       {{-4.586348431747504, -6.969630682700225, -6.694258104719733}}, 
       {{-4.649122073517274, -7.082108666126914, -6.7732243860245305}}, 
       {{-4.710975244885068, -7.190118189956319, -6.850430212362867}}}, 
      {{{-4.987749190309555, -6.607650686531799, -6.734642661273492}}, 
       {{-4.922487063569563, -6.574860863708809, -6.687014612284238}}, 
       {{-4.85877294478701, -6.536881615643592, -6.6377281417690766}}, 
       {{-4.8099827806175774, -6.51166733268657, -6.602478898129404}}, 
       {{-4.780714758503022, -6.506298192271511, -6.586396680170973}}, 
       {{-4.77087064176581, -6.524535779821293, -6.591485749678443}}, 
       {{-4.7786905868289775, -6.56416557459206, -6.6158322122731015}}, 
       {{-4.8015501000330865, -6.6240812279278956, -6.657775073714367}}, 
       {{-4.836724004662271, -6.703183113253363, -6.714658649020223}}, 
       {{-4.881319022626199, -6.798004415023017, -6.782004073676577}}, 
       {{-4.930623356126871, -6.894839053715591, -6.853267093698067}}, 
       {{-4.984529047011776, -6.998774677369306, -6.930000887929457}}, 
       {{-5.041971174406108, -7.111096203000168, -7.0108960379016505}}, 
       {{-5.099466507802871, -7.215640058751438, -7.089277155605527}}, 
       {{-5.157338773288465, -7.320245002027265, -7.165231509376852}}, 
       {{-5.215631999929429, -7.421919804013643, -7.240434717364654}}, 
       {{-5.2742102912048034, -7.523941418405953, -7.317228408487841}}, 
       {{-5.332701793409868, -7.623148068489402, -7.390641534058886}}, 
       {{-5.390651977750832, -7.724200675886575, -7.462881161644708}}}, 
      {{{-5.838571801004839, -7.421919804013642, -7.557842970081635}}, 
       {{-5.773454147905521, -7.385791079925136, -7.509235271016259}}, 
       {{-5.704482719770595, -7.3431642634633745, -7.454208080391279}}, 
       {{-5.646457408036931, -7.303765228319547, -7.408630571894959}}, 
       {{-5.604842526801297, -7.283176265741925, -7.3777589082278725}}, 
       {{-5.581210922268021, -7.281721720030931, -7.366621163817417}}, 
       {{-5.574334407469315, -7.300797867091744, -7.372970391496075}}, 
       {{-5.582538767370837, -7.338538195074591, -7.395515629817131}}, 
       {{-5.603484753340837, -7.393888290157756, -7.433694540558176}}, 
       {{-5.635469834474113, -7.464624841249535, -7.485789652441578}}, 
       {{-5.675486605501353, -7.548310009422911, -7.546414274258012}}, 
       {{-5.719607025003173, -7.635493904311701, -7.608934631239347}}, 
       {{-5.768320995793772, -7.7264656825174285, -7.679945666882535}}, 
       {{-5.819866953677003, -7.826549141074411, -7.749402467860526}}, 
       {{-5.872082790087902, -7.921107723699423, -7.821549130657705}}, 
       {{-5.9249280233077375, -8.016417903503749, -7.891254760549743}}, 
       {{-5.978350907962599, -8.108400293215398, -7.9604386357618475}}, 
       {{-6.032286541628237, -8.202382451576202, -8.028613176597567}}, 
       {{-6.086654734111731, -8.290057618832488, -8.098482856558052}}}, 
      {{{-6.696684308902197, -8.24335652578651, -8.386164929009833}}, 
       {{-6.632398856220993, -8.206038762779315, -8.3432398842928}}, 
       {{-6.5599192837106095, -8.159518747144421, -8.282121069236753}}, 
       {{-6.494983595691535, -8.111728083308073, -8.228261899564025}}, 
       {{-6.443392529626487, -8.07571764578504, -8.187889444273637}}, 
       {{-6.4075862354046755, -8.06293791913864, -8.159518747144421}}, 
       {{-6.388366424555659, -8.06293791913864, -8.152550077828328}}, 
       {{-6.383618641156474, -8.078938260485083, -8.159518747144421}}, 
       {{-6.391942113705107, -8.115066984573588, -8.184298776142908}}, 
       {{-6.411231439927006, -8.166536319803068, -8.2170885989659}}, 
       {{-6.439628409749262, -8.232014249182575, -8.262550973042657}}, 
       {{-6.475972862556599, -8.306122221336297, -8.318342332671072}}, 
       {{-6.515713191206113, -8.386164929009833, -8.37309284744248}}, 
       {{-6.5599192837106095, -8.468403027246804, -8.435613204423815}}, 
       {{-6.6069102200040755, -8.552820369059388, -8.502304578922487}}, 
       {{-6.653888555025087, -8.645026562926123, -8.563237129917644}}, 
       {{-6.702368449257186, -8.72791422273189, -8.62812475212352}}, 
       {{-6.751606596492206, -8.811564252018815, -8.691546578561015}}, 
       {{-6.801595083153747, -8.89552963213615, -8.753548636702678}}}, 
      {{{-7.567467683455845, -9.075809479018577, -9.233608998915537}}, 
       {{-7.503594277075084, -9.040597597389088, -9.184672625227606}}, 
       {{-7.429473343914552, -8.988798102028946, -9.12324566512525}}, 
       {{-7.358583928841831, -8.935743539073057, -9.062782807618568}}, 
       {{-7.298725940939849, -8.892614178176025, -9.012309521477048}}, 
       {{-7.2532077171841305, -8.863210840880981, -8.975268249796699}}, 
       {{-7.222603019506687, -8.850570223130148, -8.953375272186461}}, 
       {{-7.2064308929087835, -8.852665927704367, -8.947976107508692}}, 
       {{-7.203066378598409, -8.871015066372564, -8.955698153602603}}, 
       {{-7.211024874775632, -8.904327342839679, -8.976059076251518}}, 
       {{-7.2287873311154724, -8.950286466641876, -9.007399527979493}}, 
       {{-7.254904310267466, -9.008216187886047, -9.04907222438006}}, 
       {{-7.2875526403417235, -9.075809479018577, -9.098798997243275}}, 
       {{-7.3240285858069045, -9.14642704623253, -9.151128512344336}}, 
       {{-7.363934901634803, -9.221401319335607, -9.207344862996385}}, 
       {{-7.406487655060745, -9.30026507950417, -9.265853081906442}}, 
       {{-7.450071569839499, -9.377576291352096, -9.32350907008182}}, 
       {{-7.494742263713692, -9.453686630607912, -9.382315636715994}}, 
       {{-7.540183724507377, -9.531923996103643, -9.439753536303988}}}, 
      {{{-8.45468798606484, -9.925733161483448, -10.094648057997286}}, 
       {{-8.391883000450791, -9.891558981670855, -10.045051116857914}}, 
       {{-8.316295249049347, -9.837699811998124, -9.982530759876582}}, 
       {{-8.241077755335922, -9.78126991981188, -9.915560133770397}}, 
       {{-8.174667883081947, -9.72953424541269, -9.858514186893396}}, 
       {{-8.120768827960221, -9.688376172919183, -9.813646848536338}}, 
       {{-8.080552465839624, -9.662897087618196, -9.78126991981188}}, 
       {{-8.054088303861658, -9.651950926720701, -9.763725610160968}}, 
       {{-8.040027769142881, -9.658191196580784, -9.756793173385324}}, 
       {{-8.037858234741618, -9.67396439425788, -9.76720993424358}}, 
       {{-8.04531631778882, -9.706277383248423, -9.78481602281863}}, 
       {{-8.061668883435336, -9.748194668130093, -9.813646848536338}}, 
       {{-8.0854107749907, -9.799127537211886, -9.85279443822061}}, 
       {{-8.115066984573588, -9.86042806307568, -9.89750548085858}}, 
       {{-8.148392067679664, -9.925733161483448, -9.944309547056383}}, 
       {{-8.18465726333083, -9.995602841443935, -9.993412260064115}}, 
       {{-8.223777587116697, -10.06365630468895, -10.04967006271421}}, 
       {{-8.263714440305955, -10.136681439703839, -10.101938491259967}}, 
       {{-8.304908383436903, -10.204592645320048, -10.154516307339874}}}, 
      {{{-9.363375008145244, -10.800465973377909, -10.97643209445566}}, 
       {{-9.301688411435489, -10.764816726336308, -10.929035270347233}}, 
       {{-9.225352492096686, -10.711372410566497, -10.864775650341018}}, 
       {{-9.147365572814794, -10.645824977286845, -10.797527675475463}}, 
       {{-9.07493573496998, -10.588666563446896, -10.731767407087569}}, 
       {{-9.013130202688478, -10.542146547812004, -10.675245133677985}}, 
       {{-8.96504401602084, -10.504967544570249, -10.637456727616328}}, 
       {{-8.928927912537997, -10.486883869136955, -10.604666904793337}}, 
       {{-8.90580118245798, -10.476188580020207, -10.592642711826537}}, 
       {{-8.89407084267249, -10.479740981624573, -10.588666563446896}}, 
       {{-8.891886640857647, -10.49769478524117, -10.592642711826535}}, 
       {{-8.89918594333926, -10.527108670447463, -10.612764115025957}}, 
       {{-8.914690129875225, -10.561267589258781, -10.64163209902681}}, 
       {{-8.935743539073057, -10.612764115025957, -10.675677940436525}}, 
       {{-8.962699349061586, -10.66705719739262, -10.71541826908604}}, 
       {{-8.993617388464896, -10.72446810460596, -10.761509376286307}}, 
       {{-9.027185828878336, -10.78537685769295, -10.806368597500365}}, 
       {{-9.062782807618568, -10.85023749189499, -10.854369729179902}}, 
       {{-9.09969385188912, -10.914088963881523, -10.903703519348044}}}, 
      {{{-10.298903324791292, -11.698050949096917, -11.885439472938707}}, 
       {{-10.2381214798837, -11.663748354704811, -11.83865560505954}}, 
       {{-10.161222548619957, -11.60723614444147, -11.774290229104635}}, 
       {{-10.079986096027294, -11.543384672454936, -11.700460588817071}}, 
       {{-10.00330788781834, -11.479490688883992, -11.632835761642786}}, 
       {{-9.93580415401267, -11.423999255775827, -11.571614461318909}}, 
       {{-9.879771025918812, -11.379269080157554, -11.521966209622377}}, 
       {{-9.835828904062314, -11.347411026492654, -11.484338008118316}}, 
       {{-9.804004274051177, -11.328107027977687, -11.459384698042198}}, 
       {{-9.783218720145184, -11.321479000399274, -11.445266816496414}}, 
       {{-9.772810228894512, -11.326445898027611, -11.443399402321619}}, 
       {{-9.77140721217892, -11.342339164394694, -11.44995066580884}}, 
       {{-9.778089143141795, -11.367959694720042, -11.46699653308183}}, 
       {{-9.79176730292572, -11.404071060058147, -11.491163973188716}}, 
       {{-9.811455467089635, -11.448074492650612, -11.521966209622377}}, 
       {{-9.836015837421115, -11.499022559801237, -11.558969403471636}}, 
       {{-9.864266839382847, -11.552706334982073, -11.5995732716959}}, 
       {{-9.8951226362045, -11.609436365351073, -11.641895846267188}}, 
       {{-9.927985184136528, -11.668410367810623, -11.687278852115005}}}, 
      {{{-11.266065387038703, -12.630720573055111, -12.825969364350527}}, 
       {{-11.206176329801222, -12.594680636571915, -12.778773673014252}}, 
       {{-11.129024534777905, -12.537358355464086, -12.71357047920349}}, 
       {{-11.045424965942612, -12.470038191364639, -12.639937228160036}}, 
       {{-10.96480405646054, -12.40208752945613, -12.565608821749938}}, 
       {{-10.891811487310115, -12.340747548856775, -12.49910232430855}}, 
       {{-10.829323697253814, -12.287282700955716, -12.444329834654432}}, 
       {{-10.778156609719463, -12.246894640050428, -12.397233150991333}}, 
       {{-10.73819829741786, -12.220171569909676, -12.363896730723742}}, 
       {{-10.709579492112207, -12.202080624260637, -12.340747548856775}}, 
       {{-10.690945412567315, -12.196122314677005, -12.329370861874667}}, 
       {{-10.681756986512909, -12.200090573852625, -12.32711097390723}}, 
       {{-10.680451219189184, -12.216122981383675, -12.333906017040059}}, 
       {{-10.68655944062406, -12.240664090299793, -12.349943015949876}}, 
       {{-10.69888896713483, -12.274351486283468, -12.370947288720407}}, 
       {{-10.717221696085192, -12.313657856210112, -12.399657394602839}}, 
       {{-10.739581742416007, -12.361557548370568, -12.434228738667928}}, 
       {{-10.765763696104045, -12.409413569548203, -12.472645754771719}}, 
       {{-10.794110537661705, -12.462256050922583, -12.509884099911838}}}, 
      {{{-12.272426146080194, -13.597982745435699, -13.806550816592802}}, 
       {{-12.21269452183906, -13.562419930282113, -13.760075851076174}}, 
       {{-12.134682649443501, -13.505088998543004, -13.69240836083029}}, 
       {{-12.049410835516797, -13.436389425195712, -13.615840362835707}}, 
       {{-11.965167764637322, -13.364434938604058, -13.539395121883958}}, 
       {{-11.8871826459542, -13.29790794991926, -13.46696859725573}}, 
       {{-11.818635739941401, -13.23889719366028, -13.404063378178561}}, 
       {{-11.760746003996879, -13.190107029490848, -13.351147808608625}}, 
       {{-11.713940664211437, -13.152307253777401, -13.30989850125117}}, 
       {{-11.677800108160463, -13.127375919227873, -13.279017187449705}}, 
       {{-11.651727867850687, -13.109447152137783, -13.258756002309884}}, 
       {{-11.634754173335361, -13.108953690494412, -13.247926600379675}}, 
       {{-11.626206151429194, -13.111918119542791, -13.246227364626714}}, 
       {{-11.625086831858559, -13.126873532882215, -13.252472062751348}}, 
       {{-11.630696000704736, -13.147168496323301, -13.26623374782403}}, 
       {{-11.64212340344191, -13.177876087334587, -13.286648571712185}}, 
       {{-11.658645119319635, -13.213382775791498, -13.312918739125386}}, 
       {{-11.679334303304135, -13.25990279142639, -13.343633684336858}}, 
       {{-11.703238871693735, -13.304484954195617, -13.377900996529542}}}}, 
     {Automatic, Automatic}]
 
sigmaNLLSS7[x_, y_] := If[x < 200 || x > 2000 || y < 200 || y > 2000, 
     "Squark or gluino mass outside range of Interpolation!", 
     {SetPrecision[E^fNLLSSLog7[x, y][[1]], 3], 
      SetPrecision[E^fNLLSSLog7[x, y][[2]], 3], 
      SetPrecision[-E^fNLLSSLog7[x, y][[3]], 3]}]
 
fNLLSSLog7 = InterpolatingFunction[{{200., 2000.}, {200., 2000.}}, 
     {4, 3, 0, {19, 19}, {5, 5}, 0, 0, 0, 0, Automatic}, 
     {{200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000.}, 
      {200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000.}}, 
     {{{{5.198711456810051, 2.817012138288566, 2.310889689401929}}, 
       {{4.782927244068613, 1.6522818344496113, 1.5301984370566681}}, 
       {{4.48493081230226, 1.233773281090783, 1.2755107072847285}}, 
       {{4.230629632836107, 0.9306144013341429, 1.0068371146872686}}, 
       {{3.9926975985496327, 0.6737330345478215, 0.7636607758861548}}, 
       {{3.7812004990829235, 0.46987511456642755, 0.5415411033793984}}, 
       {{3.5952022265642967, 0.35884710979505324, 0.3352474956623519}}, 
       {{3.4396507418946882, 0.2855478428086844, 0.1784240629643735}}, 
       {{3.308588723522331, 0.4739911384526467, 0.13823110188239743}}, 
       {{3.1996557680081428, 0.6779515199606588, 0.13378198390608653}}, 
       {{3.1221615913549305, 0.8423140163200203, 0.3271744331173019}}, 
       {{3.0662522595761668, 1.0192890197054287, 0.5170369431252931}}, 
       {{3.0304052125934664, 1.2012211549461862, 0.6785718596942896}}, 
       {{3.016214100805226, 1.3581106077574843, 0.8693579333007502}}, 
       {{3.0166544813772407, 1.5158718914208722, 1.0161505691543584}}, 
       {{3.0320768172028303, 1.6520548098638759, 1.163153303443124}}, 
       {{3.058911216182613, 1.7836253955062955, 1.2999337412021577}}, 
       {{3.094844184825216, 1.90278774914346, 1.4256778236056193}}, 
       {{3.1379953393121607, 2.0145309110709504, 1.5424098078709625}}}, 
      {{{3.6766727847520126, 1.4603686491452443, 1.1212968938784775}}, 
       {{3.4721036640950125, 1.0070516023371536, 0.62849559103644}}, 
       {{3.1987214822984145, 0.18133354337419563, -0.026409219106294624}}, 
       {{2.971788177974326, -0.30089973959810873, -0.3214436260885493}}, 
       {{2.774186876839113, -0.5297920816734284, -0.5115989605303751}}, 
       {{2.5913854947671027, -0.8207663310723838, -0.6866542555839359}}, 
       {{2.413787202667308, -0.9996905679271221, -0.8606087119814649}}, 
       {{2.250719781224096, -1.2289409448065869, -1.0236265408278027}}, 
       {{2.100322360176665, -1.4038929311633046, -1.1780901442150935}}, 
       {{1.9603810676062714, -1.5393045341651441, -1.3223065732071972}}, 
       {{1.8294124715065836, -1.6562048330401105, -1.462260631325438}}, 
       {{1.7132725436366414, -1.747982879083108, -1.5913311152817096}}, 
       {{1.6072139467667144, -1.7881468135603564, -1.70127203826563}}, 
       {{1.510580257738566, -1.7478558526605736, -1.7912620929482272}}, 
       {{1.4253969660135954, -1.6693980525951604, -1.8269975438355928}}, 
       {{1.34874912218499, -1.5648938064715567, -1.8172905589839234}}, 
       {{1.282342150025673, -1.4315922479969714, -1.768133440456181}}, 
       {{1.225091573365864, -1.2827763223065143, -1.6806759579306212}}, 
       {{1.177260492446075, -1.1525921291001984, -1.5832037846562117}}}, 
      {{{2.438149059248715, 0.38669283748872013, 0.1043712204764252}}, 
       {{2.314115161307161, 0.02792365673837439, -0.27076002343563677}}, 
       {{2.155640001396524, -0.33785262026424434, -0.6448671719661089}}, 
       {{1.9569889331078476, -0.9061555531446298, -1.1213381116830927}}, 
       {{1.7753432469998107, -1.4056027052387747, -1.4513453305404067}}, 
       {{1.6151049341379722, -1.676177641551626, -1.649114854329463}}, 
       {{1.4654645748336843, -1.9290040840760256, -1.8017560208172196}}, 
       {{1.3186807651994108, -2.1367371436525735, -1.9588670849253078}}, 
       {{1.178482869941654, -2.305085253938954, -2.0979887010908693}}, 
       {{1.0476907062000667, -2.4994889038203243, -2.2264007888672066}}, 
       {{0.9214043659636674, -2.628254076039175, -2.3510625339616165}}, 
       {{0.8025341948391773, -2.7634250783064553, -2.46962642851024}}, 
       {{0.6920017506238791, -2.882739495682809, -2.583265400833863}}, 
       {{0.5861166302677087, -2.9973506158164316, -2.692179316688188}}, 
       {{0.4865713188851667, -3.1036054576236527, -2.796561223372117}}, 
       {{0.3945067247614788, -3.2028581807848013, -2.8966373492198865}}, 
       {{0.3056883071816266, -3.288520091098547, -2.992460227608473}}, 
       {{0.22416981504278796, -3.3555213715380225, -3.0814011740939145}}, 
       {{0.14729076299817986, -3.3809587533318233, -3.1576253399173075}}}, 
      {{{1.3378171671125831, -0.6273872733664253, -0.8793225736069793}}, 
       {{1.2881137195245966, -0.8339555467332761, -1.1041122990719388}}, 
       {{1.1797290933968703, -1.1453961919887492, -1.4115756194139237}}, 
       {{1.0519366821423, -1.4476513385007581, -1.7148302035658254}}, 
       {{0.8991987718548663, -1.8785793009879583, -2.066172355379116}}, 
       {{0.7499652386722894, -2.286870954137757, -2.3689635235085174}}, 
       {{0.6166491534293705, -2.5794412799135658, -2.569409087949011}}, 
       {{0.48822314060081096, -2.8246558699324713, -2.7315417476240773}}, 
       {{0.3637641583985295, -3.049495681299448, -2.873880867582701}}, 
       {{0.24210091217061197, -3.2010655684903244, -3.0101503384678634}}, 
       {{0.12666179712586428, -3.379562435760965, -3.127666559456459}}, 
       {{0.016185992540857425, -3.541107623898203, -3.237408941232796}}, 
       {{-0.09004659000373978, -3.6645151376041962, -3.343437247099488}}, 
       {{-0.19146608143788485, -3.7812618314728885, -3.443559075621215}}, 
       {{-0.2890162168760578, -3.8808232704624643, -3.539967696780348}}, 
       {{-0.3813178333541355, -3.9753402256747443, -3.632280162315314}}, 
       {{-0.46975519658002995, -4.06746688090564, -3.7214994946092603}}, 
       {{-0.5549170335857913, -4.156273282922624, -3.8075650667477463}}, 
       {{-0.636765628317925, -4.239694464430651, -3.892932561402943}}}, 
      {{{0.3265220432179783, -1.5752418290570462, -1.8156263024088484}}, 
       {{0.3255827219752785, -1.6996985338213704, -1.947048552126766}}, 
       {{0.2712081225980287, -1.887231996554435, -2.154817151646692}}, 
       {{0.1783140639995354, -2.1542571268259616, -2.4186512750150087}}, 
       {{0.07272118467753502, -2.412062198470605, -2.663542326450366}}, 
       {{-0.050074881335628735, -2.7562562949567844, -2.9441654750204167}}, 
       {{-0.17462252827484612, -3.1072775568685236, -3.202821345944995}}, 
       {{-0.2891818472238197, -3.3671108987979936, -3.392007796779518}}, 
       {{-0.3998825442985923, -3.5942712908209704, -3.5490438444078323}}, 
       {{-0.5080154576635552, -3.8204562633357018, -3.685570921616685}}, 
       {{-0.6142046763748396, -3.990677211148042, -3.8145978964606533}}, 
       {{-0.7158003088130911, -4.173367079709482, -3.9229439425194665}}, 
       {{-0.8148825173547326, -4.327624923439484, -4.029518823558632}}, 
       {{-0.9109675566364579, -4.461331317422816, -4.130119736211164}}, 
       {{-1.0026295143554687, -4.5801584454912625, -4.22195357815708}}, 
       {{-1.09182276503345, -4.683143293360821, -4.311340419972946}}, 
       {{-1.1770571091879016, -4.7734583567969455, -4.396336323975933}}, 
       {{-1.2593736868123953, -4.856662055988495, -4.477872495085911}}, 
       {{-1.3389295435410502, -4.93708992244975, -4.556080586111819}}}, 
      {{{-0.6235338109123981, -2.480477439761627, -2.7084188218771392}}, 
       {{-0.5938851757334398, -2.546472382625823, -2.787401426563518}}, 
       {{-0.607449878917824, -2.6680996598517144, -2.9188843560908118}}, 
       {{-0.6591951076280339, -2.8469589536024085, -3.098583521479771}}, 
       {{-0.7387737176958064, -3.0787455234630516, -3.3185384450537927}}, 
       {{-0.8278848403969556, -3.305889776716458, -3.529078318217391}}, 
       {{-0.9298736094983479, -3.581271066907504, -3.759588070566755}}, 
       {{-1.03543131834871, -3.8794028536522664, -3.9824574359100833}}, 
       {{-1.134781949277712, -4.1145381309501765, -4.153096693835581}}, 
       {{-1.2316726070331707, -4.338584685011459, -4.302554724843633}}, 
       {{-1.3272719864153302, -4.528101794168278, -4.436478266478778}}, 
       {{-1.4211632495158237, -4.708913161228618, -4.557445415844413}}, 
       {{-1.5121607450594612, -4.889144929691841, -4.66134850382407}}, 
       {{-1.6009048613284804, -5.044940459384724, -4.76250828392752}}, 
       {{-1.6880512642794105, -5.177934637055054, -4.8594506171483225}}, 
       {{-1.771789498964163, -5.300507467797621, -4.9463305377168645}}, 
       {{-1.8530614389920956, -5.409953590859229, -5.031166509492654}}, 
       {{-1.9313123372842387, -5.514374163263589, -5.109772877350712}}, 
       {{-2.008230510376394, -5.5939158433667835, -5.187365768177372}}}, 
      {{{-1.5322693263406901, -3.3439661467453203, -3.572368449337523}}, 
       {{-1.4829644409805725, -3.3810956414862834, -3.614146343052078}}, 
       {{-1.4669473732903715, -3.452676812471509, -3.6975749115719436}}, 
       {{-1.4857396120549056, -3.5704021310024303, -3.82182614993535}}, 
       {{-1.5330726380529374, -3.7324955635604864, -3.9782544000042686}}, 
       {{-1.6016702322675187, -3.936600469167298, -4.1705086415964745}}, 
       {{-1.6777987638078644, -4.14029007453254, -4.343653470407293}}, 
       {{-1.7646535715465081, -4.366580012320242, -4.543082535100456}}, 
       {{-1.8551289279074037, -4.624930579136852, -4.72841298696946}}, 
       {{-1.9420158776917935, -4.835350346526694, -4.8844938192290535}}, 
       {{-2.0276683176057024, -5.034824576502092, -5.023490943755758}}, 
       {{-2.1123768909328047, -5.225611106804803, -5.1431111362834265}}, 
       {{-2.1967737869201365, -5.397617444624747, -5.263890778837058}}, 
       {{-2.27877843802041, -5.561214878022303, -5.36507712966942}}, 
       {{-2.359450282415681, -5.71171548531783, -5.4621044543577035}}, 
       {{-2.438359895471551, -5.850849679591713, -5.552615193002926}}, 
       {{-2.514714812547315, -5.981740524846176, -5.635100008704758}}, 
       {{-2.5897591499071337, -6.0986834165616095, -5.715804737233457}}, 
       {{-2.6625630348555362, -6.198404750153037, -5.792816858345184}}}, 
      {{{-2.4121288050120087, -4.187118249344612, -4.412496246120379}}, 
       {{-2.351280589382929, -4.201408588369538, -4.434413605682987}}, 
       {{-2.313824620102426, -4.243229329730043, -4.482394983363026}}, 
       {{-2.306577741689983, -4.31769382835701, -4.564397152733425}}, 
       {{-2.3268133957870454, -4.426578669191549, -4.677385845450346}}, 
       {{-2.369472197340525, -4.575959014148127, -4.817987735104385}}, 
       {{-2.4290669816995165, -4.755612748540924, -4.980008785697714}}, 
       {{-2.4953937441809093, -4.933593157485242, -5.1384763409570136}}, 
       {{-2.569566094478566, -5.1355623748165105, -5.301200468504745}}, 
       {{-2.6485486962405997, -5.352901623759857, -5.4665076530791605}}, 
       {{-2.7253401173514034, -5.545609835515342, -5.606083699473318}}, 
       {{-2.801682162695422, -5.727201722058304, -5.730617471966353}}, 
       {{-2.8777840265430563, -5.8961829524170835, -5.846200837391329}}, 
       {{-2.9534831883266413, -6.060172513297128, -5.953840926274567}}, 
       {{-3.0278535845359653, -6.217339825026508, -6.04899901901249}}, 
       {{-3.101347176553896, -6.366045244861093, -6.1407737619246605}}, 
       {{-3.1734863265432964, -6.5052033012372315, -6.228473943988799}}, 
       {{-3.2437499567944634, -6.634554476700435, -6.305033124038724}}, 
       {{-3.3132212468337654, -6.746082438445624, -6.385180989684067}}}, 
      {{{-3.273917738661712, -5.01496655014127, -5.2384500674861}}, 
       {{-3.206291314028407, -5.017601092946114, -5.245033800990441}}, 
       {{-3.153624566922428, -5.03369049301238, -5.271354291984655}}, 
       {{-3.125917258440203, -5.07622283403372, -5.321352023819446}}, 
       {{-3.1235435496424775, -5.152010419062717, -5.399180990871775}}, 
       {{-3.14365674707181, -5.25590872759608, -5.501964384098469}}, 
       {{-3.1818848406641775, -5.3903076606508185, -5.626929149146214}}, 
       {{-3.23408240584533, -5.548158499891093, -5.76864138302276}}, 
       {{-3.292163847186986, -5.707856353243587, -5.90607756337722}}, 
       {{-3.3566893331243524, -5.888590722274372, -6.045838425367715}}, 
       {{-3.425939125854269, -6.078929390889356, -6.189363522386713}}, 
       {{-3.494386650710964, -6.250581056146384, -6.318081693397973}}, 
       {{-3.563000306700318, -6.41108565325482, -6.4334530897238835}}, 
       {{-3.6312524196204468, -6.570605307108437, -6.5340497383700145}}, 
       {{-3.6997588661110568, -6.725687719684565, -6.635294918726036}}, 
       {{-3.7680980237386543, -6.863898650595043, -6.72861565537763}}, 
       {{-3.83486186477543, -7.010918758295658, -6.809701091923437}}, 
       {{-3.9012866920183473, -7.148402076826742, -6.894019144414886}}, 
       {{-3.966404397863272, -7.27156544498149, -6.9695410947773535}}}, 
      {{{-4.125289508041311, -5.833405401819215, -6.057070463333082}}, 
       {{-4.054398739556343, -5.8267010213192085, -6.054104509599286}}, 
       {{-3.9909147663495235, -5.827250127083396, -6.06460372413267}}, 
       {{-3.9472311716306665, -5.847788326797182, -6.093530672663167}}, 
       {{-3.926328036358179, -5.89335155553409, -6.141247145510043}}, 
       {{-3.92727583716204, -5.965440938986941, -6.216822322081807}}, 
       {{-3.94615528572924, -6.065010334237054, -6.309949447389892}}, 
       {{-3.980207291755051, -6.186309556602545, -6.4146297725604144}}, 
       {{-4.026349748176742, -6.326752480708116, -6.547387788738815}}, 
       {{-4.077134647049558, -6.475366034124544, -6.658357953326874}}, 
       {{-4.1341507904534085, -6.634547258983794, -6.78539698196907}}, 
       {{-4.1954263028578875, -6.798990343084064, -6.910540401773164}}, 
       {{-4.256367536323955, -6.9586348087493715, -7.0178995250293985}}, 
       {{-4.318694441686537, -7.108100049317541, -7.129699641468871}}, 
       {{-4.380646742374032, -7.252905567848473, -7.229684203216262}}, 
       {{-4.442591462329702, -7.402982938171753, -7.3128762905453595}}, 
       {{-4.505056119017308, -7.526804299847478, -7.401288350563226}}, 
       {{-4.566829354023669, -7.6648397655676215, -7.4821836454698}}, 
       {{-4.627855962199315, -7.793635170905401, -7.5586189111914175}}}, 
      {{{-4.973272534122575, -6.64600663896176, -6.873282156959372}}, 
       {{-4.900889883487202, -6.6381260914558045, -6.8670474128061185}}, 
       {{-4.829666824338578, -6.628121124171844, -6.862844981326633}}, 
       {{-4.773648138029351, -6.631706493280005, -6.8731630344154135}}, 
       {{-4.737685063449322, -6.65506740726436, -6.901637286444462}}, 
       {{-4.721736604055428, -6.702261451078476, -6.950351907871189}}, 
       {{-4.724003090774038, -6.771293935800664, -7.0174204474674085}}, 
       {{-4.74180028488367, -6.861834129311552, -7.101638756003126}}, 
       {{-4.772342982856658, -6.973852794678382, -7.200368528213551}}, 
       {{-4.812709836082163, -7.104389451990698, -7.307965807581808}}, 
       {{-4.8583243569598045, -7.23628147713756, -7.4153331004767535}}, 
       {{-4.908941919247355, -7.376739775718825, -7.524901371538758}}, 
       {{-4.963439317965469, -7.528325007353407, -7.634781078753864}}, 
       {{-5.018484625260518, -7.668116254556185, -7.735822810175302}}, 
       {{-5.074289622429187, -7.807072328722566, -7.82890383433168}}, 
       {{-5.13081537203465, -7.94063298324054, -7.91692028904552}}, 
       {{-5.18786763399003, -8.073551827089481, -8.003049586345305}}, 
       {{-5.245046565394766, -8.200881021884493, -8.082038704675396}}, 
       {{-5.301887250147789, -8.329426663055697, -8.15705597916727}}}, 
      {{{-5.8231018719695955, -7.464444195970638, -7.6929654536838425}}, 
       {{-5.750774215035333, -7.45240900636654, -7.6833331465638075}}, 
       {{-5.674132580752799, -7.437241398199496, -7.671027076963324}}, 
       {{-5.608671944646552, -7.4256703051551805, -7.6686194585998795}}, 
       {{-5.560158316618451, -7.432998178075362, -7.679397378421971}}, 
       {{-5.530220504841532, -7.459123886104864, -7.7088138131927275}}, 
       {{-5.517614274016381, -7.505962234565626, -7.754219605837468}}, 
       {{-5.520591389009002, -7.572041198647299, -7.814627606913556}}, 
       {{-5.536752824463062, -7.657083929916047, -7.89023277355009}}, 
       {{-5.564303218537214, -7.759449728293569, -7.979545064249539}}, 
       {{-5.600252234553758, -7.877161912340127, -8.07548134788501}}, 
       {{-5.640801157742422, -7.9983198378299525, -8.168877425419447}}, 
       {{-5.686274202053208, -8.123637383735536, -8.269268724836133}}, 
       {{-5.734927222412944, -8.261300195856053, -8.362659307055546}}, 
       {{-5.784675994569626, -8.390317265622713, -8.455171747967208}}, 
       {{-5.83540324795584, -8.519739497494736, -8.540351338482157}}, 
       {{-5.886989409945587, -8.643297765324107, -8.621287300198086}}, 
       {{-5.939311632432799, -8.769099459859756, -8.697891341260068}}, 
       {{-5.992241768443809, -8.884082780320574, -8.773499611631081}}}, 
      {{{-6.680078249600641, -8.289878236881187, -8.517512735175117}}, 
       {{-6.608439968329151, -8.27608856529799, -8.51240547898499}}, 
       {{-6.528075071654016, -8.256622232415289, -8.491772331082672}}, 
       {{-6.455441963013277, -8.236261251289969, -8.47912051717038}}, 
       {{-6.396701596957658, -8.227153629531818, -8.478833489312471}}, 
       {{-6.354380688418847, -8.241807189119191, -8.48756112132534}}, 
       {{-6.32920884551857, -8.268040528150408, -8.517450689198164}}, 
       {{-6.319049612560792, -8.309956415509225, -8.559295609572102}}, 
       {{-6.322409863221148, -8.373549892376987, -8.619171737060121}}, 
       {{-6.33713300598758, -8.453933928052038, -8.684337559043048}}, 
       {{-6.361310213041188, -8.550493986625039, -8.761887283222306}}, 
       {{-6.393698975907065, -8.657038375878521, -8.849004591615994}}, 
       {{-6.429962531010215, -8.77054749054138, -8.930002929398803}}, 
       {{-6.470968570081312, -8.886163611696384, -9.017411472442438}}, 
       {{-6.515068523675018, -9.00409348344581, -9.106190125539133}}, 
       {{-6.559623015227554, -9.133169744785343, -9.183473881038848}}, 
       {{-6.605938669091796, -9.247456357548163, -9.26241215476572}}, 
       {{-6.653271082472049, -9.362162247563441, -9.336400824239183}}, 
       {{-6.701553942883934, -9.476656772750525, -9.406075442954355}}}, 
      {{{-7.549579041069201, -9.126058359970438, -9.361932041194923}}, 
       {{-7.478175537315731, -9.114130336142487, -9.34825339994142}}, 
       {{-7.3958835568918575, -9.088900016045946, -9.32608120748417}}, 
       {{-7.317010735002482, -9.063159737162499, -9.305140049117743}}, 
       {{-7.249717920469386, -9.047039320003815, -9.292785058242588}}, 
       {{-7.197410516143455, -9.04383864017333, -9.291730848529907}}, 
       {{-7.160644153324987, -9.056946047911975, -9.30383458743291}}, 
       {{-7.1388560348666585, -9.084221481073133, -9.331275143812817}}, 
       {{-7.130360792625335, -9.128150542616979, -9.370225885279103}}, 
       {{-7.1335960085842105, -9.187975351746895, -9.420724792604764}}, 
       {{-7.146974353220601, -9.261613875856096, -9.48115467190353}}, 
       {{-7.168989356329303, -9.34911772955746, -9.551145167833434}}, 
       {{-7.197813947438066, -9.44830022462991, -9.627867515416167}}, 
       {{-7.230847219718844, -9.550480639759117, -9.704012752776206}}, 
       {{-7.2676208933583295, -9.657931529747763, -9.781529836984198}}, 
       {{-7.307326302055617, -9.770421011993225, -9.858404142362094}}, 
       {{-7.34841840467387, -9.8798991274195, -9.930820048212789}}, 
       {{-7.3908788066588995, -9.986807732006886, -10.001669062025547}}, 
       {{-7.4343604369111125, -10.096481971106014, -10.068242004499247}}}, 
      {{{-8.435391237520033, -9.979473445603661, -10.219441335389806}}, 
       {{-8.364822038043243, -9.968385466314713, -10.203499262709125}}, 
       {{-8.280747268634476, -9.940940935910842, -10.178976296734643}}, 
       {{-8.197202186247607, -9.911952555253517, -10.14984918342693}}, 
       {{-8.12301751950394, -9.887010233502284, -10.12970817884892}}, 
       {{-8.06202583398639, -9.871479893118336, -10.119734717918629}}, 
       {{-8.015389987241845, -9.87100856600194, -10.119761396784925}}, 
       {{-7.983093309912697, -9.884425646631101, -10.132971659237615}}, 
       {{-7.963730917937003, -9.915609983021431, -10.154284672199308}}, 
       {{-7.956654207678976, -9.955484857668166, -10.193357213354732}}, 
       {{-7.959596196955633, -10.013898477433647, -10.237140209908949}}, 
       {{-7.971716733488113, -10.082589496541697, -10.291265372975857}}, 
       {{-7.9914818748043075, -10.16146879897527, -10.35498762359497}}, 
       {{-8.017408770655898, -10.253277274363326, -10.422294136320536}}, 
       {{-8.047342175786437, -10.349642653338663, -10.488749338686983}}, 
       {{-8.080525592580402, -10.45182667517791, -10.55490508548264}}, 
       {{-8.116794104446296, -10.550416642518801, -10.627034625923942}}, 
       {{-8.154238873993608, -10.656040344237992, -10.691246109961572}}, 
       {{-8.193191862491494, -10.752879067495469, -10.75339118483143}}}, 
      {{{-9.342536163341746, -10.857618370632988, -11.097360880175305}}, 
       {{-9.272800287889536, -10.844836199678438, -11.082579072438152}}, 
       {{-9.187602077205188, -10.817995456804299, -11.05508946331319}}, 
       {{-9.100862472346272, -10.779275484947267, -11.025331002375419}}, 
       {{-9.020297191900827, -10.748998379644505, -10.994844594146887}}, 
       {{-8.951099237215029, -10.728552766229399, -10.971027268022961}}, 
       {{-8.896271709857205, -10.715747060696064, -10.96528764797116}}, 
       {{-8.854117779757514, -10.722535624019125, -10.960143351004337}}, 
       {{-8.825457438399651, -10.734715671788248, -10.976230907502408}}, 
       {{-8.808648150271946, -10.761359947657589, -10.997153137381597}}, 
       {{-8.801819690170674, -10.803490699718571, -11.023714496238314}}, 
       {{-8.804748583630095, -10.858056031543626, -11.067359876250451}}, 
       {{-8.816107285943033, -10.916483159037767, -11.118623689053962}}, 
       {{-8.83334593781168, -10.997146304260873, -11.173040657657182}}, 
       {{-8.856660513250759, -11.08032683895565, -11.23151164501394}}, 
       {{-8.884191444180361, -11.166747909360565, -11.294945332229128}}, 
       {{-8.914669480141498, -11.257315219331835, -11.353841092174664}}, 
       {{-8.947459637163082, -11.353140808190068, -11.413957399578118}}, 
       {{-8.981855840378806, -11.44665619286275, -11.473215396764214}}}, 
      {{{-10.276375957415679, -11.758135849354842, -12.002250864609863}}, 
       {{-10.207206496910011, -11.746726313255815, -11.987018285809011}}, 
       {{-10.121015280103462, -11.716667863828702, -11.958558763313686}}, 
       {{-10.03059680918012, -11.680415272552661, -11.920630668890402}}, 
       {{-9.94533337020874, -11.643369742904614, -11.888009083015188}}, 
       {{-9.870022520594194, -11.613661073099289, -11.859041098528118}}, 
       {{-9.806956658405536, -11.593401871772905, -11.839269573816411}}, 
       {{-9.756683389440648, -11.58506143896545, -11.82851463791282}}, 
       {{-9.719108744576566, -11.588517500925203, -11.828548296172539}}, 
       {{-9.693082777964754, -11.604402718169576, -11.837490922156615}}, 
       {{-9.677830315699774, -11.631911763079234, -11.857693432961058}}, 
       {{-9.671933844909196, -11.670811472594512, -11.884639008601017}}, 
       {{-9.674400751077359, -11.720155610142548, -11.921433910002115}}, 
       {{-9.684101759281134, -11.781759427082259, -11.963987480455819}}, 
       {{-9.70001783028727, -11.852705974087582, -12.011891060288937}}, 
       {{-9.721012503994306, -11.932303631040604, -12.064691364752274}}, 
       {{-9.745929879774526, -12.014760517452935, -12.119200142286221}}, 
       {{-9.773717921962005, -12.100853764492305, -12.173250493828354}}, 
       {{-9.80377209768612, -12.189635923378292, -12.228569526404895}}}, 
      {{{-11.241705306349994, -12.693676674920898, -12.938320995339518}}, 
       {{-11.173025821573342, -12.680480469038343, -12.921671410338247}}, 
       {{-11.086080091313837, -12.649813205604879, -12.891492389443242}}, 
       {{-10.99278650714337, -12.61024556287978, -12.853495256674877}}, 
       {{-10.903088633259943, -12.56946002212859, -12.812958912696208}}, 
       {{-10.821859448746812, -12.534128269821446, -12.777739628421912}}, 
       {{-10.751965593944705, -12.504861151962197, -12.75158103820515}}, 
       {{-10.69415654528581, -12.487795970889518, -12.729731956487743}}, 
       {{-10.648227617258641, -12.48397862822819, -12.72002396144605}}, 
       {{-10.614147614739966, -12.487308937078211, -12.718395425296608}}, 
       {{-10.590513484499374, -12.502790638628126, -12.727319359823388}}, 
       {{-10.576668640913427, -12.528085102506344, -12.743855330553037}}, 
       {{-10.571043257359628, -12.566792224603393, -12.768304810166677}}, 
       {{-10.573068603564911, -12.614701860592616, -12.801200493807187}}, 
       {{-10.581541626550269, -12.67339340961908, -12.837374529376595}}, 
       {{-10.59614335220744, -12.73837545522487, -12.88041339459376}}, 
       {{-10.61501095640957, -12.814710949651436, -12.928044014924836}}, 
       {{-10.637869023139688, -12.889726444666998, -12.977829413801501}}, 
       {{-10.663176199771112, -12.97148701814881, -13.024091272297655}}}, 
      {{{-12.246055107164775, -13.663341852187672, -13.913967599734596}}, 
       {{-12.177082744516778, -13.650785493603319, -13.8973283157925}}, 
       {{-12.088738541019861, -13.620466931490846, -13.863756926248085}}, 
       {{-11.99318461268733, -13.580023356431118, -13.822034238596927}}, 
       {{-11.899330980740674, -13.535601913589218, -13.778703256786194}}, 
       {{-11.812646079499475, -13.495423470678816, -13.736119295940675}}, 
       {{-11.736308120877856, -13.461019038665325, -13.700380815548634}}, 
       {{-11.67145774107021, -13.43533901441214, -13.67190752003833}}, 
       {{-11.618393543965054, -13.419421233390509, -13.652975257692175}}, 
       {{-11.5765874983983, -13.416064907716668, -13.642350757224664}}, 
       {{-11.545333666610357, -13.417958818547604, -13.64076881696909}}, 
       {{-11.523589971648713, -13.439725399197371, -13.647165124265586}}, 
       {{-11.510590409397485, -13.462923195639453, -13.661523231363264}}, 
       {{-11.505292126521052, -13.499896846516261, -13.682655483273336}}, 
       {{-11.506932021384777, -13.541821019261072, -13.710287636190683}}, 
       {{-11.5145761704264, -13.596645779146687, -13.743499340363568}}, 
       {{-11.527471155791666, -13.656723479670855, -13.781406568616074}}, 
       {{-11.544700599080128, -13.732189554729459, -13.822379586661159}}, 
       {{-11.565342485422443, -13.803487856694682, -13.865422214013867}}}}, 
     {Automatic, Automatic}]
 
sigmaLOSG7[x_, y_] := If[x < 200 || x > 2000 || y < 200 || y > 2000, 
     "Squark or gluino mass outside range of interpolation!", 
     {SetPrecision[E^fLOSGLog7[x, y][[1]], 3], SetPrecision[
       E^fLOSGLog7[x, y][[2]], 3], SetPrecision[-E^fLOSGLog7[x, y][[3]], 3]}]
 
fLOSGLog7 = InterpolatingFunction[{{200., 2000.}, {200., 2000.}}, 
     {4, 3, 0, {19, 19}, {5, 5}, 0, 0, 0, 0, Automatic}, 
     {{200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000.}, 
      {200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000.}}, 
     {{{{6.82045295057934, 5.797879798035317, 5.416988896265535}}, 
       {{5.579729825986222, 4.072439726834051, 4.203198967134183}}, 
       {{4.547858819274978, 3.323956301318708, 3.193352867637115}}, 
       {{3.651177586929925, 2.6232182655855123, 2.31451366385932}}, 
       {{2.848970892158587, 1.8976198599275327, 1.528227857008557}}, 
       {{2.115773470927226, 1.219058441743977, 0.8104856729771784}}, 
       {{1.4350845252893227, 0.5827741230785745, 0.14323416808590814}}, 
       {{0.7957037688850375, -0.015113637810048297, -0.4845083154486171}}, 
       {{0.18896609951262316, -0.583396316600826, -1.07880966137193}}, 
       {{-0.3915622029391729, -1.1288653318391308, -1.6486986263874028}}, 
       {{-0.9503647122079065, -1.651302116532799, -2.196424897165655}}, 
       {{-1.491654876777717, -2.155890713843242, -2.727233020518984}}, 
       {{-2.0181583132629375, -2.6493097060796096, -3.244193632852491}}, 
       {{-2.5328791483370963, -3.1310939114846676, -3.749479076242866}}, 
       {{-3.03759647765269, -3.604906020337758, -4.244702443810663}}, 
       {{-3.5342717358874975, -4.070432742175788, -4.731867839034049}}, 
       {{-4.0246319498108, -4.53099078781384, -5.2139762181142855}}, 
       {{-4.509860006183766, -4.9864306053994385, -5.690471460596529}}, 
       {{-4.991273940617636, -5.439189925429452, -6.163439811847792}}}, 
      {{{5.838604700463646, 5.056882545261575, 4.456670177669647}}, 
       {{4.724729421045731, 3.7635229971097024, 3.3666059368925363}}, 
       {{3.778034365424829, 2.334083760053417, 2.438862711286593}}, 
       {{2.9396908826703663, 1.7047480922384253, 1.6174060820832774}}, 
       {{2.179965379446135, 1.132691602320972, 0.8725478089262362}}, 
       {{1.478645622184077, 0.5235443961737657, 0.18481843699254133}}, 
       {{0.8228587870816026, -0.07042246429654593, -0.4572848568379605}}, 
       {{0.20212418409013433, -0.6405547304407749, -1.067986095126349}}, 
       {{-0.38919813564429245, -1.1907275775759152, -1.647659125254298}}, 
       {{-0.9573731769753849, -1.720928288467464, -2.2045513527226803}}, 
       {{-1.5068813241090084, -2.2349264445202306, -2.7441956477385636}}, 
       {{-2.0402208285265546, -2.7333680090865, -3.2680660690589725}}, 
       {{-2.560708363204282, -3.2201266067698535, -3.7788041616419235}}, 
       {{-3.0706713602184847, -3.6993339120177953, -4.27947004634879}}, 
       {{-3.5716298940636966, -4.170146275638382, -4.771224770318174}}, 
       {{-4.065757105370189, -4.6356293934728, -5.2552578770875895}}, 
       {{-4.554477071672573, -5.094560529034017, -5.735892528574435}}, 
       {{-5.039034768617954, -5.551920125346955, -6.212610095759519}}, 
       {{-5.520211698461814, -6.005157874239984, -6.685412047838697}}}, 
      {{{4.989752083179832, 4.423648309364701, 3.627004050395849}}, 
       {{3.971046345877607, 3.1548704948922883, 2.6282852326333477}}, 
       {{3.0878555624297968, 2.1724764076470255, 1.7630170003624006}}, 
       {{2.2974720436072227, 0.9403978072173882, 0.9876807279608278}}, 
       {{1.572773928062509, 0.36603103886275684, 0.27687387373517786}}, 
       {{0.898534010284896, -0.13926206733350752, -0.3841929728326246}}, 
       {{0.2631331995303682, -0.6792442753909537, -1.0089544167375746}}, 
       {{-0.3400988046769116, -1.2163828244026174, -1.5999827536633453}}, 
       {{-0.9185432669274488, -1.7429693050586228, -2.1680542000364396}}, 
       {{-1.4762190686478776, -2.256656161105646, -2.7150748160391744}}, 
       {{-2.017406150760383, -2.756715373083491, -3.2472752993898983}}, 
       {{-2.5438926149359267, -3.248304635559013, -3.7631720586957913}}, 
       {{-3.0593112551968624, -3.7292848687489752, -4.269412490304747}}, 
       {{-3.5652468936686614, -4.204382667431038, -4.766513336396854}}, 
       {{-4.063427459587379, -4.673449026741386, -5.2552578770875895}}, 
       {{-4.555428094093277, -5.136198517071602, -5.737442676148836}}, 
       {{-5.043520121432032, -5.596992980474683, -6.21811423775148}}, 
       {{-5.527478990187809, -6.053765573305362, -6.693450676335131}}, 
       {{-6.0092212686972415, -6.508308243199536, -7.166526007939498}}}, 
      {{{4.231784971343338, 3.781002742989742, 2.8859174075467844}}, 
       {{3.2850380271218693, 2.6720775406433925, 1.9572739077056287}}, 
       {{2.453587966530573, 1.6351056591826783, 1.1407134646867456}}, 
       {{1.7003749074262025, 0.8219800524029139, 0.4021262068426498}}, 
       {{1.0057657383017578, -0.2574762303947149, -0.27971390280260405}}, 
       {{0.3541718137206139, -0.8007323912398826, -0.9187938620922735}}, 
       {{-0.26266430947649305, -1.2729656758128878, -1.5246373107416353}}, 
       {{-0.8519084729448869, -1.7713687795803208, -2.102914897865478}}, 
       {{-1.4188175528254507, -2.270117902856544, -2.659260036932778}}, 
       {{-1.9675424491824272, -2.7646205525906042, -3.198093285685672}}, 
       {{-2.5009140879338174, -3.2521741102697153, -3.7214026458194964}}, 
       {{-3.022076248893593, -3.7351328386313987, -4.232917212086041}}, 
       {{-3.5332441625824873, -4.209082239692524, -4.735278871335112}}, 
       {{-4.035886992650532, -4.6788167261563895, -5.228791303899426}}, 
       {{-4.531919724248499, -5.144738278619736, -5.715652647226689}}, 
       {{-5.0231128156073686, -5.605930074488696, -6.198734749265902}}, 
       {{-5.510273728471682, -6.065326395706437, -6.677437523919926}}, 
       {{-5.994669678056931, -6.5231733817903965, -7.153655817418963}}, 
       {{-6.477272407898685, -6.980325971816972, -7.627246434881684}}}, 
      {{{3.5406694269487495, 3.1612467120315646, 2.2093727112718673}}, 
       {{2.649714624089247, 2.1598687907924505, 1.3350010667323402}}, 
       {{1.859729595667322, 1.228762973133155, 0.5590441960364648}}, 
       {{1.1387940783009416, 0.33432708027482433, -0.14850000831844384}}, 
       {{0.4675004990276171, -0.3783364407199117, -0.8074363269620726}}, 
       {{-0.16393169168236368, -1.3348410795309746, -1.4271163556401458}}, 
       {{-0.7655028427520857, -1.8578992717326002, -2.0181583132629375}}, 
       {{-1.342468881579861, -2.3116258376461944, -2.5836226227271584}}, 
       {{-1.8997902134417601, -2.783851914518492, -3.132698128627148}}, 
       {{-2.4403540227389415, -3.260479374723276, -3.662432284099088}}, 
       {{-2.9677280771443937, -3.7342953176444187, -4.179902450583747}}, 
       {{-3.484144302483082, -4.205052684206522, -4.687465428714922}}, 
       {{-3.9916074847709884, -4.674520264122885, -5.184988681241033}}, 
       {{-4.491841500681089, -5.136198517071601, -5.676653807267948}}, 
       {{-4.986723474049943, -5.596184464058183, -6.163439811847792}}, 
       {{-5.476965677975695, -6.059315214016157, -6.644622079451769}}, 
       {{-5.96423856085439, -6.517065456456127, -7.123426815457646}}, 
       {{-6.449065409636675, -6.974964028675587, -7.600902459542082}}, 
       {{-6.933175656329048, -7.435218543901151, -8.076039240899567}}}, 
      {{{2.900322088749333, 2.571084346029053, 1.5810384379124023}}, 
       {{2.05348250250974, 1.6457698416814908, 0.7504722471792149}}, 
       {{1.297463147413275, 0.7907275088988094, 0.007968169649176881}}, 
       {{0.6026752773958697, -0.028399474521698, -0.6733445532637656}}, 
       {{-0.047196434830974694, -0.8230281014144651, -1.3123006812115643}}, 
       {{-0.6633942224105975, -1.4792872279690552, -1.9173226922034006}}, 
       {{-1.2510644118597865, -2.3361418765228885, -2.4937455984552046}}, 
       {{-1.8176928512545596, -2.84215318562569, -3.0512449834842497}}, 
       {{-2.3662706446801787, -3.286887035484744, -3.589577253040074}}, 
       {{-2.900422093749666, -3.744392164044195, -4.11413918955028}}, 
       {{-3.422523168376908, -4.205052684206522, -4.626393822439718}}, 
       {{-3.9352916323675005, -4.667045589706179, -5.13110944756413}}, 
       {{-4.439655747510518, -5.127731065972503, -5.625156154201012}}, 
       {{-4.938547217702002, -5.587333662012955, -6.116121151707538}}, 
       {{-5.432306006551354, -6.044443471898869, -6.60100614381313}}, 
       {{-5.922685031713156, -6.500957725640194, -7.083299851497068}}, 
       {{-6.410622982348149, -6.960101759354346, -7.563606674798385}}, 
       {{-6.896815338943803, -7.416915623429067, -8.040959012419867}}, 
       {{-7.382570465225094, -7.877974352881848, -8.51819369174982}}}, 
      {{{2.3001822083777355, 2.0074083387800044, 0.994362267294311}}, 
       {{1.4888509494449829, 1.1391142319774394, 0.19721016928770563}}, 
       {{0.7608058290337602, 0.34003730278570893, -0.5175146119167872}}, 
       {{0.08801087732271337, -0.42159449003804816, -1.178305057577358}}, 
       {{-0.5447271754416722, -1.1628308609947609, -1.799993274155159}}, 
       {{-1.1463330248795214, -1.8878299379787888, -2.3914163067006613}}, 
       {{-1.7237270588362281, -2.5120723178607696, -2.958436488810294}}, 
       {{-2.280823601212533, -3.283414346005772, -3.505225452086203}}, 
       {{-2.8224514614121854, -3.77749211247054, -4.037019495602832}}, 
       {{-3.350979665501538, -4.218548165681407, -4.55638002181866}}, 
       {{-3.868963515967699, -4.669175515964004, -5.065619602429015}}, 
       {{-4.378831743777362, -5.121008351577626, -5.566458283792982}}, 
       {{-4.88145083571543, -5.576973627792505, -6.060171745117772}}, 
       {{-5.378876874406454, -6.030205375424413, -6.548683210443683}}, 
       {{-5.872437840686341, -6.484450252745642, -7.034452932028095}}, 
       {{-6.363108106740635, -6.94131206251098, -7.516561311108331}}, 
       {{-6.852320572094037, -7.397145622028063, -7.9975069392180504}}, 
       {{-7.340231936337151, -7.856827500380672, -8.476531209697347}}, 
       {{-7.828807327958002, -8.316295249049347, -8.957249744294021}}}, 
      {{{1.7316555451583497, 1.469485952006655, 0.43760956143473184}}, 
       {{0.9497255079603925, 0.6444820085786644, -0.33128570993391293}}, 
       {{0.24451357705040216, -0.11204950380862301, -1.0238759425540926}}, 
       {{-0.4099250388302578, -0.8317198304238852, -1.6665375044746733}}, 
       {{-1.0277811079075183, -1.5278579254416775, -2.2739976361421332}}, 
       {{-1.6174700841313647, -2.2136588837996443, -2.8524981054680834}}, 
       {{-2.184802057337662, -2.887775132048899, -3.409733712684442}}, 
       {{-2.735524178102965, -3.497267850412889, -3.9512837193814483}}, 
       {{-3.2706955735979975, -4.19571305661039, -4.476776971219692}}, 
       {{-3.7946845130109126, -4.682051230324049, -4.992304337411532}}, 
       {{-4.309519943887134, -5.122684797904879, -5.497744391244931}}, 
       {{-4.816879359676638, -5.570651162053018, -5.996678114160869}}, 
       {{-5.3183160130547265, -6.018219284416801, -6.489044944123952}}, 
       {{-5.81516106263959, -6.469500348050982, -6.977105357116931}}, 
       {{-6.3089187778934335, -6.922868916792185, -7.462881161644708}}, 
       {{-6.8006962066887295, -7.376160186864175, -7.945931198846416}}, 
       {{-7.291507820184652, -7.834854209572895, -8.428724543428629}}, 
       {{-7.782184556761375, -8.291652515502307, -8.910976794750564}}, 
       {{-8.273463006493639, -8.755450380540495, -9.394263210137112}}}, 
      {{{1.1890621915901818, 0.952043901579973, -0.09321238172217919}}, 
       {{0.43113285485674213, 0.16211884947643512, -0.8393296907380269}}, 
       {{-0.2547632256946713, -0.5622943721411833, -1.513219054693557}}, 
       {{-0.8937956540467841, -1.247228312996893, -2.1413169453979233}}, 
       {{-1.499239120136025, -1.909867557708384, -2.7364496756239083}}, 
       {{-2.0786418615092717, -2.5613558219514063, -3.304978523921613}}, 
       {{-2.6384774977502494, -3.20571283834192, -3.855642671992038}}, 
       {{-3.1820618517454844, -3.8434302139625345, -4.3892526797656215}}, 
       {{-3.713582066754308, -4.44902150349816, -4.911695346241352}}, 
       {{-4.2336066295556085, -5.084820192285632, -5.423880589523383}}, 
       {{-4.745697421125068, -5.567243110517374, -5.92605140855975}}, 
       {{-5.251433780649187, -6.0092212686972415, -6.422863037242651}}, 
       {{-5.752447646637482, -6.456042919708652, -6.915787450679401}}, 
       {{-6.24971727553576, -6.905757276319465, -7.405335675998107}}, 
       {{-6.743937193752742, -7.35874090239211, -7.889651767954286}}, 
       {{-7.2376492002432276, -7.811623490857735, -8.375693629142537}}, 
       {{-7.730555667768953, -8.268771832917759, -8.860387973798277}}, 
       {{-8.22415051272236, -8.729767791381214, -9.346160095118718}}, 
       {{-8.719309375538371, -9.191518617735595, -9.833961489887518}}}, 
      {{{0.6673164205254238, 0.4529846240761406, -0.6051363032372319}}, 
       {{-0.0703151739150256, -0.3093824994311201, -1.3306704573718933}}, 
       {{-0.7400291664600757, -1.0070363451809001, -1.9892352737936867}}, 
       {{-1.3660996538343713, -1.6670670252707367, -2.6050424510279813}}, 
       {{-1.9611253148617938, -2.3035855933276292, -3.1898025773824936}}, 
       {{-2.532249861298521, -2.9258331461743237, -3.750329416430159}}, 
       {{-3.085219440055527, -3.5446059649575115, -4.294015757351168}}, 
       {{-3.623841057934714, -4.159843544454796, -4.823326195791262}}, 
       {{-4.150914913710495, -4.768866278658881, -5.341224867559313}}, 
       {{-4.669068911838323, -5.3797443652437655, -5.8506596705169605}}, 
       {{-5.1791131190695605, -5.963071472606764, -6.3515739534953495}}, 
       {{-5.683979847360021, -6.442136248054226, -6.84760135616239}}, 
       {{-6.185049296180647, -6.886972739799608, -7.341619861611999}}, 
       {{-6.68301300630423, -7.337000915755705, -7.830315623869887}}, 
       {{-7.1790392056242815, -7.790611234770055, -8.31752299628767}}, 
       {{-7.674548999710381, -8.245259475932595, -8.804875263868018}}, 
       {{-8.170417079656753, -8.704728315263079, -9.292635614703013}}, 
       {{-8.66743485474678, -9.167280882515735, -9.781269919811878}}, 
       {{-9.166323486559408, -9.63498829950112, -10.271656875900595}}}, 
      {{{0.16296882827813972, -0.030459207484708803, -1.099612789001693}}, 
       {{-0.5575678863181224, -0.7713249616239695, -1.8078888511579387}}, 
       {{-1.2136864965135752, -1.447319062957665, -2.45340798272863}}, 
       {{-1.8288384774694757, -2.0874737133770997, -3.057607677272079}}, 
       {{-2.4148583354768314, -2.704257402863514, -3.634012552673096}}, 
       {{-2.979268547523326, -3.3055236315938727, -4.1890948987679115}}, 
       {{-3.5267606046375013, -3.9000944345628725, -4.727337819962299}}, 
       {{-4.061103228442299, -4.493628811255184, -5.251433780649187}}, 
       {{-4.585367558691911, -5.088056441064841, -5.767681200506432}}, 
       {{-5.1011071972603315, -5.677237919434089, -6.274358102827966}}, 
       {{-5.611112139814892, -6.297989707361243, -6.775850208102199}}, 
       {{-6.115668150567288, -6.835434617402511, -7.2715987123994825}}, 
       {{-6.617326980862331, -7.314220887423885, -7.765541281483729}}, 
       {{-7.116379744197144, -7.765069805755996, -8.255598453727774}}, 
       {{-7.614798564734194, -8.21968455814672, -8.745977622620533}}, 
       {{-8.11306230632121, -8.677948970295631, -9.235658179960472}}, 
       {{-8.612603376220896, -9.13895037588951, -9.72785498389297}}, 
       {{-9.11321366124546, -9.606350321313592, -10.219020553143686}}, 
       {{-9.617256532351663, -10.077126908947248, -10.71541826908604}}}, 
      {{{-0.3265615105126984, -0.5015355768588982, -1.5789087073992774}}, 
       {{-1.03310548646599, -1.2221367749536072, -2.2739976361421332}}, 
       {{-1.6777167531873949, -1.8825598335545515, -2.907721396231278}}, 
       {{-2.2837633387534577, -2.50715225873532, -3.503894779900498}}, 
       {{-2.8626009609508083, -3.108229304781137, -4.073366155836909}}, 
       {{-3.421298053369158, -3.6936910111111585, -4.622316344823062}}, 
       {{-3.964369485800355, -4.270843105713267, -5.156817804274337}}, 
       {{-4.495419322028972, -4.8446972165528255, -5.677530103512136}}, 
       {{-5.01765990903322, -5.421615582892531, -6.191868611452702}}, 
       {{-5.532521865221671, -5.999093574272473, -6.698305054799929}}, 
       {{-6.04191609060408, -6.574860863708808, -7.199445372831456}}, 
       {{-6.547287536804708, -7.210212637016072, -7.6947736751521525}}, 
       {{-7.04989504614326, -7.709601876465424, -8.189689624777785}}, 
       {{-7.551350680712835, -8.189329329331624, -8.68324777574632}}, 
       {{-8.052202103994047, -8.647301876763258, -9.174973228138892}}, 
       {{-8.55385717578783, -9.10959046887604, -9.669206256811462}}, 
       {{-9.056761284047882, -9.577065651768416, -10.162776550486692}}, 
       {{-9.56288101677646, -10.047127002737739, -10.66149330544457}}, 
       {{-10.071906204161092, -10.522641053187748, -11.162268593357059}}}, 
      {{{-0.8043022299261078, -0.96154963827977, -2.0471679811295402}}, 
       {{-1.4987913923470368, -1.6670670252707367, -2.73029581004953}}, 
       {{-2.134531507997796, -2.3136460403534707, -3.356989126997835}}, 
       {{-2.7324453579369314, -2.9254602205686595, -3.9440298015632322}}, 
       {{-3.3052510406149462, -3.513918251726274, -4.507136445716726}}, 
       {{-3.8594305553089754, -4.087567577943077, -5.053021010592693}}, 
       {{-4.398969355404193, -4.652261793521942, -5.581741848747177}}, 
       {{-4.928272203671133, -5.2101233558121205, -6.103066723689285}}, 
       {{-5.448907725180538, -5.7705635083465525, -6.615085665019317}}, 
       {{-5.9634603506983845, -6.334518395094749, -7.120948499443179}}, 
       {{-6.472731368632428, -6.903763257712599, -7.621105166859602}}, 
       {{-6.9795735667726095, -7.471103022007238, -8.120096332978589}}, 
       {{-7.4847207052526725, -8.122452046671048, -8.617013526698448}}, 
       {{-7.988331205164148, -8.588689193121308, -9.112306631704817}}, 
       {{-8.492500578825865, -9.074062753683634, -9.60783731043517}}, 
       {{-8.997651278565831, -9.541626081910096, -10.104136026022967}}, 
       {{-9.505920216555104, -10.013525657745065, -10.605070211917175}}, 
       {{-10.016880239891218, -10.489755371468977, -11.107460356862065}}, 
       {{-10.531971219770352, -10.970601174144868, -11.614958190535381}}}, 
      {{{-1.2718948208113945, -1.4134600291926602, -2.50470127711618}}, 
       {{-1.9568699892916552, -2.1045542424949115, -3.179655111714919}}, 
       {{-2.5841525644459726, -2.740470092358321, -3.7969101983276414}}, 
       {{-3.176295377333082, -3.342174041212694, -4.37962951007416}}, 
       {{-3.744392164044195, -3.9215684182716775, -4.9378496243706085}}, 
       {{-4.294748626566821, -4.485610950930452, -5.4791200773727216}}, 
       {{-4.83232175869984, -5.040270099225946, -6.008000515748082}}, 
       {{-5.359767328864259, -5.589739758615541, -6.526582863443018}}, 
       {{-5.879923172375075, -6.136721559765121, -7.037863964329158}}, 
       {{-6.39433302936888, -6.687014612284238, -7.542633551418107}}, 
       {{-6.905757276319464, -7.243228015270266, -8.04781475756442}}, 
       {{-7.413759212468914, -7.806451702455341, -8.54662200210705}}, 
       {{-7.920832279543984, -8.369635627058623, -9.04482593349861}}, 
       {{-8.428724543428629, -9.04144183551437, -9.545813108264312}}, 
       {{-8.936503706346455, -9.480837619673864, -10.045051116857914}}, 
       {{-9.44631590210577, -9.973480924356663, -10.545941618780555}}, 
       {{-9.95921170130849, -10.45097716067371, -11.050450102145284}}, 
       {{-10.476188580020207, -10.934628126089224, -11.558969403471636}}, 
       {{-10.997709492902946, -11.423999255775827, -12.071541752572568}}}, 
      {{{-1.731605546408308, -1.8572584514607506, -2.9565115604007097}}, 
       {{-2.408167855569111, -2.538054293998892, -3.6219687488313093}}, 
       {{-3.0290822532355453, -3.1636776644034383, -4.232917212086041}}, 
       {{-3.6160008087013638, -3.7580151929487986, -4.809737351729366}}, 
       {{-4.1805562590411665, -4.329813763226947, -5.366596207301331}}, 
       {{-4.72835528655847, -4.8876657317525725, -5.904553175118686}}, 
       {{-5.264302487960759, -5.435512605725881, -6.4315210999857655}}, 
       {{-5.791303072185697, -5.977167242407157, -6.950662779993414}}, 
       {{-6.311669811265323, -6.516389095253475, -7.462881161644708}}, 
       {{-6.827097375964683, -7.056255287300581, -7.968782807322976}}, 
       {{-7.339461698295529, -7.601702779712851, -8.472697951529687}}, 
       {{-7.850389986195894, -8.154287697726868, -8.975268249796699}}, 
       {{-8.36061688437414, -8.715644130140076, -9.476913481217728}}, 
       {{-8.871727570855859, -9.278619212729478, -9.980368596872086}}, 
       {{-9.38469375912096, -9.973910016832674, -10.484735640598664}}, 
       {{-9.89929634791766, -10.389620563711748, -10.990566605390564}}, 
       {{-10.418321197699658, -10.890200748706828, -11.501985524931895}}, 
       {{-10.94194591838449, -11.381897202563824, -12.017106546017551}}, 
       {{-11.470824288951594, -11.879650744762463, -12.53819435941413}}}, 
      {{{-2.184802057337662, -2.294616923344869, -3.400397701491591}}, 
       {{-2.854406337463556, -2.965979315404643, -4.059363593326855}}, 
       {{-3.469904579671946, -3.5845194387896937, -4.6649201903938655}}, 
       {{-4.053010698729124, -4.172738629650113, -5.23816344372829}}, 
       {{-4.614816563039897, -4.739158825991408, -5.791958165559927}}, 
       {{-5.160993175684818, -5.293528849816239, -6.3288972448243195}}, 
       {{-5.696111968351981, -5.836171662701947, -6.855162828862967}}, 
       {{-6.223144429444478, -6.372432183615759, -7.374564017331354}}, 
       {{-6.743937193752742, -6.906755778649053, -7.885655492487984}}, 
       {{-7.261434713941071, -7.440656110399985, -8.395418134490317}}, 
       {{-7.776208681442132, -7.976614609500899, -8.901386164248862}}, 
       {{-8.29005761883249, -8.520197700436537, -9.407572541505893}}, 
       {{-8.804208819324858, -9.07319053382895, -9.91353788838963}}, 
       {{-9.319374293000317, -9.636059209111615, -10.419660782628714}}, 
       {{-9.837138171994594, -10.201893588350885, -10.929593150417489}}, 
       {{-10.358563161197626, -10.923473520749049, -11.442467001321667}}, 
       {{-10.883783614386196, -11.319828835008316, -11.959212567598648}}, 
       {{-11.413985517115325, -11.83313072912757, -12.480772683758786}}, 
       {{-11.951120397701311, -12.34120531952167, -13.009927948074541}}}, 
      {{{-2.6323399418677345, -2.7273859374089526, -3.8387725436885534}}, 
       {{-3.296567132584072, -3.3914450902194773, -4.492734756658303}}, 
       {{-3.9080309841586085, -4.003590198953637, -5.094560529034017}}, 
       {{-4.488276434516592, -4.586348431747504, -5.665620013561852}}, 
       {{-5.048181410170225, -5.150069790087834, -6.21711122864031}}, 
       {{-5.593494120762078, -5.699989676417505, -6.753318925677718}}, 
       {{-6.12843040218114, -6.240952073761794, -7.280269286950615}}, 
       {{-6.656218653166709, -6.774974167748319, -7.798865712325994}}, 
       {{-7.1789080494827076, -7.305996542000982, -8.313028606699831}}, 
       {{-7.698294805550732, -7.835359770756566, -8.823718351669498}}, 
       {{-8.215978104681872, -8.36748091818791, -9.333638588320676}}, 
       {{-8.733485267781345, -8.904327342839679, -9.841452161616676}}, 
       {{-9.251996047245015, -9.448851400421514, -10.352904548173475}}, 
       {{-9.772459290129724, -10.004413471126089, -10.865298799712091}}, 
       {{-10.295937723566798, -10.57252765775284, -11.38014435373641}}, 
       {{-10.82328442373957, -11.145508424499594, -11.898587945782213}}, 
       {{-11.356776782480297, -11.895651086108904, -12.42497520258713}}, 
       {{-11.89462521952813, -12.277998385101762, -12.953887227432427}}, 
       {{-12.440277144203808, -12.80572948300278, -13.491255505281654}}}, 
      {{{-3.075858318033276, -3.1570754239627536, -4.273710491190423}}, 
       {{-3.735971061647787, -3.813536058713492, -4.923998987436709}}, 
       {{-4.344345567706193, -4.421183349875076, -5.522962043988513}}, 
       {{-4.922624416773543, -5.001180135325501, -6.091948085686305}}, 
       {{-5.481279128229414, -5.561501967399431, -6.64155223820748}}, 
       {{-6.0264701563067975, -6.109347587764699, -7.178252526679817}}, 
       {{-6.562040175279747, -6.649244583830636, -7.705152480915881}}, 
       {{-7.091317605212224, -7.182586939455098, -8.2260172297102}}, 
       {{-7.616219163653976, -7.7122810475254715, -8.742839872948565}}, 
       {{-8.138756755695992, -8.241077755335922, -9.257431979510033}}, 
       {{-8.659909493617832, -8.770795950215156, -9.76895665957852}}, 
       {{-9.181752915124271, -9.304651051447424, -10.28299255897476}}, 
       {{-9.705128618044549, -9.844652766815235, -10.79801679262877}}, 
       {{-10.231158633204272, -10.39353063711959, -11.315715295682523}}, 
       {{-10.761037789387682, -10.955598007552817, -11.837271521793602}}, 
       {{-11.296202481458941, -11.532108284387002, -12.364833937915115}}, 
       {{-11.836303802080284, -12.115683645802493, -12.8960249351936}}, 
       {{-12.384242831201652, -12.897621104726422, -13.435705196636688}}, 
       {{-12.939208834306482, -13.269703965303037, -13.982746477340187}}}, 
      {{{-3.5162715895076206, -3.5830790352277244, -4.704990521270302}}, 
       {{-4.172738629650112, -4.235677738338745, -5.351718143275152}}, 
       {{-4.779404532599427, -4.838490343753861, -5.949555144030772}}, 
       {{-5.3565822746800125, -5.415075927158232, -6.517742275432894}}, 
       {{-5.91487394494627, -5.974804106214875, -7.066751010472595}}, 
       {{-6.460508636859018, -6.521812837362837, -7.602904462212755}}, 
       {{-6.997789401686118, -7.060789915151199, -8.1329517197597}}, 
       {{-7.529140093315191, -7.595318081248182, -8.65588071119013}}, 
       {{-8.056924291267398, -8.125827007687574, -9.175938945258851}}, 
       {{-8.582798948514231, -8.655306493545872, -9.693226627052931}}, 
       {{-9.108686718249682, -9.18564775938581, -10.210828262651093}}, 
       {{-9.635141216391089, -9.717672106487917, -10.728567404356898}}, 
       {{-10.164073399326208, -10.256455091686538, -11.24902392118385}}, 
       {{-10.6966760872763, -10.80242964607567, -11.772992370389035}}, 
       {{-11.233779723540733, -11.359346377041929, -12.30236330584846}}, 
       {{-11.776240180973716, -11.932235979900446, -12.836057251132479}}, 
       {{-12.325532085567502, -12.520235595231552, -13.377255627033119}}, 
       {{-12.882559385197013, -13.117873472131476, -13.925325423971481}}, 
       {{-13.448786278172541, -13.935420854636831, -14.483184942551189}}}}, 
     {Automatic, Automatic}]
 
sigmaNLOSG7[x_, y_] := If[x < 200 || x > 2000 || y < 200 || y > 2000, 
     "Squark or gluino mass outside range of interpolation!", 
     {SetPrecision[E^fNLOSGLog7[x, y][[1]], 3], 
      SetPrecision[E^fNLOSGLog7[x, y][[2]], 3], 
      SetPrecision[-E^fNLOSGLog7[x, y][[3]], 3]}]
 
fNLOSGLog7 = InterpolatingFunction[{{200., 2000.}, {200., 2000.}}, 
     {4, 3, 0, {19, 19}, {5, 5}, 0, 0, 0, 0, Automatic}, 
     {{200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000.}, 
      {200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000.}}, 
     {{{{6.96979066990159, 4.51085950651685, 4.721173861744397}}, 
       {{5.710758088392627, 3.0726933146901176, 3.440418094815438}}, 
       {{4.722063937459591, 2.282382385676526, 2.5463152779166442}}, 
       {{3.8617817889913995, 1.55814461804655, 1.7647307968401351}}, 
       {{3.0754672415728446, 0.8241754429663499, 1.0152306797290591}}, 
       {{2.3532782073095637, 0.1484200051182734, 0.32570013963930167}}, 
       {{1.6813864117466844, -0.48126682152444716, -0.32158362412746155}}, 
       {{1.0511712140679732, -1.0788096613719305, -0.9162907318741542}}, 
       {{0.4517123592734841, -1.63475572041839, -1.5005835075220189}}, 
       {{-0.11979756345559582, -2.18658141723774, -2.0417604747121474}}, 
       {{-0.6700167631710908, -2.7075503260605593, -2.5587684983864554}}, 
       {{-1.2039728043259361, -3.199073197572021, -3.081290161915638}}, 
       {{-1.7231666777624433, -3.6848874328443983, -3.582719258285546}}, 
       {{-2.231195096907373, -4.154094566627874, -4.070432742175788}}, 
       {{-2.729222766335011, -4.618255425536747, -4.550682000704023}}, 
       {{-3.219375949909883, -5.071978924337308, -5.014643315493794}}, 
       {{-3.702978378493438, -5.523964048080365, -5.479839243171428}}, 
       {{-4.1812104952437625, -5.971661919811803, -5.933195638984007}}, 
       {{-4.657095258853011, -6.409407176727259, -6.39313685697745}}}, 
      {{{6.101887228358073, 3.9834130015148186, 4.046553898385752}}, 
       {{4.893352133481524, 2.4423470353692043, 2.7013612129514137}}, 
       {{3.919991175077323, 1.2947271675943997, 1.6974487897568138}}, 
       {{3.1135153092103742, 0.6471032420585385, 0.9631743177730059}}, 
       {{2.3869262414277967, 0.06765864847381341, 0.30232434918865214}}, 
       {{1.703656587673082, -0.5430045221302251, -0.33407511202149115}}, 
       {{1.0598714603516792, -1.1301029557594806, -0.9467499393588639}}, 
       {{0.44980092192821614, -1.698269126140717, -1.5232602161930482}}, 
       {{-0.13341711344035165, -2.2396102938326568, -2.085057280465472}}, 
       {{-0.693547260581285, -2.764620552590605, -2.617295837833746}}, 
       {{-1.2351195333227727, -3.275446176356595, -3.1349943408874985}}, 
       {{-1.760260802168684, -3.7722610630529863, -3.626844063194484}}, 
       {{-2.2739976361421332, -4.247495741716276, -4.127694541903654}}, 
       {{-2.777078787512646, -4.720581037499419, -4.612194800925057}}, 
       {{-3.2728041668937564, -5.1743313867670455, -5.088056441064841}}, 
       {{-3.7610201318916188, -5.62960307648195, -5.559682130682444}}, 
       {{-4.243308715362059, -6.079203461415988, -6.01986402162968}}, 
       {{-4.722378386893633, -6.525217675517679, -6.480528679092459}}, 
       {{-5.197929192516768, -6.966444275330816, -6.9361547535038355}}}, 
      {{{5.3097517441737, 3.332204510175204, 3.3393219779440684}}, 
       {{4.227271605597732, 2.074428999856291, 2.189416394888408}}, 
       {{3.2703291064571163, 0.8586616190375185, 1.128171090909654}}, 
       {{2.4527277514237653, -0.1165338162559509, 0.28517894223366247}}, 
       {{1.7507638485245354, -0.6871651088823993, -0.36672527979223307}}, 
       {{1.1065804583172865, -1.1973282616072674, -0.9467499393588639}}, 
       {{0.4898062565419152, -1.7372712839439843, -1.518683549165637}}, 
       {{-0.10081530523881628, -2.2643263808769554, -2.075449520410298}}, 
       {{-0.6688448880369805, -2.7838519145184906, -2.6172958378337468}}, 
       {{-1.2170580438745915, -3.294138309368747, -3.137295837875778}}, 
       {{-1.7498500661508454, -3.7853903544947802, -3.645819964653489}}, 
       {{-2.269150316907808, -4.268697949366879, -4.142065298433512}}, 
       {{-2.7769180804010105, -4.744432253321598, -4.623334156615762}}, 
       {{-3.2757107616207395, -5.2158161450362925, -5.1011071972603315}}, 
       {{-3.768355655615733, -5.67228380759683, -5.575389259887802}}, 
       {{-4.255217787810186, -6.1192979186178675, -6.040654791298754}}, 
       {{-4.73698876060894, -6.574860863708808, -6.506298192271511}}, 
       {{-5.216000324058823, -7.017570144989343, -6.968567418378894}}, 
       {{-5.692249238842528, -7.461140517166924, -7.425269890898924}}}, 
      {{{4.584865432647727, 2.6885275346133466, 2.661657161532499}}, 
       {{3.591817741270805, 1.5851452198650564, 1.6311994042156122}}, 
       {{2.7087166456453704, 0.5596157879354237, 0.6981347220709843}}, 
       {{1.8961194845522977, -0.4652151125139382, -0.19116050546115837}}, 
       {{1.1749558552554433, -1.3130438993802975, -0.9364934391916747}}, 
       {{0.5411608235620636, -1.857899271732599, -1.527857925441677}}, 
       {{-0.04992580876972568, -2.325853719933401, -2.067512970814562}}, 
       {{-0.622129693324665, -2.8150787738607344, -2.599644327258423}}, 
       {{-1.1760334356366946, -3.302257433807252, -3.1212954965293376}}, 
       {{-1.7136879338078994, -3.7898053727038965, -3.6306105459899607}}, 
       {{-2.2377341206744292, -4.268697949366879, -4.127694541903654}}, 
       {{-2.750592424367885, -4.746733750309879, -4.615220521841593}}, 
       {{-3.2539850019817687, -5.212139670306985, -5.094560529034016}}, 
       {{-3.749479076242866, -5.675195017804287, -5.564890475789582}}, 
       {{-4.2384459061963575, -6.137647057286063, -6.032286541628237}}, 
       {{-4.724291616895955, -6.583500226299516, -6.5002921682113}}, 
       {{-5.206285281101543, -7.029922912956344, -6.962211464778196}}, 
       {{-5.685157010533036, -7.478684826817833, -7.425269890898924}}, 
       {{-6.162490144160085, -7.926632599631392, -7.883265370516264}}}, 
      {{{3.9154172384961616, 2.0693912058263346, 2.026831591407539}}, 
       {{2.9902170928658807, 1.0750024230289759, 1.0818051703517282}}, 
       {{2.1603300454131746, 0.15272108701766468, 0.21913552991667032}}, 
       {{1.3959971365812758, -0.7318880088763762, -0.5833963166008265}}, 
       {{0.6754922453212246, -1.6245515502441494, -1.3625778345025745}}, 
       {{0.018821754240587667, -2.375155785828879, -2.044074397842545}}, 
       {{-0.5691612007789542, -2.8986055628232674, -2.596956153596624}}, 
       {{-1.1236224516722775, -3.3467091963780855, -3.1055471395611973}}, 
       {{-1.664950622364359, -3.8076629901039034, -3.611918412977808}}, 
       {{-2.1928342290349265, -4.275866438845491, -4.1068220837332134}}, 
       {{-2.7090507014357934, -4.743283488117726, -4.5922539607215445}}, 
       {{-3.2158803158884024, -5.206650178022213, -5.071978924337307}}, 
       {{-3.7152234294535385, -5.669381047938869, -5.549346121351782}}, 
       {{-4.207737249577191, -6.119297918617867, -6.0157572396770265}}, 
       {{-4.695423174965653, -6.569142477861812, -6.479876576037073}}, 
       {{-5.179645836830538, -7.0265388149721035, -6.947536148993983}}, 
       {{-5.661010382812332, -7.473389139243122, -7.403692290254377}}, 
       {{-6.140893060599911, -7.918356690327533, -7.867475568783629}}, 
       {{-6.619573331488705, -8.37309284744248, -8.326572831807589}}}, 
      {{{3.2906381910950917, 1.481604540924216, 1.430311246536665}}, 
       {{2.4176979000945504, 0.5653138090500603, 0.5446471722415015}}, 
       {{1.6313950797861425, -0.28236291097418037, -0.26006690541880767}}, 
       {{0.9017860456712733, -1.0936247471570708, -1.0133524447172864}}, 
       {{0.2151113796169455, -1.8773173575897015, -1.7259717286900522}}, 
       {{-0.44269979471839027, -2.68531071413272, -2.4292827460400037}}, 
       {{-1.0541170487815585, -3.3696987146027833, -3.064011114307286}}, 
       {{-1.6104384127676838, -3.868006120011372, -3.5935692743096115}}, 
       {{-2.139616264715906, -4.305065593537752, -4.086376392572924}}, 
       {{-2.6588315573147105, -4.753670194306535, -4.567874401244395}}, 
       {{-3.1688958925631803, -5.203007186743711, -5.0467807407326095}}, 
       {{-3.670646685852877, -5.660722985195754, -5.518964037663659}}, 
       {{-4.1662703017936895, -6.110248083097949, -5.991464547107983}}, 
       {{-4.656779319721322, -6.562040175279747, -6.456042919708653}}, 
       {{-5.1430244821420015, -7.0086811975720975, -6.917805614835639}}, 
       {{-5.626543694315399, -7.45420808039128, -7.380964039176821}}, 
       {{-6.108447902593801, -7.904713913923747, -7.844248718173812}}, 
       {{-6.589301547863602, -8.347450416829142, -8.302081811799292}}, 
       {{-7.069568575144741, -8.802212146448534, -8.765013730442888}}}, 
      {{{2.7013612129514133, 0.9242589015233325, 0.8628899551470403}}, 
       {{1.8704166020513315, 0.0629747991613888, 0.026641930946420443}}, 
       {{1.119068297235492, -0.7277386253295641, -0.7360546815712226}}, 
       {{0.4193680132771557, -1.4828052615007339, -1.4481697648379785}}, 
       {{-0.2442395146089442, -2.2136588837996447, -2.1328423184069507}}, 
       {{-0.8780320197570647, -2.9262062109053812, -2.7887181041696647}}, 
       {{-1.4912105310694506, -3.669076826817757, -3.4295968561838537}}, 
       {{-2.069887328875024, -4.305065593537755, -4.028556821684097}}, 
       {{-2.6036901857779675, -4.786692062611482, -4.5421953868267035}}, 
       {{-3.1151917135913187, -5.221356325411908, -5.016150474784366}}, 
       {{-3.6200999387191106, -5.660722985195755, -5.491902115620701}}, 
       {{-4.118432357751191, -6.101279413115189, -5.959965880048611}}, 
       {{-4.6106853666762015, -6.553583465261524, -6.4234789904496825}}, 
       {{-5.0993025868124215, -6.994403085707809, -6.8889335247415495}}, 
       {{-5.58493334081782, -7.437084374312688, -7.350922254274313}}, 
       {{-6.068777650210652, -7.883265370516264, -7.814095680003124}}, 
       {{-6.550780380034407, -8.330713624473619, -8.274247012805848}}, 
       {{-7.033545285040437, -8.777260096835045, -8.737216615394203}}, 
       {{-7.515826287186963, -9.228504342603854, -9.195451759482431}}}, 
      {{{2.142064166158944, 0.392042087776024, 0.3242550526826205}}, 
       {{1.3446908112648155, -0.42617814970570594, -0.4748151862429571}}, 
       {{0.6216511788548754, -1.1744140020843925, -1.203972804325936}}, 
       {{-0.05382280669750666, -1.8878299379787888, -1.8858503926276509}}, 
       {{-0.6959511078926796, -2.5743938162895366, -2.539574051130309}}, 
       {{-1.313415715707318, -3.249335032352909, -3.1724694520540457}}, 
       {{-1.909867557708384, -3.907035463917108, -3.7853903544947802}}, 
       {{-2.4915687926615506, -4.601178164718554, -4.388447202476804}}, 
       {{-3.046815063783307, -5.197567463447894, -4.961845129926824}}, 
       {{-3.5645401798583287, -5.67228380759683, -5.458486118700858}}, 
       {{-4.064591604072753, -6.10575369351011, -5.925676806569979}}, 
       {{-4.559241254099692, -6.550080834710321, -6.389556900886733}}, 
       {{-5.050676343633439, -6.980325971816972, -6.855162828862966}}, 
       {{-5.538098559015269, -7.421919804013643, -7.31722840848784}}, 
       {{-6.023161633851236, -7.867475568783628, -7.777639638042136}}, 
       {{-6.507637777200568, -8.306122221336297, -8.239561454817958}}, 
       {{-6.991354302858451, -8.757991677969168, -8.701717171765392}}, 
       {{-7.4756804947887, -9.200390041123015, -9.168239195957549}}, 
       {{-7.961585424878353, -9.65350734726836, -9.633460415323068}}}, 
      {{{1.6068345265639856, -0.1187835359899671, -0.19237189264745586}}, 
       {{0.8368145303723584, -0.9014021193804052, -0.9623346703755615}}, 
       {{0.13714983814723367, -1.619488248287602, -1.6617843928063096}}, 
       {{-0.5181859781722831, -2.294616923344869, -2.3197312518290163}}, 
       {{-1.1425641761972924, -2.9488486876551407, -2.9488486876551407}}, 
       {{-1.7446850618421261, -3.5899395062590322, -3.5613661338149774}}, 
       {{-2.329750761066815, -4.221269255795768, -4.157923543864972}}, 
       {{-2.8991501757077467, -4.8472417471878195, -4.738701578612614}}, 
       {{-3.4587205679058215, -5.499210308927426, -5.314446748477921}}, 
       {{-3.9970363797551025, -6.066188093303919, -5.867478567326991}}, 
       {{-4.504420282887948, -6.536191722549654, -6.357901268248668}}, 
       {{-4.99688032886392, -6.9728272757258525, -6.818829069787736}}, 
       {{-5.486817974418707, -7.410282099933432, -7.280269286950616}}, 
       {{-5.974410792542154, -7.849363818840582, -7.742466023863869}}, 
       {{-6.45986945499002, -8.294049640102028, -8.202382451576204}}, 
       {{-6.945457146166149, -8.73410619297981, -8.665113321492859}}, 
       {{-7.431497294681354, -9.177873181838681, -9.131529191551893}}, 
       {{-7.918356690327533, -9.628890719633002, -9.596002852788168}}, 
       {{-8.406994399118162, -10.077840939680906, -10.066006482033902}}}, 
      {{{1.0915876737311452, -0.6106459590482022, -0.6911491778972725}}, 
       {{0.34429867287067695, -1.3664917338237113, -1.4354846053106625}}, 
       {{-0.33589240475620386, -2.0580715159436433, -2.1111386284230904}}, 
       {{-0.9747146520118722, -2.709050701435794, -2.7504359175986477}}, 
       {{-1.584745299843729, -3.335409641124152, -3.3610155920293243}}, 
       {{-2.1733127572899065, -3.947650183071297, -3.9523243022016716}}, 
       {{-2.7471549209829713, -4.5573328565739315, -4.533780189901418}}, 
       {{-3.3093477280322765, -5.158555424172878, -5.104396673910729}}, 
       {{-3.8599050511660393, -5.7540236910929465, -5.66360068502337}}, 
       {{-4.403863329283056, -6.3771270279199666, -6.219620640245736}}, 
       {{-4.930484899913427, -6.925919249609808, -6.75675240544561}}, 
       {{-5.431163279881466, -7.393888290157756, -7.240434717364654}}, 
       {{-5.920447059872702, -7.831574277277085, -7.701828378132043}}, 
       {{-6.408799827786634, -8.270333113484712, -8.163021377695623}}, 
       {{-6.896815338943803, -8.709565084063694, -8.62924269522486}}, 
       {{-7.383535561005327, -9.155852186692114, -9.091668842258684}}, 
       {{-7.871924091100756, -9.604865540046013, -9.558480413465078}}, 
       {{-8.362328480855322, -10.054310442270712, -10.029050775511474}}, 
       {{-8.854766033481484, -10.512293584662322, -10.501324553291749}}}, 
      {{{0.5933268452777344, -1.0876723486297761, -1.1711829815029449}}, 
       {{-0.13524714940802574, -1.8232501363194267, -1.8951219822232075}}, 
       {{-0.7998419192309082, -2.490120216840888, -2.554900021608535}}, 
       {{-1.4246194754415584, -3.123565645063876, -3.1772541501773808}}, 
       {{-2.022683207861227, -3.7297014486341915, -3.772261063052987}}, 
       {{-2.6005868978526814, -4.32149613493385, -4.349753074123585}}, 
       {{-3.164624410036285, -4.904924839674141, -4.915779763083577}}, 
       {{-3.718514259243627, -5.4870594911449135, -5.475054545048091}}, 
       {{-4.264421392599618, -6.070507754448435, -6.028128531479574}}, 
       {{-4.8026459905537235, -6.641552238207479, -6.572712635170519}}, 
       {{-5.336226939621257, -7.241830391003628, -7.114779448416464}}, 
       {{-5.855536029883738, -7.777639638042136, -7.639643287858513}}, 
       {{-6.353295618196085, -8.247166054203177, -8.121778419161574}}, 
       {{-6.842904306662521, -8.685611843041201, -8.587079318880404}}, 
       {{-7.332556123397044, -9.12876038498376, -9.051628680821361}}, 
       {{-7.823046510523208, -9.574183805393528, -9.518225151745483}}, 
       {{-8.314252347419547, -10.026785768880622, -9.98686916147518}}, 
       {{-8.808214165133533, -10.48330604778907, -10.458613435198698}}, 
       {{-9.305420578226453, -10.943642271632669, -10.936312100666235}}}, 
      {{{0.10885440491208208, -1.5511690043101247, -1.6409285795254713}}, 
       {{-0.6040380054881694, -2.2643263808769554, -2.346536980523229}}, 
       {{-1.2556170374782745, -2.9169210931297007, -2.991740252284454}}, 
       {{-1.869504817852908, -3.533586569707901, -3.6008685767912234}}, 
       {{-2.4571358528426437, -4.127694541903655, -4.183831728723637}}, 
       {{-3.026603937221078, -4.702783014855092, -4.750195958038349}}, 
       {{-3.5823596107362636, -5.270702199515063, -5.302325387945575}}, 
       {{-4.12893600699172, -5.832752855953162, -5.8499649848342825}}, 
       {{-4.66960204614748, -6.398530936583121, -6.395530634302439}}, 
       {{-5.2053736209052985, -6.959048573369687, -6.9361547535038355}}, 
       {{-5.735582787205999, -7.518401238030338, -7.471630123837943}}, 
       {{-6.263273270403473, -8.098482856558052, -8.004369564987574}}, 
       {{-6.779362064213738, -8.62812475212352, -8.525729522438525}}, 
       {{-7.277081340474428, -9.098798997243275, -9.005768206247408}}, 
       {{-7.769321111167046, -9.545813108264312, -9.474305917810648}}, 
       {{-8.263326467459187, -9.995602841443933, -9.944309547056383}}, 
       {{-8.759264752615966, -10.451668962845888, -10.417652077567633}}, 
       {{-9.257431979510033, -10.914088963881525, -10.89450183060622}}, 
       {{-9.759560383729484, -11.379269080157554, -11.376647846677681}}}, 
      {{{-0.3641312446151872, -2.0032215157684266, -2.098012927265272}}, 
       {{-1.0639210488781792, -2.701571235004501, -2.79034544382904}}, 
       {{-1.7048480972387587, -3.341043458842408, -3.4234429906094754}}, 
       {{-2.3092069693029327, -3.944546197133706, -4.020722422351487}}, 
       {{-2.8890326548949354, -4.524512282970637, -4.594230245949757}}, 
       {{-3.4517541052793077, -5.0880564410648415, -5.15335159629785}}, 
       {{-4.001400816579363, -5.643628551836454, -5.6987949331451615}}, 
       {{-4.542195386826703, -6.18991548583182, -6.234810805739711}}, 
       {{-5.0775766998501375, -6.738856742520323, -6.7706054408349035}}, 
       {{-5.60947279518546, -7.290480900120812, -7.303765228319547}}, 
       {{-6.1390369115751175, -7.844248718173811, -7.836624793063152}}, 
       {{-6.665593721832166, -8.394975558691987, -8.364472104398574}}, 
       {{-7.191047003132625, -8.962699349061586, -8.89552963213615}}, 
       {{-7.7067075184390585, -9.487412265315948, -9.411233314355574}}, 
       {{-8.208238983688917, -9.961116665372764, -9.89949553126659}}, 
       {{-8.705935316013115, -10.417652077567633, -10.371892460418167}}, 
       {{-9.207344862996385, -10.876348635898678, -10.853852264744035}}, 
       {{-9.71105066200108, -11.343182690383134, -11.334779279586755}}, 
       {{-10.219020553143686, -11.814030557754151, -11.820810244739528}}}, 
      {{{-0.8273645226797536, -2.4487676031721275, -2.545931351625775}}, 
       {{-1.516403046466911, -3.130407176880593, -3.228926160721702}}, 
       {{-2.148148739689627, -3.7593019184104817, -3.850927906068335}}, 
       {{-2.745284887712436, -4.352856257374102, -4.438808648772866}}, 
       {{-3.318972441406486, -4.923998987436709, -5.004156327998547}}, 
       {{-3.876173352534449, -5.477444032445471, -5.554500771940447}}, 
       {{-4.421183349875076, -6.023987738813542, -6.0941619453463245}}, 
       {{-4.958137725138502, -6.562748139911087, -6.626342819543952}}, 
       {{-5.4894778720091955, -7.097705862940583, -7.153655817418963}}, 
       {{-6.0178085224475835, -7.635493904311701, -7.679945666882535}}, 
       {{-6.54519767188525, -8.180720954795024, -8.206038762779315}}, 
       {{-7.07310173157013, -8.725448130236696, -8.73783986253186}}, 
       {{-7.599303738178385, -9.271152511372941, -9.264796557772241}}, 
       {{-8.125827007687574, -9.833961489887518, -9.79373668857701}}, 
       {{-8.644458542462115, -10.359193877081038, -10.309953160977877}}, 
       {{-9.152071463852208, -10.839980991727803, -10.803904935253993}}, 
       {{-9.658191196580786, -11.30509861776791, -11.288183192292323}}, 
       {{-10.168756030151009, -11.776891010804693, -11.778193942585109}}, 
       {{-10.68393706149887, -12.255262889720946, -12.272212448034718}}}, 
      {{{-1.283016011666389, -2.8841908988210836, -2.987764103904814}}, 
       {{-1.9625477902083366, -3.5578511917075324, -3.6573807870545645}}, 
       {{-2.5869393753531518, -4.174687314904639, -4.272275770714763}}, 
       {{-3.178213843149311, -4.760655088828487, -4.8549144190994795}}, 
       {{-3.747356383872912, -5.322610059117081, -5.4148511828039885}}, 
       {{-4.300630996469888, -5.871018394032115, -5.959965880048611}}, 
       {{-4.842539444566283, -6.410014894764801, -6.494983595691535}}, 
       {{-5.376495147612061, -6.942346723751755, -7.022044425384265}}, 
       {{-5.905653890694871, -7.469874197135678, -7.546414274258013}}, 
       {{-6.4315210999857655, -7.99839939800107, -8.06611757205602}}, 
       {{-6.957260698885976, -8.530785144935704, -8.589763884251074}}, 
       {{-7.484008708070583, -9.069709242236437, -9.115030192171858}}, 
       {{-8.013090113411073, -9.613807477421673, -9.645749356457419}}, 
       {{-8.542510999400527, -10.159670957928538, -10.175296275831618}}, 
       {{-9.07319053382895, -10.71541826908604, -10.70421994377601}}, 
       {{-9.597769117598249, -11.244426211935222, -11.22624389285203}}, 
       {{-10.113961700749675, -11.734819796884006, -11.72611868543127}}, 
       {{-10.631640342294888, -12.214104817227438, -12.224236616157846}}, 
       {{-11.154551964395914, -12.700368967344954, -12.726948605149666}}}, 
      {{{-1.7321706778163974, -3.3131865043394426, -3.4234429906094754}}, 
       {{-2.4038429250682727, -3.97762876252614, -4.083404622183766}}, 
       {{-3.0224870108628106, -4.586348431747504, -4.691817992713764}}, 
       {{-3.608959830938063, -5.167289104141633, -5.268758564306492}}, 
       {{-4.174687314904639, -5.722965294072975, -5.825950108630408}}, 
       {{-4.725305987228072, -6.27012080835245, -6.366594455420074}}, 
       {{-5.2652695125018365, -6.802494768324644, -6.897804948128969}}, 
       {{-5.797873398055796, -7.327826539479664, -7.421919804013642}}, 
       {{-6.325539659129474, -7.851931214345828, -7.943392768488859}}, 
       {{-6.850430212362868, -8.377431249041079, -8.460340379823455}}, 
       {{-7.3755214132876805, -8.898453610827584, -8.981612442368071}}, 
       {{-7.901737318572164, -9.429740937011559, -9.50337005075456}}, 
       {{-8.431015495175185, -9.969627355040673, -10.029050775511474}}, 
       {{-8.96504401602084, -10.512293584662322, -10.565136066036702}}, 
       {{-9.500425329044274, -11.061213105696744, -11.097510026008896}}, 
       {{-10.038849190466804, -11.619397709480745, -11.635093098944436}}, 
       {{-10.572137261495685, -12.153480195411003, -12.163013156069727}}, 
       {{-11.100153781679627, -12.65548964116752, -12.674477553412213}}, 
       {{-11.63193425155243, -13.151792188095142, -13.187969134502323}}}, 
      {{{-2.1759524420606797, -3.738069698304708, -3.850457649769991}}, 
       {{-2.8416387382165906, -4.394909260504895, -4.505324851018376}}, 
       {{-3.4552312701546413, -4.998212774097698, -5.107697006939388}}, 
       {{-4.038720658474103, -5.570126089843527, -5.683979847360021}}, 
       {{-4.6011781647185535, -6.12843040218114, -6.233281363687813}}, 
       {{-5.150759802190422, -6.666378959406868, -6.774974167748319}}, 
       {{-5.68987956948721, -7.198107579989798, -7.305252217441124}}, 
       {{-6.222136364842983, -7.721940787919138, -7.829058552679837}}, 
       {{-6.749897194366556, -8.24335652578651, -8.346606890840704}}, 
       {{-7.275202319902781, -8.761815774407571, -8.864625268273793}}, 
       {{-7.80057365467115, -9.281836373681253, -9.383503990985371}}, 
       {{-8.327399619783582, -9.806360841805406, -9.903487552536129}}, 
       {{-8.857573052868467, -10.33735213516599, -10.42773619663426}}, 
       {{-9.39246194876747, -10.878997644070255, -10.959040351743791}}, 
       {{-9.93374059570715, -11.429503856831156, -11.498036852476478}}, 
       {{-10.47902949102181, -11.982929094215963, -12.042254560300778}}, 
       {{-11.028033223230743, -12.545750013100335, -12.58879826666885}}, 
       {{-11.57341884539919, -13.089412277264643, -13.127375919227873}}, 
       {{-12.11659763910257, -13.606060333782066, -13.655945988292936}}}, 
      {{{-2.6164742576150006, -4.157923543864972, -4.27874828522038}}, 
       {{-3.2767698032871033, -4.8072863701102255, -4.925375450145433}}, 
       {{-3.886842706897848, -5.405902577227974, -5.52647345968579}}, 
       {{-4.467148888090716, -5.979535976242708, -6.093718781146738}}, 
       {{-5.0289011029031485, -6.528634146213574, -6.646160541293675}}, 
       {{-5.5772379333312445, -7.066751010472594, -7.184827172321903}}, 
       {{-6.116574358150826, -7.596910438272546, -7.712951963350705}}, 
       {{-6.650017082903428, -8.11841707145887, -8.239561454817958}}, 
       {{-7.178645788794081, -8.639360825390446, -8.757355747900041}}, 
       {{-7.705818629491643, -9.157747921857013, -9.275412368719898}}, 
       {{-8.232014249182575, -9.678745279858221, -9.79194617780322}}, 
       {{-8.760539450047967, -10.201893588350885, -10.312960682041831}}, 
       {{-9.292744198230999, -10.728567404356898, -10.837433219649004}}, 
       {{-9.829865412665514, -11.262945259702459, -11.36882512099647}}, 
       {{-10.37381123299279, -11.809984699234606, -11.907450633040058}}, 
       {{-10.9262505289208, -12.36859157502795, -12.459675404329092}}, 
       {{-11.484338008118316, -12.931743017795679, -13.013508972492247}}, 
       {{-12.047360954375353, -13.503623796815676, -13.573349000814302}}, 
       {{-12.608043864384083, -14.060133140955609, -14.124756808331895}}}, 
      {{{-3.053149544423942, -4.576582729136179, -4.699480865459332}}, 
       {{-3.7098988213380117, -5.221356325411908, -5.343314732478772}}, 
       {{-4.3177381447915195, -5.812481891579542, -5.940771432792464}}, 
       {{-4.896458754033984, -6.381253175831138, -6.508979159024769}}, 
       {{-5.4570786589329785, -6.933073086966426, -7.058578168716721}}, 
       {{-6.005563471487483, -7.469874197135678, -7.596910438272545}}, 
       {{-6.545893808356104, -7.99839939800107, -8.125151103640214}}, 
       {{-7.080562243407506, -8.523714408406503, -8.651296175939718}}, 
       {{-7.611963406901507, -9.043132452992277, -9.173044587232486}}, 
       {{-8.141500241641744, -9.562738759147654, -9.69160719350063}}, 
       {{-8.671510551800594, -10.082614218433562, -10.212733802903749}}, 
       {{-9.202372202327005, -10.604666904793337, -10.732225387402421}}, 
       {{-9.73763418844948, -11.13175304943111, -11.259834837288066}}, 
       {{-10.27803555800957, -11.66491182196811, -11.792639367772832}}, 
       {{-10.825293465098394, -12.208074648200848, -12.333906017040059}}, 
       {{-11.381897202563824, -12.764688933132513, -12.885711476065326}}, 
       {{-11.9478708784009, -13.33555659786537, -13.446709434227701}}, 
       {{-12.522154192503653, -13.91422653090343, -14.016403500343664}}, 
       {{-13.103051066371956, -14.49870740767105, -14.594215626885866}}}}, 
     {Automatic, Automatic}]
 
sigmaNLLSG7[x_, y_] := If[x < 200 || x > 2000 || y < 200 || y > 2000, 
     "Squark or gluino mass outside range of Interpolation!", 
     {SetPrecision[E^fNLLSGLog7[x, y][[1]], 3], 
      SetPrecision[E^fNLLSGLog7[x, y][[2]], 3], 
      SetPrecision[-E^fNLLSGLog7[x, y][[3]], 3]}]
 
fNLLSGLog7 = InterpolatingFunction[{{200., 2000.}, {200., 2000.}}, 
     {4, 3, 0, {19, 19}, {5, 5}, 0, 0, 0, 0, Automatic}, 
     {{200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000.}, 
      {200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000.}}, 
     {{{{7.08314190516134, 4.8308998020646285, 4.732315597430899}}, 
       {{5.8083322017440135, 3.370360425593537, 3.396356111364105}}, 
       {{4.806818454145402, 2.1035481409909695, 2.2854117483064575}}, 
       {{3.9390596809647818, 1.1958472696686213, 1.344293995751347}}, 
       {{3.1493215352140465, 0.41799975810817713, 0.5218011008609369}}, 
       {{2.4256562399250483, -0.2788011823488273, -0.21310221451709865}}, 
       {{1.7533612537425538, -0.9199438131837376, -0.8875569546546497}}, 
       {{1.123194366715157, -1.5254031127486882, -1.5035962208782567}}, 
       {{0.524354154020981, -2.085244118413147, -2.0912075769698486}}, 
       {{-0.04625153460020146, -2.645068015477889, -2.636628681376428}}, 
       {{-0.5952170707816943, -3.171688227737056, -3.1555563347610684}}, 
       {{-1.127465131582144, -3.665308267854202, -3.6791006198396197}}, 
       {{-1.6447384449643976, -4.155578438161534, -4.181276581927266}}, 
       {{-2.150620886005456, -4.627323202056734, -4.669071732540879}}, 
       {{-2.6464606464562186, -5.095082334510952, -5.148234276910412}}, 
       {{-3.134572617813403, -5.550255374977764, -5.607544213988931}}, 
       {{-3.616080658772319, -6.005064483885339, -6.067764879043386}}, 
       {{-4.0919749074834915, -6.456174794920536, -6.51597775956513}}, 
       {{-4.565198266214556, -6.894760620616329, -6.972169346472951}}}, 
      {{{6.2323364202808404, 3.9119774700843206, 3.8300271136809965}}, 
       {{5.017506856841967, 2.725261354982627, 2.656248588813738}}, 
       {{4.035265815705752, 1.6586303832684073, 1.6651800310551943}}, 
       {{3.2182463835282418, 0.6515946451276725, 0.7465808635739354}}, 
       {{2.484436189368451, -0.23175647532726085, -0.049997495096908574}}, 
       {{1.797434093909579, -0.9375529201125451, -0.7750341155330561}}, 
       {{1.1515974566689136, -1.5761701971999573, -1.443932921992835}}, 
       {{0.5405556687805306, -2.1738814003896385, -2.063443502055277}}, 
       {{-0.042736829190014675, -2.7349209410405955, -2.649457373025311}}, 
       {{-0.6023338726771175, -3.2738110285134665, -3.2009310571591776}}, 
       {{-1.1427631456779974, -3.7960306620216904, -3.728838179211054}}, 
       {{-1.666456139221539, -4.3028760970645745, -4.231813378526539}}, 
       {{-2.178346113875502, -4.78521214698287, -4.734176351792389}}, 
       {{-2.67947604138099, -5.26579765714703, -5.219894195075367}}, 
       {{-3.173297091097743, -5.72235720701185, -5.692998073939376}}, 
       {{-3.6595569923637457, -6.181688740696433, -6.159571313569703}}, 
       {{-4.139575660107881, -6.635143380929202, -6.6164571503193}}, 
       {{-4.616021035273095, -7.085025917566252, -7.072759219876732}}, 
       {{-5.0887459449101735, -7.5292823886617555, -7.524304902016009}}}, 
      {{{5.453912866110654, 3.11987953914193, 3.040441453196104}}, 
       {{4.364763323803745, 2.016906440239335, 1.952617572625577}}, 
       {{3.405898813408144, 1.1034980210387129, 1.0477657320957237}}, 
       {{2.5836700240500647, 0.24275311005218375, 0.24194962410170842}}, 
       {{1.8738081508767648, -0.5985466053450087, -0.5550638129268478}}, 
       {{1.2229297963067536, -1.381193310292518, -1.2668227516341208}}, 
       {{0.602358007732445, -2.0850988822827228, -1.9162990859691624}}, 
       {{0.009690413852506708, -2.6928030517063264, -2.528519219948082}}, 
       {{-0.5591766035614921, -3.2600325032232575, -3.1113575608509203}}, 
       {{-1.1073097832118584, -3.8018975888454847, -3.668834766434031}}, 
       {{-1.639301707002407, -4.318017779594034, -4.201129637406745}}, 
       {{-2.157349759000223, -4.819915516949571, -4.711046888191776}}, 
       {{-2.663674335404389, -5.310573206719911, -5.204085000228127}}, 
       {{-3.1611259344550664, -5.7943415861616065, -5.684138424377439}}, 
       {{-3.652116719082543, -6.26058075529046, -6.155664456859476}}, 
       {{-4.1368526340473135, -6.714902001738326, -6.619743243971897}}, 
       {{-4.616225672586984, -7.178873775243917, -7.08109080039708}}, 
       {{-5.092457527358454, -7.627279168831605, -7.538687152111899}}, 
       {{-5.565680342629194, -8.07657196642953, -7.991991596972293}}}, 
      {{{4.740249332955898, 2.407361643464893, 2.327838562833288}}, 
       {{3.741728240829391, 1.3865976613524273, 1.3187280025966035}}, 
       {{2.856145031426509, 0.5077891764810225, 0.44457114068160714}}, 
       {{2.044313635531437, -0.2553139394282528, -0.3059448152900978}}, 
       {{1.3210316485494722, -0.9919352934969041, -0.9992767822639056}}, 
       {{0.681029523845581, -1.7322903469737247, -1.7034856249711874}}, 
       {{0.08435828041506523, -2.434281770098971, -2.3624008189016292}}, 
       {{-0.49098997895354407, -3.0828756996761664, -2.964142223508078}}, 
       {{-1.0463944215508858, -3.689071442158295, -3.5366901039262197}}, 
       {{-1.5845139956582852, -4.24586375842356, -4.086641350659334}}, 
       {{-2.1082786843387575, -4.769387168197646, -4.618192649287679}}, 
       {{-2.620397058600251, -5.278872577265281, -5.1297312279554275}}, 
       {{-3.1230553990201613, -5.771906559543624, -5.621779107994027}}, 
       {{-3.6175429794772875, -6.255910615306604, -6.10078168448603}}, 
       {{-4.104958623585679, -6.734667155111655, -6.572300890046444}}, 
       {{-4.588611494728475, -7.195589046460296, -7.038521821265693}}, 
       {{-5.068044119235786, -7.6540375177626725, -7.499439752659326}}, 
       {{-5.544059114421449, -8.113155590172248, -7.958041648837422}}, 
       {{-6.018188050492145, -8.570487733872483, -8.413554230678251}}}, 
      {{{4.080348302388012, 1.7515882912377492, 1.6728803598240527}}, 
       {{3.151468579833901, 0.8010453257427073, 0.7262316467169646}}, 
       {{2.3196448846470616, -0.031063892649313612, -0.10298076442681701}}, 
       {{1.5550135896972401, -0.7808610681822374, -0.8476499407336792}}, 
       {{0.8366516690180061, -1.4527484645095394, -1.4985166714131553}}, 
       {{0.1799054864783757, -2.1056175363797043, -2.121084064445561}}, 
       {{-0.4123980684697282, -2.772691352439593, -2.7601646315536295}}, 
       {{-0.9710705347879792, -3.416338257520043, -3.37580387568859}}, 
       {{-1.5146255360403937, -4.020887008980143, -3.9492027849591738}}, 
       {{-2.0435905487896546, -4.597998198253231, -4.491936593633947}}, 
       {{-2.5602111366175655, -5.1528391900164605, -5.0156320609282075}}, 
       {{-3.0672440556780245, -5.687607749705594, -5.520908877094264}}, 
       {{-3.5662750351866763, -6.190410500110749, -6.010991804529961}}, 
       {{-4.05779067206586, -6.676306363666061, -6.49059932656859}}, 
       {{-4.543899905838743, -7.153194987923563, -6.963240772181179}}, 
       {{-5.0259997673062236, -7.62918822709178, -7.430397531945432}}, 
       {{-5.5048037690043214, -8.094373947712374, -7.893267512938181}}, 
       {{-5.98166964293231, -8.55495726459637, -8.353688436546472}}, 
       {{-6.456981013902829, -9.021564285942931, -8.811805079862285}}}, 
      {{{3.464289934358452, 1.1423547749477896, 1.062179540636836}}, 
       {{2.589367441554412, 0.25042345375646674, 0.16731432104674293}}, 
       {{1.8015449571927493, -0.5447880099951231, -0.6223045200488002}}, 
       {{1.0718865514847304, -1.2681220184299336, -1.3396213363831921}}, 
       {{0.3866185916880105, -1.9356050729235774, -1.9978230690577101}}, 
       {{-0.2676466244454101, -2.5445223332881417, -2.583569574272067}}, 
       {{-0.8772381175301308, -3.138603931579324, -3.1566354585211194}}, 
       {{-1.4360477871779986, -3.750664248216615, -3.7520825736447185}}, 
       {{-1.9683359312488733, -4.349796941130642, -4.333268597759497}}, 
       {{-2.4893802977364183, -4.927421402729186, -4.881563465757627}}, 
       {{-3.0007947465655262, -5.485007629038016, -5.401475640471613}}, 
       {{-3.50328202652607, -6.0259034657912, -5.90208403314289}}, 
       {{-3.998645051245225, -6.548237319081543, -6.3929704728623955}}, 
       {{-4.488187764302843, -7.059358448351047, -6.872792284202169}}, 
       {{-4.9728938043748485, -7.553072319054959, -7.344257940647422}}, 
       {{-5.45429796664744, -8.029542224798421, -7.811347454901613}}, 
       {{-5.933537713476268, -8.502821114059202, -8.2752316785849}}, 
       {{-6.411257889912099, -8.968329341585697, -8.737050702351047}}, 
       {{-6.888003949543717, -9.437920208411223, -9.197735198404972}}}, 
      {{{2.8831270791049786, 0.5706709167226229, 0.4878020182844581}}, 
       {{2.0515093202732944, -0.2767167719843809, -0.36331188670220443}}, 
       {{1.2994586829881802, -1.0371583509468054, -1.11983999890324}}, 
       {{0.6000734092529099, -1.7365668055799315, -1.812630149432177}}, 
       {{-0.06169548488586512, -2.383029783770735, -2.4573768760629413}}, 
       {{-0.6923473531937574, -2.9891163420085873, -3.056581818736246}}, 
       {{-1.3007350933470108, -3.558119125289757, -3.597838052811849}}, 
       {{-1.876312675287939, -4.113317632090289, -4.13515002066893}}, 
       {{-2.4115314846435734, -4.687912736015126, -4.696538549908313}}, 
       {{-2.926002158623963, -5.263676218111073, -5.246261948930442}}, 
       {{-3.4327198301861803, -5.817799514534081, -5.77106595052262}}, 
       {{-3.931703988130533, -6.356735232194401, -6.278081310823278}}, 
       {{-4.4238810901530385, -6.882254163750841, -6.768962976904738}}, 
       {{-4.911591452293637, -7.393847949737039, -7.251020502425049}}, 
       {{-5.395640453311626, -7.896760131838817, -7.723827491699065}}, 
       {{-5.877265286435421, -8.391114937482781, -8.191472665102141}}, 
       {{-6.356620134999952, -8.880537706642782, -8.656383161959596}}, 
       {{-6.836020932265905, -9.3645394113171, -9.11975875792947}}, 
       {{-7.314614588347455, -9.837003848637005, -9.582717732671759}}}, 
      {{{2.331109867920408, 0.02537510411430788, -0.055370919263604226}}, 
       {{1.5345620483418936, -0.7827437261608515, -0.8709515624084023}}, 
       {{0.8118890255052954, -1.5127230651681889, -1.6001857045405752}}, 
       {{0.1373642303144212, -2.188993663772805, -2.27211950348604}}, 
       {{-0.502584676742574, -2.819633978017106, -2.901425139970838}}, 
       {{-1.1165884997801483, -3.4138440300263904, -3.4964071587661736}}, 
       {{-1.7086805170476111, -3.979678712590332, -4.05181513403228}}, 
       {{-2.284923939875863, -4.519055534123258, -4.559831993334858}}, 
       {{-2.836891276407412, -5.050687033277189, -5.070536864938281}}, 
       {{-3.3557703174037132, -5.604619439771811, -5.602465824916053}}, 
       {{-3.8576685686762846, -6.155924302729323, -6.130207449525221}}, 
       {{-4.3531198234470185, -6.692949458530413, -6.638968691825081}}, 
       {{-4.844270850384192, -7.21539668077842, -7.1380447621625445}}, 
       {{-5.330781425118317, -7.7287149670247075, -7.624477793246469}}, 
       {{-5.814273063657146, -8.23400299142769, -8.10148511822957}}, 
       {{-6.296407132575005, -8.731643075251252, -8.571296592477447}}, 
       {{-6.777246370731544, -9.224145364713468, -9.038049153710345}}, 
       {{-7.258090141956047, -9.711231874137594, -9.504209546239926}}, 
       {{-7.739912236296707, -10.197250810427311, -9.969840860373573}}}, 
      {{{1.8028006653408615, -0.4958186626992811, -0.5738047356700486}}, 
       {{1.0351665977948201, -1.2699403279126973, -1.3602272606600792}}, 
       {{0.3369820371358164, -1.9749628791035034, -2.066296062708175}}, 
       {{-0.3165352987022492, -2.6296787386594356, -2.7206532067816402}}, 
       {{-0.9384010357163156, -3.246714310516161, -3.33594568604739}}, 
       {{-1.537015424099822, -3.830948689654629, -3.919880559594566}}, 
       {{-2.117684368969385, -4.390478497479698, -4.474604569564064}}, 
       {{-2.682664597762111, -4.932952661531348, -4.99495476205117}}, 
       {{-3.236750626187725, -5.454087799577849, -5.479772774697076}}, 
       {{-3.770819339344681, -5.96597792505065, -5.973935364901097}}, 
       {{-4.2778547917814045, -6.497084920391531, -6.4874749355063095}}, 
       {{-4.771058516560153, -7.0317510068265765, -6.999176805136907}}, 
       {{-5.260671268878029, -7.554593114245951, -7.49937414619826}}, 
       {{-5.7471467612568965, -8.067609184314028, -7.9902170581539655}}, 
       {{-6.230908344445756, -8.574592560949037, -8.473186601111403}}, 
       {{-6.7139849803668294, -9.074449437230152, -8.949843159869749}}, 
       {{-7.196840437470493, -9.56850387120957, -9.421012444855158}}, 
       {{-7.679988697399042, -10.061547787257355, -9.890011887480924}}, 
       {{-8.164292377756952, -10.550830884254392, -10.359710108388708}}}, 
      {{{1.2943664099465808, -0.9959637705990431, -1.0722328447306049}}, 
       {{0.5509187469696115, -1.742214441529458, -1.8342166028718485}}, 
       {{-0.12654508841950426, -2.424617186438234, -2.52134726501954}}, 
       {{-0.7627624445662866, -3.0613429152192246, -3.1597121377066535}}, 
       {{-1.369850984453867, -3.6657662736691465, -3.762004688744963}}, 
       {{-1.9551006972200449, -4.244344174207699, -4.334656350854522}}, 
       {{-2.5252052834682344, -4.801212091037712, -4.88109176930775}}, 
       {{-3.0827877343432153, -5.338883586889932, -5.403032922359978}}, 
       {{-3.6279122610346297, -5.859506867470404, -5.903213250833617}}, 
       {{-4.165169041255838, -6.36284255053849, -6.375010634874046}}, 
       {{-4.686512001533503, -6.861449262220283, -6.857354375521708}}, 
       {{-5.185694255554411, -7.379137294490806, -7.358111509601}}, 
       {{-5.674518505673023, -7.9003535119283335, -7.8603469871663245}}, 
       {{-6.16145989169915, -8.414026368458078, -8.354671066288333}}, 
       {{-6.6472336766336575, -8.918851959518046, -8.842969058033399}}, 
       {{-7.131329431548688, -9.42181385648629, -9.324764267355095}}, 
       {{-7.616298203960634, -9.919801090144373, -9.801314688179634}}, 
       {{-8.102524829617721, -10.414516321830655, -10.277365005706008}}, 
       {{-8.590118407032588, -10.908226722223008, -10.748561281450346}}}, 
      {{{0.8028482876653709, -1.480357256975069, -1.5539054629278706}}, 
       {{0.07967060018743463, -2.201611049752274, -2.296161709304765}}, 
       {{-0.5810470968953754, -2.8638737893221675, -2.966428572235349}}, 
       {{-1.202553169158283, -3.4863284524986056, -3.59048158126363}}, 
       {{-1.7973974776992387, -4.0811095496730365, -4.180331277517652}}, 
       {{-2.372397708693825, -4.655026331893156, -4.741007919923858}}, 
       {{-2.932878779733786, -5.208436063574242, -5.279922052678693}}, 
       {{-3.481930517147157, -5.741144693304467, -5.802911068982396}}, 
       {{-4.021905996432256, -6.257382808033729, -6.304649091417859}}, 
       {{-4.553450585229038, -6.7617664752372875, -6.79203508793211}}, 
       {{-5.079289641261271, -7.253790409768079, -7.255787412693951}}, 
       {{-5.592341574403907, -7.744807450483582, -7.73125927677547}}, 
       {{-6.087459397233326, -8.252737222927705, -8.223733390791088}}, 
       {{-6.575296560125998, -8.764545837468143, -8.721284917815334}}, 
       {{-7.062401104908506, -9.272395539884723, -9.212719121423083}}, 
       {{-7.5496459002970635, -9.776352276010616, -9.700327701782554}}, 
       {{-8.03707556739155, -10.277688248020898, -10.182380698766508}}, 
       {{-8.526351481901568, -10.776870652435923, -10.658610969949162}}, 
       {{-9.018131576300545, -11.274039448086091, -11.135162177517246}}}, 
      {{{0.3253570508969671, -1.9473275052677914, -2.0227110909009864}}, 
       {{-0.3809027521608492, -2.649700213258856, -2.7471723648935678}}, 
       {{-1.0275964719960153, -3.295947324216563, -3.402396860391904}}, 
       {{-1.637571146735827, -3.907089304367414, -4.013384021242858}}, 
       {{-2.222236235198223, -4.495512946940945, -4.5900386189948295}}, 
       {{-2.788580901013611, -5.062779198155524, -5.141849533780969}}, 
       {{-3.3404353149621593, -5.611365728303479, -5.676244368586769}}, 
       {{-3.882123814056892, -6.141567772865791, -6.195629490028234}}, 
       {{-4.416667129988608, -6.655565003765468, -6.701536477784033}}, 
       {{-4.945227719928604, -7.157791174841495, -7.191524356502002}}, 
       {{-5.467630170868499, -7.651013660562517, -7.669757149253647}}, 
       {{-5.986492851040929, -8.136309083139784, -8.130929307720153}}, 
       {{-6.4952327087702475, -8.621098198575782, -8.602489007068705}}, 
       {{-6.989191171333414, -9.125443330055237, -9.09145114795848}}, 
       {{-7.47845013566216, -9.633703424885766, -9.58578893090985}}, 
       {{-7.968605923259667, -10.13942765873877, -10.077695890403403}}, 
       {{-8.459907524437101, -10.642570164553616, -10.560131379910821}}, 
       {{-8.952889508133056, -11.144886895225413, -11.041430183948876}}, 
       {{-9.449147162403897, -11.647095424587988, -11.524387045232178}}}, 
      {{{-0.14059577271428245, -2.4035768050192132, -2.479903863402137}}, 
       {{-0.8326977566832022, -3.089091505772337, -3.188750425258525}}, 
       {{-1.4679531413491387, -3.7230866014602473, -3.830196614447641}}, 
       {{-2.068368311417973, -4.327399295280007, -4.427341393808054}}, 
       {{-2.6447389423723995, -4.907968436390424, -4.994542904766554}}, 
       {{-3.2035540991243354, -5.4661085786217, -5.5412172686796435}}, 
       {{-3.7488963529120487, -6.0086660875346265, -6.070897658037013}}, 
       {{-4.284645368339501, -6.537802539062972, -6.587577003917308}}, 
       {{-4.813918645532703, -7.051936433815686, -7.093227538287552}}, 
       {{-5.338568768484312, -7.555042887555061, -7.587734050654083}}, 
       {{-5.8597628422322625, -8.04817408588457, -8.069228454286957}}, 
       {{-6.377250626689948, -8.536255621721619, -8.542598457230453}}, 
       {{-6.892717636473049, -9.016537812507973, -9.003355571691655}}, 
       {{-7.400043380395589, -9.502176939311491, -9.475095100821616}}, 
       {{-7.896379248358577, -10.001973505082091, -9.963694391934933}}, 
       {{-8.389545831590457, -10.510382305899842, -10.453811663053886}}, 
       {{-8.885407601056954, -11.014068416874577, -10.942709193117324}}, 
       {{-9.383265398281983, -11.52122332196927, -11.430034768916638}}, 
       {{-9.884738473370597, -12.029447519874495, -11.919491979426091}}}, 
      {{{-0.5968722585655933, -2.850454349127438, -2.926422193652005}}, 
       {{-1.2774390538705591, -3.522037461108765, -3.6214221321497995}}, 
       {{-1.903341397478111, -4.148819225216288, -4.248807692223459}}, 
       {{-2.495824708660991, -4.744777160302663, -4.836065428638534}}, 
       {{-3.0650230746225153, -5.316342549763189, -5.397279662477995}}, 
       {{-3.617666408629598, -5.869258490337797, -5.93862188472018}}, 
       {{-4.157878872669361, -6.4069802802410285, -6.46507125921457}}, 
       {{-4.689404195210996, -6.9322919019708396, -6.979164909934377}}, 
       {{-5.214573980001952, -7.446990830815088, -7.484132620586403}}, 
       {{-5.735718737323084, -7.951640714403802, -7.981079707848426}}, 
       {{-6.254681398685488, -8.447986961690129, -8.467873021676803}}, 
       {{-6.772788560708293, -8.93456668537682, -8.946185947502133}}, 
       {{-7.28865476700223, -9.41955776077544, -9.418382208193803}}, 
       {{-7.803924201335509, -9.900568996154458, -9.87949445895829}}, 
       {{-8.312832435756311, -10.387692859336553, -10.349350336064017}}, 
       {{-8.813668271519969, -10.888625270744948, -10.836840490633582}}, 
       {{-9.313728576056887, -11.397836791794822, -11.330784796903266}}, 
       {{-9.817465244891011, -11.907524726897043, -11.824469931458543}}, 
       {{-10.32525221678343, -12.420151459574052, -12.320347422901273}}}, 
      {{{-1.0457872530136707, -3.2900050262441747, -3.3637591368760655}}, 
       {{-1.716759504893668, -3.956007741662543, -4.044365039583826}}, 
       {{-2.3345549852234604, -4.572891015628276, -4.661580678820197}}, 
       {{-2.919966707144889, -5.158006401251018, -5.242435623724786}}, 
       {{-3.483665690352701, -5.7220327877629575, -5.798232383159526}}, 
       {{-4.031627415141229, -6.269565415586621, -6.3355730197272075}}, 
       {{-4.568096512054573, -6.803565561352778, -6.858778795134742}}, 
       {{-5.09625421317789, -7.327028189437612, -7.371498556327127}}, 
       {{-5.618911043011268, -7.840453033164745, -7.876062066540159}}, 
       {{-6.137553804832984, -8.347445435257354, -8.373586855345353}}, 
       {{-6.6548393600749405, -8.845365787286813, -8.866045059259681}}, 
       {{-7.1718760765055105, -9.33753312514828, -9.349334598364283}}, 
       {{-7.6897526075441816, -9.823190294269358, -9.82442327658557}}, 
       {{-8.207124887628213, -10.307531322852004, -10.293584893671204}}, 
       {{-8.724982314221077, -10.792414867911985, -10.758610526267088}}, 
       {{-9.238546592137654, -11.28352425545938, -11.234446966147905}}, 
       {{-9.746647150345607, -11.791208432515665, -11.72672233351643}}, 
       {{-10.25655294924573, -12.304975566895166, -12.226404870046883}}, 
       {{-10.7711385370549, -12.822501168540182, -12.729155884295787}}}, 
      {{{-1.4890481502691777, -3.7274238141932194, -3.790941464918338}}, 
       {{-2.1515058960424382, -4.385082589454641, -4.460980390476636}}, 
       {{-2.762242304041023, -4.99167061372859, -5.071843425204366}}, 
       {{-3.3418738260913075, -5.56922773507973, -5.646772069629458}}, 
       {{-3.901195094312574, -6.126238231491292, -6.197966608503629}}, 
       {{-4.445681563426494, -6.669538216270204, -6.732180810990134}}, 
       {{-4.979496490381419, -7.200843497048546, -7.253535308899943}}, 
       {{-5.505700662039084, -7.7227225659498835, -7.765182564918394}}, 
       {{-6.0265337573907685, -8.235951735367317, -8.269561832941976}}, 
       {{-6.543960086673412, -8.744161746627789, -8.768245711959631}}, 
       {{-7.060507610540273, -9.244692862796034, -9.263162236755125}}, 
       {{-7.577013971360497, -9.74121924509764, -9.749434876880512}}, 
       {{-8.094996706298913, -10.232908720251162, -10.228647830132811}}, 
       {{-8.61592787416169, -10.71863475990567, -10.70501649684427}}, 
       {{-9.137702861503316, -11.20800993986781, -11.17942762538659}}, 
       {{-9.661720768085582, -11.697596972738443, -11.652131058825187}}, 
       {{-10.18272275755534, -12.197638458693495, -12.13618942622674}}, 
       {{-10.701123284229796, -12.71341218161153, -12.636925771162101}}, 
       {{-11.223386497482329, -13.235570809057878, -13.146353622605917}}}, 
      {{{-1.9272166582282697, -4.162902155292018, -4.21175851642408}}, 
       {{-2.582394956390009, -4.8092900009280335, -4.874943109436857}}, 
       {{-3.187098731740521, -5.408529661755747, -5.479676162877232}}, 
       {{-3.762613678995125, -5.977611732399409, -6.05004358326937}}, 
       {{-4.317914104355257, -6.532269530078169, -6.597465600503348}}, 
       {{-4.860367252546033, -7.069778482245329, -7.129465681007741}}, 
       {{-5.392550054421168, -7.598012415821014, -7.649738264736826}}, 
       {{-5.917705001726594, -8.11821112436274, -8.160899535655146}}, 
       {{-6.438059887523129, -8.633008621048653, -8.665990551461482}}, 
       {{-6.955492628439373, -9.141463176102912, -9.166099121609836}}, 
       {{-7.472061403097871, -9.645238061202786, -9.65844201255396}}, 
       {{-7.988935814792545, -10.145582824212699, -10.148921850198688}}, 
       {{-8.507789116752122, -10.64283761604848, -10.635365166473786}}, 
       {{-9.02988810985932, -11.137360362077366, -11.11885919086353}}, 
       {{-9.556536822828805, -11.630230795848362, -11.60045263873258}}, 
       {{-10.086301648641363, -12.124525298967145, -12.083258864478795}}, 
       {{-10.619255703622908, -12.62347105899467, -12.565987877867236}}, 
       {{-11.150879239927978, -13.134427081404008, -13.06128938604545}}, 
       {{-11.682632569388318, -13.660024083373068, -13.574304377063193}}}, 
      {{{-2.361583421739962, -4.589015388780706, -4.62927461440061}}, 
       {{-3.010440159232328, -5.229850919427414, -5.2860332020672045}}, 
       {{-3.610575209216741, -5.82089672586991, -5.885884312608437}}, 
       {{-4.182076864936873, -6.388257721686394, -6.452278459830857}}, 
       {{-4.7355339969582335, -6.935734054260231, -6.99768454054662}}, 
       {{-5.275977521763559, -7.471286668733719, -7.527937348753431}}, 
       {{-5.807478645896883, -7.998484506391112, -8.04746268623509}}, 
       {{-6.3328994689752065, -8.516262593983335, -8.559561979741217}}, 
       {{-6.853527206460953, -9.031636297927335, -9.064449626663116}}, 
       {{-7.372089363905092, -9.541702430484802, -9.561204953636004}}, 
       {{-7.889149977417256, -10.049218402161928, -10.056579044835935}}, 
       {{-8.407440269009676, -10.553151258377396, -10.55122258887473}}, 
       {{-8.92825672163461, -11.056074647875048, -11.043772520263566}}, 
       {{-9.452645221181392, -11.557533999149264, -11.53542015259213}}, 
       {{-9.982132900432633, -12.05891368335424, -12.025991260337658}}, 
       {{-10.518018428175308, -12.558081640810975, -12.516442412972754}}, 
       {{-11.058564718880831, -13.063465432458862, -13.008961244116135}}, 
       {{-11.603600672379038, -13.574301021312117, -13.50501439900122}}, 
       {{-12.14889294301201, -14.100209226136249, -14.015290267639106}}}, 
      {{{-2.7920870509163174, -5.014427824728783, -5.043367906255899}}, 
       {{-3.4363479817129368, -5.648232755942703, -5.695314463374992}}, 
       {{-4.03315047711112, -6.234386190577168, -6.2910522007727625}}, 
       {{-4.602100069936461, -6.795698482087189, -6.855290444511925}}, 
       {{-5.153579869840176, -7.340989609140447, -7.398726875917204}}, 
       {{-5.693232401563115, -7.874384966727236, -7.928321077048578}}, 
       {{-6.224801020040589, -8.400511601530702, -8.447776591360599}}, 
       {{-6.750707026954866, -8.918970356495715, -8.957824187997312}}, 
       {{-7.273058356766419, -9.43364042052991, -9.460249736255614}}, 
       {{-7.7931621421677635, -9.945654166642443, -9.960992829983187}}, 
       {{-8.313099062241156, -10.454521018351961, -10.460125276872555}}, 
       {{-8.833536294053964, -10.964786221997212, -10.958753112447722}}, 
       {{-9.357181286784138, -11.47258508859465, -11.457256235226438}}, 
       {{-9.884798099251114, -11.981174865201412, -11.955838387890154}}, 
       {{-10.417785413938145, -12.490216477951067, -12.45559640635723}}, 
       {{-10.957964507948356, -13.000035533480645, -12.956283378411534}}, 
       {{-11.505520464438497, -13.5131378694388, -13.457106863120835}}, 
       {{-12.059983045715125, -14.031455876265955, -13.962771223942855}}, 
       {{-12.620592870322335, -14.556964079532666, -14.47590174818431}}}}, 
     {Automatic, Automatic}]
 
sigmaLOGG7[x_, y_] := If[x < 200 || x > 2000 || y < 200 || y > 2000, 
     "Squark or gluino mass outside range of interpolation!", 
     {SetPrecision[E^fLOGGLog7[x, y][[1]], 3], SetPrecision[
       E^fLOGGLog7[x, y][[2]], 3], SetPrecision[-E^fLOGGLog7[x, y][[3]], 3]}]
 
fLOGGLog7 = InterpolatingFunction[{{200., 2000.}, {200., 2000.}}, 
     {4, 3, 0, {19, 19}, {5, 5}, 0, 0, 0, 0, Automatic}, 
     {{200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000.}, 
      {200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000.}}, 
     {{{{6.039301876522142, 5.214392131610276, 4.774068722449906}}, 
       {{3.670206188848315, 2.8925915146344776, 2.4379897300002487}}, 
       {{1.8601966307812834, 1.102604309937647, 0.6402736909528772}}, 
       {{0.3653373170173851, -0.3871341514234409, -0.8509712657535123}}, 
       {{-0.9367485737765512, -1.6879401405890582, -2.155027528636431}}, 
       {{-2.1136189934814222, -2.866459937849852, -3.3317646069468188}}, 
       {{-3.208430567006662, -3.961213249618918, -4.427024000604617}}, 
       {{-4.246796685413777, -4.9982127740976985, -5.463192009738271}}, 
       {{-5.248004552674447, -5.995071042702094, -6.461788227564643}}, 
       {{-6.224658434275693, -6.965384391818773, -7.433694540558176}}, 
       {{-7.187601465666143, -7.920832279543984, -8.390560540482872}}, 
       {{-8.145284866836915, -8.868880593843931, -9.340449057323204}}, 
       {{-9.10507986131869, -9.817309856295076, -10.291505747040572}}, 
       {{-10.073564382913645, -10.774804918767552, -11.250561200502737}}, 
       {{-11.056133729696723, -11.744857522317517, -12.222202027460057}}, 
       {{-12.059205569720621, -12.732688955202489, -13.215575759126507}}, 
       {{-13.086513724510631, -13.745052094315712, -14.23102600192594}}, 
       {{-14.14387574569159, -14.785993518921856, -15.27739090604076}}, 
       {{-15.23598237088575, -15.860357454879612, -16.357622681523054}}}, 
      {{{6.0421576614235, 5.215479088239032, 4.776599301615622}}, 
       {{3.636532973741727, 2.869601996409779, 2.411439497906128}}, 
       {{1.7803614242756858, 1.0462658082959004, 0.5771750043075249}}, 
       {{0.24764102291459714, -0.4732087601946839, -0.9462346082472275}}, 
       {{-1.0764594840269763, -1.793961892783255, -2.271086425934675}}, 
       {{-2.2614431496628704, -2.9818293683849992, -3.459038381352005}}, 
       {{-3.352978809391681, -4.078077589758228, -4.552577735868921}}, 
       {{-4.383627916040855, -5.111008268243043, -5.585466247838159}}, 
       {{-5.373687673572813, -6.101279413115188, -6.574860863708809}}, 
       {{-6.3390381768003685, -7.064409089027514, -7.53886706862263}}, 
       {{-7.290627538437667, -8.010074429581573, -8.485694524356866}}, 
       {{-8.238047449986743, -8.951829676824682, -9.427253373539756}}, 
       {{-9.18857888019467, -9.89353722168296, -10.370615321036398}}, 
       {{-10.148621121741954, -10.843046911349637, -11.321479000399274}}, 
       {{-11.124267475178446, -11.805955143748605, -12.287282700955718}}, 
       {{-12.120445559562738, -12.789468962131, -13.274349734402211}}, 
       {{-13.142056010750064, -13.796688803723686, -14.283915465846313}}, 
       {{-14.194431110850326, -14.833280458788282, -15.326008522543471}}, 
       {{-15.282147671766703, -15.903791048311314, -16.403114605990616}}}, 
      {{{6.055143323771165, 5.2235938203521, 4.785823685681349}}, 
       {{3.63705970538414, 2.869601996409779, 2.4114394979061275}}, 
       {{1.749373752731617, 1.024247873379247, 0.5533102353721464}}, 
       {{0.17563256864315796, -0.5225608799844117, -1.0048487588559465}}, 
       {{-1.1844970278252793, -1.8727526284375868, -2.3580978029243043}}, 
       {{-2.394481107698583, -3.081725986720967, -3.5684333010380693}}, 
       {{-3.4995822835835564, -4.192398502697489, -4.6766661876931614}}, 
       {{-4.533780189901418, -5.2306587180742214, -5.716259996167314}}, 
       {{-5.520211698461814, -6.222136364842983, -6.704814434985447}}, 
       {{-6.477922814425678, -7.182192124683898, -7.66277786326017}}, 
       {{-7.420082028874395, -8.123463339526493, -8.60384099814191}}, 
       {{-8.357202455107297, -9.056761284047882, -9.537456513673371}}, 
       {{-9.29753358367856, -9.9901353592618, -10.471942289138756}}, 
       {{-10.248233925609586, -10.933507049738626, -11.415798754239505}}, 
       {{-11.215045567542, -11.88980311622648, -12.37425463877041}}, 
       {{-12.203276558228172, -12.86578505000388, -13.35303519513933}}, 
       {{-13.217773562208986, -13.867857038336483, -14.356795389214973}}, 
       {{-14.263830976378868, -14.897855874168512, -15.393449803339003}}, 
       {{-15.346137289974084, -15.963659297653901, -16.464820264043883}}}, 
      {{{6.068194079966656, 5.232711609450043, 4.795790545596741}}, 
       {{3.6509179478268177, 2.8780742300857587, 2.422144328051685}}, 
       {{1.7483299113007191, 1.0228105752518277, 0.5521594872589679}}, 
       {{0.14583044821153954, -0.5447271754416719, -1.0275016612101568}}, 
       {{-1.2507150668780678, -1.920729850525015, -2.410170303673983}}, 
       {{-2.4954419517033832, -3.157310469210046, -3.650043430328738}}, 
       {{-3.6272200737272087, -4.287443992187934, -4.783101394480753}}, 
       {{-4.676881033542092, -5.342896409946004, -5.837199588096553}}, 
       {{-5.6705411408763995, -6.343009813226716, -6.835434617402511}}, 
       {{-6.6278533938493185, -7.3067414209925925, -7.795701537847149}}, 
       {{-7.565535315704791, -8.246402986634674, -8.735349201219408}}, 
       {{-8.495431699634725, -9.175938945258851, -9.664470652065628}}, 
       {{-9.426756602540966, -10.105358968574798, -10.591448206408772}}, 
       {{-10.368065925136799, -11.040424955525905, -11.528039102780276}}, 
       {{-11.325616366665235, -11.990961265913228, -12.478143870467807}}, 
       {{-12.305230217063393, -12.95939454912619, -13.449479519101518}}, 
       {{-13.311709549135248, -13.954772625297782, -14.446622347604768}}, 
       {{-14.350458123850675, -14.978661367769956, -15.476768219128171}}, 
       {{-15.425948970731959, -16.038360682939466, -16.542743578483257}}}, 
      {{{6.0792464604915155, 5.240158452374504, 4.804021044733257}}, 
       {{3.6676558176623097, 2.8903717578961645, 2.434490163873984}}, 
       {{1.7619873108943849, 1.0321162973797455, 0.5624688569178291}}, 
       {{0.14323416808590775, -0.5464528014091415, -1.030579878276283}}, 
       {{-1.2804939422336792, -1.942117350816617, -2.433833379604}}, 
       {{-2.558768498386456, -3.2015271865335877, -3.7009520353482057}}, 
       {{-3.7230569059155227, -4.358310108056566, -4.861353591380501}}, 
       {{-4.799119079023026, -5.434595384840664, -5.938492662341877}}, 
       {{-5.810477213327164, -6.451597056558454, -6.954846886515988}}, 
       {{-6.776727016575733, -7.4252698908989245, -7.9246954190062215}}, 
       {{-7.716762345636617, -8.370930684437985, -8.868880593843931}}, 
       {{-8.643890844462195, -9.301359770363351, -9.797327356707738}}, 
       {{-9.569733291981963, -10.226727720388624, -10.72265157367956}}, 
       {{-10.503508755106589, -11.159455651980444, -11.653337618686972}}, 
       {{-11.452771542150481, -12.10351605720508, -12.597339034238525}}, 
       {{-12.423731266613814, -13.066928670516228, -13.561643834007224}}, 
       {{-13.42211803109038, -14.055037588529007, -14.551565239535496}}, 
       {{-14.452655548408934, -15.073235818289458, -15.574028693412528}}, 
       {{-15.520908861544285, -16.127136395610467, -16.633933816547856}}}, 
      {{{6.0879104453762345, 5.24649761781824, 4.810557015713043}}, 
       {{3.684118137012226, 2.9014215940827492, 2.4475508632442318}}, 
       {{1.781372376341568, 1.045563067578294, 0.5771750043075244}}, 
       {{0.1570037488096647, -0.5378542961539099, -1.0194314907936688}}, 
       {{-1.284098848805221, -1.9442115924197318, -2.4384048161365808}}, 
       {{-2.588535332601068, -3.2221311175888734, -3.724713907123152}}, 
       {{-3.7840696411176853, -4.402229341991402, -4.910337572780892}}, 
       {{-4.891386666278263, -5.501903418646716, -6.013710156055302}}, 
       {{-5.928677559009217, -6.540338238511502, -7.052781051032395}}, 
       {{-6.9137733513077, -7.531376396893473, -8.0425130142866}}, 
       {{-7.864087060393476, -8.488605734564326, -8.997651278565831}}, 
       {{-8.794924933014851, -9.426011908451692, -9.931887027057826}}, 
       {{-9.719833550508394, -10.354787196988092, -10.85799949723048}}, 
       {{-10.649191983834749, -11.284993396924222, -11.78604738609068}}, 
       {{-11.59218514595586, -12.225867272858354, -12.726611961483803}}, 
       {{-12.555913849890342, -13.184238781122415, -13.686238222260135}}, 
       {{-13.546247071036511, -14.16648748078837, -14.669765898918977}}, 
       {{-14.569044888539315, -15.179652114443032, -15.685015375817182}}, 
       {{-15.629515636139649, -16.227910516965526, -16.73613535903146}}}, 
      {{{6.094923255476212, 5.251749730731702, 4.816241156068032}}, 
       {{3.6988297849671046, 2.911263116927541, 2.4587337754839766}}, 
       {{1.8020397786356115, 1.0595248999600626, 0.5933268452777346}}, 
       {{0.17814618538347404, -0.5242486440981317, -1.0032112039048566}}, 
       {{-1.2708251113137765, -1.9351680525234114, -2.4281483159693913}}, 
       {{-2.59253640488987, -3.227160044455898, -3.7280361693151307}}, 
       {{-3.813989265156781, -4.4236823099427145, -4.933674252960127}}, 
       {{-4.951187835452836, -5.545497495690488, -6.0618870114045285}}, 
       {{-6.018219284416801, -6.6069102200040755, -7.125911288785308}}, 
       {{-7.029019366475176, -7.618659181131341, -8.138756755695992}}, 
       {{-7.998101823233214, -8.59299490483252, -9.11140042412128}}, 
       {{-8.940313234763122, -9.5430198103587, -10.057804912920485}}, 
       {{-9.870439698489928, -10.478673935462508, -10.991753549150094}}, 
       {{-10.799975657114103, -11.412175561870086, -11.922398594475931}}, 
       {{-11.73982606516215, -12.352255155708255, -12.861924041346422}}, 
       {{-12.698076515055577, -13.308692955595822, -13.817512560634947}}, 
       {{-13.681854173151601, -14.287115468576983, -14.796873286582144}}, 
       {{-14.697399863121097, -15.296115598555406, -15.80620888980972}}, 
       {{-15.750678610487686, -16.33874232207394, -16.852481579534864}}}, 
      {{{6.100543142134219, 5.255409865536761, 4.820281565605037}}, 
       {{3.711374531941307, 2.9204697890534446, 2.4680995314716188}}, 
       {{1.8216418437099247, 1.0736363025979325, 0.608133806232989}}, 
       {{0.20212418409013433, -0.5074978336733159, -0.9843019424906988}}, 
       {{-1.248273063222516, -1.9200474895295858, -2.410170303673983}}, 
       {{-2.5795250689139246, -3.2166283523277213, -3.718514259243627}}, 
       {{-3.8185326623408073, -4.427024000604617, -4.937849624370608}}, 
       {{-4.981027949343598, -5.566719824267861, -6.086214883653793}}, 
       {{-6.077022435469629, -6.649244583830636, -7.173023756597018}}, 
       {{-7.1168726585632545, -7.682763486022403, -8.210812041531971}}, 
       {{-8.111061638764912, -8.677948970295631, -9.206348350706646}}, 
       {{-9.072319074078807, -9.644204954606044, -10.171105593952166}}, 
       {{-10.01441911324341, -10.593439842199555, -11.117510692715566}}, 
       {{-10.949886969757303, -11.535171073917548, -12.055929987100454}}, 
       {{-11.890824045360587, -12.481299276714608, -12.998377397623337}}, 
       {{-12.846627375970948, -13.437074122244029, -13.953623860093908}}, 
       {{-13.82606607190379, -14.414257063102735, -14.930862170636681}}, 
       {{-14.835773880221408, -15.419463540167804, -15.935774094164366}}, 
       {{-15.883023528778835, -16.45777301852848, -16.978715185462015}}}, 
      {{{6.105016421792097, 5.258536496536192, 4.824305715904762}}, 
       {{3.7220724214697003, 2.9279886214674713, 2.4765384001174837}}, 
       {{1.839596798642215, 1.0862022685914283, 0.6221880916194512}}, 
       {{0.22633844221072896, -0.4910229964698108, -0.9649559038554361}}, 
       {{-1.221797389238488, -1.9017975744369924, -2.3892328997197176}}, 
       {{-2.5560589941160896, -3.2017729169685385, -3.700142646392647}}, 
       {{-3.8058628095997555, -4.4178610876830975, -4.929516242811464}}, 
       {{-4.986284203232425, -5.57038859148567, -6.090622118641201}}, 
       {{-6.107099890706906, -6.6703144229671025, -7.198107579989797}}, 
       {{-7.1752426441483985, -7.724879639361793, -8.25829647039621}}, 
       {{-8.197649145815712, -8.7415875246321, -9.277549121669633}}, 
       {{-9.183698441029762, -9.72785498389297, -10.264744405979972}}, 
       {{-10.144540524393905, -10.694468093444836, -11.22849868523912}}, 
       {{-11.092900205530734, -11.648745188112763, -12.182356118912857}}, 
       {{-12.040049861705722, -12.60267712520614, -13.131404122056479}}, 
       {{-12.997935799029277, -13.563973932148846, -14.091264059550781}}, 
       {{-13.975679310117096, -14.543249183293838, -15.067973571450644}}, 
       {{-14.981866498718903, -15.547116104372583, -16.07216671906992}}, 
       {{-16.023694975536834, -16.58331076347226, -17.110457819783772}}}, 
      {{{6.108580693776662, 5.2611345754203205, 4.826712455935327}}, 
       {{3.731220294603461, 2.934388643312939, 2.4840729690394228}}, 
       {{1.8556727949717078, 1.0976117883345264, 0.6349882663864129}}, 
       {{0.24920108563349933, -0.47481518624295743, -0.9464922406072768}}, 
       {{-1.194022473472768, -1.8825598335545515, -2.3676570897377607}}, 
       {{-2.5273549660528394, -3.181339221339475, -3.677346218300263}}, 
       {{-3.7814334357245443, -4.401413348474072, -4.908981640369756}}, 
       {{-4.9733395093525585, -5.562282912382502, -6.080951713609518}}, 
       {{-6.112502875485038, -6.6750575148631155, -7.202126339584715}}, 
       {{-7.205218363289023, -7.746390766290688, -8.282516404288355}}, 
       {{-8.255598453727774, -8.783766300657783, -9.32462951837831}}, 
       {{-9.269241479896344, -9.791588460038719, -10.33519397184952}}, 
       {{-10.254464475360223, -10.777677108391648, -11.321479000399274}}, 
       {{-11.221749503264192, -11.748647798491298, -12.29228434234924}}, 
       {{-12.181575173929787, -12.715898768963081, -13.25532350466056}}, 
       {{-13.146656069973373, -13.686238222260135, -14.223478796290557}}, 
       {{-14.127075570879388, -14.669530964112305, -15.205411414678277}}, 
       {{-15.132278856435555, -15.676620105327123, -16.210210939866126}}, 
       {{-16.171074575749206, -16.71302778402131, -17.24727024520907}}}, 
      {{{6.111467339502679, 5.263208189434469, 4.829113417472866}}, 
       {{3.738859386418957, 2.9396908826703663, 2.4898941912990393}}, 
       {{1.8696460078851262, 1.1079023355752022, 0.6460555730260945}}, 
       {{0.2700271372130602, -0.4588658848352798, -0.9303896562536564}}, 
       {{-1.1669982015345746, -1.8630406712330188, -2.345492594005322}}, 
       {{-2.4965339860289797, -3.1598996197679035, -3.6531262844081187}}, 
       {{-3.750754857832024, -4.380427913310184, -4.884884088790695}}, 
       {{-4.948224033974859, -5.545753610431291, -6.0610290104938915}}, 
       {{-6.099495291321687, -6.666378959406868, -7.1927742340144345}}, 
       {{-7.211024874775632, -7.7503309730340115, -8.287272655823005}}, 
       {{-8.2856847237704, -8.805542152855722, -9.34960243930969}}, 
       {{-9.326874188232134, -9.833961489887518, -10.382491563979162}}, 
       {{-10.339514966226933, -10.839980991727803, -11.391593179802703}}, 
       {{-11.330603908176274, -11.831754266418846, -12.383764933940466}}, 
       {{-12.309435158525327, -12.81524639231394, -13.365072084213379}}, 
       {{-13.287238020594563, -13.799637208807983, -14.346538889047784}}, 
       {{-14.275643067414746, -14.791551294244204, -15.337853763547441}}, 
       {{-15.284317340658628, -15.804015104652008, -16.34876746869332}}, 
       {{-16.322785523614282, -16.84355943299481, -17.386784770003946}}}, 
      {{{6.11390339430056, 5.264760583019194, 4.8307108619020225}}, 
       {{3.7452597875500437, 2.944965156500338, 2.4948569806411687}}, 
       {{1.8820571072088357, 1.1164522067964409, 0.6559643894322296}}, 
       {{0.28893129185221283, -0.4462871026284193, -0.9155410129836091}}, 
       {{-1.141311043201225, -1.844527534766711, -2.324830701941365}}, 
       {{-2.465692430864196, -3.1384485757555862, -3.628348954373904}}, 
       {{-3.7172789286356345, -4.355969100354591, -4.85877294478701}}, 
       {{-4.915779763083577, -5.521460917862246, -6.035207470055901}}, 
       {{-6.073542658143589, -6.648472681052054, -7.171720824816602}}, 
       {{-7.1978402360502285, -7.742926959571499, -8.2769958855362}}, 
       {{-8.291652515502307, -8.810222870194613, -9.354210742395884}}, 
       {{-9.357217567836942, -9.855459583525546, -10.407337562565694}}, 
       {{-10.397128351548018, -10.88165368812837, -11.439675003230636}}, 
       {{-11.414891724698863, -11.894185884381576, -12.453252774672626}}, 
       {{-12.41802900745382, -12.896822701490398, -13.45713705738996}}, 
       {{-13.414723039407221, -13.897805800691104, -14.456065288405048}}, 
       {{-14.416260889258252, -14.904370555189706, -15.461093917034727}}, 
       {{-15.43298064209564, -15.926649186387364, -16.480501269606037}}, 
       {{-16.47548513583492, -16.97258598192703, -17.525409379302285}}}, 
      {{{6.115892125483034, 5.2663105704129505, 4.832305758571839}}, 
       {{3.750914845033389, 2.9486406660201405, 2.499795262281751}}, 
       {{1.892810713297783, 1.1242800354166873, 0.6647477060382473}}, 
       {{0.30601302913650447, -0.4338645826298628, -0.9018948515904226}}, 
       {{-1.1177951080848836, -1.8269722249837996, -2.306593114391584}}, 
       {{-2.435887940308466, -3.1149663614776895, -3.6045383056801854}}, 
       {{-3.682897382436389, -4.331333520358363, -4.83081686752042}}, 
       {{-4.879607031689852, -5.496768305271875, -6.005969233310863}}, 
       {{-6.039814808049028, -6.624081227927895, -7.146012468106395}}, 
       {{-7.171069994985624, -7.72307009351629, -8.255983439295571}}, 
       {{-8.278176290945737, -8.80088324259848, -9.343871764600706}}, 
       {{-9.363141962234145, -9.861002940929973, -10.412315173639445}}, 
       {{-10.427398415850774, -10.904247441036732, -11.464135300800796}}, 
       {{-11.472743675337396, -11.936045508317113, -12.501518108599788}}, 
       {{-12.502324668665022, -12.958969830495892, -13.527328610470843}}, 
       {{-13.522840944001453, -13.979206650635064, -14.54739856684065}}, 
       {{-14.543456244066915, -15.003281982952203, -15.570552444257167}}, 
       {{-15.574028693412528, -16.03928447053403, -16.604228662133938}}, 
       {{-16.625261313892825, -17.095730013073528, -17.65940773434482}}}, 
      {{{6.117656572345742, 5.267858159063328, 4.8338981155962015}}, 
       {{3.7556030861568446, 2.952302715626655, 2.503073953743449}}, 
       {{1.9022567689910337, 1.1310794788056115, 0.6724341389624036}}, 
       {{0.32135859881116474, -0.4215944900380478, -0.8891620644859024}}, 
       {{-1.0960156628208437, -1.8115540965562347, -2.2886821878250543}}, 
       {{-2.40772341111735, -3.0948898450872093, -3.581281443515918}}, 
       {{-3.6492741995215767, -4.307290288559864, -4.803621124711929}}, 
       {{-4.842159144124354, -5.470292631287847, -5.975984976259596}}, 
       {{-6.0011109241597875, -6.596600850345214, -7.113550191961734}}, 
       {{-7.135408985774233, -7.698294805550732, -8.227513116301784}}, 
       {{-8.25060708225919, -8.781158737250703, -9.322389875784806}}, 
       {{-9.34937258067174, -9.851274681089194, -10.401726060796648}}, 
       {{-10.433495995718893, -10.908063199277855, -11.469865975509782}}, 
       {{-11.50297513411706, -11.957651287031695, -12.526002465532075}}, 
       {{-12.5598945204865, -13.001031092236804, -13.574920093046345}}, 
       {{-13.607683710761957, -14.041157239496602, -14.619142471699492}}, 
       {{-14.651835508200547, -15.084911167612665, -15.662571342977419}}, 
       {{-15.70202036373814, -16.137278470375094, -16.715932651713942}}, 
       {{-16.76722594610149, -17.20903743332221, -17.784103914880813}}}, 
      {{{6.118977867406942, 5.268888555857225, 4.83469334426634}}, 
       {{3.759803792450635, 2.954910279033736, 2.50715725872282}}, 
       {{1.9104309989455537, 1.1375124376256662, 0.6785410281705831}}, 
       {{0.33504264381161847, -0.4124897230451286, -0.8777914327235454}}, 
       {{-1.0761660998382796, -1.7969730362809422, -2.272055887959223}}, 
       {{-2.3816283003344987, -3.0769423289795337, -3.559958674047097}}, 
       {{-3.6171170878870456, -4.283811587176927, -4.777145450727902}}, 
       {{-4.804963488694086, -5.441956816749648, -5.945726655434128}}, 
       {{-5.960741374465141, -6.567006485593664, -7.080918897991326}}, 
       {{-7.094566901048957, -7.668325135859517, -8.194385316989083}}, 
       {{-8.213022801459655, -8.755450380540495, -9.291550427401726}}, 
       {{-9.32060176623372, -9.831352954776928, -10.378302738779086}}, 
       {{-10.41899076585323, -10.898821491750736, -11.457490758082129}}, 
       {{-11.508933443700691, -11.962342460607577, -12.531525815668953}}, 
       {{-12.590265618362798, -13.022970633526294, -13.599593051741804}}, 
       {{-13.665367899534555, -14.083390003119876, -14.666716043182495}}, 
       {{-14.73656260694014, -15.147316733800094, -15.73351375376658}}, 
       {{-15.810610951210359, -16.220128376523473, -16.80725081024873}}, 
       {{-16.896365084935102, -17.308823228534234, -17.895952215017385}}}, 
      {{{6.12029741895095, 5.269403356383394, 4.836281906951478}}, 
       {{3.763290951627747, 2.9580304063699794, 2.509599262378372}}, 
       {{1.9176576361034294, 1.142629174084884, 0.6846108495376587}}, 
       {{0.34712953109520095, -0.4034671054454911, -0.8679768715956043}}, 
       {{-1.058430499035278, -1.7837912995788778, -2.257611727351315}}, 
       {{-2.3576750593120055, -3.058459103462296, -3.540459448995663}}, 
       {{-3.5866839417992664, -4.261580481598014, -4.752510773886801}}, 
       {{-4.768984071226306, -5.416875702672172, -5.916357074621176}}, 
       {{-5.920074551021309, -6.537571985018612, -7.048167432698882}}, 
       {{-7.051279289068179, -7.638189044328099, -8.15916915790821}}, 
       {{-8.170063660321036, -8.724217360850563, -9.25638431047759}}, 
       {{-9.281728968063836, -9.802918497614433, -10.346966102842508}}, 
       {{-10.389295413326831, -10.877937198583815, -11.434114284545938}}, 
       {{-11.494103710729641, -11.951430427156593, -12.519961810151129}}, 
       {{-12.59586127425333, -13.02750784639165, -13.604439587884334}}, 
       {{-13.695951322906636, -14.104526853429192, -14.691859682745482}}, 
       {{-14.794741089612303, -15.189481169395332, -15.781623414337107}}, 
       {{-15.896553381011083, -16.282970294148555, -16.880164276984686}}, 
       {{-17.006528054704077, -17.3924909195808, -17.989547889095622}}}, 
      {{{6.121395716700013, 5.270432163058501, 4.837075242970874}}, 
       {{3.76630335107874, 2.96010509591084, 2.512035317176253}}, 
       {{1.9241026562157681, 1.1474024528375417, 0.6901426715396465}}, 
       {{0.3576744442718159, -0.3945251680698298, -0.8603830999358589}}, 
       {{-1.0424210090183672, -1.7713687795803208, -2.245260026374776}}, 
       {{-2.3356249470722457, -3.041776212055398, -3.5223485832263055}}, 
       {{-3.558553192438362, -4.240527072400182, -4.728468402332585}}, 
       {{-4.7348233942149625, -5.391310233397202, -5.887825512348496}}, 
       {{-5.880638992019097, -6.508308243199536, -7.015340489662075}}, 
       {{-7.007465123131149, -7.605111304316138, -8.123126128260441}}, 
       {{-8.124138103384755, -8.690356810425426, -9.219381116628332}}, 
       {{-9.236479029585878, -9.769306371070108, -10.310253506377341}}, 
       {{-10.348837594343207, -10.848692294574926, -11.40138409023732}}, 
       {{-11.463183373075415, -11.929957209449858, -12.494821953942377}}, 
       {{-12.580329826514145, -13.016652922982214, -13.592367006650065}}, 
       {{-13.701289413874251, -14.10854023674265, -14.696675487863056}}, 
       {{-14.825288132931894, -15.21145129613597, -15.806941222321397}}, 
       {{-15.95512682268018, -16.325119820392647, -16.92867592841036}}, 
       {{-17.093340525676144, -17.456362043067628, -18.06230724337805}}}, 
      {{{6.122273487219395, 5.270946169751904, 4.837867950107113}}, 
       {{3.769075996108213, 2.9621754900251482, 2.514465452029545}}, 
       {{1.9297807671254297, 1.1512047387872806, 0.6946460566836813}}, 
       {{0.36741704047063445, -0.38713415142344054, -0.8509712657535123}}, 
       {{-1.0277811079075183, -1.760842366593334, -2.2330590303454354}}, 
       {{-2.3155690205523403, -3.0263976878648764, -3.505891452776821}}, 
       {{-3.5325596998589823, -4.220588288796351, -4.707202911553243}}, 
       {{-4.7026727673493305, -5.366810362993337, -5.861138285432408}}, 
       {{-5.84269977384287, -6.479224897942976, -6.983556992398419}}, 
       {{-6.964537293081122, -7.572898263132485, -8.087686088827835}}, 
       {{-8.07732665659074, -8.65588071119013, -9.180781569734638}}, 
       {{-9.187600885006693, -9.734589016074315, -10.269347406051933}}, 
       {{-10.301282154340072, -10.814293354179714, -11.3619225914337}}, 
       {{-11.420346283677135, -11.90005961639367, -12.458902507214743}}, 
       {{-12.548281304003323, -12.99397016263593, -13.566309472330774}}, 
       {{-13.68448229555787, -14.097873468938456, -14.68229709493534}}, 
       {{-14.830241362651682, -15.215498246216168, -15.811346515789314}}, 
       {{-15.9853145397245, -16.34876746869332, -16.952345672496264}}, 
       {{-17.152888426913474, -17.49920348539091, -18.111726536225046}}}, 
      {{{6.123150487933357, 5.271459912378154, 4.838660029356445}}, 
       {{3.77138067562568, 2.9642416064626205, 2.51608226725645}}, 
       {{1.9347047452131525, 1.1562520681145243, 0.698632110790515}}, 
       {{0.3756929497744942, -0.38126041941134725, -0.84629836005412}}, 
       {{-1.0147308046874075, -1.7504256057350778, -2.2219271899765913}}, 
       {{-2.2975975514830065, -3.011861655483875, -3.491669284826231}}, 
       {{-3.508559899990655, -4.202375306435806, -4.687465428714921}}, 
       {{-4.672806834703903, -5.342478262333806, -5.836171662701947}}, 
       {{-5.806812374975745, -6.452230971001235, -6.953799217483544}}, 
       {{-6.922970444788618, -7.542444889970513, -8.052516223676227}}, 
       {{-8.03107018029062, -8.620888427755002, -9.142681723502369}}, 
       {{-9.138019710396557, -9.698100722811176, -10.22866382941549}}, 
       {{-10.250212165621692, -10.776718794949836, -11.320653577323105}}, 
       {{-11.37142590269653, -11.863902387794322, -12.42000871609347}}, 
       {{-12.504209175885814, -12.962372641095387, -13.530331615730612}}, 
       {{-13.650843936409041, -14.075577463383082, -14.654608794008524}}, 
       {{-14.813011345263972, -15.20340620045114, -15.797462478366853}}, 
       {{-15.990582330659361, -16.351289538126032, -16.958120027379024}}, 
       {{-17.184047157386882, -17.521739650413323, -18.137759988602294}}}}, 
     {Automatic, Automatic}]
 
sigmaNLOGG7[x_, y_] := If[x < 200 || x > 2000 || y < 200 || y > 2000, 
     "Squark or gluino mass outside range of interpolation!", 
     {SetPrecision[E^fNLOGGLog7[x, y][[1]], 3], 
      SetPrecision[E^fNLOGGLog7[x, y][[2]], 3], 
      SetPrecision[-E^fNLOGGLog7[x, y][[3]], 3]}]
 
fNLOGGLog7 = InterpolatingFunction[{{200., 2000.}, {200., 2000.}}, 
     {4, 3, 0, {19, 19}, {5, 5}, 0, 0, 0, 0, Automatic}, 
     {{200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000.}, 
      {200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000.}}, 
     {{{{6.354370040797351, 4.2626798770413155, 4.395682961121367}}, 
       {{4.064228938317477, 2.1826747963214888, 2.2224590485147604}}, 
       {{2.3263016196113617, 0.6365768290715513, 0.581656804526582}}, 
       {{0.8624679251766485, -0.7277386253295651, -0.8301130356331023}}, 
       {{-0.44425791282731986, -1.9943653693247168, -2.114447150878651}}, 
       {{-1.636295366603983, -3.160606916744225, -3.291446517703036}}, 
       {{-2.749184744460765, -4.248895322070699, -4.3900588063711465}}, 
       {{-3.8067624947706533, -5.284414461379046, -5.435283221621194}}, 
       {{-4.826440492920621, -6.280213855520186, -6.44088154274533}}, 
       {{-5.821215571548296, -7.251655031432146, -7.420248959848824}}, 
       {{-6.802494768324644, -8.206038762779315, -8.384850004428525}}, 
       {{-7.779072645213561, -9.153015305356913, -9.341588658586137}}, 
       {{-8.760539450047967, -10.101938491259967, -10.303965119133254}}, 
       {{-9.754550439761758, -11.062486991219332, -11.275484608955194}}, 
       {{-10.769560568249666, -12.0405582070526, -12.267948049248261}}, 
       {{-11.813355110244512, -13.044939480439526, -13.286648571712185}}, 
       {{-12.89403329940282, -14.083390003119876, -14.341449819540314}}, 
       {{-14.019832355037895, -15.167210274319666, -15.441077852328258}}, 
       {{-15.199806916421492, -16.29961752758171, -16.592910837201277}}}, 
      {{{6.441424895102697, 4.589040804058208, 4.584967478670572}}, 
       {{3.9800554158199732, 1.9198594718553708, 2.0756844928021243}}, 
       {{2.1567497447705013, 0.21591750622246988, 0.31845373111853525}}, 
       {{0.6896410412306577, -1.0441241033840396, -1.0526833567797094}}, 
       {{-0.5982007032509918, -2.20455135272268, -2.2818025538115174}}, 
       {{-1.7820071777853768, -3.332604590196544, -3.435788826431774}}, 
       {{-2.885802214181795, -4.398156016603765, -4.522668964476347}}, 
       {{-3.933246641879773, -5.4148511828039885, -5.554500771940446}}, 
       {{-4.942322653914168, -6.39793015554973, -6.550080834710322}}, 
       {{-5.92680103378226, -7.357172274619484, -7.520244556524628}}, 
       {{-6.898795537610665, -8.298057661499566, -8.477972478262956}}, 
       {{-7.866170937156963, -9.239769182666995, -9.426011908451692}}, 
       {{-8.839466708637637, -10.180559445875893, -10.378302738779086}}, 
       {{-9.826156209599805, -11.134489029249982, -11.34487187997398}}, 
       {{-10.834384436799645, -12.10713269767527, -12.329370861874668}}, 
       {{-11.872461641189993, -13.105014739069716, -13.344882123949697}}, 
       {{-12.947570087031165, -14.138474444560694, -14.393544931423715}}, 
       {{-14.068726793534777, -15.2150928134111, -15.489486991535946}}, 
       {{-15.244294970705116, -16.346251744096072, -16.637289524394827}}}, 
      {{{6.472655365744282, 4.660604892876191, 4.636668853047463}}, 
       {{4.053522567701846, 2.1972245773362187, 2.233235014859252}}, 
       {{2.1144466508785262, 0.10795714150509138, 0.258510695151501}}, 
       {{0.5492768101402434, -1.3983669423541594, -1.2694006096483916}}, 
       {{-0.7558740104682503, -2.503478035373436, -2.488914671185539}}, 
       {{-1.9310215365615626, -3.5439136838637504, -3.6008685767912234}}, 
       {{-3.0330188583400077, -4.576582729136179, -4.673449026741387}}, 
       {{-4.076308199736002, -5.572754212249797, -5.6958143050070245}}, 
       {{-5.078539472710129, -6.54172424011938, -6.67982321093613}}, 
       {{-6.055043528750853, -7.487573774235079, -7.641724454062338}}, 
       {{-7.0174585440741, -8.417800447538204, -8.58815228035673}}, 
       {{-7.976032367854174, -9.348453674105818, -9.529169173424801}}, 
       {{-8.940313234763122, -10.28036520379238, -10.476188580020207}}, 
       {{-9.918398165271883, -11.225493423773656, -11.433190496951376}}, 
       {{-10.91849425734944, -12.190199296373883, -12.409413569548203}}, 
       {{-11.949107545740453, -13.18052229157786, -13.418077621553374}}, 
       {{-13.017553013051984, -14.207072760903447, -14.461774152625368}}, 
       {{-14.132278211311151, -15.277822405508081, -15.551078747542586}}, 
       {{-15.301846273264392, -16.403114605990616, -16.692571301800765}}}, 
      {{{6.487836213903822, 4.690430029938915, 4.6491870714048655}}, 
       {{4.0881588031350145, 2.2874714551839976, 2.282382385676527}}, 
       {{2.1777019108473556, 0.3604677421774281, 0.39001300354924295}}, 
       {{0.530039842689795, -1.414693835641589, -1.283737772794798}}, 
       {{-0.8722738464573808, -2.793608089463856, -2.6621212692138108}}, 
       {{-2.073061934715797, -3.8167128256238216, -3.7853903544947802}}, 
       {{-3.1739024592254697, -4.781907364488146, -4.829564519203953}}, 
       {{-4.219907785197447, -5.754023691092947, -5.843044541989709}}, 
       {{-5.222097340636628, -6.703183113253362, -6.821577582741085}}, 
       {{-6.195295787389819, -7.635493904311701, -7.777639638042136}}, 
       {{-7.151739496168198, -8.558015185936492, -8.715644130140076}}, 
       {{-8.103098756610018, -9.475608849591064, -9.650396924853966}}, 
       {{-9.059337498439655, -10.397783874350909, -10.589460529348074}}, 
       {{-10.028370734682818, -11.333942809441789, -11.537218157539273}}, 
       {{-11.02006016658123, -12.289454254469225, -12.507177738314095}}, 
       {{-12.042254560300778, -13.271443600418483, -13.507290834294945}}, 
       {{-13.102560750108148, -14.290325744207232, -14.543249183293838}}, 
       {{-14.210035726034103, -15.353558474311702, -15.625230352569321}}, 
       {{-15.372830516136268, -16.471917525914645, -16.760549717202746}}}, 
      {{{6.495718625490934, 4.6904300299389154, 4.6453519756209225}}, 
       {{4.11414718951828, 2.3369865197113775, 2.3194422100604686}}, 
       {{2.2133166252358634, 0.4408322519454547, 0.44532664153329554}}, 
       {{0.5872309549683961, -1.1973282616072674, -1.1647520911726552}}, 
       {{-0.8782726646866342, -2.759869949832006, -2.6478962782824635}}, 
       {{-2.1715568305876416, -4.045554398052668, -3.929169164263116}}, 
       {{-3.3017141031772055, -5.025241446485618, -4.992304337411532}}, 
       {{-4.352079558305929, -5.948405057647535, -5.987472525838444}}, 
       {{-5.361044196456342, -6.8772260739473134, -6.964325630470531}}, 
       {{-6.336775732396399, -7.796917343468039, -7.915613204381782}}, 
       {{-7.292535795897469, -8.708959207038191, -8.850570223130148}}, 
       {{-8.239940314454996, -9.618308610302465, -9.779501572755137}}, 
       {{-9.189557832793653, -10.530846992558072, -10.709579492112208}}, 
       {{-10.152205354969768, -11.45654513153412, -11.654489029292016}}, 
       {{-11.135859831383762, -12.40208752945613, -12.618562368575303}}, 
       {{-12.149692312094066, -13.375966136203248, -13.609309727380376}}, 
       {{-13.201947856747172, -14.38644010579997, -14.638766423871239}}, 
       {{-14.30099337405847, -15.441586111551397, -15.711964098306995}}, 
       {{-15.455923274697804, -16.551960233588183, -16.839642306039963}}}, 
      {{{6.500087747318773, 4.683981366412381, 4.657762636107263}}, 
       {{4.129067998280486, 2.363680192353857, 2.3360198690802827}}, 
       {{2.2438960966453663, 0.4946962418361074, 0.48057258059496977}}, 
       {{0.6221880916194514, -1.1147416705979938, -1.1147416705979931}}, 
       {{-0.8259930938933744, -2.563949857128453, -2.5421121235587787}}, 
       {{-2.168928708181372, -3.989984546897858, -3.8986133185182283}}, 
       {{-3.385816279623853, -5.208476662548247, -5.107697006939387}}, 
       {{-4.4680203478408576, -6.161067331494162, -6.131646577707845}}, 
       {{-5.485370097717893, -7.05625528730058, -7.098915784443297}}, 
       {{-6.470145717547405, -7.9633080781898, -8.05031945517943}}, 
       {{-7.431159684954988, -8.866041699105505, -8.986397140491409}}, 
       {{-8.380043353269004, -9.765466254638753, -9.915560133770398}}, 
       {{-9.327548572881724, -10.67308390525948, -10.843046911349639}}, 
       {{-10.28504084059798, -11.59088700643994, -11.780804910125829}}, 
       {{-11.262166746623045, -12.529036532126595, -12.737100976613684}}, 
       {{-12.268373671727554, -13.493427058795161, -13.721109882542791}}, 
       {{-13.312313961362774, -14.494754833355227, -14.74185162569193}}, 
       {{-14.403577262073712, -15.540920646650795, -15.809141443230999}}, 
       {{-15.55051169337372, -16.64234429505645, -16.930026367508233}}}, 
      {{{6.502790045915623, 4.672828834461906, 4.65586330030361}}, 
       {{4.14059181338742, 2.358965426430153, 2.3369865197113784}}, 
       {{2.2680971625353723, 0.5300398426897949, 0.5170064828410715}}, 
       {{0.6559643894322293, -1.0498221244986774, -1.0729445419195316}}, 
       {{-0.791863153499103, -2.488914671185539, -2.4901202168408876}}, 
       {{-2.120263536200091, -3.8121776704584294, -3.8018242131300712}}, 
       {{-3.3781646825515828, -5.132802928070464, -5.068794208269788}}, 
       {{-4.541256860244439, -6.303439312128807, -6.227186880629052}}, 
       {{-5.591078984743116, -7.240434717364654, -7.226584080430755}}, 
       {{-6.587848059235619, -8.125151103640214, -8.177155888630528}}, 
       {{-7.559568596049105, -9.023031273671188, -9.116850028888845}}, 
       {{-8.51469631121765, -9.919616934466012, -10.045051116857914}}, 
       {{-9.465232621604972, -10.819278409368632, -10.975263187250679}}, 
       {{-10.42167353070841, -11.731081474773399, -11.910422403429216}}, 
       {{-11.395142429313845, -12.661778970075085, -12.864238857194874}}, 
       {{-12.395297978640922, -13.619121743958884, -13.841854533303875}}, 
       {{-13.432291058803429, -14.611798497443733, -14.856797780013114}}, 
       {{-14.515480963872346, -15.649968781725445, -15.91515480696163}}, 
       {{-15.654361634726179, -16.741716768869654, -17.026914367993772}}}, 
      {{{6.503389566317273, 4.681204872264089, 4.6443908991413725}}, 
       {{4.147885329150131, 2.3599101596133156, 2.340843805111136}}, 
       {{2.2831983791938555, 0.5550338784303116, 0.5116253039365546}}, 
       {{0.6856189141391538, -1.010601411345396, -1.0300194972024974}}, 
       {{-0.7550225842780328, -2.4202431364622785, -2.446455463413748}}, 
       {{-2.0874737133771, -3.7380696983047086, -3.755019256618481}}, 
       {{-3.3326045901965435, -4.970453504463425, -4.983506626708003}}, 
       {{-4.530062713501286, -6.2196206402457355, -6.1845639770738146}}, 
       {{-5.654992310486769, -7.35874090239211, -7.303765228319547}}, 
       {{-6.684611727667927, -8.286081470452851, -8.29005761883249}}, 
       {{-7.670038198376944, -9.174008442728793, -9.23156400842781}}, 
       {{-8.638231519793294, -10.066006482033902, -10.170060661777674}}, 
       {{-9.596149922425905, -10.965382258269075, -11.101478285184516}}, 
       {{-10.556260838957801, -11.873895333191841, -12.038864726546267}}, 
       {{-11.529156478080646, -12.799917625016256, -12.99045830652439}}, 
       {{-12.526277909687515, -13.750659585644657, -13.96517133251868}}, 
       {{-13.557772361885565, -14.736813831661973, -14.97355443040181}}, 
       {{-14.63444774458252, -15.766031319577271, -16.027341287689858}}, 
       {{-15.765328331850604, -16.85206482603852, -17.131448095675605}}}, 
      {{{6.5044378629314314, 4.676560182074764, 4.642465970731789}}, 
       {{4.1538705415361274, 2.3608540011180215, 2.350422422408206}}, 
       {{2.2976730486330252, 0.5533102353721454, 0.5259112611840316}}, 
       {{0.7080357930536959, -0.9861768593383209, -1.0078579253996462}}, 
       {{-0.7219582624140649, -2.3719351711288397, -2.4068351143678446}}, 
       {{-2.0487183690369957, -3.6690768268177556, -3.7050088360438207}}, 
       {{-3.3008996603467913, -4.904924839674141, -4.939245298009583}}, 
       {{-4.486498656270593, -6.074846156047033, -6.103066723689285}}, 
       {{-5.641371214534804, -7.270160897629854, -7.257312755152006}}, 
       {{-6.741393741766911, -8.381788554410035, -8.353799644507802}}, 
       {{-7.75942936777032, -9.312373097541334, -9.33250800595039}}, 
       {{-8.742839872948565, -10.201893588350885, -10.277453993584922}}, 
       {{-9.714190382005748, -11.10413256676939, -11.218019547429128}}, 
       {{-10.682628446263049, -12.01380075788305, -12.159189059631323}}, 
       {{-11.660034330008441, -12.936714030517699, -13.114395207755152}}, 
       {{-12.657372289982138, -13.883789398717568, -14.088632479084726}}, 
       {{-13.686238222260135, -14.865332682462952, -15.094925557457069}}, 
       {{-14.757632049872951, -15.88777789589611, -16.142388343527365}}, 
       {{-15.882233327236335, -16.96439401101244, -17.24110309646115}}}, 
      {{{6.506232390106597, 4.669083511731745, 4.6453519756209225}}, 
       {{4.157475843662191, 2.3599101596133156, 2.3437270363252205}}, 
       {{2.306577114263583, 0.5653138090500613, 0.5341514490694871}}, 
       {{0.7256143706974467, -0.9649559038554355, -0.9996723408132064}}, 
       {{-0.6965529736947781, -2.327902900978336, -2.3805466344637574}}, 
       {{-2.0129050178795915, -3.6082215510964812, -3.669076826817757}}, 
       {{-3.261522399589673, -4.832070786180013, -4.887533096962272}}, 
       {{-4.455888483272337, -6.007593929037866, -6.061029010493891}}, 
       {{-5.59969276613182, -7.134655879174059, -7.182192124683898}}, 
       {{-6.7262674029367595, -8.294049640102028, -8.30855432630491}}, 
       {{-7.810389684408807, -9.390663926107464, -9.385884944491114}}, 
       {{-8.825077971185538, -10.328135480061066, -10.365523012132687}}, 
       {{-9.81328128464998, -11.22849868523912, -11.317358681426253}}, 
       {{-10.795573595713465, -12.14215931978652, -12.270077975506087}}, 
       {{-11.781851208939566, -13.0688226104763, -13.230505536024031}}, 
       {{-12.783750576284005, -14.015181753093342, -14.208553146073882}}, 
       {{-13.813512555301601, -14.989924560048665, -15.215903843463666}}, 
       {{-14.881752466601933, -16.01103657866491, -16.258507804675066}}, 
       {{-16.00120189948682, -17.080430321333882, -17.351154036179352}}}, 
      {{{6.506979160360104, 4.663439094112067, 4.6443908991413725}}, 
       {{4.159820144181012, 2.3599101596133156, 2.3360198690802836}}, 
       {{2.315501318260592, 0.5596157879354227, 0.5411608235620636}}, 
       {{0.7405077519197829, -0.9649559038554355, -0.9861768593383216}}, 
       {{-0.673540650921027, -2.3136460403534707, -2.366590422969958}}, 
       {{-1.9834043534828938, -3.5719857026424373, -3.638186339798418}}, 
       {{-3.2228838462657396, -4.7700448291783255, -4.844697216552825}}, 
       {{-4.415376614355436, -5.936976361823913, -6.008814185443095}}, 
       {{-5.56933899810671, -7.078543599962418, -7.139687336329426}}, 
       {{-6.685412047838697, -8.170063660321036, -8.23389571728228}}, 
       {{-7.7937593182514195, -9.302455660883988, -9.339310753273143}}, 
       {{-8.871727570855859, -10.387995867984746, -10.410985386209443}}, 
       {{-9.890176538476455, -11.334779279586755, -11.397812657869723}}, 
       {{-10.889664411874449, -12.255262889720946, -12.363896730723742}}, 
       {{-11.889511613528017, -13.189037510672321, -13.333701883268777}}, 
       {{-12.900420546666638, -14.139856614787647, -14.31803737891557}}, 
       {{-13.934181487681952, -15.117831485307986, -15.32736814205951}}, 
       {{-15.003281982952203, -16.133209288768366, -16.37169840975724}}, 
       {{-16.120598781176437, -17.198376982941706, -17.463248068747035}}}, 
      {{{6.507426954979125, 4.663439094112067, 4.6415021152354825}}, 
       {{4.163870624870711, 2.3513752571634776, 2.342766882626877}}, 
       {{2.322387720290225, 0.5596157879354227, 0.5434864060055388}}, 
       {{0.7523590401917913, -0.9493305859523552, -0.9834994815676055}}, 
       {{-0.6552735281318638, -2.306593114391584, -2.354931573366255}}, 
       {{-1.9568699892916552, -3.547379891840237, -3.6119184129778077}}, 
       {{-3.188589132263328, -4.730733408963438, -4.810965098967688}}, 
       {{-4.374852430925881, -5.871018394032115, -5.967748020490666}}, 
       {{-5.527982134852512, -7.004266179362981, -7.089277155605528}}, 
       {{-6.6554413503681475, -8.115066984573588, -8.195109692247124}}, 
       {{-7.754753184360343, -9.18564775938581, -9.27221577569427}}, 
       {{-8.85406550805879, -10.300984490995116, -10.365523012132687}}, 
       {{-9.932298634390248, -11.386292814036862, -11.43689077869423}}, 
       {{-10.96076597771126, -12.349943015949876, -12.434228738667928}}, 
       {{-11.97798135449203, -13.292558754400442, -13.418749890486257}}, 
       {{-13.002360585009633, -14.25246633316381, -14.413347558719895}}, 
       {{-14.04517532626875, -15.23350200582742, -15.430966542723937}}, 
       {{-15.11856732051411, -16.249343937568273, -16.479065519179933}}, 
       {{-16.236091209196026, -17.311128515245922, -17.570102555443594}}}, 
      {{{6.508321943105692, 4.658710952916121, 4.640537329825383}}, 
       {{4.1661999993225285, 2.3494686788928965, 2.341805806147327}}, 
       {{2.327277705584417, 0.5653138090500603, 0.5382462193419824}}, 
       {{0.7622067164914399, -0.9493305859523552, -0.9781661355922429}}, 
       {{-0.6386589952758756, -2.2886821878250547, -2.3392490773656367}}, 
       {{-1.9344757714296503, -3.53701710480469, -3.5972122655881127}}, 
       {{-3.1596639652363545, -4.697285474895897, -4.780714758503022}}, 
       {{-4.336670932953084, -5.829345697631547, -5.921938484459372}}, 
       {{-5.485852490394879, -6.940278470687697, -7.045868581111771}}, 
       {{-6.613594240432647, -8.040959012419867, -8.145629634983754}}, 
       {{-7.724879639361793, -9.134305685700184, -9.232585980923503}}, 
       {{-8.815599227230994, -10.193839853543789, -10.300984490995116}}, 
       {{-9.91373992900048, -11.302664539487033, -11.391593179802703}}, 
       {{-10.999503215356972, -12.392402223721668, -12.470038191364639}}, 
       {{-12.044634299652643, -13.374035012333078, -13.484050863166605}}, 
       {{-13.085549404281613, -14.344839653294825, -14.492784389367928}}, 
       {{-14.141517744737722, -15.336022261203972, -15.520908861544285}}, 
       {{-15.223232866497785, -16.35635284008258, -16.57538050779628}}, 
       {{-16.344494494993203, -17.421520534255915, -17.669736464666205}}}, 
      {{{6.508769136971682, 4.658710952916121, 4.639571612705423}}, 
       {{4.168214410788556, 2.3446862690126817, 2.339880877737742}}, 
       {{2.33214389523559, 0.5653138090500603, 0.5411608235620636}}, 
       {{0.770571077524749, -0.9467499393588639, -0.9781661355922422}}, 
       {{-0.6253016336648781, -2.283763338753458, -2.333044300478754}}, 
       {{-1.9146052992269007, -3.5132468854707786, -3.575550768806933}}, 
       {{-3.1333864388527863, -4.683131727457803, -4.758321365482266}}, 
       {{-4.305806608762473, -5.799192659460859, -5.899797358582158}}, 
       {{-5.445889731015172, -6.887952651685957, -7.000967660704316}}, 
       {{-6.569855490369739, -7.971966140932914, -8.101777752454904}}, 
       {{-7.682112514967626, -9.060197713546463, -9.181752915124271}}, 
       {{-8.786380681231854, -10.144286039089058, -10.263023728755893}}, 
       {{-9.876066956960136, -11.200306907228416, -11.329770921872381}}, 
       {{-10.979947036563104, -12.311433161187999, -12.424228655333344}}, 
       {{-12.079968768734448, -13.40937900531295, -13.514665498986211}}, 
       {{-13.147681185388619, -14.416990549998395, -14.553655104454956}}, 
       {{-14.219426866082587, -15.420458565125521, -15.593367122023338}}, 
       {{-15.313407095665466, -16.450775089340837, -16.65938048220902}}, 
       {{-16.44230340475955, -17.51889469828109, -17.759540359527506}}}, 
      {{{6.5093650845459345, 4.65681341913993, 4.639571612705423}}, 
       {{4.170224772557419, 2.343727036325221, 2.340843805111136}}, 
       {{2.336986519711378, 0.5538851132264377, 0.5463857991645418}}, 
       {{0.7774883289936962, -0.9390477189967712, -0.9808292530117256}}, 
       {{-0.6132275573840719, -2.2798456060245558, -2.3258537199334004}}, 
       {{-1.8971199848858813, -3.509896798585496, -3.5684333010380693}}, 
       {{-3.110469951024414, -4.65962637178415, -4.739845089314692}}, 
       {{-4.2765861222158845, -5.769922277160745, -5.874570795636482}}, 
       {{-5.41126212556417, -6.850430212362868, -6.969630682700224}}, 
       {{-6.526582863443017, -7.926632599631393, -8.05031945517943}}, 
       {{-7.635493904311701, -8.998460012940683, -9.131529191551893}}, 
       {{-8.742213502743308, -10.07546281727594, -10.212733802903749}}, 
       {{-9.846729218717519, -11.154551964395914, -11.292987044604967}}, 
       {{-10.943076500754776, -12.214104817227438, -12.363896730723742}}, 
       {{-12.059550992867406, -13.332467315210735, -13.469795454261885}}, 
       {{-13.179992490240965, -14.446622347604766, -14.579080202820766}}, 
       {{-14.27659408983545, -15.484698474804148, -15.646842802312152}}, 
       {{-15.385727757245093, -16.527568780464023, -16.725065135277212}}, 
       {{-16.525763182621684, -17.60487355065653, -17.835675722012123}}}, 
      {{{6.509960677178192, 4.65586330030361, 4.639571612705423}}, 
       {{4.171922696867475, 2.343727036325221, 2.339880877737743}}, 
       {{2.340843805111136, 0.5538851132264377, 0.5452270504833239}}, 
       {{0.7852704694357512, -0.9493305859523552, -0.9728610833625491}}, 
       {{-0.6020275871924615, -2.278868566376729, -2.3156703325427017}}, 
       {{-1.8825598335545515, -3.499913354601313, -3.5578511917075324}}, 
       {{-3.090702511145218, -4.644951055999936, -4.730733408963438}}, 
       {{-4.249595847493392, -5.750874082190052, -5.843044541989709}}, 
       {{-5.378443411027321, -6.833575880807886, -6.939245946073507}}, 
       {{-6.490361600008699, -7.8806163623446865, -8.016417903503749}}, 
       {{-7.591348246737271, -8.942605937334099, -9.083707721042817}}, 
       {{-8.695124399908899, -9.999998452916971, -10.164852316670535}}, 
       {{-9.80165324665486, -11.085046762025165, -11.240610869649569}}, 
       {{-10.914088963881525, -12.168776860786476, -12.329370861874668}}, 
       {{-12.022918102432326, -13.242837530872203, -13.412047452526783}}, 
       {{-13.158508824040682, -14.374126845566614, -14.53500171386382}}, 
       {{-14.306043478462502, -15.509961844725332, -15.6708490088352}}, 
       {{-15.43803370994703, -16.584904389307535, -16.772022118364983}}, 
       {{-16.592267957076274, -17.67399279646439, -17.895952215017385}}}, 
      {{{6.51025834052315, 4.65586330030361, 4.638604962074329}}, 
       {{4.17392562489244, 2.342766882626877, 2.342766882626877}}, 
       {{2.344686269012681, 0.5538851132264377, 0.5486992761940721}}, 
       {{0.7916341272745993, -0.9493305859523552, -0.9675840262617059}}, 
       {{-0.592759006528677, -2.2739976361421332, -2.313646040353471}}, 
       {{-1.868856519613022, -3.493312670569961, -3.5508581562165613}}, 
       {{-3.07196557955358, -4.63356966050979, -4.714985051995297}}, 
       {{-4.2274189164474425, -5.735273141747572, -5.836171662701946}}, 
       {{-5.350453120968565, -6.803395263657895, -6.916796023634286}}, 
       {{-6.454770654905996, -7.86226722367649, -7.983628080680758}}, 
       {{-7.552874490531501, -8.89407084267249, -9.050775802304845}}, 
       {{-8.648441478026191, -9.946395053547404, -10.111742491356587}}, 
       {{-9.75231272473901, -11.013970013774726, -11.188670412287607}}, 
       {{-10.868443456391564, -12.098115504025081, -12.27864333836501}}, 
       {{-11.994192286494675, -13.196009917572628, -13.378546782796738}}, 
       {{-13.122363377404328, -14.288719318158957, -14.479098936282675}}, 
       {{-14.284075223015755, -15.439554622787737, -15.627064654520508}}, 
       {{-15.4652497671719, -16.605856001793313, -16.795369482361973}}, 
       {{-16.64031931967668, -17.724039674138165, -17.939489925316067}}}, 
      {{{6.510555915291006, 4.655863300303609, 4.6386049620743295}}, 
       {{4.1751562049585145, 2.337952236831337, 2.341805806147327}}, 
       {{2.347558458636777, 0.5538851132264367, 0.547543206701154}}, 
       {{0.7970566439504568, -0.9493305859523552, -0.9675840262617059}}, 
       {{-0.5839340955866291, -2.2769173462454675, -2.3096097079310103}}, 
       {{-1.8559780415547062, -3.496607566466814, -3.5439136838637513}}, 
       {{-3.055906996590061, -4.623334156615762, -4.710530701645919}}, 
       {{-4.205052684206522, -5.729100282640491, -5.812481891579542}}, 
       {{-5.325072103856856, -6.785537646257888, -6.90177320730459}}, 
       {{-6.424712036228598, -7.826549141074411, -7.9633080781898}}, 
       {{-7.514908266375222, -8.870303069190474, -9.014773588432208}}, 
       {{-8.607117898944225, -9.9054895552068, -10.073090336922307}}, 
       {{-9.705456702036994, -10.952738411666513, -11.140672491068178}}, 
       {{-10.817281404211696, -12.027089990001734, -12.222202027460058}}, 
       {{-11.947561950378672, -13.130899708426615, -13.326317234325398}}, 
       {{-13.094261947293454, -14.24475619473784, -14.448503815704473}}, 
       {{-14.248295476727401, -15.359160729860372, -15.57460924495278}}, 
       {{-15.442603405637096, -16.538166911455846, -16.75297392339429}}, 
       {{-16.66437575570871, -17.743662945322303, -17.95820538112742}}}, 
      {{{6.510853401534461, 4.6549122778829055, 4.638604962074329}}, 
       {{4.176231721694285, 2.339880877737742, 2.339880877737743}}, 
       {{2.3504224224082058, 0.5481214085096878, 0.5498540107334693}}, 
       {{0.8024499154503955, -0.9519179095173059, -0.9649559038554366}}, 
       {{-0.5764313808639846, -2.2749699259610723, -2.3086031653196093}}, 
       {{-1.8445275347667107, -3.4867552700238016, -3.537017104804691}}, 
       {{-3.0403113169519584, -4.624353005404865, -4.69838256771027}}, 
       {{-4.187117962374455, -5.710807089593166, -5.809142990314027}}, 
       {{-5.301923862142148, -6.764521110896229, -6.886972739799608}}, 
       {{-6.39672967521348, -7.80669737252168, -7.943392768488859}}, 
       {{-7.482053325703701, -8.838087398074132, -8.984001929765455}}, 
       {{-8.568486485803788, -9.875872385503154, -10.040453407609286}}, 
       {{-9.662897087618198, -10.912441969273702, -11.100153781679627}}, 
       {{-10.769085170094765, -11.970210321808189, -12.172637869443937}}, 
       {{-11.895064747774896, -13.05938857824294, -13.267389149454587}}, 
       {{-13.046792190557255, -14.176480426185886, -14.395329053217216}}, 
       {{-14.22062572730815, -15.317440262683089, -15.54373200638834}}, 
       {{-15.407108552270044, -16.46199540340833, -16.701491967559146}}, 
       {{-16.64099385595858, -17.678267322089503, -17.916879735123338}}}}, 
     {Automatic, Automatic}]
 
sigmaNLLGG7[x_, y_] := If[x < 200 || x > 2000 || y < 200 || y > 2000, 
     "Squark or gluino mass outside range of Interpolation!", 
     {SetPrecision[E^fNLLGGLog7[x, y][[1]], 3], 
      SetPrecision[E^fNLLGGLog7[x, y][[2]], 3], 
      SetPrecision[-E^fNLLGGLog7[x, y][[3]], 3]}]
 
fNLLGGLog7 = InterpolatingFunction[{{200., 2000.}, {200., 2000.}}, 
     {4, 3, 0, {19, 19}, {5, 5}, 0, 0, 0, 0, Automatic}, 
     {{200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000.}, 
      {200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000.}}, 
     {{{{6.523491981854816, 4.584300662872349, 4.517458301515071}}, 
       {{4.244015564861417, 2.206213300035476, 2.1686098620793164}}, 
       {{2.5152814734585047, 0.3798521647424269, 0.3920505735883485}}, 
       {{1.0645204433406912, -1.0998666105855734, -1.0748821256446448}}, 
       {{-0.22438048379655492, -2.4145301386098383, -2.355191956783525}}, 
       {{-1.3973178566539903, -3.6100605520377664, -3.51454399434355}}, 
       {{-2.490066352035863, -4.717740676050049, -4.591741887794617}}, 
       {{-3.5264506905247237, -5.762927939143295, -5.612355205491169}}, 
       {{-4.523688775199347, -6.763105286943965, -6.593754728446466}}, 
       {{-5.494573844229552, -7.728097591172619, -7.547973632803705}}, 
       {{-6.450032425506001, -8.67079596048763, -8.481225773446768}}, 
       {{-7.3987950413203905, -9.603866941617714, -9.407496390016309}}, 
       {{-8.349773465786484, -10.534295630969584, -10.334760605955081}}, 
       {{-9.310418123036849, -11.47009202776924, -11.269681311542433}}, 
       {{-10.288767746238825, -12.41764558847771, -12.221263956499532}}, 
       {{-11.292189920611925, -13.38481366479465, -13.197021240432646}}, 
       {{-12.328175501196778, -14.378500001324385, -14.204019449747724}}, 
       {{-13.404268085052093, -15.405982818254163, -15.2493542668273}}, 
       {{-14.52845298915902, -16.47451202712947, -16.340223431535485}}}, 
      {{{6.600226043685637, 4.5484812805236645, 4.504797605706324}}, 
       {{4.168600015790758, 2.223741617595695, 2.166808445812393}}, 
       {{2.36152152374927, 0.3842841963672472, 0.3387108429564149}}, 
       {{0.903827765829065, -1.171057252551822, -1.1773802427043318}}, 
       {{-0.37091979535549435, -2.5127436144182904, -2.472549177339246}}, 
       {{-1.5364525126768964, -3.7093693493817623, -3.6324933996072386}}, 
       {{-2.620153950245827, -4.809590959888467, -4.704542998920342}}, 
       {{-3.6463176393867793, -5.843691500640311, -5.717193497715512}}, 
       {{-4.632959066071548, -6.832123060482739, -6.689745128241098}}, 
       {{-5.593632162413103, -7.789957073880816, -7.635881042769397}}, 
       {{-6.539836556877621, -8.727705319416179, -8.560804401098752}}, 
       {{-7.479673617095981, -9.656637904729738, -9.479065311869133}}, 
       {{-8.422701172813559, -10.583565439704325, -10.399165223884202}}, 
       {{-9.37621234126354, -11.515011673069203, -11.328321843477005}}, 
       {{-10.348018035992776, -12.459303211425304, -12.273898454492915}}, 
       {{-11.345771415211859, -13.422285851677506, -13.244339042424611}}, 
       {{-12.376380317885111, -14.412844356982289, -14.24639669899899}}, 
       {{-13.447806818795511, -15.436840849962564, -15.286928564045475}}, 
       {{-14.567614106289703, -16.502243250678497, -16.37333607121488}}}, 
      {{{6.630949164433829, 4.555144529798101, 4.522880762695921}}, 
       {{4.232291825063487, 2.188544245290752, 2.1428951121768316}}, 
       {{2.322502383995523, 0.38352759243178886, 0.3303031242675621}}, 
       {{0.7779842732420528, -1.1540737489899229, -1.197621738662789}}, 
       {{-0.5160294201213582, -2.5299759997668847, -2.557196548321544}}, 
       {{-1.677497836136455, -3.759132575895276, -3.742682838087433}}, 
       {{-2.7604018703843582, -4.873743032479233, -4.8229665836377755}}, 
       {{-3.7825173111629757, -5.914641777781489, -5.835884587660348}}, 
       {{-4.762260520826133, -6.905755684146441, -6.804054265929085}}, 
       {{-5.714800753247189, -7.862657164077376, -7.743517937087942}}, 
       {{-6.6516003907796275, -8.798762625432998, -8.661827309073555}}, 
       {{-7.582618321586654, -9.724007904973114, -9.571943824403558}}, 
       {{-8.516800760109998, -10.646250962236863, -10.484002882724832}}, 
       {{-9.46191357920913, -11.57424426574864, -11.405880614162875}}, 
       {{-10.425829407025882, -12.514700506892284, -12.34464614228776}}, 
       {{-11.416315210679317, -13.473418098763066, -13.308215508396984}}, 
       {{-12.440339117017793, -14.459422373553819, -14.303516331468826}}, 
       {{-13.505515583557093, -15.4794670518762, -15.338056886366415}}, 
       {{-14.619508305782412, -16.541058197247462, -16.418928458376364}}}, 
      {{{6.647067165083372, 4.566182453654309, 4.538242472431985}}, 
       {{4.2659805842217295, 2.194864323492299, 2.160607265930978}}, 
       {{2.376506209295262, 0.3505722242468979, 0.2990794938620647}}, 
       {{0.7584695213854604, -1.1668020248684423, -1.221133865327983}}, 
       {{-0.6195663469188383, -2.5153079534884917, -2.558877937205658}}, 
       {{-1.8069162285620954, -3.768578647319259, -3.802997302797311}}, 
       {{-2.892714322326288, -4.914417777185536, -4.922254872587471}}, 
       {{-3.9186186179048916, -5.9725694399759846, -5.948626404261165}}, 
       {{-4.898448708397233, -6.973265588689741, -6.921429130223231}}, 
       {{-5.84754809624473, -7.934991280673329, -7.860112502735307}}, 
       {{-6.7782966340706094, -8.873436185678724, -8.775919843025411}}, 
       {{-7.702001571007002, -9.797815021752024, -9.67962681582673}}, 
       {{-8.628118214663676, -10.718033572388535, -10.584388109971671}}, 
       {{-9.564470312886563, -11.643624850923407, -11.498624948674443}}, 
       {{-10.520096712090607, -12.580030198023284, -12.429961167981132}}, 
       {{-11.502400650465347, -13.53487274573018, -13.385694845652813}}, 
       {{-12.518575497354943, -14.51658413969679, -14.373675280022784}}, 
       {{-13.576579538894624, -15.532147730267033, -15.401322040138743}}, 
       {{-14.683828370359134, -16.58901760419958, -16.475629762594167}}}, 
      {{{6.656023936446905, 4.5768408565729, 4.549818432995411}}, 
       {{4.292266899804491, 2.2046832269075836, 2.180560595951381}}, 
       {{2.410806334426328, 0.35389927835304247, 0.31573897784898486}}, 
       {{0.806486132009799, -1.1996533260483349, -1.2569952618573792}}, 
       {{-0.6282205822405277, -2.5366287601273814, -2.593285434442108}}, 
       {{-1.8939563772695625, -3.7569593532148984, -3.802926358387103}}, 
       {{-3.008109715671461, -4.920981862402263, -4.9614922718294014}}, 
       {{-4.041718087457308, -6.007762310370987, -6.030053964584176}}, 
       {{-5.029114571995279, -7.024995614972772, -7.02362874920509}}, 
       {{-5.980995882266259, -7.998774282558826, -7.9716887298989505}}, 
       {{-6.910917570573441, -8.94399202219764, -8.891774953278155}}, 
       {{-7.830591439194815, -9.872246885037299, -9.792994021727228}}, 
       {{-8.750271109187569, -10.794460549314822, -10.692834907937115}}, 
       {{-9.6799359560988, -11.717869347295535, -11.600530274606472}}, 
       {{-10.627617854420501, -12.651608406307165, -12.525009531209637}}, 
       {{-11.601704268091012, -13.603744721185784, -13.474097576837167}}, 
       {{-12.609861942995794, -14.581070189817185, -14.454568877241321}}, 
       {{-13.659726652476708, -15.592476348541648, -15.474800495631928}}, 
       {{-14.759270772217054, -16.644600762414573, -16.541893777675135}}}, 
      {{{6.6613174542593185, 4.58192528707708, 4.558395869428868}}, 
       {{4.308516080810814, 2.2165154196948773, 2.1977268166282267}}, 
       {{2.4414539265717856, 0.36560296619900534, 0.33750961615776376}}, 
       {{0.8399320666539496, -1.1964799051578632, -1.2414718105227271}}, 
       {{-0.5850862537360952, -2.567903277741173, -2.6312027696062485}}, 
       {{-1.8958249851633504, -3.7835150013686913, -3.842781377575374}}, 
       {{-3.08212844482531, -4.9150085562745325, -4.963358619168416}}, 
       {{-4.1454591742964615, -6.013975842507076, -6.059207161085056}}, 
       {{-5.14384226757538, -7.056163133610607, -7.0909893703551665}}, 
       {{-6.105412689743745, -8.046504695272452, -8.06073460337068}}, 
       {{-7.040628970194718, -9.003192409705662, -8.994384322938634}}, 
       {{-7.961543098022615, -9.938725958587272, -9.90192970866858}}, 
       {{-8.878924005659147, -10.86539114361392, -10.801551795113344}}, 
       {{-9.803490913181744, -11.791772798334417, -11.706303879211273}}, 
       {{-10.744659872742359, -12.726202784211448, -12.625717437130968}}, 
       {{-11.711214813082155, -13.676601043307896, -13.568820057978007}}, 
       {{-12.71126026804389, -14.651316416681217, -14.543142734473706}}, 
       {{-13.75322644209926, -15.658191516752856, -15.55613234622145}}, 
       {{-14.844751388659404, -16.705433062521116, -16.615833088700015}}}, 
      {{{6.664741538518814, 4.587781742650837, 4.564846224370208}}, 
       {{4.321140319064068, 2.228984507323853, 2.212205872826169}}, 
       {{2.4664166861130536, 0.37640902549034677, 0.35920867896567554}}, 
       {{0.8734289611992826, -1.1859665332665392, -1.2197846254207738}}, 
       {{-0.5526810379166707, -2.566831086851901, -2.6190060263299415}}, 
       {{-1.8564232116824408, -3.81381754706179, -3.8821363468046988}}, 
       {{-3.080264059428224, -4.9442407979595435, -5.009185371652686}}, 
       {{-4.209683216401129, -6.012153116519249, -6.066105834392787}}, 
       {{-5.237655816165879, -7.063498273613004, -7.116115554282905}}, 
       {{-6.212898862299545, -8.074393029813415, -8.11980390910322}}, 
       {{-7.159230819963149, -9.046412507200245, -9.074062702202282}}, 
       {{-8.086518472166574, -9.995026013618034, -9.996492121618582}}, 
       {{-9.006580213690947, -10.928965079608897, -10.903325630556996}}, 
       {{-9.929904984306264, -11.860880435784813, -11.809813670478905}}, 
       {{-10.86721562835734, -12.797603818039606, -12.72767459972026}}, 
       {{-11.827755870276002, -13.748888472763934, -13.666704922040022}}, 
       {{-12.820783898647571, -14.721967556584971, -14.635633211811053}}, 
       {{-13.85481174229852, -15.726532735205168, -15.642479127833889}}, 
       {{-14.938243778486449, -16.770257933498392, -16.69526786682756}}}, 
      {{{6.666074629255233, 4.594279451422747, 4.569320986354723}}, 
       {{4.329582955238888, 2.2385508404947605, 2.2238476554272744}}, 
       {{2.48320425605236, 0.39518537707335005, 0.3781779265118476}}, 
       {{0.9035217922409111, -1.1748523528274946, -1.194644557920094}}, 
       {{-0.5167149735373312, -2.556890748449441, -2.596766777838711}}, 
       {{-1.8254760578054485, -3.812406609922978, -3.8743199522880443}}, 
       {{-3.0441075436879736, -4.971970535166805, -5.0488671187167125}}, 
       {{-4.20539915425544, -6.042414867709259, -6.114835654857302}}, 
       {{-5.293685843108846, -7.066361057444414, -7.125326562272403}}, 
       {{-6.298161648682931, -8.083437929621553, -8.143141706590608}}, 
       {{-7.259325903553941, -9.074122791893583, -9.12597610378261}}, 
       {{-8.199409683867051, -10.035010213170631, -10.071122716014877}}, 
       {{-9.126804375273872, -10.981287957653741, -10.990632869306017}}, 
       {{-10.053447835307821, -11.921073343620954, -11.904367852843187}}, 
       {{-10.990060147229826, -12.863882427655211, -12.824831891944156}}, 
       {{-11.947303297463819, -13.81800373650952, -13.763139096508189}}, 
       {{-12.934781504158238, -14.792248735480548, -14.728590133422474}}, 
       {{-13.962094292429628, -15.794851460371392, -15.730591447559199}}, 
       {{-15.037642151596144, -16.835869758013697, -16.776725054451333}}}, 
      {{{6.667582000146273, 4.597946920061115, 4.572842414542899}}, 
       {{4.3364294423250636, 2.244863713934737, 2.233303339065733}}, 
       {{2.4987626639398806, 0.4069066175836957, 0.39541914519338006}}, 
       {{0.9272491729068799, -1.1593714673283695, -1.1717616868382381}}, 
       {{-0.483462001333649, -2.5436401264743433, -2.5707846944936645}}, 
       {{-1.7881547716563164, -3.80497483833045, -3.852174112324615}}, 
       {{-3.0144129531614516, -4.970845676248982, -5.042150135089296}}, 
       {{-4.171588007691681, -6.069921738687824, -6.153573793905199}}, 
       {{-5.287947298945137, -7.097730765295649, -7.176168699781433}}, 
       {{-6.3479247957345395, -8.089565205573372, -8.155795534502584}}, 
       {{-7.337503755666843, -9.084669299741604, -9.149678951594797}}, 
       {{-8.293272725808478, -10.061395662142573, -10.121252327126111}}, 
       {{-9.233628765756086, -11.01983937117527, -11.05853355415619}}, 
       {{-10.168239351201823, -11.970571644370642, -11.984432594539337}}, 
       {{-11.108759116989145, -12.920789954174483, -12.912564250029803}}, 
       {{-12.065852166525513, -13.880304922701804, -13.853733349894298}}, 
       {{-13.050325978257774, -14.857070881967656, -14.818423094988116}}, 
       {{-14.072245293688711, -15.860706473694767, -15.817395772814482}}, 
       {{-15.141179244345812, -16.900011473963435, -16.858980159908775}}}, 
      {{{6.669577613217948, 4.599891340300995, 4.575859813625743}}, 
       {{4.340907820656719, 2.2533635060462984, 2.240717665419442}}, 
       {{2.509133937894427, 0.4179464538890708, 0.40924321923335033}}, 
       {{0.9464075051091279, -1.1421002603057184, -1.1501633433424898}}, 
       {{-0.4565732199154219, -2.5267064578405862, -2.545308156050029}}, 
       {{-1.7525131694365872, -3.7897729059182272, -3.8258513220903136}}, 
       {{-2.976864595639647, -4.964721321760307, -5.023937035084136}}, 
       {{-4.143134021396898, -6.068890331897262, -6.149579412044576}}, 
       {{-5.256347959190802, -7.123537127680096, -7.2154522762174675}}, 
       {{-6.341500925045891, -8.119909346180805, -8.206847421619594}}, 
       {{-7.382193153443081, -9.093205830069188, -9.165010735742445}}, 
       {{-8.364831545013816, -10.074391314062389, -10.144559706312169}}, 
       {{-9.321646616821166, -11.04569782890621, -11.105228660949294}}, 
       {{-10.269249142397959, -12.006781886603578, -12.047361277706981}}, 
       {{-11.217931522876516, -12.966826332528422, -12.986251483508877}}, 
       {{-12.178865920341936, -13.933302764654282, -13.934153135694583}}, 
       {{-13.163507365695517, -14.914467411629259, -14.902652508845225}}, 
       {{-14.182109985057252, -15.921296609383338, -15.899966040440535}}, 
       {{-15.245682306966904, -16.961235325781157, -16.938653834651518}}}, 
      {{{6.670579018402574, 4.602128278452491, 4.578220375393122}}, 
       {{4.344043652399065, 2.2610153921560774, 2.246878786727758}}, 
       {{2.5189934606309556, 0.427348127797779, 0.422059593447748}}, 
       {{0.962732832618615, -1.128358739868177, -1.1317974167621048}}, 
       {{-0.43215637348799857, -2.507533459211565, -2.5204524331276037}}, 
       {{-1.721840390731822, -3.7723426359249674, -3.7983198413019745}}, 
       {{-2.9389849240972974, -4.951411594695922, -4.997300238741465}}, 
       {{-4.105066550493884, -6.063607887319921, -6.133567332764882}}, 
       {{-5.228509421047629, -7.123437021012124, -7.210971042550053}}, 
       {{-6.3113379259849225, -8.146112416345636, -8.245385294388472}}, 
       {{-7.375181952141457, -9.12351293023209, -9.216665222287022}}, 
       {{-8.405659805596878, -10.084568940102212, -10.163901624302241}}, 
       {{-9.387968770761805, -11.05926628657389, -11.130920919432148}}, 
       {{-10.351820439684287, -12.03130879058613, -12.091375697578416}}, 
       {{-11.31295869522083, -13.001633240307278, -13.043993238103548}}, 
       {{-12.281831788185267, -13.976756860176895, -14.001367303899546}}, 
       {{-13.269786719733021, -14.964760801794819, -14.974721430689765}}, 
       {{-14.288362588592268, -15.975001531817346, -15.97516893908151}}, 
       {{-15.348975123683585, -17.016216216755698, -17.012812043086555}}}, 
      {{{6.671250393323559, 4.60439675453813, 4.579791803866792}}, 
       {{4.348373281074968, 2.264109252037804, 2.2526949455254144}}, 
       {{2.526756547716813, 0.43633865401054506, 0.4320135211400826}}, 
       {{0.9760036604326509, -1.1136295317790947, -1.115475321015945}}, 
       {{-0.4121366450207285, -2.489497810563889, -2.4983923440636806}}, 
       {{-1.6939112093521114, -3.754226481226927, -3.770863454105882}}, 
       {{-2.9042505994816716, -4.933522902695921, -4.967886487813356}}, 
       {{-4.065824076739455, -6.049456487487843, -6.107645988531661}}, 
       {{-5.190215734759068, -7.118005420535814, -7.19795919915057}}, 
       {{-6.284204844003073, -8.145165870867146, -8.24239258097365}}, 
       {{-7.347130517635108, -9.146925019002442, -9.255200523424232}}, 
       {{-8.39845921575998, -10.113752644998216, -10.215343446369289}}, 
       {{-9.424970953124587, -11.070566852184644, -11.15122333228726}}, 
       {{-10.412785896133355, -12.046569468433958, -12.116793767595498}}, 
       {{-11.389754227812114, -13.026152122079756, -13.085133702586548}}, 
       {{-12.37051646790835, -14.010234991423332, -14.05384949918996}}, 
       {{-13.365984934019938, -15.00500715088985, -15.035871677401913}}, 
       {{-14.387654091779247, -16.02039415859578, -16.041048124039374}}, 
       {{-15.447603142425098, -17.06499443131863, -17.080382641452896}}}, 
      {{{6.672244510585662, 4.605952762287342, 4.5813489095335305}}, 
       {{4.351097125177435, 2.268338223264474, 2.2567551759722346}}, 
       {{2.532540681710683, 0.44607245578988414, 0.4407628020084329}}, 
       {{0.9871328756377087, -1.1015042808369144, -1.1015145450146138}}, 
       {{-0.39407370061592417, -2.47472690888798, -2.477490560306974}}, 
       {{-1.6697825042487169, -3.7339149522724897, -3.7452148747907774}}, 
       {{-2.8738681681723706, -4.914616497144859, -4.937867953925891}}, 
       {{-4.027950875499625, -6.0348781064821955, -6.076990246664034}}, 
       {{-5.149942250025872, -7.104629329370839, -7.174471159861526}}, 
       {{-6.246001715468956, -8.139963240725164, -8.23140958849064}}, 
       {{-7.3205139285214385, -9.14687209840291, -9.252669780056152}}, 
       {{-8.371635093867512, -10.13623500269338, -10.252361526742108}}, 
       {{-9.417729969056596, -11.098875463191353, -11.200983700608704}}, 
       {{-10.446774414410541, -12.057752113938744, -12.137913562508118}}, 
       {{-11.446236980282341, -13.041003178683193, -13.111121926622355}}, 
       {{-12.441700342072442, -14.0335398974322, -14.092793519688081}}, 
       {{-13.448230791216572, -15.035940804294702, -15.083990115298485}}, 
       {{-14.476451256138851, -16.057563802131003, -16.095822107057757}}, 
       {{-15.5387346470627, -17.106348041022823, -17.137731577960988}}}, 
      {{{6.672815320010005, 4.607278498242468, 4.582471447756557}}, 
       {{4.353423019107331, 2.272192666499443, 2.2602379398810037}}, 
       {{2.538020052807256, 0.4523624532437855, 0.4482164203857142}}, 
       {{0.9966160470823495, -1.0894394810168309, -1.0890898034743157}}, 
       {{-0.37917300432892903, -2.4589795691137786, -2.459612542549402}}, 
       {{-1.6482542114116097, -3.71771837425648, -3.721714061626923}}, 
       {{-2.8460134637550705, -4.894137910770638, -4.909505119852515}}, 
       {{-3.995603271563524, -6.011332549112738, -6.045991899172285}}, 
       {{-5.110646149099182, -7.089092068987727, -7.14393698206985}}, 
       {{-6.204808506316423, -8.12688584792469, -8.209905867984894}}, 
       {{-7.282173738552463, -9.14274189768613, -9.243734224315748}}, 
       {{-8.345915057127861, -10.135925933325142, -10.250478342043756}}, 
       {{-9.392306181986136, -11.120166492417075, -11.237004279603612}}, 
       {{-10.439490612869804, -12.085290395915942, -12.185704334207957}}, 
       {{-11.477272010911774, -13.052752853097696, -13.13230424781442}}, 
       {{-12.493667005879429, -14.047792459492257, -14.117847055241757}}, 
       {{-13.513720803112971, -15.058360465879188, -15.119498497902526}}, 
       {{-14.551774610294451, -16.08588849183412, -16.138719327923056}}, 
       {{-15.619577427206107, -17.13982306184625, -17.186179193242303}}}, 
      {{{6.673479038784229, 4.608207262901387, 4.5835401021828}}, 
       {{4.355637985149189, 2.2747937935125266, 2.2633534980738954}}, 
       {{2.5432473499366135, 0.45698652141178575, 0.4550562674795266}}, 
       {{1.0045541566445852, -1.0779576075419048, -1.0783030488183087}}, 
       {{-0.36582309456659196, -2.44538328100321, -2.443658907834282}}, 
       {{-1.6292041747928387, -3.6986867047108056, -3.699555502469573}}, 
       {{-2.8213182815776237, -4.873914820983621, -4.883217170532281}}, 
       {{-3.964902308963905, -5.989557499401416, -6.015516352017791}}, 
       {{-5.075155868689967, -7.067477800511554, -7.11097246553428}}, 
       {{-6.163149447451312, -8.113568436859728, -8.179539661975069}}, 
       {{-7.239322627985715, -9.132411949694722, -9.222176001132372}}, 
       {{-8.307218536798777, -10.132047365468742, -10.241042199032512}}, 
       {{-9.367014700973806, -11.119741879234654, -11.23436197353587}}, 
       {{-10.41548673390113, -12.105725206365065, -12.220455242994511}}, 
       {{-11.470072979458902, -13.078803110216137, -13.177208532379774}}, 
       {{-12.521990303307955, -14.060018582377923, -14.138426666370751}}, 
       {{-13.560931851700119, -15.072942025127812, -15.1429808385162}}, 
       {{-14.611312350021821, -16.107051425301062, -16.17056195031538}}, 
       {{-15.687536471426156, -17.165925039137694, -17.22382757770139}}}, 
      {{{6.674116337215142, 4.608990194180453, 4.584407579133075}}, 
       {{4.357507563790225, 2.2774806217123937, 2.265891463260641}}, 
       {{2.5474825935530814, 0.4626344887188679, 0.4600870565207277}}, 
       {{1.0128509584172414, -1.071099813600213, -1.0680497757002922}}, 
       {{-0.3536381386858679, -2.434476223797977, -2.4288807517688125}}, 
       {{-1.6129990600287303, -3.6826984540622782, -3.6804420784982517}}, 
       {{-2.799642898315333, -4.85223778655383, -4.858305690808191}}, 
       {{-3.9364278707136866, -5.9713587354786, -5.984830190731442}}, 
       {{-5.041294098732207, -7.04575316300301, -7.077993761126077}}, 
       {{-6.126216496694414, -8.091899844950932, -8.14623990454709}}, 
       {{-7.197130692647047, -9.117411534261679, -9.19390725771773}}, 
       {{-8.26446341858538, -10.121008204903072, -10.223138948578987}}, 
       {{-9.328405879120478, -11.117195270846315, -11.226809805168182}}, 
       {{-10.390973853767846, -12.104706890922365, -12.218656344444351}}, 
       {{-11.447189835893775, -13.09781194771143, -13.209206695351867}}, 
       {{-12.514806106115584, -14.084468060491043, -14.179955535541659}}, 
       {{-13.586628778285968, -15.084129459688446, -15.162297222430569}}, 
       {{-14.653803515765436, -16.12136504706004, -16.191970898345314}}, 
       {{-15.740915731646503, -17.185126435862394, -17.251895586075324}}}, 
      {{{6.674480098897333, 4.60987338736343, 4.585049754047467}}, 
       {{4.359561321512386, 2.2788128404871646, 2.2682721251423454}}, 
       {{2.5515493931826096, 0.4662305561155941, 0.4653243598539593}}, 
       {{1.0197389196823894, -1.0645280916626485, -1.0596196258317077}}, 
       {{-0.3433795303480661, -2.4224036872682166, -2.4160935381428508}}, 
       {{-1.5980011146702813, -3.667293997554192, -3.6623865133123017}}, 
       {{-2.7793832604233573, -4.834781549627525, -4.835391051351789}}, 
       {{-3.9121265601591166, -5.9458891652204215, -5.958239219329948}}, 
       {{-5.011410641752815, -7.022064836774403, -7.04748114732305}}, 
       {{-6.089942802104474, -8.06962155794261, -8.111449699223332}}, 
       {{-7.15842007462076, -9.094546183474367, -9.161700150153361}}, 
       {{-8.220756008199082, -10.108118646555836, -10.193547505448482}}, 
       {{-9.284738921380715, -11.108179423919928, -11.209462649974164}}, 
       {{-10.35281034701957, -12.1019285579193, -12.21313034682896}}, 
       {{-11.423472361393161, -13.096742154201284, -13.20895480993956}}, 
       {{-12.493234420338023, -14.10218881574379, -14.21020866228595}}, 
       {{-13.579791579115428, -15.10695889541603, -15.201064515865728}}, 
       {{-14.6771460478895, -16.13117181103786, -16.209857028632996}}, 
       {{-15.77891838067788, -17.197988892643355, -17.271225157945572}}}, 
      {{{6.674827164197393, 4.610444308119065, 4.585641399231063}}, 
       {{4.360917374290291, 2.2808740643782937, 2.270144630313676}}, 
       {{2.5546980158267987, 0.47061125055552644, 0.4689645361238958}}, 
       {{1.0256425883218823, -1.0572340722361495, -1.052462101738187}}, 
       {{-0.33383007950517035, -2.412345159472846, -2.4044572076755606}}, 
       {{-1.584128836627377, -3.653548627776198, -3.6460449495809826}}, 
       {{-2.7617295535983786, -4.815124442705748, -4.814742706581464}}, 
       {{-3.888352248209547, -5.928369627886677, -5.9325756673706325}}, 
       {{-4.984016441547192, -6.997020519565093, -7.016905265524684}}, 
       {{-6.057971525748912, -8.04320298141117, -8.078973508389668}}, 
       {{-7.120152815543035, -9.072333015960963, -9.125235363048922}}, 
       {{-8.180029449966872, -10.086990215942173, -10.158583866715357}}, 
       {{-9.241204134878341, -11.093242590210947, -11.18254651827936}}, 
       {{-10.308729865105438, -12.095246249012655, -12.197425658992623}}, 
       {{-11.385685219546463, -13.095116041544802, -13.2031906095407}}, 
       {{-12.470606477601898, -14.10029490352896, -14.20984192968877}}, 
       {{-13.55952431144179, -15.12265021367285, -15.228965249656795}}, 
       {{-14.670572865485285, -16.151829666968585, -16.24535353903439}}, 
       {{-15.799463000976242, -17.207601752496462, -17.286540343562688}}}, 
      {{{6.6751606604442415, 4.610937036377305, 4.586150689627384}}, 
       {{4.362098578112362, 2.282961387308972, 2.2716949409817606}}, 
       {{2.5577325186131876, 0.47346351009497756, 0.4730822082924814}}, 
       {{1.031324015621922, -1.0516194335831475, -1.0461880480362349}}, 
       {{-0.32562432067380126, -2.4024434111075696, -2.394495291350668}}, 
       {{-1.571785400935122, -3.6413294254466613, -3.631680290604223}}, 
       {{-2.744979447513012, -4.800040248520848, -4.795194075903071}}, 
       {{-3.8684509531689395, -5.9051704118158, -5.909398045790876}}, 
       {{-4.958878790562421, -6.973558810585816, -6.989455545797335}}, 
       {{-6.028035361144177, -8.017821061817076, -8.046598616989494}}, 
       {{-7.085713386174949, -9.048377435309288, -9.09083392684523}}, 
       {{-8.141034823576282, -10.062480761307969, -10.120827843909204}}, 
       {{-9.199688594206156, -11.072598423668294, -11.147388118430326}}, 
       {{-10.264802599865368, -12.081240350700343, -12.170636340660732}}, 
       {{-11.341728206560573, -13.09005718832749, -13.189748730210704}}, 
       {{-12.433515108930198, -14.099518460663358, -14.206994290238702}}, 
       {{-13.537987919600988, -15.121247065833623, -15.228712703134434}}, 
       {{-14.65163609132473, -16.16634495830665, -16.270997367124437}}, 
       {{-15.79314233151884, -17.226098391270348, -17.318703286733594}}}}, 
     {Automatic, Automatic}]
 
sigmaLOST7[x_] := If[x < 100 || x > 1000, 
     "Stop mass outside range of interpolation!", 
     SetPrecision[{E^fLOSTLog7[x][[1]], E^fLOSTLog7[x][[2]], 
       -E^fLOSTLog7[x][[3]]}, 3]]
 
fLOSTLog7 = InterpolatingFunction[{{100., 1000.}}, {4, 3, 0, {19}, {5}, 0, 0, 
      0, 0, Automatic}, {{100., 150., 200., 250., 300., 350., 400., 450., 
       500., 550., 600., 650., 700., 750., 800., 850., 900., 950., 1000.}}, 
     {{{5.717685379825192, 4.738826570800765, 4.3476939555933765}}, 
      {{3.7218305542536223, 2.8039662579320366, 2.3924257969938356}}, 
      {{2.2146278142349036, 1.3328935843927754, 0.909870164071232}}, 
      {{0.981703870422387, 0.12663265093336581, -0.3051673867928003}}, 
      {{-0.07569384436920029, -0.9115519775269818, -1.349769586437518}}, 
      {{-1.0117009166788133, -1.8319566589794676, -2.2749699259610723}}, 
      {{-1.859182145545489, -2.6649907116417633, -3.114515809543958}}, 
      {{-2.639037329815256, -3.4336172729182666, -3.884894338039894}}, 
      {{-3.366795954944823, -4.150280194552404, -4.605170185988091}}, 
      {{-4.053010698729124, -4.825816857103714, -5.284414461379045}}, 
      {{-4.705543160134878, -5.469105687528319, -5.929805166721255}}, 
      {{-5.33063396802458, -6.084896491900534, -6.548683210443683}}, 
      {{-5.933195638984007, -6.678232120703888, -7.1447442371184}}, 
      {{-6.517065456456127, -7.251655031432146, -7.724200675886576}}, 
      {{-7.084850516804511, -7.810883024330011, -8.284495427297216}}, 
      {{-7.639851209680657, -8.358481500261416, -8.833274738389717}}, 
      {{-8.183940417421997, -8.89407084267249, -9.371683522384945}}, 
      {{-8.719309375538371, -9.421061403291835, -9.901489549873455}}, 
      {{-9.247626956762199, -9.938907497767389, -10.423353920954268}}}, 
     {Automatic}]
 
sigmaNLOST7[x_] := If[x < 100 || x > 1000, 
     "Stop mass outside range of interpolation!", 
     SetPrecision[{E^fNLOSTLog7[x][[1]], E^fNLOSTLog7[x][[2]], 
       -E^fNLOSTLog7[x][[3]]}, 3]]
 
fNLOSTLog7 = InterpolatingFunction[{{100., 1000.}}, 
     {4, 3, 0, {19}, {5}, 0, 0, 0, 0, Automatic}, 
     {{100., 150., 200., 250., 300., 350., 400., 450., 500., 550., 600., 
       650., 700., 750., 800., 850., 900., 950., 1000.}}, 
     {{{6.0342845442909105, 4.14946386144318, 4.069026754237811}}, 
      {{4.050740924739968, 2.099244168976015, 2.095560923559719}}, 
      {{2.5455312716044354, 0.5538851132264377, 0.6043159668533296}}, 
      {{1.3091433019314755, -0.7031975164134456, -0.6273594400219425}}, 
      {{0.24607852259670557, -1.7778565640590633, -1.682008605268936}}, 
      {{-0.6963523115088937, -2.728763242699752, -2.615926912226404}}, 
      {{-1.5502260528022542, -3.586322865788844, -3.460947386067929}}, 
      {{-2.3369695198558764, -4.3677293299730575, -4.2384459061963575}}, 
      {{-3.0708869471547513, -5.0961931824579025, -4.961845129926824}}, 
      {{-3.7627413027123917, -5.782825681996655, -5.640807675494813}}, 
      {{-4.421183349875076, -6.425329129737844, -6.292569639891904}}, 
      {{-5.051144837434466, -7.044721134055294, -6.907755278982137}}, 
      {{-5.658426772935404, -7.637566443913675, -7.503775748811359}}, 
      {{-6.246614894557278, -8.209708491668277, -8.078938260485083}}, 
      {{-6.818829069787736, -8.765654550714737, -8.638231519793294}}, 
      {{-7.378078959438798, -9.305750556780842, -9.184672625227606}}, 
      {{-7.926078736421443, -9.835828904062314, -9.719500716423113}}, 
      {{-8.465075237154132, -10.356044268178142, -10.24316492010629}}, 
      {{-8.996843197713778, -10.86582222291169, -10.761509376286307}}}, 
     {Automatic}]
 
sigmaNLLST7[x_] := If[x < 100 || x > 1000, 
     "Stop mass outside range of interpolation!", 
     SetPrecision[{E^fNLLSTLog7[x][[1]], E^fNLLSTLog7[x][[2]], 
       -E^fNLLSTLog7[x][[3]]}, 3]]
 
fNLLSTLog7 = InterpolatingFunction[{{100., 1000.}}, 
     {4, 3, 0, {19}, {5}, 0, 0, 0, 0, Automatic}, 
     {{100., 150., 200., 250., 300., 350., 400., 450., 500., 550., 600., 
       650., 700., 750., 800., 850., 900., 950., 1000.}}, 
     {{{6.167864403241787, 4.470534211984956, 4.1918183183600854}}, 
      {{4.189810622185099, 2.439695983152397, 2.183803134921855}}, 
      {{2.6895146360018574, 0.8983575204286729, 0.6570666920377289}}, 
      {{1.457787249311679, -0.3602663834034027, -0.5968704006969747}}, 
      {{0.3992451320865457, -1.4422670193368294, -1.6730955218963597}}, 
      {{-0.5383545411125685, -2.3979595727783773, -2.630113171457343}}, 
      {{-1.3873630728672117, -3.26191169092092, -3.496150602538195}}, 
      {{-2.1693826862678067, -4.056716239349555, -4.289013863970114}}, 
      {{-2.898536751225292, -4.797359871898514, -5.02745743687714}}, 
      {{-3.5853770812076005, -5.494561069447561, -5.721944510586968}}, 
      {{-4.238488998585415, -6.151117316653142, -6.381720894965771}}, 
      {{-4.862970180873452, -6.783134426164672, -7.011142442887841}}, 
      {{-5.464459395333075, -7.387517189051504, -7.616587977188173}}, 
      {{-6.046583314812373, -7.971694479424618, -8.201842810443694}}, 
      {{-6.612458490895532, -8.53817700711993, -8.767120503359829}}, 
      {{-7.165089677222249, -9.089611200515094, -9.316963077947573}}, 
      {{-7.706044169425625, -9.62808468864433, -9.855316766047306}}, 
      {{-8.237058608190035, -10.155060006186947, -10.388226694793376}}, 
      {{-8.760462951443184, -10.671975179824875, -10.912955143580739}}}, 
     {Automatic}]
 
sigmaLOSUSY7[x_, y_] := If[x < 200 || x > 2000 || y < 200 || y > 2000, 
     "Squark or gluino mass outside range of interpolation!", 
     {SetPrecision[E^fLOSBLog7[x, y][[1]] + E^fLOSSLog7[x, y][[1]] + 
        E^fLOSGLog7[x, y][[1]] + E^fLOGGLog7[x, y][[1]], 3], 
      SetPrecision[E^fLOSBLog7[x, y][[2]] + E^fLOSSLog7[x, y][[2]] + 
        E^fLOSGLog7[x, y][[2]] + E^fLOGGLog7[x, y][[2]], 3], 
      SetPrecision[-E^fLOSBLog7[x, y][[3]] - E^fLOSSLog7[x, y][[3]] - 
        E^fLOSGLog7[x, y][[3]] - E^fLOGGLog7[x, y][[3]], 3]}]
 
sigmaNLOSUSY7[x_, y_] := If[x < 200 || x > 2000 || y < 200 || y > 2000, 
     "Squark or gluino mass outside range of interpolation!", 
     {SetPrecision[E^fNLOSBLog7[x, y][[1]] + E^fNLOSSLog7[x, y][[1]] + 
        E^fNLOSGLog7[x, y][[1]] + E^fNLOGGLog7[x, y][[1]], 3], 
      SetPrecision[E^fNLOSBLog7[x, y][[2]] + E^fNLOSSLog7[x, y][[2]] + 
        E^fNLOSGLog7[x, y][[2]] + E^fNLOGGLog7[x, y][[2]], 3], 
      SetPrecision[-E^fNLOSBLog7[x, y][[3]] - E^fNLOSSLog7[x, y][[3]] - 
        E^fNLOSGLog7[x, y][[3]] - E^fNLOGGLog7[x, y][[3]], 3]}]
 
sigmaNLLSUSY7[x_, y_] := If[x < 200 || x > 2000 || y < 200 || y > 2000, 
     "Squark or gluino mass outside range of interpolation!", 
     {SetPrecision[E^fNLLSBLog7[x, y][[1]] + E^fNLLSSLog7[x, y][[1]] + 
        E^fNLLSGLog7[x, y][[1]] + E^fNLLGGLog7[x, y][[1]], 3], 
      SetPrecision[E^fNLLSBLog7[x, y][[2]] + E^fNLLSSLog7[x, y][[2]] + 
        E^fNLLSGLog7[x, y][[2]] + E^fNLLGGLog7[x, y][[2]], 3], 
      SetPrecision[-E^fNLLSBLog7[x, y][[3]] - E^fNLLSSLog7[x, y][[3]] - 
        E^fNLLSGLog7[x, y][[3]] - E^fNLLGGLog7[x, y][[3]], 3]}]
sigmaLOSB8[x_, y_] := If[x < 200 || x > 2500 || y < 200 || y > 2500, 
     "Squark or gluino mass outside range of interpolation!", 
     {SetPrecision[E^fLOSBLog8[x, y][[1]], 3], SetPrecision[
       E^fLOSBLog8[x, y][[2]], 3], SetPrecision[-E^fLOSBLog8[x, y][[3]], 3]}]
 
fLOSBLog8 = InterpolatingFunction[{{200., 2500.}, {200., 2500.}}, 
     {4, 3, 0, {24, 24}, {5, 5}, 0, 0, 0, 0, Automatic}, 
     {{200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000., 2100., 2200., 
       2300., 2400., 2500.}, {200., 300., 400., 500., 600., 700., 800., 900., 
       1000., 1100., 1200., 1300., 1400., 1500., 1600., 1700., 1800., 1900., 
       2000., 2100., 2200., 2300., 2400., 2500.}}, 
     {{{{5.60138054103812, 4.518522379262419, 4.149463861443181}}, 
       {{5.486455308663431, 4.423648309364701, 4.048300623720694}}, 
       {{5.3831179682405015, 4.3425058765115985, 3.960813169597578}}, 
       {{5.298317366548036, 4.276666119016055, 3.8918202981106265}}, 
       {{5.230573714461517, 4.225372824628505, 3.8351419610921886}}, 
       {{5.176714544788788, 4.185098925490565, 3.7909846770510898}}, 
       {{5.134032172240181, 4.152613470346076, 3.7565381025877507}}, 
       {{5.099866427824199, 4.127134385045092, 3.730501128804756}}, 
       {{5.072043922224899, 4.1059436980654525, 3.7062280924485496}}, 
       {{5.049214776063731, 4.089332020398556, 3.6888794541139363}}, 
       {{5.030437921392435, 4.0758410906575415, 3.6737658163038884}}, 
       {{5.01529110563245, 4.063885354737392, 3.663561646129646}}, 
       {{5.001930853466109, 4.055257173514054, 3.6506582412937383}}, 
       {{4.991112627607392, 4.046553898385753, 3.6428355156125294}}, 
       {{4.981549713201159, 4.039536325727106, 3.6349511120883804}}, 
       {{4.973279507552487, 4.034240638152395, 3.6270040503958487}}, 
       {{4.966335035199676, 4.030694535145645, 3.6216707044204863}}, 
       {{4.960744524482791, 4.023564380161053, 3.6189933266497696}}, 
       {{4.955122584165997, 4.021773869387265, 3.6136169696133895}}, 
       {{4.950885289690482, 4.0163830207523885, 3.610917912644225}}, 
       {{4.946629964120343, 4.014579593753238, 3.608211551046481}}, 
       {{4.94306997460049, 4.01096295328305, 3.605497845174885}}, 
       {{4.939497266262916, 4.01096295328305, 3.6000482404073204}}, 
       {{4.93662988078576, 4.007333185232471, 3.597312260588446}}}, 
      {{{3.6459719531026598, 2.587764035227708, 2.2126603854660587}}, 
       {{3.5751506887855933, 2.523325759691945, 2.1459312829486694}}, 
       {{3.4855385300959063, 2.4449523342809676, 2.0643279038697875}}, 
       {{3.3958497753355603, 2.368372833532049, 1.9851308622085948}}, 
       {{3.312730400339825, 2.299580583973747, 1.911022890054873}}, 
       {{3.2386784521643803, 2.2396452932201716, 1.8468787684491346}}, 
       {{3.1742967814702334, 2.187174241482718, 1.791759469228055}}, 
       {{3.1179499062782403, 2.1424163408412245, 1.7439688053917068}}, 
       {{3.0694473113762717, 2.1041341542702074, 1.7029282555214396}}, 
       {{3.027230940613362, 2.071913275259044, 1.6658182458702082}}, 
       {{2.991222118076105, 2.0425181875752383, 1.637053079467074}}, 
       {{2.9595868269176377, 2.0188950418118026, 1.6114359150967734}}, 
       {{2.9322598505984176, 1.9974177062012455, 1.5871923034867803}}, 
       {{2.9079933592459843, 1.9796212063976248, 1.566530411422824}}, 
       {{2.88703285663065, 1.962907725423884, 1.5496879080283266}}, 
       {{2.8684669225081145, 1.9487632180377197, 1.5347143662381637}}, 
       {{2.8524391037275145, 1.9358598132018123, 1.5216989981260933}}, 
       {{2.837908188360424, 1.9257074417377944, 1.5085119938441394}}, 
       {{2.8249439525737094, 1.9154509415706047, 1.4973884086254772}}, 
       {{2.813610696762703, 1.906575143656636, 1.4883995840570445}}, 
       {{2.803360380906535, 1.8991179875485542, 1.4816045409242156}}, 
       {{2.7942278973432626, 1.893111963488342, 1.4724720573609433}}, 
       {{2.7862450486872667, 1.8855533485144158, 1.467874348112313}}, 
       {{2.7788192719904172, 1.87946504964716, 1.460937904115657}}}, 
      {{{2.099979192897384, 1.069526707773013, 0.6881346387364011}}, 
       {{2.076813090326144, 1.044156102872051, 0.662687973075237}}, 
       {{2.0192933688435577, 0.9884253296333543, 0.6075892921982989}}, 
       {{1.9471950375181877, 0.9242589015233318, 0.5399960010657706}}, 
       {{1.8711866028593769, 0.8569652657893402, 0.47062843401457816}}, 
       {{1.7965811595072685, 0.792087128414849, 0.4027948795522852}}, 
       {{1.725975728682052, 0.7318870088758758, 0.33932530560361934}}, 
       {{1.660701206371642, 0.6765095394069223, 0.2814124594381853}}, 
       {{1.6008007190384368, 0.6264730472919527, 0.22793206804600677}}, 
       {{1.5467110825257953, 0.5810976767513225, 0.1806534996932572}}, 
       {{1.4976120972518436, 0.5405785819153383, 0.1380212978973748}}, 
       {{1.4532518292447716, 0.5050087384444258, 0.09893994785490365}}, 
       {{1.4134230285081433, 0.4725005094443228, 0.06391332574365306}}, 
       {{1.3775058550868113, 0.4434029474485564, 0.033434776086237204}}, 
       {{1.3452119160186606, 0.4173936789734383, 0.005982071677547249}}, 
       {{1.3161401011966838, 0.3933925268738953, -0.019182819416774098}}, 
       {{1.2897834607390468, 0.372941916402604, -0.04186420409869875}}, 
       {{1.2658202076520162, 0.354171813720614, -0.06293979977387455}}, 
       {{1.2444427368796493, 0.33647223662121317, -0.08012604447928486}}, 
       {{1.2249512107111278, 0.3213585988111651, -0.09651090038084385}}, 
       {{1.207167695222455, 0.30748469974796055, -0.11204950380862326}}, 
       {{1.1908875647772805, 0.2949059175411005, -0.1255632229753456}}, 
       {{1.1761904233134843, 0.28292075535007044, -0.13811330212963427}}, 
       {{1.1628382609673809, 0.27231459532065894, -0.14850000831844434}}}, 
      {{{0.7710337192170165, -0.23319388716771086, -0.619896718820353}}, 
       {{0.7857263618530385, -0.22564668153232822, -0.6106459590482017}}, 
       {{0.7612730096075457, -0.25231492861448945, -0.6348782724359695}}, 
       {{0.7139297197424738, -0.29705923426437747, -0.681218609694672}}, 
       {{0.6544063522435147, -0.3509769228240944, -0.7381445464906811}}, 
       {{0.5900064216404319, -0.4094731295057033, -0.7985076962177717}}, 
       {{0.5241366378256631, -0.4684049078820387, -0.8603830999358589}}, 
       {{0.4599532933922342, -0.5259392615760393, -0.9187938620922735}}, 
       {{0.398104753701872, -0.5798184952529425, -0.9755100915341263}}, 
       {{0.33932530560361934, -0.6292338548162922, -1.030019497202498}}, 
       {{0.28517894223366247, -0.6792442753909541, -1.076752954315216}}, 
       {{0.233489843368354, -0.7215466550816428, -1.124853599873337}}, 
       {{0.18647956694261839, -0.76142602131324, -1.1657140922088454}}, 
       {{0.142367241286922, -0.7985076962177717, -1.205640861426633}}, 
       {{0.10165365372649982, -0.8324092478934528, -1.2423671923132478}}, 
       {{0.06391332574365285, -0.8627499649461254, -1.2765434971607714}}, 
       {{0.02955880224154443, -0.8915981192837837, -1.306374737944017}}, 
       {{-0.0020020026706730793, -0.9187938620922735, -1.3333224763537852}}, 
       {{-0.03128429003976644, -0.9446902063958527, -1.3590683748662995}}, 
       {{-0.05837091332632951, -0.9657436155936853, -1.3827008256097604}}, 
       {{-0.08338160893905101, -0.9861768593383218, -1.4044583317475616}}, 
       {{-0.10647224451051676, -1.0051219455807712, -1.4246194754415584}}, 
       {{-0.127719741602371, -1.021929063897152, -1.4430763752188753}}, 
       {{-0.14745646946787522, -1.0381759198642788, -1.460156209718346}}}, 
      {{{-0.4228147464432774, -1.402017321585127, -1.793961892783255}}, 
       {{-0.38169975455790245, -1.3692406065540628, -1.7590986869885066}}, 
       {{-0.377606779979768, -1.3692406065540632, -1.758518135448253}}, 
       {{-0.400179103678927, -1.3931175864680163, -1.7814131771739108}}, 
       {{-0.439901285429292, -1.4317102246503732, -1.8201589437497527}}, 
       {{-0.48971666055575547, -1.477532841554162, -1.868856519613022}}, 
       {{-0.5447271754416722, -1.528780009416646, -1.9207298505250152}}, 
       {{-0.6022101855678432, -1.5813364823232257, -1.974721230909433}}, 
       {{-0.6600993265137449, -1.6332184410995043, -2.0287484273643175}}, 
       {{-0.7168253079145225, -1.6847003969346475, -2.081844426296146}}, 
       {{-0.7719739611059163, -1.7338679908122772, -2.132842318406951}}, 
       {{-0.8248516715573735, -1.7808195291897206, -2.1812528078265205}}, 
       {{-0.8753887405537293, -1.8251094489096094, -2.228405694819794}}, 
       {{-0.9230636161615838, -1.8669141428288156, -2.2710864259346746}}, 
       {{-0.9681104806039514, -1.9064971466984786, -2.3126354288475466}}, 
       {{-1.0106014113453965, -1.942814944148011, -2.3507254683219805}}, 
       {{-1.0503937163976353, -1.9776072357985677, -2.387054249620496}}, 
       {{-1.08796912856963, -2.0091694886945044, -2.4213686289840126}}, 
       {{-1.1230074455028314, -2.039451893463677, -2.452245867548452}}, 
       {{-1.1558177624388888, -2.0675129708145623, -2.4817117588914805}}, 
       {{-1.1864603792413049, -2.093946227882718, -2.509609262428372}}, 
       {{-1.2153708492783055, -2.117766656001504, -2.535778980161757}}, 
       {{-1.2423671923132475, -2.1404662435176105, -2.560061323388761}}, 
       {{-1.267622831402392, -2.161085530720346, -2.5822989957966502}}}, 
      {{{-1.5255564284533982, -2.4817117588914814, -2.8788385220824915}}, 
       {{-1.4670706711471784, -2.430418464503931, -2.8268337370921772}}, 
       {{-1.439695137847006, -2.410170303673983, -2.8034603859068685}}, 
       {{-1.4401171678173972, -2.4135166537013273, -2.8051119139453413}}, 
       {{-1.4605869657017456, -2.433833379604, -2.8268337370921772}}, 
       {{-1.4943251053335957, -2.466281185664835, -2.861201380596385}}, 
       {{-1.5361874506945077, -2.50715225873532, -2.900422093749666}}, 
       {{-1.5837701656855225, -2.552329326105434, -2.946942109384559}}, 
       {{-1.6342430313530716, -2.5982993371430907, -2.9937342708913177}}, 
       {{-1.685779145690823, -2.6464848454440553, -3.0428238810878416}}, 
       {{-1.7378396272386245, -2.6926690990639077, -3.092243173934835}}, 
       {{-1.7885645783315358, -2.7410900551804103, -3.139602643973693}}, 
       {{-1.8388510767619055, -2.783851914518492, -3.18689277901515}}, 
       {{-1.8871696540327132, -2.8268337370921772, -3.231454607075061}}, 
       {{-1.9337839692574728, -2.8682189532550315, -3.275446176356595}}, 
       {{-1.9783300403114246, -2.9095545773129388, -3.3186961601504112}}, 
       {{-2.020418201230375, -2.946942109384559, -3.3549819578651925}}, 
       {{-2.0612087734187763, -2.983803702688717, -3.3932292120129786}}, 
       {{-2.0996442489973552, -3.017977882501311, -3.428363049734925}}, 
       {{-2.1362235557788205, -3.049133050281106, -3.461584531677251}}, 
       {{-2.1706800221141074, -3.079113882493042, -3.4923263150732575}}, 
       {{-2.2036451451391423, -3.107781777362614, -3.5226872792498654}}, 
       {{-2.234926444520231, -3.1349943408874985, -3.5515552632507177}}, 
       {{-2.2643263808769554, -3.160606916744225, -3.5780538990250514}}}, 
      {{{-2.5638199954309786, -3.496937653942991, -3.9000944345628725}}, 
       {{-2.4942299772488847, -3.4345473613437094, -3.8369155329413407}}, 
       {{-2.449693958032258, -3.396807033360862, -3.796910198327642}}, 
       {{-2.431100515229473, -3.3825719175389906, -3.781433435724544}}, 
       {{-2.4332634166361617, -3.388774861663598, -3.78494992286467}}, 
       {{-2.4510851013124895, -3.405205403059694, -3.803168600516064}}, 
       {{-2.4799191082769614, -3.4342372357403557, -3.8318264634338695}}, 
       {{-2.5162734855375004, -3.469262112576285, -3.867049639785415}}, 
       {{-2.557606383206278, -3.509562406340281, -3.9070354639171065}}, 
       {{-2.6020698775649778, -3.5515552632507177, -3.9497248726121574}}, 
       {{-2.6483200968944436, -3.5932057040456535, -3.993775507300405}}, 
       {{-2.6953314286944354, -3.6362870039947657, -4.038720658474104}}, 
       {{-2.742331135079084, -3.679721516329171, -4.083404622183766}}, 
       {{-2.7887181041696647, -3.7226430842667457, -4.1270743868450195}}, 
       {{-2.8342939276764607, -3.764034127714697, -4.170146275638382}}, 
       {{-2.8786606019681535, -3.8049639331347387, -4.211777659114197}}, 
       {{-2.9217385936456646, -3.843897176380546, -4.252402866880376}}, 
       {{-2.9634587130036953, -3.8810089518989765, -4.291089639681779}}, 
       {{-3.0035628526691793, -3.917538186116256, -4.329054749907775}}, 
       {{-3.0419856580714533, -3.952324302201672, -4.364579721070161}}, 
       {{-3.079113882493042, -3.984593698262981, -4.398969355404193}}, 
       {{-3.114515809543958, -4.0162730268019455, -4.432057568279446}}, 
       {{-3.1484173612196393, -4.046125989951626, -4.463670623714392}}, 
       {{-3.1806171127511105, -4.075130343298296, -4.492734756658304}}}, 
      {{{-3.5546982726479164, -4.467148888090716, -4.875667433685771}}, 
       {{-3.478942730287008, -4.399783356263141, -4.804841381117159}}, 
       {{-3.421910423259697, -4.34820508619837, -4.753670194306536}}, 
       {{-3.3875903782559385, -4.319239646575117, -4.721704002244043}}, 
       {{-3.373776786086163, -4.308776172934289, -4.710530701645918}}, 
       {{-3.376992692965338, -4.313247119279056, -4.714985051995298}}, 
       {{-3.3923367532299586, -4.329813763226947, -4.730733408963437}}, 
       {{-3.417326763592039, -4.353633560172664, -4.754830960542497}}, 
       {{-3.448918117873567, -4.384429519290192, -4.786692062611481}}, 
       {{-3.4851226165999165, -4.418690619045473, -4.8208417224636}}, 
       {{-3.524721867947653, -4.455888483272337, -4.860062435616881}}, 
       {{-3.565954107276638, -4.495419322028972, -4.899541246590669}}, 
       {{-3.608590622885133, -4.53564412333948, -4.939245298009583}}, 
       {{-3.6515836693702393, -4.575611383746547, -4.980591172747879}}, 
       {{-3.694897526439499, -4.615220521841593, -5.022201930467721}}, 
       {{-3.7376496184833656, -4.654360430178864, -5.064036070823371}}, 
       {{-3.779679818440433, -4.692909100296099, -5.102750583004061}}, 
       {{-3.820812125374762, -4.730733408963437, -5.1430244821420015}}, 
       {{-3.8608547188537465, -4.767689115485866, -5.179645836830538}}, 
       {{-3.899600485429589, -4.803621124711929, -5.2158161450362925}}, 
       {{-3.9378537654626675, -4.83710224333538, -5.253344000905305}}, 
       {{-3.974430465556763, -4.870438663602973, -5.288367035694868}}, 
       {{-4.009635834295146, -4.902229420252469, -5.320562975495356}}, 
       {{-4.0432712920381, -4.935064107249182, -5.349610660935587}}}, 
      {{{-4.5107695105666075, -5.403677882205863, -5.815831978464824}}, 
       {{-4.432898965047638, -5.330840558253597, -5.744917018014756}}, 
       {{-4.3661532855175915, -5.272649619799459, -5.6816296700150675}}, 
       {{-4.319239646575117, -5.230658718074222, -5.638275672454081}}, 
       {{-4.291820366787733, -5.2084766625482475, -5.613028111387737}}, 
       {{-4.281638460642613, -5.199377418693134, -5.604842526801297}}, 
       {{-4.2845370133966245, -5.204827023460698, -5.607563616915658}}, 
       {{-4.298421050819084, -5.217659463530582, -5.623216826816634}}, 
       {{-4.319991243754429, -5.240048458424061, -5.644193683244544}}, 
       {{-4.347431989909382, -5.266818699488665, -5.670831374516515}}, 
       {{-4.37962951007416, -5.296319363885363, -5.702683079212901}}, 
       {{-4.415376614355436, -5.328776574032745, -5.738995230411946}}, 
       {{-4.452449098970427, -5.3644571690525815, -5.774097648571226}}, 
       {{-4.490949041898069, -5.40145812546755, -5.8104772133271645}}, 
       {{-4.53099078781384, -5.437579433881544, -5.8506596705169605}}, 
       {{-4.570768759270759, -5.47505454504809, -5.888547013101296}}, 
       {{-4.610182727811636, -5.513988903023546, -5.925302344854313}}, 
       {{-4.6497492293860585, -5.550374928026889, -5.963071472606765}}, 
       {{-4.688769209864405, -5.585466247838159, -6.000303495775187}}, 
       {{-4.727111856793334, -5.621833892009033, -6.036880410638465}}, 
       {{-4.7646349606391185, -5.656708067270273, -6.0726746025335245}}, 
       {{-4.801306731815774, -5.689583755256389, -6.107549026128784}}, 
       {{-4.8369761478809545, -5.723271151240064, -6.140893060599911}}, 
       {{-4.871612755447453, -5.754339198273354, -6.173466155091017}}}, 
      {{{-5.442187736967739, -6.3138761000808605, -6.733801971858699}}, 
       {{-5.362749226707425, -6.241979295218324, -6.659333920483658}}, 
       {{-5.29034919689886, -6.175868270106261, -6.591485749678443}}, 
       {{-5.2336538532223145, -6.124767394422403, -6.53826283133279}}, 
       {{-5.194858658179807, -6.09018052004714, -6.502290170873973}}, 
       {{-5.172566161242476, -6.070507754448435, -6.4818341623065905}}, 
       {{-5.164311086700303, -6.064035239942817, -6.475323722644158}}, 
       {{-5.1672891041416324, -6.067913719271388, -6.479224897942976}}, 
       {{-5.1791131190695605, -6.080514363941493, -6.491020578615742}}, 
       {{-5.198291052480912, -6.0990497577879195, -6.5103223425712375}}, 
       {{-5.222653462627047, -6.122940909896368, -6.534124894393991}}, 
       {{-5.251052174080923, -6.150694772678539, -6.562040175279747}}, 
       {{-5.282640887163029, -6.180689880218731, -6.5929445391421035}}, 
       {{-5.31627769192503, -6.213109222298455, -6.625588387218467}}, 
       {{-5.3515071950621556, -6.246614894557278, -6.659333920483658}}, 
       {{-5.3878045330495725, -6.280747900926737, -6.694258104719733}}, 
       {{-5.424788030601985, -6.315534017012152, -6.730446264011727}}, 
       {{-5.461777915701073, -6.350427821564726, -6.766255716708438}}, 
       {{-5.4989658400348755, -6.384803475418305, -6.801595083153746}}, 
       {{-5.535813424086647, -6.419788949362229, -6.837296815333575}}, 
       {{-5.5722280349158995, -6.453500006704541, -6.8723881351448455}}, 
       {{-5.608108724587919, -6.487073205069112, -6.906755778649054}}, 
       {{-5.643346105852371, -6.519775485214992, -6.940278470687697}}, 
       {{-5.677822372986669, -6.552180940487438, -6.972827275725852}}}, 
      {{{-6.355020252138937, -7.208860371766058, -7.631361667026791}}, 
       {{-6.276483502140279, -7.1359113721198915, -7.559760516210908}}, 
       {{-6.1997194859284415, -7.066751010472595, -7.485789652441578}}, 
       {{-6.135796917997902, -7.007575614264348, -7.426949152418644}}, 
       {{-6.087535015858716, -6.963267988912396, -7.3809640391768205}}, 
       {{-6.054617362113251, -6.934099254321739, -7.3493658337266545}}, 
       {{-6.036043590505949, -6.916796023634286, -7.3339334286878435}}, 
       {{-6.028958751535562, -6.911763300379676, -7.327826539479664}}, 
       {{-6.031453555324346, -6.915787450679401, -7.329349769020185}}, 
       {{-6.0423368774817385, -6.925919249609809, -7.341619861611999}}, 
       {{-6.058887223425416, -6.943382456625288, -7.357172274619484}}, 
       {{-6.080514363941493, -6.964325630470531, -7.379360189594847}}, 
       {{-6.106202224578405, -6.9889653344076805, -7.405335675998107}}, 
       {{-6.134411556427915, -7.0164546959054785, -7.432003923080268}}, 
       {{-6.164866006527378, -7.045868581111772, -7.461140517166923}}, 
       {{-6.1972594600875786, -7.0761739306071, -7.49294531803699}}, 
       {{-6.230737480352075, -7.107426474111205, -7.525794987055277}}, 
       {{-6.264849314858939, -7.139687336329426, -7.559760516210908}}, 
       {{-6.299077255048641, -7.174328388223683, -7.590952128688914}}, 
       {{-6.333954856054758, -7.206161314796893, -7.625195152111127}}, 
       {{-6.368925458806549, -7.23904098891605, -7.660652463947856}}, 
       {{-6.4033502230190695, -7.2715987123994825, -7.693017748449888}}, 
       {{-6.437751649736401, -7.3022804470519675, -7.7264656825174285}}, 
       {{-6.471437707391208, -7.335465996037621, -7.75872654473565}}}, 
      {{{-7.256462053271693, -8.090619120097838, -8.520699330745526}}, 
       {{-7.178776910540811, -8.021278180386002, -8.447200819596203}}, 
       {{-7.099884776767177, -7.946778776238589, -8.37266004068394}}, 
       {{-7.029922912956344, -7.883265370516263, -8.306122221336297}}, 
       {{-6.973681429098304, -7.832078182553556, -8.252907696770853}}, 
       {{-6.932047971551182, -7.792062965003241, -8.213760808873225}}, 
       {{-6.903763257712599, -7.768138378917996, -8.18681088943243}}, 
       {{-6.887952651685957, -7.751725349276667, -8.17289451854556}}, 
       {{-6.882087532233559, -7.747084969720164, -8.168298434796467}}, 
       {{-6.884038752364821, -7.751725349276666, -8.16971036584642}}, 
       {{-6.893852373813146, -7.761071211694904, -8.181078161442867}}, 
       {{-6.908255404023819, -7.776447032057013, -8.194385316989083}}, 
       {{-6.9275499063103165, -7.795458554004379, -8.213391737084573}}, 
       {{-6.9504540335152525, -7.817070397119867, -8.23615816168625}}, 
       {{-6.976141191848602, -7.841446525536459, -8.26138885786248}}, 
       {{-7.004045939300424, -7.867997898385474, -8.288863113414727}}, 
       {{-7.033545285040437, -7.896079213756124, -8.31752299628767}}, 
       {{-7.064292136802364, -7.926909646315531, -8.347450416829142}}, 
       {{-7.0958937210976565, -7.95614985148963, -8.377866126195139}}, 
       {{-7.128152604628322, -7.987153348726443, -8.409236049911145}}, 
       {{-7.160713915375532, -8.017934204021712, -8.44115850514024}}, 
       {{-7.193439348771245, -8.048753284146684, -8.472697951529685}}, 
       {{-7.226034025411385, -8.080229416248702, -8.50378350450632}}, 
       {{-7.258590166439187, -8.11206147220931, -8.535357162043908}}}, 
      {{{-8.15081547201612, -8.967394193365793, -9.401500877437341}}, 
       {{-8.074753480516712, -8.89772181423437, -9.32912390796615}}, 
       {{-7.994241387852406, -8.82303923449569, -9.253247872987458}}, 
       {{-7.920006402002203, -8.754816063995282, -9.181752915124271}}, 
       {{-7.857344296257807, -8.696319857313673, -9.122329494653469}}, 
       {{-7.807926628976409, -8.650724584040761, -9.075809479018577}}, 
       {{-7.771690780522364, -8.617013526698448, -9.04144183551437}}, 
       {{-7.747084969720164, -8.594614338384822, -9.01806848432906}}, 
       {{-7.732835130802908, -8.582265188159953, -9.004953542251233}}, 
       {{-7.72760011258804, -8.578005330812994, -9.000890147793976}}, 
       {{-7.729645335434808, -8.58066561437181, -9.003326202591856}}, 
       {{-7.737868314615239, -8.588689193121308, -9.011489513231018}}, 
       {{-7.75102791811972, -8.602206565743195, -9.024691025089554}}, 
       {{-7.768374813485831, -8.61867236036609, -9.042286786979933}}, 
       {{-7.788920208880918, -8.639360825390446, -9.06192036685791}}, 
       {{-7.812364506082454, -8.66164109578211, -9.085471389930314}}, 
       {{-7.837637964375759, -8.686795975802417, -9.10959046887604}}, 
       {{-7.864868005376548, -8.712599987758848, -9.136160973801932}}, 
       {{-7.893396088991086, -8.739711937961605, -9.164411440087783}}, 
       {{-7.92276198379545, -8.768221946219983, -9.19348325490976}}, 
       {{-7.952732018484338, -8.796907094218842, -9.222412953210453}}, 
       {{-7.983334868539674, -8.825758474784443, -9.252204576074881}}, 
       {{-8.013996594814738, -8.855467049984078, -9.281836373681253}}, 
       {{-8.045004451265164, -8.885362514780704, -9.311266290566143}}}, 
      {{{-9.042286786979933, -9.841452161616676, -10.279490950494674}}, 
       {{-8.968178814826212, -9.772459290129724, -10.209741010573344}}, 
       {{-8.886808646630705, -9.698100722811176, -10.131392420952048}}, 
       {{-8.80955285341913, -9.625855815937848, -10.058972455376523}}, 
       {{-8.7415875246321, -9.562738759147654, -9.993412260064115}}, 
       {{-8.685611843041201, -9.510095025662233, -9.94015153690772}}, 
       {{-8.641623269794414, -9.47040727739499, -9.89750548085858}}, 
       {{-8.609856876279657, -9.439753536303988, -9.868120408698836}}, 
       {{-8.58815228035673, -9.419827596842907, -9.847107219100021}}, 
       {{-8.57535210558977, -9.408791310700021, -9.835828904062314}}, 
       {{-8.570593968143353, -9.403925121048848, -9.832097556449455}}, 
       {{-8.572177499748998, -9.40635525590214, -9.833961489887518}}, 
       {{-8.579600651544855, -9.413681295994213, -9.841452161616676}}, 
       {{-8.591378089605614, -9.426011908451692, -9.852794438220611}}, 
       {{-8.606571002567454, -9.441012189711184, -9.868120408698836}}, 
       {{-8.625335350035941, -9.460084605087571, -9.885647634407798}}, 
       {{-8.646732562771223, -9.480837619673864, -9.907495573933668}}, 
       {{-8.670344370910412, -9.502030465825502, -9.931887027057826}}, 
       {{-8.695124399908899, -9.526421918949662, -9.95478084692368}}, 
       {{-8.721147048337306, -9.552830680922959, -9.980368596872086}}, 
       {{-8.74849493043191, -9.57995582719065, -10.006628311455641}}, 
       {{-8.776611798595159, -9.606350321313592, -10.033596237883149}}, 
       {{-8.805542152855722, -9.633460415323068, -10.06365630468895}}, 
       {{-8.834647422201689, -9.661325995386157, -10.092229677133005}}}, 
      {{{-9.93580415401267, -10.716770534336053, -11.16086113358918}}, 
       {{-9.862921590789467, -10.650035509823189, -11.090931054910854}}, 
       {{-9.781623964779287, -10.57409076866118, -11.013970013774724}}, 
       {{-9.701690219241517, -10.499508022365351, -10.937436327878515}}, 
       {{-9.629346750651015, -10.43179849064314, -10.867918659738217}}, 
       {{-9.567586907813872, -10.37381123299279, -10.80883834437195}}, 
       {{-9.517409158228153, -10.326912986021286, -10.761037789387684}}, 
       {{-9.4783505446305, -10.291800601826727, -10.723559426669741}}, 
       {{-9.449613305220277, -10.263596958923495, -10.696234098318827}}, 
       {{-9.430114605820789, -10.24513314793134, -10.677411043123362}}, 
       {{-9.418595310796642, -10.234773262470041, -10.666628104916608}}, 
       {{-9.414049010651786, -10.231158633204272, -10.662774535600619}}, 
       {{-9.415398455744008, -10.23365967660886, -10.664485400004247}}, 
       {{-9.42167887784063, -10.238960288824257, -10.670927337677929}}, 
       {{-9.432359555628683, -10.251344348023979, -10.681756986512909}}, 
       {{-9.44631590210577, -10.265318623624232, -10.695350706035232}}, 
       {{-9.463427799663465, -10.2815320650683, -10.712270076694997}}, 
       {{-9.482936807009922, -10.299200369201614, -10.73176740708757}}, 
       {{-9.504308829070672, -10.319912500880635, -10.75258703486996}}, 
       {{-9.527519915216986, -10.344165416400037, -10.775283044523732}}, 
       {{-9.551985967371394, -10.367429590403269, -10.79948558114252}}, 
       {{-9.57749864592976, -10.39157368933263, -10.82428843988817}}, 
       {{-9.60382750332494, -10.416983404857998, -10.850237491894992}}, 
       {{-9.630716092820101, -10.443398757197215, -10.876348635898678}}}, 
      {{{-10.833877208789785, -11.59739462159668, -12.045655924124269}}, 
       {{-10.7629254728175, -11.531089435597899, -11.979734203319445}}, 
       {{-10.681321541263268, -11.45560039835096, -11.90005961639367}}, 
       {{-10.599438660428808, -11.379269080157554, -11.82217171533785}}, 
       {{-10.52338427135648, -11.307538635245278, -11.748647798491298}}, 
       {{-10.456872790720915, -11.244426211935222, -11.684900729710039}}, 
       {{-10.400739056275, -11.192292292378761, -11.631709000960196}}, 
       {{-10.355415535054634, -11.149672205671374, -11.587649011166166}}, 
       {{-10.320215852923003, -11.11616479749221, -11.553747459490483}}, 
       {{-10.294162575171658, -11.092243391057204, -11.529054846900111}}, 
       {{-10.276582280613841, -11.075315903535497, -11.512925464970229}}, 
       {{-10.265893171183846, -11.066318413530889, -11.501985524931895}}, 
       {{-10.261592089284456, -11.062486991219332, -11.498036852476478}}, 
       {{-10.262450826992874, -11.064400867401616, -11.499022559801237}}, 
       {{-10.268194668172125, -11.069522517521671, -11.504957295321052}}, 
       {{-10.2777447335201, -11.079196891589204, -11.5149274676409}}, 
       {{-10.290327196521128, -11.092243391057204, -11.52702438934973}}, 
       {{-10.306056857532267, -11.106793912318903, -11.543384672454938}}, 
       {{-10.323863273380047, -11.124267475178446, -11.561065840298163}}, 
       {{-10.343544105413912, -11.144124341233656, -11.580134214663678}}, 
       {{-10.365205602195092, -11.164383504261686, -11.601756678676844}}, 
       {{-10.387995867984746, -11.186503564202518, -11.62385702567751}}, 
       {{-10.411650058882636, -11.209862290480146, -11.646456857594751}}, 
       {{-10.436558785249439, -11.233779723540733, -11.671921196460687}}}, 
      {{{-11.740704744688966, -12.486580514233955, -12.940458574106717}}, 
       {{-11.670632461000263, -12.421992351755064, -12.873552079341541}}, 
       {{-11.589374637133634, -12.34395635289356, -12.795941476636617}}, 
       {{-11.505949851233803, -12.265822649935947, -12.715565824062386}}, 
       {{-11.426747768729175, -12.192169740361182, -12.63932013465079}}, 
       {{-11.355921716160564, -12.125414742512719, -12.571644189976661}}, 
       {{-11.294593470653242, -12.066310703155015, -12.512597805783434}}, 
       {{-11.243661978042466, -12.01876354722518, -12.463807641614002}}, 
       {{-11.201771036333305, -11.981330372852266, -12.421744182005682}}, 
       {{-11.170045232053685, -11.949881240169763, -12.391920412100687}}, 
       {{-11.146201185178494, -11.928440908931893, -12.36859157502795}}, 
       {{-11.130387861505769, -11.911911606980684, -12.354572653848617}}, 
       {{-11.120207929684566, -11.904487667909402, -12.343038500603331}}, 
       {{-11.11616479749221, -11.90005961639367, -12.340747548856775}}, 
       {{-11.11683751867466, -11.90153345601197, -12.340747548856775}}, 
       {{-11.121559281241566, -11.907450633040058, -12.34533471286368}}, 
       {{-11.130387861505769, -11.914896683824137, -12.354572653848617}}, 
       {{-11.142051801631682, -11.926926904100679, -12.36859157502795}}, 
       {{-11.155950566022499, -11.940636182025713, -12.38042603267495}}, 
       {{-11.172888162184519, -11.956092440262404, -12.39844453817763}}, 
       {{-11.190841965801114, -11.974960924566787, -12.415313291675393}}, 
       {{-11.210601115781577, -11.994192286494675, -12.434228738667928}}, 
       {{-11.232268007455412, -12.01380075788305, -12.456587393640515}}, 
       {{-11.254414769818727, -12.03717410906836, -12.477881368825665}}}, 
      {{{-12.659573202676896, -13.386328923238795, -13.847001225055646}}, 
       {{-12.590559347253146, -13.322034572533397, -13.781109131246941}}, 
       {{-12.509071422093848, -13.246227364626714, -13.70218187265727}}, 
       {{-12.424228655333344, -13.166837867506159, -13.620766481171762}}, 
       {{-12.3423506638228, -13.089412277264643, -13.541673892334545}}, 
       {{-12.267309955001362, -13.018453914013817, -13.469795454261885}}, 
       {{-12.201284128798376, -12.956001840189103, -13.406053428586572}}, 
       {{-12.144977546170363, -12.902424957039067, -13.351776541732134}}, 
       {{-12.098115504025081, -12.858461833617952, -13.305685434531867}}, 
       {{-12.060587978788194, -12.822629223928407, -13.269703965303037}}, 
       {{-12.031279355157011, -12.794859810765876, -13.241710135036895}}, 
       {{-12.009355208452487, -12.774527382132801, -13.22052762619156}}, 
       {{-11.994354111885432, -12.76015377796712, -13.20628861234209}}, 
       {{-11.985011260420288, -12.75183483917706, -13.197086923600265}}, 
       {{-11.98101093506006, -12.748044998293, -13.193859379109398}}, 
       {{-11.981330372852266, -12.7490771676604, -13.193859379109398}}, 
       {{-11.98565280013756, -12.753216531970276, -13.198704610661052}}, 
       {{-11.993383552119823, -12.760850156825347, -13.20628861234209}}, 
       {{-12.00378507609534, -12.77170650579116, -13.21667405687557}}, 
       {{-12.01694099680767, -12.784463588791931, -13.229948588084266}}, 
       {{-12.032119338406735, -12.799193512022995, -13.245096142786625}}, 
       {{-12.04906889672051, -12.815982227520063, -13.261625444737836}}, 
       {{-12.067702976265402, -12.834181429910897, -13.280187462597896}}, 
       {{-12.087578751482384, -12.853481934416266, -13.299697392687245}}}, 
      {{{-13.593968288017038, -14.301643569139893, -14.768724643943028}}, 
       {{-13.52583048284982, -14.23863060131116, -14.704186122805456}}, 
       {{-13.443947001531791, -14.162235171049838, -14.625191554780171}}, 
       {{-13.3580857109254, -14.080779035579155, -14.543249183293838}}, 
       {{-13.273186267138913, -14.001840136155767, -14.459867574354787}}, 
       {{-13.194934070239164, -13.927560061772898, -14.38467175874323}}, 
       {{-13.124365380075002, -13.86050792389501, -14.316385850877097}}, 
       {{-13.063151517772482, -13.802594332697728, -14.257121112708791}}, 
       {{-13.011269329898742, -13.752535758802885, -14.207072760903447}}, 
       {{-12.96835556492498, -13.71115054264003, -14.165068034134142}}, 
       {{-12.933397277891705, -13.679232939671726, -14.130221302803974}}, 
       {{-12.906445871181859, -13.653391708487838, -14.104526853429192}}, 
       {{-12.886106186944735, -13.634022681918896, -14.08469804777989}}, 
       {{-12.871993839836527, -13.620766481171762, -14.071693963356685}}, 
       {{-12.8634666563843, -13.611753720450254, -14.063971917262775}}, 
       {{-12.859230177873961, -13.609309727380376, -14.058856816596004}}, 
       {{-12.859230177873961, -13.609309727380376, -14.058856816596004}}, 
       {{-12.863080779474245, -13.613386373874139, -14.063971917262775}}, 
       {{-12.87004944879034, -13.619943774420298, -14.070402807593064}}, 
       {{-12.87941719879394, -13.629861211077644, -14.079476103798738}}, 
       {{-12.8916485605938, -13.641557250840837, -14.09258245130404}}, 
       {{-12.905640393893043, -13.65509383655837, -14.105862858971934}}, 
       {{-12.921465435037438, -13.670544787714089, -14.122035718217536}}, 
       {{-12.938792601209942, -13.687997237665314, -14.138474444560694}}}, 
      {{{-14.547814453725413, -15.237224864315426, -15.709967425430671}}, 
       {{-14.479681630287702, -15.173800722674567, -15.64434903543375}}, 
       {{-14.397832183435336, -15.09708460831376, -15.565360624115119}}, 
       {{-14.310462832573975, -15.014495820779171, -15.48151882188677}}, 
       {{-14.223629183538002, -14.932388655439276, -15.397333303365402}}, 
       {{-14.141656296868184, -14.855948282581311, -15.317889398104967}}, 
       {{-14.067182192893021, -14.784411240110726, -15.245547842032083}}, 
       {{-14.001237907893062, -14.720614100447865, -15.181610211798645}}, 
       {{-13.944367180089278, -14.666716043182495, -15.12632645790826}}, 
       {{-13.896286867991561, -14.621602497540353, -15.079587286359915}}, 
       {{-13.85643672457692, -14.583165790699281, -15.040706998741838}}, 
       {{-13.824349506631478, -14.551982863262593, -15.009533031437043}}, 
       {{-13.799637208807983, -14.526821709151891, -14.986693539467218}}, 
       {{-13.780143414126982, -14.510659741194893, -14.966574706634809}}, 
       {{-13.766720393794841, -14.498707407671052, -14.953383560585687}}, 
       {{-13.758185491345005, -14.490817820395888, -14.944994510299471}}, 
       {{-13.754415458604463, -14.486896246742706, -14.941905227644835}}, 
       {{-13.754415458604463, -14.486896246742706, -14.942522321154081}}, 
       {{-13.757241649840298, -14.490817820395888, -14.944685152215024}}, 
       {{-13.763867324812436, -14.496729167658945, -14.9521362888306}}, 
       {{-13.772451068503827, -14.504665717254682, -14.960271502658363}}, 
       {{-13.783043367826773, -14.516689910221483, -14.970058478962686}}, 
       {{-13.796688803723686, -14.528860445841739, -14.985081935572879}}, 
       {{-13.811518536694736, -14.543249183293838, -15.000007585789554}}}, 
      {{{-15.525321444545161, -16.194976695294276, -16.67496521322572}}, 
       {{-15.457471662103934, -16.131180890506975, -16.60911864742813}}, 
       {{-15.374730754237756, -16.055120851796932, -16.529075939754595}}, 
       {{-15.286056471531756, -15.970538086600705, -16.44382579104763}}, 
       {{-15.196618392396864, -15.886190593975538, -16.357622681523054}}, 
       {{-15.111598651198015, -15.80474583175796, -16.274749461003697}}, 
       {{-15.033244277540247, -15.730115857191175, -16.198221695437606}}, 
       {{-14.962788018613665, -15.663205659522632, -16.130168232192588}}, 
       {{-14.90140407422461, -15.60407513629581, -16.07025832154416}}, 
       {{-14.84833510609438, -15.553350185202898, -16.018250315988602}}, 
       {{-14.80356585606774, -15.511051169451786, -15.974861482872411}}, 
       {{-14.766651567274176, -15.47518968683512, -15.93911299542988}}, 
       {{-14.736813831661973, -15.446172106850002, -15.910268803756004}}, 
       {{-14.713224904265493, -15.423948970065291, -15.886983929994933}}, 
       {{-14.69522830960759, -15.407108552270044, -15.86889456532482}}, 
       {{-14.682773058771074, -15.394904349049998, -15.85727103267642}}, 
       {{-14.674712322854303, -15.387171106064345, -15.849596397923312}}, 
       {{-14.670471034686823, -15.383806527067199, -15.8450197308959}}, 
       {{-14.670235934180274, -15.383326795707555, -15.84578105563766}}, 
       {{-14.672825084738133, -15.386689758281284, -15.84806851374526}}, 
       {{-14.678497517816119, -15.391997370258688, -15.854194107171942}}, 
       {{-14.686350026934512, -15.400255857808002, -15.86190424559791}}, 
       {{-14.696675487863056, -15.410059857904624, -15.872017128361614}}, 
       {{-14.708573163719223, -15.421952961418576, -15.883814355233653}}}, 
      {{{-16.530887534452944, -17.181726970731184, -17.667379640572673}}, 
       {{-16.46284202403178, -17.116138884704736, -17.601782358086858}}, 
       {{-16.379590293656452, -17.039147699934187, -17.52133273280852}}, 
       {{-16.28900260293702, -16.95257600763491, -17.43374517250888}}, 
       {{-16.197247089263758, -16.866544147303355, -17.34465495395705}}, 
       {{-16.109135909586847, -16.78168402927672, -17.259406694159544}}, 
       {{-16.026428462432495, -16.705082635689873, -17.17767955265895}}, 
       {{-15.952581212480746, -16.632260175989824, -17.10695707566731}}, 
       {{-15.886190593975538, -16.569081274368294, -17.04166279180325}}, 
       {{-15.828415575843866, -16.51410560029573, -16.984882187929387}}, 
       {{-15.779482849837995, -16.466235692447214, -16.93816752509193}}, 
       {{-15.737606528920333, -16.42598043072762, -16.896800719879913}}, 
       {{-15.702680211996988, -16.39253249666008, -16.862536125905816}}, 
       {{-15.674692703509763, -16.36655701025682, -16.83553552408731}}, 
       {{-15.652476620030408, -16.344996251150242, -16.81324483418894}}, 
       {{-15.635669501714027, -16.328816682273974, -16.797339926349274}}, 
       {{-15.623399409122213, -16.317766846087387, -16.78362766448529}}, 
       {{-15.616108975859534, -16.30925615641948, -16.77780805543203}}, 
       {{-15.611880639750012, -16.305630774805163, -16.77394704677457}}, 
       {{-15.611278048589869, -16.304425229149814, -16.77394704677457}}, 
       {{-15.613690594995251, -16.3068377755552, -16.775875687680973}}, 
       {{-15.61853321947104, -16.312894729263387, -16.78168402927672}}, 
       {{-15.625841412777765, -16.320211835080453, -16.789481339736753}}, 
       {{-15.63505240820478, -16.328816682273974, -16.797339926349274}}}, 
      {{{-17.57010255544359, -18.200742323587104, -18.692489467247857}}, 
       {{-17.50159392477621, -18.136253964221257, -18.627704913386694}}, 
       {{-17.41711200397115, -18.056732316047135, -18.54624396692771}}, 
       {{-17.324404515081802, -17.96896838467888, -18.455272188721985}}, 
       {{-17.23040126675843, -17.878938017551654, -18.364300410516258}}, 
       {{-17.13891391218641, -17.791538893368333, -18.27571497370218}}, 
       {{-17.053059648098095, -17.7092026067077, -18.191952814344255}}, 
       {{-16.97446789262123, -17.63404322030508, -18.114667714815862}}, 
       {{-16.90401623167062, -17.5662654157963, -18.046362364841038}}, 
       {{-16.84190824582915, -17.506392014748883, -17.985656833602658}}, 
       {{-16.78772163647692, -17.454457643330002, -17.932100729133694}}, 
       {{-16.741530219106966, -17.40980736959226, -17.887115633216887}}, 
       {{-16.702388426606184, -17.371959224897722, -17.848571891769478}}, 
       {{-16.66991689542783, -17.340571926848817, -17.816911374543636}}, 
       {{-16.64352742711367, -17.31509284154783, -17.791005986347994}}, 
       {{-16.622607912667718, -17.29477759504835, -17.7704410644037}}, 
       {{-16.60650767988741, -17.279328301608096, -17.754904760188552}}, 
       {{-16.59484196107145, -17.268527688356226, -17.743154944295377}}, 
       {{-16.58729960003349, -17.260973355924445, -17.736069894414708}}, 
       {{-16.58315154048012, -17.25721748296464, -17.732043718870305}}, 
       {{-16.58219673455144, -17.256592873325346, -17.731039702721706}}, 
       {{-16.58410725893452, -17.25878071604834, -17.73304874408053}}, 
       {{-16.58857939544093, -17.26317081403677, -17.737583899245923}}, 
       {{-16.595164177926176, -17.269792310718884, -17.74417120454544}}}, 
      {{{-18.649088124941674, -19.259547578861717, -19.75856596586457}}, 
       {{-18.57932483739196, -19.193520693421558, -19.691149539566666}}, 
       {{-18.49335896945035, -19.113627944509645, -19.607796431211877}}, 
       {{-18.398919252170852, -19.022160735986485, -19.51669640677321}}, 
       {{-18.302009214234868, -18.929841088399296, -19.42252936418817}}, 
       {{-18.20718356968996, -18.839231091609186, -19.329995862090094}}, 
       {{-18.117617569462283, -18.75336018233488, -19.242570800405037}}, 
       {{-18.034738302333064, -18.674283502751283, -19.16091953204616}}, 
       {{-17.96009633662312, -18.602202620575756, -19.088160177763733}}, 
       {{-17.893588147722504, -18.537214560208316, -19.022160735986485}}, 
       {{-17.835118774072356, -18.481492883349123, -18.96540791939404}}, 
       {{-17.784633155432992, -18.43174169131179, -18.916617755224607}}, 
       {{-17.741125516911886, -18.389182076892993, -18.87323745959438}}, 
       {{-17.704305437273213, -18.35395711190946, -18.837712488431997}}, 
       {{-17.673518975086182, -18.32446188621182, -18.80634322476435}}, 
       {{-17.64872238296813, -18.29934845878484, -18.783086362600084}}, 
       {{-17.62859361553752, -18.280918801577208, -18.763171052899143}}, 
       {{-17.613312419302396, -18.266244390647948, -18.747796885649553}}, 
       {{-17.602223372426973, -18.25516630547479, -18.736762290925846}}, 
       {{-17.594752452158602, -18.24756812624372, -18.729926994319985}}, 
       {{-17.590383725245186, -18.244209600836587, -18.725848130745167}}, 
       {{-17.589512265495046, -18.243371728981955, -18.72449219833403}}, 
       {{-17.590819740076597, -18.245048175309208, -18.725848130745167}}, 
       {{-17.594752452158602, -18.249251628324835, -18.729926994319985}}}}, 
     {Automatic, Automatic}]
 
sigmaNLOSB8[x_, y_] := If[x < 200 || x > 2500 || y < 200 || y > 2500, 
     "Squark or gluino mass outside range of interpolation!", 
     {SetPrecision[E^fNLOSBLog8[x, y][[1]], 3], 
      SetPrecision[E^fNLOSBLog8[x, y][[2]], 3], 
      SetPrecision[-E^fNLOSBLog8[x, y][[3]], 3]}]
 
fNLOSBLog8 = InterpolatingFunction[{{200., 2500.}, {200., 2500.}}, 
     {4, 3, 0, {24, 24}, {5, 5}, 0, 0, 0, 0, Automatic}, 
     {{200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000., 2100., 2200., 
       2300., 2400., 2500.}, {200., 300., 400., 500., 600., 700., 800., 900., 
       1000., 1100., 1200., 1300., 1400., 1500., 1600., 1700., 1800., 1900., 
       2000., 2100., 2200., 2300., 2400., 2500.}}, 
     {{{{5.909712045235723, 3.8979240810486435, 3.862832761237375}}, 
       {{5.740114403903592, 3.586292865338834, 3.6323091026255425}}, 
       {{5.64685932725658, 3.508555899982656, 3.5638829639392506}}, 
       {{5.576327819303087, 3.4904285153900965, 3.5204608024889734}}, 
       {{5.517051209373546, 3.462606009790799, 3.471966452550363}}, 
       {{5.47058858748849, 3.424262654593152, 3.443618097546107}}, 
       {{5.432411101028736, 3.394508393511359, 3.414442608412175}}, 
       {{5.402226829938548, 3.3707381741774465, 3.394508393511359}}, 
       {{5.377590547442544, 3.353406717825807, 3.374168709274236}}, 
       {{5.357057861570636, 3.3428618046491922, 3.356897122765575}}, 
       {{5.340897814083155, 3.32862668882732, 3.3463891451671595}}, 
       {{5.326904823399949, 3.317815772723104, 3.335769576339701}}, 
       {{5.31566600488265, 3.3068867021909143, 3.32862668882732}}, 
       {{5.305789381386738, 3.3032169733019514, 3.317815772723104}}, 
       {{5.297817241506355, 3.295836866004329, 3.3141860046725258}}, 
       {{5.290789100127245, 3.2921262866077936, 3.3105430133940246}}, 
       {{5.2847254130285695, 3.28840188751681, 3.3068867021909143}}, 
       {{5.279134547131263, 3.2846635654062046, 3.299533727885655}}, 
       {{5.275048739608683, 3.2771447329921766, 3.299533727885655}}, 
       {{5.270946169751904, 3.2771447329921766, 3.295836866004329}}, 
       {{5.267342562248606, 3.2733640101522705, 3.2921262866077936}}, 
       {{5.264243386214285, 3.2619353143286474, 3.2846635654062046}}, 
       {{5.2611345754203205, 3.2619353143286487, 3.280911215787653}}, 
       {{5.258536496536192, 3.258096538021482, 3.280911215787653}}}, 
      {{{3.8899818745512658, 1.7155981082624914, 1.7850704810772573}}, 
       {{3.8617817889913995, 1.8245492920510464, 1.824549292051045}}, 
       {{3.7256934272366524, 1.5602476682433282, 1.6292405397302803}}, 
       {{3.630720539940404, 1.4327007339340458, 1.5303947050936484}}, 
       {{3.559909072816976, 1.3937663759585919, 1.4816045409242145}}, 
       {{3.49559805708364, 1.3558351536351827, 1.4374626476942893}}, 
       {{3.4381719844535166, 1.3217558399823204, 1.3887912413184773}}, 
       {{3.388787361585474, 1.2809338454620638, 1.3558351536351818}}, 
       {{3.344979701663927, 1.2470322937863831, 1.3217558399823195}}, 
       {{3.3072529354856135, 1.2178757094949282, 1.289232648276759}}, 
       {{3.2748780149834857, 1.1878434223960517, 1.2641267271456837}}, 
       {{3.246490991901174, 1.1693813595563176, 1.241268589069633}}, 
       {{3.22207071576472, 1.1537315878891898, 1.220829921392358}}, 
       {{3.2011191032789417, 1.131402111491101, 1.205970806988609}}, 
       {{3.1826266921930797, 1.1151415906193205, 1.1908875647772803}}, 
       {{3.1663185741295248, 1.101940078760785, 1.1786549963416462}}, 
       {{3.1518809560439225, 1.0919233005173132, 1.1631508098056806}}, 
       {{3.139399623366404, 1.0818051703517282, 1.1568811967920853}}, 
       {{3.1280754605417043, 1.075002423028977, 1.1474024528375413}}, 
       {{3.1183922862898785, 1.0647107369924291, 1.1410330045520616}}, 
       {{3.1095072878128356, 1.0577902941478543, 1.1346227261911426}}, 
       {{3.101442727976105, 1.050821624831761, 1.128171090909654}}, 
       {{3.094219220268645, 1.0473189942805596, 1.121677561599106}}, 
       {{3.0878555624297968, 1.040276711655147, 1.1184149159642889}}}, 
      {{{2.3456445824544927, 0.24686007793152667, 0.29192306670903445}}, 
       {{2.3045830956567186, 0.1484200051182734, 0.2279320680460071}}, 
       {{2.284930157755325, 0.2507587183471832, 0.2639015437863772}}, 
       {{2.176795086935746, 0.04592893188840037, 0.11064652008706365}}, 
       {{2.0856720914304723, -0.10425002137379936, -0.002002002670671967}}, 
       {{2.018895041811802, -0.1684186516249635, -0.056570351488394}}, 
       {{1.9565674435293015, -0.19116050546115945, -0.10314075891951324}}, 
       {{1.8973199648885475, -0.23572233352106983, -0.15315117949417414}}, 
       {{1.843719208158766, -0.28634962721800306, -0.19601488392595706}}, 
       {{1.7942563494266421, -0.32711614169718783, -0.23572233352106983}}, 
       {{1.749373752731617, -0.3595361762197653, -0.2704972476976802}}, 
       {{1.7091022355470458, -0.4004775665971254, -0.30788477976929995}}, 
       {{1.672975933238088, -0.4338645826298628, -0.33687231664255207}}, 
       {{1.640548907459153, -0.45728485683796083, -0.36240561864771653}}, 
       {{1.6112362943754799, -0.48126682152444716, -0.38713415142344054}}, 
       {{1.5849402808337, -0.5058380822549505, -0.4140014391304514}}, 
       {{1.5619269297630487, -0.53102833108351, -0.42924563677356814}}, 
       {{1.5407307144243096, -0.5481814103097591, -0.4478508246046019}}, 
       {{1.5214806336749584, -0.5621189181535408, -0.4652151125139389}}, 
       {{1.5045217424845405, -0.5780343734594409, -0.4764241970486583}}, 
       {{1.4888509494449829, -0.5923972774598024, -0.48939034304592494}}, 
       {{1.4745341499692988, -0.6033064765601548, -0.5008752929128228}}, 
       {{1.461633717665706, -0.6143360001356548, -0.5108256237659913}}, 
       {{1.4497385336764252, -0.6236211179113341, -0.5208759596194931}}}, 
      {{{1.012327920071097, -1.0216512475319806, -0.9942522733438678}}, 
       {{1.0119644819424374, -1.0700248318161971, -1.0188773206492567}}, 
       {{0.9749369273068884, -1.139434283188364, -1.072944541919533}}, 
       {{0.9616464335949523, -1.0469690555162714, -1.0384583658483624}}, 
       {{0.8746350566053226, -1.2140231401794384, -1.1615520884419832}}, 
       {{0.7907275088988094, -1.3664917338237113, -1.2694006096483907}}, 
       {{0.7280315824134472, -1.431291727050627, -1.3280254529959143}}, 
       {{0.6703901934373291, -1.4696759700589417, -1.3704210119636004}}, 
       {{0.6146449524049877, -1.523260216193047, -1.414693835641589}}, 
       {{0.5601870533037148, -1.5558971455060702, -1.4696759700589417}}, 
       {{0.5092243423990168, -1.5945492999403494, -1.5141277326297757}}, 
       {{0.461845441544272, -1.6450650900772512, -1.5558971455060702}}, 
       {{0.4173936789734382, -1.682008605268936, -1.5945492999403494}}, 
       {{0.3770656335864664, -1.7259717286900522, -1.62964061975162}}, 
       {{0.3400373027857091, -1.7602608021686843, -1.660731206821651}}, 
       {{0.30527638085273207, -1.7837912995788785, -1.6928195213731518}}, 
       {{0.27383666562972786, -1.8140050781753745, -1.714798428091927}}, 
       {{0.24529635595534308, -1.8451602459551708, -1.7429693050586228}}, 
       {{0.219135529916671, -1.8773173575897029, -1.766091722479477}}, 
       {{0.19474407679251185, -1.897119984885882, -1.7837912995788772}}, 
       {{0.17227122094045313, -1.910543005218021, -1.8018098050815563}}, 
       {{0.15186234930924603, -1.9310215365615626, -1.8201589437497534}}, 
       {{0.1327811112338184, -1.9449106487222296, -1.8375940055718551}}, 
       {{0.11511280710050467, -1.9589953886039702, -1.8534221296201616}}}, 
      {{{-0.19031340672350713, -2.168054200036439, -2.156754644782506}}, 
       {{-0.16028612993334226, -2.1733127572899065, -2.1481487396896264}}, 
       {{-0.16747235394374885, -2.215490386143112, -2.1733127572899065}}, 
       {{-0.1986948709118999, -2.268183666276713, -2.215490386143112}}, 
       {{-0.2076393647782445, -2.185691341522546, -2.1821389399181785}}, 
       {{-0.27852413466701526, -2.3176987308040937, -2.278868566376729}}, 
       {{-0.35496212593505755, -2.4615808244845043, -2.384880335720875}}, 
       {{-0.4124897230451288, -2.5357789801617576, -2.4418471603275522}}, 
       {{-0.465055889521802, -2.5783385945805533, -2.487710577120735}}, 
       {{-0.5175146119167874, -2.620039323779497, -2.5332569107290466}}, 
       {{-0.5693378948336589, -2.6521425691639138, -2.5809771185387347}}, 
       {{-0.6184108344459283, -2.7015712350045002, -2.6214138944426644}}, 
       {{-0.6655320135269719, -2.7520020886313934, -2.660689629742372}}, 
       {{-0.7111075059369382, -2.7870934084426633, -2.701571235004501}}, 
       {{-0.7541718823977199, -2.8285243545700847, -2.747310915055513}}, 
       {{-0.7936307191382675, -2.871746293772999, -2.7806208939370456}}, 
       {{-0.8308013458587407, -2.904065085028167, -2.8134107167600364}}, 
       {{-0.8658352883856618, -2.9355783507342443, -2.8473122684357177}}, 
       {{-0.898450813745824, -2.9681171065210177, -2.877060743836492}}, 
       {{-0.9281103086794973, -3.0017503458795534, -2.9040650850281677}}, 
       {{-0.9558114900364384, -3.03032371832361, -2.9262062109053812}}, 
       {{-0.981896488972149, -3.0512449834842497, -2.9488486876551407}}, 
       {{-1.006215439402142, -3.0726133178899486, -2.970064526805414}}, 
       {{-1.0288996762568094, -3.0944482464931484, -2.9897502018764435}}}, 
      {{{-1.3041615315813684, -3.233989462678248, -3.2339894626782497}}, 
       {{-1.2542140207626828, -3.2114038100294997, -3.201527186533588}}, 
       {{-1.2354634714173067, -3.2188758248682015, -3.199073197572021}}, 
       {{-1.2447947988461912, -3.2519156789464008, -3.2238883666917455}}, 
       {{-1.2708251113137765, -3.291446517703036, -3.2545030025113513}}, 
       {{-1.2761851384398606, -3.2188758248682015, -3.223888366691745}}, 
       {{-1.33522109093589, -3.3214624136433013, -3.302257433807252}}, 
       {{-1.4036439994550036, -3.460947386067929, -3.399199378999482}}, 
       {{-1.4571461020918417, -3.5301677629591155, -3.46094738606793}}, 
       {{-1.5046275480817553, -3.5719857026424373, -3.499913354601313}}, 
       {{-1.5530575789979928, -3.6008685767912234, -3.5439136838637504}}, 
       {{-1.600973834021971, -3.645819964653489, -3.586322865788844}}, 
       {{-1.647659125254298, -3.696911625811201, -3.626844063194483}}, 
       {{-1.6939070690605504, -3.7380696983047073, -3.669076826817757}}, 
       {{-1.7384082937310603, -3.7809947430217425, -3.709082161431455}}, 
       {{-1.7814131771739108, -3.8212686421596818, -3.7507548578320242}}, 
       {{-1.8220125123990758, -3.8632328412587147, -3.7898053727038965}}, 
       {{-1.8598242001421843, -3.9070354639171065, -3.8212686421596818}}, 
       {{-1.8964535403427207, -3.9373408134124364, -3.858482238500116}}, 
       {{-1.9310215365615626, -3.973898409146233, -3.892220378131967}}, 
       {{-1.9632597873904263, -4.006333684899388, -3.9220733412816475}}, 
       {{-1.9928969402796501, -4.0398563769380305, -3.9424822129128545}}, 
       {{-2.0219276354792295, -4.062845895162728, -3.9738984091462344}}, 
       {{-2.0487183690369957, -4.086376392572923, -3.9954046143671977}}}, 
      {{{-2.355669464086501, -4.235677738338745, -4.254513314374922}}, 
       {{-2.2936253516225737, -4.199705077879927, -4.206394066030723}}, 
       {{-2.2547477635798856, -4.186459851129906, -4.1792490693125455}}, 
       {{-2.2424311701742985, -4.193060535161258, -4.177943586098414}}, 
       {{-2.2518919786785276, -4.219907785197446, -4.198372632646148}}, 
       {{-2.2739976361421332, -4.247495741716276, -4.2274189164474425}}, 
       {{-2.276917346245468, -4.1799024505837465, -4.199038633336767}}, 
       {{-2.326058449179688, -4.260163046917041, -4.260871513117414}}, 
       {{-2.388142981355692, -4.3900588063711465, -4.35130346203104}}, 
       {{-2.4365737329973625, -4.456750180869818, -4.405499990859524}}, 
       {{-2.4799191082769614, -4.493628811255184, -4.4447534645821865}}, 
       {{-2.524104963192158, -4.520829037554342, -4.487387150331707}}, 
       {{-2.5681143608046932, -4.564988396355259, -4.522668964476348}}, 
       {{-2.612103860055001, -4.615220521841592, -4.563069009969457}}, 
       {{-2.656122108241851, -4.651214124489499, -4.6081746950083895}}, 
       {{-2.6991895726700137, -4.698382567710271, -4.648077686999368}}, 
       {{-2.7414001807837645, -4.736418472598046, -4.687465428714922}}, 
       {{-2.7812662634334693, -4.784296851885528, -4.727337819962298}}, 
       {{-2.8195964758471224, -4.823326195791263, -4.761823996033468}}, 
       {{-2.856318217771313, -4.860062435616882, -4.795120769946537}}, 
       {{-2.8915524546443274, -4.895522486995751, -4.8283137373023015}}, 
       {{-2.925460220568659, -4.926753810115554, -4.8652370914068985}}, 
       {{-2.9565115604007097, -4.964706362207856, -4.892852258439873}}, 
       {{-2.986376178629966, -4.992304337411532, -4.91851200522045}}}, 
      {{{-3.361880519285205, -5.203007186743712, -5.2306587180742214}}, 
       {{-3.293868803909631, -5.155083198462128, -5.176099733823788}}, 
       {{-3.2406103170142067, -5.1176638668547785, -5.132802928070463}}, 
       {{-3.2106596700968604, -5.102750583004061, -5.112668019661408}}, 
       {{-3.202264559063004, -5.111008268243043, -5.112668019661408}}, 
       {{-3.2109076552190237, -5.132802928070464, -5.129418830086222}}, 
       {{-3.228926160721702, -5.15508319846213, -5.149897361429762}}, 
       {{-3.2294313388077174, -5.092930536823086, -5.121008351577627}}, 
       {{-3.271485775140498, -5.16378647359043, -5.1743313867670455}}, 
       {{-3.3275752417915414, -5.2785147392518565, -5.257175423216861}}, 
       {{-3.3717356715125364, -5.341224867559313, -5.308367702401538}}, 
       {{-3.4109447331170353, -5.375198410883994, -5.343314732478773}}, 
       {{-3.4508078822154897, -5.403677882205862, -5.37952742197358}}, 
       {{-3.491340931515121, -5.44681737486648, -5.414851182803988}}, 
       {{-3.5325596998589823, -5.4894778720091955, -5.453802269388432}}, 
       {{-3.5741232168157477, -5.521460917862246, -5.496768305271875}}, 
       {{-3.61488577420561, -5.572754212249797, -5.534039700069107}}, 
       {{-3.655444678027699, -5.610292131568862, -5.570126089843527}}, 
       {{-3.694897526439499, -5.652139241504363, -5.613028111387737}}, 
       {{-3.732622377061855, -5.692842534617866, -5.649294289372132}}, 
       {{-3.7692222067964747, -5.729100282640491, -5.683979847360021}}, 
       {{-3.804514797712861, -5.763532479061976, -5.7199118565860845}}, 
       {{-3.8383079676058656, -5.79919265946086, -5.754023691092948}}, 
       {{-3.8699218294095106, -5.839602197798736, -5.782825681996655}}}, 
      {{{-4.335906699060328, -6.133028111429769, -6.175387385268911}}, 
       {{-4.265132883202383, -6.083579836015788, -6.119297918617867}}, 
       {{-4.2017070805506, -6.036461913038718, -6.061887011404528}}, 
       {{-4.157923543864972, -5.999496718805246, -6.028128531479573}}, 
       {{-4.133917337341924, -5.991464547107983, -6.007593929037865}}, 
       {{-4.128315081793254, -5.995472568505521, -6.011667254425502}}, 
       {{-4.135791752136274, -6.015757239677027, -6.023987738813542}}, 
       {{-4.150914913710495, -6.028128531479574, -6.040654791298754}}, 
       {{-4.149011963564409, -5.975591197951692, -6.011667254425502}}, 
       {{-4.185802172710936, -6.028128531479573, -6.0618870114045285}}, 
       {{-4.236369062251518, -6.137647057286064, -6.133028111429769}}, 
       {{-4.2765861222158845, -6.194805471126012, -6.18020667170486}}, 
       {{-4.312500572025272, -6.224658434275693, -6.214608098422191}}, 
       {{-4.348205086198371, -6.250235276065343, -6.2450673059068995}}, 
       {{-4.38523176562283, -6.292569639891904, -6.276483502140279}}, 
       {{-4.4236823099427145, -6.3367757323964, -6.3144284337044025}}, 
       {{-4.46280294470117, -6.35963387047245, -6.355595791723169}}, 
       {{-4.500810170663849, -6.413059037146031, -6.388961485566969}}, 
       {{-4.540319213668475, -6.444021262749997, -6.429659479839065}}, 
       {{-4.57852825504167, -6.489044944123951, -6.470791503814603}}, 
       {{-4.615018522042906, -6.53068964539567, -6.504960399429852}}, 
       {{-4.650690701289901, -6.567717976196428, -6.539645957417742}}, 
       {{-4.68551293867063, -6.598801071254816, -6.574860863708808}}, 
       {{-4.719123066064123, -6.640020844340053, -6.608391701756518}}}, 
      {{{-5.286586443672338, -7.049318843303924, -7.0977058629405825}}, 
       {{-5.215631999929429, -6.997679986510124, -7.039003565592091}}, 
       {{-5.14645501723879, -6.938214486466845, -6.978177743278684}}, 
       {{-5.091465812010805, -6.890898161915715, -6.928978915433764}}, 
       {{-5.054743933722318, -6.862781913339406, -6.898795537610665}}, 
       {{-5.035337906736627, -6.853267093698068, -6.885015792012648}}, 
       {{-5.030735965803259, -6.8589651148127055, -6.885993787200625}}, 
       {{-5.037184629329793, -6.873353852264805, -6.896815338943802}}, 
       {{-5.04958404423483, -6.885015792012648, -6.908755779315721}}, 
       {{-5.046625231829411, -6.829868740325066, -6.882087532233559}}, 
       {{-5.0783789461827755, -6.878196476740593, -6.921854203361638}}, 
       {{-5.12486838825768, -6.974964028675587, -6.991136887921188}}, 
       {{-5.161516325055891, -7.027665575654695, -7.034452932028095}}, 
       {{-5.193597055777634, -7.05625528730058, -7.065579364175704}}, 
       {{-5.226182768788838, -7.080918897991326, -7.091678117143065}}, 
       {{-5.260058654430947, -7.119711640905782, -7.1221868896943255}}, 
       {{-5.29572074070077, -7.156216638280636, -7.160070207596627}}, 
       {{-5.332080996700846, -7.184827172321903, -7.194104906200139}}, 
       {{-5.368310738368572, -7.23210133580551, -7.2293389031096}}, 
       {{-5.40545724210594, -7.26443022292087, -7.2658598157304635}}, 
       {{-5.442418710522293, -7.305252217441125, -7.306741420992592}}, 
       {{-5.477444032445472, -7.34781183185992, -7.340077841260184}}, 
       {{-5.512005759091491, -7.382570465225094, -7.372970391496075}}, 
       {{-5.546266036781217, -7.416915623429067, -7.408630571894959}}}, 
      {{{-6.222136364842983, -7.949042501030977, -8.004369564987574}}, 
       {{-6.152572707502739, -7.8966167036911274, -7.949042501030977}}, 
       {{-6.079640238011708, -7.831574277277083, -7.883265370516264}}, 
       {{-6.016577247923057, -7.775255846686861, -7.824046010856292}}, 
       {{-5.969311742466848, -7.733291647587828, -7.782424336165472}}, 
       {{-5.938113371610988, -7.710717325549289, -7.756387362382477}}, 
       {{-5.921938484459372, -7.701828378132044, -7.744772829961784}}, 
       {{-5.9182140853683896, -7.706262975199909, -7.744772829961784}}, 
       {{-5.923805898634167, -7.715191605944209, -7.756387362382477}}, 
       {{-5.9339506409073755, -7.7264656825174285, -7.765777102732316}}, 
       {{-5.9294291561885295, -7.673473152376918, -7.737868314615239}}, 
       {{-5.957256375778245, -7.715191605944209, -7.7705052439282625}}, 
       {{-5.999900025929084, -7.804243383560112, -7.834096346709795}}, 
       {{-6.03353732352989, -7.851931214345828, -7.875339305243844}}, 
       {{-6.062316288079933, -7.877974352881847, -7.904713913923747}}, 
       {{-6.091948085686305, -7.8993084953568395, -7.926632599631393}}, 
       {{-6.122940909896368, -7.934977571563573, -7.954724334498408}}, 
       {{-6.156339190298216, -7.96907178290655, -7.992464662481256}}, 
       {{-6.18991548583182, -7.99839939800107, -8.02249694958013}}, 
       {{-6.224153511265723, -8.040959012419867, -8.056608784086993}}, 
       {{-6.259605464352927, -8.072507370154792, -8.091925456011893}}, 
       {{-6.2947341429014765, -8.111728083308073, -8.128535201624455}}, 
       {{-6.328336863750534, -8.152550077828327, -8.163021377695625}}, 
       {{-6.3619486863209005, -8.187889444273637, -8.195109692247124}}}, 
      {{{-7.149317415820365, -8.840157078012659, -8.906538917644518}}, 
       {{-7.081513605115604, -8.788345961916807, -8.850570223130148}}, 
       {{-7.006360882736259, -8.722374042356273, -8.782461669031118}}, 
       {{-6.937596120993159, -8.659909493617832, -8.718086133795628}}, 
       {{-6.882087532233559, -8.606024405122852, -8.66859764557547}}, 
       {{-6.8410316469392285, -8.568486485803788, -8.63092195674458}}, 
       {{-6.814264935894798, -8.547652398900945, -8.607117898944225}}, 
       {{-6.8006962066887295, -8.537395898733758, -8.599488434143067}}, 
       {{-6.797108758895074, -8.542510999400527, -8.598403246841782}}, 
       {{-6.801595083153747, -8.552820369059388, -8.60547810628381}}, 
       {{-6.809721538710772, -8.558015185936494, -8.610954571230712}}, 
       {{-6.804296570613907, -8.50724286056307, -8.584936843502756}}, 
       {{-6.828944098557847, -8.547652398900945, -8.614806020283238}}, 
       {{-6.868534565828856, -8.622553707074063, -8.675017276609806}}, 
       {{-6.898795537610665, -8.668016081150821, -8.711384920780679}}, 
       {{-6.9250031723916905, -8.696918122362927, -8.736593756451612}}, 
       {{-6.952020695280153, -8.71381653292105, -8.7586280127027}}, 
       {{-6.980325971816972, -8.746606355744044, -8.783113772086505}}, 
       {{-7.0108960379016505, -8.778557955550644, -8.815599227230994}}, 
       {{-7.042773490660225, -8.802877261205346, -8.847087112677327}}, 
       {{-7.075109408654305, -8.844309333113426, -8.879598810063955}}, 
       {{-7.108525979444622, -8.876013291701359, -8.911718359486068}}, 
       {{-7.1417070290129505, -8.916179333426694, -8.94874563428772}}, 
       {{-7.174067325697726, -8.952602175897473, -8.980817213697934}}}, 
      {{{-8.072827934350517, -9.72785498389297, -9.804547604681225}}, 
       {{-8.00736806798383, -9.678745279858221, -9.749908464607827}}, 
       {{-7.931352863844801, -9.610817938573309, -9.680344001221918}}, 
       {{-7.858637455625911, -9.541626081910096, -9.613807477421673}}, 
       {{-7.7959445807454175, -9.482149095271675, -9.554240124426192}}, 
       {{-7.746622113891489, -9.43598705350851, -9.507399606240561}}, 
       {{-7.71094056475102, -9.403925121048847, -9.475608849591064}}, 
       {{-7.687768392563744, -9.38469375912096, -9.454962954967517}}, 
       {{-7.675626005738019, -9.377576291352096, -9.447329330112446}}, 
       {{-7.672398461247153, -9.381128692956464, -9.446062705497253}}, 
       {{-7.676057133142843, -9.387077550476237, -9.451138858529113}}, 
       {{-7.68298057057769, -9.390663926107463, -9.457520501118633}}, 
       {{-7.676488446498677, -9.341588658586137, -9.43223470388996}}, 
       {{-7.698515288409083, -9.375215015166416, -9.457520501118633}}, 
       {{-7.734891099545399, -9.44859756110044, -9.512797730010117}}, 
       {{-7.762715755704686, -9.490054274778787, -9.547212688618735}}, 
       {{-7.786268646522262, -9.511445464760104, -9.568444908724508}}, 
       {{-7.810883024330011, -9.5291691734248, -9.588676812696095}}, 
       {{-7.83687798967167, -9.5556515572646, -9.610817938573309}}, 
       {{-7.865128455957522, -9.584306813024977, -9.63958600874975}}, 
       {{-7.895005099796786, -9.61231159083009, -9.672375831572742}}, 
       {{-7.925525179806146, -9.647296147175718, -9.701363368445993}}, 
       {{-7.957577403480815, -9.678745279858221, -9.734589016074315}}, 
       {{-7.9886258861740895, -9.719500716423113, -9.76720993424358}}}, 
      {{{-8.997651278565831, -10.616837440413592, -10.7019952487539}}, 
       {{-8.934224935895868, -10.572918206478757, -10.650035509823189}}, 
       {{-8.858276040595134, -10.504967544570249, -10.580761383939784}}, 
       {{-8.783113772086505, -10.4311202946185, -10.512293584662322}}, 
       {{-8.71503455986823, -10.365523012132687, -10.444772383786827}}, 
       {{-8.658756755738024, -10.309953160977877, -10.391247903371124}}, 
       {{-8.61535744020347, -10.265893171183846, -10.352904548173475}}, 
       {{-8.58386732468423, -10.23756266455762, -10.325082042574177}}, 
       {{-8.563237129917644, -10.22369281669347, -10.306954657981619}}, 
       {{-8.552302368529805, -10.218198297375828, -10.298012720605957}}, 
       {{-8.549199987551324, -10.218198297375828, -10.295049755475302}}, 
       {{-8.552302368529805, -10.22094178332158, -10.300984490995116}}, 
       {{-8.558015185936492, -10.22369281669347, -10.306954657981619}}, 
       {{-8.550233045494437, -10.177924398237888, -10.28036520379238}}, 
       {{-8.570066681023306, -10.207299006917793, -10.300984490995116}}, 
       {{-8.60384099814191, -10.277453993584922, -10.352904548173475}}, 
       {{-8.62924269522486, -10.315977275581258, -10.384754374060574}}, 
       {{-8.650724584040761, -10.334270468628581, -10.40436284544895}}, 
       {{-8.673262377066127, -10.349774655164548, -10.424363512155619}}, 
       {{-8.697516745547519, -10.368702665050066, -10.4482147279778}}, 
       {{-8.722988104395835, -10.397783874350909, -10.469121412797113}}, 
       {{-8.751018591077308, -10.42436351215562, -10.49769478524117}}, 
       {{-8.77985750089273, -10.455135170822373, -10.527108670447463}}, 
       {{-8.810222870194613, -10.486883869136955, -10.557414019942792}}}, 
      {{{-9.928600253351203, -11.512925464970229, -11.609436365351073}}, 
       {{-9.867541425762658, -11.46699653308183, -11.56001707250408}}, 
       {{-9.792125084682667, -11.399596779663225, -11.491163973188716}}, 
       {{-9.714521453023504, -11.32644589802761, -11.417615285165905}}, 
       {{-9.64266293425423, -11.25518726889152, -11.348258843414994}}, 
       {{-9.580534866002427, -11.194471733851694, -11.28818319229232}}, 
       {{-9.529994823671236, -11.144816143405833, -11.23984954490781}}, 
       {{-9.490980629638917, -11.107460356862065, -11.203237312255833}}, 
       {{-9.462912733981204, -11.081792610113487, -11.177167769286884}}, 
       {{-9.44467126893097, -11.066958413552735, -11.162268593357059}}, 
       {{-9.434734705192046, -11.060576770963214, -11.153853396431774}}, 
       {{-9.431735452756275, -11.061213105696744, -11.153155316124193}}, 
       {{-9.433858993620476, -11.065039640978112, -11.155950566022499}}, 
       {{-9.438496465113937, -11.064400867401616, -11.159455651980444}}, 
       {{-9.429990034036138, -11.01944947953935, -11.133120103642643}}, 
       {{-9.448216922892458, -11.04605172873342, -11.154551964395914}}, 
       {{-9.4795278617918, -11.110130585417943, -11.201771036333305}}, 
       {{-9.502967986820979, -11.144124341233654, -11.230758573206558}}, 
       {{-9.521905384891296, -11.162268593357059, -11.246722424195571}}, 
       {{-9.54260148782593, -11.177167769286886, -11.266846942373522}}, 
       {{-9.564874751415804, -11.19301824522371, -11.28578989238648}}, 
       {{-9.58882280875446, -11.218019547429128, -11.307538635245278}}, 
       {{-9.615005799913783, -11.246722424195571, -11.335616449999819}}, 
       {{-9.642508862918897, -11.27390856449973, -11.363643762254474}}}, 
      {{{-10.869493876656216, -12.419265865991214, -12.526277909687515}}, 
       {{-10.810323125639528, -12.373308564906088, -12.47526013534579}}, 
       {{-10.73589680042958, -12.306998564120134, -12.409413569548203}}, 
       {{-10.656809456132143, -12.232416620869776, -12.333906017040059}}, 
       {{-10.581943184353083, -12.157282481360742, -12.26370175836681}}, 
       {{-10.514870431293433, -12.090959838429669, -12.198104475880998}}, 
       {{-10.458265063831302, -12.03548634495464, -12.14215931978652}}, 
       {{-10.412647896983058, -11.990961265913228, -12.098115504025081}}, 
       {{-10.377659858654082, -11.957651287031695, -12.064573083256475}}, 
       {{-10.352591117674121, -11.932996725467754, -12.04225456030078}}, 
       {{-10.335810114814175, -11.920893703296512, -12.027089990001732}}, 
       {{-10.326607595883013, -11.914896683824137, -12.020423298643545}}, 
       {{-10.323558813033655, -11.914896683824137, -12.01876354722518}}, 
       {{-10.325386967107717, -11.914896683824137, -12.022085809417158}}, 
       {{-10.328747287972472, -11.914896683824137, -12.022085809417158}}, 
       {{-10.319609240832822, -11.871030001718555, -11.997433780418845}}, 
       {{-10.336426637645047, -11.894185884381574, -12.017106546017551}}, 
       {{-10.365523012132687, -11.956092440262404, -12.061106875279988}}, 
       {{-10.387022316066215, -11.986134225164912, -12.087401115812675}}, 
       {{-10.404032866894562, -12.000685815805223, -12.101712630205931}}, 
       {{-10.422681425972636, -12.017106546017551, -12.11806176820746}}, 
       {{-10.443741986992931, -12.028763630559764, -12.140284904992171}}, 
       {{-10.465957409454457, -12.050779761124138, -12.159189059631323}}, 
       {{-10.490474537267684, -12.080321440224614, -12.184311153748661}}}, 
      {{{-11.824763627299768, -13.336794988116518, -13.456438489425821}}, 
       {{-11.767301718715537, -13.29433864214414, -13.40871300462233}}, 
       {{-11.69348856874932, -13.22661339877813, -13.341141471208898}}, 
       {{-11.613851383560188, -13.152822584889037, -13.266233747824032}}, 
       {{-11.536194091909582, -13.073573213234896, -13.191713455539121}}, 
       {{-11.46508813555607, -13.004580341747944, -13.121863502362677}}, 
       {{-11.40317460101111, -12.944217192020854, -13.060798021746175}}, 
       {{-11.351657317374107, -12.891251656440941, -13.010822002671421}}, 
       {{-11.310801280880094, -12.848526711774602, -12.973512430671974}}, 
       {{-11.278644169245563, -12.822258784953991, -12.940041820610375}}, 
       {{-11.255960365180508, -12.800279878235216, -12.923512518659164}}, 
       {{-11.240610869649569, -12.785891140783114, -12.907251997787384}}, 
       {{-11.232268007455412, -12.778773673014252, -12.903227847487658}}, 
       {{-11.229251413915986, -12.778773673014252, -12.89921982609012}}, 
       {{-11.230004709620157, -12.778773673014252, -12.89921982609012}}, 
       {{-11.23302357983741, -12.775233846309128, -12.903227847487658}}, 
       {{-11.222497166850422, -12.737100976613684, -12.875503299472802}}, 
       {{-11.238328632067104, -12.75772026381642, -12.895227804820582}}, 
       {{-11.266065387038703, -12.811208948767407, -12.93588381046171}}, 
       {{-11.284993396924222, -12.84473164080605, -12.956848938926756}}, 
       {{-11.300236371559878, -12.856160336629673, -12.969642290386664}}, 
       {{-11.317358681426253, -12.867721159030749, -12.985649554088507}}, 
       {{-11.336454321854449, -12.883346476933829, -13.00369184768683}}, 
       {{-11.357632580564193, -12.89921982609012, -13.022970633526294}}}, 
      {{{-12.798469922989977, -14.272795414802236, -14.404297723199976}}, 
       {{-12.742558016076742, -14.23102600192594, -14.3585150800945}}, 
       {{-12.669378753328187, -14.166487480788367, -14.291934755012932}}, 
       {{-12.589091564808507, -14.089947403666034, -14.215988124561399}}, 
       {{-12.509342241323669, -14.01152544189023, -14.139856614787647}}, 
       {{-12.43498279173872, -13.936548886341331, -14.067825486578764}}, 
       {{-12.36859157502795, -13.869966743760333, -14.001840136155767}}, 
       {{-12.31187770442715, -13.812515048984475, -13.94789974601002}}, 
       {{-12.264761641878854, -13.764817443648756, -13.90106844632592}}, 
       {{-12.226887785244093, -13.729332861723222, -13.864700802155046}}, 
       {{-12.19790608286378, -13.701289413874251, -13.836734194415902}}, 
       {{-12.176902268230394, -13.6818541731516, -13.817512560634947}}, 
       {{-12.162821603535859, -13.669680109752735, -13.805560227111107}}, 
       {{-12.154619363941258, -13.663648208655028, -13.798653440897851}}, 
       {{-12.151395084239478, -13.661931470035974, -13.795707930668096}}, 
       {{-12.151963319883142, -13.661931470035974, -13.796688803723686}}, 
       {{-12.153859774083239, -13.659361875474342, -13.796688803723686}}, 
       {{-12.14328565743141, -13.61665969921911, -13.770537192321543}}, 
       {{-12.158044676519593, -13.638201542993864, -13.788868627017852}}, 
       {{-12.18391984088904, -13.690641575918406, -13.827583139198543}}, 
       {{-12.201284128798376, -13.71657061010937, -13.848033749669835}}, 
       {{-12.214709838925836, -13.725669853964485, -13.85841805897555}}, 
       {{-12.230365338099219, -13.736699377539985, -13.87313967080091}}, 
       {{-12.247728320799006, -13.752535758802885, -13.887006559669343}}}, 
      {{{-13.795707930668094, -15.230204393605863, -15.378064884499524}}, 
       {{-13.74040308547747, -15.193836749434988, -15.330092939385695}}, 
       {{-13.66795299360666, -15.128554457344572, -15.264957734089434}}, 
       {{-13.586782628356163, -15.05338491396589, -15.185931569927874}}, 
       {{-13.505088998543004, -14.97069319812078, -15.11013773055834}}, 
       {{-13.42820942048378, -14.891383359662894, -15.036290480606592}}, 
       {{-13.357452999736939, -14.820632503545044, -14.96436406306913}}, 
       {{-13.296121703537796, -14.757119097822718, -14.906154676983206}}, 
       {{-13.243401705781386, -14.707108677248057, -14.853968923812637}}, 
       {{-13.20032491887404, -14.661808918018394, -14.812469192905883}}, 
       {{-13.165792935331664, -14.627441274514185, -14.78046646181971}}, 
       {{-13.139001018557352, -14.602968417995461, -14.754558276961045}}, 
       {{-13.119367868424531, -14.585538782860176, -14.734304420056548}}, 
       {{-13.10649002824804, -14.572663068500132, -14.724329274999727}}, 
       {{-13.098646850787013, -14.568407742929994, -14.716912677344679}}, 
       {{-13.095234710016076, -14.566286851360855, -14.714452651503816}}, 
       {{-13.095234710016076, -14.566286851360855, -14.714452651503816}}, 
       {{-13.09669563065575, -14.562058515251335, -14.714452651503816}}, 
       {{-13.085549404281613, -14.51870807437772, -14.687784404421654}}, 
       {{-13.099135251285121, -14.54118093022978, -14.704672622450177}}, 
       {{-13.123864503530596, -14.589867793949763, -14.74185162569193}}, 
       {{-13.139509536239299, -14.611798497443733, -14.759686493327965}}, 
       {{-13.151277387568971, -14.618472604531426, -14.767428467481581}}, 
       {{-13.165270878415605, -14.629696066901275, -14.78046646181971}}}, 
      {{{-14.820086204706001, -16.21791598624053, -16.37427905635073}}, 
       {{-14.765875270172181, -16.178907790355076, -16.328816682273974}}, 
       {{-14.693783222650909, -16.11410362968878, -16.264278161136403}}, 
       {{-14.61246390724981, -16.036515663965897, -16.188518115254865}}, 
       {{-14.528860445841739, -15.95512682268018, -16.107155710919987}}, 
       {{-14.448692157356785, -15.874365466035721, -16.030084773635608}}, 
       {{-14.374651458676485, -15.799641919839784, -15.957678929552415}}, 
       {{-14.308659996717322, -15.732833250167676, -15.892554975044389}}, 
       {{-14.251383328493864, -15.674692703509763, -15.836683191520134}}, 
       {{-14.20293930358634, -15.626452846609103, -15.788791903815719}}, 
       {{-14.162942634821828, -15.586879337544595, -15.749986329393924}}, 
       {{-14.13104355857183, -15.555057155745395, -15.719319531000952}}, 
       {{-14.106264008940542, -15.531977043156898, -15.695445718096055}}, 
       {{-14.088106992998014, -15.514873177926361, -15.678551229197293}}, 
       {{-14.075577463383082, -15.503991677738828, -15.667020031598103}}, 
       {{-14.068082919969296, -15.498056942219014, -15.660670803919444}}, 
       {{-14.064741444041802, -15.49483459786254, -15.658142357566085}}, 
       {{-14.064228360397914, -15.494298548533168, -15.657511243629076}}, 
       {{-14.064998084618086, -15.49002046714209, -15.656250209414049}}, 
       {{-14.053133430543317, -15.448217097337729, -15.630129321338412}}, 
       {{-14.066410786323527, -15.469422960500204, -15.646842802312152}}, 
       {{-14.089684280391262, -15.516515663923865, -15.68177807936739}}, 
       {{-14.103592710437395, -15.53476333640558, -15.697413577045294}}, 
       {{-14.114455822694765, -15.538677235726718, -15.705323967667717}}}, 
      {{{-15.878291658751003, -17.235890759043205, -17.406174964581254}}, 
       {{-15.824680046658779, -17.196905312330248, -17.36289044980451}}, 
       {{-15.752064612095563, -17.134206718114687, -17.29250965304271}}, 
       {{-15.670209826966204, -17.054589090149992, -17.217708439960013}}, 
       {{-15.585117222551196, -16.971411583671088, -17.136972971607577}}, 
       {{-15.50236961736696, -16.888123875854223, -17.057143369955092}}, 
       {{-15.424448595356724, -16.811242831518264, -16.97847875089418}}, 
       {{-15.354490006749813, -16.73985283543159, -16.90995880445742}}, 
       {{-15.292605283410662, -16.678461720284446, -16.849983659834695}}, 
       {{-15.239714492157384, -16.62227673200564, -16.79931426065299}}, 
       {{-15.194630715336164, -16.578545067399244, -16.754862498082158}}, 
       {{-15.157596664419845, -16.541215694305205, -16.717752488430925}}, 
       {{-15.127811239175838, -16.51262081902815, -16.689025198794017}}, 
       {{-15.104678208353443, -16.490609658926797, -16.668008663432357}}, 
       {{-15.087762203043505, -16.474770594897052, -16.652531140363443}}, 
       {{-15.075701042288438, -16.464820264043883, -16.64065653094273}}, 
       {{-15.068323527709683, -16.459178500137217, -16.633933816547856}}, 
       {{-15.064829464057087, -16.454967967600872, -16.630589331825007}}, 
       {{-15.064132113959092, -16.45356838724645, -16.630589331825007}}, 
       {{-15.064480728220946, -16.44798957221941, -16.62892127472431}}, 
       {{-15.051662260654446, -16.40711194642324, -16.60098190603507}}, 
       {{-15.064829464057087, -16.427341901325942, -16.618970943871144}}, 
       {{-15.08669211198366, -16.473343042905867, -16.652531140363443}}, 
       {{-15.098887385077479, -16.487711106172785, -16.66627706126808}}}, 
      {{{-16.975645887809875, -18.294048093019, -18.47408152067948}}, 
       {{-16.921950953502687, -18.25431920673714, -18.42770535888933}}, 
       {{-16.84977578123505, -18.189569022988977, -18.363355677333097}}, 
       {{-16.76684324422158, -18.11099259123797, -18.285276106946164}}, 
       {{-16.68003914590292, -18.02661368079657, -18.202348749635377}}, 
       {{-16.59451984800698, -17.941965174104606, -18.119835684974305}}, 
       {{-16.513808467623807, -17.86049369064865, -18.041559611183803}}, 
       {{-16.439817215633624, -17.785692477565952, -17.96833204994535}}, 
       {{-16.37376239397809, -17.71906948498029, -17.903674261111295}}, 
       {{-16.31593701941031, -17.66221409727178, -17.846880321024987}}, 
       {{-16.266247691982176, -17.611084750749175, -17.798492652332914}}, 
       {{-16.22445666694973, -17.56669103827559, -17.75747743976549}}, 
       {{-16.18991393874879, -17.535674302117975, -17.724039674138165}}, 
       {{-16.162047538487503, -17.50839803347575, -17.697004358357596}}, 
       {{-16.140443514622227, -17.484195304792692, -17.67636527681802}}, 
       {{-16.124214331966495, -17.472503823215888, -17.661277767615356}}, 
       {{-16.113108109447282, -17.461330522617764, -17.651962376545345}}, 
       {{-16.105179425691773, -17.45750642617936, -17.641814687989882}}, 
       {{-16.10222230180203, -17.44990182679414, -17.642273719441597}}, 
       {{-16.101238533891898, -17.446121103954233, -17.64135586715137}}, 
       {{-16.10025573282999, -17.446121103954233, -17.635866374866595}}, 
       {{-16.087566445923496, -17.401833423753118, -17.611975222758147}}, 
       {{-16.10025573282999, -17.423732109060754, -17.62859361553752}}, 
       {{-16.120799302532635, -17.466323811271753, -17.65800750074381}}}, 
      {{{-18.12057615150203, -19.396190835486493, -19.588643110755267}}, 
       {{-18.066508930231752, -19.35717418314404, -19.541538641567794}}, 
       {{-17.994106672633965, -19.290565103012366, -19.479111242987642}}, 
       {{-17.90965514018371, -19.212543897451468, -19.396190835486493}}, 
       {{-17.821294943206894, -19.12590050574658, -19.3147208668917}}, 
       {{-17.73304874408053, -19.038720452025505, -19.22811707091444}}, 
       {{-17.649184596981442, -18.95511623335749, -19.146351116217872}}, 
       {{-17.571812688395646, -18.876387068497277, -19.072685981181134}}, 
       {{-17.50159392477621, -18.80487371678499, -19.002286549779402}}, 
       {{-17.43935161589899, -18.742264368079827, -18.94155670357186}}, 
       {{-17.38536330565657, -18.687253853193912, -18.889085651834403}}, 
       {{-17.33887557360064, -18.640081308987742, -18.84380078729925}}, 
       {{-17.299654860447355, -18.601004298083648, -18.80487371678499}}, 
       {{-17.26726466324358, -18.56918075227081, -18.773079131123836}}, 
       {{-17.241103096461153, -18.543978960296858, -18.747796885649553}}, 
       {{-17.220414801557755, -18.524930765326165, -18.727205904205626}}, 
       {{-17.205174703812755, -18.509511957658983, -18.713710422730742}}, 
       {{-17.1942617507966, -18.499723951292818, -18.704370795134608}}, 
       {{-17.18724622947681, -18.4932514367872, -18.69775263729213}}, 
       {{-17.183176456417637, -18.490030822087157, -18.692489467247857}}, 
       {{-17.181726970731184, -18.487889493645817, -18.691177991650047}}, 
       {{-17.180858286732732, -18.482556147670454, -18.688560189107967}}, 
       {{-17.167060999737014, -18.439863563369137, -18.661479230505297}}, 
       {{-17.179701213997333, -18.462544948051065, -18.679451472909726}}}, 
      {{{-19.32208286333277, -20.552679536370878, -20.75785728171603}}, 
       {{-19.26767864933057, -20.51057674353606, -20.711337266081138}}, 
       {{-19.193953968991597, -20.445634100348133, -20.64445465652212}}, 
       {{-19.10864139782501, -20.365591392674595, -20.56455414579159}}, 
       {{-19.018154174444028, -20.278580015684966, -20.47875225989601}}, 
       {{-18.92768036288483, -20.189114387876923, -20.39180614214874}}, 
       {{-18.840752004449893, -20.102151859286298, -20.307850397985078}}, 
       {{-18.759515769762768, -20.021158915014993, -20.228569595110304}}, 
       {{-18.68542784512165, -19.946237172405763, -20.15568187936181}}, 
       {{-18.619131682676205, -19.877397569368803, -20.090930795783223}}, 
       {{-18.56063270437981, -19.820668432204258, -20.033624795715752}}, 
       {{-18.509730560785876, -19.766985456856098, -19.98371228357231}}, 
       {{-18.466096607482847, -19.724842275533735, -19.94073509525178}}, 
       {{-18.429317937348028, -19.687948398650615, -19.90480846542102}}, 
       {{-18.398919252170852, -19.658555099953983, -19.875682303082048}}, 
       {{-18.373797158053517, -19.634703884131802, -19.849882606083533}}, 
       {{-18.35489300341436, -19.614703217425134, -19.833729842381075}}, 
       {{-18.34002284093491, -19.601588275347304, -19.819047686306526}}, 
       {{-18.329013555426542, -19.591863725455312, -19.807775425243026}}, 
       {{-18.322647003681, -19.58543283512502, -19.803780214175738}}, 
       {{-18.318124155627274, -19.58223283239435, -19.79781716728749}}, 
       {{-18.316320728628124, -19.57904303702625, -19.7958373606618}}, 
       {{-18.315420233294873, -19.57269380934759, -19.793861465926874}}, 
       {{-18.3002345908765, -19.529343368473977, -19.765065701995045}}}}, 
     {Automatic, Automatic}]
 
sigmaNLLSB8[x_, y_] := If[x < 200 || x > 2500 || y < 200 || y > 2500, 
     "Squark or gluino mass outside range of Interpolation!", 
     {SetPrecision[E^fNLLSBLog8[x, y][[1]], 3], 
      SetPrecision[E^fNLLSBLog8[x, y][[2]], 3], 
      SetPrecision[-E^fNLLSBLog8[x, y][[3]], 3]}]
 
fNLLSBLog8 = InterpolatingFunction[{{200., 2500.}, {200., 2500.}}, 
     {4, 3, 0, {24, 24}, {5, 5}, 0, 0, 0, 0, Automatic}, 
     {{200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000., 2100., 2200., 
       2300., 2400., 2500.}, {200., 300., 400., 500., 600., 700., 800., 900., 
       1000., 1100., 1200., 1300., 1400., 1500., 1600., 1700., 1800., 1900., 
       2000., 2100., 2200., 2300., 2400., 2500.}}, 
     {{{{6.0004025699355505, 3.7401868510712295, 3.6204694089597096}}, 
       {{5.843760069678935, 3.7692914097555703, 3.5734039109411393}}, 
       {{5.754147626383221, 3.708988462862671, 3.5187886589576296}}, 
       {{5.686033430670232, 3.654460838830292, 3.473610402513501}}, 
       {{5.629417451502491, 3.6220912870858575, 3.4397712600880346}}, 
       {{5.585372887149366, 3.596771738671392, 3.4159368181777956}}, 
       {{5.549511675264362, 3.5829260189501904, 3.3977834031483765}}, 
       {{5.521316373686926, 3.5711971352399625, 3.384791507102735}}, 
       {{5.498433855843678, 3.5648264929343263, 3.374376285481742}}, 
       {{5.479462970870883, 3.5605270743212145, 3.366098157978516}}, 
       {{5.464558550172142, 3.5553457472211822, 3.360164123045775}}, 
       {{5.451713277127433, 3.552308223951172, 3.354995632002045}}, 
       {{5.441406428132988, 3.5489955002957143, 3.3508426003583875}}, 
       {{5.432381855774042, 3.5488774680162907, 3.347476028573949}}, 
       {{5.425097508274366, 3.545889198509132, 3.3447266550273507}}, 
       {{5.418692554472419, 3.5436794216601695, 3.342468595733471}}, 
       {{5.413174361939532, 3.5420975449123704, 3.3402775365574024}}, 
       {{5.408102548186564, 3.542986572091032, 3.338403493452507}}, 
       {{5.404378168388115, 3.5403762441107047, 3.3374529115249305}}, 
       {{5.400658866181104, 3.540074023080508, 3.336048421861474}}, 
       {{5.397394271344733, 3.540062792200393, 3.334822713309574}}, 
       {{5.394586197209683, 3.5422719369400135, 3.3344497511393825}}, 
       {{5.3917810967949436, 3.542715966271767, 3.333497855279798}}, 
       {{5.389433846725601, 3.5413553864638114, 3.332653912967806}}}, 
      {{{3.9714611301789677, 1.5866061465783918, 1.461108161949518}}, 
       {{3.951703291539283, 1.608850474835559, 1.4680063969912593}}, 
       {{3.826179870701664, 1.5809042608435422, 1.4295414233230688}}, 
       {{3.7356604920819616, 1.5437007682242105, 1.3801124874630757}}, 
       {{3.666741792031014, 1.485093072036119, 1.33049915242199}}, 
       {{3.6043280806867477, 1.4348761868712179, 1.287289348238326}}, 
       {{3.5489456773205617, 1.3991399063075616, 1.2518197472012613}}, 
       {{3.5015639357421193, 1.3654893016398775, 1.2230167368276614}}, 
       {{3.459845272773971, 1.3416536507010002, 1.1992430078556264}}, 
       {{3.4241040443259725, 1.324509117518996, 1.1799976175127103}}, 
       {{3.3935696164648363, 1.3115973059253938, 1.1639447962573863}}, 
       {{3.3669315643189783, 1.3023181245369269, 1.1505532179134794}}, 
       {{3.344093225518604, 1.2952410362231206, 1.1394824365063407}}, 
       {{3.3245508036554083, 1.2878604704674816, 1.1305726618335803}}, 
       {{3.3073632767856, 1.282974211977086, 1.122652289360527}}, 
       {{3.2922508361239133, 1.2783874372769044, 1.115979179978215}}, 
       {{3.2789074276373142, 1.2772614251507024, 1.110030531572845}}, 
       {{3.267385077208508, 1.2721850174003002, 1.1052351228347785}}, 
       {{3.2569618549910646, 1.2700434989076754, 1.100838062071485}}, 
       {{3.2480484121408812, 1.267059917063785, 1.0973617722744473}}, 
       {{3.239892181423314, 1.264884721054732, 1.0940638790508264}}, 
       {{3.232503526113304, 1.2634007650025698, 1.091192499261965}}, 
       {{3.225892814004179, 1.2625098534574775, 1.0886860342374924}}, 
       {{3.220070017469607, 1.2602793497457787, 1.0864967253799365}}}, 
      {{{2.416228622207319, 0.022692774306903123, -0.22710702375488262}}, 
       {{2.3902141484921775, -0.03437800936939274, -0.16855666867984934}}, 
       {{2.3761738791972977, -0.005425235650863944, -0.16820386899395334}}, 
       {{2.276540380360999, -0.09150246841483237, -0.20004789139218762}}, 
       {{2.1902531504620333, -0.11450820300294542, -0.24424295181832217}}, 
       {{2.1252061209957556, -0.16735010345260562, -0.2917284721315659}}, 
       {{2.064236402911712, -0.22018448867260357, -0.33729683970229757}}, 
       {{2.006477644583302, -0.26410985551312144, -0.37881091300999487}}, 
       {{1.9543531506574217, -0.3038383638236586, -0.41494055259132084}}, 
       {{1.906514114533696, -0.33744436647790915, -0.44638367183366673}}, 
       {{1.863310435632762, -0.366582160676644, -0.4736906901682418}}, 
       {{1.8247034563136728, -0.3877358558227176, -0.49684396724998553}}, 
       {{1.7902083568745608, -0.4080808682930928, -0.5173435126498706}}, 
       {{1.759363387973267, -0.42558294494951376, -0.5348812325949768}}, 
       {{1.7315915752447075, -0.43937393783195994, -0.5499498607776191}}, 
       {{1.7067564487248794, -0.4482744630631921, -0.5631528312497741}}, 
       {{1.68504976252464, -0.45918012018949816, -0.5744252302350229}}, 
       {{1.665138668987393, -0.46539417629565943, -0.5847170361657551}}, 
       {{1.647107943508401, -0.47032890940870736, -0.5937169370003109}}, 
       {{1.6312361237213013, -0.4772186567423615, -0.6012944936291417}}, 
       {{1.6166174977682506, -0.48155563015780484, -0.6083721055901384}}, 
       {{1.603292751783679, -0.4854861571587212, -0.614623561070397}}, 
       {{1.5913015922974987, -0.48921283352344963, -0.6199839513342837}}, 
       {{1.5802699943153742, -0.49190183998807524, -0.6250616467066872}}}, 
      {{{1.076799217519092, -1.2874857047632602, -1.6391188877958955}}, 
       {{1.0910155479598564, -1.3303400895500446, -1.5617064347976364}}, 
       {{1.0656342819071594, -1.37472495893168, -1.5234656995985478}}, 
       {{1.0563352302499718, -1.3420462204575592, -1.5255029020966826}}, 
       {{0.9763458657053563, -1.4523180015618906, -1.5520908829737659}}, 
       {{0.89731111293608, -1.4891119015394658, -1.591114268657047}}, 
       {{0.8364509698706013, -1.5345020946563075, -1.6349157792576485}}, 
       {{0.7798528133946551, -1.5873965740369613, -1.6794618485529267}}, 
       {{0.725068961339237, -1.6363945145942849, -1.721922180828125}}, 
       {{0.6717554290875531, -1.67521649444439, -1.7615656815978509}}, 
       {{0.6219764473819829, -1.7135816998935847, -1.7976271304056337}}, 
       {{0.5758335783708087, -1.7475368554001869, -1.8303328413556188}}, 
       {{0.5327296227844579, -1.777519856074099, -1.859544364200538}}, 
       {{0.49370198143747895, -1.8041696124117546, -1.8853559898937877}}, 
       {{0.4579784362242339, -1.8282219583774695, -1.9086028993313167}}, 
       {{0.4246028999035397, -1.847287321491788, -1.9295128461048587}}, 
       {{0.3944733040089529, -1.8682959428630084, -1.9478245128850828}}, 
       {{0.36717807830350235, -1.8821386478479554, -1.9639883979792265}}, 
       {{0.34222327595603697, -1.8958199985021296, -1.9786767739040658}}, 
       {{0.31904023517922886, -1.909994290862728, -1.9917287689336143}}, 
       {{0.29773528773443625, -1.9215188750149923, -2.003840374198434}}, 
       {{0.2784132494904353, -1.9306444559758427, -2.014706317162018}}, 
       {{0.26040462820894617, -1.9383765587251742, -2.0239197127521744}}, 
       {{0.24376721020269296, -1.9436104720216985, -2.032687093284451}}}, 
      {{{-0.12865352423122176, -2.455760674383907, -2.8487292036782668}}, 
       {{-0.08496592272746349, -2.4756305032927544, -2.7892400538573634}}, 
       {{-0.07987200956607908, -2.511537850151424, -2.7336726657855}}, 
       {{-0.10174929045541543, -2.548112822420318, -2.7073381411475053}}, 
       {{-0.10772365970995061, -2.5140723301204733, -2.7098547922875778}}, 
       {{-0.172664879822777, -2.60874319492517, -2.7326652145509334}}, 
       {{-0.24426527985205676, -2.6827944578883596, -2.7665182414349143}}, 
       {{-0.2998937629742996, -2.723207196192634, -2.806123159773445}}, 
       {{-0.351558695872652, -2.770133871178178, -2.847840801219052}}, 
       {{-0.40323934798505107, -2.816689244843171, -2.8894232663896586}}, 
       {{-0.45424259279039125, -2.8599341123367195, -2.9295535309557414}}, 
       {{-0.5025568137501142, -2.9029902686862825, -2.9674949113490547}}, 
       {{-0.54882867789618, -2.9426561332972736, -3.0028785797738156}}, 
       {{-0.5933909448421488, -2.9773178609373088, -3.0356176625433813}}, 
       {{-0.6353798287882673, -3.005115705126709, -3.0656893725627063}}, 
       {{-0.6738345651101038, -3.0349605172465823, -3.093151496652444}}, 
       {{-0.7099437895167114, -3.06109647479053, -3.118290489312262}}, 
       {{-0.7438636092146819, -3.0828208350769586, -3.141178436511965}}, 
       {{-0.7753684315160257, -3.103284471235384, -3.1618492319768317}}, 
       {{-0.8040082882858113, -3.122049397275421, -3.1808173955005503}}, 
       {{-0.8306872282056111, -3.140715311946879, -3.198120265282783}}, 
       {{-0.8557358933622893, -3.156308584170674, -3.2139305560897236}}, 
       {{-0.8790357091744088, -3.1703233113590743, -3.2282628602108816}}, 
       {{-0.9007237459465194, -3.1830104374227024, -3.2415451428663253}}}, 
      {{{-1.2430789922658858, -3.5371859112298405, -3.9392657961362705}}, 
       {{-1.1802688733661968, -3.5373078782611267, -3.886703638238777}}, 
       {{-1.149194767214946, -3.5537957663388293, -3.8367599609750123}}, 
       {{-1.1481522052556294, -3.5814269413361095, -3.7964355506148197}}, 
       {{-1.1664249280680166, -3.6109596894699427, -3.777635949304933}}, 
       {{-1.1695679729718043, -3.577285459941688, -3.7793336766254026}}, 
       {{-1.2234049376725253, -3.6563213738904334, -3.799923717379668}}, 
       {{-1.2871469206191128, -3.742117496034572, -3.829317551895442}}, 
       {{-1.338572885396131, -3.79208394256943, -3.86469223846723}}, 
       {{-1.3852265655702325, -3.8364412263507037, -3.9030819432338113}}, 
       {{-1.432983328926487, -3.8801975952202494, -3.942395022744699}}, 
       {{-1.4803286620726301, -3.9239135116538932, -3.981564367935126}}, 
       {{-1.5264867528695338, -3.9666371165824166, -4.019491592136945}}, 
       {{-1.5720730455471696, -4.006238979046213, -4.055760102078347}}, 
       {{-1.6158761779268314, -4.0437989250916555, -4.090095338725177}}, 
       {{-1.6580908458306551, -4.077404720577489, -4.122363643265371}}, 
       {{-1.6979029199006723, -4.108765463326581, -4.152532843650099}}, 
       {{-1.7349767408334933, -4.140344130732726, -4.180633591673793}}, 
       {{-1.7707374270304905, -4.16590284550236, -4.206744342498573}}, 
       {{-1.8044207710628328, -4.189935507310605, -4.230960169057928}}, 
       {{-1.8358053980644837, -4.212920169798303, -4.253254852453326}}, 
       {{-1.8646695562026294, -4.238124513519732, -4.273900700744644}}, 
       {{-1.8927844352943959, -4.254760473705254, -4.293289555412012}}, 
       {{-1.9187293549130786, -4.274327482637169, -4.310894056374737}}}, 
      {{{-2.293523483953858, -4.552749252272332, -4.9619759220970465}}, 
       {{-2.219197643108984, -4.5427333035005315, -4.908334137281198}}, 
       {{-2.168115993828515, -4.54579084025768, -4.855816676078959}}, 
       {{-2.1449975884697596, -4.557029188207284, -4.813354100545836}}, 
       {{-2.145562264761372, -4.578642724753964, -4.783820939872987}}, 
       {{-2.16101536449004, -4.600594849075797, -4.769980904740615}}, 
       {{-2.1622578157316634, -4.56581570602062, -4.771227473448032}}, 
       {{-2.2068346359133306, -4.631315647675124, -4.789530566767776}}, 
       {{-2.2642859749830015, -4.715767754200076, -4.815449591315913}}, 
       {{-2.3106200234542964, -4.766168114649849, -4.846920755746882}}, 
       {{-2.353102866082739, -4.807270807516761, -4.881851504745128}}, 
       {{-2.396684782661126, -4.845788134499081, -4.918508598755703}}, 
       {{-2.4402675736037653, -4.890646703963684, -4.955668031100764}}, 
       {{-2.483847399338579, -4.937386722470288, -4.992486446149083}}, 
       {{-2.527369686044861, -4.9784710010160795, -5.028390664140543}}, 
       {{-2.5699081838597038, -5.022536715258393, -5.06301193899005}}, 
       {{-2.611504051944993, -5.05836761171304, -5.096108518141991}}, 
       {{-2.6508264385815274, -5.091500031844891, -5.127571986540196}}, 
       {{-2.6885735020142367, -5.124197857633512, -5.15735230135327}}, 
       {{-2.7246774473289928, -5.154806166851993, -5.185444275883904}}, 
       {{-2.7592459733076864, -5.182844833529152, -5.21187729487545}}, 
       {{-2.7924255216662295, -5.206500125334547, -5.236703901461626}}, 
       {{-2.82288542899506, -5.231949174079939, -5.259990115477981}}, 
       {{-2.8520977878126694, -5.255978234274403, -5.281811289273848}}}, 
      {{{-3.297407849177317, -5.534647875913179, -5.937996328801401}}, 
       {{-3.217453946680168, -5.51325915509461, -5.884726757119712}}, 
       {{-3.152083800310762, -5.496164550816908, -5.82708915773006}}, 
       {{-3.1110442816412776, -5.492458825648049, -5.778704177249042}}, 
       {{-3.093160498491583, -5.502499660659978, -5.742023594579161}}, 
       {{-3.094061964459841, -5.519039911887686, -5.720069986700722}}, 
       {{-3.1063465843221194, -5.538005376996803, -5.707685526851675}}, 
       {{-3.10566379854037, -5.503547894686231, -5.708077195399854}}, 
       {{-3.143569951556017, -5.5623668026486, -5.724616106986452}}, 
       {{-3.195107838155139, -5.6400607330659716, -5.74811846056615}}, 
       {{-3.2371161848357213, -5.687392061418024, -5.7761026831171804}}, 
       {{-3.275457591238582, -5.724587755531349, -5.807716518174203}}, 
       {{-3.3147928546421146, -5.760754430792657, -5.841478819061243}}, 
       {{-3.354949500861239, -5.803248528421472, -5.8762941093868575}}, 
       {{-3.3958038771519305, -5.845637857832833, -5.911361889952219}}, 
       {{-3.436958667157809, -5.883691101964368, -5.946105434965148}}, 
       {{-3.4773437615816793, -5.928731737747016, -5.980115395467112}}, 
       {{-3.51743002980092, -5.967903860490024, -6.013113859071174}}, 
       {{-3.556397244329742, -6.007864516775555, -6.044913331773071}}, 
       {{-3.593682362237962, -6.0464936465747705, -6.0753987260401905}}, 
       {{-3.62979754061321, -6.078275140893841, -6.10450747148888}}, 
       {{-3.664577686562103, -6.107208581506422, -6.132218273319687}}, 
       {{-3.6978540789137293, -6.134640168859331, -6.1585440356653205}}, 
       {{-3.7290381850801926, -6.162122056413408, -6.183508946226571}}}, 
      {{{-4.268017814417291, -6.479780057193339, -6.883169428623762}}, 
       {{-4.185515721590731, -6.456759196475122, -6.831631658856351}}, 
       {{-4.110042894635773, -6.431324827994477, -6.765850187392856}}, 
       {{-4.054946389926892, -6.408799768726259, -6.711848814960793}}, 
       {{-4.021030969311556, -6.407117640281396, -6.665219892858557}}, 
       {{-4.0069832783182955, -6.411439474716078, -6.635137064199368}}, 
       {{-4.0076428280760075, -6.426727181723572, -6.615921602549934}}, 
       {{-4.017702004826504, -6.4379386483376235, -6.607516887065548}}, 
       {{-4.015084948443668, -6.407729486356126, -6.606275624982597}}, 
       {{-4.048000100422992, -6.453351093756646, -6.622167001503182}}, 
       {{-4.094115607738336, -6.529519744923281, -6.643337393980547}}, 
       {{-4.132145622228715, -6.573208387467547, -6.668327739839275}}, 
       {{-4.167124736813648, -6.6063194741887346, -6.696880568480638}}, 
       {{-4.2023868603037355, -6.6387940426602245, -6.727808248509259}}, 
       {{-4.23908669111542, -6.67921090626586, -6.760142083520192}}, 
       {{-4.277181271363935, -6.720646290625092, -6.793149518959012}}, 
       {{-4.315920557753342, -6.753259028714365, -6.826276209765386}}, 
       {{-4.3536915583881335, -6.798436593995349, -6.859119601111127}}, 
       {{-4.3926962495512685, -6.834069970352751, -6.891358917819746}}, 
       {{-4.430477001871868, -6.874791637054034, -6.922786441447522}}, 
       {{-4.466645225635409, -6.91346313535938, -6.953250500287966}}, 
       {{-4.501958480770269, -6.949707271966219, -6.982649887551339}}, 
       {{-4.536376481884404, -6.98311149573216, -7.010922119668901}}, 
       {{-4.569579605326861, -7.016748449979875, -7.038034282297272}}}, 
      {{{-5.214328984022022, -7.412703315973453, -7.8074144008198525}}, 
       {{-5.131730203930801, -7.387115498013502, -7.754317139280411}}, 
       {{-5.050421548564775, -7.349105563271553, -7.688010695561444}}, 
       {{-4.9839664401540595, -7.317322653922904, -7.62404449516249}}, 
       {{-4.936956988241577, -7.298434082792184, -7.571762319683735}}, 
       {{-4.908654733301338, -7.292136833441992, -7.531487740578571}}, 
       {{-4.896552116203473, -7.296140096087454, -7.503948151444011}}, 
       {{-4.896913094400764, -7.306335668127444, -7.487686172895175}}, 
       {{-4.904831449294385, -7.316360547604186, -7.480795394910371}}, 
       {{-4.901457864837122, -7.282632306569293, -7.4785469355261665}}, 
       {{-4.929651692628935, -7.324636280270256, -7.493266407998698}}, 
       {{-4.971670122740595, -7.393767439830709, -7.512908789950581}}, 
       {{-5.006107350809018, -7.434393367739081, -7.535358564405431}}, 
       {{-5.037311930738215, -7.464923655073668, -7.561146263712872}}, 
       {{-5.069440803318379, -7.494895815457827, -7.589407753758892}}, 
       {{-5.103009885732305, -7.53214637950217, -7.619293644443779}}, 
       {{-5.138320132022523, -7.568819263259774, -7.650139601746029}}, 
       {{-5.17434596105831, -7.602229786214703, -7.681429299308966}}, 
       {{-5.210305774443094, -7.643888539002333, -7.712764331569296}}, 
       {{-5.247036951144761, -7.678928688771483, -7.743840016834944}}, 
       {{-5.283555232787237, -7.717251881376918, -7.774426044956417}}, 
       {{-5.318334531688336, -7.755736688077301, -7.804351044421086}}, 
       {{-5.352607450399729, -7.790657616427453, -7.833490289780244}}, 
       {{-5.386494686215488, -7.82487853746008, -7.861755911570736}}}, 
      {{{-6.1445718690307976, -8.330381084370025, -8.717193204835475}}, 
       {{-6.063347543813451, -8.302945714136683, -8.66800663073281}}, 
       {{-5.978182627348575, -8.258708186166873, -8.597515738877517}}, 
       {{-5.903455804429237, -8.21815623607179, -8.525928937809908}}, 
       {{-5.845584754624601, -8.186490354670225, -8.465684030540146}}, 
       {{-5.805092938292557, -8.168956407538188, -8.416987075258392}}, 
       {{-5.780907623804116, -8.160751274868238, -8.380740692654507}}, 
       {{-5.770425045095786, -8.16242846422043, -8.356043216417092}}, 
       {{-5.770509547385973, -8.168036168067788, -8.34236796039172}}, 
       {{-5.776657192593566, -8.177171590775197, -8.336340185389112}}, 
       {{-5.772089368250477, -8.143889688387757, -8.333228143563247}}, 
       {{-5.79658918064085, -8.180298874252655, -8.346808591070412}}, 
       {{-5.834771935207419, -8.244465773755513, -8.364758026047173}}, 
       {{-5.866154624564634, -8.281506579018453, -8.385163255265779}}, 
       {{-5.894103284414629, -8.309148974681236, -8.408504839910105}}, 
       {{-5.923283416090634, -8.335772476757464, -8.434292966741442}}, 
       {{-5.953981719096912, -8.370122115977559, -8.461855552637536}}, 
       {{-5.986964841135759, -8.404264029642773, -8.490547636884035}}, 
       {{-6.020260062593287, -8.436571487334279, -8.519963595371944}}, 
       {{-6.054203107190069, -8.475089675944877, -8.549641943140742}}, 
       {{-6.08920195491264, -8.508655560564002, -8.579323262204749}}, 
       {{-6.123914432998953, -8.54544032847457, -8.60878486922788}}, 
       {{-6.157291981035259, -8.582518526427688, -8.637828391641822}}, 
       {{-6.190601601562291, -8.616981354272886, -8.666325761726538}}}, 
      {{{-7.06545034389228, -9.24070487889182, -9.626100631752212}}, 
       {{-6.9859355146946465, -9.21278614873391, -9.574683801898276}}, 
       {{-6.898424953279189, -9.166833360535387, -9.501640078065869}}, 
       {{-6.817757619043476, -9.11951754289356, -9.425420664600441}}, 
       {{-6.751313282574894, -9.075750768093519, -9.358470714877818}}, 
       {{-6.7005859544977495, -9.044109000502456, -9.300520277713904}}, 
       {{-6.665403967339036, -9.025279156047876, -9.25494433613433}}, 
       {{-6.644545321806666, -9.014406419402395, -9.222764677049327}}, 
       {{-6.634877130198725, -9.015746740202776, -9.200024983037286}}, 
       {{-6.634385314184249, -9.021657700595856, -9.187091554394284}}, 
       {{-6.638948030608263, -9.026147170540415, -9.181618499211147}}, 
       {{-6.633757705632194, -8.993544454705603, -9.178116398958272}}, 
       {{-6.655257669116332, -9.028178489207482, -9.190431008074654}}, 
       {{-6.690332149344667, -9.08312349724959, -9.207158977676254}}, 
       {{-6.718411341005194, -9.118202864421747, -9.225473718070885}}, 
       {{-6.743778271596086, -9.145773068996823, -9.24665697954517}}, 
       {{-6.770343470755484, -9.168714735613012, -9.270214219610681}}, 
       {{-6.798374325247972, -9.20033638192588, -9.295591376162534}}, 
       {{-6.828577270186533, -9.232154367301016, -9.322300204309096}}, 
       {{-6.86006614021484, -9.260771679069379, -9.349828703886445}}, 
       {{-6.8920626067091835, -9.297779102822386, -9.377804803573328}}, 
       {{-6.92502732274562, -9.330318238296963, -9.405984568235786}}, 
       {{-6.957818250066277, -9.366567417915617, -9.434142686599316}}, 
       {{-6.989911956467638, -9.400957659647947, -9.462098414892866}}}, 
      {{{-7.981649563649562, -10.148954856101836, -10.531968712899538}}, 
       {{-7.904362614292887, -10.122777290814653, -10.480033931628808}}, 
       {{-7.8158105639101585, -10.073454368576078, -10.404363430836039}}, 
       {{-7.73092088608648, -10.01816328320453, -10.325366616166693}}, 
       {{-7.657048306891744, -9.968231329683453, -10.24925051002819}}, 
       {{-7.59770348423608, -9.927653397290921, -10.183418697325628}}, 
       {{-7.553195413531764, -9.897813737288285, -10.130528913560658}}, 
       {{-7.52236167238013, -9.878105884576367, -10.088936792365617}}, 
       {{-7.503625883009898, -9.868301367216112, -10.059217219641976}}, 
       {{-7.4948416854556905, -9.867293493965127, -10.038616820770853}}, 
       {{-7.4939504002516655, -9.869440776218404, -10.026735414109714}}, 
       {{-7.497604132449321, -9.872303850232779, -10.022052178443747}}, 
       {{-7.491663943135591, -9.840840974436874, -10.018664898073624}}, 
       {{-7.510683892002183, -9.869651381858219, -10.029201746384164}}, 
       {{-7.5425680452235095, -9.922568186101122, -10.044389231671774}}, 
       {{-7.56818788678429, -9.954286817461535, -10.060980527410536}}, 
       {{-7.5909576991467285, -9.97692123761529, -10.080212629949257}}, 
       {{-7.615131448813248, -9.998937682955876, -10.101708767214514}}, 
       {{-7.640850048518919, -10.026223918127139, -10.125101498240797}}, 
       {{-7.668731202488027, -10.055270185605801, -10.149955760946689}}, 
       {{-7.698173488433234, -10.084499367952683, -10.175680366007697}}, 
       {{-7.728300535514021, -10.117415948225071, -10.202001402774401}}, 
       {{-7.759785046862993, -10.148821475239998, -10.228654478864561}}, 
       {{-7.790499382750121, -10.184402434305957, -10.255456358000481}}}, 
      {{{-8.898036208652554, -11.059967323561928, -11.437679908273289}}, 
       {{-8.822670270809237, -11.038397877221287, -11.386510434556929}}, 
       {{-8.733961929379921, -10.98739108221238, -11.309438035258069}}, 
       {{-8.646302383621071, -10.925621461298228, -11.227254370318287}}, 
       {{-8.566753438606796, -10.86818901112919, -11.143258449826796}}, 
       {{-8.500121609285346, -10.81726124566973, -11.070876721809313}}, 
       {{-8.447509009580266, -10.77519620469093, -11.011359370325852}}, 
       {{-8.407979204093994, -10.746429675232912, -10.962466446641606}}, 
       {{-8.380389435104279, -10.729699144456262, -10.924232028032328}}, 
       {{-8.3634398059857, -10.720029109768758, -10.896231833048741}}, 
       {{-8.355243090747168, -10.715706206651175, -10.877020394018558}}, 
       {{-8.354130735501288, -10.71524665049596, -10.866331818479456}}, 
       {{-8.356859321310909, -10.717146884629624, -10.861689229778616}}, 
       {{-8.350005504798917, -10.68915064101533, -10.858583158233891}}, 
       {{-8.366943624133246, -10.713017342209527, -10.86747160959143}}, 
       {{-8.396195964682812, -10.762496094363437, -10.881300949106562}}, 
       {{-8.41941789280036, -10.791433007846098, -10.896311891230107}}, 
       {{-8.440122880231488, -10.811424328113038, -10.913915974449438}}, 
       {{-8.462219482738332, -10.831239125499758, -10.933557666434936}}, 
       {{-8.486129756475895, -10.85362999287649, -10.95521632693617}}, 
       {{-8.511353905083556, -10.881816461681089, -10.978121569924278}}, 
       {{-8.538897905675741, -10.909287742355342, -11.002218183915806}}, 
       {{-8.567278068066793, -10.939179844088102, -11.026873812350283}}, 
       {{-8.597018981847123, -10.969754697252185, -11.05207248452502}}}, 
      {{{-9.819280514493771, -11.979950646925813, -12.35549821327154}}, 
       {{-9.746092982786747, -11.953944216063904, -12.303792568794746}}, 
       {{-9.657663458132827, -11.901833478716167, -12.224364100283081}}, 
       {{-9.567332744158787, -11.839368922286292, -12.135305112147925}}, 
       {{-9.483640644117058, -11.774580874136696, -12.047761651920597}}, 
       {{-9.410840926370907, -11.717278479751943, -11.96823696260652}}, 
       {{-9.350796747236577, -11.668543340333382, -11.899853422329276}}, 
       {{-9.303418695417914, -11.630158584705475, -11.843177644971597}}, 
       {{-9.268013891846667, -11.6019352376811, -11.797662399543743}}, 
       {{-9.243364089054777, -11.583228566411767, -11.763062743877772}}, 
       {{-9.227902235585157, -11.572204606736635, -11.737285929112232}}, 
       {{-9.22019862428289, -11.567819233540932, -11.719953170316355}}, 
       {{-9.218487887923535, -11.567572265040784, -11.70954224185071}}, 
       {{-9.220401932183739, -11.566971556627669, -11.704848125125674}}, 
       {{-9.213119379185638, -11.539074823444347, -11.702084166928177}}, 
       {{-9.228488992601246, -11.56105709174645, -11.710235149612314}}, 
       {{-9.25526731405016, -11.605443310726468, -11.722254441207035}}, 
       {{-9.276512737993501, -11.63105967771063, -11.735835386288434}}, 
       {{-9.29482365440829, -11.64996314726277, -11.751727681396689}}, 
       {{-9.315076392278753, -11.668482891300906, -11.769920157064025}}, 
       {{-9.337020343025117, -11.688355263676268, -11.789802280320425}}, 
       {{-9.360643156532623, -11.713504724383554, -11.811083824168907}}, 
       {{-9.386313991169832, -11.741012239369484, -11.833594954008499}}, 
       {{-9.41323963439947, -11.768197493958482, -11.856745237113795}}}, 
      {{{-10.748849508030906, -12.911783480628094, -13.285732697068331}}, 
       {{-10.677362061194447, -12.883338403896447, -13.228708907204597}}, 
       {{-10.589616151812407, -12.83016582839833, -13.149663958432004}}, 
       {{-10.497516176240032, -12.763997991521233, -13.056548473150484}}, 
       {{-10.410449292512318, -12.693281333278117, -12.965889394613761}}, 
       {{-10.332394291192601, -12.628642602747375, -12.879879084094854}}, 
       {{-10.265982187823788, -12.572689870607647, -12.803957548843028}}, 
       {{-10.211680181754815, -12.526071726935129, -12.7400209965598}}, 
       {{-10.169033971818315, -12.489428097130936, -12.687397994405359}}, 
       {{-10.137206195805637, -12.460915166433384, -12.645826675288008}}, 
       {{-10.114580897835586, -12.44343349497358, -12.613410477655492}}, 
       {{-10.100285295520624, -12.432032668929676, -12.589804508277513}}, 
       {{-10.092887691129143, -12.426659790890572, -12.573510834367267}}, 
       {{-10.091102733402803, -12.423654660535764, -12.563513146170358}}, 
       {{-10.092043597579417, -12.423128689399036, -12.558783616286357}}, 
       {{-10.084425612255506, -12.396892901140927, -12.556905850043355}}, 
       {{-10.09840819418433, -12.415571680137063, -12.563604808171952}}, 
       {{-10.122949919785114, -12.456793999151243, -12.573805130635208}}, 
       {{-10.14227555457931, -12.47923646723758, -12.58590696692662}}, 
       {{-10.15873868197154, -12.49552424373717, -12.600230388709718}}, 
       {{-10.177027658213527, -12.513861445728537, -12.616754620792133}}, 
       {{-10.197648058095664, -12.530860790980286, -12.635074122739697}}, 
       {{-10.219531186242689, -12.553593478771031, -12.654746480246505}}, 
       {{-10.243500167003662, -12.580486507675149, -12.675520876717774}}}, 
      {{{-11.691217378107414, -13.855957274691733, -14.225756016397543}}, 
       {{-11.621223888947455, -13.829417955326875, -14.168125436976588}}, 
       {{-11.533832858857348, -13.771913806219505, -14.083896098052247}}, 
       {{-11.440819475462028, -13.70427113948919, -13.988491843875586}}, 
       {{-11.350662948918357, -13.626954632590897, -13.891971735119297}}, 
       {{-11.26825300514832, -13.557621944281117, -13.800547415584894}}, 
       {{-11.19625676923033, -13.49495302209049, -13.71870884549076}}, 
       {{-11.13576651517155, -13.438696514564187, -13.648424560628623}}, 
       {{-11.08688341422953, -13.392106129921974, -13.590087886845476}}, 
       {{-11.047814812417512, -13.360053864884032, -13.54053327312496}}, 
       {{-11.018904153790542, -13.332859368490798, -13.501848938331213}}, 
       {{-10.998164274549296, -13.31324321878161, -13.470415882858704}}, 
       {{-10.985051335276488, -13.300794380104568, -13.447840085810482}}, 
       {{-10.977979408407792, -13.29509699318723, -13.4314042880761}}, 
       {{-10.975492186967587, -13.291824828991334, -13.421212234085045}}, 
       {{-10.9762041312141, -13.289075355605036, -13.41648774171404}}, 
       {{-10.967685116756963, -13.267273644403929, -13.414870610936868}}, 
       {{-10.980638400659117, -13.283333972682899, -13.420098707081378}}, 
       {{-11.003649804331612, -13.318099444996536, -13.42911240398706}}, 
       {{-11.020619357893368, -13.34105105390774, -13.439854881015426}}, 
       {{-11.035409352471834, -13.355124552728622, -13.453025080311567}}, 
       {{-11.052188489064473, -13.370410805069126, -13.468108873065885}}, 
       {{-11.070934672037668, -13.388484728839018, -13.485097646456747}}, 
       {{-11.091650109474832, -13.407447893363951, -13.503339978146572}}}, 
      {{{-12.64999952677255, -14.820576091100174, -15.18160002920287}}, 
       {{-12.58130336890019, -14.792047580511785, -15.12134444880783}}, 
       {{-12.494270069926857, -14.735278365326721, -15.034352478817137}}, 
       {{-12.400289257273869, -14.661530160373877, -14.93513956638749}}, 
       {{-12.307708812669725, -14.582417538493898, -14.834687277430419}}, 
       {{-12.221695740006124, -14.504495162073749, -14.738973862344817}}, 
       {{-12.144925283601385, -14.433601267383578, -14.650597161132406}}, 
       {{-12.078953747312742, -14.371104738897944, -14.57283222361518}}, 
       {{-12.023662028462986, -14.317970104521205, -14.505443076964804}}, 
       {{-11.978585468625514, -14.27622937898015, -14.449278258354502}}, 
       {{-11.943197180194048, -14.242118085762536, -14.403179081931606}}, 
       {{-11.916505958225168, -14.21643034269638, -14.366425296812476}}, 
       {{-11.89741598320553, -14.19801538029025, -14.337822287089853}}, 
       {{-11.884856218257609, -14.18591885073985, -14.315978626712578}}, 
       {{-11.877888357080998, -14.178853792236096, -14.300844356574338}}, 
       {{-11.875382031501578, -14.175279864312316, -14.291510873469097}}, 
       {{-11.875265975062401, -14.172905576834571, -14.28702475743006}}, 
       {{-11.866911295516726, -14.149712226486143, -14.285767196123965}}, 
       {{-11.878783814730742, -14.165426742043406, -14.290132768676976}}, 
       {{-11.899904802633085, -14.197449662842844, -14.29803963527705}}, 
       {{-11.915345336960037, -14.215739455646615, -14.307873282653823}}, 
       {{-11.928473846214143, -14.228088361184591, -14.319877881013431}}, 
       {{-11.943827377051205, -14.24240322163971, -14.333888448956197}}, 
       {{-11.960924352058015, -14.259774782061342, -14.349503364675522}}}, 
      {{{-13.629755351817387, -15.808222666395066, -16.158865473165125}}, 
       {{-13.56149181142882, -15.782927802275553, -16.091925609349882}}, 
       {{-13.474870319598004, -15.721390507622083, -16.002392110645886}}, 
       {{-13.379754740838132, -15.64542962067254, -15.898144421294807}}, 
       {{-13.284940323906245, -15.558510027963893, -15.792062963894878}}, 
       {{-13.196009159701525, -15.473386414270326, -15.68998984744319}}, 
       {{-13.114681991299463, -15.395870731718887, -15.594824718542364}}, 
       {{-13.043822138691057, -15.325489926686167, -15.511940155451303}}, 
       {{-12.98278959599232, -15.267697560462643, -15.439132206118623}}, 
       {{-12.932232491300898, -15.215777611801338, -15.377443605274461}}, 
       {{-12.891074211298244, -15.174470303882474, -15.32595920444638}}, 
       {{-12.85843917488232, -15.142636619542321, -15.283442179298605}}, 
       {{-12.83361497549329, -15.118088723306125, -15.248930171655546}}, 
       {{-12.816028196148961, -15.099168596639094, -15.222236346475245}}, 
       {{-12.804136950784653, -15.087816046028085, -15.202311594442905}}, 
       {{-12.79726079173291, -15.080262158413891, -15.188268368220504}}, 
       {{-12.794432132156615, -15.076397054770432, -15.179534915032121}}, 
       {{-12.794018478532891, -15.073125777569912, -15.175358362941079}}, 
       {{-12.785450035957677, -15.05120946978384, -15.174391404496173}}, 
       {{-12.796186509813273, -15.066344497273219, -15.178025072150609}}, 
       {{-12.815980497291154, -15.09414703690961, -15.184950066505918}}, 
       {{-12.829817155827756, -15.10962604584642, -15.193835972893678}}, 
       {{-12.841455722360248, -15.120390650763822, -15.204892954163517}}, 
       {{-12.85528097570129, -15.134115442212877, -15.217814620258123}}}, 
      {{{-14.63375103529454, -16.828311684181386, -17.15048394812726}}, 
       {{-14.566280427855425, -16.795464172861, -17.078198896253827}}, 
       {{-14.47973626526531, -16.730214715916183, -16.982461042136315}}, 
       {{-14.384101768338374, -16.647636874731887, -16.8748029004954}}, 
       {{-14.287140962250186, -16.55839815077623, -16.76410684773936}}, 
       {{-14.194772138060829, -16.46850256801722, -16.658394873794357}}, 
       {{-14.109858017728953, -16.3842329072586, -16.560315732027632}}, 
       {{-14.034208920949087, -16.30799851623853, -16.472241317670566}}, 
       {{-13.9683814539621, -16.24087289507504, -16.39491811041065}}, 
       {{-13.912348909856101, -16.183823603818144, -16.328015978195804}}, 
       {{-13.865615872192596, -16.13592315234338, -16.271158705188967}}, 
       {{-13.827670525039887, -16.09633731327101, -16.223360924666615}}, 
       {{-13.797522654230661, -16.065352156786787, -16.184114512737025}}, 
       {{-13.774542319261911, -16.04102495347779, -16.152681726133267}}, 
       {{-13.757747721831128, -16.023156194995927, -16.128130042200556}}, 
       {{-13.746470846153267, -16.01075092859413, -16.109765350755403}}, 
       {{-13.7398540350001, -16.002504435766014, -16.0968401734321}}, 
       {{-13.73674350559409, -15.998170033981243, -16.08866087198376}}, 
       {{-13.73585080128959, -15.994867952232312, -16.08469093995314}}, 
       {{-13.726993911802245, -15.975741476741913, -16.08393122793594}}, 
       {{-13.737243071820632, -15.988920671060363, -16.08716158214454}}, 
       {{-13.755500571841097, -16.013437339714443, -16.09307840661375}}, 
       {{-13.76777031530943, -16.02641061715402, -16.101194195382654}}, 
       {{-13.778510613924954, -16.03569464867188, -16.11137706947146}}}, 
      {{{-15.667692050322852, -17.87833815499006, -18.15277293470126}}, 
       {{-15.600546603974415, -17.840343065010824, -18.077144087433634}}, 
       {{-15.513358745234989, -17.77213554048749, -17.977178470004468}}, 
       {{-15.416915112494916, -17.682707565799074, -17.868439178284813}}, 
       {{-15.318210104867257, -17.587462497180876, -17.756768717396564}}, 
       {{-15.223061049916527, -17.491512386134776, -17.648680836084328}}, 
       {{-15.134221714998306, -17.40181286219142, -17.547484503846977}}, 
       {{-15.05444997259916, -17.31865833673979, -17.456128315980635}}, 
       {{-14.983924728471004, -17.24577430256941, -17.374669690652304}}, 
       {{-14.923242108155588, -17.180210803622174, -17.30357165554542}}, 
       {{-14.871351360564843, -17.12638597873291, -17.24224528902277}}, 
       {{-14.828195772869666, -17.0803374206428, -17.19010809848667}}, 
       {{-14.792938648953537, -17.04304809679061, -17.14663833564992}}, 
       {{-14.764891381130699, -17.01297779735861, -17.11084627433608}}, 
       {{-14.743488545800231, -16.98950738157646, -17.082125513979786}}, 
       {{-14.727523883170088, -16.972100978451667, -17.059578301594613}}, 
       {{-14.716655393608406, -16.95970566784394, -17.04262315279965}}, 
       {{-14.71011510185492, -16.95093234331579, -17.030607030177592}}, 
       {{-14.706955937239195, -16.946045568193895, -17.02297550937725}}, 
       {{-14.705788593923634, -16.942295940813526, -17.019211037014337}}, 
       {{-14.696522015394734, -16.925743560408, -17.01868316398401}}, 
       {{-14.706414250560648, -16.937132153768708, -17.02142430936931}}, 
       {{-14.72319134178538, -16.958490137867464, -17.026628335572095}}, 
       {{-14.733964166984148, -16.969182970232282, -17.03406905705189}}}, 
      {{{-16.736072194343354, -18.96650814175644, -19.169460859441774}}, 
       {{-16.66868293972649, -18.92109031541572, -19.090233295402516}}, 
       {{-16.581624400246056, -18.8446912107495, -18.991529101569967}}, 
       {{-16.48399268023779, -18.75088316568523, -18.88257690553025}}, 
       {{-16.38345321079854, -18.649753138830356, -18.770982517053238}}, 
       {{-16.285497177862702, -18.548400602142124, -18.662268333255806}}, 
       {{-16.193684495699348, -18.451370986276096, -18.560145991145}}, 
       {{-16.10988471824128, -18.362205670761632, -18.466567403279594}}, 
       {{-16.03513066595518, -18.28236918825996, -18.382609516370934}}, 
       {{-15.969587752286738, -18.212845414325063, -18.308324483324107}}, 
       {{-15.91303102621043, -18.15128855112756, -18.243576857130957}}, 
       {{-15.865071608391496, -18.098142494249796, -18.1878649406513}}, 
       {{-15.825004665007084, -18.056023531434917, -18.14050099949824}}, 
       {{-15.792174992435799, -18.020010724030474, -18.10083507308209}}, 
       {{-15.76604191854762, -17.989635466176026, -18.068154182358303}}, 
       {{-15.745751362084079, -17.96808164924227, -18.041768591832284}}, 
       {{-15.730903021580145, -17.950354330368874, -18.021055383558902}}, 
       {{-15.719960015112743, -17.93848023188252, -18.005414612899344}}, 
       {{-15.713951814908604, -17.928622269678616, -17.99428930248644}}, 
       {{-15.710666456483853, -17.922872051371957, -17.987175833962695}}, 
       {{-15.708616873074055, -17.9208764986418, -17.98360191811579}}, 
       {{-15.699734562759113, -17.905644532983896, -17.983153698030495}}, 
       {{-15.709001440639657, -17.916249203133216, -17.98546041237799}}, 
       {{-15.724385045002164, -17.933582674967795, -17.990179650072438}}}, 
      {{{-17.845644403146096, -20.09123528273953, -20.205382517812595}}, 
       {{-17.77780604654949, -20.03880450064065, -20.128218902747818}}, 
       {{-17.690389891177155, -19.954372139020595, -20.0322988547589}}, 
       {{-17.591343979754445, -19.85543253970471, -19.925853009254087}}, 
       {{-17.489206134055827, -19.748020689675677, -19.816053175571646}}, 
       {{-17.388635584205968, -19.64081402857284, -19.7081528258419}}, 
       {{-17.293739573353648, -19.53855746179983, -19.60580997058996}}, 
       {{-17.206551647816877, -19.443412492878462, -19.511195546812345}}, 
       {{-17.127744615974695, -19.35732202154252, -19.42533177786074}}, 
       {{-17.05788546011976, -19.28116998631625, -19.348671847252668}}, 
       {{-16.99702897954853, -19.21427718257264, -19.281109518661335}}, 
       {{-16.94445727583166, -19.156351324184534, -19.22222351226862}}, 
       {{-16.899773486666543, -19.107152623988064, -19.17151597949418}}, 
       {{-16.862430251535756, -19.065821479025363, -19.128380802505987}}, 
       {{-16.831771491006336, -19.031630570437738, -19.092184919448297}}, 
       {{-16.80705055679345, -19.003921369533785, -19.062299833914775}}, 
       {{-16.788018783597092, -18.981499195062074, -19.038120512766742}}, 
       {{-16.773719899776896, -18.96449931953222, -19.019076094342168}}, 
       {{-16.763673343877432, -18.951889426745872, -19.004635317432147}}, 
       {{-16.757074650789857, -18.94329415577525, -18.994313625364864}}, 
       {{-16.753547088013438, -18.93790847749579, -18.98765293564362}}, 
       {{-16.75161317341152, -18.93452785453888, -18.984250507419553}}, 
       {{-16.742325387237575, -18.922801246078166, -18.98373669427818}}, 
       {{-16.751243233171813, -18.93185894127006, -18.985777447214808}}}, 
      {{{-19.00338053242783, -21.254541462709692, -21.273436094791588}}, 
       {{-18.935202278185425, -21.191005334801456, -21.199937546701033}}, 
       {{-18.846758462677155, -21.101869945057164, -21.107876572071852}}, 
       {{-18.746960481275394, -20.99658097302324, -21.00505633535729}}, 
       {{-18.64301450758839, -20.884775859573736, -20.898046648430654}}, 
       {{-18.54040136380673, -20.772797360814454, -20.7919123930727}}, 
       {{-18.442705548895457, -20.665575947226884, -20.69028902414868}}, 
       {{-18.35201542893755, -20.56605471367372, -20.595445522933602}}, 
       {{-18.269577669389292, -20.475203996097797, -20.508587934697214}}, 
       {{-18.195855653985827, -20.393314918781183, -20.43026606768583}}, 
       {{-18.130747768296494, -20.322025876100547, -20.360523269000886}}, 
       {{-18.073936695765116, -20.258499576286653, -20.299128779082867}}, 
       {{-18.02497927525358, -20.204704165681953, -20.24562188974994}}, 
       {{-17.983360068068226, -20.158228229737137, -20.199500312650997}}, 
       {{-17.948521191733075, -20.119203518711696, -20.16020137951096}}, 
       {{-17.91951300765676, -20.08662734824157, -20.127153673599484}}, 
       {{-17.896697357049923, -20.05966026490301, -20.09980259769594}}, 
       {{-17.87846840785074, -20.038059731594927, -20.07760451671519}}, 
       {{-17.864514928758243, -20.02005311573586, -20.06006129678181}}, 
       {{-17.855138177940876, -20.005799083419156, -20.046705401718224}}, 
       {{-17.848409587920383, -19.996240794844375, -20.03710553236177}}, 
       {{-17.84472235697446, -19.989979027305225, -20.030860478882705}}, 
       {{-17.84280015030605, -19.987241153096814, -20.02762653908388}}, 
       {{-17.833022174148738, -19.983096242723065, -20.027058205700968}}}}, 
     {Automatic, Automatic}]
 
sigmaLOSS8[x_, y_] := If[x < 200 || x > 2500 || y < 200 || y > 2500, 
     "Squark or gluino mass outside range of interpolation!", 
     {SetPrecision[E^fLOSSLog8[x, y][[1]], 3], SetPrecision[
       E^fLOSSLog8[x, y][[2]], 3], SetPrecision[-E^fLOSSLog8[x, y][[3]], 3]}]
 
fLOSSLog8 = InterpolatingFunction[{{200., 2500.}, {200., 2500.}}, 
     {4, 3, 0, {24, 24}, {5, 5}, 0, 0, 0, 0, Automatic}, 
     {{200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000., 2100., 2200., 
       2300., 2400., 2500.}, {200., 300., 400., 500., 600., 700., 800., 900., 
       1000., 1100., 1200., 1300., 1400., 1500., 1600., 1700., 1800., 1900., 
       2000., 2100., 2200., 2300., 2400., 2500.}}, 
     {{{{5.180659323079804, 3.9318256327243257, 3.6082115510464816}}, 
       {{4.916324614625014, 3.6635616461296463, 3.342861804649192}}, 
       {{4.6549122778829055, 3.4078419243808247, 3.079613757534693}}, 
       {{4.4124345908452645, 3.1667400704476725, 2.8408313123360283}}, 
       {{4.189048497691398, 2.9465420293632194, 2.620311286794203}}, 
       {{3.9837853716550367, 2.7447035187502458, 2.41769790009455}}, 
       {{3.794814804522605, 2.559550192783766, 2.231089091288976}}, 
       {{3.6200651381135764, 2.3878449369448687, 2.0592388343623167}}, 
       {{3.457892725338701, 2.2278615467981093, 1.8991179875485542}}, 
       {{3.306520334720247, 2.0794415416798357, 1.749199854809259}}, 
       {{3.164630810015805, 1.9416152247724323, 1.607435909763427}}, 
       {{3.0315819264476884, 1.8099267731835038, 1.4770487243883546}}, 
       {{2.906354462402774, 1.686398953570229, 1.3532545070416901}}, 
       {{2.7880929087757464, 1.5686159179138455, 1.2383742310432682}}, 
       {{2.67552700939665, 1.458615022699517, 1.1249295969854831}}, 
       {{2.5687881337687024, 1.3532545070416906, 1.0188473201992476}}, 
       {{2.4672517145492794, 1.252762968495368, 0.918687856473876}}, 
       {{2.3702437414678603, 1.156881196792086, 0.8224195162640844}}, 
       {{2.277574929989878, 1.067121621576739, 0.7309245448939752}}, 
       {{2.188744276570286, 0.9768212316141877, 0.6429059641231981}}, 
       {{2.103524212195793, 0.8940451229268355, 0.5584722772333438}}, 
       {{2.0215475632609334, 0.8127064156175847, 0.4768551041948372}}, 
       {{1.9426190249570996, 0.7347688552507643, 0.39810475370187187}}, 
       {{1.8667123224644557, 0.6595903970311027, 0.3235317253454779}}}, 
      {{{3.6597080768136565, 2.484072969039423, 2.141241942585283}}, 
       {{3.508256453955563, 2.3253245799635347, 1.9851308622085948}}, 
       {{3.331489969237335, 2.1471001901536506, 1.8066480817218056}}, 
       {{3.151025157960026, 1.965712776351493, 1.6253112615903902}}, 
       {{2.975529566236472, 1.791759469228055, 1.4516138272405334}}, 
       {{2.8081971497071487, 1.6253112615903909, 1.286474025837679}}, 
       {{2.6490076604684267, 1.4701758451005922, 1.128171090909654}}, 
       {{2.498973906999436, 1.3217558399823195, 0.9783261227936078}}, 
       {{2.3570732782781154, 1.1817271953786161, 0.8376803312922436}}, 
       {{2.223217157610473, 1.0483710722313628, 0.7060634058264915}}, 
       {{2.096175740671001, 0.9222728035517027, 0.580538236177291}}, 
       {{1.9756076379346226, 0.8042412280655319, 0.46121512321265645}}, 
       {{1.860974538249528, 0.6911451778892724, 0.34783599527152764}}, 
       {{1.7518051537210222, 0.5833323145527392, 0.23980399220731693}}, 
       {{1.6476966245511908, 0.48057258059496977, 0.13627761829254775}}, 
       {{1.5479879501178777, 0.38253760346445986, 0.037295784743696714}}, 
       {{1.4527841023887236, 0.2881819474934317, -0.056570351488394}}, 
       {{1.3614892422009195, 0.19803085049913471, -0.14734058789870913}}, 
       {{1.2736854167372362, 0.1115413747329077, -0.23445731121448327}}, 
       {{1.189366651936574, 0.027615167032972957, -0.3174542307854508}}, 
       {{1.1082325320451003, -0.05234648037220888, -0.3989861420104555}}, 
       {{1.0299764962779716, -0.13010868534702077, -0.4764241970486583}}, 
       {{0.9543569326806114, -0.2045671657412744, -0.5516476182862456}}, 
       {{0.8812851226753399, -0.2770718933397654, -0.6236211179113346}}}, 
      {{{2.432735777459091, 1.3056264580524357, 0.9501122803496659}}, 
       {{2.3561258599220753, 1.217875709494927, 0.8687797492031035}}, 
       {{2.2399647310123783, 1.0976117883345262, 0.7490548124982418}}, 
       {{2.1080289985317484, 0.9662231006223642, 0.6157260335913599}}, 
       {{1.971160097594346, 0.8276780735175516, 0.4780957991430721}}, 
       {{1.834818958688502, 0.6916460544336777, 0.3421702577358509}}, 
       {{1.7016523964219112, 0.5596157879354227, 0.20945022418220696}}, 
       {{1.5729813754234852, 0.43178241642553783, 0.08157998699242243}}, 
       {{1.4490343909410766, 0.3089542077273207, -0.04186420409869829}}, 
       {{1.3302529702362658, 0.19144646457095546, -0.1589957314904577}}, 
       {{1.2163953243244932, 0.07881118042428964, -0.2718087232954908}}, 
       {{1.1072416153661642, -0.029428810690812053, -0.379797361359587}}, 
       {{1.0024684281152074, -0.13353139262452263, -0.4845083154486171}}, 
       {{0.9017860456712733, -0.2319320573472889, -0.5851900390548531}}, 
       {{0.8055826098897335, -0.32850406697203577, -0.6792442753909541}}, 
       {{0.7124594915923183, -0.41855034765682, -0.7721903879003978}}, 
       {{0.6232610530957788, -0.5074978336733159, -0.8603830999358589}}, 
       {{0.5376622777195503, -0.594207232705042, -0.9441759353636907}}, 
       {{0.4542552722775964, -0.6733445532637656, -1.030019497202498}}, 
       {{0.3743183791113276, -0.7528971849657191, -1.1086626245216116}}, 
       {{0.2971372312225361, -0.8301130356331029, -1.1841701770297561}}, 
       {{0.2223432311434407, -0.9038682118755984, -1.2591332155032111}}, 
       {{0.1501426584297194, -0.9755100915341263, -1.330670457371894}}, 
       {{0.08065790301745454, -1.0469690555162714, -1.397557553398601}}}, 
      {{{1.3724489542978375, 0.27914574142949494, -0.08121005542554353}}, 
       {{1.346253311582707, 0.24529635595534344, -0.11428914640212778}}, 
       {{1.2773161985501456, 0.17058630057553328, -0.18632957819149337}}, 
       {{1.1844841277420737, 0.07510747248680569, -0.282362910974181}}, 
       {{1.0804483180404385, -0.031490667091370966, -0.38566248081198445}}, 
       {{0.9707789171582248, -0.14041215371674529, -0.4975803970159699}}, 
       {{0.8603550995438517, -0.25231492861448945, -0.6069694843188931}}, 
       {{0.7504722471792147, -0.3609698682216131, -0.7174398731289899}}, 
       {{0.6429059641231986, -0.46840490788203837, -0.8232558659069661}}, 
       {{0.5376622777195503, -0.5709295478356958, -0.9288695140810151}}, 
       {{0.4356709501652302, -0.6713856887784329, -1.030019497202498}}, 
       {{0.33718626735486995, -0.7700282248959028, -1.1270117631898076}}, 
       {{0.24216155714997162, -0.8675005677047233, -1.2211189631609063}}, 
       {{0.14928170271575447, -0.9571127263944105, -1.3152768738846101}}, 
       {{0.060153922819747144, -1.0441241033840403, -1.4032370818502025}}, 
       {{-0.02613865760969481, -1.1307223425863433, -1.4889917593582336}}, 
       {{-0.1095916766300944, -1.2146967676889115, -1.5716605481000705}}, 
       {{-0.19031340672350713, -1.2935328810385796, -1.6518236289305384}}, 
       {{-0.2685332536130201, -1.372391455950899, -1.7293482091066579}}, 
       {{-0.34432297316592675, -1.4460443655256645, -1.8048447087767105}}, 
       {{-0.4176389090398732, -1.5186835491656359, -1.8773173575897022}}, 
       {{-0.4889010663501991, -1.5891452091663376, -1.948413279273432}}, 
       {{-0.5579172312998412, -1.6581030844153815, -2.016654553581071}}, 
       {{-0.6251147701681183, -1.7242877541130424, -2.083449563077375}}}, 
      {{{0.41607528722017995, -0.6462635946610948, -1.0133524447172864}}, 
       {{0.42592111667554666, -0.644357016390513, -1.0106014113453967}}, 
       {{0.39339252687389514, -0.683196849706777, -1.0469690555162714}}, 
       {{0.33361100434018065, -0.7465479572870601, -1.1086626245216116}}, 
       {{0.2569650997897204, -0.8255363686056906, -1.187771424987928}}, 
       {{0.17142911562753102, -0.9113031903631162, -1.2747529863869829}}, 
       {{0.08157998699242285, -1.0051219455807705, -1.363359389837395}}, 
       {{-0.011263192278710714, -1.096015662820844, -1.4575755631248544}}, 
       {{-0.10402807042404769, -1.188099455169646, -1.550226052802254}}, 
       {{-0.1960148839259572, -1.2801341652914995, -1.6419611041396605}}, 
       {{-0.28661597426978325, -1.369633920226784, -1.7321706778163972}}, 
       {{-0.37542098675978763, -1.4584350388975733, -1.8201589437497527}}, 
       {{-0.4621942023542537, -1.5445869401144838, -1.9064971466984781}}, 
       {{-0.5467982842248083, -1.628620731850874, -1.9906983318454474}}, 
       {{-0.6290462551534217, -1.7103638310240612, -2.0722673379318355}}, 
       {{-0.709276562489829, -1.789162843380789, -2.1524424345643265}}, 
       {{-0.7870183961700159, -1.8669141428288154, -2.2293346312544533}}, 
       {{-0.8627499649461253, -1.942117350816617, -2.304587095664719}}, 
       {{-0.9364934391916745, -2.015153051797474, -2.3783868064103277}}, 
       {{-1.0081319355397351, -2.085862109482759, -2.449925680892755}}, 
       {{-1.0776338822829181, -2.155027528636431, -2.5182566294695543}}, 
       {{-1.1453894802270386, -2.222850124975192, -2.584948003968227}}, 
       {{-1.2113331587322285, -2.287696480500295, -2.650725134482941}}, 
       {{-1.2758269080939195, -2.3507254683219805, -2.7165865321244964}}}, 
      {{{-0.46968368043481556, -1.504627548081755, -1.878625402249717}}, 
       {{-0.4358727705295899, -1.4784096500276964, -1.8502363989870305}}, 
       {{-0.4397460420850386, -1.4876628555081794, -1.8585405029184063}}, 
       {{-0.4720857954500601, -1.524178068483277, -1.8937921947932064}}, 
       {{-0.5237420156992175, -1.5784238589049313, -1.9477117710019412}}, 
       {{-0.5878866699024524, -1.6450650900772512, -2.0129050178795915}}, 
       {{-0.6597124044737079, -1.7175800710538036, -2.0858621094827585}}, 
       {{-0.7360546815712219, -1.7951652623628878, -2.162823150618887}}, 
       {{-0.8148629392440417, -1.8740547119548854, -2.241489993634235}}, 
       {{-0.8947738884119054, -1.9540431322855023, -2.3217679124108193}}, 
       {{-0.9747146520118722, -2.0333216060662833, -2.4013010659332035}}, 
       {{-1.0541170487815585, -2.11279152136139, -2.4805163014867073}}, 
       {{-1.132272490160745, -2.191043718261138, -2.557477342622836}}, 
       {{-1.2093204106525313, -2.2681836662767134, -2.6352645313765626}}, 
       {{-1.2851828597514792, -2.3423659630058906, -2.7105533313203285}}, 
       {{-1.359068374866299, -2.4168742393961735, -2.7838519145184915}}, 
       {{-1.4317102246503732, -2.4877105771207346, -2.8559703311788325}}, 
       {{-1.5023788401406926, -2.558768498386456, -2.9262062109053812}}, 
       {{-1.5716605481000705, -2.6269311498174175, -2.9957322735539913}}, 
       {{-1.6393817888071724, -2.694147295933219, -3.0640111143072857}}, 
       {{-1.7053983035800115, -2.7582914175389566, -3.130407176880593}}, 
       {{-1.7696066645869217, -2.8234610526135375, -3.191747157479948}}, 
       {{-1.8325814637483102, -2.885981409594872, -3.2570970376883985}}, 
       {{-1.8937921947932066, -2.9469421093845587, -3.315937537711332}}}, 
      {{{-1.3063747379440172, -2.316684017373547, -2.6956276811036535}}, 
       {{-1.256670593326385, -2.2730262907525014, -2.6507251344829403}}, 
       {{-1.2382192430545274, -2.2595256035335987, -2.636660205015537}}, 
       {{-1.247576441808068, -2.2730262907525014, -2.6493097060796096}}, 
       {{-1.2776193444942345, -2.306593114391584, -2.682382454353632}}, 
       {{-1.3223810353762377, -2.3538783873815965, -2.7287632426997512}}, 
       {{-1.3771364233351249, -2.410170303673983, -2.7838519145184915}}, 
       {{-1.438430115540419, -2.4733734139743273, -2.8455896151242714}}, 
       {{-1.5041774017766074, -2.539574051130309, -2.913231052042247}}, 
       {{-1.5721421276904035, -2.6091102532473065, -2.9798589243977007}}, 
       {{-1.6419611041396605, -2.6780060797538336, -3.0491330502811063}}, 
       {{-1.7120245012092015, -2.7488721956224653, -3.119030489898485}}, 
       {{-1.7826015314432895, -2.8184232585835804, -3.191747157479948}}, 
       {{-1.8521466192431502, -2.887775132048899, -3.2596978193884554}}, 
       {{-1.9214126774549258, -2.9565115604007097, -3.3298073855754824}}, 
       {{-1.9899665352522333, -3.024131748075689, -3.3991993789994828}}, 
       {{-2.0565065703973398, -3.092243173934835, -3.463179174018036}}, 
       {{-2.1227666664182094, -3.1559010257068123, -3.529826524259336}}, 
       {{-2.1874722858935414, -3.221378955086319, -3.593932976804983}}, 
       {{-2.2509418598422073, -3.2834143460057716, -3.6569932652516144}}, 
       {{-2.313342749647006, -3.344722534734176, -3.7197511177810236}}, 
       {{-2.374295940548046, -3.407617949465078, -3.780117934548208}}, 
       {{-2.4340614557824316, -3.4666963638948505, -3.8397023438485203}}, 
       {{-2.4925356769524916, -3.523365015636363, -3.8981201002591552}}}, 
      {{{-2.107841016201534, -3.0966581921439515, -3.47861852863074}}, 
       {{-2.047942874620465, -3.0407296394847267, -3.4231362891809094}}, 
       {{-2.0129050178795915, -3.0098311979334924, -3.392931637245123}}, 
       {{-2.003221515768427, -3.0037644452512553, -3.387294476493164}}, 
       {{-2.014403145500614, -3.020024966123035, -3.3991993789994828}}, 
       {{-2.0417604747121474, -3.0491330502811063, -3.428979762674607}}, 
       {{-2.08104282304681, -3.090042953025232, -3.470547459796949}}, 
       {{-2.127791802620883, -3.139602643973693, -3.5162715895076206}}, 
       {{-2.1812528078265205, -3.191747157479948, -3.5716298940636966}}, 
       {{-2.238671767250393, -3.249335032352909, -3.6302332586812027}}, 
       {{-2.2975975514830065, -3.3131865043394426, -3.686881451451263}}, 
       {{-2.359472955201094, -3.3717356715125364, -3.7503294164301586}}, 
       {{-2.4218191809177436, -3.43454736134371, -3.8130830575732424}}, 
       {{-2.48458670097708, -3.498589727670805, -3.8756910761807553}}, 
       {{-2.54720767598538, -3.5613661338149765, -3.937853765462668}}, 
       {{-2.6096538792460167, -3.62159470730834, -4.000307920295718}}, 
       {{-2.67147722087137, -3.6844891058126437, -4.061683779982552}}, 
       {{-2.732752813742582, -3.7452381877833205, -4.123361511292593}}, 
       {{-2.7931180134922737, -3.805413270369888, -4.183175775928716}}, 
       {{-2.852671430713339, -3.864662434068309, -4.242612578891204}}, 
       {{-2.911207318484303, -3.9230839527875707, -4.300630996469887}}, 
       {{-2.9688956196004312, -3.9797666575146655, -4.358310108056565}}, 
       {{-3.025367078683682, -4.0364530838063235, -4.414549826379441}}, 
       {{-3.0810723207210065, -4.091747936374835, -4.469765548981888}}}, 
      {{{-2.88526482052802, -3.849517800076749, -4.240527072400182}}, 
       {{-2.819261130438212, -3.788478819336691, -4.177943586098414}}, 
       {{-2.771309540741401, -3.7452381877833205, -4.133293312360676}}, 
       {{-2.7457520682862215, -3.7242993993451963, -4.110473944151985}}, 
       {{-2.740935028437987, -3.7226430842667457, -4.10864634693296}}, 
       {{-2.7526292445001777, -3.736809987871486, -4.122126943234552}}, 
       {{-2.777078787512646, -3.763603000309873, -4.147745338949217}}, 
       {{-2.81124639393066, -3.799140848371474, -4.183175775928716}}, 
       {{-2.852671430713339, -3.8415645417795847, -4.226049053219529}}, 
       {{-2.898968605121683, -3.8892835184586567, -4.272275770714763}}, 
       {{-2.9492304399025713, -3.939908208917682, -4.323003294224421}}, 
       {{-3.0021528413569136, -3.9932330608536892, -4.37644225637998}}, 
       {{-3.0567569753917656, -4.04784272857068, -4.431216878864653}}, 
       {{-3.112490834164187, -4.1037890210501, -4.487387150331708}}, 
       {{-3.1688958925631803, -4.160484364726646, -4.543134795068639}}, 
       {{-3.2256487091556294, -4.216512196196308, -4.600182644477052}}, 
       {{-3.2820819007719932, -4.273710491190423, -4.656463480375642}}, 
       {{-3.338504312323732, -4.329813763226947, -4.712755396668029}}, 
       {{-3.394718415564446, -4.38523176562283, -4.768866278658881}}, 
       {{-3.4501775638838743, -4.441352100758696, -4.823326195791262}}, 
       {{-3.505225452086203, -4.495419322028972, -4.879607031689852}}, 
       {{-3.559255686320431, -4.549735479099991, -4.932286327685279}}, 
       {{-3.6130301418304986, -4.602174677008293, -4.9864306053994385}}, 
       {{-3.6655536288104393, -4.655411402424838, -5.039034768617953}}}, 
      {{{-3.6454368962710997, -4.588313068921669, -4.9849675473476776}}, 
       {{-3.576265309744802, -4.522668964476348, -4.91851200522045}}, 
       {{-3.518967917396663, -4.470639293030485, -4.863940914945452}}, 
       {{-3.480890150571404, -4.436271649526278, -4.8283137373023015}}, 
       {{-3.46190325677955, -4.421183349875076, -4.812194355422418}}, 
       {{-3.4596743114211312, -4.422015642890245, -4.812194355422418}}, 
       {{-3.4711907534826905, -4.434583885412557, -4.825816857103714}}, 
       {{-3.4929837772928636, -4.458475806837288, -4.848516444619821}}, 
       {{-3.523026090027289, -4.490057378887586, -4.879607031689852}}, 
       {{-3.559255686320431, -4.528209144851963, -4.915779763083577}}, 
       {{-3.6001362442795477, -4.5698030421508005, -4.957568573159564}}, 
       {{-3.6446711994496157, -4.61421093064024, -5.002667124447079}}, 
       {{-3.6916833814466705, -4.6617405374764855, -5.049896008049558}}, 
       {{-3.740593889800615, -4.711642430498608, -5.097828505798633}}, 
       {{-3.791133688152693, -4.760655088828486, -5.149897361429764}}, 
       {{-3.842030633608111, -4.8121943554224185, -5.201190655817314}}, 
       {{-3.893692048743423, -4.862646416382806, -5.253344000905305}}, 
       {{-3.945062859506346, -4.915779763083577, -5.302325387945576}}, 
       {{-3.9970363797551025, -4.9661400542097045, -5.355946479384673}}, 
       {{-4.048415630333701, -5.019171625118542, -5.405902577227974}}, 
       {{-4.099558129274988, -5.07038529850203, -5.456141451741604}}, 
       {{-4.150280194552404, -5.121008351577626, -5.506572305368496}}, 
       {{-4.201039300893064, -5.170804046249077, -5.559682130682444}}, 
       {{-4.250998372267477, -5.219506186123747, -5.610292131568862}}}, 
      {{{-4.394909260504895, -5.316481337175707, -5.718693087391955}}, 
       {{-4.323757726549906, -5.251433780649187, -5.649010238809222}}, 
       {{-4.260163046917041, -5.190360225042944, -5.588669667555696}}, 
       {{-4.21245265070243, -5.144738278619736, -5.544217904984863}}, 
       {{-4.1812104952437625, -5.119334711019596, -5.513988903023545}}, 
       {{-4.166915255056936, -5.107697006939387, -5.501658290566066}}, 
       {{-4.1662703017936895, -5.107697006939387, -5.504112279527634}}, 
       {{-4.176639804948931, -5.121008351577626, -5.513988903023545}}, 
       {{-4.196377287787253, -5.141313617738372, -5.536574555672295}}, 
       {{-4.222632582523632, -5.169045030843898, -5.562282912382502}}, 
       {{-4.255217787810186, -5.201190655817314, -5.596723402362794}}, 
       {{-4.291089639681779, -5.240048458424061, -5.632392478569527}}, 
       {{-4.331333520358363, -5.278514739251857, -5.674320764506582}}, 
       {{-4.373265129005309, -5.322610059117081, -5.715652647226689}}, 
       {{-4.417032243872697, -5.366596207301331, -5.75876678298896}}, 
       {{-4.46280294470117, -5.412606512950164, -5.805815200221352}}, 
       {{-4.508951328247548, -5.458486118700858, -5.851354839123337}}, 
       {{-4.55638002181866, -5.504112279527634, -5.900162388701196}}, 
       {{-4.603172183325419, -5.554500771940447, -5.944962713456563}}, 
       {{-4.651004722331891, -5.599963146017204, -5.993466549778655}}, 
       {{-4.698602130780644, -5.648726268908122, -6.041075047661316}}, 
       {{-4.746042744869507, -5.694624536871435, -6.088416073184432}}, 
       {{-4.793308628103611, -5.743043188609504, -6.135796917997902}}, 
       {{-4.840259808320702, -5.787707709593962, -6.182625052569141}}}, 
      {{{-5.138411849038414, -6.040234711477411, -6.446540155769481}}, 
       {{-5.067523156303304, -5.9724465412722205, -6.378304191092981}}, 
       {{-4.999250349229692, -5.908226948537926, -6.312220927289192}}, 
       {{-4.943163578981243, -5.855536029883738, -6.259082588524021}}, 
       {{-4.9024986354916775, -5.8185201521266245, -6.220123279110302}}, 
       {{-4.877110151491264, -5.7955688702869095, -6.196768180293861}}, 
       {{-4.865496528430017, -5.785426463696711, -6.186506668311317}}, 
       {{-4.865496528430017, -5.788686981746645, -6.18796616747577}}, 
       {{-4.8750123403115415, -5.800844187499332, -6.198734749265902}}, 
       {{-4.892452338418545, -5.816839196948498, -6.21711122864031}}, 
       {{-4.916052651610308, -5.842355124520141, -6.241465552592074}}, 
       {{-4.944566694126551, -5.871727865505648, -6.270120808352451}}, 
       {{-4.9771038108874635, -5.904553175118686, -6.303439312128807}}, 
       {{-5.012687398222386, -5.9403912769239815, -6.339604588596877}}, 
       {{-5.050676343633439, -5.97914079741915, -6.377715436292342}}, 
       {{-5.09049051934572, -6.0190413148782165, -6.417336464993809}}, 
       {{-5.131786495660406, -6.0606002859428445, -6.458592315608254}}, 
       {{-5.174154723927614, -6.103066723689285, -6.501623726330812}}, 
       {{-5.217290527905663, -6.1460153069565795, -6.544502019683282}}, 
       {{-5.260828922137045, -6.18991548583182, -6.587848059235619}}, 
       {{-5.3047379343509595, -6.233790917838966, -6.631639842901821}}, 
       {{-5.348768910044135, -6.277547898196066, -6.6758502219993545}}, 
       {{-5.39284785039427, -6.321636671180715, -6.719617336866743}}, 
       {{-5.436890016411977, -6.365430988156775, -6.76365493500838}}}, 
      {{{-5.880638992019097, -6.762789508731951, -7.1743283882236835}}, 
       {{-5.810143490647611, -6.695066185571786, -7.104987448511846}}, 
       {{-5.738995230411946, -6.627097821467321, -7.036725660279097}}, 
       {{-5.676653807267948, -6.567717976196428, -6.97710535711693}}, 
       {{-5.62765511426865, -6.522492878191492, -6.930000887929457}}, 
       {{-5.5929569195673166, -6.489703055368501, -6.896815338943803}}, 
       {{-5.571439287668488, -6.470791503814602, -6.877226073947314}}, 
       {{-5.561762214635772, -6.4630694577206915, -6.868534565828855}}, 
       {{-5.562022529618369, -6.464994386130275, -6.869496566865046}}, 
       {{-5.570651162053018, -6.475323722644159, -6.879167822130224}}, 
       {{-5.585999438999818, -6.491679991761957, -6.895826708116863}}, 
       {{-5.607018806223893, -6.513688215826342, -6.916796023634286}}, 
       {{-5.632671847198249, -6.539645957417742, -6.943382456625288}}, 
       {{-5.661873071578992, -6.568429973378517, -6.973895081486682}}, 
       {{-5.6937331388032, -6.601742249845633, -7.005368107849137}}, 
       {{-5.728177631490922, -6.63620258846024, -7.040144467027883}}, 
       {{-5.764488349773596, -6.672683156802654, -7.0761739306071005}}, 
       {{-5.802167376577602, -6.710545109694432, -7.1147794484164635}}, 
       {{-5.840977713834046, -6.749043587827316, -7.153655817418963}}, 
       {{-5.880638992019097, -6.7890837492646385, -7.1927742340144345}}, 
       {{-5.92081970753865, -6.8298687403250655, -7.233485419071448}}, 
       {{-5.96151747074003, -6.869496566865046, -7.27448055877437}}, 
       {{-6.002323290442858, -6.910759788002435, -7.314220887423885}}, 
       {{-6.04360030152851, -6.95170716651132, -7.355606103586739}}}, 
      {{{-6.625588387218467, -7.485789652441578, -7.905256066281836}}, 
       {{-6.555690947601088, -7.420248959848825, -7.836624793063152}}, 
       {{-6.482487543577793, -7.350922254274313, -7.765777102732317}}, 
       {{-6.415501040801582, -7.286091719702049, -7.701828378132043}}, 
       {{-6.359633870472449, -7.233485419071448, -7.647994067075933}}, 
       {{-6.316640823987344, -7.1927742340144345, -7.604910480939621}}, 
       {{-6.286641301322024, -7.163938684374547, -7.577185932924766}}, 
       {{-6.268008875149307, -7.148553765535068, -7.559760516210908}}, 
       {{-6.259605464352927, -7.1409491661498485, -7.55211229537265}}, 
       {{-6.260128613724001, -7.14221259019662, -7.554018873643232}}, 
       {{-6.26748158802926, -7.152377861973471, -7.561681746388801}}, 
       {{-6.281282231690184, -7.166526007939498, -7.577185932924766}}, 
       {{-6.300165986783838, -7.186147304526825, -7.596910438272545}}, 
       {{-6.3227502570418945, -7.210212637016072, -7.619066430169754}}, 
       {{-6.349283001748793, -7.236259345954173, -7.645899825472818}}, 
       {{-6.378304191092981, -7.264430222920869, -7.675626005738019}}, 
       {{-6.409407176727259, -7.296363270023878, -7.706262975199909}}, 
       {{-6.442136248054226, -7.330875322329022, -7.73786831461524}}, 
       {{-6.476622424125395, -7.366621163817417, -7.7728777242818925}}, 
       {{-6.512340506727474, -7.402051600796917, -7.809157398362542}}, 
       {{-6.549381778407823, -7.437084374312687, -7.846802997978908}}, 
       {{-6.586396680170973, -7.475151254236522, -7.883265370516264}}, 
       {{-6.624081227927895, -7.512891582219369, -7.921383243745249}}, 
       {{-6.662458923026794, -7.550209345226564, -7.960725209771545}}}, 
      {{{-7.375840749071969, -8.21820032781859, -8.64049140776073}}, 
       {{-7.307337723932146, -8.152550077828328, -8.573234582299863}}, 
       {{-7.232793137977687, -8.080552465839624, -8.500827837329973}}, 
       {{-7.162002575347681, -8.011882748338357, -8.432392589723772}}, 
       {{-7.100369625261524, -7.954154696203313, -8.372227421166052}}, 
       {{-7.050356247581159, -7.9076993958535455, -8.324096561454324}}, 
       {{-7.012449350096803, -7.8716618647979555, -8.287670033137989}}, 
       {{-6.985933060046161, -7.846291619803612, -8.262550973042657}}, 
       {{-6.969630682700225, -7.831574277277084, -8.247547806450608}}, 
       {{-6.962211464778195, -7.824046010856292, -8.240698464605034}}, 
       {{-6.962422680324445, -7.826048013526965, -8.241836768655093}}, 
       {{-6.969098909223189, -7.832834516889371, -8.249076274459297}}, 
       {{-6.981294182317007, -7.847058785165365, -8.261776079551732}}, 
       {{-6.998008267959699, -7.8640870603934765, -8.278964002683987}}, 
       {{-7.018575114087381, -7.886187407394142, -8.299665378887664}}, 
       {{-7.042315772377831, -7.910421226603038, -8.324096561454324}}, 
       {{-7.068628504570222, -7.936095514664915, -8.350831654201013}}, 
       {{-7.0971014507130565, -7.964745892959427, -8.379171893518862}}, 
       {{-7.127280384773636, -7.9951309357242595, -8.409236049911145}}, 
       {{-7.159041136242627, -8.02799986777736, -8.441622004569163}}, 
       {{-7.191976679804937, -8.061668883435336, -8.474612743881119}}, 
       {{-7.225759111320307, -8.093888165179742, -8.508233450044765}}, 
       {{-7.260295923782414, -8.128535201624455, -8.543023951450758}}, 
       {{-7.295331354254562, -8.164074563680282, -8.578005330812996}}}, 
      {{{-8.135679304130587, -8.958026443362193, -9.385884944491114}}, 
       {{-8.068349360006128, -8.893342245190349, -9.32015523798339}}, 
       {{-7.993056553590574, -8.821004645797903, -9.247004356347775}}, 
       {{-7.919181205971331, -8.749755964646939, -9.17497322813889}}, 
       {{-7.852702720106096, -8.686203734150519, -9.10959046887604}}, 
       {{-7.796674064060442, -8.632604042927566, -9.055047487570148}}, 
       {{-7.751957934462038, -8.58922639431607, -9.012309521477048}}, 
       {{-7.718110660447623, -8.557494488189763, -8.980022616913972}}, 
       {{-7.694334404334635, -8.535357162043908, -8.957249744294021}}, 
       {{-7.679512860123994, -8.522205733239781, -8.942605937334097}}, 
       {{-7.672828199113671, -8.516193691083155, -8.937264451913764}}, 
       {{-7.672828199113671, -8.517193191416238, -8.938025776655524}}, 
       {{-7.678647808166935, -8.523714408406503, -8.944137331201526}}, 
       {{-7.689515117898686, -8.535357162043908, -8.955698153602603}}, 
       {{-7.704486775798653, -8.55074997494508, -8.971323471505682}}, 
       {{-7.72307009351629, -8.569539671788446, -8.99040195161092}}, 
       {{-7.744541909743693, -8.591378089605614, -9.011489513231018}}, 
       {{-7.768374813485831, -8.615909164355395, -9.03554708160302}}, 
       {{-7.794487208614748, -8.642189681590922, -9.06192036685791}}, 
       {{-7.822297540322175, -8.669761790060845, -9.089894218900316}}, 
       {{-7.851417207652424, -8.699914828231531, -9.11867318345036}}, 
       {{-7.881675123692928, -8.73038641187728, -9.14924527261637}}, 
       {{-7.913150485939113, -8.761815774407571, -9.180781569734638}}, 
       {{-7.945366546092848, -8.793605671609788, -9.213344880996482}}}, 
      {{{-8.908016022787532, -9.709566859898821, -10.14479507447801}}, 
       {{-8.84153924823961, -9.647296147175718, -10.080224731036182}}, 
       {{-8.765654550714737, -9.574183805393528, -10.004413471126089}}, 
       {{-8.689762456767514, -9.500692672983842, -9.92983152787573}}, 
       {{-8.619225916981389, -9.43223470388996, -9.862345609204953}}, 
       {{-8.558015185936492, -9.372859301473957, -9.802737649435985}}, 
       {{-8.50724286056307, -9.32350907008182, -9.753344894106409}}, 
       {{-8.466500077100719, -9.285063918172119, -9.71286719292748}}, 
       {{-8.436074140131446, -9.25638431047759, -9.683549132170867}}, 
       {{-8.414636603091145, -9.235658179960472, -9.664470652065628}}, 
       {{-8.401189515659931, -9.223425611524839, -9.650396924853966}}, 
       {{-8.39453317868035, -9.218372543673446, -9.644204954606044}}, 
       {{-8.39453317868035, -9.218372543673446, -9.645749356457419}}, 
       {{-8.399410155759854, -9.224439296355683, -9.650396924853966}}, 
       {{-8.409236049911145, -9.234633064545227, -9.661325995386157}}, 
       {{-8.422337660403558, -9.249081200292613, -9.67396439425788}}, 
       {{-8.439306652759166, -9.26585308190644, -9.69160719350063}}, 
       {{-8.458452696393637, -9.286142085392465, -9.711215664889005}}, 
       {{-8.480379218293521, -9.307953200843183, -9.732901251960595}}, 
       {{-8.50427696614969, -9.332508005950391, -9.756793173385324}}, 
       {{-8.529771973623097, -9.357680959874891, -9.783041399460261}}, 
       {{-8.556974061428082, -9.38469375912096, -9.809997209448788}}, 
       {{-8.584936843502756, -9.413681295994213, -9.837699811998124}}, 
       {{-8.614254904259369, -9.442272429323472, -9.868120408698838}}}, 
      {{{-9.695660705333811, -10.47902949102181, -10.917942533197515}}, 
       {{-9.63041163247371, -10.415981233402816, -10.853852264744035}}, 
       {{-9.554522251667448, -10.342923180215445, -10.77959649477745}}, 
       {{-9.47665241869177, -10.266468049038137, -10.703329471767036}}, 
       {{-9.402833484091634, -10.196249170731209, -10.63081218489766}}, 
       {{-9.33681103603013, -10.132146284538448, -10.5662995333}}, 
       {{-9.280333743796717, -10.07641338768972, -10.511191251278605}}, 
       {{-9.233813728161826, -10.033140760762999, -10.465957409454457}}, 
       {{-9.196437466807192, -9.99779823200737, -10.428412100681621}}, 
       {{-9.169198428645007, -9.969627355040673, -10.403702997190104}}, 
       {{-9.149245272616373, -9.9526777967269, -10.383783971267297}}, 
       {{-9.13708991023659, -9.94015153690772, -10.372851386494524}}, 
       {{-9.130605403957329, -9.936010744241688, -10.366158134415072}}, 
       {{-9.130605403957329, -9.933946760020836, -10.368065925136799}}, 
       {{-9.134305685700186, -9.94015153690772, -10.3706153210364}}, 
       {{-9.142681723502369, -9.950579160069978, -10.379267834559318}}, 
       {{-9.154905665088082, -9.961116665372764, -10.392225579838115}}, 
       {{-9.170158582343351, -9.976058245370963, -10.407999814245526}}, 
       {{-9.187600885006693, -9.995602841443935, -10.425037139665095}}, 
       {{-9.207344862996385, -10.015537056344751, -10.444428800206742}}, 
       {{-9.229727085776373, -10.037704894655937, -10.468065632301366}}, 
       {{-9.253352262569473, -10.061077473110899, -10.49191442232567}}, 
       {{-9.278191038884357, -10.085969122131448, -10.5167151099202}}, 
       {{-9.304321435447077, -10.112481680745919, -10.542904410675105}}}, 
      {{{-10.502416057857092, -11.266846942373522, -11.710157634499938}}, 
       {{-10.438264397124632, -11.203971257242907, -11.64760036829683}}, 
       {{-10.362037031736747, -11.130387861505769, -11.572675469376003}}, 
       {{-10.282700289500227, -11.052972171577995, -11.495085546841898}}, 
       {{-10.205944910570063, -10.978774015900742, -11.41943512188289}}, 
       {{-10.13592415076193, -10.91025018757436, -11.350806615493793}}, 
       {{-10.074513149588231, -10.850753088709714, -11.290582233826788}}, 
       {{-10.02249633911833, -10.799975657114103, -11.239849544907809}}, 
       {{-9.979720858535718, -10.759153662593848, -11.198114725130194}}, 
       {{-9.94597760415708, -10.726743418443094, -11.1650894696987}}, 
       {{-9.92043027326644, -10.7019952487539, -11.140672491068178}}, 
       {{-9.90208853162242, -10.684810423999798, -11.122912461420986}}, 
       {{-9.890373913390745, -10.673947836198744, -11.111468378259604}}, 
       {{-9.884469546700366, -10.668775410873755, -11.106127911628285}}, 
       {{-9.883684925239947, -10.668345580650074, -11.106127911628285}}, 
       {{-9.887220580072256, -10.672652219519989, -11.109462359532737}}, 
       {{-9.894726046867556, -10.680451219189184, -11.117510692715566}}, 
       {{-9.9054895552068, -10.691385069641884, -11.129024534777905}}, 
       {{-9.919210513001364, -10.705557140320261, -11.142742171006704}}, 
       {{-9.935184639279383, -10.722197956071419, -11.158753651249615}}, 
       {{-9.953518486141693, -10.740505103515776, -11.177167769286884}}, 
       {{-9.973695447579624, -10.761037789387684, -11.197385064390051}}, 
       {{-9.995383567240665, -10.782964311287566, -11.219509860670687}}, 
       {{-10.01844957100581, -10.806368597500366, -11.242135260188666}}}, 
      {{{-11.33227196527697, -12.076800309826035, -12.525727097225227}}, 
       {{-11.268411887919827, -12.01380075788305, -12.462772980373227}}, 
       {{-11.192292292378761, -11.940636182025713, -12.388314205523958}}, 
       {{-11.111468378259604, -11.861065506459123, -12.309213404449688}}, 
       {{-11.032352884375259, -11.78473418826572, -12.232416620869776}}, 
       {{-10.958465804184176, -11.712596660099296, -12.159189059631323}}, 
       {{-10.892886756230922, -11.64760036829683, -12.094531270797265}}, 
       {{-10.83539966531324, -11.593051509449513, -12.03717410906836}}, 
       {{-10.787311094272782, -11.546482248499071, -11.990961265913228}}, 
       {{-10.747922847309855, -11.50793792345919, -11.951430427156593}}, 
       {{-10.716770534336055, -11.477558321132937, -11.922398594475931}}, 
       {{-10.693145633476917, -11.454656556846253, -11.898587945782213}}, 
       {{-10.67611093459787, -11.438746066795977, -11.882540920184695}}, 
       {{-10.664913573849368, -11.428584316536478, -11.871030001718555}}, 
       {{-10.658935759293453, -11.423999255775827, -11.865323852141701}}, 
       {{-10.658084695412295, -11.422171101701764, -11.866747339926555}}, 
       {{-10.661066593255462, -11.425830758119295, -11.86960040890896}}, 
       {{-10.667486474068024, -11.432267561952774, -11.875331083617946}}, 
       {{-10.676977485778611, -11.443399402321619, -11.885439472938707}}, 
       {{-10.689627599945238, -11.454656556846253, -11.898587945782213}}, 
       {{-10.70421994377601, -11.469865975509782, -11.913403031567354}}, 
       {{-10.72083833655538, -11.48725771822165, -11.929957209449858}}, 
       {{-10.739581742416007, -11.505949851233803, -11.949881240169763}}, 
       {{-10.759624361590536, -11.526010704518884, -11.96863178951514}}}, 
      {{{-12.188625731926454, -12.912102451921132, -13.367624733972157}}, 
       {{-12.125414742512719, -12.850429661920687, -13.305685434531867}}, 
       {{-12.04906889672051, -12.775587265644845, -13.23106279432767}}, 
       {{-11.966898277143436, -12.696115730113636, -13.14973457420046}}, 
       {{-11.885294345589204, -12.615847025226437, -13.069770927285159}}, 
       {{-11.808236564586501, -12.540986097687393, -12.99397016263593}}, 
       {{-11.738196277300613, -12.473429351520709, -12.925153208116624}}, 
       {{-11.676386014123265, -12.41235907977796, -12.864238857194874}}, 
       {{-11.623298522451599, -12.360390005914532, -12.811941817983058}}, 
       {{-11.578744806007522, -12.316557378705445, -12.768542502448502}}, 
       {{-11.542251294352058, -12.281011732194667, -12.732688955202489}}, 
       {{-11.51322550997923, -12.25463283614555, -12.704311153790693}}, 
       {{-11.491163973188716, -12.232416620869776, -12.683141172498031}}, 
       {{-11.474666752853137, -12.218145226764443, -12.666205154980647}}, 
       {{-11.464135300800796, -12.208074648200848, -12.656430522529075}}, 
       {{-11.458437279686159, -12.202080624260637, -12.651110528758162}}, 
       {{-11.45654513153412, -12.202080624260637, -12.648616761879758}}, 
       {{-11.459384698042198, -12.2040746428675, -12.65298494355251}}, 
       {{-11.46508813555607, -12.210080666927713, -12.65894387603561}}, 
       {{-11.473704751816948, -12.218145226764443, -12.667790695189137}}, 
       {{-11.484338008118316, -12.230365338099219, -12.677357094675632}}, 
       {{-11.498036852476478, -12.244813473846603, -12.691880506320876}}, 
       {{-11.513525645042261, -12.258208399950702, -12.707938527924693}}, 
       {{-11.53058040020895, -12.277568647235244, -12.724930440993429}}}, 
      {{{-13.076434445515929, -13.778214773220578, -14.24168870766998}}, 
       {{-13.013060642513878, -13.717476817692908, -14.177916176611992}}, 
       {{-12.93629883433154, -13.642397940255629, -14.103192630416055}}, 
       {{-12.853099890476566, -13.560868339590694, -14.02130547094387}}, 
       {{-12.769244749668374, -13.479038321343062, -13.938808774308768}}, 
       {{-12.688958900606924, -13.400755402949017, -13.859462445493458}}, 
       {{-12.615244615569665, -13.328158290383925, -13.786923101112361}}, 
       {{-12.54912649351694, -13.263351070705307, -13.722020214876935}}, 
       {{-12.491091600562472, -13.207376751731285, -13.664507684427747}}, 
       {{-12.44154184653502, -13.15902736177592, -13.615840362835707}}, 
       {{-12.400142949358676, -13.11837135613479, -13.575706565756956}}, 
       {{-12.3660066834465, -13.085549404281613, -13.541673892334545}}, 
       {{-12.338918558863602, -13.058919204847793, -13.515405965513937}}, 
       {{-12.317898460712431, -13.038941769265257, -13.494877385372806}}, 
       {{-12.302583545911018, -13.023876430689675, -13.47975286228093}}, 
       {{-12.29228434234924, -13.014406235899237, -13.469795454261883}}, 
       {{-12.28663215338859, -13.009034692097325, -13.464853686351105}}, 
       {{-12.284899426076144, -13.007250570303825, -13.463446226583224}}, 
       {{-12.28663215338859, -13.009481220347656, -13.465558159786369}}, 
       {{-12.29141269269719, -13.014855169689044, -13.470503418893223}}, 
       {{-12.299065512379338, -13.022970633526294, -13.478324290609404}}, 
       {{-12.309213404449688, -13.032979816269643, -13.48836741663158}}, 
       {{-12.321483497041502, -13.0454023362682, -13.500699818124241}}, 
       {{-12.33549819297063, -13.059858172052932, -13.514665498986211}}}, 
      {{{-14.000154810127874, -14.68158357367781, -15.149971770444148}}, 
       {{-13.937000455551985, -14.619812787890382, -15.087762203043503}}, 
       {{-13.859566944161195, -14.543042165386051, -15.011515192641033}}, 
       {{-13.775328768331443, -14.459867574354787, -14.92964265829042}}, 
       {{-13.688877907030909, -14.3758766272904, -14.84357119068144}}, 
       {{-13.606060333782066, -14.295160564261815, -14.762776094137859}}, 
       {{-13.528078516767703, -14.218977663409765, -14.684679182769694}}, 
       {{-13.457836113692458, -14.150983294252404, -14.615575020870297}}, 
       {{-13.39548529852478, -14.089947403666034, -14.553655104454956}}, 
       {{-13.341141471208898, -14.037404889878053, -14.500689568875043}}, 
       {{-13.294932642755604, -13.991055130479205, -14.454169553240149}}, 
       {{-13.255894770028851, -13.953623860093908, -14.416990549998395}}, 
       {{-13.22439610296948, -13.92198280247479, -14.38644010579997}}, 
       {{-13.198704610661052, -13.896720613389817, -14.360237733405945}}, 
       {{-13.178933728892723, -13.87738596168236, -14.341449819540314}}, 
       {{-13.164227581503027, -13.86365093329221, -14.326336181730264}}, 
       {{-13.1538540444957, -13.854251386280705, -14.316385850877097}}, 
       {{-13.14819413743885, -13.849067341493116, -14.311447569236515}}, 
       {{-13.146143906069732, -13.847001225055646, -14.309806879779053}}, 
       {{-13.1471684963233, -13.849067341493116, -14.309806879779053}}, 
       {{-13.151792188095142, -13.852174542335867, -14.316385850877097}}, 
       {{-13.158508824040682, -13.859462445493458, -14.32300839163759}}, 
       {{-13.167360743335065, -13.869966743760333, -14.331348723553809}}, 
       {{-13.178404768287953, -13.880582554707988, -14.341449819540314}}}, 
      {{{-14.965942595362181, -15.624619665527442, -16.10025573282999}}, 
       {{-14.90258961081871, -15.562487884420436, -16.038360682939466}}, 
       {{-14.824464974701849, -15.485760609795133, -15.961946968468387}}, 
       {{-14.738070902852025, -15.401720344279168, -15.875934093808349}}, 
       {{-14.64976057950222, -15.315197606439256, -15.788791903815719}}, 
       {{-14.563747704842179, -15.230616000938284, -15.704662373200978}}, 
       {{-14.48260020420493, -15.151492105210576, -15.624009351196626}}, 
       {{-14.408450478107193, -15.07817235863889, -15.551078747542586}}, 
       {{-14.341788286289187, -15.013170000233618, -15.485229401283304}}, 
       {{-14.282957458428319, -14.955570036546558, -15.426950473069049}}, 
       {{-14.232087170827157, -14.905559615971896, -15.376634610119824}}, 
       {{-14.188605286041987, -14.864190477884176, -15.33373759034499}}, 
       {{-14.151962794785485, -14.826936484953467, -15.297435150099414}}, 
       {{-14.12189985788175, -14.796606513204544, -15.268372163356277}}, 
       {{-14.097608252122154, -14.773144253372811, -15.244294970705116}}, 
       {{-14.078695158815668, -14.756093982407474, -15.225687859547497}}, 
       {{-14.06461314844858, -14.740589795871509, -15.211855254937666}}, 
       {{-14.054783491208367, -14.732301414880112, -15.202204999105504}}, 
       {{-14.048830715730045, -14.726565023043182, -15.196618392396864}}, 
       {{-14.046434296597447, -14.723833120189253, -15.194233653587846}}, 
       {{-14.04719044030077, -14.724825676102004, -15.195425312120125}}, 
       {{-14.050726690512754, -14.730302413714693, -15.199407794484443}}, 
       {{-14.056690796764636, -14.736060346758812, -15.205411414678277}}, 
       {{-14.064869756096895, -14.74513985427761, -15.213472723951847}}}}, 
     {Automatic, Automatic}]
 
sigmaNLOSS8[x_, y_] := If[x < 200 || x > 2500 || y < 200 || y > 2500, 
     "Squark or gluino mass outside range of interpolation!", 
     {SetPrecision[E^fNLOSSLog8[x, y][[1]], 3], 
      SetPrecision[E^fNLOSSLog8[x, y][[2]], 3], 
      SetPrecision[-E^fNLOSSLog8[x, y][[3]], 3]}]
 
fNLOSSLog8 = InterpolatingFunction[{{200., 2500.}, {200., 2500.}}, 
     {4, 3, 0, {24, 24}, {5, 5}, 0, 0, 0, 0, Automatic}, 
     {{200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000., 2100., 2200., 
       2300., 2400., 2500.}, {200., 300., 400., 500., 600., 700., 800., 900., 
       1000., 1100., 1200., 1300., 1400., 1500., 1600., 1700., 1800., 1900., 
       2000., 2100., 2200., 2300., 2400., 2500.}}, 
     {{{{5.394990253808298, 3.1484533605716543, 3.1484533605716556}}, 
       {{4.964242254526545, 1.8082887711792692, 2.3978952727983707}}, 
       {{4.666265285347902, 1.458615022699516, 1.9473377010464974}}, 
       {{4.418238016636454, 0.9783261227936064, 1.7509374747078008}}, 
       {{4.191622501686571, 0.7514160886839232, 1.5810384379124007}}, 
       {{3.976311495310508, 0.8241754429663499, 1.2059708069886101}}, 
       {{3.802654468372781, 0.5128236264286647, 1.1410330045520627}}, 
       {{3.649358695951653, 0.7227059828014873, 1.0473189942805596}}, 
       {{3.5254777821724925, 0.8919980393051096, 1.054312029771529}}, 
       {{3.4314032237192214, 1.0224509277025462, 1.1118575154181312}}, 
       {{3.359680701459222, 1.1908875647772803, 1.1662709371419249}}, 
       {{3.3123661679555396, 1.3686394258811698, 1.2441545939587675}}, 
       {{3.2880286835565173, 1.534714366238164, 1.342864803192554}}, 
       {{3.2816628129669656, 1.6770965609079147, 1.4445632692438668}}, 
       {{3.2913825156549485, 1.8277699067510884, 1.5454325824581876}}, 
       {{3.3141860046725258, 1.964311234426205, 1.6467336971777975}}, 
       {{3.34814816057234, 2.093097868127322, 1.7474592103314748}}, 
       {{3.3894621254437345, 2.2181159363675964, 1.8421356765531216}}, 
       {{3.4397768636296306, 2.3263016196113617, 1.9459101490553132}}, 
       {{3.493472657771326, 2.431857428698185, 2.039920783517552}}, 
       {{3.5504790843779097, 2.532902848056256, 2.1294214739848565}}, 
       {{3.6119984097779785, 2.6275629501895237, 2.2192034840549946}}, 
       {{3.673004104955646, 2.7180005319553784, 2.303584593327129}}, 
       {{3.734569580031052, 2.804571768092832, 2.385086314505789}}}, 
      {{{3.913222286003628, 1.7439688053917064, 1.749199854809259}}, 
       {{3.702782359282928, 1.3837912309017708, 1.4586150226995178}}, 
       {{3.417726683613366, 0.6365768290715513, 0.9820784724121588}}, 
       {{3.1871787381249463, 0.019802627296179296, 0.5822156198526631}}, 
       {{2.995232148512309, -0.24846135929849816, 0.39204208777602156}}, 
       {{2.8160073426073025, -0.5447271754416749, 0.19062035960865042}}, 
       {{2.642622395779755, -0.8675005677047233, 0.}}, 
       {{2.482403519569882, -1.1394342831883695, -0.18632957819149337}}, 
       {{2.3350522831315472, -1.34707364796661, -0.3438997524500101}}, 
       {{2.1963352931513356, -1.4271163556401523, -0.5124936808666873}}, 
       {{2.0719132752590443, -1.4961092271271004, -0.5978370007556192}}, 
       {{1.9595312450072784, -1.5750364857167687, -0.6911491778972716}}, 
       {{1.8559854415273263, -1.5141277326297726, -0.7635696448564927}}, 
       {{1.7645595493014006, -1.3509272172826015, -0.8007323912398812}}, 
       {{1.6825024832911055, -1.2241755116434538, -0.8074363269620736}}, 
       {{1.612832145502116, -1.0936247471570708, -0.802962046567151}}, 
       {{1.552867560945706, -0.9649559038554355, -0.7765287894989964}}, 
       {{1.501852701754163, -0.8486320834003405, -0.7507762933965808}}, 
       {{1.4604737592941421, -0.7072461049394463, -0.7113111511876171}}, 
       {{1.4279160358107101, -0.5923972774598024, -0.6616485135005743}}, 
       {{1.4036429994545037, -0.48126682152444716, -0.6088060321261936}}, 
       {{1.3882923637825637, -0.38272562113867437, -0.5464528014091415}}, 
       {{1.3785141738009283, -0.27443684570175997, -0.4910229964698115}}, 
       {{1.375738847180374, -0.18272163681529413, -0.43232256227804705}}}, 
      {{{2.7285062096695922, 0.6830968447064432, 0.657520002916794}}, 
       {{2.589266665112243, 0.37843643572024444, 0.4317824164255384}}, 
       {{2.425687290128029, 0.0861776962410522, 0.19885085874516573}}, 
       {{2.2184423248816176, -0.44628710262841864, -0.1461825101780826}}, 
       {{2.031563461435372, -0.9416085398584457, -0.4416105547445166}}, 
       {{1.8754876847587674, -1.2344320118106433, -0.6236211179113358}}, 
       {{1.7263316639055997, -1.5945492999403483, -0.8164453969044385}}, 
       {{1.5812441780633184, -1.7203694731413806, -1.0051219455807718}}, 
       {{1.4450348561424906, -2.0794415416798357, -1.1615520884419832}}, 
       {{1.3161401011966838, -2.4191189092499976, -1.3056364581024364}}, 
       {{1.1930129640895941, -2.5010360317178857, -1.443923473956526}}, 
       {{1.077388652216483, -2.847312268435713, -1.5798791101925562}}, 
       {{0.9646998710818426, -2.8824035882469867, -1.7316055464083075}}, 
       {{0.8628899551470398, -3.0576076772720846, -1.8201589437497534}}, 
       {{0.766862218382226, -3.194183212277831, -1.910543005218021}}, 
       {{0.6754922453212246, -3.2188758248682054, -2.009915479031225}}, 
       {{0.5900064216404319, -3.2188758248681997, -2.0874737133770993}}, 
       {{0.511025603768657, -3.170085660698768, -2.1286317858706076}}, 
       {{0.4376095614347315, -3.0791138824930413, -2.162823150618887}}, 
       {{0.36949244764934686, -3.0159349808715117, -2.1803674602697964}}, 
       {{0.30527638085273207, -2.847312268435717, -2.2164073967529934}}, 
       {{0.24764102291459714, -2.7646205525906016, -2.234926444520231}}, 
       {{0.19474407679251185, -2.65926003693278, -2.2256240518579165}}, 
       {{0.14583044821153954, -2.538307426515116, -2.234926444520231}}}, 
      {{{1.6873244510911716, -0.28369005118224333, -0.33128570993391293}}, 
       {{1.6201800089660026, -0.4541302800894457, -0.4557063245449106}}, 
       {{1.4989531792588286, -0.7174398731289908, -0.6500876910994978}}, 
       {{1.3666017277741547, -0.9649559038554366, -0.8370175509796466}}, 
       {{1.205970806988609, -1.3394107752210402, -1.099612789001694}}, 
       {{1.051870026115978, -1.742969305058624, -1.3394107752210402}}, 
       {{0.9182887345368281, -2.017406150760383, -1.5141277326297766}}, 
       {{0.7911809208313108, -2.2827824656978675, -1.687399453903812}}, 
       {{0.6688544879909007, -2.5133061243096986, -1.826350913997674}}, 
       {{0.5504308783583501, -2.7488721956224644, -1.973281345851445}}, 
       {{0.4356709501652302, -3.0159349808715117, -2.12026353620009}}, 
       {{0.32642190076771144, -3.170085660698768, -2.2633643798407657}}, 
       {{0.22154226994723591, -3.381394754365975, -2.385966701933096}}, 
       {{0.12133228516752496, -3.6496587409606542, -2.501036031717883}}, 
       {{0.025667746748577813, -3.8632328412587182, -2.622790357151387}}, 
       {{-0.06656724427211311, -3.9845936982629784, -2.744195647738563}}, 
       {{-0.15303463616906182, -4.1104739441519795, -2.8234610526135375}}, 
       {{-0.2353426587712074, -4.290359446148054, -2.905891569554202}}, 
       {{-0.31484774052455045, -4.3428059215206, -2.9798589243977016}}, 
       {{-0.390675022635529, -4.406319327242927, -3.05760767727208}}, 
       {{-0.46298829435183064, -4.448166437178423, -3.132698128627149}}, 
       {{-0.5317088346824148, -4.448166437178423, -3.182061851745485}}, 
       {{-0.5971099923630031, -4.482952553263845, -3.2339894626782493}}, 
       {{-0.658745753842613, -4.422848629194136, -3.2754461763565965}}}, 
      {{{0.7409845099741054, -1.1776554960085617, -1.2378743560016179}}, 
       {{0.7212486106708201, -1.2694006096483907, -1.2982834837971777}}, 
       {{0.6523251860396901, -1.431291727050627, -1.414693835641589}}, 
       {{0.5481214085096876, -1.655481850935507, -1.5798791101925562}}, 
       {{0.4376095614347315, -1.8643301620628903, -1.742969305058624}}, 
       {{0.30821972366932904, -2.162823150618887, -1.9449106487222296}}, 
       {{0.17898265552843995, -2.4889146711855394, -2.1370706545164735}}, 
       {{0.06297479916138839, -2.733368009086501, -2.2975975514830074}}, 
       {{-0.04824531262799454, -2.954590330222817, -2.4510851013124904}}, 
       {{-0.15513449694999074, -3.1372958378757754, -2.5796569863338115}}, 
       {{-0.25967787604218356, -3.3467091963780855, -2.715074816039174}}, 
       {{-0.36111335053766397, -3.5613661338149774, -2.8490378944031884}}, 
       {{-0.4583913139175696, -3.7550192566184823, -2.9681171065210177}}, 
       {{-0.5532113402624287, -3.9580669439295524, -3.087847562461797}}, 
       {{-0.6434050886651314, -4.173387769562549, -3.182061851745485}}, 
       {{-0.731888008876376, -4.38202663467388, -3.3077070385748173}}, 
       {{-0.8166716668454428, -4.518992489747042, -3.4082219965991194}}, 
       {{-0.8977143463012197, -4.688551794927138, -3.5065578973199827}}, 
       {{-0.9755100915341263, -4.8796070316898525, -3.586322865788844}}, 
       {{-1.0503937163976353, -5.005647752585219, -3.6690768268177556}}, 
       {{-1.1233149013084816, -5.083205986931094, -3.750754857832025}}, 
       {{-1.1933626252139204, -5.149897361429768, -3.8304430184357208}}, 
       {{-1.2605431558143303, -5.240048458424056, -3.897134392934396}}, 
       {{-1.3253874262163692, -5.298317366548035, -3.963316299815697}}}, 
      {{{-0.13926206733350766, -2.017406150760384, -2.081844426296146}}, 
       {{-0.12862914259718064, -2.0580715159436442, -2.102914897865478}}, 
       {{-0.1587612923849416, -2.1541650878757723, -2.1689287081813724}}, 
       {{-0.22364367635589208, -2.302585092994046, -2.2769173462454675}}, 
       {{-0.31320502968286684, -2.4973841712991125, -2.417995944505374}}, 
       {{-0.4075172122342952, -2.6794627442502974, -2.5536138477977914}}, 
       {{-0.5150009951764712, -2.915074370536538, -2.7165865321244955}}, 
       {{-0.6260494370274513, -3.174858939451425, -2.8877751320488994}}, 
       {{-0.7275316074217761, -3.3932292120129763, -3.028255465259551}}, 
       {{-0.8253080841622843, -3.586322865788844, -3.1582512030517664}}, 
       {{-0.920298753271694, -3.763603000309873, -3.280751228586289}}, 
       {{-1.013077000561847, -3.9476501830712953, -3.3991993789994828}}, 
       {{-1.1041274693562197, -4.122744036743799, -3.5199809176521217}}, 
       {{-1.1927032120677052, -4.283086686818979, -3.634391268829867}}, 
       {{-1.2776193444942345, -4.465408243612932, -3.7297014486341906}}, 
       {{-1.3614066456121117, -4.645992180508341, -3.8443643569543324}}, 
       {{-1.4418070710501494, -4.815891217303741, -3.947650183071298}}, 
       {{-1.519597208434311, -4.9618451299268225, -4.034190639402354}}, 
       {{-1.595042032150368, -5.13280292807046, -4.122744036743799}}, 
       {{-1.6675968266076324, -5.298317366548035, -4.2063940660307235}}, 
       {{-1.7384082937310603, -5.426150738057925, -4.290359446148057}}, 
       {{-1.806670081963809, -5.572754212249798, -4.36615328551759}}, 
       {{-1.8727526284375868, -5.713832810509703, -4.439655747510518}}, 
       {{-1.9372477759766606, -5.809142990314027, -4.509860006183765}}}, 
      {{{-0.9728610833625494, -2.8067661740413676, -2.8841908988210836}}, 
       {{-0.9428914136713341, -2.8234610526135375, -2.882403588246988}}, 
       {{-0.9444330378204354, -2.875286120478125, -2.909554577312938}}, 
       {{-0.9779002135058463, -2.9681171065210177, -2.9739707817724788}}, 
       {{-1.0373290602512113, -3.1010927892118176, -3.0726133178899486}}, 
       {{-1.1150465951315345, -3.270169119255752, -3.1941832122778284}}, 
       {{-1.1966662291434977, -3.4295968561838537, -3.3104430183936904}}, 
       {{-1.288441960952386, -3.619353391465326, -3.4482889891960062}}, 
       {{-1.3842963584572177, -3.8443643569543324, -3.5935692743096115}}, 
       {{-1.4740332754278973, -4.022954566135428, -3.7214026458194964}}, 
       {{-1.5611240521555498, -4.199705077879928, -3.8350619642920174}}, 
       {{-1.6461018968056917, -4.358310108056565, -3.9476501830712967}}, 
       {{-1.7299120659019749, -4.518992489747039, -4.057048777478403}}, 
       {{-1.8121662790057176, -4.677740878822926, -4.160484364726646}}, 
       {{-1.8924641733496872, -4.828313737302301, -4.261580481598014}}, 
       {{-1.9704077806557136, -4.976233867378921, -4.358310108056565}}, 
       {{-2.0471679811295402, -5.115995809754081, -4.465408243612933}}, 
       {{-2.1210972169486686, -5.278514739251858, -4.556380021818659}}, 
       {{-2.1928342290349265, -5.426150738057921, -4.6356293934728}}, 
       {{-2.2633643798407643, -5.546778725846536, -4.7239537219780585}}, 
       {{-2.331087453466758, -5.681042987686713, -4.802402355517801}}, 
       {{-2.3970056686135375, -5.819193326167529, -4.878292107108542}}, 
       {{-2.4615808244845034, -5.944580961209133, -4.95472766215796}}, 
       {{-2.524104963192158, -6.066188093303923, -5.026764676026138}}}, 
      {{{-1.77313400510489, -3.568433301038069, -3.6573807870545645}}, 
       {{-1.7310407341933491, -3.568433301038069, -3.6381863397984175}}, 
       {{-1.7120245012092015, -3.586322865788844, -3.6419958682150857}}, 
       {{-1.7209282884674635, -3.6419958682150857, -3.676950883248662}}, 
       {{-1.7544636844843582, -3.7297014486341906, -3.7380696983047086}}, 
       {{-1.8078888511579385, -3.849048206266758, -3.8212686421596818}}, 
       {{-1.876011021675646, -4.000854219134761, -3.9271366432381947}}, 
       {{-1.9477117710019414, -4.135166556742357, -4.034190639402353}}, 
       {{-2.0272286702329017, -4.29768548624013, -4.147745338949216}}, 
       {{-2.1111386284230904, -4.482952553263843, -4.275866438845491}}, 
       {{-2.191043718261138, -4.645992180508347, -4.38603465607142}}, 
       {{-2.269150316907808, -4.803621124711929, -4.490949041898068}}, 
       {{-2.345910217732419, -4.942042502630643, -4.592253960721545}}, 
       {{-2.421931850626612, -5.084820192285632, -4.691817992713764}}, 
       {{-2.4966553968225482, -5.228791303899426, -4.7878918228033855}}, 
       {{-2.5699417989845807, -5.358067370953809, -4.8796070316898525}}, 
       {{-2.641700820560676, -5.499210308927427, -4.969013619405437}}, 
       {{-2.712208836251069, -5.629603076481951, -5.057726901630105}}, 
       {{-2.7806208939370456, -5.7667222744300775, -5.1430244821420015}}, 
       {{-2.8478296436304955, -5.885304351279592, -5.226927370461364}}, 
       {{-2.912862795731696, -6.0198640216296795, -5.304335438873599}}, 
       {{-2.9765180546301866, -6.128430402181139, -5.381698975487088}}, 
       {{-3.0386397745652673, -6.234810805739709, -5.453802269388432}}, 
       {{-3.0990947865491445, -6.3538701657557, -5.526473459685791}}}, 
      {{{-2.5491252221146516, -4.309519943887133, -4.403863329283057}}, 
       {{-2.5000608975596776, -4.298421050819084, -4.3748524309258805}}, 
       {{-2.4662811856648355, -4.29768548624013, -4.360656608937689}}, 
       {{-2.4557362724882204, -4.322249430638021, -4.370098063808609}}, 
       {{-2.468167533783724, -4.375647027709842, -4.4046813252386885}}, 
       {{-2.500426461446037, -4.458475806837288, -4.461936017902184}}, 
       {{-2.548869336749898, -4.565949472834811, -4.540319213668475}}, 
       {{-2.6091102532473065, -4.695094893516079, -4.6335696605097905}}, 
       {{-2.672490025703659, -4.81960179670028, -4.7250804826606485}}, 
       {{-2.742175915831586, -4.958992060944418, -4.827064517901869}}, 
       {{-2.816415225780335, -5.119334711019597, -4.936455895922005}}, 
       {{-2.888134262955973, -5.261021581804339, -5.037492748266138}}, 
       {{-2.9586291856024887, -5.397033339487194, -5.13110944756413}}, 
       {{-3.028255465259551, -5.526473459685789, -5.223209894061231}}, 
       {{-3.0975435397006756, -5.652139241504363, -5.312416290927539}}, 
       {{-3.1660462112236685, -5.779584188072482, -5.40145812546755}}, 
       {{-3.233481977257563, -5.8997973585821555, -5.487059491144914}}, 
       {{-3.2998147673735527, -6.0198640216296795, -5.572754212249798}}, 
       {{-3.364769025048604, -6.142287436842563, -5.652139241504364}}, 
       {{-3.428363049734925, -6.260652036923598, -5.729100282640492}}, 
       {{-3.4910126859845194, -6.371261908467568, -5.809142990314028}}, 
       {{-3.5519039990868584, -6.489044944123951, -5.881713683148862}}, 
       {{-3.611548111177613, -6.5929445391421035, -5.952243833954701}}, 
       {{-3.6698614482781746, -6.692643899365191, -6.023987738813543}}}, 
      {{{-3.3090740927863496, -5.034415822761659, -5.137900645142132}}, 
       {{-3.256318120344071, -5.01765990903322, -5.102750583004061}}, 
       {{-3.2121485041187743, -5.001180135325501, -5.076775096600801}}, 
       {{-3.1864086347306992, -5.005647752585217, -5.06720564558465}}, 
       {{-3.181339221339475, -5.034415822761659, -5.079985372231049}}, 
       {{-3.1956476987489935, -5.084820192285632, -5.114330530435022}}, 
       {{-3.2259004398051654, -5.162039748255489, -5.167289104141633}}, 
       {{-3.269642941921854, -5.257175423216862, -5.238163443728291}}, 
       {{-3.323403354222135, -5.370888059382872, -5.320562975495356}}, 
       {{-3.3799252463866156, -5.4822402047089644, -5.401458125467551}}, 
       {{-3.4417069250003656, -5.6048425268012965, -5.491902115620703}}, 
       {{-3.507892120333118, -5.744604469176456, -5.588669667555696}}, 
       {{-3.5723416378659847, -5.871018394032115, -5.675195017804289}}, 
       {{-3.636666582667002, -5.987472525838444, -5.763532479061975}}, 
       {{-3.700142646392647, -6.105753693510108, -5.846498776857796}}, 
       {{-3.763603000309873, -6.219620640245735, -5.9294291561885295}}, 
       {{-3.8263041300256084, -6.336775732396399, -6.007593929037865}}, 
       {{-3.888794879308939, -6.444021262749996, -6.092390465697943}}, 
       {{-3.950244218248344, -6.557098407368967, -6.165817934252759}}, 
       {{-4.0107389783673035, -6.660895201050612, -6.2450673059068995}}, 
       {{-4.069847090621713, -6.76799333660698, -6.3144284337044025}}, 
       {{-4.128315081793254, -6.868534565828856, -6.38896148556697}}, 
       {{-4.185802172710936, -6.969630682700223, -6.463069457720692}}, 
       {{-4.241221758082861, -7.070274208479912, -6.522492878191492}}}, 
      {{{-4.058784386823549, -5.747734362185384, -5.860436284701578}}, 
       {{-4.004686690291566, -5.729100282640491, -5.825950108630408}}, 
       {{-3.952844999948401, -5.704782974989784, -5.789340363017849}}, 
       {{-3.915529144757434, -5.692842534617866, -5.763532479061975}}, 
       {{-3.8966419033898436, -5.698794933145162, -5.763532479061975}}, 
       {{-3.8951658883617233, -5.729100282640491, -5.776353167491036}}, 
       {{-3.909526125229559, -5.779584188072482, -5.809142990314028}}, 
       {{-3.9378537654626675, -5.8499649848342825, -5.856933654150375}}, 
       {{-3.9776287625261397, -5.933195638984007, -5.921938484459371}}, 
       {{-4.0257517707564885, -6.036461913038718, -5.99547256850552}}, 
       {{-4.076308199736002, -6.137647057286062, -6.066188093303919}}, 
       {{-4.132046429406112, -6.239925906406482, -6.151633299260804}}, 
       {{-4.191075751181873, -6.365430988156775, -6.234810805739711}}, 
       {{-4.249595847493392, -6.475972862556598, -6.314428433704403}}, 
       {{-4.308032954765555, -6.585671779813023, -6.394931652553473}}, 
       {{-4.3661532855175915, -6.6926438993651916, -6.469500348050982}}, 
       {{-4.424516686294834, -6.794426593675133, -6.543112165394229}}, 
       {{-4.482952553263842, -6.897804948128968, -6.620323237785566}}, 
       {{-4.540319213668475, -7.002065958453379, -6.690227466453562}}, 
       {{-4.5972020163389145, -7.106206217705976, -6.761060899831333}}, 
       {{-4.654045353770228, -7.199445372831458, -6.836365282895464}}, 
       {{-4.709531201312834, -7.293417759794122, -6.904759770002338}}, 
       {{-4.764283157645164, -7.389022100506582, -6.971760608958049}}, 
       {{-4.81799218823043, -7.478684826817834, -7.037863964329157}}}, 
      {{{-4.803011554440083, -6.460508636859018, -6.579891416897524}}, 
       {{-4.748809636189702, -6.439002431638054, -6.543112165394228}}, 
       {{-4.692363397690468, -6.403954270153111, -6.501623726330813}}, 
       {{-4.646096352600737, -6.382435209065694, -6.46821085722111}}, 
       {{-4.615220521841593, -6.377127027919967, -6.449697720754801}}, 
       {{-4.6011781647185535, -6.383026750047154, -6.451597056558455}}, 
       {{-4.6011781647185535, -6.419175264163466, -6.461148227542798}}, 
       {{-4.616231133347516, -6.463069457720691, -6.495645628155304}}, 
       {{-4.642456770774108, -6.525217675517677, -6.541030999190403}}, 
       {{-4.67827865780873, -6.603953824650473, -6.597333719560868}}, 
       {{-4.721366980390603, -6.695066185571786, -6.6624589230267945}}, 
       {{-4.7674538490455385, -6.783769299201145, -6.729609093598664}}, 
       {{-4.817373797263967, -6.880140111949163, -6.8006962066887295}}, 
       {{-4.870960312023774, -6.98679848632259, -6.877226073947314}}, 
       {{-4.9242741284482126, -7.088078833113418, -6.950662779993413}}, 
       {{-4.97768419395657, -7.186147304526825, -7.022044425384264}}, 
       {{-5.031348335693798, -7.281721720030931, -7.091678117143065}}, 
       {{-5.085143346271318, -7.376160186864176, -7.1613580377810555}}, 
       {{-5.139093861000059, -7.469874197135678, -7.230719165578558}}, 
       {{-5.19287685409004, -7.563606674798386, -7.3007978670917435}}, 
       {{-5.246104495101102, -7.652195753929633, -7.36820469542306}}, 
       {{-5.298717446569376, -7.744772829961784, -7.433694540558177}}, 
       {{-5.350663846920246, -7.834096346709795, -7.49654244421784}}, 
       {{-5.402123535273626, -7.921107723699422, -7.559760516210908}}}, 
      {{{-5.546266036781217, -7.171720824816602, -7.297839285051999}}, 
       {{-5.492630536194369, -7.1472823095468705, -7.261577153938463}}, 
       {{-5.432992269874639, -7.112322444723411, -7.215640058751438}}, 
       {{-5.379961355588547, -7.079730543721947, -7.174328388223683}}, 
       {{-5.33976455646221, -7.058578168716721, -7.146012468106395}}, 
       {{-5.314243517098296, -7.053937789160218, -7.132149612197999}}, 
       {{-5.303128923545259, -7.065579364175704, -7.132149612197999}}, 
       {{-5.305543411639777, -7.09408485717363, -7.148553765535068}}, 
       {{-5.319541002999664, -7.138427096717139, -7.176942768797754}}, 
       {{-5.343733230078519, -7.196771574447055, -7.218364856077622}}, 
       {{-5.376278908017748, -7.2687251472037495, -7.2701608976298555}}, 
       {{-5.415525567453577, -7.349365833726655, -7.330875322329021}}, 
       {{-5.457313098038495, -7.430316158966548, -7.390641534058887}}, 
       {{-5.502639163621659, -7.518401238030338, -7.45420808039128}}, 
       {{-5.551147228232606, -7.612975040776353, -7.5220912791177925}}, 
       {{-5.599963146017204, -7.704043218461596, -7.590952128688914}}, 
       {{-5.649010238809222, -7.792062965003241, -7.654303236269198}}, 
       {{-5.698794933145162, -7.877974352881847, -7.721940787919138}}, 
       {{-5.748675243546938, -7.9633080781898, -7.78482529770301}}, 
       {{-5.798532811202012, -8.053459175184097, -7.849363818840581}}, 
       {{-5.848577059559434, -8.138756755695992, -7.912877224562908}}, 
       {{-5.898338569118498, -8.224523577453418, -7.9748689005908755}}, 
       {{-5.947639067567953, -8.306122221336297, -8.034767042171945}}, 
       {{-5.996678114160869, -8.386164929009833, -8.098482856558052}}}, 
      {{{-6.292569639891903, -7.883265370516264, -8.02249694958013}}, 
       {{-6.239925906406482, -7.8596731884994435, -7.986564940354068}}, 
       {{-6.178276169174802, -7.821549130657704, -7.934977571563574}}, 
       {{-6.120207423000707, -7.782424336165472, -7.888584531993864}}, 
       {{-6.07224085713527, -7.751725349276666, -7.851931214345829}}, 
       {{-6.0372990834517815, -7.735577362868685, -7.826549141074411}}, 
       {{-6.0157572396770265, -7.733291647587828, -7.814095680003124}}, 
       {{-6.007187507573218, -7.747084969720164, -7.816573996017591}}, 
       {{-6.010443513705785, -7.77525584668686, -7.834096346709793}}, 
       {{-6.023987738813542, -7.814095680003123, -7.8596731884994435}}, 
       {{-6.04613194845029, -7.870089949357699, -7.896616703691127}}, 
       {{-6.076151355275176, -7.932188169475995, -7.946213644830499}}, 
       {{-6.111600348347963, -8.00736806798383, -7.99839939800107}}, 
       {{-6.149757126102576, -8.082169281066529, -8.053459175184097}}, 
       {{-6.190891571804876, -8.163021377695623, -8.111728083308073}}, 
       {{-6.2353211400197335, -8.247166054203177, -8.173603487026162}}, 
       {{-6.280213855520185, -8.326572831807587, -8.235780731978052}}, 
       {{-6.325539659129474, -8.408338786504155, -8.298057661499566}}, 
       {{-6.371261908467568, -8.487634389174692, -8.355925043820115}}, 
       {{-6.417949022440221, -8.568486485803788, -8.41734785644652}}, 
       {{-6.464352331533581, -8.645026562926121, -8.473176305999463}}, 
       {{-6.510994611504119, -8.72791422273189, -8.532306829226284}}, 
       {{-6.557802880804232, -8.804875263868016, -8.59515473288595}}, 
       {{-6.603953824650473, -8.881036624833582, -8.65072458404076}}}, 
      {{{-7.0444918025556085, -8.601662348042687, -8.749125248763526}}, 
       {{-6.992986423344798, -8.580665614371812, -8.712599987758848}}, 
       {{-6.930409969546943, -8.540461818355592, -8.66279716527503}}, 
       {{-6.868534565828856, -8.497390564120057, -8.61150387088748}}, 
       {{-6.814264935894798, -8.458924283292262, -8.56638343560701}}, 
       {{-6.771477660689589, -8.431015495175185, -8.532306829226284}}, 
       {{-6.741393741766911, -8.41734785644652, -8.512703286143386}}, 
       {{-6.722936841989595, -8.417347856446522, -8.501812089377935}}, 
       {{-6.716308814411182, -8.431015495175185, -8.50724286056307}}, 
       {{-6.720446180677143, -8.45421839225485, -8.522205733239781}}, 
       {{-6.732961988608974, -8.497390564120058, -8.548167995715668}}, 
       {{-6.753318925677718, -8.547652398900945, -8.581731712553808}}, 
       {{-6.7802419586831775, -8.606024405122852, -8.622553707074063}}, 
       {{-6.8133546035606525, -8.668016081150821, -8.676188922906697}}, 
       {{-6.84760135616239, -8.740336742730447, -8.721147048337306}}, 
       {{-6.885993787200625, -8.811564252018815, -8.777260096835045}}, 
       {{-6.9265304343084715, -8.89115963246503, -8.833960844763116}}, 
       {{-6.96771762015482, -8.961919013477704, -8.889707199384716}}, 
       {{-7.009788004547288, -9.036387064852747, -8.945671073833473}}, 
       {{-7.052434290351581, -9.10959046887604, -9.001701506864855}}, 
       {{-7.095652350109277, -9.182725204943209, -9.056761284047882}}, 
       {{-7.1391830498840445, -9.25638431047759, -9.112306631704817}}, 
       {{-7.182981910166572, -9.32912390796615, -9.168239195957547}}, 
       {{-7.226721641473684, -9.40271226462364, -9.222412953210451}}}, 
      {{{-7.805960543309907, -9.333638588320676, -9.487412265315948}}, 
       {{-7.755686673342948, -9.311266290566143, -9.451138858529113}}, 
       {{-7.6925792481139865, -9.270090376381956, -9.40029095593463}}, 
       {{-7.627862641124866, -9.222412953210453, -9.346160095118718}}, 
       {{-7.568628898991787, -9.178841704916811, -9.294809528602633}}, 
       {{-7.519138157739443, -9.143616739933274, -9.25324787298746}}, 
       {{-7.480988362876745, -9.119586008707719, -9.223425611524839}}, 
       {{-7.454553563206946, -9.10778378365109, -9.205352830465143}}, 
       {{-7.439123803979458, -9.108686718249682, -9.199400431937848}}, 
       {{-7.433694540558176, -9.12324566512525, -9.203364758239758}}, 
       {{-7.437593841930059, -9.14830498105673, -9.217364986913147}}, 
       {{-7.449555707047558, -9.183698441029762, -9.241831039067554}}, 
       {{-7.468471672361593, -9.229523191392957, -9.273280171750057}}, 
       {{-7.493484062774812, -9.28291106481102, -9.312373097541334}}, 
       {{-7.523015920885011, -9.343871764600705, -9.356522882154264}}, 
       {{-7.555355644586112, -9.40635525590214, -9.403925121048848}}, 
       {{-7.590358245666411, -9.47170513611059, -9.452411933175911}}, 
       {{-7.627657196850902, -9.541626081910096, -9.50471143257876}}, 
       {{-7.665761031890579, -9.60932651398664, -9.5556515572646}}, 
       {{-7.704708628267672, -9.677149110325399, -9.60783731043517}}, 
       {{-7.744311042837438, -9.746483803726465, -9.658191196580784}}, 
       {{-7.784825297703011, -9.813646848536338, -9.711215664889005}}, 
       {{-7.825547136982559, -9.881726060754616, -9.761987990262428}}, 
       {{-7.8666925855777645, -9.948484918466864, -9.815476675213414}}}, 
      {{{-8.580132991190112, -10.07546281727594, -10.24035986917868}}, 
       {{-8.530785144935704, -10.054310442270712, -10.201893588350885}}, 
       {{-8.467451099521423, -10.011072763216065, -10.151948911834628}}, 
       {{-8.400744378772991, -9.961116665372764, -10.094648057997288}}, 
       {{-8.337374764840401, -9.91353788838963, -10.03816245586273}}, 
       {{-8.282516404288355, -9.870052776449892, -9.993412260064115}}, 
       {{-8.237291306283419, -9.839574226792475, -9.9526777967269}}, 
       {{-8.20347794191764, -9.817309856295076, -9.927780245105172}}, 
       {{-8.180006924061368, -9.808177372731803, -9.911519724233393}}, 
       {{-8.166536319803068, -9.811820364010305, -9.9054895552068}}, 
       {{-8.162319869424133, -9.824676372111838, -9.911519724233393}}, 
       {{-8.166184269104132, -9.848999367252059, -9.923690259853647}}, 
       {{-8.177511823854076, -9.879771025918812, -9.948484918466864}}, 
       {{-8.194747439028166, -9.923690259853647, -9.976058245370965}}, 
       {{-8.217829614190618, -9.971766393289423, -10.013302418543335}}, 
       {{-8.244878596095578, -10.029050775511474, -10.051987560854572}}, 
       {{-8.275031634266266, -10.085009429159518, -10.097072301608792}}, 
       {{-8.307337534428964, -10.144286039089058, -10.141744741660386}}, 
       {{-8.341560622773079, -10.210012712789387, -10.188506507568425}}, 
       {{-8.376996560922954, -10.271656875900597, -10.23756266455762}}, 
       {{-8.413283728025727, -10.334270468628581, -10.283284913895715}}, 
       {{-8.450001941875914, -10.397783874350909, -10.331198269591612}}, 
       {{-8.488119943930531, -10.458613435198698, -10.381523353479128}}, 
       {{-8.526233936068387, -10.52338427135648, -10.42773619663426}}}, 
      {{{-9.36957059754674, -10.833877208789785, -11.004903768536971}}, 
       {{-9.321607184404769, -10.813299318312573, -10.970601174144868}}, 
       {{-9.25837582101474, -10.771464424131732, -10.91849425734944}}, 
       {{-9.189557832793653, -10.719932949440567, -10.85799949723048}}, 
       {{-9.12324566512525, -10.66705719739262, -10.80046597337791}}, 
       {{-9.063645992825379, -10.616837440413592, -10.748853946073584}}, 
       {{-9.012309521477048, -10.580761383939782, -10.7019952487539}}, 
       {{-8.972111183243932, -10.549751147197222, -10.67135827929201}}, 
       {{-8.94107688504842, -10.53084699255807, -10.645824977286845}}, 
       {{-8.92066029686173, -10.52338427135648, -10.633298717467666}}, 
       {{-8.90875539435541, -10.527108670447463, -10.629157924801634}}, 
       {{-8.90506399112345, -10.538365824972097, -10.633298717467666}}, 
       {{-8.90875539435541, -10.561267589258781, -10.645824977286845}}, 
       {{-8.919164410270145, -10.592642711826535, -10.662774535600619}}, 
       {{-8.935743539073057, -10.629157924801634, -10.693145633476917}}, 
       {{-8.956473648019132, -10.675677940436525, -10.72446810460596}}, 
       {{-8.981612442368073, -10.729023921141819, -10.761509376286307}}, 
       {{-9.009033515271147, -10.78537685769295, -10.799975657114103}}, 
       {{-9.03975407140065, -10.834891922220331, -10.847663487899819}}, 
       {{-9.071448373109565, -10.892348977245119, -10.89020074870683}}, 
       {{-9.104180176147793, -10.953309677034806, -10.933507049738626}}, 
       {{-9.138019710396557, -11.01215017705774, -10.978188021157925}}, 
       {{-9.172081659859092, -11.074670534039074, -11.01944947953935}}, 
       {{-9.20834236931351, -11.127663064179583, -11.070164572118367}}}, 
      {{{-10.17818759076474, -11.610538293837228, -11.789997358309993}}, 
       {{-10.131141259328224, -11.588727178386511, -11.756271723601957}}, 
       {{-10.068126374477774, -11.54544865667579, -11.705297357617685}}, 
       {{-9.998457790127356, -11.4921429257877, -11.645314653015975}}, 
       {{-9.929215701108859, -11.43689077869423, -11.583347929266774}}, 
       {{-9.865036366161876, -11.38541214467127, -11.524998046204498}}, 
       {{-9.809086877114643, -11.339812847261584, -11.475629680226533}}, 
       {{-9.762335272780245, -11.303475240788021, -11.434114284545938}}, 
       {{-9.725341367152653, -11.277063141248243, -11.40317460101111}}, 
       {{-9.697775042951598, -11.261388839154801, -11.381897202563824}}, 
       {{-9.679064819723537, -11.25518726889152, -11.369691296884321}}, 
       {{-9.668573545623003, -11.258283246596648, -11.366231085819425}}, 
       {{-9.665573622318469, -11.270763907820257, -11.37142590269653}}, 
       {{-9.669206256811462, -11.292184798272329, -11.383653129266088}}, 
       {{-9.678905037027665, -11.320653577323105, -11.402278944883165}}, 
       {{-9.69387513550627, -11.356776782480297, -11.427665621019404}}, 
       {{-9.713363183679153, -11.397812657869723, -11.458437279686159}}, 
       {{-9.73644885260669, -11.44620183292732, -11.4921429257877}}, 
       {{-9.762161616445693, -11.495085546841898, -11.529054846900111}}, 
       {{-9.789980311742534, -11.546482248499071, -11.568438174900487}}, 
       {{-9.81951411875995, -11.600664379278234, -11.608335649774887}}, 
       {{-9.850136377039133, -11.653337618686974, -11.648745188112763}}, 
       {{-9.881726060754616, -11.707724543275296, -11.69085667346289}}, 
       {{-9.914144132724656, -11.761386824268728, -11.732326030005604}}}, 
      {{{-11.009124456141203, -12.41186755850977, -12.597634848469347}}, 
       {{-10.96307145423676, -12.387594522153563, -12.565608821749938}}, 
       {{-10.899904328889567, -12.34533471286368, -12.512597805783434}}, 
       {{-10.829323697253814, -12.29163053389182, -12.451973183967}}, 
       {{-10.75774289349083, -12.232416620869776, -12.387594522153565}}, 
       {{-10.690066677888625, -12.17651384328863, -12.32485618152014}}, 
       {{-10.629571233342338, -12.127261465105883, -12.270077975506085}}, 
       {{-10.577616727260311, -12.083855012805925, -12.224236616157846}}, 
       {{-10.534599342176621, -12.050779761124138, -12.186270018233994}}, 
       {{-10.500960983027792, -12.025419145836915, -12.159189059631323}}, 
       {{-10.475834032950369, -12.012151952892868, -12.140284904992171}}, 
       {{-10.458961927971, -12.00722178678501, -12.129111604394044}}, 
       {{-10.449249746183016, -12.012151952892866, -12.125414742512719}}, 
       {{-10.446836368007679, -12.02375108873622, -12.130965173043368}}, 
       {{-10.450285836760937, -12.04225456030078, -12.14215931978652}}, 
       {{-10.459310542232855, -12.069795027237626, -12.159189059631323}}, 
       {{-10.473002172650798, -12.10351605720508, -12.182356118912859}}, 
       {{-10.490834314209861, -12.14215931978652, -12.210080666927713}}, 
       {{-10.512661299319895, -12.184311153748661, -12.242736629901765}}, 
       {{-10.536480810276327, -12.230365338099219, -12.27864333836501}}, 
       {{-10.562426561766337, -12.27864333836501, -12.31365785621011}}, 
       {{-10.58985774881705, -12.329370861874668, -12.349943015949876}}, 
       {{-10.618471427705249, -12.378047910269984, -12.389995483691102}}, 
       {{-10.647928027483625, -12.429216196844385, -12.426719316645796}}}, 
      {{{-11.866747339926555, -13.236092142732671, -13.432972954499814}}, 
       {{-11.821082390611394, -13.213930570929818, -13.399435270744094}}, 
       {{-11.758314625231758, -13.170503752732264, -13.347383688731398}}, 
       {{-11.686683791103695, -13.114891362565627, -13.284882306902103}}, 
       {{-11.613077346920669, -13.053303841472834, -13.21832376855024}}, 
       {{-11.54235427566104, -12.995730726470963, -13.153854044495699}}, 
       {{-11.477558321132937, -12.940041820610375, -13.094261947293454}}, 
       {{-11.420346283677135, -12.895227804820582, -13.040783390411907}}, 
       {{-11.372294335230483, -12.852336240191269, -12.998377397623337}}, 
       {{-11.333107038394392, -12.822258784953991, -12.965787070362232}}, 
       {{-11.301854494890287, -12.800279878235216, -12.938376541291312}}, 
       {{-11.278644169245563, -12.789468962131, -12.919422533407639}}, 
       {{-11.263724379336729, -12.78232607461862, -12.911292407324389}}, 
       {{-11.25518726889152, -12.785891140783116, -12.911292407324389}}, 
       {{-11.252871559635922, -12.796663237765028, -12.915349208020002}}, 
       {{-11.255960365180508, -12.814878677656369, -12.923512518659164}}, 
       {{-11.263724379336729, -12.84473164080605, -12.940041820610373}}, 
       {{-11.277063141248243, -12.871604659057146, -12.965359628594664}}, 
       {{-11.293789935053557, -12.907251997787384, -12.991335114997925}}, 
       {{-11.31325526984166, -12.948410070280891, -13.016652922982214}}, 
       {{-11.335616449999819, -12.991335114997925, -13.049577707678681}}, 
       {{-11.360204377952565, -13.036185681163277, -13.085067592660632}}, 
       {{-11.38541214467127, -13.083142664251048, -13.11737583589329}}, 
       {{-11.412175561870086, -13.127375919227873, -13.152822584889037}}}, 
      {{{-12.754946336933694, -14.09258245130404, -14.29677737948872}}, 
       {{-12.709922655559739, -14.069113316763193, -14.264927553601622}}, 
       {{-12.647061309707384, -14.024997782830997, -14.213007496423263}}, 
       {{-12.574531028009243, -13.968661737458449, -14.149585669985765}}, 
       {{-12.49910232430855, -13.906529956351442, -14.080779035579155}}, 
       {{-12.42547321056555, -13.843910032485972, -14.012742727493983}}, 
       {{-12.356895535264757, -13.784981352929451, -13.949041950588796}}, 
       {{-12.29555981203171, -13.7320889498252, -13.892391602300233}}, 
       {{-12.242321778205294, -13.687117343195874, -13.843910032485972}}, 
       {{-12.197509414869685, -13.6499961194867, -13.803581987099001}}, 
       {{-12.161099279887443, -13.621589865326968, -13.772451068503827}}, 
       {{-12.13245050565956, -13.60201338370187, -13.747851909490459}}, 
       {{-12.111308069085752, -13.590768285286368, -13.732088949825203}}, 
       {{-12.097038884506052, -13.587578489918267, -13.72293137667118}}, 
       {{-12.089178894058675, -13.5915673264795, -13.72110988254279}}, 
       {{-12.086868398051697, -13.602821464553923, -13.724756194695809}}, 
       {{-12.089890891240763, -13.6199437744203, -13.73485265494682}}, 
       {{-12.097577049376875, -13.642397940255629, -13.750659585644657}}, 
       {{-12.109308977097866, -13.671410213990516, -13.770537192321543}}, 
       {{-12.124677007326179, -13.704864037877211, -13.793749066182762}}, 
       {{-12.14328565743141, -13.742260096224681, -13.821528630289837}}, 
       {{-12.163971469511539, -13.782075781878037, -13.851137735607425}}, 
       {{-12.18666225201035, -13.823542729661538, -13.882719307657723}}, 
       {{-12.210683258087856, -13.866803852351824, -13.915330893246486}}}, 
      {{{-13.679232939671726, -14.983472924767177, -15.199008831782164}}, 
       {{-13.634022681918896, -14.958074734161567, -15.165280144401793}}, 
       {{-13.570996980913872, -14.915123346965967, -15.113794041761452}}, 
       {{-13.497784364164117, -14.856797780013116, -15.049942569774919}}, 
       {{-13.420095785709611, -14.793676693556517, -14.977062646406258}}, 
       {{-13.344257709318107, -14.72681374832739, -14.909135305121344}}, 
       {{-13.272024151958735, -14.666481823717787, -14.839943448458133}}, 
       {{-13.206832534030779, -14.607373711463376, -14.78046646181971}}, 
       {{-13.14870735274393, -14.557847982714991, -14.724329274999729}}, 
       {{-13.099135251285121, -14.514675810849782, -14.68063300326403}}, 
       {{-13.057512405084713, -14.481042571491246, -14.643332641850822}}, 
       {{-13.023423429549425, -14.456065288405048, -14.611798497443733}}, 
       {{-12.997053186438881, -14.437267742437546, -14.59203934746327}}, 
       {{-12.977397607154144, -14.426156517012476, -14.576936579277513}}, 
       {{-12.964078398438616, -14.424316590090468, -14.568407742929994}}, 
       {{-12.956848938926756, -14.427999835506764, -14.566286851360855}}, 
       {{-12.954732536020378, -14.437267742437546, -14.570533142242308}}, 
       {{-12.957272757538735, -14.454169553240149, -14.579080202820764}}, 
       {{-12.964505292788749, -14.475222962437982, -14.594215626885866}}, 
       {{-12.975237312514034, -14.502675666846672, -14.611798497443733}}, 
       {{-12.98958226617051, -14.532950431093264, -14.634220961499565}}, 
       {{-13.006805036770057, -14.566286851360855, -14.659480628258803}}, 
       {{-13.026144519663786, -14.605168638905063, -14.687784404421656}}, 
       {{-13.047255904917524, -14.645623593597378, -14.716912677344679}}}, 
      {{{-14.644706582987496, -15.914338813444301, -16.14034125990564}}, 
       {{-14.599458102850717, -15.890163582912313, -16.106167080093048}}, 
       {{-14.536028935320351, -15.8450197308959, -16.053244678638702}}, 
       {{-14.461583331138291, -15.786635956160652, -15.987067388551916}}, 
       {{-14.38237757261389, -15.721334983480302, -15.914338813444301}}, 
       {{-14.303596694760776, -15.652476620030408, -15.841980214878005}}, 
       {{-14.228302441458899, -15.586879337544595, -15.77167308348394}}, 
       {{-14.15898726873837, -15.525321444545161, -15.706648471172608}}, 
       {{-14.096813023452016, -15.470468985700183, -15.648717217106503}}, 
       {{-14.042411158156197, -15.422451590199787, -15.598112089407564}}, 
       {{-13.995834112095556, -15.3809315849816, -15.555057155745395}}, 
       {{-13.956843734080918, -15.348913784122377, -15.519808751422335}}, 
       {{-13.925325423971481, -15.325103135428657, -15.492692122484895}}, 
       {{-13.90063281138111, -15.308944794642068, -15.472040077932226}}, 
       {{-13.882291591654626, -15.300079488352505, -15.457988324476576}}, 
       {{-13.869861152714355, -15.298756445160615, -15.450266278382664}}, 
       {{-13.862916680361545, -15.301404284306921, -15.448728999063778}}, 
       {{-13.860821780674277, -15.31028139542025, -15.452319667194507}}, 
       {{-13.863126411905938, -15.32736814205951, -15.460575648041525}}, 
       {{-13.869544446456759, -15.34521350237952, -15.473613642379656}}, 
       {{-13.879622503431518, -15.370933882092137, -15.49108827290292}}, 
       {{-13.892823661066945, -15.398306539451953, -15.511596277124047}}, 
       {{-13.908832715195647, -15.434493883241906, -15.535321527879745}}, 
       {{-13.927000933997638, -15.46837802832571, -15.561341095303929}}}}, 
     {Automatic, Automatic}]
 
sigmaNLLSS8[x_, y_] := If[x < 200 || x > 2500 || y < 200 || y > 2500, 
     "Squark or gluino mass outside range of Interpolation!", 
     {SetPrecision[E^fNLLSSLog8[x, y][[1]], 3], 
      SetPrecision[E^fNLLSSLog8[x, y][[2]], 3], 
      SetPrecision[-E^fNLLSSLog8[x, y][[3]], 3]}]
 
fNLLSSLog8 = InterpolatingFunction[{{200., 2500.}, {200., 2500.}}, 
     {4, 3, 0, {24, 24}, {5, 5}, 0, 0, 0, 0, Automatic}, 
     {{200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000., 2100., 2200., 
       2300., 2400., 2500.}, {200., 300., 400., 500., 600., 700., 800., 900., 
       1000., 1100., 1200., 1300., 1400., 1500., 1600., 1700., 1800., 1900., 
       2000., 2100., 2200., 2300., 2400., 2500.}}, 
     {{{{5.428866706793775, 3.0462144042223973, 2.5112033264357145}}, 
       {{5.008733183501732, 1.78077803647321, 1.7547028834150078}}, 
       {{4.711470166481151, 1.4856095568523846, 1.4897940416840783}}, 
       {{4.461419368592678, 1.1467986206989351, 1.2304139948345283}}, 
       {{4.232683426337686, 0.9255573535845775, 0.9908896277574332}}, 
       {{4.015813872537959, 0.880344195557148, 0.7634128936933974}}, 
       {{3.839960601410505, 0.6275449267437666, 0.5573364978950975}}, 
       {{3.6845947398471375, 0.7411832132942705, 0.388574487601591}}, 
       {{3.55838459903989, 0.8825795798164003, 0.3545207736880895}}, 
       {{3.4617042226417545, 1.0078519589241408, 0.4839769633368832}}, 
       {{3.387337295820963, 1.180287497684557, 0.6439890679445429}}, 
       {{3.3372931636474776, 1.3570955286008697, 0.8277360974369626}}, 
       {{3.310212660817884, 1.5260756037344507, 1.0181610648440331}}, 
       {{3.3012294336164425, 1.6708065932101333, 1.190447317113219}}, 
       {{3.308500713961571, 1.8232848305146312, 1.344618620540189}}, 
       {{3.3290720053006573, 1.9611260312617507, 1.4867309020204997}}, 
       {{3.361030192024351, 2.0908422155974207, 1.6188825612659894}}, 
       {{3.4005908947171, 2.2165250038127016, 1.737429276405838}}, 
       {{3.449353680484708, 2.3251740453641276, 1.860906897498017}}, 
       {{3.5017241735954534, 2.43106315680776, 1.9698288519528515}}, 
       {{3.5575951872112404, 2.5323476010867516, 2.071071035387765}}, 
       {{3.6181314234615427, 2.627178882503778, 2.170425923884899}}, 
       {{3.6783113732280794, 2.7177398756650337, 2.2624210048024453}}, 
       {{3.739174807033345, 2.8044002184972614, 2.3501203101666746}}}, 
      {{{3.936219426931474, 1.6896205786100889, 1.3364740444305883}}, 
       {{3.735857887653978, 1.2682915083836366, 0.8621451008435846}}, 
       {{3.4582564640726914, 0.4753124544329041, 0.22193789837844474}}, 
       {{3.2304366209301913, -0.06226197003261068, -0.08244741200822776}}, 
       {{3.038488704540936, -0.2831702384023312, -0.26269756221023266}}, 
       {{2.8585482714278014, -0.5100672537755435, -0.4398328393903185}}, 
       {{2.6844424817336145, -0.7347457467610806, -0.6119435986720594}}, 
       {{2.523354856094851, -0.9260405592263414, -0.7745256357479718}}, 
       {{2.3750525240532827, -1.0889610154937135, -0.9284432564771642}}, 
       {{2.2354693489014483, -1.205131660526613, -1.073925054891635}}, 
       {{2.110029160480236, -1.3068284291850374, -1.2107435011677499}}, 
       {{1.9965453339092072, -1.4048335723536216, -1.3346862269521036}}, 
       {{1.891908853822486, -1.417876545926392, -1.4396362943317662}}, 
       {{1.7992669011161466, -1.328053370134368, -1.5063577169464373}}, 
       {{1.7159511763582704, -1.2320201117536005, -1.5158891474030447}}, 
       {{1.644872304488589, -1.115117488735585, -1.4813290172020979}}, 
       {{1.5834359393548743, -0.9905007262293286, -1.3972499357789279}}, 
       {{1.5309077084013512, -0.8735755993228909, -1.3075777249286005}}, 
       {{1.4879561721166485, -0.7297578632441619, -1.1999706094213871}}, 
       {{1.453795263009969, -0.6118700597608411, -1.0846188679742759}}, 
       {{1.4279083890084825, -0.49777740053887387, -0.973762842099833}}, 
       {{1.4109258801805415, -0.3966510150267915, -0.8588935174812382}}, 
       {{1.3995791833328712, -0.28603440162042254, -0.7613286210879175}}, 
       {{1.3952684318034687, -0.19244918607986194, -0.6661839542700663}}}, 
      {{{2.7452413370148894, 0.6561207271721488, 0.37523312624941857}}, 
       {{2.616311028481427, 0.29180939833691966, -0.010401808842570562}}, 
       {{2.459974917544719, -0.04958713900132954, -0.3789876993210033}}, 
       {{2.2585353559591677, -0.6377184888495608, -0.8731558108302006}}, 
       {{2.0749104747235134, -1.1353644960973726, -1.2030656470247203}}, 
       {{1.919774560133553, -1.3937737961669252, -1.3734180739025441}}, 
       {{1.7708119069473138, -1.6664539799969342, -1.5378684854968474}}, 
       {{1.625649828740184, -1.7858918448082792, -1.6875472450849531}}, 
       {{1.489079361358026, -2.0134781075613137, -1.8219948908968189}}, 
       {{1.3597027783281987, -2.193781770046362, -1.9508294945085287}}, 
       {{1.2360843040511649, -2.3044582640856452, -2.0741477963271557}}, 
       {{1.1199022689306153, -2.460319340302472, -2.1905920654421687}}, 
       {{1.0067802970202953, -2.5612364413784188, -2.305030032624362}}, 
       {{0.9043273346111866, -2.6900392659548658, -2.4132761178461557}}, 
       {{0.807648829838343, -2.7863571733028105, -2.5170105669356713}}, 
       {{0.7156531460160664, -2.8713225510942197, -2.616156136135625}}, 
       {{0.6295059281391876, -2.9414351098654556, -2.7105601174842686}}, 
       {{0.5497945100145208, -2.9828727754021807, -2.792168810305603}}, 
       {{0.47560670497759727, -2.9834783414219546, -2.8574538509778655}}, 
       {{0.4066790446278052, -2.9750320743388654, -2.896885334478179}}, 
       {{0.34165731788749376, -2.8673328778265175, -2.9371201642843516}}, 
       {{0.283119647291075, -2.8041263999573562, -2.9507715537803034}}, 
       {{0.22928667371990732, -2.7098941108296883, -2.9187115388068476}}, 
       {{0.17942533086998444, -2.592454839945749, -2.9015908321372206}}}, 
      {{{1.7007593738242215, -0.2992010063666204, -0.5537346619325932}}, 
       {{1.6426393911009962, -0.5164744930895202, -0.7904300152383433}}, 
       {{1.5293700919013669, -0.831065099615851, -1.1117316631895502}}, 
       {{1.4028092002452237, -1.1222396442024365, -1.4036653449675356}}, 
       {{1.2470150292188487, -1.5481909020742641, -1.786466455431109}}, 
       {{1.0961890063371853, -1.9887384368732532, -2.09088058160957}}, 
       {{0.9641363508549249, -2.2625676918056277, -2.2759743350578256}}, 
       {{0.8377675019616665, -2.5045366587837723, -2.4393424252781895}}, 
       {{0.7157332289789292, -2.698071822234692, -2.5672989043759626}}, 
       {{0.5973667755440397, -2.879155986491661, -2.694621410861898}}, 
       {{0.48254494248178453, -3.0563005770711342, -2.8150162850565477}}, 
       {{0.37309223474846487, -3.1745665083229597, -2.927037027877991}}, 
       {{0.2679544757147455, -3.306290119993753, -3.0307883942896003}}, 
       {{0.16743635258703213, -3.4361753573769773, -3.1302452426214735}}, 
       {{0.07142709402316273, -3.5439184511675483, -3.2260296295149686}}, 
       {{-0.021138151237944526, -3.6376559862888564, -3.3185920701580898}}, 
       {{-0.10802763493700768, -3.7328555627501943, -3.4080434591544333}}, 
       {{-0.19078212356299643, -3.8229935428428066, -3.4938756245437346}}, 
       {{-0.27070497330005555, -3.9103226059694327, -3.5778960485833595}}, 
       {{-0.3469662365091371, -3.9929218474283514, -3.658803138811622}}, 
       {{-0.41972910023354815, -4.070709054551756, -3.7369571666511407}}, 
       {{-0.48892433299470006, -4.138555026483531, -3.8114278033485296}}, 
       {{-0.5548195353026921, -4.196821271286657, -3.8816197596212048}}, 
       {{-0.6169922930221864, -4.23602133110531, -3.945305723452922}}}, 
      {{{0.752659021700665, -1.1891734361096262, -1.4277124328260777}}, 
       {{0.7409032825225055, -1.3194864924195748, -1.5736007663496936}}, 
       {{0.6795039013671166, -1.5239394046538695, -1.785059384321684}}, 
       {{0.5818568430935247, -1.7941325190600521, -2.0539892159088327}}, 
       {{0.4762863677960711, -2.042963507144959, -2.3066489927196656}}, 
       {{0.3510974837258595, -2.3907087435138026, -2.6023272552181895}}, 
       {{0.22502416920172857, -2.763415440046741, -2.8596657403779413}}, 
       {{0.11085296134034267, -3.027547014072728, -3.048653125888344}}, 
       {{0.0007588405055987854, -3.251570069695265, -3.210696563396073}}, 
       {{-0.10549523410166023, -3.4250119625519475, -3.336739732450769}}, 
       {{-0.20965541450178773, -3.611857928309419, -3.461286244695462}}, 
       {{-0.3108979525642858, -3.7867563661279964, -3.576883687519241}}, 
       {{-0.4081593868034475, -3.9325637182580397, -3.6793386759966586}}, 
       {{-0.5030135097834214, -4.0693605250397615, -3.777624894246491}}, 
       {{-0.5933711585338804, -4.194284724820499, -3.8663082902411103}}, 
       {{-0.6819890758702497, -4.301586881414799, -3.9574555149745336}}, 
       {{-0.7669669521159036, -4.3909813373860205, -4.041333167956889}}, 
       {{-0.8482606091432425, -4.478832641344282, -4.122261855795899}}, 
       {{-0.9263389190921463, -4.560558065720019, -4.200773536809791}}, 
       {{-1.0015216277275472, -4.638479275670069, -4.276050654841492}}, 
       {{-1.074715832965337, -4.713817169373171, -4.349264958810987}}, 
       {{-1.1450574777188793, -4.7866818685503, -4.420744350929151}}, 
       {{-1.212556181762173, -4.859113436484214, -4.491628949600068}}, 
       {{-1.277721935927628, -4.929149929477256, -4.559678873209664}}}, 
      {{{-0.12848657482460088, -2.0287136398474197, -2.251790082685082}}, 
       {{-0.1106264997212941, -2.102365148070997, -2.3420187527448464}}, 
       {{-0.1336450249031232, -2.235256574724973, -2.4849532137842654}}, 
       {{-0.1920675228157054, -2.4230824982680534, -2.6753290972459567}}, 
       {{-0.27598006640464345, -2.6607808305414307, -2.9034572245755728}}, 
       {{-0.36589449188951584, -2.8810703407156826, -3.112811521969317}}, 
       {{-0.46960084905165334, -3.1616934852593594, -3.351806256545539}}, 
       {{-0.5775692057396655, -3.468314484207337, -3.5876214981520205}}, 
       {{-0.6770612295536796, -3.7179093624078803, -3.7617260441771214}}, 
       {{-0.7734901858258253, -3.92862383433417, -3.908838998464998}}, 
       {{-0.8675770973679456, -4.112511048296055, -4.037380855221566}}, 
       {{-0.9597472538138939, -4.294075816121701, -4.1543965526508275}}, 
       {{-1.05037198711237, -4.456110060427246, -4.266520406353299}}, 
       {{-1.1386800861572357, -4.595843214491632, -4.367836380431866}}, 
       {{-1.2235047940537016, -4.740935073948796, -4.455075764044631}}, 
       {{-1.307212745014366, -4.870047166410797, -4.547628966374675}}, 
       {{-1.3876437966008603, -4.980781285853065, -4.6313544901337815}}, 
       {{-1.4655196081762856, -5.074451741352093, -4.708578357295342}}, 
       {{-1.5410823181108488, -5.165563326773387, -4.784220141696973}}, 
       {{-1.6138105655455879, -5.246225093293814, -4.857181003559613}}, 
       {{-1.6847883360595046, -5.319094252736609, -4.928099749772269}}, 
       {{-1.7532507698491016, -5.388919936178644, -4.996291728990642}}, 
       {{-1.8195494790333437, -5.457038150513572, -5.061543298447289}}, 
       {{-1.8842471917394565, -5.522955039988062, -5.1261123296346485}}}, 
      {{{-0.9624636620678486, -2.819781838605189, -3.0416776929201257}}, 
       {{-0.9257971597343501, -2.865667560265032, -3.0988257641986205}}, 
       {{-0.9205524251008629, -2.9503400653345424, -3.1903273173393702}}, 
       {{-0.9476808961495478, -3.0779176068172385, -3.3229476508988265}}, 
       {{-1.0013992545505066, -3.247846920134388, -3.494005786674371}}, 
       {{-1.0740853074351338, -3.457361891551055, -3.6899532479572947}}, 
       {{-1.151686086684881, -3.653503372129136, -3.8690515099639295}}, 
       {{-1.2399595249549924, -3.8841587663291155, -4.071354160707935}}, 
       {{-1.3328562098512973, -4.157019178033854, -4.27359907227819}}, 
       {{-1.4205112884366726, -4.368329173941854, -4.437509663680577}}, 
       {{-1.506089789657313, -4.572216995675496, -4.571573961103624}}, 
       {{-1.589975277734645, -4.747888063219437, -4.696016221833679}}, 
       {{-1.672962072151631, -4.919629873374584, -4.809662350634577}}, 
       {{-1.7546052857589978, -5.081585355192531, -4.9117300164051425}}, 
       {{-1.8344684154989703, -5.226935964474913, -5.007307357607891}}, 
       {{-1.9121325340623228, -5.3616075755332995, -5.095956900894225}}, 
       {{-1.9886700483284208, -5.481544863680301, -5.186318625873072}}, 
       {{-2.0625033350111677, -5.607178426146754, -5.264680971108598}}, 
       {{-2.1342180484866384, -5.711970750226276, -5.3367213110466905}}, 
       {{-2.2047314732172136, -5.797653590409251, -5.40983178234553}}, 
       {{-2.2725262917690254, -5.882185294030728, -5.478395612816471}}, 
       {{-2.338542228224854, -5.96026079626545, -5.544899817296587}}, 
       {{-2.403211610603563, -6.030206688343657, -5.609847103468287}}, 
       {{-2.465864966569786, -6.095220157545823, -5.672677128904903}}}, 
      {{{-1.7627722283451066, -3.5842748777209748, -3.8068006139367707}}, 
       {{-1.7143508132482932, -3.610718336106529, -3.8387828884156647}}, 
       {{-1.688777021375982, -3.658356433380031, -3.8993937912374053}}, 
       {{-1.691430674215035, -3.745717938721906, -3.994282586779057}}, 
       {{-1.7192443941200772, -3.866376954634487, -4.116455355879353}}, 
       {{-1.7675196251615448, -4.020804425332533, -4.261340362798288}}, 
       {{-1.8310505564949582, -4.211872438589635, -4.431560389837009}}, 
       {{-1.8989976000996407, -4.380238166203644, -4.596035755252623}}, 
       {{-1.9752195229152678, -4.5817155145673825, -4.762332079535971}}, 
       {{-2.0562655015062647, -4.811228006465223, -4.9416902283779045}}, 
       {{-2.134038006911158, -5.010408723699566, -5.085015591412651}}, 
       {{-2.210518133441075, -5.199511637098591, -5.212709708490122}}, 
       {{-2.2860321664204823, -5.36000386009475, -5.328581121570436}}, 
       {{-2.3610684171812264, -5.521919845978775, -5.436214059588944}}, 
       {{-2.435031256825194, -5.680135922171254, -5.534822676976923}}, 
       {{-2.5077364274676848, -5.815600772689129, -5.625072778057491}}, 
       {{-2.5790575281759085, -5.957999330339472, -5.710002536279131}}, 
       {{-2.649221982808026, -6.082068093386833, -5.791340024736801}}, 
       {{-2.7174118708063646, -6.204128112838088, -5.867717580668017}}, 
       {{-2.7844467617861275, -6.304033994516504, -5.940860089377139}}, 
       {{-2.8494001247700056, -6.4066891679484295, -6.00905745176412}}, 
       {{-2.9130104228543137, -6.488261632575258, -6.075542623019107}}, 
       {{-2.9751241187453505, -6.564622716180453, -6.13881739811415}}, 
       {{-3.035610992597773, -6.640015892230473, -6.200795980050837}}}, 
      {{{-2.5385623908835284, -4.328809896186606, -4.547007356586864}}, 
       {{-2.48341739214968, -4.342136618991905, -4.563542284057684}}, 
       {{-2.443227793431693, -4.369228185197196, -4.600105707997699}}, 
       {{-2.426489092337202, -4.423062111277239, -4.662331447941453}}, 
       {{-2.4331714690119095, -4.506660312783787, -4.750700644906792}}, 
       {{-2.4601916062508544, -4.621201976571295, -4.862493520095923}}, 
       {{-2.5038864762019046, -4.762392972753905, -4.997025683099913}}, 
       {{-2.5598613720552232, -4.928166460581169, -5.146667399429592}}, 
       {{-2.6196961068695575, -5.086904805721931, -5.287018173563596}}, 
       {{-2.686248892191593, -5.263153490919329, -5.436267560553551}}, 
       {{-2.757699191362481, -5.4660507316992275, -5.589306715878789}}, 
       {{-2.827250639204949, -5.643347860845043, -5.722377840515276}}, 
       {{-2.896035240471242, -5.81113001814837, -5.83816231719545}}, 
       {{-2.964302698915617, -5.967629776926162, -5.946053847253068}}, 
       {{-3.032477109716057, -6.116254633508898, -6.045251321262931}}, 
       {{-3.1000778896941448, -6.263915645407178, -6.139743554608013}}, 
       {{-3.166792340785856, -6.398492203261607, -6.2267153704748806}}, 
       {{-3.232547478882237, -6.528745629667224, -6.310267315386218}}, 
       {{-3.297054487512229, -6.656633446858802, -6.385741456660368}}, 
       {{-3.3603059606436427, -6.774158095188018, -6.457360515350548}}, 
       {{-3.422670971732729, -6.878339696138038, -6.5287685159690225}}, 
       {{-3.4833741987414135, -6.982466911019833, -6.594016685291785}}, 
       {{-3.5428814137010938, -7.069772929097885, -6.656881614902161}}, 
       {{-3.6011056560540777, -7.149753352719839, -6.718793644193953}}}, 
      {{{-3.298126330780282, -5.057444623164051, -5.276669335628259}}, 
       {{-3.2394474945981133, -5.063629580856495, -5.282846288361586}}, 
       {{-3.188944740180753, -5.07332771148005, -5.303417266927789}}, 
       {{-3.157024089990092, -5.105488231763786, -5.3416716301687766}}, 
       {{-3.146164530436027, -5.162697420515576, -5.402867099805635}}, 
       {{-3.155140333574782, -5.241889082396787, -5.485981147798063}}, 
       {{-3.180540779224118, -5.34976041794737, -5.587914176311752}}, 
       {{-3.219853907521522, -5.477028429939054, -5.708950197310017}}, 
       {{-3.26959409924459, -5.625697109745587, -5.840868255690079}}, 
       {{-3.322731419265641, -5.770225631503222, -5.964570469615229}}, 
       {{-3.381501873290294, -5.928193873789385, -6.096544817095852}}, 
       {{-3.4449631043810616, -6.108516007254669, -6.231675468334339}}, 
       {{-3.507241823328306, -6.270258101680585, -6.345718207567236}}, 
       {{-3.5697707890922077, -6.416975051033883, -6.456634493814454}}, 
       {{-3.6317982258789883, -6.564598754399242, -6.5552333963658285}}, 
       {{-3.6940385542410765, -6.70418579627439, -6.649375363198351}}, 
       {{-3.755742992271766, -6.846092492298, -6.734193821653702}}, 
       {{-3.8173778085089696, -6.971863868570339, -6.822538593856907}}, 
       {{-3.878131677616525, -7.10246255438823, -6.89649859554262}}, 
       {{-3.9380556302685834, -7.217660967613147, -6.973158502454724}}, 
       {{-3.9967237285833077, -7.3332280104344925, -7.039638249138507}}, 
       {{-4.054810366086502, -7.437071205025002, -7.108088112470521}}, 
       {{-4.111982862532119, -7.537273783601006, -7.173991103555931}}, 
       {{-4.1672195717690075, -7.632177609565429, -7.230362854726572}}}, 
      {{{-4.0473013711873085, -5.77458291773009, -5.995500804360306}}, 
       {{-3.9873637788666523, -5.777785889660254, -5.999701601137646}}, 
       {{-3.9292145440556028, -5.778603149248723, -6.005935259015344}}, 
       {{-3.885681000862941, -5.793106210306702, -6.02373273550984}}, 
       {{-3.8609159235104853, -5.825767673176894, -6.069470164929495}}, 
       {{-3.854019523309217, -5.8835327488626294, -6.125918470329191}}, 
       {{-3.863418865067594, -5.962135326837503, -6.202772344865048}}, 
       {{-3.8871923838693423, -6.062060283191998, -6.294208423141615}}, 
       {{-3.922778813188829, -6.175704748663842, -6.404457218461631}}, 
       {{-3.967082151364152, -6.313128564769481, -6.521760884961057}}, 
       {{-4.0143923198583185, -6.446914568098861, -6.6295239074777275}}, 
       {{-4.067184223137012, -6.581008979017213, -6.753771441848717}}, 
       {{-4.1235681946181675, -6.746024225465189, -6.869241621254572}}, 
       {{-4.179899859959076, -6.8900401048304385, -6.974353169348713}}, 
       {{-4.236506653304589, -7.0319751020190076, -7.0757695994449765}}, 
       {{-4.293105742805179, -7.16893243021798, -7.164946378748389}}, 
       {{-4.350159919464356, -7.29709906732379, -7.2493568387925365}}, 
       {{-4.407459946972054, -7.4260525737096215, -7.33460923228192}}, 
       {{-4.463905360127137, -7.554467014801214, -7.408774861355037}}, 
       {{-4.5200046211197815, -7.680444375095695, -7.481622135504024}}, 
       {{-4.576139610877694, -7.788890344221091, -7.556107095984915}}, 
       {{-4.631066809351236, -7.895906817598393, -7.6222260893167775}}, 
       {{-4.6853437591076394, -8.002056282266937, -7.6855493859789386}}, 
       {{-4.7386687956561, -8.097699278829195, -7.746679796728299}}}, 
      {{{-4.790871614448186, -6.491292247252815, -6.712030226205782}}, 
       {{-4.730862237960353, -6.490746188110385, -6.711197080803547}}, 
       {{-4.66807106727824, -6.479655541907536, -6.710078302046865}}, 
       {{-4.615509867345156, -6.483800314158204, -6.718244165102993}}, 
       {{-4.5786667433984105, -6.504708193901016, -6.741112432312082}}, 
       {{-4.559067269225859, -6.535955647348561, -6.784876072963879}}, 
       {{-4.554011527758492, -6.599643928843488, -6.832563732421354}}, 
       {{-4.564362158359322, -6.670026417787266, -6.908209285903732}}, 
       {{-4.5862817710048605, -6.760190911614247, -6.993520712699893}}, 
       {{-4.618133216056954, -6.869218930992669, -7.08916977171368}}, 
       {{-4.657579426887544, -6.992889688807518, -7.192654837968954}}, 
       {{-4.70049631569753, -7.112350386045336, -7.294277861519974}}, 
       {{-4.747566383866366, -7.241155836320831, -7.396958608376224}}, 
       {{-4.798534280940525, -7.383694790931734, -7.5028395988868795}}, 
       {{-4.849651790330886, -7.518297984604606, -7.599724958621486}}, 
       {{-4.901199161154479, -7.647618779690213, -7.689607505021434}}, 
       {{-4.953263808245035, -7.772453614079435, -7.77349309747369}}, 
       {{-5.005679053895618, -7.894649327932317, -7.854154158012813}}, 
       {{-5.058421801747343, -8.014696418044366, -7.931423856564729}}, 
       {{-5.111154720831383, -8.133545032927513, -8.006655520078631}}, 
       {{-5.163487661031728, -8.243360092091848, -8.076533457653682}}, 
       {{-5.215338747626728, -8.357394894251243, -8.142456357400485}}, 
       {{-5.266637280397525, -8.464724682737808, -8.20432251862718}}, 
       {{-5.3175291931588475, -8.56658905762138, -8.265004375028717}}}, 
      {{{-5.533356465818233, -7.206362764181896, -7.427233804623943}}, 
       {{-5.47390294066495, -7.202118385221975, -7.424908726853301}}, 
       {{-5.407846742270272, -7.190763375677291, -7.41708691457278}}, 
       {{-5.348407469722243, -7.1830099770406886, -7.415121591726333}}, 
       {{-5.302107723825805, -7.186882147977568, -7.426128898080268}}, 
       {{-5.270908826468439, -7.207282260819057, -7.450645964457841}}, 
       {{-5.254566812681012, -7.243882211779849, -7.4876009710206315}}, 
       {{-5.252166124991207, -7.297728727221532, -7.54080137967195}}, 
       {{-5.261737183681707, -7.368260089787138, -7.604921598526472}}, 
       {{-5.28183108682933, -7.45402124059688, -7.682149945886931}}, 
       {{-5.310577173320908, -7.555441109392937, -7.769398899083194}}, 
       {{-5.346298330457127, -7.667013732573132, -7.865013685968982}}, 
       {{-5.385004210582208, -7.777965861348904, -7.9548899136856}}, 
       {{-5.427536332849951, -7.897845346627037, -8.046059943135893}}, 
       {{-5.473475294867989, -8.026394318164538, -8.13929836076724}}, 
       {{-5.520086579976312, -8.149526244787404, -8.22986218567301}}, 
       {{-5.567241695701933, -8.267597514876828, -8.309333711401502}}, 
       {{-5.615353550672283, -8.381807680245622, -8.391123678026059}}, 
       {{-5.663782620425589, -8.494378166551124, -8.463966586850699}}, 
       {{-5.712378721115876, -8.613567266035163, -8.536209240776538}}, 
       {{-5.761297664703685, -8.72445054217322, -8.6048857173118}}, 
       {{-5.81007773312385, -8.835041645815396, -8.669868123461919}}, 
       {{-5.858529471954002, -8.938063124839394, -8.73105499967412}}, 
       {{-5.906812994269066, -9.037425873961206, -8.79401578617902}}}, 
      {{{-6.278783045034116, -7.92155667512772, -8.149709230825827}}, 
       {{-6.220271191537494, -7.9176592605201686, -8.146035140328339}}, 
       {{-6.152091959768858, -7.902601748499792, -8.13029439653863}}, 
       {{-6.08746142030655, -7.88779926970239, -8.121635581555209}}, 
       {{-6.033232638111193, -7.881576013078403, -8.122540847459089}}, 
       {{-5.992454678742431, -7.889875971238757, -8.133288005876565}}, 
       {{-5.965536219648707, -7.911663942900062, -8.155424586787428}}, 
       {{-5.952016996882632, -7.949739647484521, -8.191796800099322}}, 
       {{-5.9507043582639305, -8.002575159757054, -8.243215021572516}}, 
       {{-5.960020608266704, -8.066141840691087, -8.300671131230411}}, 
       {{-5.978250162353084, -8.149415184173609, -8.369328055127514}}, 
       {{-6.004587954154629, -8.23898515135984, -8.451617436976028}}, 
       {{-6.036638308417189, -8.34477503137378, -8.533501541581376}}, 
       {{-6.0717804522226, -8.449150200858286, -8.615558573563924}}, 
       {{-6.110184280907735, -8.5612238595769, -8.698420401485542}}, 
       {{-6.152063378719344, -8.677536690356735, -8.782698058432711}}, 
       {{-6.194742348959489, -8.786384749643162, -8.863866121474333}}, 
       {{-6.238140654545066, -8.898176081359548, -8.94185611437371}}, 
       {{-6.282175858176002, -9.005647044671637, -9.011323990300726}}, 
       {{-6.327322920808046, -9.11494926599502, -9.08262506608115}}, 
       {{-6.372401248314696, -9.216884752719182, -9.145117447723607}}, 
       {{-6.417854620669737, -9.328210978991226, -9.209443753045297}}, 
       {{-6.463586396129014, -9.429423869415846, -9.275553092719509}}, 
       {{-6.5088218350889795, -9.528531884381705, -9.332611181082624}}}, 
      {{{-7.029738815517011, -8.643447578479718, -8.873600440912066}}, 
       {{-6.9722854148187405, -8.641870881721585, -8.867596798499633}}, 
       {{-6.903030668982199, -8.62437207786004, -8.852690528523771}}, 
       {{-6.834409695256326, -8.605405452245733, -8.837581417556335}}, 
       {{-6.7736901601423245, -8.591073590495915, -8.828120046764004}}, 
       {{-6.724880125995164, -8.586886154503384, -8.828568238382783}}, 
       {{-6.689226610436623, -8.59669659780622, -8.84272206050369}}, 
       {{-6.665679502306637, -8.619923704751926, -8.863020531875005}}, 
       {{-6.654344574166283, -8.656914518226422, -8.899935772041031}}, 
       {{-6.654099774834489, -8.702991367672043, -8.944895803968013}}, 
       {{-6.6625842934030555, -8.772074918529047, -9.000436361079062}}, 
       {{-6.6791793810421645, -8.84850726279273, -9.062352533314678}}, 
       {{-6.702580055660971, -8.934152888942542, -9.130485888538656}}, 
       {{-6.732330189204451, -9.023378904724153, -9.212980866254526}}, 
       {{-6.763676644699528, -9.126006927709444, -9.279707438074439}}, 
       {{-6.799319582628325, -9.226374711729802, -9.358681665761841}}, 
       {{-6.837346943864346, -9.338471448831843, -9.435148283688525}}, 
       {{-6.876332924344326, -9.436906506011558, -9.507260322987516}}, 
       {{-6.916439797450811, -9.540369238481611, -9.576866877468337}}, 
       {{-6.957341024120109, -9.641361051337986, -9.64400867764672}}, 
       {{-6.998991397377797, -9.74172957859935, -9.707702071345798}}, 
       {{-7.041118686079992, -9.842449699349661, -9.76992840908453}}, 
       {{-7.0836502591344335, -9.941189206615915, -9.830682361032258}}, 
       {{-7.1262615561586, -10.040784647618683, -9.887911161838508}}}, 
      {{{-7.7901451928185095, -9.378914228512425, -9.609279706595405}}, 
       {{-7.733810441705995, -9.3756061788446, -9.602178501564019}}, 
       {{-7.663846709571912, -9.356912437954085, -9.58492924864956}}, 
       {{-7.59216821067596, -9.333039423477182, -9.565845080763678}}, 
       {{-7.526259923585244, -9.313510897658801, -9.548773618675186}}, 
       {{-7.470537628174123, -9.301852264792766, -9.540405137123763}}, 
       {{-7.426639604641017, -9.300789108401652, -9.542406978184323}}, 
       {{-7.394915505048953, -9.311437725809789, -9.554695082855202}}, 
       {{-7.374622879591495, -9.334596309034884, -9.578015773984237}}, 
       {{-7.364715293675826, -9.371919051055903, -9.609840989916826}}, 
       {{-7.364446930939775, -9.420000100134807, -9.650799445207209}}, 
       {{-7.372518356471893, -9.47918366058312, -9.701991799076294}}, 
       {{-7.387786898434054, -9.550262825176787, -9.759018550737197}}, 
       {{-7.409352779744488, -9.630043938401478, -9.82310826826087}}, 
       {{-7.435668377465273, -9.719144334682543, -9.890858702741587}}, 
       {{-7.465083437995912, -9.809462059884277, -9.959896976287725}}, 
       {{-7.49739575480628, -9.903112147733609, -10.027387243932736}}, 
       {{-7.5322061939512, -10.002960542591635, -10.097115751049714}}, 
       {{-7.568102566135205, -10.098948130556982, -10.162347857363544}}, 
       {{-7.6050733087235525, -10.194593172670034, -10.226713503118681}}, 
       {{-7.642904140592369, -10.292174555177825, -10.286625492445765}}, 
       {{-7.681787950704414, -10.385838744833064, -10.347716842088918}}, 
       {{-7.721054042437668, -10.48056118978152, -10.404407185306727}}, 
       {{-7.760866753325808, -10.572682382209713, -10.462378830622225}}}, 
      {{{-8.56316173575352, -10.123901340152107, -10.359658219509173}}, 
       {{-8.507615985309918, -10.12164605472468, -10.348888627798457}}, 
       {{-8.437219461211503, -10.100607014338433, -10.331652118199989}}, 
       {{-8.36329985768806, -10.074366355489689, -10.308243235407188}}, 
       {{-8.29300743119169, -10.050820530231512, -10.284885791660116}}, 
       {{-8.231665404978585, -10.030487776599468, -10.272990027268172}}, 
       {{-8.18049313040678, -10.023009710825692, -10.261965678349155}}, 
       {{-8.141193145700733, -10.022533101424296, -10.266553357818433}}, 
       {{-8.112699516619058, -10.035066384457386, -10.277654698638473}}, 
       {{-8.09459962784816, -10.06060503384663, -10.29763857364597}}, 
       {{-8.086085318349507, -10.095104705268643, -10.329430001397052}}, 
       {{-8.085951076682536, -10.141966759558835, -10.365463089440441}}, 
       {{-8.093511570336101, -10.19511557562878, -10.414655082979165}}, 
       {{-8.107227965629937, -10.26416250697611, -10.463940550453605}}, 
       {{-8.12694486681113, -10.337472717584513, -10.523226954916835}}, 
       {{-8.150854145909083, -10.422637405136006, -10.581423490007698}}, 
       {{-8.178094557172333, -10.5049485670526, -10.645372361466476}}, 
       {{-8.207736565132011, -10.59126392354594, -10.706040898663586}}, 
       {{-8.239508818588995, -10.686740008185303, -10.766927266700542}}, 
       {{-8.272723065628142, -10.775441398436735, -10.828345994288979}}, 
       {{-8.307008177638966, -10.865119778268772, -10.883563489482055}}, 
       {{-8.341946294403295, -10.95578773496418, -10.939589742039598}}, 
       {{-8.378369969335317, -11.041613894937823, -10.996595048441282}}, 
       {{-8.414986811526195, -11.133586217550487, -11.047531960677643}}}, 
      {{{-9.351357585642297, -10.885308760531428, -11.120978544472727}}, 
       {{-9.297017486862435, -10.883509275971214, -11.113799960554728}}, 
       {{-9.226479414314724, -10.863970116067703, -11.093172881807645}}, 
       {{-9.150186017509686, -10.836252511936094, -11.065435365171158}}, 
       {{-9.076650865679808, -10.807277400431941, -11.040711949408449}}, 
       {{-9.010296002508627, -10.779994789152802, -11.020638415718452}}, 
       {{-8.952784452415983, -10.767065026206454, -11.002610084761091}}, 
       {{-8.906871220271787, -10.757452263818584, -11.00078381040912}}, 
       {{-8.870659457304626, -10.759584606146664, -11.00100809699246}}, 
       {{-8.845423687519935, -10.772965044677022, -11.013583019235217}}, 
       {{-8.829097826197092, -10.797706412831985, -11.032521077632031}}, 
       {{-8.82129652260268, -10.829511635479319, -11.05849836011389}}, 
       {{-8.821141926886037, -10.874278574888136, -11.092035736399625}}, 
       {{-8.827915023656919, -10.928397405904033, -11.128138556684984}}, 
       {{-8.841011891760111, -10.987760535273848, -11.179185398795877}}, 
       {{-8.858502525050529, -11.05970180074636, -11.228598098970586}}, 
       {{-8.880540569108806, -11.140417696047157, -11.282908574790149}}, 
       {{-8.905130809281536, -11.224798766590437, -11.336563257539884}}, 
       {{-8.933128381077328, -11.297996215549706, -11.399588831369009}}, 
       {{-8.962384600995184, -11.382529854324975, -11.453752893962744}}, 
       {{-8.99291195461171, -11.472089438574095, -11.506868895740514}}, 
       {{-9.024730770245798, -11.557860204018642, -11.559794353298381}}, 
       {{-9.057012275610129, -11.649322410200696, -11.607270636412418}}, 
       {{-9.091482465631522, -11.724486739230645, -11.663646634888986}}}, 
      {{{-10.158637138083021, -11.664705057880921, -11.90272532590904}}, 
       {{-10.105011872798483, -11.661472933879265, -11.89521892498584}}, 
       {{-10.03441438276331, -11.640314821693767, -11.875038846113062}}, 
       {{-9.956942001945539, -11.610777834466534, -11.847428650496397}}, 
       {{-9.880164873963947, -11.57954180855882, -11.81729530652591}}, 
       {{-9.808956864023367, -11.551582781291671, -11.789191662360986}}, 
       {{-9.746536108950197, -11.52841352075008, -11.768607043296676}}, 
       {{-9.693875995738933, -11.513631617911122, -11.75372765993583}}, 
       {{-9.65147398674858, -11.508009959183463, -11.747330717565168}}, 
       {{-9.618945981651587, -11.512758132330378, -11.749002998946787}}, 
       {{-9.595662591071846, -11.526600301043475, -11.75835860069978}}, 
       {{-9.580926515086105, -11.54968988041009, -11.775331067269299}}, 
       {{-9.573958298093027, -11.582605020415565, -11.80014839470752}}, 
       {{-9.573865262255456, -11.625265275809516, -11.831007712753015}}, 
       {{-9.580029845804049, -11.675595677005658, -11.86732542302062}}, 
       {{-9.591636193725224, -11.734942335393178, -11.909774209827319}}, 
       {{-9.607917301699887, -11.799886604251741, -11.956668819584062}}, 
       {{-9.627967596418467, -11.874472117003405, -12.00493453081265}}, 
       {{-9.650849422658176, -11.94889489871539, -12.05501644493613}}, 
       {{-9.67603871964315, -12.026341337587459, -12.106048186188737}}, 
       {{-9.7031351609733, -12.107498649465178, -12.155750068572017}}, 
       {{-9.731535257686957, -12.18567135176295, -12.204311627928204}}, 
       {{-9.761091410027609, -12.266088729222556, -12.253219892830504}}, 
       {{-9.79164369029112, -12.344830393397311, -12.299980956482525}}}, 
      {{{-10.988170027750751, -12.46863254871534, -12.706160205467324}}, 
       {{-10.935321065379986, -12.462706100162208, -12.699566556818299}}, 
       {{-10.864299818633603, -12.442669031353278, -12.676192840059286}}, 
       {{-10.78559301304778, -12.412927919644522, -12.647139520694305}}, 
       {{-10.706152991496777, -12.377673485336933, -12.613796079107779}}, 
       {{-10.631142695695974, -12.345292596641269, -12.580362463524834}}, 
       {{-10.563907589165247, -12.318761690144084, -12.553279796256366}}, 
       {{-10.505804492849508, -12.296616843968325, -12.53276630642134}}, 
       {{-10.457194213161676, -12.284160342875895, -12.517982982760907}}, 
       {{-10.418419163264383, -12.278232056843024, -12.51290758115679}}, 
       {{-10.388582769764465, -12.284678259722675, -12.51437587062213}}, 
       {{-10.367342775805549, -12.299067812149396, -12.522123920356798}}, 
       {{-10.353589005377245, -12.323823799253862, -12.536144166480193}}, 
       {{-10.34733924789329, -12.35510105155668, -12.559019932353259}}, 
       {{-10.347187387317996, -12.39359502728463, -12.586354403395633}}, 
       {{-10.35277874448268, -12.442781984998463, -12.618605846489094}}, 
       {{-10.363207643188767, -12.49916159320911, -12.656304374596937}}, 
       {{-10.377922520311152, -12.561336641549811, -12.69753235595443}}, 
       {{-10.396719492245785, -12.627563542072645, -12.742785596658733}}, 
       {{-10.41775066825894, -12.698757400082615, -12.789975193384072}}, 
       {{-10.441082689846834, -12.772628317932513, -12.83426194245813}}, 
       {{-10.466099216520595, -12.849766375494719, -12.878418389756604}}, 
       {{-10.492489932956813, -12.922999751468648, -12.925267304862354}}, 
       {{-10.519917260669931, -12.99980009704288, -12.967133474800486}}}, 
      {{{-11.844258095028213, -13.295092871875559, -13.537413015625539}}, 
       {{-11.791534611916077, -13.29143720758749, -13.528390195237941}}, 
       {{-11.720559849112195, -13.270260293186578, -13.505391945001785}}, 
       {{-11.640426734665635, -13.238691423471735, -13.47368941408262}}, 
       {{-11.558577433566647, -13.201244784163222, -13.437544801913658}}, 
       {{-11.480157739759221, -13.167699692148554, -13.40204906670959}}, 
       {{-11.408316858388776, -13.134506167213269, -13.368776765044604}}, 
       {{-11.344715860157942, -13.111907055198524, -13.339221709399302}}, 
       {{-11.290818991066878, -13.08866343116964, -13.31940536256837}}, 
       {{-11.246288801821226, -13.07833604066029, -13.30796246307491}}, 
       {{-11.210183195580154, -13.075251793378674, -13.29930404527279}}, 
       {{-11.182498967789538, -13.08374805649109, -13.297838899988516}}, 
       {{-11.163347497792238, -13.09422170960643, -13.306862420559883}}, 
       {{-11.150889317559724, -13.116452356354763, -13.323237155010435}}, 
       {{-11.144877886746917, -13.146164745654549, -13.342069051548933}}, 
       {{-11.144482338347018, -13.18412333774934, -13.363658483326041}}, 
       {{-11.148961523032042, -13.236922565422367, -13.393480690497126}}, 
       {{-11.159032630205367, -13.283785250699818, -13.432044107480976}}, 
       {{-11.172671442153193, -13.342176618143851, -13.469405155857062}}, 
       {{-11.189238496077325, -13.407809602673618, -13.504254745857153}}, 
       {{-11.208814299635133, -13.475285067536415, -13.546419803368988}}, 
       {{-11.230754642355457, -13.545022093501867, -13.589864859858253}}, 
       {{-11.253602456568101, -13.617513261659306, -13.62834543932282}}, 
       {{-11.278140041045514, -13.68488629899057, -13.669018156592353}}}, 
      {{{-12.730806659717473, -14.153740623575334, -14.39655630192289}}, 
       {{-12.678405166346755, -14.148784249976869, -14.38871768467417}}, 
       {{-12.606946600512808, -14.127046497907973, -14.365304097647533}}, 
       {{-12.525485999040992, -14.095036537495435, -14.332177312073183}}, 
       {{-12.441384678662784, -14.057568215768628, -14.29327597131346}}, 
       {{-12.35966555823767, -14.018928614251948, -14.253032387299516}}, 
       {{-12.283697663770425, -13.982860418795427, -14.214991934390207}}, 
       {{-12.215652491472168, -13.951544129768852, -14.181913529207556}}, 
       {{-12.156336151269254, -13.927045180044788, -14.155047324985677}}, 
       {{-12.105998636307834, -13.909273715113097, -14.134483746510181}}, 
       {{-12.064530309858572, -13.89949436321225, -14.121742338387213}}, 
       {{-12.031244173535839, -13.898150167292075, -14.113799833040135}}, 
       {{-12.005799975289662, -13.904937001125914, -14.113787602698931}}, 
       {{-11.987517053084566, -13.919870671787645, -14.119197301345924}}, 
       {{-11.975872865690365, -13.942147420006998, -14.131167149081179}}, 
       {{-11.96999942903745, -13.97229879369435, -14.147590081463893}}, 
       {{-11.969611473055146, -14.008748148183855, -14.169823398025565}}, 
       {{-11.974028494565356, -14.051084449979259, -14.197070045729578}}, 
       {{-11.982625822462662, -14.101538135949868, -14.227396884930569}}, 
       {{-11.994971418267847, -14.157370691740205, -14.2600156464007}}, 
       {{-12.01065298156894, -14.218169085147998, -14.296367304381151}}, 
       {{-12.028594513879733, -14.2818468214742, -14.333321456989584}}, 
       {{-12.048684484781889, -14.347375333520553, -14.371100195027857}}, 
       {{-12.070290957737436, -14.415160774903502, -14.408749000942626}}}, 
      {{{-13.653303029994838, -15.046572248168166, -15.293836272828592}}, 
       {{-13.600366312862482, -15.039698663302792, -15.283428686705793}}, 
       {{-13.52830157065034, -15.019510983881345, -15.260007533299035}}, 
       {{-13.445670242718986, -14.985720768698094, -15.22607930786059}}, 
       {{-13.35886485750184, -14.94776408902894, -15.181880897915061}}, 
       {{-13.274474676444262, -14.904964990860043, -15.141687195896484}}, 
       {{-13.194484065436784, -14.868253473515416, -15.0972946397656}}, 
       {{-13.122239004101752, -14.830501144775154, -15.061047980446357}}, 
       {{-13.057788904517288, -14.801641654877338, -15.025261527449961}}, 
       {{-13.002450995663065, -14.777614798949267, -15.000937723002842}}, 
       {{-12.955588094683272, -14.762635578652402, -14.981034309265782}}, 
       {{-12.916723270686642, -14.755860994211472, -14.965015435123485}}, 
       {{-12.8859118945775, -14.754268912619272, -14.960444308087105}}, 
       {{-12.862141522776348, -14.760187248606776, -14.95893241141933}}, 
       {{-12.844968072462171, -14.776232466136737, -14.963025840292367}}, 
       {{-12.83406929521806, -14.797579990218791, -14.972710902204662}}, 
       {{-12.828484450702646, -14.82462905265146, -14.988078133795312}}, 
       {{-12.827724188455395, -14.860753155203735, -15.006806513700319}}, 
       {{-12.831738121938292, -14.90123930753742, -15.031612687669643}}, 
       {{-12.839406115580022, -14.949769916985497, -15.057749560573619}}, 
       {{-12.850760837460442, -15.001311082061402, -15.087988588931012}}, 
       {{-12.865100314538587, -15.056470382012664, -15.12006269773969}}, 
       {{-12.8817103261924, -15.119553906792282, -15.154191281246957}}, 
       {{-12.90024584188011, -15.184503241205425, -15.188044179823722}}}, 
      {{{-14.616838055748916, -15.979193663264796, -16.2294958678477}}, 
       {{-14.563447735777789, -15.97390050648494, -16.21814958911261}}, 
       {{-14.490477014156276, -15.951712279832407, -16.192733632674305}}, 
       {{-14.406087018734814, -15.91842110436817, -16.155564537805027}}, 
       {{-14.317227244196726, -15.878712554629718, -16.111150409579153}}, 
       {{-14.22944015298014, -15.83449558395893, -16.065648906101238}}, 
       {{-14.145957549986433, -15.792511772639443, -16.019919816620774}}, 
       {{-14.069256737038229, -15.752909448131657, -15.977147627625554}}, 
       {{-14.000442146880383, -15.718647532185802, -15.93936040128784}}, 
       {{-13.940049497467433, -15.689804798944037, -15.906913877409018}}, 
       {{-13.88804345742966, -15.665992109234606, -15.88027447445995}}, 
       {{-13.844106322178591, -15.651373577128508, -15.859992205322264}}, 
       {{-13.808022569641789, -15.644585445458846, -15.846701521413557}}, 
       {{-13.779102157885719, -15.645225951985557, -15.838665652702032}}, 
       {{-13.756814740244126, -15.653162152917076, -15.836265493974118}}, 
       {{-13.740666600088597, -15.669135405024125, -15.839337672154008}}, 
       {{-13.730185445040668, -15.688385066940784, -15.847858100728747}}, 
       {{-13.72472223291835, -15.714462356146605, -15.860708693537362}}, 
       {{-13.723800504942599, -15.75073496553635, -15.877443584074479}}, 
       {{-13.727094127541141, -15.786397667415214, -15.898238204620721}}, 
       {{-13.734138647568699, -15.832535130193177, -15.922705373101971}}, 
       {{-13.744405471188964, -15.879919898679372, -15.949309828824223}}, 
       {{-13.757564992142962, -15.940227179849522, -15.978244982769686}}, 
       {{-13.773007583926121, -15.995964476972112, -16.008532429326745}}}}, 
     {Automatic, Automatic}]
 
sigmaLOSG8[x_, y_] := If[x < 200 || x > 2500 || y < 200 || y > 2500, 
     "Squark or gluino mass outside range of interpolation!", 
     {SetPrecision[E^fLOSGLog8[x, y][[1]], 3], SetPrecision[
       E^fLOSGLog8[x, y][[2]], 3], SetPrecision[-E^fLOSGLog8[x, y][[3]], 3]}]
 
fLOSGLog8 = InterpolatingFunction[{{200., 2500.}, {200., 2500.}}, 
     {4, 3, 0, {24, 24}, {5, 5}, 0, 0, 0, 0, Automatic}, 
     {{200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000., 2100., 2200., 
       2300., 2400., 2500.}, {200., 300., 400., 500., 600., 700., 800., 900., 
       1000., 1100., 1200., 1300., 1400., 1500., 1600., 1700., 1800., 1900., 
       2000., 2100., 2200., 2300., 2400., 2500.}}, 
     {{{{7.146772179452637, 6.082218910376446, 5.714392653768217}}, 
       {{5.938854596835685, 4.375757021660286, 4.533674184283021}}, 
       {{4.939497266262916, 3.6712245188752157, 3.555348061489413}}, 
       {{4.07533162304017, 3.0081547935525483, 2.7100482037648828}}, 
       {{3.305787196857497, 2.322387720290225, 1.9572739077056283}}, 
       {{2.605648267484129, 1.6733512381777536, 1.2706028866236987}}, 
       {{1.9591083822199498, 1.0667775651480913, 0.6371057896763205}}, 
       {{1.354287564984804, 0.5031965966014993, 0.04401688541677426}}, 
       {{0.7829878845597349, -0.031490667091370966, -0.5158381655895347}}, 
       {{0.23901690047049992, -0.5430045221302259, -1.049536451021517}}, 
       {{-0.2822302937735357, -1.0331054864659899, -1.5606477482646686}}, 
       {{-0.7846047910487802, -1.5041774017766074, -2.0526048877262766}}, 
       {{-1.271538123821702, -1.9582864201233687, -2.5307411861318}}, 
       {{-1.7446850618421261, -2.4013010659332035, -2.993734270891318}}, 
       {{-2.2072749131897207, -2.831914188324596, -3.449547642603202}}, 
       {{-2.6598316288317356, -3.2560586159959164, -3.8932012511875587}}, 
       {{-3.104654680778178, -3.6741879053709465, -4.329813763226947}}, 
       {{-3.542876159994093, -4.084592270779423, -4.760655088828486}}, 
       {{-3.9749628052020203, -4.490949041898069, -5.183204559447532}}, 
       {{-4.403046001897957, -4.892852258439872, -5.604027641519209}}, 
       {{-4.827439119891641, -5.291739051187914, -6.021099352237672}}, 
       {{-5.248765587718789, -5.68869683723816, -6.434631522400158}}, 
       {{-5.667932821762504, -6.08401852871859, -6.846660179622326}}, 
       {{-6.085775226579223, -6.478573644256657, -7.257312755152006}}}, 
      {{{6.194813471094013, 5.376203905205108, 4.785823685681349}}, 
       {{5.113793386198882, 4.11251186617755, 3.728100167267218}}, 
       {{4.199455046624718, 2.697999865248708, 2.8320361808832013}}, 
       {{3.394172766725191, 2.107786014688979, 2.0438143640366846}}, 
       {{2.667228206581955, 1.5748464676644813, 1.3297240096314966}}, 
       {{1.9999924078065106, 1.0046678424915676, 0.6765095394069223}}, 
       {{1.3785141738009283, 0.4408322519454556, 0.06672363204290813}}, 
       {{0.7938970836600885, -0.09651090038084385, -0.5058380822549513}}, 
       {{0.23901690047049992, -0.6124892775424908, -1.049536451021517}}, 
       {{-0.292091780940481, -1.1047309696762868, -1.5716605481000705}}, 
       {{-0.8027388571900397, -1.5832829549572494, -2.0722673379318355}}, 
       {{-1.296453657120101, -2.0471679811295402, -2.5574773426228354}}, 
       {{-1.7760829898430475, -2.4961698420667116, -3.0282554652595506}}, 
       {{-2.2433732333621994, -2.933696882634538, -3.4861018887525996}}, 
       {{-2.700677446772797, -3.3627461952879023, -3.9347799925507623}}, 
       {{-3.149582998372251, -3.783190133585178, -4.375647027709843}}, 
       {{-3.591389832836679, -4.197041960460443, -4.809737351729366}}, 
       {{-4.0268728471070885, -4.60817469500839, -5.236281975628584}}, 
       {{-4.457612621630477, -5.013138424314374, -5.65928723476965}}, 
       {{-4.884619573513396, -5.415300722033856, -6.079203461415989}}, 
       {{-5.308367702401538, -5.814490596640622, -6.495645628155303}}, 
       {{-5.729408022295174, -6.212111218223605, -6.908755779315721}}, 
       {{-6.149288632301549, -6.607650686531799, -7.321756718112588}}, 
       {{-6.567717976196428, -7.003165463786795, -7.732835130802908}}}, 
      {{{5.3748153375207615, 4.774912960575185, 3.9834130015148195}}, 
       {{4.389250479763201, 3.535728274619762, 3.0184717605234805}}, 
       {{3.5386377907833935, 2.5824869781268642, 2.183801557004079}}, 
       {{2.7819200496686656, 1.3635373739972745, 1.4422019930581862}}, 
       {{2.090999490513565, 0.8228587870816022, 0.7654678421395716}}, 
       {{1.451379607775825, 0.3576744442718157, 0.1380212978973748}}, 
       {{0.8518588717147662, -0.14387037041970177, -0.4494169956373473}}, 
       {{0.28442677973110825, -0.6462635946610948, -1.0073101302613237}}, 
       {{-0.2563126127057236, -1.136002677886669, -1.537117250854474}}, 
       {{-0.7756596021344095, -1.6109390385603672, -2.0471679811295402}}, 
       {{-1.2765434971607714, -2.0754495204102983, -2.5383074265151153}}, 
       {{-1.7625890919282752, -2.526979426209908, -3.0159349808715104}}, 
       {{-2.2358614609511376, -2.970064526805413, -3.4802405890026082}}, 
       {{-2.6980008652492087, -3.4033998052173553, -3.9337574975741525}}, 
       {{-3.151217176394386, -3.824928298577212, -4.378831743777362}}, 
       {{-3.5968473686674427, -4.245400037142057, -4.815891217303744}}, 
       {{-4.035886992650532, -4.6575166663603005, -5.2476242522325185}}, 
       {{-4.469765548981888, -5.065619602429015, -5.673447274860128}}, 
       {{-4.89913864308258, -5.4710054743737535, -6.094605306027495}}, 
       {{-5.32527754813082, -5.87314832028994, -6.513688215826342}}, 
       {{-5.748675243546938, -6.273827458082163, -6.928978915433763}}, 
       {{-6.17011285853564, -6.6718929552601525, -7.343164263463374}}, 
       {{-6.590029085181979, -7.070274208479912, -7.75521981992644}}, 
       {{-7.009898752650841, -7.467946232293457, -8.168298434796467}}}, 
      {{{4.646312129319266, 4.162003210695915, 3.2718477096343066}}, 
       {{3.7324177561284198, 3.083743150876704, 2.3749057545736716}}, 
       {{2.9349201341572337, 2.0731719286662402, 1.5933085305042167}}, 
       {{2.2153918812916684, 1.293356365460622, 0.8874796500200351}}, 
       {{1.5554040239416147, 0.2247422726779066, 0.23980399220731693}}, 
       {{0.9396165571776518, -0.28634962721800244, -0.3638434334173448}}, 
       {{0.3590720685384538, -0.7153927895072648, -0.9339456671128757}}, 
       {{-0.19309942996583307, -1.1757093390530766, -1.4757815276214266}}, 
       {{-0.7215466550816433, -1.6362953666039832, -1.9943653693247168}}, 
       {{-1.2306590695884416, -2.090704733958547, -2.493745598455204}}, 
       {{-1.7231666777624433, -2.5383074265151153, -2.9778923554256598}}, 
       {{-2.201835189893903, -2.979858924397701, -3.446090150552892}}, 
       {{-2.6697433669476234, -3.413371182593864, -3.9065380751975765}}, 
       {{-3.1274367645514194, -3.83970234384852, -4.355969100354592}}, 
       {{-3.5769803616165277, -4.25804065489289, -4.797542078635548}}, 
       {{-4.019608216108083, -4.673449026741386, -5.2306587180742214}}, 
       {{-4.456750180869818, -5.084820192285632, -5.661010382812332}}, 
       {{-4.889258722929742, -5.491174225257374, -6.086214883653793}}, 
       {{-5.317908016313041, -5.8957907970397, -6.506967760425083}}, 
       {{-5.743667408355116, -6.298533333359953, -6.925919249609808}}, 
       {{-6.167247527062354, -6.699116413870809, -7.341619861611999}}, 
       {{-6.589301547863602, -7.098915784443296, -7.756387362382478}}, 
       {{-7.010341867757238, -7.4974437511738525, -8.16971036584642}}, 
       {{-7.431328475570631, -7.897692551024591, -8.583332993920783}}}, 
      {{{3.984529696214894, 3.5731879796177446, 2.6239436918052106}}, 
       {{3.1271990362962967, 2.6004649904222727, 1.7833912195575383}}, 
       {{2.3711778844596574, 1.6992786164338896, 1.0402767116551466}}, 
       {{1.68510181635509, 0.8337783102996911, 0.36741704047063445}}, 
       {{1.0490718431079735, 0.15956456967133806, -0.2574762303947149}}, 
       {{0.4542552722775964, -0.7918631534991029, -0.8393296907380269}}, 
       {{-0.11003810520893731, -1.2794149994927948, -1.3943265328171548}}, 
       {{-0.6485562972320701, -1.6911904143063599, -1.9227797316664585}}, 
       {{-1.1663559407546291, -2.1227666664182094, -2.4315554742910055}}, 
       {{-1.6660082639224947, -2.5574773426228354, -2.9206248010671856}}, 
       {{-2.1515822194575183, -2.9877641039048144, -3.3983015785501296}}, 
       {{-2.624444617247413, -3.416717193320192, -3.862280913533332}}, 
       {{-3.087189884042826, -3.839237335702498, -4.31698823849466}}, 
       {{-3.540804336048573, -4.259455082285701, -4.761823996033469}}, 
       {{-3.9872854899286927, -4.673449026741386, -5.199377418693133}}, 
       {{-4.427861171017681, -5.083205986931091, -5.633230818705257}}, 
       {{-4.8631640147380475, -5.493359487751372, -6.0606002859428445}}, 
       {{-5.29452456830934, -5.899432461661489, -6.484450252745642}}, 
       {{-5.72265953042589, -6.301801310124569, -6.904759770002339}}, 
       {{-6.148352302645127, -6.703183113253363, -7.3232707229438025}}, 
       {{-6.572712635170519, -7.104987448511846, -7.741084490141945}}, 
       {{-6.995385028943111, -7.507594282408431, -8.155679970837255}}, 
       {{-7.417914458204967, -7.907155917579298, -8.571121533441794}}, 
       {{-7.840683652009315, -8.30936634421392, -8.986397140491409}}}, 
      {{{3.374168709274236, 3.0130809118886037, 2.0268315914075385}}, 
       {{2.561867690924129, 2.1162555148025524, 1.229932905995468}}, 
       {{1.840549633397487, 1.2903339699739793, 0.5211719158201351}}, 
       {{1.1811135101798533, 0.5013811649379908, -0.1266976530459573}}, 
       {{0.5675839575845996, -0.2626643094764932, -0.7277386253295641}}, 
       {{-0.011263192278710714, -0.8741895558555199, -1.2971851860481147}}, 
       {{-0.5605412160119236, -1.727658543821531, -1.8357113567572378}}, 
       {{-1.0876723486297752, -2.197324582336553, -2.353878387381596}}, 
       {{-1.5955350072651089, -2.5969561535966235, -2.8524981054680834}}, 
       {{-2.0874737133771, -3.011861655483875, -3.3345672993643927}}, 
       {{-2.566550638828511, -3.429596856183853, -3.8054132703698884}}, 
       {{-3.0342652232707747, -3.842963469496651, -4.264421392599618}}, 
       {{-3.49265499215099, -4.256628225279548, -4.714985051995298}}, 
       {{-3.943513672519517, -4.668109985761966, -5.158555424172878}}, 
       {{-4.387642373459517, -5.0783789461827755, -5.595107458030545}}, 
       {{-4.825816857103714, -5.48464694473953, -6.024401047354247}}, 
       {{-5.260058654430947, -5.889630241226714, -6.450963543708632}}, 
       {{-5.690767537578706, -6.293110326577149, -6.8743205028959}}, 
       {{-6.118843476437813, -6.696684308902197, -7.294889430405578}}, 
       {{-6.544502019683282, -7.098915784443296, -7.7122810475254715}}, 
       {{-6.9697370713380185, -7.499971740963642, -8.131250749796937}}, 
       {{-7.393888290157756, -7.903089218196745, -8.547652398900945}}, 
       {{-7.818063939178745, -8.30571744496971, -8.964261849379477}}, 
       {{-8.242976369918027, -8.708959207038191, -9.382315636715994}}}, 
      {{{2.804571768092832, 2.4798941079644563, 1.4701758451005926}}, 
       {{2.028279817583903, 1.6407427622625128, 0.706556867469863}}, 
       {{1.3357902289461225, 0.8708748683436726, 0.02664193094642131}}, 
       {{0.6991292522374928, 0.13976194237515863, -0.5996568374726066}}, 
       {{0.10436001532424286, -0.5709295478356962, -1.182211312544423}}, 
       {{-0.45918239061415217, -1.2616019171625723, -1.7361355654800579}}, 
       {{-0.997229674379507, -1.8338322456499632, -2.2643263808769554}}, 
       {{-1.5136732904497212, -2.6036901857779675, -2.772588722239781}}, 
       {{-2.0129050178795915, -3.0618720760585356, -3.261000751168872}}, 
       {{-2.498478329818095, -3.4549146641681436, -3.7384899546672705}}, 
       {{-2.971820453507678, -3.858008417121908, -4.203713099277466}}, 
       {{-3.4351679012333087, -4.262289953071548, -4.658570962715206}}, 
       {{-3.8897723964933264, -4.667045589706179, -5.10439667391073}}, 
       {{-4.337435751346007, -5.071978924337308, -5.544217904984863}}, 
       {{-4.779642627838647, -5.474815910039203, -5.97914079741915}}, 
       {{-5.216921728344043, -5.879207864762314, -6.408799827786634}}, 
       {{-5.650146925490292, -6.280747900926737, -6.834504817242545}}, 
       {{-6.080514363941493, -6.68301300630423, -7.257312755152006}}, 
       {{-6.508979159024769, -7.084492457482191, -7.6777835038780395}}, 
       {{-6.935846159148663, -7.484542658425887, -8.097825178139082}}, 
       {{-7.361885559071583, -7.888584531993863, -8.516693316374587}}, 
       {{-7.787714081608902, -8.29245091873833, -8.934983949215038}}, 
       {{-8.214130016926154, -8.696918122362925, -9.354210742395884}}, 
       {{-8.641057178638624, -9.103281299682775, -9.774215216831989}}}, 
      {{{2.267061536924999, 1.9725520800017344, 0.9427379018890034}}, 
       {{1.5210437616715051, 1.1774234690923997, 0.20945022418220732}}, 
       {{0.8527117502312838, 0.45107561936021656, -0.4462871026284193}}, 
       {{0.23507212217948348, -0.23572233352106955, -1.0546911016101816}}, 
       {{-0.3438997524500096, -0.9014021193804044, -1.6220166946409604}}, 
       {{-0.8942846516115405, -1.5530575789979923, -2.162823150618887}}, 
       {{-1.421299970318706, -2.191043718261138, -2.6809215337139576}}, 
       {{-1.9296431765914415, -2.7410900551804103, -3.1796551117149194}}, 
       {{-2.421593879576248, -3.4413945714135683, -3.6628219197946468}}, 
       {{-2.900967697109568, -3.885868047951295, -4.133917337341924}}, 
       {{-3.369408059172748, -4.2773063239034785, -4.5932416151228175}}, 
       {{-3.8290614847137987, -4.673449026741386, -5.045226738865875}}, 
       {{-4.28091513330547, -5.071978924337308, -5.4894778720091955}}, 
       {{-4.726321387552241, -5.470055129802346, -5.92680103378226}}, 
       {{-5.166762926807735, -5.869246914383733, -6.359633870472449}}, 
       {{-5.602942159730129, -6.269064284218251, -6.78730912590627}}, 
       {{-6.036043590505949, -6.66795128677482, -7.212922665774938}}, 
       {{-6.466923027036682, -7.067924031134958, -7.6375664439136735}}, 
       {{-6.895826708116863, -7.468121348308264, -8.05881942765267}}, 
       {{-7.323573799169793, -7.869566526158102, -8.478934479299147}}, 
       {{-7.751260341130645, -8.272288148320515, -8.899918812554912}}, 
       {{-8.178936833001524, -8.677361943569059, -9.32015523798339}}, 
       {{-8.607665094580312, -9.084589166670623, -9.741368703059694}}, 
       {{-9.03806915103573, -9.492703282950364, -10.165371932166769}}}, 
      {{{1.7563049882436528, 1.4859134261486031, 0.4421184257561999}}, 
       {{1.035317438295796, 0.7275486072772779, -0.26657310924154576}}, 
       {{0.3873011374804933, 0.03440142671733232, -0.9038682118755978}}, 
       {{-0.2133169904964742, -0.6197108624867629, -1.492989099790854}}, 
       {{-0.7791408937269214, -1.2486215559948177, -2.0487183690369957}}, 
       {{-1.3182619507280637, -1.8656213178265104, -2.578338594580553}}, 
       {{-1.8357113567572378, -2.474560357733856, -3.085656981081978}}, 
       {{-2.336348723146855, -3.070024878135846, -3.5787702314339063}}, 
       {{-2.822956129603568, -3.6115481111776124, -4.056470909794019}}, 
       {{-3.2968373663379125, -4.247495741716276, -4.522668964476348}}, 
       {{-3.7614501469487718, -4.684213393328545, -4.979136627036885}}, 
       {{-4.217190392220947, -5.076775096600801, -5.426150738057922}}, 
       {{-4.666939212385723, -5.468157145839935, -5.868185530947811}}, 
       {{-5.110842444513287, -5.863247249307228, -6.304532805950179}}, 
       {{-5.550117627112051, -6.259082588524022, -6.735484058041684}}, 
       {{-5.985880168814082, -6.6554413503681475, -7.163938684374547}}, 
       {{-6.419175264163466, -7.052781051032395, -7.590952128688914}}, 
       {{-6.850430212362868, -7.450759801112363, -8.014298937976527}}, 
       {{-7.280269286950616, -7.851931214345828, -8.436535288398783}}, 
       {{-7.70982486676627, -8.252140237024818, -8.858979522861219}}, 
       {{-8.139099280104205, -8.655306493545872, -9.280762836272729}}, 
       {{-8.569539671788446, -9.06192036685791, -9.704636693790963}}, 
       {{-9.000890147793976, -9.47040727739499, -10.128633106521011}}, 
       {{-9.433858993620476, -9.883096862888394, -10.553958458815638}}}, 
      {{{1.26779231703889, 1.018486244188825, -0.03562717764315127}}, 
       {{0.56815069038526, 0.288931291852213, -0.7236063880446542}}, 
       {{-0.06304630171763533, -0.37673188928529183, -1.3443849580426812}}, 
       {{-0.649513143539884, -1.0023934309275668, -1.9207298505250152}}, 
       {{-1.2036395265358157, -1.6054458911645628, -2.465104022491821}}, 
       {{-1.7327361287785938, -2.193730688081964, -2.983803702688717}}, 
       {{-2.2424311701742985, -2.7741900036067553, -3.484796405538469}}, 
       {{-2.736604008520271, -3.3486998127044014, -3.9712423650881172}}, 
       {{-3.217376948744465, -3.915027514448445, -4.443902038391969}}, 
       {{-3.688079773943372, -4.453307836678846, -4.9062752787720125}}, 
       {{-4.148378450714587, -5.035953102080545, -5.358067370953811}}, 
       {{-4.602174677008293, -5.467920150934217, -5.804155448802988}}, 
       {{-5.049740013977017, -5.857983155733501, -6.244036909113004}}, 
       {{-5.492387670376539, -6.2507535450585445, -6.679027349374026}}, 
       {{-5.931310624288235, -6.643085980839429, -7.111096203000168}}, 
       {{-6.367176697066799, -7.037863964329158, -7.53886706862263}}, 
       {{-6.8006962066887295, -7.433694540558176, -7.965321598214246}}, 
       {{-7.2326547392507345, -7.833086755508441, -8.389679871117277}}, 
       {{-7.6640552745473505, -8.2323902597153, -8.813579704498164}}, 
       {{-8.095198781356862, -8.635413822803669, -9.237711568772315}}, 
       {{-8.52724352726974, -9.03806915103573, -9.662897087618198}}, 
       {{-8.959581653629, -9.446062705497253, -10.086929736998785}}, 
       {{-9.394383409668478, -9.8564131451502, -10.51523909489208}}, 
       {{-9.831166890956501, -10.27136790031702, -10.94477477458497}}}, 
      {{{0.7975071958841882, 0.5670169034157331, -0.4959370112722397}}, 
       {{0.11600367575630613, -0.13811330212963427, -1.1663559407546291}}, 
       {{-0.5005453143584343, -0.7813228714636705, -1.7731340051048905}}, 
       {{-1.074700468621797, -1.3858944410985634, -2.3371765377636646}}, 
       {{-1.6189833252776318, -1.9661128563728327, -2.8717462937729996}}, 
       {{-2.139616264715906, -2.533256910729047, -3.383161019176057}}, 
       {{-2.6429649544462754, -3.08894465527617, -3.8785882293419083}}, 
       {{-3.131322927860339, -3.641614261646822, -4.359091663391386}}, 
       {{-3.6074838159099425, -4.191075751181872, -4.825816857103714}}, 
       {{-4.073953872574367, -4.734140567285052, -5.284414461379045}}, 
       {{-4.532849524408466, -5.276555874766524, -5.7362023659123125}}, 
       {{-4.983944678843211, -5.809809879301731, -6.1792409545849}}, 
       {{-5.430250037808863, -6.237876725361546, -6.618075203867684}}, 
       {{-5.872082790087902, -6.63088140524696, -7.051625649401839}}, 
       {{-6.3105684895681025, -7.024289095238088, -7.482230929824583}}, 
       {{-6.746487131386015, -7.418580902748127, -7.910421226603037}}, 
       {{-7.181271495961019, -7.815829856084951, -8.338628683499994}}, 
       {{-7.614798564734194, -8.213391737084573, -8.765013730442888}}, 
       {{-8.04781475756442, -8.614806020283238, -9.190537744680002}}, 
       {{-8.481343538522541, -9.01724374201427, -9.616805980417931}}, 
       {{-8.915434454435083, -9.423533592437225, -10.043209495711265}}, 
       {{-9.351673548092826, -9.830608907123555, -10.473002172650798}}, 
       {{-9.78962329638708, -10.244851735237768, -10.903703519348044}}, 
       {{-10.230326340189103, -10.661920199794702, -11.337292896327071}}}, 
      {{{0.3428802329165432, 0.1292723357041393, -0.9416085398584446}}, 
       {{-0.32365473291059843, -0.5559973424127118, -1.5980035348084372}}, 
       {{-0.92735167923358, -1.1792801917355646, -2.191938572906982}}, 
       {{-1.4912105310694506, -1.7666766888605918, -2.7457520682862215}}, 
       {{-2.02646965691373, -2.3299562897901778, -3.271485775140498}}, 
       {{-2.5405885072152796, -2.8774160467359486, -3.7770551450176617}}, 
       {{-3.0378050499758986, -3.415194891306009, -4.2658448803844715}}, 
       {{-3.521333182902136, -3.9481684520644995, -4.740989909130627}}, 
       {{-3.993775507300405, -4.480301203942222, -5.204827023460698}}, 
       {{-4.457612621630477, -5.010135419054605, -5.662160799965382}}, 
       {{-4.913327111629258, -5.536067070251609, -6.108897644000077}}, 
       {{-5.364029909913418, -6.086654734111731, -6.552180940487437}}, 
       {{-5.809142990314028, -6.577732366040832, -6.990050521708968}}, 
       {{-6.250753545058545, -7.003165463786796, -7.423593444571672}}, 
       {{-6.689423284665149, -7.400413598792679, -7.854505218341}}, 
       {{-7.126533372786707, -7.795701537847149, -8.284891702317262}}, 
       {{-7.5620664357568845, -8.193299737001885, -8.712599987758848}}, 
       {{-7.997209629865481, -8.59353442467296, -9.140814309327572}}, 
       {{-8.432392589723772, -8.995228992359237, -9.568444908724508}}, 
       {{-8.868880593843931, -9.39908249657306, -9.998237889081938}}, 
       {{-9.306080644257019, -9.807632066892607, -10.427736196634259}}, 
       {{-9.745458688311217, -10.219843485572516, -10.86007958118381}}, 
       {{-10.187443243247095, -10.634128937523654, -11.295397652441654}}, 
       {{-10.632054678327334, -11.055500617931353, -11.732326030005604}}}, 
      {{{-0.0990471536012343, -0.2953110996162721, -1.3751566167094351}}, 
       {{-0.7522604450524519, -0.9636444282576253, -2.0181583132629375}}, 
       {{-1.3451524177887153, -1.5721421276904035, -2.600991128808802}}, 
       {{-1.8997902134417601, -2.145581344184381, -3.1465551632885744}}, 
       {{-2.427921584305343, -2.6944431976959935, -3.6655536288104393}}, 
       {{-2.935766692386557, -3.2279165695203496, -4.164981641821542}}, 
       {{-3.428054835832038, -3.7503294164301586, -4.649122073517274}}, 
       {{-3.907533100155294, -4.267270397375693, -5.119334711019596}}, 
       {{-4.377238117942085, -4.781907364488145, -5.582273057259004}}, 
       {{-4.838111579782412, -5.298717446569377, -6.034372048119258}}, 
       {{-5.292732988254136, -5.814825773449526, -6.481181207663737}}, 
       {{-5.742107588977869, -6.3266576022308145, -6.92388466091202}}, 
       {{-6.187479431033939, -6.8889335247415495, -7.360311994624152}}, 
       {{-6.628609537552642, -7.343164263463374, -7.794001889507915}}, 
       {{-7.068511057861531, -7.769321111167046, -8.2271389348194}}, 
       {{-7.506501784120598, -8.168651230707694, -8.657605345132982}}, 
       {{-7.9439563075288495, -8.568486485803788, -9.088122739251933}}, 
       {{-8.380915573123689, -8.971323471505682, -9.516865532229444}}, 
       {{-8.81897418824752, -9.376394956306266, -9.948484918466864}}, 
       {{-9.257956225917846, -9.782155267368603, -10.380233862649256}}, 
       {{-9.698752400905274, -10.194642314466881, -10.813796212732736}}, 
       {{-10.14199858098146, -10.609112254607187, -11.24979226543986}}, 
       {{-10.588269816764445, -11.028649176437774, -11.689662643470282}}, 
       {{-11.037934294213454, -11.452771542150481, -12.130965173043368}}}, 
      {{{-0.529498889031612, -0.711107505936938, -1.7969730362809424}}, 
       {{-1.1715056141884346, -1.3645328693383778, -2.4292827460400033}}, 
       {{-1.7550418862928923, -1.9604148352581952, -3.0037644452512553}}, 
       {{-2.3025850929940455, -2.520741102797216, -3.5421850749631325}}, 
       {{-2.823966230699553, -3.0590981491758105, -4.054162772589269}}, 
       {{-3.3267394707441458, -3.580922312608844, -4.548789852551984}}, 
       {{-3.814442677089282, -4.092346559559427, -5.026764676026139}}, 
       {{-4.291089639681779, -4.596210444616619, -5.4965244325722145}}, 
       {{-4.7579717762460545, -5.09831962474114, -5.955325500492108}}, 
       {{-5.217474978703936, -5.599422459331958, -6.406979991069648}}, 
       {{-5.670831374516515, -6.104409306124117, -6.852320572094036}}, 
       {{-6.119752567409513, -6.60987538155391, -7.293417759794122}}, 
       {{-6.564875046065594, -7.112322444723412, -7.731694749792106}}, 
       {{-7.007796633162363, -7.688204787944879, -8.166888494485349}}, 
       {{-7.44800971343894, -8.110728582974989, -8.600031469725241}}, 
       {{-7.887784851823299, -8.536885824761974, -9.032194186592708}}, 
       {{-8.326986140348293, -8.941841118941175, -9.463943130775101}}, 
       {{-8.766937424527626, -9.348453674105818, -9.89750548085858}}, 
       {{-9.207344862996385, -9.756793173385324, -10.329665702241835}}, 
       {{-9.649931194813723, -10.168234653705413, -10.765290099126213}}, 
       {{-10.094648057997286, -10.581943184353083, -11.203237312255833}}, 
       {{-10.542146547812004, -11.001300161033674, -11.643034150317249}}, 
       {{-10.992941903419473, -11.423999255775827, -12.087401115812675}}, 
       {{-11.448074492650612, -11.85260283254039, -12.5356884413549}}}, 
      {{{-0.9503647122079065, -1.118406915996289, -2.209094749906707}}, 
       {{-1.5827959814876793, -1.7585181354482533, -2.8319141883245957}}, 
       {{-2.158484749020289, -2.343407087514301, -3.3986007558148894}}, 
       {{-2.6990409069446226, -2.8944400220721187, -3.9301869760558175}}, 
       {{-3.215381935613945, -3.423749786132667, -4.437962267004185}}, 
       {{-3.7139921549290116, -3.9358035340935498, -4.928134072584512}}, 
       {{-4.198372632646148, -4.438808648772866, -5.403677882205863}}, 
       {{-4.672271989528827, -4.932425033559696, -5.870309425551515}}, 
       {{-5.137389702441754, -5.422294546367747, -6.327217042804846}}, 
       {{-5.595645816051623, -5.913393011687827, -6.777604594517092}}, 
       {{-6.048670020878761, -6.40516346014325, -7.223836825955616}}, 
       {{-6.497634359337779, -6.90177320730459, -7.6649077895179945}}, 
       {{-6.943071624109705, -7.400904717735185, -8.102768341936601}}, 
       {{-7.386597856895077, -7.897423480661068, -8.538927683562243}}, 
       {{-7.8293098405313915, -8.48811994393053, -8.974478048254198}}, 
       {{-8.270333113484712, -8.883197230643487, -9.40757254150589}}, 
       {{-8.711992269721305, -9.313481130895696, -9.841452161616676}}, 
       {{-9.154905665088082, -9.724504897007687, -10.278035558009572}}, 
       {{-9.598948363017925, -10.136681439703839, -10.714967920057939}}, 
       {{-10.045281558154015, -10.553192175253237, -11.154551964395914}}, 
       {{-10.494078144770981, -10.97234688305489, -11.59630707390928}}, 
       {{-10.945908561554495, -11.39603171349873, -12.0405582070526}}, 
       {{-11.402278944883165, -11.824900229991053, -12.489762696712416}}, 
       {{-11.862624795172536, -12.259262474044293, -12.942544950828493}}}, 
      {{{-1.3633593898373946, -1.5177707239082767, -2.613194670089531}}, 
       {{-1.987774353154012, -2.1464364105041143, -3.2294313388077174}}, 
       {{-2.556316726076279, -2.7225041580723603, -3.7880370256471547}}, 
       {{-3.0915825992108252, -3.2659674324020513, -4.315490110873638}}, 
       {{-3.603435972296469, -3.787154023382277, -4.818363406449133}}, 
       {{-4.098352583619639, -4.293283424839493, -5.3043354388736}}, 
       {{-4.58047757339772, -4.786692062611482, -5.779584188072483}}, 
       {{-5.0520824840104295, -5.273819894947649, -6.24300757294389}}, 
       {{-5.515975987631677, -5.757499757162189, -6.699116413870809}}, 
       {{-5.973624628979651, -6.237876725361546, -7.148553765535068}}, 
       {{-6.426564460345837, -6.720446180677143, -7.594920387864535}}, 
       {{-6.875288088844636, -7.206161314796893, -8.034767042171945}}, 
       {{-7.3222106789284345, -7.696752785198917, -8.475092015397601}}, 
       {{-7.7671931992635095, -8.191854127787359, -8.912460474547956}}, 
       {{-8.211180162279733, -8.685611843041201, -9.348453674105818}}, 
       {{-8.65588071119013, -9.293721980915233, -9.78659380106463}}, 
       {{-9.09969385188912, -9.664470652065628, -10.222591494996248}}, 
       {{-9.545952978185515, -10.099259157054487, -10.662347276461455}}, 
       {{-9.99384999261652, -10.517453935221633, -11.103468335592526}}, 
       {{-10.444085334635789, -10.93968858108284, -11.545448656675788}}, 
       {{-10.897739825879995, -11.364505459851955, -11.99257547126777}}, 
       {{-11.355067380354647, -11.792639367772832, -12.44280815036385}}, 
       {{-11.816465953356467, -12.22872733609498, -12.896822701490398}}, 
       {{-12.28316969591514, -12.668108105126732, -13.356188777065398}}}, 
      {{{-1.7696066645869217, -1.910543005218022, -3.011861655483875}}, 
       {{-2.3866190886040552, -2.5312438249963654, -3.619353391465326}}, 
       {{-2.949803341665591, -3.0984296717923336, -4.174037331131349}}, 
       {{-3.4802405890026082, -3.6351491316929683, -4.69618958437526}}, 
       {{-3.9883642386848686, -4.150914913710495, -5.195760778222945}}, 
       {{-4.480301203942222, -4.651214124489498, -5.678699694288738}}, 
       {{-4.9604175779356385, -5.1396056753932156, -6.151633299260803}}, 
       {{-5.430934891162876, -5.621005048198633, -6.614339674682595}}, 
       {{-5.893974925830725, -6.098159285778945, -7.070274208479912}}, 
       {{-6.3515739534953495, -6.572712635170519, -7.520244556524627}}, 
       {{-6.804296570613907, -7.047017346315645, -7.964170518950459}}, 
       {{-7.254904310267466, -7.5233860171142535, -8.408338786504155}}, 
       {{-7.702935185107234, -8.005567887479682, -8.849175522764599}}, 
       {{-8.149776150945604, -8.493965065297031, -9.288301913445894}}, 
       {{-8.596236398756691, -8.987196820661973, -9.72785498389297}}, 
       {{-9.043132452992277, -9.4795278617918, -10.167453098370594}}, 
       {{-9.491377901709296, -10.106828476554158, -10.608302537963755}}, 
       {{-9.94056656077755, -10.458265063831302, -11.050450102145284}}, 
       {{-10.392551684520607, -10.897739825879995, -11.495085546841898}}, 
       {{-10.847663487899819, -11.325616366665235, -11.943708381062683}}, 
       {{-11.305911295585902, -11.758826003407055, -12.393366543950686}}, 
       {{-11.768979679741697, -12.194341722654475, -12.849668047260872}}, 
       {{-12.236531853014883, -12.634704031670177, -13.30989850125117}}, 
       {{-12.709922655559739, -13.081701395685439, -13.776289844810993}}}, 
      {{{-2.1706800221141074, -2.2975975514830065, -3.406109426023176}}, 
       {{-2.7812662634334693, -2.910656101198872, -4.006333684899388}}, 
       {{-3.3396320260040007, -3.4711907534826905, -4.556380021818659}}, 
       {{-3.866094073539746, -4.003042403815314, -5.07357509387013}}, 
       {{-4.3716803426197375, -4.512591004694999, -5.571965050036014}}, 
       {{-4.861482798693815, -5.008487602038797, -6.053339950826069}}, 
       {{-5.33976455646221, -5.494088971066396, -6.523854348789813}}, 
       {{-5.809476379215265, -5.972054153588159, -6.985716820451849}}, 
       {{-6.272237211258828, -6.444021262749997, -7.440485738136178}}, 
       {{-6.730446264011727, -6.9137733513077, -7.8925925533914025}}, 
       {{-7.184167759175687, -7.383374647013508, -8.338210535887798}}, 
       {{-7.635700965084778, -7.853989887229364, -8.782461669031118}}, 
       {{-8.0854107749907, -8.328227091903614, -9.224439296355683}}, 
       {{-8.534339350251209, -8.808883285265557, -9.666046696521095}}, 
       {{-8.984001929765453, -9.296988178701856, -10.108791185722007}}, 
       {{-9.433858993620476, -9.791409649130777, -10.55089684142222}}, 
       {{-9.885451190050029, -10.28591996153372, -10.995322856925213}}, 
       {{-10.339514966226933, -10.934628126089224, -11.442467001321667}}, 
       {{-10.795573595713465, -11.267629109014885, -11.89126190569014}}, 
       {{-11.255960365180508, -11.715041649092363, -12.344645295394114}}, 
       {{-11.719949634404555, -12.153480195411003, -12.801004778593164}}, 
       {{-12.188822292123646, -12.598522816560843, -13.262200322592129}}, 
       {{-12.663041596505455, -13.047255904917524, -13.729332861723222}}, 
       {{-13.143587013855955, -13.500699818124241, -14.202644709387714}}}, 
      {{{-2.5660299410817813, -2.681505645880098, -3.7924637703705066}}, 
       {{-3.1719922389693505, -3.287154665621495, -4.3892526797656215}}, 
       {{-3.7263736585415166, -3.8429634694966515, -4.935064107249182}}, 
       {{-4.250296863995987, -4.368518284649089, -5.451701673447394}}, 
       {{-4.753090316064713, -4.8750123403115415, -5.945726655434128}}, 
       {{-5.241370086106286, -5.367881829933945, -6.425946604286639}}, 
       {{-5.718693087391955, -5.850659670516961, -6.895826708116863}}, 
       {{-6.18796616747577, -6.325539659129473, -7.357172274619485}}, 
       {{-6.651563873621727, -6.795319849652349, -7.814095680003124}}, 
       {{-7.109749071573613, -7.261719614227898, -8.264102563734076}}, 
       {{-7.565149289836264, -7.727827153115749, -8.711992269721305}}, 
       {{-8.018237740220734, -8.194747439028164, -9.157747921857013}}, 
       {{-8.470309605517388, -8.66395457281164, -9.601902574915355}}, 
       {{-8.92215842448275, -9.138019710396556, -10.046665322212457}}, 
       {{-9.374625566284038, -9.61906077280502, -10.49227471777183}}, 
       {{-9.828380080049323, -10.109528195950675, -10.93856182040025}}, 
       {{-10.283869880276828, -10.60749347643095, -11.387174259664668}}, 
       {{-10.742354387445479, -11.106127911628285, -11.83865560505954}}, 
       {{-11.204705741300899, -11.776891010804693, -12.294029924289315}}, 
       {{-11.669462322790455, -12.096501009100884, -12.750799820971846}}, 
       {{-12.139723264988639, -12.552797258615739, -13.213930570929818}}, 
       {{-12.615244615569665, -13.005024884987096, -13.681854173151601}}, 
       {{-13.09669563065575, -13.462743238856559, -14.15659340714317}}, 
       {{-13.584398837000888, -13.926442118671556, -14.635582432097886}}}, 
      {{{-2.9580512065863025, -3.0612312557866868, -4.17663980494893}}, 
       {{-3.5599586740470968, -3.661264287080963, -4.7700448291783255}}, 
       {{-4.111083886226399, -4.211777659114196, -5.312416290927539}}, 
       {{-4.632233105537781, -4.734481922468431, -5.825611183021334}}, 
       {{-5.133650744992803, -5.237222267188226, -6.318858119795991}}, 
       {{-5.621005048198633, -5.727870270185291, -6.798900874070055}}, 
       {{-6.098159285778945, -6.2081291323244825, -7.26872514720375}}, 
       {{-6.567717976196428, -6.682214603068205, -7.730783380396602}}, 
       {{-7.031279765267635, -7.150846468106043, -8.186092498596935}}, 
       {{-7.490972400169886, -7.61723511416298, -8.638231519793294}}, 
       {{-7.948193003599174, -8.080229416248702, -9.088122739251933}}, 
       {{-8.403418177157393, -8.54456438821237, -9.536070512065494}}, 
       {{-8.858276040595134, -9.010670176847615, -9.98339693576443}}, 
       {{-9.313259425984024, -9.481099777232055, -10.4311202946185}}, 
       {{-9.76913150003705, -9.956677381050246, -10.879528288816058}}, 
       {{-10.227004077997124, -10.44031497884112, -11.330603908176274}}, 
       {{-10.686997173176465, -10.935750460662703, -11.783422712667909}}, 
       {{-11.150367857873341, -11.438746066795977, -12.239215864123429}}, 
       {{-11.617508505162668, -11.944785884437925, -12.699058351167833}}, 
       {{-12.089534829282222, -12.641172558768028, -13.163706340938711}}, 
       {{-12.565895395759638, -12.947150359847669, -13.632356014866428}}, 
       {{-13.048648339582048, -13.415393056182705, -14.10854023674265}}, 
       {{-13.537878821365995, -13.882719307657725, -14.590301727564729}}, 
       {{-14.034164204005632, -14.356108340063935, -15.078879572246866}}}, 
      {{{-3.3467091963780855, -3.438587770880715, -4.557332856573931}}, 
       {{-3.945062859506346, -4.033625827187395, -5.14645501723879}}, 
       {{-4.493628811255184, -4.58047757339772, -5.686925357589778}}, 
       {{-5.01343922142899, -5.099138692687659, -6.1992269963838895}}, 
       {{-5.513740794847108, -5.600504125202699, -6.691837772759667}}, 
       {{-6.0007071284749145, -6.088856893116631, -7.171720824816602}}, 
       {{-6.477922814425678, -6.568429973378517, -7.641724454062338}}, 
       {{-6.947848372548581, -7.0420869917774285, -8.103098756610018}}, 
       {{-7.412764517426688, -7.5101480962736185, -8.560100692427515}}, 
       {{-7.874287227293039, -7.975450465015525, -9.014773588432208}}, 
       {{-8.333622415221852, -8.438844225005262, -9.466523777368593}}, 
       {{-8.791630037117997, -8.902855672228222, -9.917586476915629}}, 
       {{-9.249393099239883, -9.366643366371584, -10.367747707154798}}, 
       {{-9.707920768992153, -9.835828904062314, -10.8187787840772}}, 
       {{-10.167974067384721, -10.308152980473729, -11.271549145394959}}, 
       {{-10.629984712777627, -10.788279617350913, -11.72611868543127}}, 
       {{-11.09553178599679, -11.277853342790745, -12.184311153748661}}, 
       {{-11.564113501739662, -11.779629131036819, -12.646129198407957}}, 
       {{-12.03717410906836, -12.289454254469225, -13.111423437365994}}, 
       {{-12.515318895897796, -12.805365250618495, -13.58202071459592}}, 
       {{-12.999703364668441, -13.528828985846076, -14.058856816596004}}, 
       {{-13.489810418324971, -13.825560893817775, -14.542421368677028}}, 
       {{-13.987129591625093, -14.308659996717322, -15.031893382366892}}, 
       {{-14.492587558346726, -14.79287913934702, -15.529753584764501}}}, 
      {{{-3.733040349899706, -3.813536058713492, -4.936455895922005}}, 
       {{-4.329054749907776, -4.404681325238688, -5.52371345291554}}, 
       {{-4.875929591243964, -4.947378844461241, -6.062316288079933}}, 
       {{-5.394387835298771, -5.46484431744335, -6.573428198707312}}, 
       {{-5.893974925830725, -5.96423856085439, -7.064409089027514}}, 
       {{-6.381253175831139, -6.451597056558454, -7.544522126105975}}, 
       {{-6.8589651148127055, -6.930000887929457, -8.015206516317452}}, 
       {{-7.329807190694701, -7.403199800709825, -8.477972478262956}}, 
       {{-7.796430843823319, -7.872973684479716, -8.937264451913764}}, 
       {{-8.260228091626518, -8.338628683499994, -9.394263210137112}}, 
       {{-8.721760357157512, -8.80354281863424, -9.847107219100021}}, 
       {{-9.182725204943209, -9.26796948481282, -10.30068691622726}}, 
       {{-9.64435928750241, -9.732732632113638, -10.755864958666631}}, 
       {{-10.106828476554158, -10.200277644018636, -11.210601115781577}}, 
       {{-10.571356925911806, -10.67222072005267, -11.668410367810623}}, 
       {{-11.038556378214853, -11.151063994344197, -12.127261465105883}}, 
       {{-11.508933443700691, -11.637355543348406, -12.590853162445505}}, 
       {{-11.98388955531109, -12.133565954743425, -13.058919204847793}}, 
       {{-12.46354887592489, -12.643647807556572, -13.531083778233166}}, 
       {{-12.948830326643453, -13.164749093900767, -14.00909530703694}}, 
       {{-13.440504657340819, -13.691524578183284, -14.493375114993063}}, 
       {{-13.939487737783985, -14.445495163566578, -14.98443802054741}}, 
       {{-14.44549516356658, -14.735809311235968, -15.483107384571907}}, 
       {{-14.960900038191312, -15.23598237088575, -15.99058233065936}}}, 
      {{{-4.117817918407743, -4.186459851129906, -5.312416290927539}}, 
       {{-4.7118649246590545, -4.77453603162183, -5.899432461661489}}, 
       {{-5.257559374075869, -5.316074088137295, -6.437126844967559}}, 
       {{-5.775385893515894, -5.830366626765654, -6.947536148993982}}, 
       {{-6.274889029307122, -6.3288972448243195, -7.438783610065647}}, 
       {{-6.762789508731951, -6.815176097689044, -7.919731260990701}}, 
       {{-7.241132310696048, -7.2956260786893505, -8.389679871117277}}, 
       {{-7.713847218558216, -7.76884785039153, -8.854766033481484}}, 
       {{-8.18250826536912, -8.238804165876049, -9.315700887634009}}, 
       {{-8.648441478026191, -8.707143775374684, -9.774215216831989}}, 
       {{-9.11321366124546, -9.173044587232486, -10.231436218216464}}, 
       {{-9.57807626327434, -9.640046944457382, -10.689627599945238}}, 
       {{-10.043439512963573, -10.10658340854656, -11.147588147952844}}, 
       {{-10.510457036855021, -10.576440025810554, -11.607236144441469}}, 
       {{-10.979947036563104, -11.048562715614578, -12.069795027237626}}, 
       {{-11.452771542150481, -11.52702438934973, -12.535966566791265}}, 
       {{-11.928895557723541, -12.01330583087468, -13.00369184768683}}, 
       {{-12.410149134127158, -12.507718424999341, -13.477610769351875}}, 
       {{-12.896822701490398, -13.014406235899237, -13.95707412228606}}, 
       {{-13.389589441288727, -13.534853100449457, -14.441747033241592}}, 
       {{-13.88980316254613, -14.068340419648845, -14.935142213856459}}, 
       {{-14.397474209563605, -14.609141277102541, -15.434998806251876}}, 
       {{-14.914222851632717, -15.396361013546462, -15.944142343834882}}, 
       {{-15.439554622787737, -15.683719199355735, -16.46199540340833}}}, 
      {{{-4.501711477619861, -4.558286600089241, -5.690767537578707}}, 
       {{-5.09407125233829, -5.143538312760483, -6.274358102827966}}, 
       {{-5.639118961330479, -5.683685772957078, -6.811536421241594}}, 
       {{-6.156810999695975, -6.1972594600875786, -7.321756718112589}}, 
       {{-6.656996560634954, -6.695066185571786, -7.813848185879847}}, 
       {{-7.145378151561181, -7.182850235928447, -8.294449720123367}}, 
       {{-7.625605072182454, -7.662352421858305, -8.766937424527626}}, 
       {{-8.100458491049842, -8.137045891292363, -9.234633064545227}}, 
       {{-8.571649377212296, -8.608212589803406, -9.698100722811176}}, 
       {{-9.040597597389088, -9.078435301096244, -10.159412593374718}}, 
       {{-9.50901598590283, -9.548333764969334, -10.620927425665117}}, 
       {{-9.977564755932443, -10.017104279323096, -11.082442593886777}}, 
       {{-10.447180779927736, -10.48760097207195, -11.544416132061599}}, 
       {{-10.919046286068951, -10.960190438127029, -12.008862476242468}}, 
       {{-11.39425393525273, -11.435038926313156, -12.47761893607255}}, 
       {{-11.872461641189993, -11.91639257041572, -12.947570087031165}}, 
       {{-12.355501159022102, -12.402817722989852, -13.42346847018825}}, 
       {{-12.84397435186414, -12.897621104726422, -13.90434177167089}}, 
       {{-13.338034913879838, -13.403400907137442, -14.389986208806722}}, 
       {{-13.839393498427606, -13.92131561686125, -14.884661136482764}}, 
       {{-14.348411389382122, -14.45587555308525, -15.386208642082444}}, 
       {{-14.86590427436191, -15.00492321095888, -15.896553381011083}}, 
       {{-15.392481280260872, -15.564785415586174, -16.415154885222698}}, 
       {{-15.930786552653325, -16.38597509611392, -16.94637550550976}}}}, 
     {Automatic, Automatic}]
 
sigmaNLOSG8[x_, y_] := If[x < 200 || x > 2500 || y < 200 || y > 2500, 
     "Squark or gluino mass outside range of interpolation!", 
     {SetPrecision[E^fNLOSGLog8[x, y][[1]], 3], 
      SetPrecision[E^fNLOSGLog8[x, y][[2]], 3], 
      SetPrecision[-E^fNLOSGLog8[x, y][[3]], 3]}]
 
fNLOSGLog8 = InterpolatingFunction[{{200., 2500.}, {200., 2500.}}, 
     {4, 3, 0, {24, 24}, {5, 5}, 0, 0, 0, 0, Automatic}, 
     {{200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000., 2100., 2200., 
       2300., 2400., 2500.}, {200., 300., 400., 500., 600., 700., 800., 900., 
       1000., 1100., 1200., 1300., 1400., 1500., 1600., 1700., 1800., 1900., 
       2000., 2100., 2200., 2300., 2400., 2500.}}, 
     {{{{7.289610521451167, 4.812184355372417, 4.997212273764115}}, 
       {{6.06262174142431, 3.3843902633457743, 3.7447870860522325}}, 
       {{5.107762004826979, 2.6173958328340783, 2.8903717578961645}}, 
       {{4.280547465724028, 1.9227877316344595, 2.137710449803812}}, 
       {{3.5272424885128144, 1.2354714713853063, 1.420695787837223}}, 
       {{2.837322536806349, 0.5877866649021194, 0.7608058290337604}}, 
       {{2.2003308589552892, -0.029428810690812053, 0.14928170271575486}}, 
       {{1.6030173446311777, -0.5798184952529428, -0.4215944900380485}}, 
       {{1.0395697480343262, -1.1116975282167647, -0.9571127263944105}}, 
       {{0.5025918188388871, -1.619488248287602, -1.4784096500276964}}, 
       {{-0.010656580188528888, -2.1152759946890507, -1.963972291873722}}, 
       {{-0.5058380822549516, -2.583622622727158, -2.431555474291006}}, 
       {{-0.9856408100089483, -3.03032371832361, -2.8931756852288997}}, 
       {{-1.4528616053920038, -3.46094738606793, -3.355268449773756}}, 
       {{-1.907843948248857, -3.887330392837775, -3.7898053727038965}}, 
       {{-2.35503695299647, -4.296950462318763, -4.214480363462081}}, 
       {{-2.793771501507688, -4.7083109449076055, -4.63976163075771}}, 
       {{-3.2256487091556294, -5.111008268243043, -5.0467807407326095}}, 
       {{-3.652740407498063, -5.504112279527633, -5.458486118700858}}, 
       {{-4.075130343298296, -5.896154367303658, -5.8639512268090215}}, 
       {{-4.493628811255184, -6.287178791257028, -6.260652036923599}}, 
       {{-4.909794979170184, -6.673473983257471, -6.660895201050611}}, 
       {{-5.323635174532327, -7.059741635980019, -7.056255287300581}}, 
       {{-5.7362023659123125, -7.4456095751360465, -7.4524824544238095}}}, 
      {{{6.450628387550081, 4.294560608892605, 4.355425952876702}}, 
       {{5.27658287440203, 2.7850112422383395, 3.039749158970764}}, 
       {{4.3344107807322185, 1.652497401894547, 2.0605135317943164}}, 
       {{3.5607619513334936, 1.0402767116551481, 1.3558351536351818}}, 
       {{2.8684669225081145, 0.48242614924429333, 0.7371640659767196}}, 
       {{2.2185510973840366, -0.07688104433595942, 0.13015068446504607}}, 
       {{1.6092378924314332, -0.6462635946610948, -0.4478508246046033}}, 
       {{1.03425152950772, -1.1809075313949402, -0.9942522733438667}}, 
       {{0.48673782823690076, -1.687399453903812, -1.5186835491656359}}, 
       {{-0.0365602553118024, -2.1724344085289995, -2.0204182012303753}}, 
       {{-0.5400828048331086, -2.64930970607961, -2.502256288123114}}, 
       {{-1.0266637893555255, -3.114515809543958, -2.958436488810294}}, 
       {{-1.4987913923470368, -3.5648934743329455, -3.405205403059695}}, 
       {{-1.9597048600775024, -3.9954046143671973, -3.844364356954331}}, 
       {{-2.4115075002182325, -4.412898298340968, -4.287443992187933}}, 
       {{-2.854406337463556, -4.824570751023467, -4.714985051995297}}, 
       {{-3.291446517703036, -5.221356325411908, -5.136198517071602}}, 
       {{-3.721815954360201, -5.624047506637348, -5.549346121351782}}, 
       {{-4.147112627760756, -6.01986402162968, -5.95609740327069}}, 
       {{-4.568838256740701, -6.413059037146031, -6.360790608600273}}, 
       {{-4.987309468792759, -6.803395263657895, -6.760197714624522}}, 
       {{-5.403677882205863, -7.190118189956317, -7.157499512093526}}, 
       {{-5.818183734966176, -7.577185932924767, -7.555929093899351}}, 
       {{-6.231754257257163, -7.963308078189799, -7.951879382366178}}}, 
      {{{5.687653092726317, 3.6686767467964168, 3.676300671907076}}, 
       {{4.638604962074329, 2.4423470353692043, 2.556451816951096}}, 
       {{3.7155213850603572, 1.252762968495368, 1.528227857008557}}, 
       {{2.929592471049446, 0.2926696139628199, 0.7080357930536948}}, 
       {{2.261346344977448, -0.2561834053924111, 0.08801087732271379}}, 
       {{1.6517308246243518, -0.7277386253295651, -0.4557063245449106}}, 
       {{1.0698698198024557, -1.2207799226423175, -0.9969586349416093}}, 
       {{0.5164100020598913, -1.7316055464083075, -1.5095925774643848}}, 
       {{-0.014504686202881688, -2.2127443889942566, -2.0159035208758485}}, 
       {{-0.5254317761553527, -2.6765515340428396, -2.50470127711618}}, 
       {{-1.018877320649256, -3.1349943408874976, -2.9759296462578115}}, 
       {{-1.497896537701193, -3.579128590154817, -3.4326880487535263}}, 
       {{-1.9639722918737217, -4.022954566135428, -3.877621578710813}}, 
       {{-2.4195684484798647, -4.453307836678846, -4.306548173497976}}, 
       {{-2.8661085057604856, -4.8665349501224995, -4.733003557497977}}, 
       {{-3.3063418506494764, -5.280477448419706, -5.160296068650662}}, 
       {{-3.740172748501487, -5.681042987686712, -5.575389259887801}}, 
       {{-4.169499235822861, -6.074846156047032, -5.987472525838444}}, 
       {{-4.594230245949757, -6.469500348050981, -6.3997335825488815}}, 
       {{-5.015547338457276, -6.8618263470937375, -6.804296570613907}}, 
       {{-5.434137089690571, -7.254479892067701, -7.2048145132465145}}, 
       {{-5.851007194412726, -7.641724454062337, -7.604910480939622}}, 
       {{-6.266427847151988, -8.031685375634538, -8.001380026139207}}, 
       {{-6.681416836771408, -8.421883011611913, -8.399410155759854}}}, 
      {{{4.9924713234685845, 3.0492730404820207, 3.0301337002713242}}, 
       {{4.03229183781909, 1.978239036170673, 2.0281482472922856}}, 
       {{3.1830413718589847, 0.9745596399981303, 1.128171090909654}}, 
       {{2.4042387467205457, -0.020202707317519015, 0.26313319953036834}}, 
       {{1.7159577558117731, -0.8509712657535135, -0.45728485683796083}}, 
       {{1.1164522067964406, -1.3625778345025736, -1.0188773206492567}}, 
       {{0.5618988939499913, -1.7897614665653818, -1.5141277326297757}}, 
       {{0.02761516703297339, -2.2537949288246137, -2.0076791754529455}}, 
       {{-0.4877603508349946, -2.7075503260605593, -2.491327217590923}}, 
       {{-0.9864449917973619, -3.1512171763943857, -2.9642336064946195}}, 
       {{-1.4701108472130011, -3.5899395062590322, -3.4234429906094754}}, 
       {{-1.9414202437824613, -4.022954566135428, -3.8728022922748653}}, 
       {{-2.40163224659528, -4.454167312451564, -4.310264268446991}}, 
       {{-2.8530181713548157, -4.871743295229637, -4.742136041061249}}, 
       {{-3.2957568692041583, -5.284414461379044, -5.160296068650663}}, 
       {{-3.7317869551252127, -5.6987949331451615, -5.575389259887802}}, 
       {{-4.163694640356894, -6.101279413115188, -5.991464547107983}}, 
       {{-4.5912672808191, -6.495645628155303, -6.399132078771347}}, 
       {{-5.015547338457276, -6.887952651685957, -6.807909944012421}}, 
       {{-5.436430668677671, -7.2831762657419254, -7.212922665774937}}, 
       {{-5.855536029883738, -7.673473152376918, -7.619066430169754}}, 
       {{-6.2732970947708715, -8.062937919138642, -8.016417903503749}}, 
       {{-6.690227466453563, -8.449534542942423, -8.41734785644652}}, 
       {{-7.107060240816505, -8.840847924326836, -8.818298284200159}}}, 
      {{{4.35259782398307, 2.4604431776096254, 2.424802725718296}}, 
       {{3.4600950229096408, 1.4951487660319729, 1.5062971535145873}}, 
       {{2.664446563620078, 0.5988365010887041, 0.6780335427498966}}, 
       {{1.9347047452131525, -0.25747623039471434, -0.09431067947124117}}, 
       {{1.2490417676935142, -1.1239300966524004, -0.8462983600541194}}, 
       {{0.6275414234619514, -1.8643301620628903, -1.4961092271270973}}, 
       {{0.07603468627599758, -2.3538783873815965, -2.015153051797474}}, 
       {{-0.440677863863909, -2.756715373083491, -2.486507931154975}}, 
       {{-0.9421214919086767, -3.184474398150867, -2.9526727840935445}}, 
       {{-1.429201862131167, -3.6119184129778072, -3.4082219965991203}}, 
       {{-1.903808973036678, -4.034190639402354, -3.8537540973041704}}, 
       {{-2.36776381901904, -4.455888483272336, -4.292551628246279}}, 
       {{-2.8222832952636345, -4.870438663602972, -4.7250804826606485}}, 
       {{-3.2691170413049475, -5.282444017391747, -5.149897361429764}}, 
       {{-3.7090821614314557, -5.686925357589778, -5.570126089843527}}, 
       {{-4.142694823163147, -6.0923904656979415, -5.979535976242709}}, 
       {{-4.57270299585059, -6.495645628155304, -6.39433302936888}}, 
       {{-4.998064636922404, -6.898795537610665, -6.798004415023018}}, 
       {{-5.42161558289253, -7.287552640341724, -7.203469523131182}}, 
       {{-5.843044541989709, -7.675626005738019, -7.610952795395584}}, 
       {{-6.262748473750126, -8.06930736742412, -8.01339218258721}}, 
       {{-6.681416836771408, -8.463652424488208, -8.417347856446522}}, 
       {{-7.099642440645793, -8.851966871401869, -8.821004645797903}}, 
       {{-7.5185854170528685, -9.243897155505024, -9.221401319335607}}}, 
      {{{3.757472245579548, 1.9035989509835896, 1.8562979903656271}}, 
       {{2.917770732084279, 1.0152306797290591, 1.0006318803079062}}, 
       {{2.1658485694205747, 0.1922718876471225, 0.22713557258374711}}, 
       {{1.4710949628123557, -0.5887871652357031, -0.49593701127224005}}, 
       {{0.8206605008589049, -1.343234871659443, -1.1809075313949409}}, 
       {{0.1996701951285677, -2.120263536200092, -1.851509473633829}}, 
       {{-0.3746934494414107, -2.7952434128045867, -2.451085101312489}}, 
       {{-0.892574205256839, -3.257097037688399, -2.945039159238472}}, 
       {{-1.3815058443880934, -3.645819964653489, -3.396209840151117}}, 
       {{-1.8585405029184061, -4.057048777478405, -3.839702343848519}}, 
       {{-2.3249329566579533, -4.473265115108153, -4.272992873649758}}, 
       {{-2.782396663230867, -4.873049631143692, -4.7027830148550915}}, 
       {{-3.231707803683579, -5.2785147392518565, -5.127731065972504}}, 
       {{-3.6741879053709465, -5.683979847360021, -5.549346121351782}}, 
       {{-4.111083886226399, -6.087975447488825, -5.963849380075009}}, 
       {{-4.543134795068639, -6.482487543577792, -6.374776850575013}}, 
       {{-4.970885874578973, -6.882087532233559, -6.7802419586831775}}, 
       {{-5.3961507268968, -7.275924602346604, -7.191445330164381}}, 
       {{-5.819193326167529, -7.671324923838629, -7.592934289892905}}, 
       {{-6.240438858456713, -8.06293791913864, -7.995427627611912}}, 
       {{-6.66011425606754, -8.458924283292262, -8.399410155759854}}, 
       {{-7.080562243407506, -8.850570223130148, -8.806209486881155}}, 
       {{-7.500695199125056, -9.242863563681743, -9.209340871643098}}, 
       {{-7.9216588397232925, -9.63498829950112, -9.615305605042696}}}, 
      {{{3.1990811975400213, 1.3737155789130304, 1.319085611426441}}, 
       {{2.401525040848949, 0.542324290825362, 0.5110256037686568}}, 
       {{1.684916373610006, -0.22314355131421, -0.21691300156357293}}, 
       {{1.0206507471983979, -0.9493305859523552, -0.898942093539542}}, 
       {{0.3940670631557951, -1.6502599069543558, -1.5511690043101236}}, 
       {{-0.2010151992412087, -2.332013903684857, -2.1706800221141074}}, 
       {{-0.7758768281589413, -3.042823881087841, -2.7838519145184923}}, 
       {{-1.3156495215505586, -3.657380787054566, -3.3495541485103173}}, 
       {{-1.8078888511579385, -4.110473944151985, -3.8167128256238203}}, 
       {{-2.276917346245468, -4.491841500681088, -4.255922757878156}}, 
       {{-2.7364496756239083, -4.890189141020389, -4.682051230324049}}, 
       {{-3.187861771339031, -5.288367035694868, -5.10439667391073}}, 
       {{-3.6328772639986515, -5.681042987686712, -5.521460917862246}}, 
       {{-4.071605075252611, -6.079203461415989, -5.936976361823913}}, 
       {{-4.506230238133188, -6.469500348050981, -6.352721400551827}}, 
       {{-4.935898947982238, -6.871423349734748, -6.758473576266382}}, 
       {{-5.362962560041568, -7.261577153938464, -7.165231509376852}}, 
       {{-5.787381498532515, -7.656415169472341, -7.5674676834558445}}, 
       {{-6.21011819314934, -8.050319455179428, -7.977780110798334}}, 
       {{-6.632398856220993, -8.435613204423815, -8.377431249041079}}, 
       {{-7.053359252840929, -8.835334471352727, -8.77985750089273}}, 
       {{-7.474798582746356, -9.230543079293703, -9.186623845358866}}, 
       {{-7.89688555703325, -9.625855815937848, -9.596002852788168}}, 
       {{-8.32039361544163, -10.02002136879208, -10.002203525475286}}}, 
      {{{2.670694414558441, 0.8712933659434196, 0.8109302162163288}}, 
       {{1.9077631449843613, 0.08157998699242285, 0.043059489460447437}}, 
       {{1.2202397767898079, -0.6386589952758756, -0.6520052372287704}}, 
       {{0.5810976767513224, -1.320506620581887, -1.3019532126861397}}, 
       {{-0.02378052866540339, -1.9768849533547441, -1.922779731666459}}, 
       {{-0.6020275871924615, -2.6200393237794954, -2.51949809455762}}, 
       {{-1.1574073351786152, -3.246761028357737, -3.096658192143951}}, 
       {{-1.697722827301672, -3.9120230054281464, -3.661264287080963}}, 
       {{-2.2118307297255817, -4.482952553263842, -4.203713099277466}}, 
       {{-2.68560401227238, -4.917144951008917, -4.6575166663603}}, 
       {{-3.139371723755602, -5.302325387945576, -5.079985372231048}}, 
       {{-3.5866839417992664, -5.68987956948721, -5.4992103089274265}}, 
       {{-4.027433856939473, -6.083579836015788, -5.910806644090528}}, 
       {{-4.463670623714392, -6.469500348050982, -6.321080342932708}}, 
       {{-4.895522486995751, -6.860871693083285, -6.729609093598663}}, 
       {{-5.324250748574541, -7.251655031432146, -7.138427096717139}}, 
       {{-5.75055966621513, -7.6396432878585125, -7.544522126105975}}, 
       {{-6.17490673157064, -8.031685375634536, -7.946213644830499}}, 
       {{-6.5980671262677415, -8.421883011611913, -8.351678752938664}}, 
       {{-7.020700037998271, -8.812907435565283, -8.759901898225287}}, 
       {{-7.443386021667099, -9.206348350706644, -9.16059828008137}}, 
       {{-7.8664317273527296, -9.60338296008579, -9.567015315914915}}, 
       {{-8.290854749205508, -10.002203525475286, -9.976058245370963}}, 
       {{-8.716864386545305, -10.401067949552099, -10.387995867984746}}}, 
      {{{2.167223455063369, 0.3893357261782813, 0.32497785719547806}}, 
       {{1.4329393689429344, -0.3638434334173445, -0.41098028879627485}}, 
       {{0.7696451515326702, -1.0526833567797094, -1.075872801698621}}, 
       {{0.15100287353652742, -1.698269126140716, -1.7037485919053414}}, 
       {{-0.43494541343067256, -2.318714474923929, -2.298593071724509}}, 
       {{-0.997229674379507, -2.9280736250801764, -2.873514640829742}}, 
       {{-1.5403783765026058, -3.526760604637501, -3.4326880487535263}}, 
       {{-2.0659331916550436, -4.110473944151985, -3.973898409146233}}, 
       {{-2.5812413542385144, -4.734140567285051, -4.508951328247549}}, 
       {{-3.075208475055788, -5.274600839930721, -5.023720533644912}}, 
       {{-3.5356434782150785, -5.698794933145162, -5.4679201509342175}}, 
       {{-3.979231755121596, -6.0835798360157884, -5.885304351279591}}, 
       {{-4.417032243872697, -6.469500348050982, -6.292569639891903}}, 
       {{-4.85119860983976, -6.855162828862966, -6.703183113253363}}, 
       {{-5.2818536405173715, -7.240434717364654, -7.108648221361527}}, 
       {{-5.7092976553443116, -7.62930193406378, -7.512891582219369}}, 
       {{-6.135334917527684, -8.016417903503749, -7.921107723699424}}, 
       {{-6.5599192837106095, -8.403864506109235, -8.322449114623726}}, 
       {{-6.983988584981726, -8.795585216960927, -8.729149553339884}}, 
       {{-7.407311310489897, -9.187600885006693, -9.132453833319111}}, 
       {{-7.831826198175254, -9.57850969534065, -9.541626081910096}}, 
       {{-8.257524865419656, -9.976058245370965, -9.948484918466864}}, 
       {{-8.683838268825184, -10.378302738779086, -10.356044268178143}}, 
       {{-9.112306631704817, -10.78537685769295, -10.77003619251547}}}, 
      {{{1.6847308964695318, -0.07149600170506992, -0.1427163022015952}}, 
       {{0.9741822102899327, -0.7962879394794585, -0.8509712657535123}}, 
       {{0.3307415619122278, -1.456716825416436, -1.4961092271270973}}, 
       {{-0.26958023708779855, -2.0746530249480393, -2.0988282554800257}}, 
       {{-0.8397927609014301, -2.672200548208513, -2.672200548208513}}, 
       {{-1.3878956424868645, -3.2519156789464008, -3.228926160721702}}, 
       {{-1.919365593833201, -3.8212686421596818, -3.7722610630529876}}, 
       {{-2.4364594015503735, -4.386034656071422, -4.299157156851586}}, 
       {{-2.9404867993280126, -4.939245298009583, -4.8158912173037445}}, 
       {{-3.4370318346713713, -5.528989184283038, -5.3308405582535965}}, 
       {{-3.916031026825685, -6.044865323835097, -5.825950108630408}}, 
       {{-4.3661532855175915, -6.469500348050981, -6.260652036923599}}, 
       {{-4.8026459905537235, -6.849486370858161, -6.6703144229671025}}, 
       {{-5.235342567386648, -7.233485419071448, -7.078543599962418}}, 
       {{-5.665042646340271, -7.615001383921585, -7.484008708070583}}, 
       {{-6.092390465697942, -8.001380026139207, -7.88592141457438}}, 
       {{-6.518419552803857, -8.386164929009833, -8.294049640102028}}, 
       {{-6.943382456625288, -8.778557955550646, -8.695721949971496}}, 
       {{-7.368521702875391, -9.166323486559408, -9.103281299682774}}, 
       {{-7.794001889507915, -9.55989784814605, -9.50874640779094}}, 
       {{-8.2200559601937, -9.9526777967269, -9.919616934466012}}, 
       {{-8.648441478026191, -10.346654527828305, -10.331198269591612}}, 
       {{-9.077559260742364, -10.752119635936468, -10.73819829741786}}, 
       {{-9.509690249295646, -11.160158145862512, -11.154551964395914}}}, 
      {{{1.2199445738356347, -0.5175146119167872, -0.5905905922348536}}, 
       {{0.5294510878891555, -1.2173958246580765, -1.2765434971607716}}, 
       {{-0.09684135144955555, -1.8559780415547054, -1.903138057211445}}, 
       {{-0.6824050840280432, -2.4522458675484513, -2.4889146711855394}}, 
       {{-1.2395999819690873, -3.024131748075688, -3.047025567941542}}, 
       {{-1.775492496764183, -3.586322865788844, -3.586322865788844}}, 
       {{-2.2956094792576205, -4.135166556742356, -4.110473944151985}}, 
       {{-2.804285808983036, -4.675592650284637, -4.628438812927445}}, 
       {{-3.302257433807252, -5.212139670306984, -5.136198517071602}}, 
       {{-3.790247948502225, -5.741484341840212, -5.635189683190589}}, 
       {{-4.272992873649759, -6.303439312128807, -6.133028111429769}}, 
       {{-4.740646325550541, -6.801595083153746, -6.609875381553911}}, 
       {{-5.184274650507376, -7.219730044002962, -7.0390035655920915}}, 
       {{-5.616596112977285, -7.602904462212756, -7.450759801112363}}, 
       {{-6.04613194845029, -7.986564940354067, -7.854505218341}}, 
       {{-6.474026705601113, -8.368773186297965, -8.258682496264736}}, 
       {{-6.900779665245712, -8.759264752615966, -8.664533779314946}}, 
       {{-7.3266096242093175, -9.149245272616373, -9.068840809702483}}, 
       {{-7.752888816539964, -9.543019810358699, -9.474305917810648}}, 
       {{-8.180720954795024, -9.931887027057826, -9.885647634407798}}, 
       {{-8.609308480324042, -10.328135480061066, -10.295049755475302}}, 
       {{-9.03975407140065, -10.724468104605958, -10.709579492112208}}, 
       {{-9.473655087979669, -11.126303444663543, -11.128343567778488}}, 
       {{-9.908500094359672, -11.54029666176636, -11.53926944030983}}}, 
      {{{0.7701082216960737, -0.9493305859523552, -1.0272222925814365}}, 
       {{0.0962188577405429, -1.62964061975162, -1.697176826742107}}, 
       {{-0.5153357792438766, -2.246204759557939, -2.303585593327629}}, 
       {{-1.0882659966139654, -2.8268337370921763, -2.875286120478124}}, 
       {{-1.6342430313530716, -3.3813947543659757, -3.4203802010789293}}, 
       {{-2.1602178517071238, -3.9220733412816475, -3.945579788956989}}, 
       {{-2.6713326181670474, -4.452449098970427, -4.458475806837288}}, 
       {{-3.171276846068922, -4.976233867378924, -4.963274722736418}}, 
       {{-3.6628219197946468, -5.496768305271874, -5.4608362960458114}}, 
       {{-4.146480316642629, -6.015757239677027, -5.952243833954701}}, 
       {{-4.622723345235681, -6.526582863443017, -6.435254769537814}}, 
       {{-5.095213270571554, -7.069098429390901, -6.917805614835638}}, 
       {{-5.555534898195998, -7.552112295372651, -7.387405285279677}}, 
       {{-5.995071042702094, -7.966185778017416, -7.811623490857735}}, 
       {{-6.425329129737844, -8.355925043820115, -8.220799178362435}}, 
       {{-6.854214512054107, -8.740336742730447, -8.627566248897608}}, 
       {{-7.28230328445558, -9.12691876383711, -9.034707803333024}}, 
       {{-7.710270996597448, -9.518225151745483, -9.441012189711184}}, 
       {{-8.13841434857058, -9.911519724233392, -9.848999367252057}}, 
       {{-8.568486485803788, -10.303965119133254, -10.26016249647486}}, 
       {{-9.000079446492986, -10.7019952487539, -10.675677940436527}}, 
       {{-9.433608931103544, -11.106793912318903, -11.0889657742259}}, 
       {{-9.870246218756327, -11.50992995599043, -11.510927462307555}}, 
       {{-10.311155084199493, -11.917890698036741, -11.934519955008277}}}, 
      {{{0.33289441527332897, -1.3664917338237113, -1.4524341636244358}}, 
       {{-0.3262843102337231, -2.0310324024721487, -2.102914897865478}}, 
       {{-0.9258361447176865, -2.6324790142551358, -2.6971102610638753}}, 
       {{-1.4881056272665754, -3.199073197572021, -3.2570970376883985}}, 
       {{-2.0241960674538575, -3.7422802308410517, -3.789805372703897}}, 
       {{-2.5422391964352453, -4.2658448803844715, -4.305806608762472}}, 
       {{-3.045763207159556, -4.7795235731328685, -4.808511110006122}}, 
       {{-3.5383926208400003, -5.288367035694868, -5.302325387945576}}, 
       {{-4.023513381461509, -5.792613688362817, -5.789340363017848}}, 
       {{-4.502613597662999, -6.297989707361243, -6.273297094770872}}, 
       {{-4.9763788054181655, -6.801595083153746, -6.752462394576102}}, 
       {{-5.444499876726118, -7.299317481921311, -7.226584080430754}}, 
       {{-5.910437708465609, -7.824046010856292, -7.69961843248124}}, 
       {{-6.366012552581425, -8.29404964010203, -8.163021377695623}}, 
       {{-6.803395263657894, -8.715644130140076, -8.584401941109688}}, 
       {{-7.23403958921586, -9.103281299682774, -8.996843197713778}}, 
       {{-7.664268335163902, -9.491377901709296, -9.405139450281249}}, 
       {{-8.094215658223442, -9.885647634407798, -9.813646848536338}}, 
       {{-8.525729522438525, -10.28036520379238, -10.22645143913255}}, 
       {{-8.958026443362193, -10.675677940436527, -10.637456727616328}}, 
       {{-9.392701929570158, -11.081143048544691, -11.054867906742894}}, 
       {{-9.830608907123555, -11.483366662728685, -11.474666752853139}}, 
       {{-10.270790199549944, -11.897118437802852, -11.897118437802854}}, 
       {{-10.715868821019772, -12.309213404449688, -12.32711097390723}}}, 
      {{{-0.09332215723137284, -1.7772650230776024, -1.8617528410485893}}, 
       {{-0.7404484536779584, -2.424752726968253, -2.501036031717884}}, 
       {{-1.3295360273012817, -3.013896244181663, -3.085656981081978}}, 
       {{-1.8825598335545515, -3.568433301038069, -3.6343912688298663}}, 
       {{-2.4112845099173867, -4.098352583619639, -4.157284361995975}}, 
       {{-2.9219243464092712, -4.612194800925057, -4.664920190393865}}, 
       {{-3.418852316900876, -5.115995809754082, -5.158555424172878}}, 
       {{-3.9060409337505986, -5.610292131568862, -5.643628551836454}}, 
       {{-4.38523176562283, -6.10575369351011, -6.123853735153727}}, 
       {{-4.859675413745315, -6.594405459781778, -6.599535555312808}}, 
       {{-5.330220915561045, -7.088078833113419, -7.072629922172371}}, 
       {{-5.797543854470676, -7.579140967760569, -7.544522126105975}}, 
       {{-6.260652036923599, -8.06611757205602, -8.010375589047785}}, 
       {{-6.722936841989595, -8.579068595134325, -8.480861262168846}}, 
       {{-7.175765451636454, -9.04482593349861, -8.936503706346455}}, 
       {{-7.613785085373096, -9.461369126779928, -9.361163261710766}}, 
       {{-8.046252501349162, -9.856603966637277, -9.774215216831989}}, 
       {{-8.47989740667254, -10.251627594025024, -10.188506507568425}}, 
       {{-8.91394635892238, -10.650035509823189, -10.600642754493613}}, 
       {{-9.35006231515132, -11.052972171577993, -11.018229223134123}}, 
       {{-9.788553014444028, -11.45654513153412, -11.438746066795977}}, 
       {{-10.230049063048826, -11.868172856917775, -11.862482941140097}}, 
       {{-10.675677940436525, -12.27864333836501, -12.291630533891821}}, 
       {{-11.124945671203083, -12.700368967344954, -12.723587257446962}}}, 
      {{{-0.5106589709866699, -2.1777161109481757, -2.2662531637466556}}, 
       {{-1.1469625496091564, -2.811745437440975, -2.8949823704538478}}, 
       {{-1.7270959559023327, -3.3902574416238216, -3.4673371841667002}}, 
       {{-2.2730262907525014, -3.932225712745665, -4.00853390580899}}, 
       {{-2.795079760075313, -4.4550275275583715, -4.524512282970638}}, 
       {{-3.2995437279356556, -4.960417577935639, -5.022201930467721}}, 
       {{-3.791576852352279, -5.456141451741604, -5.511510587009078}}, 
       {{-4.273710491190423, -5.940771432792465, -5.987472525838444}}, 
       {{-4.749156036516473, -6.41856195534326, -6.4630694577206915}}, 
       {{-5.219136568673595, -6.902767737471098, -6.931023905921491}}, 
       {{-5.686335561052481, -7.382570465225094, -7.3987782754519476}}, 
       {{-6.151633299260803, -7.867475568783628, -7.867475568783629}}, 
       {{-6.615085665019317, -8.351678752938664, -8.330713624473619}}, 
       {{-7.075700669831584, -8.833274738389715, -8.795585216960927}}, 
       {{-7.53623894621636, -9.335903594951528, -9.259530616166955}}, 
       {{-7.9892155088326815, -9.797327356707738, -9.714521453023504}}, 
       {{-8.429640294408376, -10.218198297375828, -10.141744741660386}}, 
       {{-8.866041699105505, -10.620927425665117, -10.561267589258783}}, 
       {{-9.30454116737501, -11.018839165208536, -10.979947036563104}}, 
       {{-9.744775861381306, -11.426747768729177, -11.402278944883165}}, 
       {{-10.187443243247095, -11.8372715217936, -11.824900229991055}}, 
       {{-10.633713741337495, -12.251070011460909, -12.251070011460909}}, 
       {{-11.084395083931067, -12.671287758044112, -12.68733946705462}}, 
       {{-11.539064122579923, -13.098646850787013, -13.12286350244601}}}, 
      {{{-0.9200477807518672, -2.5704645381496474, -2.66212126921381}}, 
       {{-1.5474025215146479, -3.1917471574799476, -3.2834143460057725}}, 
       {{-2.120263536200091, -3.7593019184104817, -3.8495178000767494}}, 
       {{-2.659260036932778, -4.298421050819085, -4.378831743777361}}, 
       {{-3.1760558276852726, -4.810965098967689, -4.888860237170334}}, 
       {{-3.6761606817061616, -5.310389947782306, -5.383875254909683}}, 
       {{-4.163694640356894, -5.795897763564007, -5.863951226809023}}, 
       {{-4.642560575206651, -6.272767012595723, -6.338472085644578}}, 
       {{-5.114496933630346, -6.749043587827316, -6.806101625255637}}, 
       {{-5.581476350272233, -7.219730044002962, -7.26872514720375}}, 
       {{-6.045709561960378, -7.693017748449887, -7.733291647587828}}, 
       {{-6.508308243199536, -8.166536319803068, -8.191493051776936}}, 
       {{-6.971014618621328, -8.64332346856045, -8.657030136604037}}, 
       {{-7.4331870551374895, -9.12416267573513, -9.120499667976393}}, 
       {{-7.893932138320459, -9.601902574915357, -9.582854379944662}}, 
       {{-8.355074341939803, -10.099502436462085, -10.045051116857914}}, 
       {{-8.810222870194613, -10.557414019942792, -10.501324553291749}}, 
       {{-9.254710319712123, -10.985832868740365, -10.93406743081241}}, 
       {{-9.697124001261935, -11.39247931189436, -11.35848911166581}}, 
       {{-10.142252484753294, -11.803277765977889, -11.78604738609068}}, 
       {{-10.590255126132034, -12.218145226764443, -12.216122981383675}}, 
       {{-11.04167261632406, -12.636855561622628, -12.64923962082235}}, 
       {{-11.498036852476478, -13.064094469280352, -13.087961950686998}}, 
       {{-11.958900116416602, -13.495603338217757, -13.530331615730612}}}, 
      {{{-1.3227563403159028, -2.9565115604007097, -3.051244983484249}}, 
       {{-1.942117350816617, -3.5719857026424364, -3.661264287080963}}, 
       {{-2.5085028636431868, -4.130179015231317, -4.221269255795768}}, 
       {{-3.0426142594541212, -4.65962637178415, -4.747886488189686}}, 
       {{-3.5546982726479164, -5.169045030843898, -5.251433780649186}}, 
       {{-4.051285072761654, -5.660722985195754, -5.741484341840213}}, 
       {{-4.535644123339481, -6.142287436842566, -6.21761260744249}}, 
       {{-5.012086346363571, -6.612849361441036, -6.68942328466515}}, 
       {{-5.481519310769299, -7.082108666126915, -7.153655817418963}}, 
       {{-5.946491181465251, -7.548310009422912, -7.612975040776352}}, 
       {{-6.408799827786634, -8.010375589047786, -8.072507370154792}}, 
       {{-6.869496566865046, -8.477972478262956, -8.528759827787702}}, 
       {{-7.330722662226443, -8.947976107508692, -8.988798102028946}}, 
       {{-7.7930319573271225, -9.422296733899827, -9.451138858529113}}, 
       {{-8.256368573134338, -9.899495531266592, -9.915560133770397}}, 
       {{-8.719309375538371, -10.375092463148837, -10.378302738779086}}, 
       {{-9.183698441029762, -10.86582222291169, -10.845096092394574}}, 
       {{-9.642200791443878, -11.333942809441789, -11.30104510593473}}, 
       {{-10.092712885646877, -11.763954219773975, -11.738572146502557}}, 
       {{-10.542904410675105, -12.180404898781596, -12.172637869443935}}, 
       {{-10.996515462910336, -12.603569583989161, -12.6065502121273}}, 
       {{-11.454656556846253, -13.027053197600004, -13.048648339582048}}, 
       {{-11.91639257041572, -13.459936219469574, -13.491255505281654}}, 
       {{-12.384003854022836, -13.899979714590724, -13.94107378093962}}}, 
      {{{-1.720369473141382, -3.335409641124152, -3.4388992488461674}}, 
       {{-2.332941213008945, -3.942997809727576, -4.040993386725106}}, 
       {{-2.8937173481472613, -4.4954193220289715, -4.592253960721545}}, 
       {{-3.423442990609475, -5.020685629949757, -5.114330530435021}}, 
       {{-3.9322257127456655, -5.521460917862246, -5.615771597333487}}, 
       {{-4.426187530459651, -6.007593929037865, -6.1026195964741445}}, 
       {{-4.908304362998794, -6.4870732050691124, -6.574860863708808}}, 
       {{-5.382568918995628, -6.956945523172909, -7.042430182308738}}, 
       {{-5.850659670516961, -7.418580902748127, -7.50377574881136}}, 
       {{-6.3144284337044025, -7.8806163623446865, -7.9633080781898}}, 
       {{-6.774974167748319, -8.3432398842928, -8.415087968479083}}, 
       {{-7.235287596033879, -8.802212146448534, -8.871727570855859}}, 
       {{-7.695432943388315, -9.264796557772241, -9.327998415444416}}, 
       {{-8.15707418507495, -9.732901251960595, -9.78659380106463}}, 
       {{-8.621443212790037, -10.207299006917793, -10.251627594025024}}, 
       {{-9.088122739251933, -10.68437364740408, -10.71902838131014}}, 
       {{-9.55508674504964, -11.163678036860293, -11.184341401198022}}, 
       {{-10.024525880913185, -11.654489029292016, -11.654489029292016}}, 
       {{-10.489036722498055, -12.123571424018431, -12.11440545700435}}, 
       {{-10.947611655920168, -12.562747589468906, -12.5598945204865}}, 
       {{-11.407664954312736, -12.986958740398126, -13.005914564761081}}, 
       {{-11.871745565255349, -13.424144374235611, -13.450867444376366}}, 
       {{-12.340976407994976, -13.86365093329221, -13.902158364689946}}, 
       {{-12.815982227520063, -14.308168877774815, -14.360237733405945}}}, 
      {{{-2.11279152136139, -3.71317214668298, -3.8162583834437673}}, 
       {{-2.7200721763295355, -4.311754581688549, -4.414549826379441}}, 
       {{-3.276240142257772, -4.8613535913805, -4.9604175779356385}}, 
       {{-3.802272141469027, -5.37952742197358, -5.477444032445472}}, 
       {{-4.308032954765555, -5.8781358618009785, -5.975591197951692}}, 
       {{-4.799969264293159, -6.361369479817595, -6.459230681413526}}, 
       {{-5.281067013141509, -6.835434617402512, -6.933073086966426}}, 
       {{-5.754023691092947, -7.302280447051967, -7.397145622028062}}, 
       {{-6.221632713359156, -7.763421389039857, -7.857085864934493}}, 
       {{-6.684611727667927, -8.220799178362435, -8.31017902203191}}, 
       {{-7.145631829898411, -8.677948970295631, -8.767579479124322}}, 
       {{-7.6055130720997655, -9.135232899489377, -9.222412953210451}}, 
       {{-8.065480832142754, -9.594533344808807, -9.67555548449012}}, 
       {{-8.52724352726974, -10.056638732030303, -10.13415937027113}}, 
       {{-8.992008377659195, -10.52338427135648, -10.59583505292551}}, 
       {{-9.459956243621507, -11.001300161033674, -11.061213105696744}}, 
       {{-9.93168128690691, -11.483366662728685, -11.532108284387002}}, 
       {{-10.405353434930646, -11.965482180612243, -12.00394846144004}}, 
       {{-10.8821857445389, -12.45710140033392, -12.480509491231933}}, 
       {{-11.354213773815408, -12.93588381046171, -12.94631143362397}}, 
       {{-11.82298948831514, -13.381134106361689, -13.403400907137442}}, 
       {{-12.294685303886776, -13.821528630289837, -13.859462445493458}}, 
       {{-12.77170650579116, -14.26964083805372, -14.31803737891557}}, 
       {{-13.254752565450074, -14.724329274999727, -14.78309458422598}}}, 
      {{{-2.5018900548284138, -4.085186624437335, -4.193723006202379}}, 
       {{-3.104654680778178, -4.677740878822926, -4.786692062611482}}, 
       {{-3.6569932652516144, -5.221356325411908, -5.328776574032745}}, 
       {{-4.179902450583747, -5.73837391942582, -5.839602197798736}}, 
       {{-4.683888770699497, -6.231245739575215, -6.336775732396399}}, 
       {{-5.174154723927614, -6.713834586344831, -6.818829069787736}}, 
       {{-5.654421045118477, -7.184827172321903, -7.290480900120812}}, 
       {{-6.12705520141433, -7.652195753929632, -7.754053639036257}}, 
       {{-6.594405459781778, -8.111728083308073, -8.213391737084573}}, 
       {{-7.058461896406841, -8.569012940146035, -8.670344370910412}}, 
       {{-7.520060071697982, -9.021374272463559, -9.12416267573513}}, 
       {{-7.980115196506181, -9.478219817131784, -9.575623690451515}}, 
       {{-8.44115850514024, -9.933946760020836, -10.031320924046014}}, 
       {{-8.903591236807175, -10.394510549005938, -10.486883869136955}}, 
       {{-9.36886728020442, -10.857480151594295, -10.947611655920168}}, 
       {{-9.838261767618421, -11.3272761180836, -11.413080130000512}}, 
       {{-10.312659522575618, -11.808639709119275, -11.885439472938707}}, 
       {{-10.791676854299409, -12.29599735305816, -12.361557548370568}}, 
       {{-11.27390856449973, -12.785891140783116, -12.840950917966143}}, 
       {{-11.759977561336115, -13.281359108894787, -13.326930543145602}}, 
       {{-12.242529182540789, -13.76576846606946, -13.802594332697728}}, 
       {{-12.723587257446962, -14.223478796290557, -14.271216882509185}}, 
       {{-13.20901118413, -14.68063300326403, -14.74185162569193}}, 
       {{-13.701289413874251, -15.143536010960188, -15.217121623196059}}}, 
      {{{-2.888493522884392, -4.452449098970428, -4.5698030421508}}, 
       {{-3.486755270023802, -5.042125961187626, -5.15508319846213}}, 
       {{-4.035886992650532, -5.583336321580334, -5.692842534617866}}, 
       {{-4.5573328565739315, -6.092390465697942, -6.206639928773016}}, 
       {{-5.059615476317974, -6.586396680170973, -6.699116413870809}}, 
       {{-5.548832114658379, -7.066751010472595, -7.179564002277628}}, 
       {{-6.028958751535562, -7.536989133798429, -7.652195753929633}}, 
       {{-6.502290170873972, -8.001380026139207, -8.115066984573588}}, 
       {{-6.970162739110754, -8.461285559477941, -8.57429278345681}}, 
       {{-7.435049095455435, -8.917670758013363, -9.030521945400347}}, 
       {{-7.897961693806461, -9.371683522384945, -9.48609387356269}}, 
       {{-8.360189442606572, -9.826526511399999, -9.94015153690772}}, 
       {{-8.822360578209038, -10.28036520379238, -10.39451054900594}}, 
       {{-9.286249966076532, -10.742354387445479, -10.849722160783356}}, 
       {{-9.753517025959834, -11.201771036333305, -11.310801280880094}}, 
       {{-10.224243932717338, -11.670749550163796, -11.775589774446722}}, 
       {{-10.700662803520121, -12.147803737406198, -12.24689464005043}}, 
       {{-11.182902552028922, -12.636855561622628, -12.726948605149666}}, 
       {{-11.671921196460687, -13.127375919227873, -13.213382775791498}}, 
       {{-12.16512265920122, -13.627372615848879, -13.703075128634486}}, 
       {{-12.662725790407771, -14.131592104937754, -14.198236179102949}}, 
       {{-13.15799055504748, -14.625191554780171, -14.687784404421654}}, 
       {{-13.653391708487838, -15.099248330759073, -15.168370142997928}}, 
       {{-14.155749881154732, -15.571130980576456, -15.655620288133376}}}, 
      {{{-3.2717493144752687, -4.822083187551665, -4.937849624370608}}, 
       {{-3.867527765541595, -5.405902577227975, -5.523964048080365}}, 
       {{-4.414549826379441, -5.940771432792464, -6.059315214016157}}, 
       {{-4.93409100645647, -6.451597056558455, -6.569855490369738}}, 
       {{-5.435512605725881, -6.942346723751756, -7.060906458476312}}, 
       {{-5.924553841825355, -7.421919804013642, -7.540748536722335}}, 
       {{-6.404558682380637, -7.891254760549743, -8.010375589047785}}, 
       {{-6.878196476740593, -8.355925043820115, -8.475092015397601}}, 
       {{-7.3481224390995665, -8.816273308820389, -8.937264451913764}}, 
       {{-7.814838530105379, -9.27221577569427, -9.395465856102872}}, 
       {{-8.279752335401204, -9.72785498389297, -9.850895102416958}}, 
       {{-8.74409379160816, -10.183201455338732, -10.306954657981619}}, 
       {{-9.2093408716431, -10.637456727616328, -10.764816726336308}}, 
       {{-9.675714732838257, -11.096190764603833, -11.221749503264192}}, 
       {{-10.145049689374355, -11.558969403471636, -11.682528249356409}}, 
       {{-10.618880342043393, -12.027089990001734, -12.149692312094066}}, 
       {{-11.097510026008896, -12.501786889679218, -12.621588089491839}}, 
       {{-11.583026092649717, -12.983906634257313, -13.102070674136566}}, 
       {{-12.0757463838546, -13.48118347768945, -13.590768285286368}}, 
       {{-12.576556784743092, -13.985113342350454, -14.088632479084726}}, 
       {{-13.083142664251048, -14.494754833355229, -14.59203934746327}}, 
       {{-13.594769891266374, -15.012838819571542, -15.098887385077479}}, 
       {{-14.105328242546477, -15.515967868785543, -15.601685648898428}}, 
       {{-14.618472604531426, -16.007449130871255, -16.10222230180203}}}, 
      {{{-3.653898485218691, -5.186775991815129, -5.308367702401538}}, 
       {{-4.247495741716276, -5.766722274430075, -5.892524599253078}}, 
       {{-4.7927053098349335, -6.303439312128807, -6.424712036228597}}, 
       {{-5.31119999237905, -6.808815331127233, -6.933073086966426}}, 
       {{-5.812481891579542, -7.297839285051999, -7.425269890898924}}, 
       {{-6.301801310124569, -7.775255846686861, -7.904713913923747}}, 
       {{-6.782886296936268, -8.247166054203177, -8.377431249041079}}, 
       {{-7.257596483342304, -8.712599987758848, -8.84153924823961}}, 
       {{-7.728735831051967, -9.174008442728793, -9.303552753698362}}, 
       {{-8.197649145815712, -9.633460415323068, -9.761987990262428}}, 
       {{-8.665693199734681, -10.087410390697057, -10.22369281669347}}, 
       {{-9.133379330840054, -10.545941618780555, -10.681756986512909}}, 
       {{-9.601163203347477, -11.004302264759438, -11.1386070858589}}, 
       {{-10.071432943385576, -11.465088135556067, -11.600664379278236}}, 
       {{-10.54442186164914, -11.926926904100679, -12.064573083256475}}, 
       {{-11.021282660621011, -12.397233150991333, -12.531802785619485}}, 
       {{-11.503965723598757, -12.871604659057146, -13.008142233314306}}, 
       {{-11.99273703520705, -13.354295434751618, -13.489810418324971}}, 
       {{-12.48923162925437, -13.849067341493116, -13.979206650635064}}, 
       {{-12.994850057105369, -14.35507865059592, -14.481042571491246}}, 
       {{-13.510234177111542, -14.871063357171938, -14.993166053972837}}, 
       {{-14.032920577430723, -15.393449803339005, -15.51050635876002}}, 
       {{-14.562058515251335, -15.924999020996406, -16.036515663965897}}, 
       {{-15.09062139012355, -16.445211792655506, -16.555051426157856}}}, 
      {{{-4.034755770810443, -5.551920125346956, -5.675195017804288}}, 
       {{-4.626495972702844, -6.127971791762645, -6.25647230252089}}, 
       {{-5.170980118086842, -6.6624589230267945, -6.789972243325754}}, 
       {{-5.689288028505748, -7.166526007939498, -7.297839285051999}}, 
       {{-6.190403409725374, -7.656415169472341, -7.789644584138959}}, 
       {{-6.67982321093613, -8.138756755695992, -8.266823653848435}}, 
       {{-7.162518504676808, -8.606571002567454, -8.7415875246321}}, 
       {{-7.6394354092588665, -9.072319074078807, -9.2093408716431}}, 
       {{-8.112728583641656, -9.534686428799555, -9.672375831572742}}, 
       {{-8.584401941109688, -9.995602841443933, -10.13415937027113}}, 
       {{-9.055047487570148, -10.458613435198698, -10.59543545252059}}, 
       {{-9.526559102570152, -10.915738675556195, -11.05803547353454}}, 
       {{-9.999117783551378, -11.375775626822994, -11.521966209622377}}, 
       {{-10.473355716935902, -11.840041606667416, -11.986134225164912}}, 
       {{-10.951026571020238, -12.304788618469331, -12.454534004828673}}, 
       {{-11.433190496951374, -12.775233846309128, -12.929266747442416}}, 
       {{-11.919391073411976, -13.254181952025176, -13.404063378178563}}, 
       {{-12.41285084275812, -13.738549516828146, -13.89023410416021}}, 
       {{-12.914130438825874, -14.232542302443903, -14.382906533218659}}, 
       {{-13.424820735438264, -14.736813831661975, -14.888455099883807}}, 
       {{-13.94596098734834, -15.258163652753549, -15.402697861463555}}, 
       {{-14.478516581612233, -15.789511587186112, -15.930786552653327}}, 
       {{-15.020483862623793, -16.33128887141936, -16.467653127128187}}, 
       {{-15.569974242448632, -16.87952167227156, -17.012135773897654}}}}, 
     {Automatic, Automatic}]
 
sigmaNLLSG8[x_, y_] := If[x < 200 || x > 2500 || y < 200 || y > 2500, 
     "Squark or gluino mass outside range of Interpolation!", 
     {SetPrecision[E^fNLLSGLog8[x, y][[1]], 3], 
      SetPrecision[E^fNLLSGLog8[x, y][[2]], 3], 
      SetPrecision[-E^fNLLSGLog8[x, y][[3]], 3]}]
 
fNLLSGLog8 = InterpolatingFunction[{{200., 2500.}, {200., 2500.}}, 
     {4, 3, 0, {24, 24}, {5, 5}, 0, 0, 0, 0, Automatic}, 
     {{200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000., 2100., 2200., 
       2300., 2400., 2500.}, {200., 300., 400., 500., 600., 700., 800., 900., 
       1000., 1100., 1200., 1300., 1400., 1500., 1600., 1700., 1800., 1900., 
       2000., 2100., 2200., 2300., 2400., 2500.}}, 
     {{{{7.398256743374372, 5.140369734223125, 5.027443129626497}}, 
       {{6.155614403762489, 3.7100074770326343, 3.722391377855543}}, 
       {{5.187966537977016, 2.463191213218465, 2.6426873677117464}}, 
       {{4.353220419515598, 1.5756079487434662, 1.7307464944803903}}, 
       {{3.596249144005094, 0.841356259696926, 0.9358154901618166}}, 
       {{2.9044608472594784, 0.1751633335884276, 0.23083824020367666}}, 
       {{2.2664905930088666, -0.4530053854241038, -0.4096321215620736}}, 
       {{1.6689475088128394, -1.007786224117844, -1.0005223657894342}}, 
       {{1.105685679088467, -1.5437094104427687, -1.5468743875039743}}, 
       {{0.5692808105904085, -2.0553608643054, -2.0709474219037154}}, 
       {{0.05679764700802622, -2.5575499617083683, -2.55911908621176}}, 
       {{-0.4373450977227898, -3.0300394180627825, -3.0273922075284143}}, 
       {{-0.9158912614871321, -3.478992652296616, -3.4888557781270495}}, 
       {{-1.3816346741739964, -3.91073632049901, -3.951543359663845}}, 
       {{-1.8350586992529492, -4.340428081520097, -4.385466549541473}}, 
       {{-2.2804304459312332, -4.750637659574903, -4.809151351397512}}, 
       {{-2.7172643418666094, -5.165997521176349, -5.234220407868115}}, 
       {{-3.1471729949905196, -5.5717446376497115, -5.638702228812778}}, 
       {{-3.572147067569674, -5.9661016306758805, -6.049129363313444}}, 
       {{-3.992304186650572, -6.3607073814854695, -6.452997649888844}}, 
       {{-4.408566698479466, -6.754999782791806, -6.846137782018193}}, 
       {{-4.822595624382631, -7.142866067651118, -7.2424815423811415}}, 
       {{-5.23428186787073, -7.53128005341093, -7.63291537068627}}, 
       {{-5.64448635105089, -7.919985107536524, -8.02489232635845}}}, 
      {{{6.575414377989012, 4.245921150841504, 4.154362920944174}}, 
       {{5.394359545734012, 3.0881186263656577, 3.0082357884748405}}, 
       {{4.443202033894532, 2.0522214170299597, 2.047923749396578}}, 
       {{3.658921020263927, 1.0715611907073668, 1.1602254394031297}}, 
       {{2.9589826406819144, 0.20590385973988246, 0.3948541892768637}}, 
       {{2.304908798452753, -0.46306418393966026, -0.2983823414007443}}, 
       {{1.693193356294293, -1.0764091558709334, -0.9367824040815718}}, 
       {{1.1168873721564023, -1.6393856759587373, -1.5260948515278743}}, 
       {{0.5688808883313684, -2.1640684466817195, -2.0786244839134715}}, 
       {{0.045603051804153284, -2.6608607380252622, -2.601556531374461}}, 
       {{-0.45746029674019023, -3.1470836855278344, -3.0938565197808687}}, 
       {{-0.9432572295946348, -3.6210359399047216, -3.560702650547633}}, 
       {{-1.4143421300445482, -4.079441447682969, -4.013649569154807}}, 
       {{-1.8739153219392914, -4.515651208229785, -4.45618133067512}}, 
       {{-2.3240798206758213, -4.937312706431764, -4.8994056876438306}}, 
       {{-2.765206540534048, -5.353215922316607, -5.327876526377143}}, 
       {{-3.200245922856809, -5.7509555836899215, -5.749053124668494}}, 
       {{-3.628549944417537, -6.158095530566077, -6.161797480557389}}, 
       {{-4.051632533348351, -6.557505103571814, -6.568025775906295}}, 
       {{-4.471078955582366, -6.954258679549181, -6.970865958162459}}, 
       {{-4.887461831875541, -7.347128723670175, -7.365917815386944}}, 
       {{-5.301677335828079, -7.735397259204453, -7.757742641717417}}, 
       {{-5.713811014953443, -8.125080482482002, -8.151050448769015}}, 
       {{-6.1248265386434, -8.513889217049396, -8.541945234366539}}}, 
      {{{5.825214308570456, 3.479952587937329, 3.3911602959148865}}, 
       {{4.768781769252338, 2.405060840373175, 2.3326436554671774}}, 
       {{3.8428422507260325, 1.5179055224043956, 1.4556593426370672}}, 
       {{3.0516784352220725, 0.687428854621387, 0.6818064914571221}}, 
       {{2.3750777947436914, -0.12834207409447673, -0.08126120411468249}}, 
       {{1.758554673221727, -0.8858030144063753, -0.7619956356059623}}, 
       {{1.1726394446643473, -1.5599160535209735, -1.3812596238277033}}, 
       {{0.6166151984309077, -2.1379853721846827, -1.961606947339652}}, 
       {{0.0843276640815811, -2.669209603642535, -2.5110762208653226}}, 
       {{-0.42715823780340845, -3.1673200892119446, -3.033057365530075}}, 
       {{-0.9205880640292007, -3.6480055580390505, -3.531145100855787}}, 
       {{-1.399092292385285, -4.109006806518447, -4.004772225815585}}, 
       {{-1.864314619309066, -4.565978887053486, -4.461237274527567}}, 
       {{-2.318718229728653, -5.007854512127476, -4.9022260998726885}}, 
       {{-2.763825305704022, -5.430370252035467, -5.334974149714101}}, 
       {{-3.202323909594518, -5.853085649149926, -5.763076609542535}}, 
       {{-3.634250900154923, -6.2601984456046775, -6.1804693389736025}}, 
       {{-4.0613837063429985, -6.6590835028677695, -6.59332082755535}}, 
       {{-4.4839018749668895, -7.058941010623413, -7.003210597801066}}, 
       {{-4.903203943317434, -7.455337636888426, -7.403773058174844}}, 
       {{-5.319737494233324, -7.852238236742428, -7.799320664586277}}, 
       {{-5.7342489495721445, -8.242504917033775, -8.194295988758538}}, 
       {{-6.147129077959566, -8.636766327775007, -8.586223445373234}}, 
       {{-6.559350942235974, -9.031551412047989, -8.978996830750708}}}, 
      {{{5.14025109865783, 2.791560956726329, 2.705147760349217}}, 
       {{4.173766245987189, 1.7991033057719843, 1.7261089154340579}}, 
       {{3.3208561367304177, 0.9452430543919682, 0.8837770916619953}}, 
       {{2.541576894082316, 0.21281371912091623, 0.16119795988360877}}, 
       {{1.8506215363132699, -0.49075262925756424, -0.5006192892917887}}, 
       {{1.2447073881874107, -1.1995064104238953, -1.173246586602095}}, 
       {{0.6842046235409537, -1.8776015813555942, -1.7994551402511156}}, 
       {{0.1461892439954822, -2.4971277641849534, -2.3673484032154977}}, 
       {{-0.3714563851497834, -3.072374544603893, -2.904672573803051}}, 
       {{-0.8713642921459995, -3.5895073261655965, -3.418470977308575}}, 
       {{-1.355513133019103, -4.0734930273173715, -3.9132524565982454}}, 
       {{-1.8266696452552513, -4.53874775990009, -4.391554195200386}}, 
       {{-2.286258414569318, -4.992940752385289, -4.850168527887983}}, 
       {{-2.7365968534446803, -5.430601450502285, -5.294547868245973}}, 
       {{-3.1781002443784283, -5.859405036415712, -5.726786902151341}}, 
       {{-3.612653877765942, -6.286917832127666, -6.150515572233458}}, 
       {{-4.042646683872125, -6.7014062629146265, -6.5692957856305485}}, 
       {{-4.468191086413709, -7.1059554504587075, -6.980084170558848}}, 
       {{-4.890595511260431, -7.506430427269395, -7.385153811214446}}, 
       {{-5.309588043851076, -7.909041278580352, -7.785216012149736}}, 
       {{-5.726431836015928, -8.305610199572097, -8.184698749934265}}, 
       {{-6.141679080373039, -8.700778546519983, -8.579180753120282}}, 
       {{-6.5558605121880245, -9.091999085862058, -8.974566005017696}}, 
       {{-6.969691476477956, -9.488895430411285, -9.369685089322887}}}, 
      {{{4.508889781457555, 2.1605710727223615, 2.0773813761644124}}, 
       {{3.611555232723493, 1.2379708814207402, 1.1620536924804747}}, 
       {{2.8126915094588347, 0.43083516178682035, 0.3648068294176102}}, 
       {{2.081626576401211, -0.28860009642987355, -0.34987480306852364}}, 
       {{1.397076334838698, -0.9266662967791904, -0.9730541895473953}}, 
       {{0.7746931544670593, -1.5474861740302932, -1.5597751759491003}}, 
       {{0.21835437397788962, -2.1828992572421115, -2.1657501453203647}}, 
       {{-0.30319623614847846, -2.7964380678235217, -2.747963436609962}}, 
       {{-0.8077357365395282, -3.3704060971130194, -3.2841019882906606}}, 
       {{-1.296717954256644, -3.9135519345334426, -3.7903654790626464}}, 
       {{-1.7723084363913706, -4.430819401072795, -4.277586323279216}}, 
       {{-2.2364910517455483, -4.917486502581045, -4.7495919558469994}}, 
       {{-2.690695729980176, -5.373117956235185, -5.208925991432381}}, 
       {{-3.136765003798038, -5.816512912599262, -5.651505647623944}}, 
       {{-3.575617079301204, -6.247539156096187, -6.084542318666197}}, 
       {{-4.007823352780777, -6.673072809708262, -6.509885438271393}}, 
       {{-4.436134178728005, -7.093240366774579, -6.928074857182184}}, 
       {{-4.86007466507765, -7.510768071814895, -7.336854912446656}}, 
       {{-5.281928132792099, -7.913683940664118, -7.740647632609369}}, 
       {{-5.701249697808981, -8.313162045677823, -8.142693740990639}}, 
       {{-6.118578306536153, -8.71637089883866, -8.541774756393815}}, 
       {{-6.534605873976213, -9.119350868641776, -8.939985295071914}}, 
       {{-6.94992922090595, -9.515260648343924, -9.337487487544186}}, 
       {{-7.365666284082962, -9.914227143395856, -9.734020890298513}}}, 
      {{{3.921204011974867, 1.5756326470664594, 1.4953529004887975}}, 
       {{3.0782236328600168, 0.7106530968039599, 0.6320692477746835}}, 
       {{2.323745519406081, -0.05485318423869164, -0.12662688521972254}}, 
       {{1.6279685250632039, -0.7461624678866196, -0.8129392797274312}}, 
       {{0.9777729286972028, -1.3792026309055245, -1.4412314421109746}}, 
       {{0.35900547479223766, -1.9551262310017452, -1.9972989640239864}}, 
       {{-0.21475222911325023, -2.517186433390486, -2.531032713233218}}, 
       {{-0.7359619707636191, -3.095972543338107, -3.0908346068048616}}, 
       {{-1.2287243816292972, -3.6630501930766437, -3.637119377868151}}, 
       {{-1.70823254643152, -4.202917261901729, -4.147769155437698}}, 
       {{-2.176060200846295, -4.720879826372483, -4.633130397144159}}, 
       {{-2.6341285792913114, -5.2173704091789785, -5.100829038475398}}, 
       {{-3.0834804922625447, -5.696954649432937, -5.5553586776599335}}, 
       {{-3.525497494498547, -6.16199870834396, -5.998095957298629}}, 
       {{-3.9614077293973473, -6.606059310592548, -6.428368634300254}}, 
       {{-4.3922433180225635, -7.033798181837737, -6.851059169767764}}, 
       {{-4.81895669114962, -7.458108994520238, -7.265377752287568}}, 
       {{-5.242912229772649, -7.874528960371622, -7.674037839668809}}, 
       {{-5.66416357589507, -8.287623149896984, -8.07966697825877}}, 
       {{-6.083293458249924, -8.695169957434445, -8.482403334325673}}, 
       {{-6.500603793306243, -9.10370786910723, -8.88354383901307}}, 
       {{-6.918188608794401, -9.507375061465618, -9.283913378523216}}, 
       {{-7.335252120789048, -9.91021723454764, -9.683263972958477}}, 
       {{-7.752756135634152, -10.311830534064093, -10.083501521049275}}}, 
      {{{3.369490647779581, 1.0279894068158686, 0.9501842613270637}}, 
       {{2.5702118179139486, 0.21179796847651283, 0.12976651536406925}}, 
       {{1.851886035000514, -0.5191399632357698, -0.5959521738955672}}, 
       {{1.1868715292857395, -1.1855791321119387, -1.2567724898604553}}, 
       {{0.5608236505171467, -1.799103435334184, -1.8690206396131803}}, 
       {{-0.03278045416836245, -2.3738280871775173, -2.434971229961511}}, 
       {{-0.6044311627598998, -2.9046592741529995, -2.9435688524198533}}, 
       {{-1.1423486226874753, -3.4223311472840843, -3.442281109147835}}, 
       {{-1.6367497389251942, -3.963862053074994, -3.9637698056510824}}, 
       {{-2.108586335105297, -4.494089712744495, -4.4816241227187685}}, 
       {{-2.569923045230128, -5.008197876903044, -4.971629180820806}}, 
       {{-3.022370320220349, -5.504136502539417, -5.4421573993325785}}, 
       {{-3.4676830510083008, -5.985304500421131, -5.895835877102179}}, 
       {{-3.9061458617267992, -6.451921223327191, -6.337609254941844}}, 
       {{-4.340050827151893, -6.906858695738568, -6.767574117128825}}, 
       {{-4.769202594220336, -7.357982653943529, -7.185623435396997}}, 
       {{-5.195405766397877, -7.800266283318294, -7.597446596024135}}, 
       {{-5.6184576278124805, -8.224074726386265, -8.006086407920098}}, 
       {{-6.039409249433618, -8.641429744655037, -8.4118124498517}}, 
       {{-6.45941570355208, -9.050830858618884, -8.815500145474955}}, 
       {{-6.8778603108728635, -9.464736135409403, -9.217890860085662}}, 
       {{-7.296403357866887, -9.87453971550971, -9.619269718027056}}, 
       {{-7.715175963124101, -10.282923819467191, -10.021853592524744}}, 
       {{-8.134793385926438, -10.689410923715936, -10.425966619496291}}}, 
      {{{2.8473426037754175, 0.5097514685568282, 0.43511933376698186}}, 
       {{2.0840782218656564, -0.26691204705894456, -0.34948756134268355}}, 
       {{1.3957458284884439, -0.9660321198192304, -1.0468023397311832}}, 
       {{0.7563343603311258, -1.6091894498436372, -1.6855967307268387}}, 
       {{0.15219835125684555, -2.2067113170507113, -2.2802866549345917}}, 
       {{-0.42426055986256805, -2.7676811331670272, -2.8398116465042924}}, 
       {{-0.9770579936431943, -3.297538007177367, -3.3607622662772307}}, 
       {{-1.513389541194256, -3.7987795727581015, -3.8333065499069923}}, 
       {{-2.02453436746482, -4.282278698858133, -4.305600248838692}}, 
       {{-2.499379039148403, -4.792179988111376, -4.801682588459685}}, 
       {{-2.955262412207767, -5.299958003479784, -5.293948169564897}}, 
       {{-3.403766357719911, -5.791722161808434, -5.767443098994255}}, 
       {{-3.8450372461721543, -6.271994499817413, -6.224539902933823}}, 
       {{-4.281273646516439, -6.740363520573406, -6.66946279330768}}, 
       {{-4.713160491912508, -7.200748822066103, -7.0985494075755575}}, 
       {{-5.141562665093784, -7.6519282851538275, -7.516044658206786}}, 
       {{-5.5669022718691625, -8.095474304035656, -7.928617179026269}}, 
       {{-5.989828471640144, -8.53396646361518, -8.337387329164626}}, 
       {{-6.41112412751933, -8.965222503329958, -8.743617834822928}}, 
       {{-6.831458676863189, -9.391386619810785, -9.14819940207116}}, 
       {{-7.251474464348514, -9.810939189097708, -9.551928746486997}}, 
       {{-7.671424235382024, -10.225104773742789, -9.955945148771258}}, 
       {{-8.092121833003922, -10.638490780065577, -10.361754649281194}}, 
       {{-8.513912060649202, -11.051166091433664, -10.769406041849486}}}, 
      {{{2.349803258085337, 0.017358529893141364, -0.05473038376120737}}, 
       {{1.616471850702933, -0.725823592477954, -0.809170337579864}}, 
       {{0.9533042176724742, -1.399042472260288, -1.4823242061568647}}, 
       {{0.3350757216410534, -2.0191820994724927, -2.101843283520734}}, 
       {{-0.24989897074341513, -2.6020681770819136, -2.681159276992256}}, 
       {{-0.8102375826247213, -3.1513416666976988, -3.228759753289519}}, 
       {{-1.3505073157242322, -3.6721752347868053, -3.7482560234881626}}, 
       {{-1.872596782924541, -4.171307219992823, -4.236586888147658}}, 
       {{-2.3831121902394847, -4.646912910347935, -4.684236207139457}}, 
       {{-2.873443183910803, -5.11145230391674, -5.1354701973577495}}, 
       {{-3.3340642745537385, -5.598140587387434, -5.610781837180854}}, 
       {{-3.77889151836375, -6.084417377364991, -6.08427843783509}}, 
       {{-4.217498485859668, -6.563883439921811, -6.542966865782742}}, 
       {{-4.652276697965404, -7.0321158820916425, -6.987078725705437}}, 
       {{-5.083150597932127, -7.493849017352685, -7.41970254135738}}, 
       {{-5.510206845634219, -7.946653657740287, -7.844016404921643}}, 
       {{-5.935215426874006, -8.389861386245531, -8.258018406075438}}, 
       {{-6.358295933747635, -8.830624103234198, -8.667886082694732}}, 
       {{-6.780358080831676, -9.263873158169817, -9.075396666926295}}, 
       {{-7.201389906705835, -9.695326403585838, -9.481723546550292}}, 
       {{-7.622974902394355, -10.121364313123062, -9.887946995312937}}, 
       {{-8.045083815142915, -10.546363503498931, -10.295562128248857}}, 
       {{-8.46744733415459, -10.970318746258778, -10.704811015285262}}, 
       {{-8.891439260545402, -11.391969259423963, -11.115573941593233}}}, 
      {{{1.8730328645423706, -0.4531628353947435, -0.5234632916580141}}, 
       {{1.1646623597532768, -1.1684638637785436, -1.2524031229407446}}, 
       {{0.5223810860933947, -1.8163989917104006, -1.9049357951649832}}, 
       {{-0.07697639228596286, -2.420183137627992, -2.507403515395949}}, 
       {{-0.645826376441297, -2.989483327378326, -3.0730949274125097}}, 
       {{-1.1918346972383198, -3.5279356993296624, -3.609888512188683}}, 
       {{-1.7202491235168642, -4.040505190033056, -4.122795291312975}}, 
       {{-2.233545853855792, -4.534111982204394, -4.610904333818005}}, 
       {{-2.733325846471858, -5.009740444021947, -5.074580144385648}}, 
       {{-3.2244861163714296, -5.465713068315825, -5.503987506180226}}, 
       {{-3.6991488425195826, -5.915159414714278, -5.940697110255672}}, 
       {{-4.148847251166886, -6.386285776080242, -6.396803261202956}}, 
       {{-4.586564103193538, -6.862727380930839, -6.85485980265453}}, 
       {{-5.020038932843112, -7.330347655419491, -7.299465035281519}}, 
       {{-5.449768151275689, -7.789822161989192, -7.73583733549272}}, 
       {{-5.876589410827932, -8.243639273316795, -8.16330920008973}}, 
       {{-6.301509877151293, -8.687375980399123, -8.584188334464129}}, 
       {{-6.724890790273382, -9.12979512730521, -8.997478869006395}}, 
       {{-7.147926299404083, -9.565094281491392, -9.407537388013314}}, 
       {{-7.570764297265797, -9.998466526418005, -9.816658946451735}}, 
       {{-7.993576829400919, -10.426559499786253, -10.226528833510788}}, 
       {{-8.417966866531781, -10.853411328681274, -10.638045571875503}}, 
       {{-8.842801090090143, -11.28260752163979, -11.049778730126876}}, 
       {{-9.270082777741, -11.70843306222141, -11.458778800684488}}}, 
      {{{1.4138407535067452, -0.9074713364969357, -0.9744003855330131}}, 
       {{0.7266627811571624, -1.5983016065570623, -1.6817249640837106}}, 
       {{0.10246226920302962, -2.2255857280359197, -2.3162986224718414}}, 
       {{-0.4813976259399289, -2.812563572004318, -2.9040456037906703}}, 
       {{-1.0367190141063052, -3.3683592082918548, -3.457575890575479}}, 
       {{-1.5702947172095474, -3.8979700198501996, -3.9843388149472085}}, 
       {{-2.0874089575930492, -4.406151432549822, -4.489500715370513}}, 
       {{-2.592185067568452, -4.893144875688445, -4.975849814701047}}, 
       {{-3.0856196858008786, -5.364410014778571, -5.439429797206265}}, 
       {{-3.5685778122064753, -5.82177019760695, -5.885092209162003}}, 
       {{-4.045411440005742, -6.264651561458768, -6.301558333539334}}, 
       {{-4.508978897669914, -6.708767673336593, -6.72486102142473}}, 
       {{-4.952127935441986, -7.170573875899433, -7.1669013841674065}}, 
       {{-5.384833991010511, -7.632672253986099, -7.612683282156885}}, 
       {{-5.814197648459306, -8.091698416108638, -8.050137172771306}}, 
       {{-6.241319595788486, -8.543839502263323, -8.481271684178397}}, 
       {{-6.666769058746398, -8.989650288908347, -8.905024368349956}}, 
       {{-7.090931423393944, -9.432428438667932, -9.323146312239693}}, 
       {{-7.514916772520061, -9.871163504784525, -9.737980492566567}}, 
       {{-7.939588821616447, -10.303811751886476, -10.15344933609935}}, 
       {{-8.364536449041987, -10.736383742182605, -10.56787895336335}}, 
       {{-8.790774949740321, -11.165963248686117, -10.980793059786867}}, 
       {{-9.21975020015536, -11.594342479443835, -11.392444461601121}}, 
       {{-9.649718515389383, -12.029413851271938, -11.804735248785816}}}, 
      {{{0.9695446412863228, -1.3442960500944843, -1.4105444272030687}}, 
       {{0.3001036551356083, -2.012995963898551, -2.0990326571510725}}, 
       {{-0.30847772638306054, -2.624923423067275, -2.7181011067989433}}, 
       {{-0.8789800921137468, -3.1971352345699864, -3.2929871811877955}}, 
       {{-1.4225468779507076, -3.741030540211568, -3.835833987517703}}, 
       {{-1.9458794538310862, -4.262561427482251, -4.354015726164479}}, 
       {{-2.453891847107477, -4.764242248808682, -4.8516394415196045}}, 
       {{-2.950049877835617, -5.247996788109358, -5.332736747953266}}, 
       {{-3.4368979536767754, -5.71621899993994, -5.797764273646878}}, 
       {{-3.915429701836978, -6.172237832016562, -6.242784710911865}}, 
       {{-4.3867253476966095, -6.62143283405914, -6.672152011320761}}, 
       {{-4.853525421050593, -7.0591248570212715, -7.0769688441881575}}, 
       {{-5.30907870897969, -7.493038998508999, -7.493382192103449}}, 
       {{-5.747090855563679, -7.945459845157396, -7.927886877237915}}, 
       {{-6.176812285343175, -8.4000726458271, -8.364697030157611}}, 
       {{-6.604606060498579, -8.850653253549247, -8.797726289496525}}, 
       {{-7.031151149114587, -9.296804491783409, -9.225697485012413}}, 
       {{-7.457003925964507, -9.74000015497876, -9.648814544131264}}, 
       {{-7.8824023940720505, -10.179300792311553, -10.069044558241293}}, 
       {{-8.308934968991675, -10.61527454213505, -10.489453355492545}}, 
       {{-8.736444755031615, -11.048357628833141, -10.906878425202045}}, 
       {{-9.16547126438322, -11.483735186109902, -11.321300093831379}}, 
       {{-9.597128731157143, -11.91631613005284, -11.737173490093424}}, 
       {{-10.032383836723511, -12.35104900522287, -12.154343569863668}}}, 
      {{{0.5378793187360138, -1.7677253928608825, -1.8337480782069238}}, 
       {{-0.1159044648662343, -2.420618090158775, -2.5063879478659303}}, 
       {{-0.7115311717264132, -3.0164376868515848, -3.1117173991639655}}, 
       {{-1.270613470049016, -3.5755834685542207, -3.6751754871349154}}, 
       {{-1.8038530538628437, -4.109983574095293, -4.208335501242505}}, 
       {{-2.3188485427552328, -4.623300009950625, -4.718712730929491}}, 
       {{-2.8190765793875614, -5.119349985355555, -5.210074894710737}}, 
       {{-3.307855004569445, -5.59953003560802, -5.685987276869926}}, 
       {{-3.7885217687328505, -6.067161226984051, -6.148729424720554}}, 
       {{-4.262976278164281, -6.524468840455833, -6.593387577643245}}, 
       {{-4.731619169218201, -6.9722554809924615, -7.022639166589343}}, 
       {{-5.1940685804017495, -7.4108913643195065, -7.442824092781434}}, 
       {{-5.653360098511105, -7.840492481093915, -7.844185894310864}}, 
       {{-6.103379852518583, -8.267932274211287, -8.257623003384142}}, 
       {{-6.538405595097278, -8.714654176422908, -8.68386888852756}}, 
       {{-6.967550916696602, -9.162323085284315, -9.118183758708515}}, 
       {{-7.395713905035665, -9.608851591381669, -9.549202448315421}}, 
       {{-7.823010952374451, -10.052229427393856, -9.977052565520212}}, 
       {{-8.251099265426184, -10.49139311391248, -10.402034231628559}}, 
       {{-8.679555328744582, -10.931202599388346, -10.824119717796941}}, 
       {{-9.109821628682424, -11.367860783447147, -11.242168180638934}}, 
       {{-9.542766033597653, -11.805249705723085, -11.662197779463405}}, 
       {{-9.977764661307724, -12.243984697954549, -12.082208529969916}}, 
       {{-10.41692248656439, -12.68207588398962, -12.505467737616252}}}, 
      {{{0.11720598091050025, -2.1833352699501387, -2.2459673495042183}}, 
       {{-0.5235463734016803, -2.8193596580435667, -2.9047222044082703}}, 
       {{-1.1078288608631541, -3.400617228553454, -3.498359641501604}}, 
       {{-1.6570051532345482, -3.9493884282550713, -4.051593923045862}}, 
       {{-2.1822609763810834, -4.475650351959844, -4.5766059053467}}, 
       {{-2.6895415149299917, -4.981784571508467, -5.079712648165158}}, 
       {{-3.182888468601103, -5.472648234938889, -5.565576450722214}}, 
       {{-3.6662006560943126, -5.9505771304444615, -6.036411756245572}}, 
       {{-4.141643034236404, -6.418426212490742, -6.492117575684052}}, 
       {{-4.611660109544735, -6.876125998407361, -6.937143471068297}}, 
       {{-5.076787067686613, -7.322782049526049, -7.369561776318766}}, 
       {{-5.537894897603098, -7.759997102036207, -7.791842752363769}}, 
       {{-5.994421456473554, -8.192297046814302, -8.206924297896402}}, 
       {{-6.44915274495864, -8.614938979496424, -8.606180383650132}}, 
       {{-6.895779344082137, -9.041277928252649, -9.01714171326426}}, 
       {{-7.33041620223248, -9.4822283884952, -9.443506157283684}}, 
       {{-7.760148440203251, -9.92697068682446, -9.876337388058385}}, 
       {{-8.19031344252351, -10.369187502238676, -10.308591273555747}}, 
       {{-8.620516638277566, -10.812112056694604, -10.734343209566948}}, 
       {{-9.052246579890136, -11.252271722698746, -11.15720053060924}}, 
       {{-9.48597199430051, -11.69264545652699, -11.58094881453393}}, 
       {{-9.922262260892829, -12.133862360865884, -12.004651870618513}}, 
       {{-10.362099568054916, -12.57553811789063, -12.43142514916797}}, 
       {{-10.805222564547265, -13.020117519271931, -12.859360682092584}}}, 
      {{{-0.29447771443560644, -2.5868014204106102, -2.648726873925524}}, 
       {{-0.9235816331348945, -3.2089779081390617, -3.295342905691247}}, 
       {{-1.498131631048385, -3.780379944251524, -3.878626590104545}}, 
       {{-2.0394712451835972, -4.319381772479929, -4.42328951565745}}, 
       {{-2.557516779811082, -4.837401611643553, -4.940705091238138}}, 
       {{-3.058159405426266, -5.338672114690869, -5.437738808660618}}, 
       {{-3.5464106054473765, -5.824420379221697, -5.918066663239677}}, 
       {{-4.02513577082829, -6.303339859436587, -6.381922109671584}}, 
       {{-4.496798923608693, -6.768974313778351, -6.834048819533061}}, 
       {{-4.96227463547411, -7.2257731101274185, -7.277708013660213}}, 
       {{-5.424023789223999, -7.672220466053786, -7.714177198713558}}, 
       {{-5.882930615281882, -8.109255660466458, -8.138953518077793}}, 
       {{-6.339218979199817, -8.543440558508028, -8.556282488574148}}, 
       {{-6.792375255949064, -8.968400264926064, -8.968326153520508}}, 
       {{-7.244516979346014, -9.390388736108454, -9.36880789018917}}, 
       {{-7.6900813155725025, -9.81392673076158, -9.781801396496373}}, 
       {{-8.125756988934526, -10.25216862570711, -10.209170062289589}}, 
       {{-8.558145661332528, -10.694223664714153, -10.639319796610508}}, 
       {{-8.992031819090156, -11.137192177998951, -11.068723287164241}}, 
       {{-9.42740134583081, -11.579761726270348, -11.495149219731015}}, 
       {{-9.864876398039224, -12.024816072679902, -11.922705066406953}}, 
       {{-10.305472912978296, -12.471333746742106, -12.352020636602262}}, 
       {{-10.749878763999671, -12.91611767234279, -12.783159476154426}}, 
       {{-11.197909026956054, -13.366701459305428, -13.216981190961244}}}, 
      {{{-0.6981631199148829, -2.9829329112043648, -3.0434342224519613}}, 
       {{-1.317538264349708, -3.5923009697448727, -3.6796062485972842}}, 
       {{-1.8840651792072023, -4.1531541414633, -4.253827696475926}}, 
       {{-2.417919061018049, -4.686735753972728, -4.7904696749640125}}, 
       {{-2.929989426625736, -5.197305453926681, -5.30181726612849}}, 
       {{-3.425885333210981, -5.692418822931054, -5.792813940091358}}, 
       {{-3.9099304397789556, -6.179019893174193, -6.265787896262795}}, 
       {{-4.385192806357927, -6.653587179499815, -6.725231956821377}}, 
       {{-4.853005194301499, -7.117897166069038, -7.175959042949091}}, 
       {{-5.315326825251952, -7.573917655239834, -7.6185473293142065}}, 
       {{-5.774108258887072, -8.019623346735322, -8.054836365976648}}, 
       {{-6.230405636399188, -8.461355444115267, -8.484357164843813}}, 
       {{-6.685773777436366, -8.892782009988386, -8.905601055498796}}, 
       {{-7.139747168354396, -9.320207474280023, -9.320943625364553}}, 
       {{-7.591663042109556, -9.743962882665672, -9.734171241850824}}, 
       {{-8.043123935578162, -10.165213188570211, -10.138219998010355}}, 
       {{-8.489668137578255, -10.58878590166552, -10.551094895705656}}, 
       {{-8.928308603056774, -11.026675120336096, -10.975040351727637}}, 
       {{-9.36562963738259, -11.47123462581463, -11.406416887846923}}, 
       {{-9.80521713376429, -11.916337869195084, -11.837540556124527}}, 
       {{-10.247361414414009, -12.363362817600681, -12.269915729057644}}, 
       {{-10.69256444374296, -12.812873919090782, -12.704533641722023}}, 
       {{-11.142036219385956, -13.264144611905204, -13.140987245416458}}, 
       {{-11.59562774209692, -13.719312617349376, -13.581361454368908}}}, 
      {{{-1.0951728715904434, -3.3724190953578446, -3.4313127187508115}}, 
       {{-1.7059654409666902, -3.974390645879844, -4.058090023017906}}, 
       {{-2.265332439538003, -4.5263520818390495, -4.62430349044371}}, 
       {{-2.7934473715604535, -5.050470318798437, -5.154748222568406}}, 
       {{-3.300441079140992, -5.556803643071553, -5.659419927070503}}, 
       {{-3.7928572412646138, -6.0501073001625505, -6.143007919293335}}, 
       {{-4.2734445724002335, -6.533646850174723, -6.610759121459316}}, 
       {{-4.745630959199391, -7.003794557222408, -7.069121488122082}}, 
       {{-5.210623608499102, -7.4659066076911484, -7.518061913601354}}, 
       {{-5.670673915411856, -7.920812311715082, -7.96013936341532}}, 
       {{-6.1274003203600005, -8.367528165596099, -8.396197442111788}}, 
       {{-6.581867338296939, -8.809758414420092, -8.827804018620109}}, 
       {{-7.035728642097048, -9.244368751523055, -9.254176091307992}}, 
       {{-7.489386853884904, -9.672947512041533, -9.67549836831492}}, 
       {{-7.943024221649747, -10.097285940881774, -10.093119398325792}}, 
       {{-8.395772434949052, -10.520976736260957, -10.50421978025909}}, 
       {{-8.84922473951567, -10.942006118807678, -10.909366462643073}}, 
       {{-9.29843381621345, -11.37092372599844, -11.322762172213933}}, 
       {{-9.742188420379684, -11.813103813442902, -11.750848078004909}}, 
       {{-10.186194498424102, -12.260630709334922, -12.18603635807496}}, 
       {{-10.633223814478178, -12.712392417966129, -12.622284360167962}}, 
       {{-11.084186151571446, -13.16418102859804, -13.062786241045293}}, 
       {{-11.538608885161022, -13.62166951460559, -13.505257056398696}}, 
       {{-11.998248062912506, -14.081830262377677, -13.951320199131096}}}, 
      {{{-1.487055359255193, -3.754192719792466, -3.813541624740347}}, 
       {{-2.090443042872141, -4.348831428848777, -4.431696091983568}}, 
       {{-2.643471563586502, -4.894981595635228, -4.991565437235174}}, 
       {{-3.166726608534964, -5.4136162652220925, -5.51536500480587}}, 
       {{-3.6703639589702304, -5.9165571953613, -6.012334967611101}}, 
       {{-4.159697813493103, -6.406064730758121, -6.491272098080358}}, 
       {{-4.637298078925355, -6.8855555698873925, -6.9571316562549725}}, 
       {{-5.106852857629983, -7.353830421186854, -7.41292999248651}}, 
       {{-5.5700273204260835, -7.81443015141432, -7.8610613783782535}}, 
       {{-6.028530052715769, -8.267125550496107, -8.302881089225226}}, 
       {{-6.483500125330601, -8.7172702740697, -8.738890123442731}}, 
       {{-6.937255231706136, -9.158867185198135, -9.172646711126388}}, 
       {{-7.389868076810155, -9.595706739359212, -9.604284207557615}}, 
       {{-7.842813438263542, -10.02798432098016, -10.029806826057966}}, 
       {{-8.297147628456102, -10.45449986694539, -10.44752729703028}}, 
       {{-8.752779625642962, -10.879005861924378, -10.863015607720373}}, 
       {{-9.20850445821869, -11.305789700233861, -11.276933489195274}}, 
       {{-9.666003546612883, -11.731664916402403, -11.68738012937297}}, 
       {{-10.120333899004963, -12.166740279659477, -12.106526843368327}}, 
       {{-10.571092463901888, -12.614345405804494, -12.539893705148243}}, 
       {{-11.023628129114705, -13.066413320344157, -12.983046984516898}}, 
       {{-11.479889380286206, -13.524919087303015, -13.426643924770925}}, 
       {{-11.94082985786197, -13.986508264125495, -13.875235097138686}}, 
       {{-12.407053932281386, -14.451940688210149, -14.328824142191694}}}, 
      {{{-1.8738722771732748, -4.135378183769003, -4.19037609026834}}, 
       {{-2.47117673659914, -4.721347182105013, -4.801907454508165}}, 
       {{-3.0191619317436196, -5.26258315858501, -5.354817556717978}}, 
       {{-3.5387385574117567, -5.779456934284597, -5.870777927118691}}, 
       {{-4.0389499815268115, -6.278500486728716, -6.3626733250581635}}, 
       {{-4.525394138206015, -6.763492981750971, -6.839112600502767}}, 
       {{-5.001204798420679, -7.2375402827280295, -7.303083129197858}}, 
       {{-5.4689285621437405, -7.704358542404027, -7.757724645708372}}, 
       {{-5.931050133211779, -8.163515961690248, -8.205233854489979}}, 
       {{-6.3884852804959396, -8.618733056934445, -8.646801449864377}}, 
       {{-6.843350426682338, -9.06504317670933, -9.084758961963496}}, 
       {{-7.296308585065969, -9.507415270877972, -9.520877294004137}}, 
       {{-7.748545972459621, -9.947189711344123, -9.953368480707857}}, 
       {{-8.201500027740522, -10.38161735782316, -10.380289540145153}}, 
       {{-8.656273755112338, -10.81344255704829, -10.804218592425393}}, 
       {{-9.113216043806355, -11.243817943552088, -11.224217283868528}}, 
       {{-9.572825947874263, -11.672578469042207, -11.642661869254866}}, 
       {{-10.033979843560477, -12.103595590917891, -12.062116366293871}}, 
       {{-10.497645769546002, -12.535614512103223, -12.479441749351123}}, 
       {{-10.958607044701502, -12.978664298799778, -12.90523108596468}}, 
       {{-11.418278685287783, -13.43246954692094, -13.348428714882258}}, 
       {{-11.881083055343538, -13.89354795620238, -13.799126816082667}}, 
       {{-12.348825384564403, -14.360928716844567, -14.253690765540586}}, 
       {{-12.82217343045328, -14.833106622897809, -14.71353839016868}}}, 
      {{{-2.257147892699424, -4.510108474517767, -4.563197821760258}}, 
       {{-2.8495093560899223, -5.0914020673454115, -5.168166383218657}}, 
       {{-3.3937143124699474, -5.63026282912351, -5.712753687921384}}, 
       {{-3.9097592491889137, -6.145001417861686, -6.223519459300859}}, 
       {{-4.407222040076727, -6.638079776002301, -6.713408461777971}}, 
       {{-4.891330246266471, -7.119341641683429, -7.1872919841390885}}, 
       {{-5.3656145110190385, -7.5911516505303736, -7.649914348935385}}, 
       {{-5.832365372175048, -8.055767123463472, -8.103457486425132}}, 
       {{-6.293784831886815, -8.513864644359334, -8.550958696096181}}, 
       {{-6.751516057130201, -8.96610758693439, -8.993741721007924}}, 
       {{-7.206289415030693, -9.414056827567995, -9.43416989261271}}, 
       {{-7.659105056882909, -9.85924081251251, -9.869429327622022}}, 
       {{-8.112022174410333, -10.29945304455099, -10.30189753324853}}, 
       {{-8.565595773564269, -10.738656516850162, -10.732818491860133}}, 
       {{-9.021116828887362, -11.175409644313007, -11.161122226358792}}, 
       {{-9.479576480040441, -11.610828961101358, -11.58797312740416}}, 
       {{-9.94172770903564, -12.044706773316252, -12.012572605661996}}, 
       {{-10.407373819407026, -12.479869598036164, -12.436900800457135}}, 
       {{-10.875669910188455, -12.917555786254193, -12.861993741348176}}, 
       {{-11.347225343520734, -13.356955151651004, -13.289397097130681}}, 
       {{-11.817441954532878, -13.808991377358053, -13.72633023558086}}, 
       {{-12.288024824625582, -14.272733378839554, -14.179624010000138}}, 
       {{-12.763084997116962, -14.743753246002614, -14.640642023980675}}, 
       {{-13.244471869217014, -15.221678677478467, -15.107871017830057}}}, 
      {{{-2.6380158949142305, -4.88182277634327, -4.9320745335020515}}, 
       {{-3.2261095198324816, -5.4636493677303015, -5.528564186627481}}, 
       {{-3.766709279243825, -5.999224754167989, -6.067870224757668}}, 
       {{-4.280207238556353, -6.505600529143852, -6.576316028100038}}, 
       {{-4.775265283621445, -6.9967473731886916, -7.063660369427625}}, 
       {{-5.257646789494382, -7.475290526062714, -7.536096920230858}}, 
       {{-5.731047079252773, -7.94398078619354, -7.99779551051227}}, 
       {{-6.197759164036324, -8.407549592412805, -8.45139827711482}}, 
       {{-6.659023594905237, -8.864700367238138, -8.899254545287967}}, 
       {{-7.116816479878667, -9.316739064971935, -9.34441075245502}}, 
       {{-7.5722411198018715, -9.764462138328112, -9.782613971379629}}, 
       {{-8.026499000456784, -10.20990561616162, -10.218836850288852}}, 
       {{-8.480342167109265, -10.653687477465752, -10.654068589101968}}, 
       {{-8.93531843187716, -11.097223630279355, -11.088075725689102}}, 
       {{-9.392718830021213, -11.538562123481617, -11.521093934397038}}, 
       {{-9.8527662270218, -11.98007221244256, -11.953067162722983}}, 
       {{-10.317093129008702, -12.421088781201021, -12.384749651807038}}, 
       {{-10.785871961031226, -12.861136431984233, -12.815570924917248}}, 
       {{-11.259861652532448, -13.30275746786319, -13.248100265961348}}, 
       {{-11.737484811092191, -13.748935858616719, -13.682253162613856}}, 
       {{-12.219087887451872, -14.199601770710863, -14.120893842671876}}, 
       {{-12.700648933048306, -14.661936535183951, -14.570702477550451}}, 
       {{-13.184173240301243, -15.138802677123618, -15.035861818707016}}, 
       {{-13.674255974229293, -15.622366617601037, -15.51106660304523}}}, 
      {{{-3.0164618856627485, -5.258313972292979, -5.294815131762677}}, 
       {{-3.601498356283581, -5.833856051623403, -5.886164913446957}}, 
       {{-4.139047524106246, -6.364275646017589, -6.4230167803720635}}, 
       {{-4.6499602818752885, -6.867861538350433, -6.92905836077068}}, 
       {{-5.143402476129413, -7.356122130075797, -7.414451960127124}}, 
       {{-5.624836064129656, -7.832371096317191, -7.8857945197767885}}, 
       {{-6.097556531784914, -8.30123000190688, -8.346876951273325}}, 
       {{-6.56391546631259, -8.762642389276788, -8.801304516492461}}, 
       {{-7.0260989656388055, -9.217371584169067, -9.25027689562525}}, 
       {{-7.4848849167635585, -9.668867278278656, -9.692754295786502}}, 
       {{-7.9415935045874635, -10.118272979083372, -10.132957443686495}}, 
       {{-8.397453340544367, -10.565280470490377, -10.572000945329357}}, 
       {{-8.853822945208858, -11.011037275736115, -11.00939772083021}}, 
       {{-9.311007477172815, -11.45817224877541, -11.447404895122018}}, 
       {{-9.770488299549047, -11.905183518235397, -11.884311748333554}}, 
       {{-10.23344193971753, -12.351560934291836, -12.321590340967287}}, 
       {{-10.70018923860931, -12.799213835226622, -12.760070525456694}}, 
       {{-11.172283456834263, -13.246900361032086, -13.199728054497204}}, 
       {{-11.650055388379826, -13.69602532051409, -13.638446669746646}}, 
       {{-12.134191248981965, -14.147250205297352, -14.080252908152975}}, 
       {{-12.623348392539546, -14.603649274986221, -14.526699677877538}}, 
       {{-13.11731140842006, -15.067637954012426, -14.977944376694811}}, 
       {{-13.612627785112958, -15.544373582312915, -15.44367674881436}}, 
       {{-14.11200845762154, -16.033764071578837, -15.923768863351212}}}, 
      {{{-3.3938333111622976, -5.630988971864257, -5.654591745469137}}, 
       {{-3.9757511639863163, -6.201099679712871, -6.243425994063924}}, 
       {{-4.510762497678816, -6.729053794749181, -6.777751244503268}}, 
       {{-5.019888010588394, -7.230227873515922, -7.281622098459976}}, 
       {{-5.512388211177305, -7.715085242598255, -7.766315081508342}}, 
       {{-5.993399969331189, -8.189941420893133, -8.23722735451869}}, 
       {{-6.466302132433571, -8.655781146548454, -8.698877985129476}}, 
       {{-6.932822582537628, -9.116783207159859, -9.152106136764418}}, 
       {{-7.3955143147943, -9.572129190922219, -9.59971671703441}}, 
       {{-7.855693697494405, -10.024944206767698, -10.044431196477712}}, 
       {{-8.31469793381926, -10.473318098575438, -10.487607323415496}}, 
       {{-8.773236797038534, -10.92308150779154, -10.928880719676188}}, 
       {{-9.231826537116099, -11.373877894174315, -11.36926757592452}}, 
       {{-9.692340574255219, -11.823438111434726, -11.810374132449411}}, 
       {{-10.155086486335303, -12.274714668103638, -12.251807486162766}}, 
       {{-10.621003333640552, -12.727831719905499, -12.694254660742612}}, 
       {{-11.09157461125981, -13.180555836655916, -13.139140006936186}}, 
       {{-11.567131928452245, -13.636234407379462, -13.585493962126987}}, 
       {{-12.048898688595788, -14.094577252148706, -14.033298420403952}}, 
       {{-12.537899877036743, -14.553882920769087, -14.48395053036207}}, 
       {{-13.034668223718533, -15.016679620010393, -14.938507645025291}}, 
       {{-13.537813691055662, -15.486974157418917, -15.399396704002049}}, 
       {{-14.047092728255757, -15.964010856585613, -15.866884095228771}}, 
       {{-14.558728416977536, -16.457569844330646, -16.349346232602947}}}, 
      {{{-3.7696114710278463, -6.002889529533779, -6.014011255729398}}, 
       {{-4.348958644778862, -6.570466542215129, -6.599889786843925}}, 
       {{-4.882432949488239, -7.093672808212316, -7.132521693466513}}, 
       {{-5.3905568046192345, -7.592411966601172, -7.635395380965048}}, 
       {{-5.882286046518375, -8.07588420870298, -8.119148696655682}}, 
       {{-6.362735868469616, -8.550834499210822, -8.589172632307992}}, 
       {{-6.836158787333364, -9.014580489772964, -9.049341508352544}}, 
       {{-7.303880251438643, -9.473887945721144, -9.50329700972299}}, 
       {{-7.767900816078456, -9.930062712670232, -9.953250021284711}}, 
       {{-8.230083083400388, -10.383408295939585, -10.40044290769205}}, 
       {{-8.691221622162416, -10.83579166716187, -10.845158984384394}}, 
       {{-9.152848292792855, -11.287346929435328, -11.289345701685871}}, 
       {{-9.615345108007991, -11.739356156586371, -11.73347627160445}}, 
       {{-10.079314374996171, -12.193648619538731, -12.178088152292254}}, 
       {{-10.546121029843372, -12.649000186833343, -12.62434529081349}}, 
       {{-11.016672036762753, -13.105343834638798, -13.07270170668608}}, 
       {{-11.49087041370329, -13.56739403766904, -13.523237888858409}}, 
       {{-11.971001874294913, -14.029962437429967, -13.976474343282845}}, 
       {{-12.457598979426587, -14.496612117546684, -14.433211501341782}}, 
       {{-12.951834264790907, -14.96506061460448, -14.894057412189555}}, 
       {{-13.454481493701211, -15.438751871850375, -15.357935646416136}}, 
       {{-13.96627622866584, -15.916061053902789, -15.82766240739049}}, 
       {{-14.486202042393247, -16.401055206338235, -16.304250345229146}}, 
       {{-15.013501774303595, -16.896113394875712, -16.79061878469761}}}}, 
     {Automatic, Automatic}]
 
sigmaLOGG8[x_, y_] := If[x < 200 || x > 2500 || y < 200 || y > 2500, 
     "Squark or gluino mass outside range of interpolation!", 
     {SetPrecision[E^fLOGGLog8[x, y][[1]], 3], SetPrecision[
       E^fLOGGLog8[x, y][[2]], 3], SetPrecision[-E^fLOGGLog8[x, y][[3]], 3]}]
 
fLOGGLog8 = InterpolatingFunction[{{200., 2500.}, {200., 2500.}}, 
     {4, 3, 0, {24, 24}, {5, 5}, 0, 0, 0, 0, Automatic}, 
     {{200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000., 2100., 2200., 
       2300., 2400., 2500.}, {200., 300., 400., 500., 600., 700., 800., 900., 
       1000., 1100., 1200., 1300., 1400., 1500., 1600., 1700., 1800., 1900., 
       2000., 2100., 2200., 2300., 2400., 2500.}}, 
     {{{{6.446671747110961, 5.5801071132949795, 5.1544469961283355}}, 
       {{4.149779269110201, 3.3329185409088606, 2.890927159187865}}, 
       {{2.402430427963762, 1.607435909763427, 1.1590800354351996}}, 
       {{0.9654617758806044, 0.18065349969325756, -0.2744368457017606}}, 
       {{-0.2764124801935502, -1.059872460352179, -1.5145823814214217}}, 
       {{-1.3899008567140023, -2.1733127572899065, -2.628315233083357}}, 
       {{-2.41552985201018, -3.1971143330866876, -3.6535123102766454}}, 
       {{-3.379044577021022, -4.161125595912452, -4.616231133347516}}, 
       {{-4.298421050819084, -5.0783789461827755, -5.533280494667588}}, 
       {{-5.1862394631426865, -5.961129347311909, -6.41856195534326}}, 
       {{-6.051639270144052, -6.821577582741085, -7.278818960372969}}, 
       {{-6.902767737471098, -7.667042262046627, -8.125151103640214}}, 
       {{-7.745697044445316, -8.501812089377935, -8.961139286342684}}, 
       {{-8.586007507416596, -9.333638588320676, -9.79373668857701}}, 
       {{-9.428620767624405, -10.164592610137456, -10.629157924801634}}, 
       {{-10.27745399358492, -11.003701122571211, -11.468908579553453}}, 
       {{-11.137232515195734, -11.84979778161278, -12.320361791932301}}, 
       {{-12.0103414018263, -12.710916197618618, -13.184238781122417}}, 
       {{-12.901221828760793, -13.588374985380527, -14.065254791075663}}, 
       {{-13.812515048984476, -14.486896246742706, -14.9656266894995}}, 
       {{-14.749201804518597, -15.40661751371365, -15.893353378280413}}, 
       {{-15.713297431837859, -16.35381798447939, -16.847906815889857}}, 
       {{-16.70832529751158, -17.33447847536094, -17.832894079050245}}, 
       {{-17.739606144626688, -18.350222280303804, -18.85454532658223}}}, 
      {{{6.448731153779409, 5.581614840681993, 5.15502419672156}}, 
       {{4.121635422458004, 3.313458467354149, 2.8690346205080335}}, 
       {{2.336019869080283, 1.5602476682433286, 1.1072416153661642}}, 
       {{0.8666802313208206, 0.10705907229340778, -0.35239838717147204}}, 
       {{-0.39615854878786466, -1.149169012285262, -1.612944051763388}}, 
       {{-1.5186835491656363, -2.272055887959223, -2.7364496756239083}}, 
       {{-2.5441472298322734, -3.3006283267404597, -3.7644654410705316}}, 
       {{-3.5025658760504443, -4.261580481598014, -4.725080482660649}}, 
       {{-4.413723721417136, -5.1743313867670455, -5.636310759541188}}, 
       {{-5.292136507472955, -6.051639270144052, -6.513688215826342}}, 
       {{-6.148352302645127, -6.905757276319465, -7.368204695423061}}, 
       {{-6.990484926581133, -7.743849468862016, -8.206038762779315}}, 
       {{-7.825296792757944, -8.572177499748998, -9.035547081603019}}, 
       {{-8.658180884717215, -9.397875495823024, -9.862345609204953}}, 
       {{-9.493897629851014, -10.223968336739295, -10.690945412567315}}, 
       {{-10.336735041656745, -11.05803547353454, -11.524998046204498}}, 
       {{-11.190841965801114, -11.90005961639367, -12.371183165593774}}, 
       {{-12.059550992867406, -12.757026060386943, -13.23106279432767}}, 
       {{-12.94631143362397, -13.630692120971732, -14.10854023674265}}, 
       {{-13.854459308102848, -14.524380698989455, -15.006896246784738}}, 
       {{-14.787313999768688, -15.442603405637096, -15.929957708842926}}, 
       {{-15.748603203308972, -16.387283140773935, -16.882953679072266}}, 
       {{-16.740970778532933, -17.36567209276639, -17.86507297741448}}, 
       {{-17.769919279888857, -18.37953880062119, -18.884304766234063}}}, 
      {{{6.459591416340857, 5.588371623144874, 5.163642463221435}}, 
       {{4.1217975890034015, 3.313458467354149, 2.869034620508034}}, 
       {{2.309560706730471, 1.5432981099295553, 1.0848513734180727}}, 
       {{0.8073683246499682, 0.06578774053800315, -0.3989861420104552}}, 
       {{-0.48645826731769626, -1.215033751685361, -1.6857791456908229}}, 
       {{-1.63168352138142, -2.3580978029243043, -2.8285243545700847}}, 
       {{-2.6710434754731143, -3.39860075581489, -3.8708810620969705}}, 
       {{-3.6343912688298667, -4.366940997255841, -4.83710224333538}}, 
       {{-4.545016263168344, -5.280477448419706, -5.751503210867613}}, 
       {{-5.418453167788018, -6.156339190298215, -6.626342819543952}}, 
       {{-6.26748158802926, -7.006471251921295, -7.475151254236522}}, 
       {{-7.101582775962294, -7.838652163245654, -8.30774296723403}}, 
       {{-7.928018601239271, -8.662218963466495, -9.130605403957329}}, 
       {{-8.752915524937308, -9.480837619673864, -9.950579160069978}}, 
       {{-9.580679678108973, -10.302473694546583, -10.772417713050446}}, 
       {{-10.416649236099667, -11.129705965809384, -11.601756678676844}}, 
       {{-11.263724379336729, -11.96863178951514, -12.440277144203808}}, 
       {{-12.126707090149432, -12.818930994861317, -13.295526996413518}}, 
       {{-13.008142233314306, -13.687997237665314, -14.167908945135746}}, 
       {{-13.911360883621109, -14.578222201910128, -15.06169521109952}}, 
       {{-14.839943448458133, -15.492157220091824, -15.980945812811086}}, 
       {{-15.796737052147154, -16.43554988174377, -16.928226187004086}}, 
       {{-16.786355116010487, -17.40871626200993, -17.90905544001581}}, 
       {{-17.81200272001887, -18.41968124361928, -18.924861824999688}}}, 
      {{{6.470644693038427, 5.595825999817554, 5.171619713502079}}, 
       {{4.132924044189576, 3.3203487937988347, 2.8775116421665596}}, 
       {{2.3085671646715933, 1.541159071680806, 1.0848513734180727}}, 
       {{0.7820733897543468, 0.04879016416943226, -0.4200712604975265}}, 
       {{-0.5412848312506993, -1.253863573939401, -1.728784670066667}}, 
       {{-1.7159101569446171, -2.417995944505374, -2.8967923256990877}}, 
       {{-2.7785263149065345, -3.478294432047122, -3.9596388593698095}}, 
       {{-3.7575866521237273, -4.461069842014335, -4.940642922276221}}, 
       {{-4.6760219269600425, -5.385183299569698, -5.8632472493072285}}, 
       {{-5.551662426595368, -6.265375215475845, -6.7422408405045635}}, 
       {{-6.39853093658312, -7.116010217802597, -7.590952128688914}}, 
       {{-7.227822811578073, -7.946496170612856, -8.421428569431859}}, 
       {{-8.047502111008802, -8.766295781900544, -9.239769182666995}}, 
       {{-8.864625268273793, -9.581404053367015, -10.053380642110746}}, 
       {{-9.685316342848477, -10.39614587234667, -10.87001950084703}}, 
       {{-10.513397134526018, -11.218019547429128, -11.692052130867664}}, 
       {{-11.354213773815408, -12.04906889672051, -12.527104697663509}}, 
       {{-12.209879883873128, -12.895626290579989, -13.374678306018819}}, 
       {{-13.085067592660632, -13.760075851076174, -14.24168870766998}}, 
       {{-13.982864687636443, -14.64539426209769, -15.130787431848884}}, 
       {{-14.906154676983206, -15.55448784175336, -16.044845189218726}}, 
       {{-15.858813053028237, -16.492062092007114, -16.989413017189744}}, 
       {{-16.843766023223825, -17.463248068747035, -17.965156435971465}}, 
       {{-17.865646865522056, -18.470921960389113, -18.97755030621976}}}, 
      {{{6.480044561926653, 5.602118820879701, 5.178970608915471}}, 
       {{4.146778872070522, 3.330059353828816, 2.888147062874053}}, 
       {{2.3194422100604686, 1.5475625087160128, 1.0932646823415144}}, 
       {{0.779783487219492, 0.04592893188839995, -0.4215944900380478}}, 
       {{-0.5661621688054566, -1.271538123821702, -1.7492748576218997}}, 
       {{-1.767847649181742, -2.4557362724882204, -2.9374633654300153}}, 
       {{-2.857885206861866, -3.5363300556536514, -4.02351338146151}}, 
       {{-3.8599050511660393, -4.537511537514276, -5.0252414464856185}}, 
       {{-4.795241696242107, -5.474815910039203, -5.9634603506983845}}, 
       {{-5.681042987686712, -6.366594455420073, -6.854214512054107}}, 
       {{-6.532062329207643, -7.223836825955616, -7.70848767022202}}, 
       {{-7.360941123301713, -8.05755560441968, -8.539438800363557}}, 
       {{-8.177511823854076, -8.876013291701359, -9.357680959874891}}, 
       {{-8.989599705278284, -9.688376172919183, -10.168234653705413}}, 
       {{-9.803461238469003, -10.500234238809758, -10.978774015900742}}, 
       {{-10.625034207617771, -11.316536650964839, -11.796615516152471}}, 
       {{-11.458437279686159, -12.144037254610721, -12.624926990757354}}, 
       {{-12.307441139918463, -12.984342079506954, -13.46696859725573}}, 
       {{-13.176291719429884, -13.842881754760405, -14.329675082995779}}, 
       {{-14.067568119443125, -14.722346131067674, -15.211855254937666}}, 
       {{-14.985081935572877, -15.628289394416404, -16.121100159978617}}, 
       {{-15.932446304071691, -16.561262626250496, -17.060217142866996}}, 
       {{-16.912611325906553, -17.528272952541542, -18.031345017774086}}, 
       {{-17.930261929964036, -18.531612304659646, -19.040577462772717}}}, 
      {{{6.487531799898427, 5.607638614103299, 5.184588601219693}}, 
       {{4.160444363926624, 3.3389673051260216, 2.898670560710859}}, 
       {{2.3350522831315472, 1.55814461804655, 1.1049256507247018}}, 
       {{0.7902738912906682, 0.052592450119170416, -0.4140014391304504}}, 
       {{-0.5695146201146702, -1.2743952686224815, -1.7515776795952231}}, 
       {{-1.7927599695616385, -2.4733734139743273, -2.958436488810294}}, 
       {{-2.9082709977839967, -3.5723416378659847, -4.064009362426027}}, 
       {{-3.9363156979971907, -4.592253960721545, -5.088056441064841}}, 
       {{-4.893919494400295, -5.549860392383945, -6.044865323835097}}, 
       {{-5.796885092918525, -6.4554065849751225, -6.951707166511319}}, 
       {{-6.659333920483659, -7.3232707229438025, -7.818312479008531}}, 
       {{-7.493663708872484, -8.164425872308522, -8.65588071119013}}, 
       {{-8.31139927843714, -8.987196820661973, -9.476913481217728}}, 
       {{-9.12141416278178, -9.800930964211036, -10.287093326291398}}, 
       {{-9.93126993354858, -10.610328060228076, -11.096190764603833}}, 
       {{-10.747457622830657, -11.423999255775827, -11.910422403429216}}, 
       {{-11.574375427286451, -12.247728320799006, -12.733027651226049}}, 
       {{-12.41704062091425, -13.083142664251048, -13.57021420200893}}, 
       {{-13.279017187449705, -13.937678191938481, -14.426156517012476}}, 
       {{-14.16421733225383, -14.811385769181271, -15.304059153122921}}, 
       {{-15.076053713778604, -15.711964098306995, -16.20911504934549}}, 
       {{-16.017345747858176, -16.64234429505645, -17.141693235820984}}, 
       {{-16.992524928737556, -17.60354758361143, -18.108793982803768}}, 
       {{-18.005265304991035, -18.60340238076766, -19.11382792451231}}}, 
      {{{6.493602542476407, 5.611667185748395, 5.1896179496246955}}, 
       {{4.1725394098071575, 3.34779660493504, 2.907447358686419}}, 
       {{2.3513752571634776, 1.57069708411767, 1.1161247137527408}}, 
       {{0.80692219481879, 0.06485097231961606, -0.4004775665971251}}, 
       {{-0.5594907957472717, -1.267622831402392, -1.744112815760702}}, 
       {{-1.7969730362809424, -2.4757487120032344, -2.9622974974677536}}, 
       {{-2.9329452854552263, -3.5903018907529423, -4.083404622183766}}, 
       {{-3.9851314772487845, -4.628438812927445, -5.126046145607583}}, 
       {{-4.967719493119424, -5.601857854934275, -6.105305363531742}}, 
       {{-5.892524599253078, -6.527266156944149, -7.029922912956344}}, 
       {{-6.772350641975934, -7.410282099933433, -7.913697232808938}}, 
       {{-7.618455618789672, -8.262550973042657, -8.763093729853063}}, 
       {{-8.443013793241986, -9.0925573363198, -9.59160079138753}}, 
       {{-9.255233140866919, -9.911721357463232, -10.406345006652941}}, 
       {{-10.06412589849894, -10.723105397150022, -11.215788233747691}}, 
       {{-10.876877876450855, -11.536194091909582, -12.028763630559764}}, 
       {{-11.699255043161722, -12.356895535264757, -12.848526711774602}}, 
       {{-12.536523049832892, -13.189037510672321, -13.681854173151601}}, 
       {{-13.392205531727779, -14.039904891180136, -14.53090334747154}}, 
       {{-14.271532389689591, -14.910330048393687, -15.405636159366003}}, 
       {{-15.177307447483777, -15.805477093216508, -16.305630774805163}}, 
       {{-16.113108109447282, -16.73058492850081, -17.234057577961543}}, 
       {{-17.08252675816041, -17.687832196540867, -18.19593847127446}}, 
       {{-18.089939182040137, -18.68334505342886, -19.1946042345396}}}, 
      {{{6.498282149476434, 5.6153154933338705, 5.19295685089021}}, 
       {{4.183118274275528, 3.3551534431607486, 2.915606229074706}}, 
       {{2.3683728335320486, 1.5810384379124023, 1.1314021114911004}}, 
       {{0.8263660243461681, 0.0769610411361284, -0.38566248081198445}}, 
       {{-0.5418004280654213, -1.255968099444316, -1.7304762408111567}}, 
       {{-1.7873691209267621, -2.4698210123699593, -2.954590330222816}}, 
       {{-2.9376520624774662, -3.593932976804983, -4.0875675779430765}}, 
       {{-4.010187254215377, -4.645992180508347, -5.14645501723879}}, 
       {{-5.015848861149143, -5.638556689738494, -6.143683760085493}}, 
       {{-5.9646278931544225, -6.579891416897524, -7.089277155605528}}, 
       {{-6.865654102963502, -7.480456306466215, -7.990986465611944}}, 
       {{-7.7289631296096, -8.347872446799535, -8.856168558255568}}, 
       {{-8.565858363397519, -9.189557832793653, -9.698100722811176}}, 
       {{-9.385527439869538, -10.016208422600247, -10.520785420812635}}, 
       {{-10.197590192790832, -10.83337023792975, -11.334779279586755}}, 
       {{-11.010333646131341, -11.648745188112763, -12.149692312094066}}, 
       {{-11.830242342551701, -12.470298641945613, -12.96835556492498}}, 
       {{-12.663357502368134, -13.30029458589699, -13.799637208807983}}, 
       {{-13.514665498986211, -14.146796267898187, -14.647689947219776}}, 
       {{-14.38803429620048, -15.015159390810156, -15.515967868785543}}, 
       {{-15.28779863225114, -15.90702468087838, -16.40978574480764}}, 
       {{-16.218137005138548, -16.8269657919835, -17.33447847536094}}, 
       {{-17.1820166998365, -17.78040705299949, -18.291408408248227}}, 
       {{-18.184028842613362, -18.77165766677646, -19.28509085394953}}}, 
      {{{6.502190165873639, 5.617861412148561, 5.195730777772936}}, 
       {{4.192227188023968, 3.3614165116503107, 2.9231615807191558}}, 
       {{2.3832429960115, 1.5912739418064292, 1.1429481024881614}}, 
       {{0.8458682675776092, 0.09075436326846392, -0.37106368139083173}}, 
       {{-0.5207076236204413, -1.2409826299598365, -1.7142430268002267}}, 
       {{-1.7690199822585655, -2.4580699958344407, -2.941244088269921}}, 
       {{-2.9282605584389785, -3.587767952745525, -4.080441657053109}}, 
       {{-4.015163764347659, -4.650167551918827, -5.149897361429763}}, 
       {{-5.040733741920289, -5.656135821188848, -6.163914984106674}}, 
       {{-6.012075501012107, -6.614339674682595, -7.127155844017513}}, 
       {{-6.9361547535038355, -7.533243811068267, -8.048127501898477}}, 
       {{-7.820801280691403, -8.416443288316094, -8.932708635377903}}, 
       {{-8.674431967842729, -9.274345701952095, -9.788374745435624}}, 
       {{-9.506861393095168, -10.110265749764073, -10.625445814950194}}, 
       {{-10.326912986021286, -10.937436327878515, -11.449012139226575}}, 
       {{-11.143433017320882, -11.758826003407055, -12.268373671727554}}, 
       {{-11.963754114829923, -12.582367376338558, -13.089412277264643}}, 
       {{-12.795220236071634, -13.414053471253649, -13.9208710736221}}, 
       {{-13.642397940255629, -14.261797660592693, -14.764582779362808}}, 
       {{-14.511862869473168, -15.125584893172755, -15.63135782272142}}, 
       {{-15.406617513713652, -16.01463694259009, -16.52156275640381}}, 
       {{-16.331660227492208, -16.93160418818945, -17.441978751956814}}, 
       {{-17.2902468429613, -17.880684742886594, -18.39501299720379}}, 
       {{-18.287024359139693, -18.868531568556968, -19.38406308336037}}}, 
      {{{6.505335529059933, 5.619675965359201, 5.198497031265826}}, 
       {{4.199905057882593, 3.366950942933564, 2.9290581402859988}}, 
       {{2.3960754360813845, 1.6014057407368358, 1.1518370499054076}}, 
       {{0.8645762961874763, 0.10436001532424266, -0.35524739194754684}}, 
       {{-0.49840310376743346, -1.2251964407775628, -1.6966311241364775}}, 
       {{-1.746403767507258, -2.441847160327553, -2.9224818118143983}}, 
       {{-2.90973808038713, -3.574836738073276, -4.066340365812503}}, 
       {{-4.006333684899388, -4.643911014304522, -5.144738278619736}}, 
       {{-5.046469747105472, -5.660435670152835, -6.168679166533792}}, 
       {{-6.0372990834517815, -6.632398856220993, -7.148553765535068}}, 
       {{-6.983341265938732, -7.565921490646836, -8.086385275636278}}, 
       {{-7.890452943053891, -8.46792695011332, -8.989599705278284}}, 
       {{-8.765013730442888, -9.341588658586137, -9.864266839382847}}, 
       {{-9.614256680094497, -10.193038036047936, -10.716770534336055}}, 
       {{-10.446836368007679, -11.031734646333929, -11.552706334982073}}, 
       {{-11.271549145394959, -11.862482941140097, -12.380902336565834}}, 
       {{-12.096142586157978, -12.691880506320876, -13.207376751731285}}, 
       {{-12.928442684767022, -13.527328610470843, -14.041157239496602}}, 
       {{-13.775328768331443, -14.374126845566613, -14.887870475488318}}, 
       {{-14.641503651857649, -15.238883927325586, -15.752064612095563}}, 
       {{-15.532533681078313, -16.126127822655583, -16.64065653094273}}, 
       {{-16.452729578305892, -17.04090759982274, -17.55652576649874}}, 
       {{-17.406537611910707, -17.986304292349782, -18.505149900578814}}, 
       {{-18.397941256982875, -18.970593756426403, -19.489831322470856}}}, 
      {{{6.507874549167873, 5.621849091893515, 5.200704537681036}}, 
       {{4.206333064170148, 3.371768570971343, 2.9338568698359033}}, 
       {{2.4078456036515385, 1.6114359150967736, 1.1609609137326449}}, 
       {{0.881699287104536, 0.11689375147149943, -0.342490308946776}}, 
       {{-0.4762631794168798, -1.209655587461434, -1.6793240398982667}}, 
       {{-1.7214874162427234, -2.4247527269682534, -2.9040650850281673}}, 
       {{-2.885623050873961, -3.55820213047232, -4.047270154836172}}, 
       {{-3.9872854899286927, -4.630487993972381, -5.129418830086223}}, 
       {{-5.037338676930806, -5.654421045118477, -6.1615413774854995}}, 
       {{-6.043178982794661, -6.636965074200575, -7.152377861973471}}, 
       {{-7.008570584220953, -7.585225980157075, -8.106740541797034}}, 
       {{-7.937494703363871, -8.501812089377935, -9.028852495930806}}, 
       {{-8.833960844763116, -9.391862248599573, -9.92144787791312}}, 
       {{-9.70348981072923, -10.26130600717694, -10.790705036924576}}, 
       {{-10.553192175253237, -11.113478429187627, -11.643034150317249}}, 
       {{-11.39070783224598, -11.956092440262404, -12.484464671074862}}, 
       {{-12.223625804777763, -12.794499515319716, -13.320204745856321}}, 
       {{-13.060798021746175, -13.635692131388438, -14.159410310414284}}, 
       {{-13.908722939686452, -14.486896246742708, -15.008213770031979}}, 
       {{-14.774447864559901, -15.3535584743117, -15.874365466035721}}, 
       {{-15.663205659522632, -16.240263284932528, -16.762452667348832}}, 
       {{-16.579813700617283, -17.153451489991415, -17.67541560913031}}, 
       {{-17.529502712893287, -18.09787286952521, -18.621573686331754}}, 
       {{-18.516861302426335, -19.079040099026646, -19.603871009095773}}}, 
      {{{6.509960677178192, 5.623295223743515, 5.201806466167192}}, 
       {{4.211979438755315, 3.375537634881578, 2.938632681513418}}, 
       {{2.418588768750352, 1.6174060820832772, 1.170312602833301}}, 
       {{0.8977193462887197, 0.128393214768399, -0.32989392126109024}}, 
       {{-0.4552332503422856, -1.1946827574188432, -1.6623114020411687}}, 
       {{-1.6966311241364778, -2.406835114367845, -2.884190898821084}}, 
       {{-2.858931232061846, -3.5390810890255415, -4.026312151830274}}, 
       {{-3.961738597674079, -4.613202357685355, -5.1093512670354135}}, 
       {{-5.017962069482716, -5.640244453852214, -6.146482269374592}}, 
       {{-6.0339545987289345, -6.631639842901822, -7.146012468106395}}, 
       {{-7.014783851740661, -7.5899625195037475, -8.11206147220931}}, 
       {{-7.962733530630185, -8.520197700436537, -9.04907222438006}}, 
       {{-8.881036624833582, -9.426011908451692, -9.960481274056248}}, 
       {{-9.772108474479749, -10.311756587977026, -10.847663487899819}}, 
       {{-10.64163209902681, -11.1800310496969, -11.717492630711503}}, 
       {{-11.496068347903806, -12.03717410906836, -12.574241968894642}}, 
       {{-12.341663299836522, -12.887686590276447, -13.42211803109038}}, 
       {{-13.187435374148043, -13.738549516828146, -14.271216882509185}}, 
       {{-14.040530869291343, -14.597488952230835, -15.12632645790826}}, 
       {{-14.908240183474229, -15.466812674497072, -15.994993453824337}}, 
       {{-15.796737052147154, -16.355084609094583, -16.884243724402754}}, 
       {{-16.71157850840532, -17.268843694046957, -17.797956027688965}}, 
       {{-17.65800750074381, -18.212853896750048, -18.742264368079827}}, 
       {{-18.641951050884895, -19.191789465982023, -19.722633956638504}}}, 
      {{{6.511745329644728, 5.624378451868933, 5.203457085524076}}, 
       {{4.216709676695751, 3.378951772714836, 2.942331496826876}}, 
       {{2.427454075039915, 1.6253112615903906, 1.1768071362531665}}, 
       {{0.911881023385455, 0.13889199886661865, -0.31882880144861786}}, 
       {{-0.43556355593219725, -1.1805818515353605, -1.6466207035618161}}, 
       {{-1.6723777122079746, -2.388142981355692, -2.864704011147587}}, 
       {{-2.831235301672588, -3.519643136868637, -4.004138294335951}}, 
       {{-3.933246641879773, -4.5932416151228175, -5.086437007512537}}, 
       {{-4.991715409243745, -5.622386836452207, -6.126139450434584}}, 
       {{-6.014119237672788, -6.617326980862331, -7.129649610895915}}, 
       {{-7.005809219457525, -7.584242018648975, -8.105083540589405}}, 
       {{-7.96907178290655, -8.5252253631135, -9.05419168948625}}, 
       {{-8.906538917644518, -9.444797683190666, -9.981449094005841}}, 
       {{-9.818778824609174, -10.345720384836508, -10.885918086914828}}, 
       {{-10.709579492112207, -11.230758573206558, -11.772992370389035}}, 
       {{-11.583669869495987, -12.102974687526606, -12.646750509394083}}, 
       {{-12.446362355679353, -12.96835556492498, -13.51097136844607}}, 
       {{-13.305085014219623, -13.831639939894158, -14.372380120231671}}, 
       {{-14.167055824083008, -14.698850189698744, -15.238054051759287}}, 
       {{-15.04002626352154, -15.575771360132958, -16.113108109447282}}, 
       {{-15.930786552653325, -16.469072573782416, -17.005313135346768}}, 
       {{-16.84604133706096, -17.38500825505813, -17.92172529275686}}, 
       {{-17.791005986347994, -18.3299263806839, -18.86540656601383}}, 
       {{-18.77236814638006, -19.308627002817378, -19.844884678145476}}}, 
      {{{6.513230110912307, 5.625460507880731, 5.2045559867335625}}, 
       {{4.220830359494875, 3.382014562245381, 2.9454910571172443}}, 
       {{2.435366204227864, 1.6311994042156133, 1.1829534371018604}}, 
       {{0.9246556482057827, 0.1484200051182734, -0.3092462503676215}}, 
       {{-0.4174870833354899, -1.1673194866779004, -1.6321948995567168}}, 
       {{-1.6492187824459448, -2.3719351711288392, -2.8455896151242714}}, 
       {{-2.803790473383046, -3.499913354601313, -3.9819091328923126}}, 
       {{-3.9035589270160167, -4.570768759270759, -5.064036070823371}}, 
       {{-4.961416650308756, -5.600233599027642, -6.10172594136552}}, 
       {{-5.987074198806689, -6.5980671262677415, -7.108648221361527}}, 
       {{-6.98539254870929, -7.5699853569073605, -8.088988596338584}}, 
       {{-7.960152143853284, -8.518694317542504, -9.047371543698043}}, 
       {{-8.912460474547956, -9.449867402540916, -9.98534857901645}}, 
       {{-9.844464212086667, -10.364253976429382, -10.90697149611266}}, 
       {{-10.756334111853748, -11.26528444205563, -11.811331500784984}}, 
       {{-11.651612984744121, -12.154429412378335, -12.702995364127172}}, 
       {{-12.534021311210509, -13.034352500081615, -13.585192802902064}}, 
       {{-13.40937900531295, -13.912021458345118, -14.4621559048728}}, 
       {{-14.284394813942093, -14.790225209976146, -15.33968862644755}}, 
       {{-15.166437775246873, -15.67790710679177, -16.224567895468837}}, 
       {{-16.06266094407022, -16.580131110554877, -17.122944409814266}}, 
       {{-16.981082610810162, -17.499601495346415, -18.044301216739296}}, 
       {{-17.927204758521487, -18.447024719291967, -18.991610291788064}}, 
       {{-18.90730167902154, -19.427443378990596, -19.97090679675462}}}, 
      {{{6.514416350671813, 5.6265413943127545, 5.205653681684617}}, 
       {{4.224348908792687, 3.3843902633457743, 2.9481164196123277}}, 
       {{2.4423470353692043, 1.635105659182678, 1.188452992667899}}, 
       {{0.9364854391596744, 0.15614868248993138, -0.29840603581475633}}, 
       {{-0.4009254280661326, -1.1551826401565037, -1.618983325277632}}, 
       {{-1.627092847672821, -2.3570412787901045, -2.8268337370921772}}, 
       {{-2.7774002792370034, -3.480565317045728, -3.9606881774094274}}, 
       {{-3.8732831771122154, -4.549735479099991, -5.039034768617954}}, 
       {{-4.929239655892261, -5.578560509902819, -6.0757160995555735}}, 
       {{-5.95493977242561, -6.575577966643805, -7.082108666126915}}, 
       {{-6.957155629277264, -7.549829189358082, -8.066754717665342}}, 
       {{-7.939176318109923, -8.50427696614969, -9.030521945400347}}, 
       {{-8.903591236807175, -9.443534259143894, -9.97928926595241}}, 
       {{-9.850895102416958, -10.369021187110413, -10.912441969273702}}, 
       {{-10.782000920076253, -11.283402306691979, -11.831754266418846}}, 
       {{-11.698291651950408, -12.187839877269115, -12.741532550254526}}, 
       {{-12.602082594867584, -13.084104665287239, -13.641557250840837}}, 
       {{-13.49705682684574, -13.976853708373037, -14.536234506294454}}, 
       {{-14.3885662582664, -14.871063357171938, -15.428956491795914}}, 
       {{-15.283883030119771, -15.770259655686791, -16.327582875825044}}, 
       {{-16.18991393874879, -16.68144339398342, -17.236196616210293}}, 
       {{-17.113970862175318, -17.609750527736036, -18.162942547873655}}, 
       {{-18.063705845004634, -18.562244308274153, -19.11603034806751}}, 
       {{-19.044675065823995, -19.546458700693243, -20.097327406079916}}}, 
      {{{6.515453157400254, 5.627621113690637, 5.2062020776402305}}, 
       {{4.2274175164464625, 3.3867603338643857, 2.9507349076232554}}, 
       {{2.448415541205585, 1.6409365794934714, 1.1930129640895941}}, 
       {{0.946625931670228, 0.16381808522939492, -0.2903523010076598}}, 
       {{-0.38580955044972315, -1.144132803969919, -1.6064424034543021}}, 
       {{-1.606941032235513, -2.3423659630058906, -2.8117454374409747}}, 
       {{-2.7523156174002255, -3.4619032567795505, -3.9404224799498437}}, 
       {{-3.843897176380546, -4.528209144851963, -5.014643315493795}}, 
       {{-4.896458754033984, -5.5552762663569775, -6.049093659944619}}, 
       {{-5.92081970753865, -6.550780380034406, -7.055095866880846}}, 
       {{-6.923783040059335, -7.525980533024823, -8.0397175473318}}, 
       {{-7.9098762674614855, -8.48375841533, -9.007399527979493}}, 
       {{-8.881756308203975, -9.428496381779354, -9.961116665372765}}, 
       {{-9.841452161616676, -10.36266994315028, -10.90533617277193}}, 
       {{-10.788764230881114, -11.288183192292323, -11.83865560505954}}, 
       {{-11.724016935260297, -12.205472825458207, -12.762593228558295}}, 
       {{-12.648616761879758, -13.118869488150073, -13.680105920958072}}, 
       {{-13.564751839617092, -14.02746691988792, -14.592256762400533}}, 
       {{-14.476190548386718, -14.936982140778467, -15.502910011868087}}, 
       {{-15.388134497275658, -15.85112662010408, -16.416501686773078}}, 
       {{-16.30780442618629, -16.774332477498167, -17.33887557360064}}, 
       {{-17.241718102630596, -17.713137683108688, -18.27658039997861}}, 
       {{-18.197537192638155, -18.674283502751283, -19.235317822100022}}, 
       {{-19.182963663347174, -19.66339437659473, -20.22370340545913}}}, 
      {{{6.516340994096632, 5.6283402794893425, 5.206750173022546}}, 
       {{4.230040277676, 3.388787361585474, 2.9528247725427144}}, 
       {{2.454447442303292, 1.6428726885203373, 1.199362191768253}}, 
       {{0.9558959864665145, 0.17058630057553367, -0.282362910974181}}, 
       {{-0.37222377432836246, -1.1338250444238547, -1.5955350072651089}}, 
       {{-1.5886553732515718, -2.3279029009783354, -2.796881414808826}}, 
       {{-2.7287632426997517, -3.4445225064005287, -3.9210637500802954}}, 
       {{-3.8153501181678853, -4.507136445716726, -4.990832666800076}}, 
       {{-4.86420001586671, -5.531006330705778, -6.023161633851236}}, 
       {{-5.88566412822177, -6.525217675517678, -7.026538814972104}}, 
       {{-6.887952651685957, -7.498345871216991, -8.011581134703134}}, 
       {{-7.875076181969071, -8.458452696393637, -8.979228651012797}}, 
       {{-8.851966871401869, -9.40635525590214, -9.938493161734943}}, 
       {{-9.819330244529406, -10.34727777496596, -10.887521936496803}}, 
       {{-10.778636341079109, -11.281813744006842, -11.83037969575568}}, 
       {{-11.730459777519927, -12.211085187353717, -12.768191563683715}}, 
       {{-12.674477553412212, -13.137477015214376, -13.701289413874251}}, 
       {{-13.611753720450254, -14.0614110964011, -14.63127745207213}}, 
       {{-14.54428491616737, -14.987661749967254, -15.559623373724977}}, 
       {{-15.476241764785925, -15.917606790208916, -16.490609658926797}}, 
       {{-16.412869477223857, -16.855612779254205, -17.428911550902306}}, 
       {{-17.360809283600688, -17.806576770732875, -18.380498954319535}}, 
       {{-18.327190400865028, -18.7773556878911, -19.350816882648573}}, 
       {{-19.319377167425568, -19.776639905276184, -20.346200203359945}}}, 
      {{{6.5172280432381795, 5.628699668531845, 5.207845463383961}}, 
       {{4.232365860119475, 3.39047341829918, 2.9543893100196086}}, 
       {{2.458733775483977, 1.6486586255873819, 1.2011688769932016}}, 
       {{0.9639373853415081, 0.1773090149704103, -0.2770718933397657}}, 
       {{-0.35982275022946336, -1.1233149013084818, -1.5857213858167845}}, 
       {{-1.5716605481000705, -2.314657674228315, -2.782235099291587}}, 
       {{-2.706800981701778, -3.428363049734925, -3.903063264056674}}, 
       {{-3.788478819336691, -4.487387150331708, -4.969013619405436}}, 
       {{-4.83294946570683, -5.507311494757827, -5.997482619433545}}, 
       {{-5.850659670516961, -6.498962380781298, -6.997679986510124}}, 
       {{-6.850430212362868, -7.471630123837943, -7.9809922613190185}}, 
       {{-7.83687798967167, -8.431015495175185, -8.947976107508692}}, 
       {{-8.815599227230994, -9.379943156362362, -9.908902185237627}}, 
       {{-9.787840129010165, -10.325082042574175, -10.862164000906722}}, 
       {{-10.75586495866663, -11.266065387038703, -11.811331500784986}}, 
       {{-11.720195667128149, -12.203675520930453, -12.76015377796712}}, 
       {{-12.680566340048774, -13.142566084721848, -13.706656153052192}}, 
       {{-13.6373643725808, -14.080779035579155, -14.652066321819575}}, 
       {{-14.591387386123216, -15.021819422087757, -15.598706796531841}}, 
       {{-15.544858767070933, -15.9679529925286, -16.54734128773189}}, 
       {{-16.50155467880387, -16.922174392225546, -17.503990092056885}}, 
       {{-17.467094227334513, -17.888289342271815, -18.471974038339916}}, 
       {{-18.44753819812225, -18.874023932304993, -19.45547351990752}}, 
       {{-19.450700241154863, -19.88342427723566, -20.462441218664512}}}, 
      {{{6.51796665025898, 5.629058928460265, 5.20839265902005}}, 
       {{4.234396317669857, 3.3921566370100065, 2.9559514035421466}}, 
       {{2.4630018143999504, 1.6505798557652753, 1.2044726793675873}}, 
       {{0.9715362061001336, 0.1823215567939548, -0.2704972476976802}}, 
       {{-0.3485650609753525, -1.1168780974750026, -1.5764868122944145}}, 
       {{-1.5558971455060706, -2.3035855933276292, -2.769393831343262}}, 
       {{-2.6864844231876495, -3.4118539618506842, -3.8863552586795684}}, 
       {{-3.763603000309873, -4.4680203478408576, -4.949069938438101}}, 
       {{-4.803011554440083, -5.485852490394879, -5.97244654127222}}, 
       {{-5.81650334472032, -6.474026705601114, -6.969630682700224}}, 
       {{-6.812445099177812, -7.443898710732418, -7.948759255029933}}, 
       {{-7.79716068207491, -8.401634850781965, -8.915434454435083}}, 
       {{-8.775316461626474, -9.351903936297969, -9.875872385503154}}, 
       {{-9.750080005906815, -10.297716028718305, -10.83134492078175}}, 
       {{-10.72355942666974, -11.242135260188666, -11.78604738609068}}, 
       {{-11.69672811804598, -12.188429210357578, -12.74119096186521}}, 
       {{-12.670014683397314, -13.134942159611189, -13.697727522307892}}, 
       {{-13.643239337023822, -14.086007805661954, -14.656693817351623}}, 
       {{-14.61735715544756, -15.040366573206635, -15.620355266740985}}, 
       {{-15.592184389774289, -16.002091975202013, -16.58650055884036}}, 
       {{-16.570809611667094, -16.97352649457571, -17.562019124914848}}, 
       {{-17.55652576649874, -17.956317994596716, -18.54624396692771}}, 
       {{-18.555584506417166, -18.956482353788534, -19.548309981690966}}, 
       {{-19.57396043396278, -19.980376564491653, -20.570544749928747}}}, 
      {{{6.518557143337845, 5.629418059367339, 5.20893955539682}}, 
       {{4.236278058110767, 3.393165209964891, 2.95803040636998}}, 
       {{2.4672517145492794, 1.6524974018945477, 1.209258808755173}}, 
       {{0.9783261227936078, 0.18730909830499368, -0.2639655458344646}}, 
       {{-0.33827385856784115, -1.1086626245216114, -1.5678162377432807}}, 
       {{-1.5417792639602856, -2.2926347621408776, -2.758291417538957}}, 
       {{-2.6677243296306448, -3.3994988250265736, -3.870881062096971}}, 
       {{-3.740172748501487, -4.449877301582056, -4.929516242811464}}, 
       {{-4.774772970374271, -5.463192009738271, -5.949171634917731}}, 
       {{-5.783800182642232, -6.449065409636675, -6.943382456625288}}, 
       {{-6.775850208102199, -7.416915623429067, -7.918906291880252}}, 
       {{-7.757088542731411, -8.372227421166052, -8.88247650989157}}, 
       {{-8.733485267781345, -9.321271932683464, -9.841452161616676}}, 
       {{-9.708249770475627, -10.267043257567083, -10.797038797440793}}, 
       {{-10.68437364740408, -11.213561887744609, -11.754997026169956}}, 
       {{-11.663050923547866, -12.164163242452965, -12.713902760316365}}, 
       {{-12.645818687615213, -13.11737583589329, -13.679232939671726}}, 
       {{-13.632356014866428, -14.078174867440767, -14.648609698951665}}, 
       {{-14.62317112531298, -15.0448011702745, -15.625230352569321}}, 
       {{-15.617926607380857, -16.02187679321778, -16.607485994004247}}, 
       {{-16.618640965316754, -17.007744451886055, -17.60178235808686}}, 
       {{-17.626783660292276, -18.008571093125532, -18.605806228079054}}, 
       {{-18.647079587987246, -19.02654991640525, -19.625654048611885}}, 
       {{-19.684403552684074, -20.065745834029617, -20.664996928822436}}}, 
      {{{6.51899978443692, 5.630135934487902, 5.20893955539682}}, 
       {{4.237867538974276, 3.3945083935113587, 2.9590682891824}}, 
       {{2.4706386779902956, 1.6563214983329508, 1.2116433106301556}}, 
       {{0.984323142265982, 0.19144646457095507, -0.2600669054188074}}, 
       {{-0.329059776905759, -1.1014162160008438, -1.560171671131182}}, 
       {{-1.5283188611493084, -2.2827824656978657, -2.7457520682862215}}, 
       {{-2.650300295561306, -3.385225612152457, -3.85611537348985}}, 
       {{-3.7181023127908395, -4.43374107036056, -4.910337572780892}}, 
       {{-4.74823256882993, -5.443805673296642, -5.92717605722562}}, 
       {{-5.752447646637482, -6.425329129737844, -6.916796023634286}}, 
       {{-6.739701693985888, -7.3906415340588865, -7.887518433811866}}, 
       {{-7.717661020152278, -8.342399901043075, -8.849175522764599}}, 
       {{-8.690951517549705, -9.289383579316636, -9.804547604681225}}, 
       {{-9.66431318414939, -10.234494749726283, -10.760566424778437}}, 
       {{-10.640795628881843, -11.18146577017256, -11.718720377949825}}, 
       {{-11.622294002025594, -12.133565954743425, -12.680566340048774}}, 
       {{-12.611037878596687, -13.092804575162784, -13.650843936409041}}, 
       {{-13.606871692852947, -14.060133140955609, -14.627441274514187}}, 
       {{-14.611355136762562, -15.03696867663123, -15.615503832119433}}, 
       {{-15.624009351196626, -16.025516469665227, -16.61403266223056}}, 
       {{-16.644711960630634, -17.026914367993776, -17.623173548068177}}, 
       {{-17.675415609130315, -18.0436151103659, -18.646327425484692}}, 
       {{-18.718817274308005, -19.078846955617067, -19.68581998351579}}, 
       {{-19.778582030571037, -20.136590900896984, -20.74551144589373}}}, 
      {{{6.519442229691538, 5.630494678886369, 5.209486152841421}}, 
       {{4.239310332472287, 3.395514598526657, 2.9601050959108397}}, 
       {{2.4740142086215764, 1.6582280766035327, 1.2152094362519232}}, 
       {{0.9895411936137477, 0.19638881400539018, -0.2561834053924099}}, 
       {{-0.3206185726980458, -1.095716485556084, -1.5530575789979928}}, 
       {{-1.516403046466911, -2.273997636142133, -2.7364496756239083}}, 
       {{-2.6344280612315965, -3.374360727708596, -3.842963469496651}}, 
       {{-3.6977184027811405, -4.418690619045473, -4.892852258439873}}, 
       {{-4.72327827446842, -5.425242060121704, -5.906021065290514}}, 
       {{-5.722965294072975, -6.402746540537711, -6.891881929825847}}, 
       {{-6.705631094892003, -7.365040135820098, -7.858896288292039}}, 
       {{-7.679296526970094, -8.313436353902217, -8.816947845102288}}, 
       {{-8.649011766037086, -9.257431979510033, -9.770706441302309}}, 
       {{-9.619662910411652, -10.202163166462775, -10.723559426669741}}, 
       {{-10.5946367304334, -11.148282351382319, -11.680161384346142}}, 
       {{-11.57693079494614, -12.099912449701783, -12.64302842072971}}, 
       {{-12.568765661794469, -13.061738755587895, -13.615840362835707}}, 
       {{-13.570996980913872, -14.034911122999649, -14.598363651608713}}, 
       {{-14.585322823459705, -15.018483861957126, -15.594551254784554}}, 
       {{-15.611278048589869, -16.017345747858176, -16.602603966406935}}, 
       {{-16.649974683922142, -17.031141652667586, -17.627688228422706}}, 
       {{-17.701865816643842, -18.06300629968055, -18.667860873094817}}, 
       {{-18.768395946519625, -19.114428104584345, -19.727055481896382}}, 
       {{-19.852390968602737, -20.190874435265858, -20.80773499357286}}}, 
      {{{6.519884479274924, 5.630853294633443, 5.209486152841421}}, 
       {{4.240607069200353, 3.3965197921110444, 2.961140828784372}}, 
       {{2.4765384001174837, 1.6601310267496185, 1.216691576733711}}, 
       {{0.9947321581807177, 0.19885085874516498, -0.25102875480374515}}, 
       {{-0.3129315067052316, -1.088562952815108, -1.5469327070827035}}, 
       {{-1.505528449043589, -2.265289308250349, -2.7272330205189843}}, 
       {{-2.619627320752313, -3.3618805192852053, -3.830443018435723}}, 
       {{-3.6789291232607684, -4.403863329283056, -4.8782921071085426}}, 
       {{-4.700030467012051, -5.407016783471378, -5.886384070657474}}, 
       {{-5.695219243995713, -6.381253175831139, -6.868534565828855}}, 
       {{-6.673473983257471, -7.338538195074591, -7.83233023044399}}, 
       {{-7.642558134810915, -8.284891702317262, -8.786380681231854}}, 
       {{-8.608212589803406, -9.226469753906066, -9.736279633552222}}, 
       {{-9.575191507199092, -10.168234653705413, -10.686121899597609}}, 
       {{-10.54784456892664, -11.112137946413174, -11.640758836480114}}, 
       {{-11.528953226047426, -12.064746709439738, -12.603272009221305}}, 
       {{-12.521605646137731, -13.027053197600004, -13.576493657493774}}, 
       {{-13.527328610470843, -14.001840136155767, -14.562691627016704}}, 
       {{-14.548022462046497, -14.991543993600969, -15.564210537731881}}, 
       {{-15.583944201888832, -15.997649497882453, -16.580131110554877}}, 
       {{-16.636953446421575, -17.0224578119672, -17.617334771094345}}, 
       {{-17.706751024209893, -18.066508930231752, -18.671709498756112}}, 
       {{-18.79522874942581, -19.133214638312502, -19.74908362665648}}, 
       {{-19.9034860054531, -20.228569595110304, -20.84996348999237}}}, 
      {{{6.5203265333600715, 5.630853294633444, 5.210032451680465}}, 
       {{4.2417583141109265, 3.3975239762958465, 2.9621754900251482}}, 
       {{2.4790562361098245, 1.6620303625532709, 1.2187628897985712}}, 
       {{0.9991602096964498, 0.20294084399669002, -0.2471801291424509}}, 
       {{-0.3059818296232142, -1.0829358092831025, -1.5413120833864997}}, 
       {{-1.4956628981752558, -2.2576117273513145, -2.7196168374736756}}, 
       {{-2.6061255813802844, -3.352978809391681, -3.8194438241350532}}, 
       {{-3.661264287080963, -4.390865583341086, -4.862646416382806}}, 
       {{-4.678386248319351, -5.389117730874533, -5.867831986662707}}, 
       {{-5.66909123486627, -6.361369479817595, -6.845719888062684}}, 
       {{-6.643085980839429, -7.314220887423885, -7.80694310295663}}, 
       {{-7.607524335850969, -8.257524865419656, -8.756720221980972}}, 
       {{-8.568486485803788, -9.196437466807192, -9.701363368445993}}, 
       {{-9.531648172077624, -10.134663275547602, -10.648770487516602}}, 
       {{-10.500960983027792, -11.077254514804999, -11.600664379278236}}, 
       {{-11.479490688883992, -12.028763630559762, -12.560749586806233}}, 
       {{-12.471601913340821, -12.990020190416615, -13.534853100449459}}, 
       {{-13.478324290609404, -13.966333447698858, -14.521945632851155}}, 
       {{-14.502476879449139, -14.958701890030351, -15.526427639348228}}, 
       {{-15.54542262386625, -15.969675645840047, -16.550418213236366}}, 
       {{-16.608465266156927, -17.000951606746238, -17.593877178579746}}, 
       {{-17.69313213667509, -18.056732316047135, -18.661479230505297}}, 
       {{-18.799893480916463, -19.13689186411086, -19.753244782651286}}, 
       {{-19.93117870853156, -20.247652968936166, -20.872926611500816}}}}, 
     {Automatic, Automatic}]
 
sigmaNLOGG8[x_, y_] := If[x < 200 || x > 2500 || y < 200 || y > 2500, 
     "Squark or gluino mass outside range of interpolation!", 
     {SetPrecision[E^fNLOGGLog8[x, y][[1]], 3], 
      SetPrecision[E^fNLOGGLog8[x, y][[2]], 3], 
      SetPrecision[-E^fNLOGGLog8[x, y][[3]], 3]}]
 
fNLOGGLog8 = InterpolatingFunction[{{200., 2500.}, {200., 2500.}}, 
     {4, 3, 0, {24, 24}, {5, 5}, 0, 0, 0, 0, Automatic}, 
     {{200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000., 2100., 2200., 
       2300., 2400., 2500.}, {200., 300., 400., 500., 600., 700., 800., 900., 
       1000., 1100., 1200., 1300., 1400., 1500., 1600., 1700., 1800., 1900., 
       2000., 2100., 2200., 2300., 2400., 2500.}}, 
     {{{{6.75110146893676, 4.622027303054515, 4.751864565138894}}, 
       {{4.536677189542791, 2.6115393007213665, 2.657458414986149}}, 
       {{2.865053949911875, 1.1346227261911426, 1.0851892683359692}}, 
       {{1.4648744612427478, -0.1684186516249635, -0.26006690541880767}}, 
       {{0.2223432311434407, -1.3743657902546171, -1.4784096500276953}}, 
       {{-0.9026344054266694, -2.4721878773802257, -2.591601388458963}}, 
       {{-1.9435130244555918, -3.493312670569961, -3.619353391465326}}, 
       {{-2.9239699073271, -4.454167312451563, -4.590281573494341}}, 
       {{-3.8599050511660393, -5.370888059382872, -5.513988903023546}}, 
       {{-4.763931478373033, -6.256472302520891, -6.405768603883351}}, 
       {{-5.645324905084633, -7.116010217802596, -7.274480558774371}}, 
       {{-6.51166733268657, -7.960438635761847, -8.125151103640214}}, 
       {{-7.370584704479873, -8.794265084756002, -8.968964052400914}}, 
       {{-8.22788743784836, -9.624341811106634, -9.80999720944879}}, 
       {{-9.089008086808658, -10.458613435198698, -10.651724699414034}}, 
       {{-9.960269566635112, -11.298620862323222, -11.503965723598757}}, 
       {{-10.846635738580165, -12.153480195411003, -12.370947288720407}}, 
       {{-11.753342344954895, -13.023876430689675, -13.25532350466056}}, 
       {{-12.6860458058134, -13.92198280247479, -14.16648748078837}}, 
       {{-13.649996119486701, -14.84833510609438, -15.106858441775211}}, 
       {{-14.650682238553637, -15.812819270105587, -16.08176372171093}}, 
       {{-15.694790624721824, -16.81927500321553, -17.098924903970044}}, 
       {{-16.78987280578207, -17.871981467758292, -18.167590116270205}}, 
       {{-17.943825639757527, -18.98455558880817, -19.290565103012366}}}, 
      {{{6.837976384374221, 4.94449549159171, 4.948759890378168}}, 
       {{4.455160918661383, 2.34660197841082, 2.5079719227189954}}, 
       {{2.7040421797046714, 0.7080357930536957, 0.8241754429663491}}, 
       {{1.3042705256412999, -0.47803580094300036, -0.4796500062975406}}, 
       {{0.08250122151174377, -1.5750364857167687, -1.6393817888071722}}, 
       {{-1.034511363261586, -2.636660205015537, -2.727233020518984}}, 
       {{-2.0675129708145623, -3.6343912688298663, -3.7422802308410517}}, 
       {{-3.03947519650191, -4.577555018955119, -4.70058037079275}}, 
       {{-3.966479191224205, -5.482240204708965, -5.613028111387737}}, 
       {{-4.861999794957107, -6.355020252138936, -6.498962380781299}}, 
       {{-5.734963592139776, -7.207509932668187, -7.35874090239211}}, 
       {{-6.594405459781778, -8.040959012419865, -8.206038762779315}}, 
       {{-7.445780822674782, -8.871015066372564, -9.040597597389088}}, 
       {{-8.296452524718338, -9.696473383151801, -9.875872385503154}}, 
       {{-9.152071463852208, -10.52338427135648, -10.713168549352025}}, 
       {{-10.018000939324889, -11.359346377041927, -11.56001707250408}}, 
       {{-10.899904328889567, -12.208074648200846, -12.424228655333344}}, 
       {{-11.802208818788984, -13.076912114500411, -13.303885254027719}}, 
       {{-12.730997193675666, -13.969827918348631, -14.211520507301683}}, 
       {{-13.691524578183284, -14.894320219336203, -15.14845374358717}}, 
       {{-14.688981292655502, -15.853426352815612, -16.120097653628992}}, 
       {{-15.730115857191175, -16.856240197449, -17.134206718114687}}, 
       {{-16.822506023796976, -17.906660229289855, -18.200742323587104}}, 
       {{-17.974073692513027, -19.01488797665741, -19.32208286333277}}}, 
      {{{6.865995344733905, 5.023222409601727, 4.986342601527211}}, 
       {{4.527424837363238, 2.644755350729896, 2.6651427000909327}}, 
       {{2.664446563620078, 0.5933268452777356, 0.7654678421395708}}, 
       {{1.1715529130698248, -0.8416471888783892, -0.695149183230619}}, 
       {{-0.06379213308777937, -1.8721022219105932, -1.841369969781389}}, 
       {{-1.1695713776086036, -2.84215318562569, -2.8841908988210836}}, 
       {{-2.200028504668954, -3.803168600516064, -3.88197888407977}}, 
       {{-3.1684203813797076, -4.727337819962299, -4.829564519203953}}, 
       {{-4.090551763983404, -5.615771597333487, -5.735273141747572}}, 
       {{-4.979136627036885, -6.477922814425678, -6.60987538155391}}, 
       {{-5.845115650772845, -7.318735567778412, -7.462881161644708}}, 
       {{-6.696684308902197, -8.145629634983754, -8.302081811799292}}, 
       {{-7.540936878374648, -8.964261849379477, -9.131529191551893}}, 
       {{-8.384412080182418, -9.783041399460261, -9.959000262466388}}, 
       {{-9.2330973590988, -10.602652805421636, -10.79119082755837}}, 
       {{-10.092471252203634, -11.433190496951376, -11.631709000960194}}, 
       {{-10.968278292728726, -12.276495109826719, -12.488435556504355}}, 
       {{-11.865323852141701, -13.139509536239299, -13.365072084213379}}, 
       {{-12.789110603410089, -14.02746691988792, -14.26806727360629}}, 
       {{-13.745052094315712, -14.945613513723755, -15.201404999062838}}, 
       {{-14.738070902852025, -15.90217814473585, -16.168336867395066}}, 
       {{-15.775215418041777, -16.901167539046252, -17.179412154882733}}, 
       {{-16.86401089705692, -17.948180234508044, -18.24086231737653}}, 
       {{-18.011887845751527, -19.053674001692563, -19.359728462949136}}}, 
      {{{6.8811032479847105, 5.038898759369115, 5.00930107108312}}, 
       {{4.559021529962111, 2.715356776284648, 2.70871664564537}}, 
       {{2.727199019940971, 0.8586616190375185, 0.9001613499442711}}, 
       {{1.1543623037726016, -0.8603830999358589, -0.7072461049394463}}, 
       {{-0.17387731001129167, -2.1706800221141074, -2.0159035208758485}}, 
       {{-1.3008508793024232, -3.116770601931047, -3.0640111143072857}}, 
       {{-2.3273902119130168, -4.003590198953637, -4.031369763060712}}, 
       {{-3.2973780530231585, -4.899541246590669, -4.967575804635809}}, 
       {{-4.219227744368791, -5.769922277160747, -5.863951226809022}}, 
       {{-5.105550551892543, -6.61732698086233, -6.733801971858699}}, 
       {{-5.967357471764749, -7.447323371613781, -7.5810998322459024}}, 
       {{-6.8133546035606525, -8.266434473069054, -8.412833176091995}}, 
       {{-7.651143675978829, -9.075809479018577, -9.235658179960472}}, 
       {{-8.487634389174692, -9.885647634407796, -10.056638732030303}}, 
       {{-9.32957445989988, -10.700219049352643, -10.882718084184157}}, 
       {{-10.182143813780597, -11.521966209622377, -11.717492630711503}}, 
       {{-11.051080023425957, -12.359223825024348, -12.565608821749938}}, 
       {{-11.942017503709549, -13.215027062267747, -13.438444924377807}}, 
       {{-12.85961457149776, -14.097873468938456, -14.33470443140078}}, 
       {{-13.809528486286727, -15.012838819571542, -15.260706027004325}}, 
       {{-14.798208222036028, -15.961091902148656, -16.22679506788166}}, 
       {{-15.830663609761748, -16.955113201937966, -17.232837321556314}}, 
       {{-16.914827147774837, -17.99737571771587, -18.28965248154596}}, 
       {{-18.058819273326332, -19.09795457535602, -19.40418022551997}}}, 
      {{{6.885918584372963, 5.060060177423779, 5.002603122398991}}, 
       {{4.582003907956252, 2.759376828267551, 2.7466296830696844}}, 
       {{2.7593768282675506, 0.9282193027394293, 0.9516578757114463}}, 
       {{1.211047717997898, -0.6329932577401988, -0.5869869847315546}}, 
       {{-0.1778117413161264, -2.137070654516472, -2.001740034015984}}, 
       {{-1.393117586468016, -3.3581378922017078, -3.206453304869644}}, 
       {{-2.4455321023139787, -4.253105854607042, -4.191736908230751}}, 
       {{-3.416412547468636, -5.089678501436709, -5.10439667391073}}, 
       {{-4.343575448299629, -5.933195638984006, -5.999496718805246}}, 
       {{-5.232155164294368, -6.769733981084762, -6.8618263470937375}}, 
       {{-6.093718781146738, -7.588973888676809, -7.704043218461596}}, 
       {{-6.937493097246094, -8.398077710526076, -8.5317993438056}}, 
       {{-7.771453560737122, -9.199400431937848, -9.350752525692927}}, 
       {{-8.602751079777883, -10.002203525475286, -10.167453098370594}}, 
       {{-9.438496465113937, -10.807355764411726, -10.98642336181923}}, 
       {{-10.284455189043905, -11.622740330977434, -11.814030557754151}}, 
       {{-11.14689442610747, -12.451973183967, -12.658629361172189}}, 
       {{-12.031111443142512, -13.30268693153561, -13.523587491255238}}, 
       {{-12.942544950828493, -14.17791617661199, -14.413347558719895}}, 
       {{-13.886577006398134, -15.08633566927805, -15.335564909263688}}, 
       {{-14.869053883264806, -16.030084773635608, -16.294832829458375}}, 
       {{-15.89575241981488, -17.019497770338724, -17.294453288251283}}, 
       {{-16.974938924189054, -18.05534342693498, -18.347430282212773}}, 
       {{-18.11393160878336, -19.1504919088839, -19.456318233459086}}}, 
      {{{6.890812558251825, 5.042133961155627, 5.00930107108312}}, 
       {{4.5967347071669895, 2.7874773347335324, 2.7682041239219566}}, 
       {{2.787477334733532, 0.9783261227936078, 0.9932517730102831}}, 
       {{1.241557564653207, -0.5568695622673976, -0.5395680926316451}}, 
       {{-0.1254498507174158, -1.931711429655501, -1.8911379132083337}}, 
       {{-1.3890982884526248, -3.2914465177030365, -3.1772541501773817}}, 
       {{-2.5239801737741385, -4.443051336511656, -4.305806608762472}}, 
       {{-3.523026090027289, -5.304335438873601, -5.2476242522325185}}, 
       {{-4.4550275275583715, -6.110248083097949, -6.126597221099479}}, 
       {{-5.351085432086692, -6.928978915433764, -6.987881323461422}}, 
       {{-6.21711122864031, -7.737868314615239, -7.829058552679837}}, 
       {{-7.062656240200099, -8.539950178538854, -8.654159046489395}}, 
       {{-7.895810577085603, -9.333638588320676, -9.47040727739499}}, 
       {{-8.724832556194482, -10.126631103850338, -10.283284913895715}}, 
       {{-9.555934083046957, -10.926806857168806, -11.098170309954972}}, 
       {{-10.396800751217487, -11.734819796884006, -11.922398594475931}}, 
       {{-11.252871559635922, -12.557049568354268, -12.75772026381642}}, 
       {{-12.130779661494742, -13.400755402949017, -13.61830038867657}}, 
       {{-13.035727070744782, -14.26964083805372, -14.502675666846672}}, 
       {{-13.973334643157841, -15.170306252024794, -15.418469504300665}}, 
       {{-14.94964640270143, -16.10814532010515, -16.37169840975724}}, 
       {{-15.970538086600705, -17.09095673432087, -17.366368714180837}}, 
       {{-17.043679429744067, -18.12205873146225, -18.41271257430319}}, 
       {{-18.176950559029766, -19.212543897451468, -19.51669640677321}}}, 
      {{{6.892438574870244, 5.0447146077491185, 5.0106352940962555}}, 
       {{4.6061696863211745, 2.7911651078127173, 2.766319109226185}}, 
       {{2.8081971497071487, 1.0152306797290591, 1.015230679729058}}, 
       {{1.270883509608563, -0.4926583198105421, -0.504181081047322}}, 
       {{-0.09761282886700041, -1.8578992717326006, -1.8527841710658293}}, 
       {{-1.3409386593990935, -3.1055471395611973, -3.079113882493042}}, 
       {{-2.5146650719522756, -4.3614400010654935, -4.267270397375692}}, 
       {{-3.5906644066169813, -5.458486118700858, -5.341224867559314}}, 
       {{-4.5516294190600615, -6.297989707361243, -6.251790889549908}}, 
       {{-5.455673177324243, -7.091678117143065, -7.106206217705976}}, 
       {{-6.331141914678144, -7.888584531993864, -7.949042501030978}}, 
       {{-7.182455317210749, -8.682657631143769, -8.774022800385254}}, 
       {{-8.01884508916136, -9.47170513611059, -9.59013773333577}}, 
       {{-8.84847890135015, -10.26016249647486, -10.40436284544895}}, 
       {{-9.677787272440229, -11.053603684071353, -11.214303452480113}}, 
       {{-10.51523909489208, -11.854008314149125, -12.03548634495464}}, 
       {{-11.36709501675869, -12.671287758044112, -12.869661023848575}}, 
       {{-12.238802470153093, -13.508025858216312, -13.721109882542791}}, 
       {{-13.137477015214376, -14.370636440626845, -14.598582446052205}}, 
       {{-14.068984459086318, -15.264105945281544, -15.509417627024824}}, 
       {{-15.038666181706985, -16.196057192428032, -16.454967967600872}}, 
       {{-16.053244678638702, -17.17077900773803, -17.444236089258464}}, 
       {{-17.120489081885886, -18.19593847127446, -18.485752740696082}}, 
       {{-18.24840952301191, -19.278702567702545, -19.586074066310825}}}, 
      {{{6.8942646887996375, 5.0330488889331555, 5.0072963928307415}}, 
       {{4.613138355637268, 2.7788192719904177, 2.7744619666214616}}, 
       {{2.8231630082027146, 1.0296194171811586, 1.033184483345654}}, 
       {{1.2980094462523188, -0.4525567156420147, -0.4636240222816965}}, 
       {{-0.06485857234849643, -1.7909597890574902, -1.8078888511579385}}, 
       {{-1.312672221249277, -3.042823881087841, -3.0344731018704216}}, 
       {{-2.4692301704029926, -4.19372300620238, -4.175337721431632}}, 
       {{-3.5776959251533214, -5.370888059382872, -5.294325345278499}}, 
       {{-4.610283235374914, -6.424712036228597, -6.3266576022308145}}, 
       {{-5.543450935753862, -7.257312755152006, -7.215640058751437}}, 
       {{-6.42903970913438, -8.037858234741618, -8.056608784086993}}, 
       {{-7.2913610527374075, -8.825077971185538, -8.887532497549028}}, 
       {{-8.135337948947207, -9.609326513986638, -9.706277383248423}}, 
       {{-8.968964052400914, -10.39451054900594, -10.519673691959945}}, 
       {{-9.800028844167898, -11.182902552028922, -11.332271965276972}}, 
       {{-10.636207508215897, -11.981330372852266, -12.149692312094066}}, 
       {{-11.485310297937255, -12.789468962131, -12.981732247664583}}, 
       {{-12.352718225871659, -13.622413928002361, -13.82859579751293}}, 
       {{-13.246227364626714, -14.479098936282675, -14.702242487596884}}, 
       {{-14.171899828425845, -15.364794547578628, -15.607070047189662}}, 
       {{-15.135642716830496, -16.288883971938603, -16.54734128773189}}, 
       {{-16.144029032984825, -17.25878071604834, -17.53155568015098}}, 
       {{-17.20458175982859, -18.27658039997861, -18.565706516002624}}, 
       {{-18.32537056414804, -19.35462641106524, -19.656832446642536}}}, 
      {{{6.894670039433482, 5.0369526024136295, 5.002603122398991}}, 
       {{4.616110126026426, 2.7911651078127173, 2.7638002162067017}}, 
       {{2.8338014064077703, 1.0438040521731147, 1.0296194171811586}}, 
       {{1.3166762942390207, -0.4215944900380485, -0.4494169956373473}}, 
       {{-0.036871474775904696, -1.7418271004798458, -1.775492496764183}}, 
       {{-1.2797745177422177, -2.9798589243977007, -2.987764103904814}}, 
       {{-2.4429972467107905, -4.122744036743799, -4.13955115506018}}, 
       {{-3.534614495102507, -5.215816145036293, -5.210306489225323}}, 
       {{-4.595219855134923, -6.331141914678143, -6.279680095165907}}, 
       {{-5.595645816051623, -7.355606103586739, -7.27881896037297}}, 
       {{-6.509650525280265, -8.184298776142908, -8.152550077828328}}, 
       {{-7.384179476030796, -8.959581653629, -8.987997140832741}}, 
       {{-8.239561454817958, -9.743070831130224, -9.813646848536338}}, 
       {{-9.081068036272043, -10.527108670447463, -10.628744787014307}}, 
       {{-9.91758647691563, -11.314074606225063, -11.445266816496414}}, 
       {{-10.756334111853748, -12.10713269767527, -12.265822649935947}}, 
       {{-11.604492658495719, -12.913318750469621, -13.093775920552416}}, 
       {{-12.470038191364639, -13.740403085477467, -13.93994063634245}}, 
       {{-13.359352335540592, -14.59203934746327, -14.809762831308142}}, 
       {{-14.280088930564945, -15.472040077932224, -15.70930275275748}}, 
       {{-15.238054051759287, -16.38990437425381, -16.64403491253436}}, 
       {{-16.240489299172385, -17.351840613617927, -17.622723199040074}}, 
       {{-17.29477759504835, -18.363355677333097, -18.651352561687368}}, 
       {{-18.40974080391403, -19.434033188669652, -19.73819558967743}}}, 
      {{{6.895176496775277, 5.033700567027251, 4.99991133073328}}, 
       {{4.6210435351443815, 2.7850112422383386, 2.772588722239781}}, 
       {{2.843163674909384, 1.033184483345654, 1.0438040521731153}}, 
       {{1.331310052787131, -0.41098028879627485, -0.444725822061467}}, 
       {{-0.012882625831013718, -1.7214874162427236, -1.7492748576219}}, 
       {{-1.248621555994818, -2.9169210931297007, -2.952672784093544}}, 
       {{-2.4098362837410217, -4.064591604072753, -4.095345062555684}}, 
       {{-3.5088939571175297, -5.160296068650662, -5.170804046249078}}, 
       {{-4.553526952836253, -6.18991548583182, -6.198242744335928}}, 
       {{-5.579090030698882, -7.260153666153609, -7.23210133580551}}, 
       {{-6.556394429867174, -8.262550973042657, -8.206038762779315}}, 
       {{-7.458708693838907, -9.084589166670623, -9.07493573496998}}, 
       {{-8.327399619783582, -9.866191767792431, -9.907495573933668}}, 
       {{-9.181752915124271, -10.650035509823189, -10.733141977750737}}, 
       {{-10.026559550126123, -11.439675003230636, -11.55166629328666}}, 
       {{-10.870545401463936, -12.234472120051871, -12.373308564906088}}, 
       {{-11.721673136000705, -13.038941769265257, -13.205201655713333}}, 
       {{-12.587333064941522, -13.86050792389501, -14.051232891485343}}, 
       {{-13.4747617645758, -14.707108677248057, -14.918130868029923}}, 
       {{-14.391586066938382, -15.58277255559194, -15.814294196626657}}, 
       {{-15.344751928404097, -16.49497330221457, -16.74545509098026}}, 
       {{-16.34173932731421, -17.448387821962925, -17.718078404621664}}, 
       {{-17.389990471769714, -18.455272188721985, -18.740886008109708}}, 
       {{-18.498209946461603, -19.518493352449912, -19.820668432204258}}}, 
      {{{6.89588510641165, 5.02912987673242, 4.997212273764115}}, 
       {{4.623991940228679, 2.778819271990417, 2.772588722239781}}, 
       {{2.848970892158587, 1.0577902941478543, 1.033184483345654}}, 
       {{1.3454723665996355, -0.41400143913045007, -0.42924563677356814}}, 
       {{0.006975613736425138, -1.698269126140716, -1.7254100886865216}}, 
       {{-1.2214581186669555, -2.893175685228899, -2.9243422774673182}}, 
       {{-2.3750482647277615, -4.017939231019695, -4.048988860501304}}, 
       {{-3.4750592302606105, -5.089678501436709, -5.127731065972503}}, 
       {{-4.529135499712094, -6.142287436842565, -6.166294238143642}}, 
       {{-5.539370338405814, -7.12840195009776, -7.156216638280636}}, 
       {{-6.538954155245564, -8.166536319803068, -8.159518747144421}}, 
       {{-7.500514285510814, -9.150186449156436, -9.119586008707719}}, 
       {{-8.396303874140784, -9.976058245370965, -9.98253075987658}}, 
       {{-9.264585386828578, -10.762453217791014, -10.81778028174761}}, 
       {{-10.122390109593082, -11.556877352499411, -11.646456857594751}}, 
       {{-10.975847470060172, -12.352255155708255, -12.47526013534579}}, 
       {{-11.83285528497213, -13.158508824040682, -13.311105502001206}}, 
       {{-12.701353057960702, -13.979206650635064, -14.159410310414284}}, 
       {{-13.589172115753545, -14.82336848336392, -15.026843716696503}}, 
       {{-14.504068286190412, -15.695445718096055, -15.920064800459185}}, 
       {{-15.453862480563016, -16.60260396640694, -16.847906815889857}}, 
       {{-16.44590551450088, -17.551900994749264, -17.81581847825999}}, 
       {{-17.48851666292192, -18.550789429299385, -18.833170466997494}}, 
       {{-18.59087612094848, -19.606486244322852, -19.907901023662216}}}, 
      {{{6.896492086703426, 5.018603463745433, 4.996536369716754}}, 
       {{4.625952725170619, 2.772588722239781, 2.769458829230853}}, 
       {{2.8553201198372458, 1.040276711655147, 1.0438040521731147}}, 
       {{1.3553195568204601, -0.4049652330665136, -0.41855034765682}}, 
       {{0.023716526617316065, -1.687399453903812, -1.7159101569446167}}, 
       {{-1.1983221328171216, -2.8577109756566172, -2.8949823704538478}}, 
       {{-2.3448664852506518, -3.977095002171861, -4.014055730993297}}, 
       {{-3.440458095615458, -5.03441582276166, -5.09130319716371}}, 
       {{-4.493628811255184, -6.074846156047033, -6.113858195322049}}, 
       {{-5.514981951764537, -7.083299851497068, -7.123426815457646}}, 
       {{-6.5002921682113, -8.044069434834258, -8.088662810377077}}, 
       {{-7.4816982120636055, -9.057619284958518, -9.070578429601024}}, 
       {{-8.434231670701891, -10.029050775511474, -10.022271088526095}}, 
       {{-9.328898708100319, -10.856442268781874, -10.886452417678276}}, 
       {{-10.201354650046275, -11.657951237020486, -11.727357075682416}}, 
       {{-11.067598823436933, -12.462256050922583, -12.565608821749938}}, 
       {{-11.934062742472689, -13.272024151958735, -13.408047447193436}}, 
       {{-12.808648127905732, -14.095224460766879, -14.260236380025741}}, 
       {{-13.699506882207968, -14.936368455579704, -15.130414922997492}}, 
       {{-14.61468514316975, -15.80767409153705, -16.023694975536834}}, 
       {{-15.562487884420436, -16.712302883663362, -16.94820868659142}}, 
       {{-16.551497377759507, -17.655212901812796, -17.91446573274406}}, 
       {{-17.589512265495046, -18.64883683709012, -18.926518826207317}}, 
       {{-18.686079608163688, -19.700455261694582, -19.99668388030023}}}, 
      {{{6.897300821078278, 5.019925341003348, 4.999237249143887}}, 
       {{4.627909672957581, 2.772588722239781, 2.768831673362069}}, 
       {{2.859339648648436, 1.040276711655147, 1.0402767116551463}}, 
       {{1.3648153294427665, -0.4019712188539092, -0.41400143913045073}}, 
       {{0.03922071315328133, -1.6928195213731518, -1.6933631473718613}}, 
       {{-1.1796054478776414, -2.8387285247443264, -2.889572077725601}}, 
       {{-2.319832986403599, -3.9368281243471173, -3.9889040497641033}}, 
       {{-3.4067125623502656, -4.995254192057954, -5.0467807407326095}}, 
       {{-4.458475806837288, -6.011667254425501, -6.077894275106369}}, 
       {{-5.479839243171427, -7.01980478279076, -7.074991198358051}}, 
       {{-6.476622424125395, -7.99839939800107, -8.056608784086993}}, 
       {{-7.444240649528705, -8.942605937334099, -9.003326202591856}}, 
       {{-8.415087968479083, -9.936010744241688, -9.973910016832674}}, 
       {{-9.363491551470357, -10.903159893349335, -10.919598619692495}}, 
       {{-10.261592089284456, -11.741081558107982, -11.789997358309993}}, 
       {{-11.142742171006704, -12.554212687019069, -12.639937228160036}}, 
       {{-12.021919433907248, -13.372749665112412, -13.493427058795161}}, 
       {{-12.906043051438244, -14.1997035307969, -14.353364854118183}}, 
       {{-13.802594332697728, -15.04651203467813, -15.22691761989924}}, 
       {{-14.721108660299686, -15.915971466868186, -16.124113723283884}}, 
       {{-15.669571053389708, -16.817260903843827, -17.049500020642522}}, 
       {{-16.656121194650964, -17.759024230483792, -18.011887845751527}}, 
       {{-17.690719590269705, -18.746410884041676, -19.022160735986485}}, 
       {{-18.78251181504047, -19.79149553422387, -20.08616004727009}}}, 
      {{{6.897805948128469, 5.016617365773803, 4.995860008514102}}, 
       {{4.629862798578463, 2.772588722239781, 2.7719635268458624}}, 
       {{2.8627721462977607, 1.0473189942805583, 1.036736884950023}}, 
       {{1.37194185489549, -0.39749693845898726, -0.40947312950570297}}, 
       {{0.04783732941416006, -1.66073120682165, -1.7070507413011013}}, 
       {{-1.162191270310981, -2.8387285247443264, -2.878838522082491}}, 
       {{-2.298593071724508, -3.9070354639171074, -3.9856695455964446}}, 
       {{-3.379631603747595, -4.947660494934867, -5.023720533644911}}, 
       {{-4.422848629194137, -5.9638493800750085, -6.034789671846355}}, 
       {{-5.44311195145127, -6.949619483080836, -7.035588650492022}}, 
       {{-6.440881542745329, -7.937774776184635, -8.010375589047785}}, 
       {{-7.421084032966246, -8.89772181423437, -8.972111183243932}}, 
       {{-8.37830119254962, -9.828380080049323, -9.90950562486169}}, 
       {{-9.343528966219928, -10.816284395156027, -10.872124764782493}}, 
       {{-10.293276181259285, -11.776891010804693, -11.818092851763028}}, 
       {{-11.198844918663916, -12.627667135568222, -12.697095641999985}}, 
       {{-12.092922547597517, -13.45713705738996, -13.562419930282113}}, 
       {{-12.98958226617051, -14.295160564261815, -14.433550266037415}}, 
       {{-13.895528265950306, -15.147695593437133, -15.314749678100299}}, 
       {{-14.819813167161643, -16.018250315988602, -16.21570847982532}}, 
       {{-15.770966119863118, -16.918828042198204, -17.145317943539755}}, 
       {{-16.757891656021272, -17.859352138013268, -18.106600197646053}}, 
       {{-17.790473363166296, -18.84380078729925, -19.11382792451231}}, 
       {{-18.878597712062955, -19.883856149408214, -20.175722630245257}}}, 
      {{{6.897906942927323, 5.015954455573856, 4.995860008514102}}, 
       {{4.630837932736669, 2.766319109226186, 2.767576180416236}}, 
       {{2.866761892257031, 1.0438040521731158, 1.0402767116551457}}, 
       {{1.378010141532193, -0.40346710544549175, -0.41400143913045073}}, 
       {{0.060153922819747144, -1.671313316152188, -1.6884811197745528}}, 
       {{-1.147907580392987, -2.8150787738607344, -2.866459937849852}}, 
       {{-2.277892480403674, -3.9070354639171065, -3.963316299815697}}, 
       {{-3.3549819578651925, -4.928134072584512, -5.0041563279985475}}, 
       {{-4.394099215908151, -5.9182140853683896, -6.011667254425502}}, 
       {{-5.405679884876536, -6.90177320730459, -6.991136887921188}}, 
       {{-6.402746540537711, -7.867475568783628, -7.966185778017414}}, 
       {{-7.3851461266618905, -8.83739845557358, -8.927419616626112}}, 
       {{-8.35549960241825, -9.78659380106463, -9.879771025918812}}, 
       {{-9.307291898052632, -10.713618088581892, -10.809333026548744}}, 
       {{-10.27252430403074, -11.69324901910151, -11.770401695364944}}, 
       {{-11.227746522736567, -12.658629361172189, -12.72023717056168}}, 
       {{-12.145542145790142, -13.522094953664732, -13.613386373874139}}, 
       {{-13.056575636866325, -14.372380120231671, -14.496729167658946}}, 
       {{-13.974975332615301, -15.232676582751251, -15.389098817504678}}, 
       {{-14.907941987557303, -16.112113579280773, -16.297222316855756}}, 
       {{-15.86422892700127, -17.017037744497863, -17.228881740558137}}, 
       {{-16.854150332529542, -17.955689656530176, -18.195140068038434}}, 
       {{-17.886529294882877, -18.93819535586915, -19.20156683882032}}, 
       {{-18.972501988421875, -19.97421102444817, -20.262681429617167}}}, 
      {{{6.898209866138606, 5.020585624949423, 4.995183189537334}}, 
       {{4.631812116934513, 2.766319109226185, 2.761906873892921}}, 
       {{2.869601996409779, 1.040276711655147, 1.0402767116551457}}, 
       {{1.3835405729232695, -0.39898614201045485, -0.412489723045129}}, 
       {{0.06859279146561167, -1.6660082639224945, -1.6879401405890582}}, 
       {{-1.1338250444238542, -2.81842325858358, -2.850766503303806}}, 
       {{-2.26048391697541, -3.882464203186602, -3.942997809727576}}, 
       {{-3.3317646069468188, -4.913054965757391, -4.983506626708003}}, 
       {{-4.3661532855175915, -5.892524599253078, -5.983496377458805}}, 
       {{-5.373472040148797, -6.856112045830298, -6.960101759354346}}, 
       {{-6.363688321436345, -7.8190584693452525, -7.921107723699424}}, 
       {{-7.346105214426078, -8.769508120030727, -8.883918471208471}}, 
       {{-8.319162340917103, -9.72785498389297, -9.833961489887518}}, 
       {{-9.284848424151244, -10.672220720052668, -10.781038456094352}}, 
       {{-10.237004161331708, -11.595220707697058, -11.711376403694066}}, 
       {{-11.206912435833724, -12.577136326921005, -12.674477553412212}}, 
       {{-12.172444464550189, -13.546247071036511, -13.635692131388438}}, 
       {{-13.105998023318065, -14.42984655809993, -14.543249183293838}}, 
       {{-14.038404140523276, -15.30361618523085, -15.44924116296742}}, 
       {{-14.982830044642174, -16.192819197154257, -16.36655701025682}}, 
       {{-15.947509350382786, -17.104272510296642, -17.305867075946246}}, 
       {{-16.94249111812822, -18.04498779417787, -18.27658039997861}}, 
       {{-17.97727779650381, -19.02765022827126, -19.28580318925212}}, 
       {{-19.062374642923395, -20.061609323477835, -20.344829401226164}}}, 
      {{{6.898613621064854, 5.017941869278694, 4.995183189537333}}, 
       {{4.633757642840004, 2.760009940032921, 2.769458829230854}}, 
       {{2.8724340572094973, 1.0367368849500223, 1.0402767116551463}}, 
       {{1.3882923637825637, -0.39898614201045485, -0.41098028879627485}}, 
       {{0.07603468627599758, -1.655481850935507, -1.6852396258503821}}, 
       {{-1.1220856448537517, -2.811745437440975, -2.8438699242447454}}, 
       {{-2.245260026374776, -3.868006120011372, -3.940422479949844}}, 
       {{-3.312362667961665, -4.8941864814530085, -4.967575804635809}}, 
       {{-4.3405008878453835, -5.881713683148862, -5.95996588004861}}, 
       {{-5.344570751065499, -6.828944098557847, -6.937184089672949}}, 
       {{-6.330018949933519, -7.7705052439282625, -7.891254760549742}}, 
       {{-7.305103418988354, -8.723602543739283, -8.835334471352727}}, 
       {{-8.278964002683987, -9.65975736761353, -9.790158867229126}}, 
       {{-9.248146086712081, -10.608302537963755, -10.73635667627121}}, 
       {{-10.21491601871791, -11.556877352499411, -11.683713785950511}}, 
       {{-11.171465686837976, -12.48314453886994, -12.618562368575303}}, 
       {{-12.150637938642074, -13.469087990489893, -13.589172115753545}}, 
       {{-13.130395549101593, -14.450388830400243, -14.562058515251335}}, 
       {{-14.084305454697573, -15.35495609857834, -15.491622603666366}}, 
       {{-15.042410866933915, -16.256208953087953, -16.421907105339983}}, 
       {{-16.018250315988602, -17.1765261499936, -17.371608900844393}}, 
       {{-17.020483477663483, -18.12503050185141, -18.34836008237274}}, 
       {{-18.05951589474078, -19.10983590324277, -19.36228928381081}}, 
       {{-19.146144525988852, -20.14384742171481, -20.42168085932564}}}, 
      {{{6.898916330314933, 5.015954455573856, 4.995860008514102}}, 
       {{4.634728988229636, 2.760009940032921, 2.766319109226186}}, 
       {{2.8746939451769347, 1.0367368849500223, 1.0402767116551457}}, 
       {{1.393021681869317, -0.4049652330665136, -0.406465608441748}}, 
       {{0.08342160813907236, -1.6660082639224945, -1.682546384254739}}, 
       {{-1.1132184410574717, -2.8034603859068685, -2.8490378944031876}}, 
       {{-2.229334631254453, -3.877621578710814, -3.921568418271678}}, 
       {{-3.2933300107931482, -4.8796070316898525, -4.954727662157959}}, 
       {{-4.318488613869894, -5.853443249210607, -5.936976361823913}}, 
       {{-5.315870525795626, -6.817914574982347, -6.907755278982137}}, 
       {{-6.298533333359953, -7.742466023863869, -7.8596731884994435}}, 
       {{-7.269155655928201, -8.6720941526342, -8.804208819324858}}, 
       {{-8.236535733901421, -9.609326513986638, -9.741368703059694}}, 
       {{-9.207344862996385, -10.545941618780555, -10.692264964111324}}, 
       {{-10.177661274963118, -11.495085546841898, -11.639623118016187}}, 
       {{-11.149672205671374, -12.449418904161902, -12.58879826666885}}, 
       {{-12.115683645802493, -13.378546782796738, -13.534098098526089}}, 
       {{-13.108460472235338, -14.374126845566613, -14.51870807437772}}, 
       {{-14.106932950031778, -15.372356020279204, -15.508330079337425}}, 
       {{-15.084911167612665, -16.303221135085007, -16.460585959905096}}, 
       {{-16.074078765541547, -17.232837321556314, -17.423732109060754}}, 
       {{-17.08620613156227, -18.191952814344255, -18.40875217308709}}, 
       {{-18.131749452100152, -19.184250388808856, -19.426896183354508}}, 
       {{-19.222304400848394, -20.218257098501986, -20.491360779963628}}}, 
      {{{6.8992189479598505, 5.01396308418893, 4.995183189537334}}, 
       {{4.635699391022914, 2.760009940032922, 2.7682041239219566}}, 
       {{2.87751164216656, 1.0367368849500223, 1.0438040521731147}}, 
       {{1.397481550510455, -0.4049652330665136, -0.4049652330665136}}, 
       {{0.08984070399978954, -1.660731206821651, -1.6814711153339317}}, 
       {{-1.1035243330291302, -2.7985221042662856, -2.845589615124272}}, 
       {{-2.218243944560295, -3.863232841258714, -3.9251082449768018}}, 
       {{-3.2770347390417327, -4.875667433685772, -4.944847553558253}}, 
       {{-4.299157156851587, -5.843044541989708, -5.936976361823913}}, 
       {{-5.292335294870489, -6.788196043924497, -6.891881929825847}}, 
       {{-6.269064284218251, -7.721940787919138, -7.836624793063152}}, 
       {{-7.2366760994505155, -8.639925956798534, -8.772730810541452}}, 
       {{-8.198739460297702, -9.561317294800277, -9.704636693790963}}, 
       {{-9.163456786077333, -10.494078144770981, -10.644145715767126}}, 
       {{-10.135167434872624, -11.432267561952774, -11.591968672310681}}, 
       {{-11.112137946413176, -12.387594522153563, -12.545750013100335}}, 
       {{-12.094173553032764, -13.347383688731398, -13.507290834294945}}, 
       {{-13.073573213234896, -14.288719318158957, -14.463684372881488}}, 
       {{-14.084305454697573, -15.299638279432928, -15.46472934041022}}, 
       {{-15.105767730887223, -16.317766846087387, -16.476200187706645}}, 
       {{-16.113108109447282, -17.276457944032202, -17.45750642617936}}, 
       {{-17.13752714175199, -18.245048175309208, -18.454237527481208}}, 
       {{-18.19274867590636, -19.243936609859333, -19.483153986004602}}, 
       {{-19.28865761554797, -20.285010906015255, -20.55099461600596}}}, 
      {{{6.899420642192079, 5.012633296758929, 4.994505912166372}}, 
       {{4.636668853047462, 2.760009940032921, 2.7682041239219575}}, 
       {{2.8791984572980396, 1.033184483345654, 1.0402767116551463}}, 
       {{1.4006902414036229, -0.40197121885390785, -0.4079682383262829}}, 
       {{0.0962188577405429, -1.660731206821651, -1.6761120457020935}}, 
       {{-1.094520670764856, -2.8034603859068685, -2.8370205823991705}}, 
       {{-2.205458382263323, -3.863232841258714, -3.91052412930441}}, 
       {{-3.261783325879477, -4.870438663602972, -4.933674252960127}}, 
       {{-4.27947004634879, -5.836171662701946, -5.921938484459372}}, 
       {{-5.270896770972044, -6.768863280115519, -6.883062666391765}}, 
       {{-6.242493301911727, -7.697413359922925, -7.816573996017591}}, 
       {{-7.204545370464645, -8.616461193074906, -8.744721341048272}}, 
       {{-8.164425872308522, -9.52642191894966, -9.67396439425788}}, 
       {{-9.12416267573513, -10.441341848690039, -10.6034579584442}}, 
       {{-10.090058123619498, -11.381897202563824, -11.54235427566104}}, 
       {{-11.068239643708782, -12.318122149338796, -12.496424946537834}}, 
       {{-12.055929987100454, -13.287238020594563, -13.463446226583224}}, 
       {{-13.052837314755719, -14.257121112708791, -14.43913167587561}}, 
       {{-14.049462307995087, -15.219561640673424, -15.411045565229383}}, 
       {{-15.082778212662523, -16.24706603225528, -16.4341771979318}}, 
       {{-16.13219457533782, -17.289278632461265, -17.47134215803201}}, 
       {{-17.17393584778256, -18.28178874508575, -18.48682054645691}}, 
       {{-18.240027244259107, -19.290565103012366, -19.525713600423398}}, 
       {{-19.343996090763486, -20.340046337785566, -20.601048204222163}}}, 
      {{{6.899622295751948, 5.011301738639417, 4.994505912166372}}, 
       {{4.637637376125593, 2.760009940032921, 2.768831673362069}}, 
       {{2.8814431271518632, 1.0296194171811586, 1.0438040521731147}}, 
       {{1.404625317804614, -0.4049652330665136, -0.40346710544549175}}, 
       {{0.10165365372649982, -1.6660082639224945, -1.6766466621275506}}, 
       {{-1.0867825369145325, -2.7985221042662856, -2.8336134240775563}}, 
       {{-2.1946279514889535, -3.8632328412587147, -3.9040548357789695}}, 
       {{-3.2480472021684808, -4.857485114602581, -4.925375450145432}}, 
       {{-4.262289953071548, -5.819193326167529, -5.907123398674231}}, 
       {{-5.248575274653223, -6.763654935008381, -6.8599179495679765}}, 
       {{-6.218616119819731, -7.675626005738019, -7.801795401921472}}, 
       {{-7.175896196227082, -8.590839731584536, -8.71625407221449}}, 
       {{-8.129892053935745, -9.50337005075456, -9.641123288068638}}, 
       {{-9.088122739251933, -10.40766863358345, -10.570577198776784}}, 
       {{-10.050133132877614, -11.332271965276972, -11.501985524931893}}, 
       {{-11.023119208428314, -12.267948049248261, -12.449418904161902}}, 
       {{-12.011657841048835, -13.217773562208988, -13.417405804262401}}, 
       {{-13.013957503560542, -14.1997035307969, -14.395329053217216}}, 
       {{-14.029322781849599, -15.187902013915172, -15.388616541150984}}, 
       {{-15.047882836811908, -16.16938894534587, -16.380759960434812}}, 
       {{-16.10814532010515, -17.223732554563394, -17.4281699861668}}, 
       {{-17.191040192877853, -18.294048093019, -18.498642285422076}}, 
       {{-18.27312317959475, -19.324548955827964, -19.554816588689523}}, 
       {{-19.386949845632763, -20.3832285341607, -20.639844228807338}}}, 
      {{{6.900428503595676, 5.005957704545144, 4.991112627607392}}, 
       {{4.637637376125593, 2.760009940032921, 2.764430534538317}}, 
       {{2.8831233291713367, 1.033184483345654, 1.0438040521731153}}, 
       {{1.4078112045821403, -0.4049652330665136, -0.4019712188539092}}, 
       {{0.10705907229340778, -1.6660082639224945, -1.671313316152188}}, 
       {{-1.0791038222800668, -2.8001654900100155, -2.8285243545700847}}, 
       {{-2.184802057337662, -3.8584822385001165, -3.900588627802483}}, 
       {{-3.2347511740264907, -4.8587729447870105, -4.9157797630835764}}, 
       {{-4.2460981174496375, -5.809142990314028, -5.896154367303658}}, 
       {{-5.229911333883976, -6.739701693985888, -6.848543419350291}}, 
       {{-6.194805471126012, -7.667042262046628, -7.777639638042136}}, 
       {{-7.150973994727398, -8.568486485803788, -8.708353696877396}}, 
       {{-8.100128947464722, -9.474305917810648, -9.61231159083009}}, 
       {{-9.053336623166517, -10.381523353479128, -10.541389258870096}}, 
       {{-10.013302418543335, -11.288982233485454, -11.473704751816948}}, 
       {{-10.982297213908058, -12.218145226764443, -12.41186755850977}}, 
       {{-11.965167764637322, -13.167360743335065, -13.362525933888133}}, 
       {{-12.96835556492498, -14.137094182091737, -14.344839653294825}}, 
       {{-13.98998299981483, -15.131905791704497, -15.343368483405952}}, 
       {{-15.02852410694236, -16.141364277897676, -16.36016721215805}}, 
       {{-16.074078765541547, -17.145317943539755, -17.380050737822604}}, 
       {{-17.16677557087822, -18.228408856305244, -18.457344728323957}}, 
       {{-18.288775673072426, -19.334474595627935, -19.566070224179406}}, 
       {{-19.417097520305806, -20.41211140830949, -20.666885503510304}}}, 
      {{{6.900629954039548, 5.004617221770693, 4.991112627607392}}, 
       {{4.638604962074329, 2.760009940032921, 2.766319109226186}}, 
       {{2.884800712846709, 1.0296194171811586, 1.043804052173114}}, 
       {{1.410499049816708, -0.4049652330665136, -0.40346710544549175}}, 
       {{0.11154137473290751, -1.6660082639224956, -1.670250051830857}}, 
       {{-1.0720677334459974, -2.7985221042662856, -2.8234610526135375}}, 
       {{-2.1759524420606797, -3.8537540973041713, -3.8971343929343956}}, 
       {{-3.2231348817885843, -4.849792768979425, -4.911695346241352}}, 
       {{-4.230851806876764, -5.809142990314028, -5.888907958782889}}, 
       {{-5.210489656182516, -6.736326163354606, -6.830794237846009}}, 
       {{-6.173946116703302, -7.650092703732854, -7.7634213890398565}}, 
       {{-7.125165298448586, -8.553338638052592, -8.683838268825184}}, 
       {{-8.07379024396768, -9.44859756110044, -9.60338296008579}}, 
       {{-9.022202429860789, -10.346654527828305, -10.512661299319895}}, 
       {{-9.976058245370963, -11.26450410647175, -11.434114284545938}}, 
       {{-10.943642271632669, -12.1784574784972, -12.375675429916354}}, 
       {{-11.924207458399957, -13.11837135613479, -13.325091743975946}}, 
       {{-12.92228376568867, -14.080779035579155, -14.295160564261815}}, 
       {{-13.943798578265804, -15.069374131903675, -15.2912920855857}}, 
       {{-14.988954157255387, -16.085628460820818, -16.31532782048803}}, 
       {{-16.055120851796932, -17.12321759653909, -17.358041115743074}}, 
       {{-17.131723615721434, -18.15677920016599, -18.40776451868582}}, 
       {{-18.2636769951427, -19.27165200970588, -19.52510991794204}}, 
       {{-19.431007467753115, -20.42168085932564, -20.67638225104756}}}, 
      {{{6.900831363909313, 5.003274939689963, 4.991792206294776}}, 
       {{4.639571612705423, 2.760009940032921, 2.768831673362069}}, 
       {{2.8859174075467844, 1.033184483345654, 1.0438040521731153}}, 
       {{1.4131796899012727, -0.4034671054454911, -0.4019712188539085}}, 
       {{0.11600367575630613, -1.6660082639224945, -1.6644222207668598}}, 
       {{-1.0659515064285614, -2.796881414808826, -2.821778966430553}}, 
       {{-2.1671804559878427, -3.8490482062667577, -3.892220378131966}}, 
       {{-3.2121485041187743, -4.845968672541022, -4.906275278772013}}, 
       {{-4.216512196196308, -5.805815200221352, -5.878135861800979}}, 
       {{-5.194137547638372, -6.729609093598663, -6.824333670843064}}, 
       {{-6.153512999062381, -7.633425651247642, -7.751725349276667}}, 
       {{-7.102432857985676, -8.537906233013778, -8.66743485474678}}, 
       {{-8.04656475740166, -9.433483923290392, -9.581404053367015}}, 
       {{-8.992812559447609, -10.325082042574177, -10.496970409983128}}, 
       {{-9.943892967171166, -11.229251413915986, -11.408565449645986}}, 
       {{-10.905880983463694, -12.153480195411003, -12.340747548856775}}, 
       {{-11.88500415406076, -13.076434445515929, -13.29315169838461}}, 
       {{-12.88098705782906, -14.032423559527848, -14.255567110842058}}, 
       {{-13.8984574787852, -15.007554791424937, -15.243460594352998}}, 
       {{-14.942522321154081, -16.02187679321778, -16.261966021378022}}, 
       {{-16.015539062633227, -17.064845590317184, -17.313108713912783}}, 
       {{-17.11451242731176, -18.132498796458933, -18.389182076892993}}, 
       {{-18.228408856305244, -19.2037526320403, -19.475084777956155}}, 
       {{-19.405250316579814, -20.362100987734827, -20.636171130095477}}}}, 
     {Automatic, Automatic}]
 
sigmaNLLGG8[x_, y_] := If[x < 200 || x > 2500 || y < 200 || y > 2500, 
     "Squark or gluino mass outside range of Interpolation!", 
     {SetPrecision[E^fNLLGGLog8[x, y][[1]], 3], 
      SetPrecision[E^fNLLGGLog8[x, y][[2]], 3], 
      SetPrecision[-E^fNLLGGLog8[x, y][[3]], 3]}]
 
fNLLGGLog8 = InterpolatingFunction[{{200., 2500.}, {200., 2500.}}, 
     {4, 3, 0, {24, 24}, {5, 5}, 0, 0, 0, 0, Automatic}, 
     {{200., 300., 400., 500., 600., 700., 800., 900., 1000., 1100., 1200., 
       1300., 1400., 1500., 1600., 1700., 1800., 1900., 2000., 2100., 2200., 
       2300., 2400., 2500.}, {200., 300., 400., 500., 600., 700., 800., 900., 
       1000., 1100., 1200., 1300., 1400., 1500., 1600., 1700., 1800., 1900., 
       2000., 2100., 2200., 2300., 2400., 2500.}}, 
     {{{{6.912201725420272, 4.960443168068026, 4.8862104931464865}}, 
       {{4.706038022305401, 2.649991278647057, 2.6068382586112673}}, 
       {{3.041052594742789, 0.8890647312424994, 0.8889678912930463}}, 
       {{1.6510056912568412, -0.5274583223271414, -0.5218324307559328}}, 
       {{0.4230549652592108, -1.78109084780833, -1.7451864846890852}}, 
       {{-0.686197813501979, -2.9125620628533313, -2.8424889523422103}}, 
       {{-1.7106353904214733, -3.956187104520038, -3.8531480900486375}}, 
       {{-2.6738830796557593, -4.932555427685417, -4.801896852471468}}, 
       {{-3.5918938607119206, -5.858642574411876, -5.705597065551168}}, 
       {{-4.477048846382312, -6.7479589421936925, -6.576416214179375}}, 
       {{-5.338517626351726, -7.608981025389338, -7.423468650013346}}, 
       {{-6.1838083290281265, -8.445656949559726, -8.251603356654254}}, 
       {{-7.020066644825036, -9.269312102600034, -9.067913405329763}}, 
       {{-7.852951170631009, -10.086747574244924, -9.880227886617085}}, 
       {{-8.687883264904206, -10.904136983227948, -10.693491291457672}}, 
       {{-9.530631796761638, -11.725125744626117, -11.51296442896706}}, 
       {{-10.386085337654006, -12.554423841625301, -12.34475965818253}}, 
       {{-11.259249103136193, -13.397674643646408, -13.19367917061574}}, 
       {{-12.15528593456178, -14.259050569034768, -14.064593341344139}}, 
       {{-13.079135844113914, -15.143868722279834, -14.962139004043115}}, 
       {{-14.035825489225275, -16.057358508038917, -15.891285665398092}}, 
       {{-15.031101382124536, -17.00431023918023, -16.856774216517262}}, 
       {{-16.07119875744701, -17.98881329965202, -17.863533958164158}}, 
       {{-17.16252687135828, -19.018524715147183, -18.91647672907278}}}, 
      {{{6.988928286356308, 4.921037297150154, 4.873476615428844}}, 
       {{4.633076059330997, 2.671543192412469, 2.6085370197749755}}, 
       {{2.895280229827356, 0.8961840322302707, 0.8454763433383194}}, 
       {{1.5020175510658618, -0.5978164992793217, -0.6102578823840414}}, 
       {{0.290064904083024, -1.8794291205198415, -1.8469001001626875}}, 
       {{-0.8122370844722862, -3.007886087781217, -2.946589377645195}}, 
       {{-1.8290020219801353, -4.044920703780721, -3.953969629323135}}, 
       {{-2.783738420458986, -5.014683638402013, -4.896640329680849}}, 
       {{-3.692829562867152, -5.933034651573663, -5.79318828559915}}, 
       {{-4.569469640252409, -6.8100178192742815, -6.656710674254701}}, 
       {{-5.422642677901149, -7.661143478687346, -7.496752546692662}}, 
       {{-6.260945908651707, -8.49290401512092, -8.319080440124969}}, 
       {{-7.089953603895816, -9.313839490949526, -9.129140210601403}}, 
       {{-7.916433013976133, -10.127985906817342, -9.935789009786882}}, 
       {{-8.745918360418582, -10.942113572197115, -10.744584006772968}}, 
       {{-9.583499035599328, -11.760414769842015, -11.559450970489477}}, 
       {{-10.434502089935672, -12.586577650878269, -12.387002330402456}}, 
       {{-11.30339533804863, -13.4274874376151, -13.23203004553075}}, 
       {{-12.195593099521858, -14.286403496385162, -14.099411585229346}}, 
       {{-13.116010871577593, -15.168950268747498, -14.993643746028482}}, 
       {{-14.069485481703113, -16.080331445616785, -15.919426976010957}}, 
       {{-15.0617817928589, -17.025283117428017, -16.882068376304556}}, 
       {{-16.09912794332067, -18.00769587079893, -17.8860359591372}}, 
       {{-17.187914682598592, -19.035337149603727, -18.93660310112494}}}, 
      {{{7.016470624113301, 4.928009897484839, 4.888856891802104}}, 
       {{4.695941081785603, 2.6350907155325114, 2.5840431112902893}}, 
       {{2.8589123782303436, 0.8978364108309053, 0.8423221417344579}}, 
       {{1.383171619915739, -0.5742155186685872, -0.622221684780563}}, 
       {{0.1556904931743987, -1.888220076612868, -1.9202155641511995}}, 
       {{-0.9399801785933529, -3.0537805149919865, -3.0426114418744614}}, 
       {{-1.9554435766908937, -4.10472838106665, -4.058413513054497}}, 
       {{-2.9069147129889545, -5.078138430240754, -5.00253338705095}}, 
       {{-3.811020068663315, -5.995963063327743, -5.896428284238171}}, 
       {{-4.680736061469096, -6.873766199079325, -6.754969348388708}}, 
       {{-5.526804528599835, -7.723226778692849, -7.588904425148154}}, 
       {{-6.357353388487978, -8.552802826212972, -8.405802117531545}}, 
       {{-7.179223022340709, -9.370448895094546, -9.209197052984983}}, 
       {{-7.998628487591391, -10.181855300343923, -10.009379548553138}}, 
       {{-8.821367623901319, -10.992474173389756, -10.812127259091195}}, 
       {{-9.652613035069761, -11.807797381726, -11.622074876603413}}, 
       {{-10.497740648613894, -12.631364211878832, -12.444217376418955}}, 
       {{-11.361437930496539, -13.468630377582313, -13.284327527452897}}, 
       {{-12.24874042619105, -14.324492734042442, -14.147005661173745}}, 
       {{-13.164645004813414, -15.203888196530484, -15.036691964526659}}, 
       {{-14.113827325204957, -16.112622557133122, -15.958297619939978}}, 
       {{-15.102198514217603, -17.054656497910806, -16.917166602733328}}, 
       {{-16.13592936340881, -18.034789305103487, -17.917511042740173}}, 
       {{-17.221147477309664, -19.059637896915326, -18.964592101373672}}}, 
      {{{7.032146609200357, 4.935540209553874, 4.902320965000815}}, 
       {{4.726525517391874, 2.6399613453138517, 2.5990248363800994}}, 
       {{2.9127309099451226, 0.8632476949047861, 0.809846866368383}}, 
       {{1.3659038013654765, -0.5850573960682854, -0.6411616427418466}}, 
       {{0.05789431779715352, -1.8666644319295675, -1.9134629620899821}}, 
       {{-1.059466805161166, -3.054877475631081, -3.0932096541460217}}, 
       {{-2.0750452016456835, -4.13481266276565, -4.1449473424939045}}, 
       {{-3.029379545522575, -5.124460713872172, -5.101519624906391}}, 
       {{-3.9336237450086977, -6.053007550903362, -6.000785543153783}}, 
       {{-4.801061604889559, -6.935655848499658, -6.85980739250355}}, 
       {{-5.642834415258333, -7.787359156674131, -7.691302519329996}}, 
       {{-6.467723678264613, -8.617684042587708, -8.505192040008616}}, 
       {{-7.283126302144432, -9.434469095472824, -9.303022559369145}}, 
       {{-8.095648090265376, -10.244043226886633, -10.097008117202089}}, 
       {{-8.911686774823794, -11.052067579816843, -10.893750238826026}}, 
       {{-9.736259627460823, -11.864473957258607, -11.698107536460547}}, 
       {{-10.574780023451538, -12.685797981631707, -12.514666098995736}}, 
       {{-11.432469824388551, -13.51922812470708, -13.348688180296586}}, 
       {{-12.31385394228042, -14.372141128585396, -14.20560309335165}}, 
       {{-13.224088786898243, -15.248786152642776, -15.089913297068508}}, 
       {{-14.168673600901407, -16.15309721961955, -16.00695418463868}}, 
       {{-15.152367478984356, -17.09198858501289, -16.96129334913285}}, 
       {{-16.181569047296087, -18.068984129425306, -17.957303657999027}}, 
       {{-17.262706871630364, -19.09069112840616, -19.00032687356077}}}, 
      {{{7.038184072033382, 4.945485877828568, 4.912394486909014}}, 
       {{4.749705092393741, 2.6469330084572302, 2.615929175885271}}, 
       {{2.9435814816806753, 0.864878173056789, 0.8238039469050545}}, 
       {{1.4138045426377641, -0.618905790286326, -0.677708067831475}}, 
       {{0.05161577757095857, -1.8854141994531144, -1.9436952294873573}}, 
       {{-1.1409886370805011, -3.0377190288668783, -3.0833457591827895}}, 
       {{-2.181640635687447, -4.132551061040372, -4.174732844203292}}, 
       {{-3.140340750829674, -5.149524701018395, -5.173309664748168}}, 
       {{-4.050899028724432, -6.092677045630385, -6.09250332884563}}, 
       {{-4.921056743823232, -6.987722871637411, -6.960160952881482}}, 
       {{-5.762676542292585, -7.846916357111969, -7.794502114150393}}, 
       {{-6.585231272074214, -8.681229322505844, -8.60838309935184}}, 
       {{-7.396643004086338, -9.49957261375326, -9.404962184059572}}, 
       {{-8.203895516481692, -10.309025731723336, -10.194390193573827}}, 
       {{-9.013801790375537, -11.116540484079925, -10.985563187641304}}, 
       {{-9.831886735873072, -11.927603493513606, -11.783811636649721}}, 
       {{-10.663978943982228, -12.745750082523468, -12.594973943006861}}, 
       {{-11.515141662813383, -13.576869613708043, -13.422947065530126}}, 
       {{-12.39040918027935, -14.426777349226041, -14.274108188053065}}, 
       {{-13.294778405435665, -15.299432612824784, -15.152783175757342}}, 
       {{-14.233434661930417, -16.200573486928477, -16.064291128604776}}, 
       {{-15.211569558725369, -17.1362046559599, -17.013342564015627}}, 
       {{-16.235718501134613, -18.109270686544555, -18.0044974427392}}, 
       {{-17.311878546957942, -19.127529888546082, -19.042770814054098}}}, 
      {{{7.0437224520452, 4.950717581792547, 4.92001880700973}}, 
       {{4.765275729252127, 2.6555503992727783, 2.6308967420370735}}, 
       {{2.971449332359254, 0.8719888583379674, 0.8422449950281065}}, 
       {{1.4429923049807079, -0.6178044156525303, -0.6652155750240774}}, 
       {{0.09517944144425071, -1.9188565050470745, -1.9825585228900948}}, 
       {{-1.1408939611979607, -3.0613325321730342, -3.122148039586409}}, 
       {{-2.2506915931029186, -4.121299432458421, -4.168505572033361}}, 
       {{-3.235790523141575, -5.146599398550438, -5.19326047598851}}, 
       {{-4.15397436993527, -6.114121245496079, -6.149314581832122}}, 
       {{-5.0324473136914865, -7.024308985183163, -7.038627545394333}}, 
       {{-5.878902418274204, -7.894733492942902, -7.885748664823789}}, 
       {{-6.703270805551614, -8.737390443340239, -8.705253283173722}}, 
       {{-7.513818000970797, -9.560989923419715, -9.505740297196652}}, 
       {{-8.318534693567258, -10.37351280881748, -10.293974677710798}}, 
       {{-9.123856697971055, -11.182081896854733, -11.081598216410038}}, 
       {{-9.93675356379681, -11.992386186290977, -11.8755441341374}}, 
       {{-10.762662184939135, -12.810726260722417, -12.681678064573706}}, 
       {{-11.607586701785102, -13.639265844445482, -13.504981080058963}}, 
       {{-12.476487220138514, -14.486312254623503, -14.350305874207853}}, 
       {{-13.374549888123967, -15.355935770792565, -15.223310552795418}}, 
       {{-14.307101412689974, -16.25363402576071, -16.129052955120308}}, 
       {{-15.279393114920971, -17.18537563194365, -17.072588450774763}}, 
       {{-16.297666032612188, -18.154904280712042, -18.058099521015606}}, 
       {{-17.36818653774092, -19.169076058787024, -19.090854987753822}}}, 
      {{{7.046073735753563, 4.955310244267186, 4.925430332519756}}, 
       {{4.775727497164447, 2.6667627575725557, 2.64351293531625}}, 
       {{2.992830570163655, 0.8832072175077728, 0.8602002427016736}}, 
       {{1.4720336569386723, -0.6090682268420843, -0.6466301025425133}}, 
       {{0.12190221701657675, -1.9163411293410257, -1.973755184388808}}, 
       {{-1.1014501035197461, -3.092672726561997, -3.161787709450028}}, 
       {{-2.246551621109133, -4.148111528814221, -4.2118239735144565}}, 
       {{-3.2951815175351333, -5.139958536692977, -5.190669735896218}}, 
       {{-4.239873283912034, -6.113151298580574, -6.164818212230081}}, 
       {{-5.128416378316798, -7.043515409294321, -7.08603038542946}}, 
       {{-5.9848353628562325, -7.92791913499755, -7.954407999400297}}, 
       {{-6.815327271680511, -8.782204282943225, -8.787642812903314}}, 
       {{-7.629105842155273, -9.614239975622764, -9.59795717381141}}, 
       {{-8.434301847909172, -10.43156109333569, -10.389433421678136}}, 
       {{-9.237745453530298, -11.244804183097054, -11.177427156755899}}, 
       {{-10.047129550630377, -12.056722381444121, -11.96971824099745}}, 
       {{-10.868593846024568, -12.874372430868503, -12.772179949743164}}, 
       {{-11.707581902546123, -13.703599577550658, -13.591148117965187}}, 
       {{-12.570348009522885, -14.54932633865607, -14.432014687968426}}, 
       {{-13.462282450326517, -15.41605061132347, -15.29954222182085}}, 
       {{-14.38839119218988, -16.311140799455256, -16.199451766388812}}, 
       {{-15.354426593700904, -17.239148063991404, -17.137509910294128}}, 
       {{-16.366681934192126, -18.204512915575222, -18.117182091459476}}, 
       {{-17.431447151945143, -19.21401362852695, -19.144483544269228}}}, 
      {{{7.048339332201467, 4.959663146472322, 4.9297040945353405}}, 
       {{4.783562502568717, 2.673902665134526, 2.6536703615838158}}, 
       {{3.008860037420776, 0.8936853459547965, 0.8767072355203754}}, 
       {{1.499229378709159, -0.600877467493168, -0.6255792039021062}}, 
       {{0.15372575653069867, -1.910641166212129, -1.9538937239227339}}, 
       {{-1.0747001130455291, -3.0934183007848364, -3.1550104791131774}}, 
       {{-2.2099750523512736, -4.17891434587636, -4.251542697628532}}, 
       {{-3.2884312465410703, -5.169835527884523, -5.236320275853164}}, 
       {{-4.291371303180049, -6.111522209933057, -6.165686601550112}}, 
       {{-5.206043193284394, -7.045138826157087, -7.099132735262146}}, 
       {{-6.074082397246351, -7.946844194622525, -7.995633835002818}}, 
       {{-6.915756301855827, -8.813147165046933, -8.848883130148504}}, 
       {{-7.737142831211003, -9.655969189524576, -9.674185852266941}}, 
       {{-8.546356851789204, -10.48260123804963, -10.475376867971107}}, 
       {{-9.35131866937814, -11.30080723771003, -11.268074046449765}}, 
       {{-10.159414943630045, -12.11761524332784, -12.061089355449155}}, 
       {{-10.977991189649318, -12.937326478273187, -12.863322522889748}}, 
       {{-11.812646321737505, -13.76760036644265, -13.679086858134992}}, 
       {{-12.670207937427003, -14.612437438691625, -14.516046148551146}}, 
       {{-13.556310206054, -15.477700498487094, -15.37961900519088}}, 
       {{-14.476376921832234, -16.370139486454466, -16.27439985006412}}, 
       {{-15.436147004796702, -17.29472246491865, -17.206498364894625}}, 
       {{-16.441858600873005, -18.256844718100403, -18.18047670799094}}, 
       {{-17.499876860108465, -19.2630954321894, -19.201503428779688}}}, 
      {{{7.049210732104191, 4.963488051324373, 4.932702096241345}}, 
       {{4.7876111651723825, 2.683621533405401, 2.6613610905489575}}, 
       {{3.0207212014305265, 0.9072754379705344, 0.8909027352738567}}, 
       {{1.5190905578173801, -0.5867080051028455, -0.6067491780675153}}, 
       {{0.18195634829790688, -1.8993376153619463, -1.933520985910776}}, 
       {{-1.0428754714737598, -3.088806317964307, -3.1373822740000605}}, 
       {{-2.1851355616362573, -4.177619078895327, -4.248324461464606}}, 
       {{-3.254373318169133, -5.198975916693743, -5.27654236545481}}, 
       {{-4.283303354015417, -6.141237601521282, -6.213879635820328}}, 
       {{-5.251807352366281, -7.046351425788298, -7.105392373228135}}, 
       {{-6.1449651846030395, -7.950996373920286, -8.008149108137557}}, 
       {{-6.999651133306094, -8.831196707992763, -8.886793370623387}}, 
       {{-7.832498507921843, -9.685291802164121, -9.72988569405414}}, 
       {{-8.649638854653434, -10.523101245258419, -10.546314204016246}}, 
       {{-9.459753679093517, -11.348808327887856, -11.347851092351986}}, 
       {{-10.27005896394461, -12.17068282251096, -12.146577921404672}}, 
       {{-11.087736101886259, -12.99595188389837, -12.950350905328605}}, 
       {{-11.920178782044681, -13.828088461636016, -13.76582900655}}, 
       {{-12.773582574431952, -14.673931160626193, -14.600399515050592}}, 
       {{-13.65467610104477, -15.538961466769265, -15.460431327152799}}, 
       {{-14.568977537466903, -16.429886705941332, -16.351105055540536}}, 
       {{-15.522682689608297, -17.351875934103088, -17.278309315557898}}, 
       {{-16.522035343511895, -18.31063390453234, -18.246571362199795}}, 
       {{-17.573767279731733, -19.312533294939534, -19.261795866744997}}}, 
      {{{7.050045432264705, 4.966307306670863, 4.935025547528584}}, 
       {{4.7929938069521665, 2.6875711123276735, 2.6688452693975453}}, 
       {{3.031014201613987, 0.9148582851131762, 0.9034738306411233}}, 
       {{1.5351229615829654, -0.5715262320859199, -0.5891033217912012}}, 
       {{0.20673602327700383, -1.8863516177536641, -1.9114105838735684}}, 
       {{-1.0119321880310779, -3.0777210134212076, -3.1152777166128143}}, 
       {{-2.1532890086609315, -4.172919548845797, -4.232435680983341}}, 
       {{-3.230244608593098, -5.199931189619755, -5.272849769695742}}, 
       {{-4.250996324073319, -6.170427838820129, -6.253374062914862}}, 
       {{-5.2429537463275855, -7.07572679905083, -7.15495498334128}}, 
       {{-6.185956143720727, -7.954629357946914, -8.018202970637994}}, 
       {{-7.0648254665271475, -8.836606329597375, -8.90139610461757}}, 
       {{-7.9112985433028795, -9.702931441280814, -9.765134104558056}}, 
       {{-8.740773481848029, -10.549997873390582, -10.600183963196713}}, 
       {{-9.559094311154647, -11.38647937976937, -11.413736296944496}}, 
       {{-10.374475852224608, -12.216969732953121, -12.220544287470279}}, 
       {{-11.194690638429424, -13.0470624493171, -13.029530831328481}}, 
       {{-12.026957331169339, -13.883293284715648, -13.847872236957887}}, 
       {{-12.878201985331986, -14.731948997442156, -14.682443901096445}}, 
       {{-13.755351391138172, -15.597812249592389, -15.54028319752018}}, 
       {{-14.664745288118326, -16.487917410920062, -16.42756707557119}}, 
       {{-15.612840069467936, -17.408532443579233, -17.35119456881423}}, 
       {{-16.606029077425163, -18.364721413892333, -18.313968849014696}}, 
       {{-17.65106335172263, -19.363460726697408, -19.323657259054265}}}, 
      {{{7.050964749609134, 4.968685113819931, 4.937372100013313}}, 
       {{4.7964609136294705, 2.6925045951151563, 2.6735862887308732}}, 
       {{3.0379332559495933, 0.9270204413100426, 0.9135602205025075}}, 
       {{1.5502310968221016, -0.5609902755061765, -0.5724893562550214}}, 
       {{0.22774836349553562, -1.8737720766900026, -1.8904748394447135}}, 
       {{-0.9841878365260507, -3.063901446292541, -3.0920358533909664}}, 
       {{-2.1194536247288713, -4.16545293447371, -4.209868070160828}}, 
       {{-3.1981195684590054, -5.195407996039399, -5.261274889587789}}, 
       {{-4.228176113224234, -6.16920705762147, -6.2496934709729235}}, 
       {{-5.212793555649056, -7.103456443943247, -7.194401016765034}}, 
       {{-6.176820866677274, -7.983627950345304, -8.068691661131329}}, 
       {{-7.101609936412378, -8.842574763608727, -8.913441891379875}}, 
       {{-7.971311751960997, -9.711249605115695, -9.780772524927485}}, 
       {{-8.814630763986267, -10.568770192173337, -10.635087815247982}}, 
       {{-9.645233113375696, -11.414104518876663, -11.463192894074837}}, 
       {{-10.469485984572394, -12.252729515294227, -12.282258123034202}}, 
       {{-11.295132720437065, -13.089918477036889, -13.099079752881696}}, 
       {{-12.129842411119316, -13.931605708832604, -13.922350714548495}}, 
       {{-12.981076233662872, -14.783918887512401, -14.759033824150652}}, 
       {{-13.856045594141388, -15.65241777254202, -15.616665481591605}}, 
       {{-14.761782716325063, -16.54321678135635, -16.50206862427009}}, 
       {{-15.704873518046005, -17.463271441329407, -17.42202723969184}}, 
       {{-16.692312313176352, -18.417731840422814, -18.380941064174095}}, 
       {{-17.731141939991762, -19.41340842830264, -19.385762716137414}}}, 
      {{{7.051732186278855, 4.970284895280506, 4.938800776801413}}, 
       {{4.79891011390587, 2.697364822726597, 2.678352635790453}}, 
       {{3.044949359374722, 0.9324106566345949, 0.9229037097267881}}, 
       {{1.5613287975572783, -0.5508788005112936, -0.5588955362685835}}, 
       {{0.24573963100827506, -1.8585722037885497, -1.8704858096802446}}, 
       {{-0.9599581225297505, -3.0509321395786246, -3.068522489614455}}, 
       {{-2.089049071450633, -4.152743489436055, -4.1850035875724005}}, 
       {{-3.164472082879461, -5.1845047429844335, -5.239652799185897}}, 
       {{-4.195088997595753, -6.1689023438808555, -6.239764824097648}}, 
       {{-5.190286158669432, -7.1031525250437015, -7.191501655471391}}, 
       {{-6.14811679613306, -8.009808972435952, -8.107695503757038}}, 
       {{-7.0919187326900515, -8.872251568528446, -8.96333228865373}}, 
       {{-8.004778828619914, -9.718104613797633, -9.795289885259661}}, 
       {{-8.870349368533693, -10.577934192613629, -10.65384892131473}}, 
       {{-9.715003028396746, -11.431918405850912, -11.497338740298908}}, 
       {{-10.551165168696398, -12.279056844279994, -12.32842277233498}}, 
       {{-11.385495549860465, -13.124019523727002, -13.155763058868494}}, 
       {{-12.225628891758658, -13.972497081618721, -13.9861705293121}}, 
       {{-13.079329101113768, -14.829640780849166, -14.828220562132048}}, 
       {{-13.95415452194085, -15.701569830124727, -15.68729298903813}}, 
       {{-14.85762998457995, -16.59479568509387, -16.572121380956276}}, 
       {{-15.797166436075374, -17.514656397526284, -17.490553458188497}}, 
       {{-16.77969376869217, -18.468497774274745, -18.446054061530546}}, 
       {{-17.812570648075223, -19.461827043995346, -19.44589134437832}}}, 
      {{{7.052623953355259, 4.970879719838449, 4.940301404535925}}, 
       {{4.80121153169404, 2.7009587006734748, 2.6820400013924437}}, 
       {{3.049751442286086, 0.9403389068633974, 0.9299865007702864}}, 
       {{1.5717073087940843, -0.5406335820842989, -0.5460454933955334}}, 
       {{0.2622197754436663, -1.8488099080525138, -1.8535569850875444}}, 
       {{-0.9396785369227094, -3.03179055302438, -3.046549076754409}}, 
       {{-2.062841611953844, -4.1368433547536965, -4.160326525909765}}, 
       {{-3.131158139684825, -5.174541568381885, -5.21356323832992}}, 
       {{-4.1611255595666545, -6.157826455661341, -6.221536411767967}}, 
       {{-5.157794471636492, -7.1019137592415476, -7.182485638940012}}, 
       {{-6.126431698666791, -8.009702269249717, -8.106251339406647}}, 
       {{-7.064749672539586, -8.897290717048989, -9.002000751575023}}, 
       {{-7.9952968647730875, -9.747085658993763, -9.845890856479846}}, 
       {{-8.900985669222365, -10.586480946263785, -10.6690893709878}}, 
       {{-9.766892782127158, -11.441921920529431, -11.516928524669359}}, 
       {{-10.616938579612926, -12.297222767161992, -12.361480593566649}}, 
       {{-11.462821345589107, -13.149304191422162, -13.19974005090801}}, 
       {{-12.311409585174744, -14.00452320276256, -14.039627207729774}}, 
       {{-13.170098176258074, -14.868034198666315, -14.88698703021672}}, 
       {{-14.047356908080044, -15.743743273199044, -15.750521349284734}}, 
       {{-14.95072297223208, -16.639611352913096, -16.637271253045512}}, 
       {{-15.887640443341246, -17.561631157010893, -17.554434925302587}}, 
       {{-16.866306649712694, -18.515025382438978, -18.50826195963439}}, 
       {{-17.894032921066394, -19.50757639073761, -19.50479998713204}}}, 
      {{{7.0532190212250025, 4.97260429282989, 4.9411764940089355}}, 
       {{4.803396526139732, 2.703074456511239, 2.6855295621114794}}, 
       {{3.0538356088696545, 0.9473599146586471, 0.9361852071419691}}, 
       {{1.5797873141788608, -0.5317735373411974, -0.5351554374956552}}, 
       {{0.2727085668653305, -1.8298594250820142, -1.83848414613077}}, 
       {{-0.920935246760121, -3.0156817014840183, -3.026994018650108}}, 
       {{-2.039962650767418, -4.114482352628059, -4.136700328276177}}, 
       {{-3.102982212428667, -5.1565641105701, -5.188661810309164}}, 
       {{-4.126321732257527, -6.147000899272918, -6.1951457523658355}}, 
       {{-5.122830887970951, -7.0922684208320295, -7.166654072437194}}, 
       {{-6.0938644439471705, -8.008117826202545, -8.098092767401239}}, 
       {{-7.043724610172285, -8.897270851399796, -9.001517516031702}}, 
       {{-7.969292932597622, -9.771112563494931, -9.88372392951391}}, 
       {{-8.891435185790337, -10.61457673644586, -10.717678634036451}}, 
       {{-9.795071804506463, -11.451555598937064, -11.534757770506175}}, 
       {{-10.665067739757475, -12.307885565238422, -12.381705511871033}}, 
       {{-11.524448557449197, -13.167312665611123, -13.231350481123616}}, 
       {{-12.384100194155138, -14.028889266157826, -14.080077647731063}}, 
       {{-13.250814615986583, -14.898456147297317, -14.93514926084102}}, 
       {{-14.13279540901968, -15.779587286287615, -15.804734569820544}}, 
       {{-15.038006626898177, -16.678460759099508, -16.694926286803934}}, 
       {{-15.974460091612936, -17.60319140116684, -17.612787771813498}}, 
       {{-16.950540741526783, -18.557894918795387, -18.56565707401917}}, 
       {{-17.974082978050003, -19.549560511651098, -19.5598117384993}}}, 
      {{{7.0534397956098545, 4.973425275931293, 4.942066916610095}}, 
       {{4.804670001709164, 2.7066368987903853, 2.687724332480124}}, 
       {{3.0581898884135392, 0.9516008915321571, 0.9422059278848228}}, 
       {{1.5866922844179285, -0.5214583873842138, -0.5263564489534145}}, 
       {{0.2857187177103512, -1.822214061712046, -1.8239592844720693}}, 
       {{-0.9051581870161338, -3.0016633158438117, -3.0088282291040036}}, 
       {{-2.0179822017989517, -4.099731843827375, -4.113728310151619}}, 
       {{-3.076960450724167, -5.137792587065723, -5.162710396240286}}, 
       {{-4.096575536253552, -6.127880985911182, -6.169283349584425}}, 
       {{-5.086699781685033, -7.081721975056215, -7.1408549401301675}}, 
       {{-6.058103089618873, -8.000616750489963, -8.083763651488757}}, 
       {{-7.011397945121991, -8.895532712288887, -8.994723472851518}}, 
       {{-7.9488135215199955, -9.770819218038177, -9.883285988063763}}, 
       {{-8.866518903825163, -10.637950927602429, -10.755333677330237}}, 
       {{-9.785521037953808, -11.479135426167952, -11.58184008667267}}, 
       {{-10.690946219507198, -12.318533868000577, -12.399604820753792}}, 
       {{-11.569270544249507, -13.178881208036923, -13.251854218457767}}, 
       {{-12.44166677852591, -14.046886852691298, -14.110135853676974}}, 
       {{-13.318931601894942, -14.922063218020234, -14.973990923485559}}, 
       {{-14.2081227186523, -15.808556013058778, -15.848972869003987}}, 
       {{-15.117369291156653, -16.71260018879406, -16.743116345953574}}, 
       {{-16.055482538498783, -17.63929046749149, -17.663983295390373}}, 
       {{-17.030556581958088, -18.595892532999198, -18.61739259469505}}, 
       {{-18.051179495734353, -19.587469604311334, -19.6103723469239}}}, 
      {{{7.053811234064016, 4.974268955498029, 4.942886655964599}}, 
       {{4.805871467137345, 2.7102065192890064, 2.689934049774155}}, 
       {{3.0614389641820323, 0.956135580771224, 0.9466991598028722}}, 
       {{1.5928937823273601, -0.5139675678293087, -0.517830619516883}}, 
       {{0.2952486395994099, -1.8103669574922643, -1.8118205947233048}}, 
       {{-0.8900169371327388, -2.990308958928053, -2.991088602400437}}, 
       {{-1.9990494139020747, -4.085762893875041, -4.093267098715533}}, 
       {{-3.052460349147669, -5.12036879423219, -5.1378010558580005}}, 
       {{-4.06764467408213, -6.110657783408989, -6.141861640897126}}, 
       {{-5.05417797852774, -7.06463842133301, -7.11408222707896}}, 
       {{-6.0208688005440685, -7.990239468733039, -8.059583495868745}}, 
       {{-6.975262585023914, -8.888029112932408, -8.981296183844302}}, 
       {{-7.916624955548562, -9.76997149625818, -9.877437995302177}}, 
       {{-8.846589458826617, -10.637333093003022, -10.755354822440124}}, 
       {{-9.761805200116981, -11.500823219984238, -11.618237846510551}}, 
       {{-10.681857465641958, -12.344612688928713, -12.445190856033658}}, 
       {{-11.593352735539689, -13.188863362641081, -13.2705766313356}}, 
       {{-12.483366435985, -14.058597044410481, -14.130509958882703}}, 
       {{-13.37265144883546, -14.9389148231007, -15.002132248927467}}, 
       {{-14.271327814900188, -15.830876371582963, -15.8838348562661}}, 
       {{-15.187137612018027, -16.73920851060575, -16.783053829672973}}, 
       {{-16.12879323086146, -17.669339902429478, -17.707555968307123}}, 
       {{-17.104853591809302, -18.627950418240054, -18.662655046527096}}, 
       {{-18.12382114873062, -19.621046665164737, -19.655458252861827}}}, 
      {{{7.0542513553353725, 4.974858315564387, 4.943307134406597}}, 
       {{4.807831556388288, 2.710069083816053, 2.691825427205415}}, 
       {{3.064553241091484, 0.96008902718815, 0.951093563587669}}, 
       {{1.598238108089027, -0.5074040733286274, -0.5105491605967383}}, 
       {{0.30364840545783917, -1.800418458467058, -1.800635488755709}}, 
       {{-0.8771499732999914, -2.977577488325429, -2.97596715075362}}, 
       {{-1.98229847341315, -4.067242875418619, -4.073288852625794}}, 
       {{-3.031338842734361, -5.102563772379746, -5.114646433430138}}, 
       {{-4.040796471683278, -6.092428110433735, -6.114540035991127}}, 
       {{-5.024180348220183, -7.044188071953625, -7.085871846204693}}, 
       {{-5.9871380508614696, -7.972094684033275, -8.032418280868859}}, 
       {{-6.936795109370706, -8.879098097102347, -8.9575262501232}}, 
       {{-7.880012889157977, -9.762855916730679, -9.865514888001234}}, 
       {{-8.81461087796033, -10.636361453700493, -10.75174399022737}}, 
       {{-9.742434160862928, -11.500188491167881, -11.617728018133898}}, 
       {{-10.658965191570495, -12.364772088033124, -12.4804820672813}}, 
       {{-11.584234744222732, -13.21438056716702, -13.313549974902084}}, 
       {{-12.505396317678935, -14.068890998002598, -14.148716985961022}}, 
       {{-13.411063362966498, -14.950591585833559, -15.02178407660672}}, 
       {{-14.320995510515925, -15.84709363534302, -15.910431900196482}}, 
       {{-15.245527296445278, -16.759562707198434, -16.815369927939695}}, 
       {{-16.192636300179526, -17.693629932040487, -17.74320933993507}}, 
       {{-17.17138031986653, -18.65475467646646, -18.70108606156044}}, 
       {{-18.190504733120942, -19.64974529940665, -19.694662472490506}}}, 
      {{{7.054590846198595, 4.975211631225767, 4.943924078924029}}, 
       {{4.808926273323809, 2.712447097239146, 2.693888771409727}}, 
       {{3.0670892570247648, 0.9635503874079016, 0.9546826939701908}}, 
       {{1.6033732389236492, -0.5025867185107808, -0.5042727378225472}}, 
       {{0.31171233144291544, -1.791591358813123, -1.790656791091045}}, 
       {{-0.8669234423256299, -2.9621095126435817, -2.962536933670613}}, 
       {{-1.9654836160864582, -4.055875801487892, -4.054422929524954}}, 
       {{-3.0110041174745694, -5.08508760801515, -5.091762562473317}}, 
       {{-4.017111503052075, -6.075084096104612, -6.0900425498928525}}, 
       {{-4.99464523429978, -7.026618039662377, -7.056507206769243}}, 
       {{-5.954979173732322, -7.953994861035692, -8.00289185364073}}, 
       {{-6.901369773434465, -8.860969434491224, -8.93179861798434}}, 
       {{-7.840768179421741, -9.754085396223118, -9.843167970022119}}, 
       {{-8.777970821782553, -10.629633457477528, -10.738571224937262}}, 
       {{-9.710610309476666, -11.499301029372614, -11.614687720077885}}, 
       {{-10.64013667875532, -12.365264935033474, -12.478896838562727}}, 
       {{-11.562444941562445, -13.23385712740904, -13.347646140045816}}, 
       {{-12.496751183601411, -14.092198711791688, -14.190172773927488}}, 
       {{-13.431447033124797, -14.960601203999715, -15.03919892551504}}, 
       {{-14.356179128367009, -15.858431679812321, -15.928578365143437}}, 
       {{-15.291124471102286, -16.77445351968203, -16.840130253498135}}, 
       {{-16.24569988961947, -17.71246272452795, -17.771694593394116}}, 
       {{-17.2289724599715, -18.67716112494249, -18.732080842035987}}, 
       {{-18.250068844466433, -19.673645969688767, -19.728013688821864}}}, 
      {{{7.054918776854581, 4.975799771919285, 4.944474006815582}}, 
       {{4.809981801125336, 2.7133223285889647, 2.6948687207587025}}, 
       {{3.0699970463510997, 0.9655694469996843, 0.9581254390731001}}, 
       {{1.6081279309573056, -0.4975384122899889, -0.4983451186623985}}, 
       {{0.31875253366404227, -1.7832170261403897, -1.7817566402749703}}, 
       {{-0.8564005163891293, -2.9507838360856624, -2.949709568676089}}, 
       {{-1.952820605262528, -4.038070624033798, -4.039121073118277}}, 
       {{-2.993231383645809, -5.068012222074815, -5.072086822984809}}, 
       {{-3.995910764164531, -6.050563167860493, -6.065919581361433}}, 
       {{-4.969285081918158, -7.004802427550413, -7.0301855140328575}}, 
       {{-5.924497142209174, -7.932695144713125, -7.973055501474939}}, 
       {{-6.868265085698749, -8.842050304435167, -8.901800827902175}}, 
       {{-7.804053731534345, -9.737916192876165, -9.816924823159}}, 
       {{-8.738030670200045, -10.620692263042255, -10.716280717018865}}, 
       {{-9.673336990157237, -11.494403126246448, -11.602978825987112}}, 
       {{-10.608720383878719, -12.364266522800305, -12.477161954792852}}, 
       {{-11.544187863212976, -13.233341157256376, -13.345650216141058}}, 
       {{-12.47585597679972, -14.111190329931272, -14.222141419343304}}, 
       {{-13.42298992343077, -14.982907354560343, -15.07785820323137}}, 
       {{-14.374899821187208, -15.86770600924663, -15.944978200010048}}, 
       {{-15.323038200485476, -16.78572490656298, -16.856362147444333}}, 
       {{-16.286832713061933, -17.7269815909276, -17.793099661381724}}, 
       {{-17.2767570038912, -18.693994574852855, -18.75748548068792}}, 
       {{-18.301246693516322, -19.693286208156326, -19.75492717499063}}}, 
      {{{7.055150925580503, 4.976331699085761, 4.944934085616058}}, 
       {{4.811004754232178, 2.7145164733053773, 2.696543781903032}}, 
       {{3.0718979436800513, 0.9692806932365401, 0.9605794170477565}}, 
       {{1.6117314611444742, -0.4916651132049735, -0.4936100602963196}}, 
       {{0.3255405544209548, -1.7771622967269949, -1.7737991010206}}, 
       {{-0.8467284722881915, -2.942420311823396, -2.938079446864054}}, 
       {{-1.939257646737204, -4.028094042351704, -4.023319944543975}}, 
       {{-2.9767173422580626, -5.052878565442353, -5.05334327557945}}, 
       {{-3.9749567797041268, -6.0330031908999535, -6.042615369148964}}, 
       {{-4.94592894448253, -6.981415916933406, -7.0043421339053005}}, 
       {{-5.896455125072776, -7.910880139055123, -7.944652516027798}}, 
       {{-6.835574994421705, -8.821589761239457, -8.870387861492842}}, 
       {{-7.769502138173851, -9.718012433724104, -9.786722463306429}}, 
       {{-8.700371401853332, -10.605994229658739, -10.690273439418995}}, 
       {{-9.632971240854527, -11.486277858369146, -11.581186204561538}}, 
       {{-10.571140790573905, -12.36043134893927, -12.468987612270384}}, 
       {{-11.51302661350717, -13.233026103608154, -13.344480572738659}}, 
       {{-12.458489336960811, -14.109995278195367, -14.220893607117512}}, 
       {{-13.403025374906246, -15.000778795929243, -15.107409753978787}}, 
       {{-14.366820123875456, -15.888195914611819, -15.981210080141656}}, 
       {{-15.340077298141894, -16.794432724885354, -16.871249776813478}}, 
       {{-16.315832693657953, -17.736845660042412, -17.808527068702848}}, 
       {{-17.313599941043975, -18.706823333541184, -18.776825916742013}}, 
       {{-18.343329667969268, -19.708486873464803, -19.776439979156706}}}, 
      {{{7.055375257264491, 4.9766633010045656, 4.945346794382884}}, 
       {{4.812000411636525, 2.715403052860094, 2.6976286333804955}}, 
       {{3.07419656722115, 0.9706246181507033, 0.9630137074422003}}, 
       {{1.6158056770114573, -0.48870724487103195, -0.48901471998611074}}, 
       {{0.3313881794911087, -1.7699095765353332, -1.7666687733251722}}, 
       {{-0.8383191358699267, -2.9332969073162647, -2.928090027129191}}, 
       {{-1.9275558895023583, -4.016481804319123, -4.009320690819863}}, 
       {{-2.961783833098021, -5.038108606110214, -5.035511638506701}}, 
       {{-3.9563495722051067, -6.016831516569271, -6.022091850332532}}, 
       {{-4.922447842413512, -6.964892331805284, -6.979004681001388}}, 
       {{-5.870785738897411, -7.887988736553511, -7.917157145753148}}, 
       {{-6.805631113486013, -8.801739765498528, -8.840477576783053}}, 
       {{-7.734898609314556, -9.698589317346462, -9.754281360858212}}, 
       {{-8.66455229370718, -10.586520475480883, -10.658381495760596}}, 
       {{-9.595035308383327, -11.471404461549017, -11.555173665779062}}, 
       {{-10.531228295541982, -12.351466977798317, -12.448026357145904}}, 
       {{-11.475909536629926, -13.228208839983644, -13.337846822021818}}, 
       {{-12.427765214469144, -14.110012961913128, -14.219848974059724}}, 
       {{-13.386488943480032, -14.998990985564667, -15.106800859389638}}, 
       {{-14.347794655551818, -15.905239869677944, -16.00929049823073}}, 
       {{-15.332066590770934, -16.813967605306104, -16.903702845245828}}, 
       {{-16.331084202865977, -17.74496536516083, -17.82143154078533}}, 
       {{-17.33937364199961, -18.71590940822404, -18.79013602966783}}, 
       {{-18.375737075519147, -19.7198169649419, -19.792622256635717}}}, 
      {{{7.056110471688662, 4.977727321037544, 4.945574748262109}}, 
       {{4.812160324594016, 2.7174914181852374, 2.698136120645721}}, 
       {{3.075976810552114, 0.9727385696838816, 0.9651715795354934}}, 
       {{1.6191725516225335, -0.48525302885645455, -0.48503971290805586}}, 
       {{0.33704724868999403, -1.7653464054081196, -1.7602644882212581}}, 
       {{-0.8301985772786933, -2.9257202722322595, -2.9184214872627696}}, 
       {{-1.9169488198444256, -4.0049406665949006, -3.9963668261023497}}, 
       {{-2.947587502121863, -5.025178594999978, -5.01849407254381}}, 
       {{-3.9389437463439663, -6.0006482645249255, -6.00192668922373}}, 
       {{-4.9021200046637325, -6.945232143911952, -6.9566731729053455}}, 
       {{-5.845672434527191, -7.870023178836084, -7.889219539005298}}, 
       {{-6.77869971333191, -8.774485447724098, -8.810999862593311}}, 
       {{-7.703794460254052, -9.677730346263306, -9.722912195486964}}, 
       {{-8.629569999390082, -10.564870262303865, -10.624609249492275}}, 
       {{-9.558666087486374, -11.449698963699706, -11.525326096340688}}, 
       {{-10.492964404366239, -12.33552434810168, -12.422728320211508}}, 
       {{-11.435765523935308, -13.22300751262978, -13.318184217124523}}, 
       {{-12.390723902533855, -14.107535019258004, -14.212435674355705}}, 
       {{-13.356451048957986, -14.99992320217974, -15.106424413138187}}, 
       {{-14.332233971733315, -15.903054247419151, -16.007887535006684}}, 
       {{-15.314452934257782, -16.828296546888318, -16.931335431147883}}, 
       {{-16.32355735504351, -17.76240953421342, -17.851926644050664}}, 
       {{-17.353047201069053, -18.722961851478647, -18.801730054516728}}, 
       {{-18.398415119418978, -19.72767696078295, -19.804493949205177}}}, 
      {{{7.056322677243434, 4.977985637663466, 4.945910700418797}}, 
       {{4.813114108800021, 2.717818050573889, 2.698980364972869}}, 
       {{3.0777096938605686, 0.9746267436241387, 0.9674118962099808}}, 
       {{1.622049678908872, -0.48123313121641603, -0.48148208921735003}}, 
       {{0.34182920747116446, -1.7599437657575137, -1.7542194163002442}}, 
       {{-0.8227928779344389, -2.9189919320119695, -2.9096079800294548}}, 
       {{-1.907380064846653, -3.994456399115203, -3.9845738046702617}}, 
       {{-2.9350230131194746, -5.011434202581369, -5.003592402567214}}, 
       {{-3.9226778298104543, -5.984426540526012, -5.982225500337125}}, 
       {{-4.881745397791075, -6.929502482764767, -6.93328544955245}}, 
       {{-5.823163434179472, -7.849481069751373, -7.863831791371138}}, 
       {{-6.751655780838944, -8.75499822366239, -8.781809890763203}}, 
       {{-7.67540011673105, -9.649428952884708, -9.691579645902724}}, 
       {{-8.597206333214794, -10.543031542578154, -10.592757652157392}}, 
       {{-9.52196662417916, -11.431896098041637, -11.49060137710492}}, 
       {{-10.45552403818915, -12.317101284933841, -12.392328506928449}}, 
       {{-11.397771343912895, -13.20734356626093, -13.293720166257362}}, 
       {{-12.351563919746688, -14.100612109352781, -14.196297801846036}}, 
       {{-13.320106252064415, -14.998568601154547, -15.100647829695056}}, 
       {{-14.303169701236675, -15.904168902291325, -16.00863591130908}}, 
       {{-15.29973928860553, -16.826976197277514, -16.92832369672901}}, 
       {{-16.306580743118054, -17.77638041261602, -17.87611271573889}}, 
       {{-17.34576352350251, -18.738727505648992, -18.829143480277423}}, 
       {{-18.410378148467053, -19.733980682919835, -19.81410775399771}}}, 
      {{{7.056530233186781, 4.97805930770659, 4.946218999273119}}, 
       {{4.814051095084067, 2.7178909018935578, 2.70018543667289}}, 
       {{3.07894170326858, 0.9763192132243736, 0.9688083720629367}}, 
       {{1.6248461847397284, -0.47853142417867106, -0.47843734695050916}}, 
       {{0.34647004679233195, -1.7567266883794452, -1.748691753451707}}, 
       {{-0.8162924837591664, -2.9118077654749435, -2.901599952938979}}, 
       {{-1.898131373557788, -3.9854942945448104, -3.9738421228652525}}, 
       {{-2.9232679400123605, -4.999364262225882, -4.9892569125653115}}, 
       {{-3.9074905132405093, -5.9709131707272975, -5.964038588063025}}, 
       {{-4.864056204177164, -6.910766424297973, -6.911791517849694}}, 
       {{-5.8014725062223755, -7.8293288293651795, -7.840058894882603}}, 
       {{-6.727255901773287, -8.73349879841426, -8.754158794288777}}, 
       {{-7.64689319794606, -9.62740642473479, -9.659796345897183}}, 
       {{-8.566354186901016, -10.51627927555024, -10.559411715455475}}, 
       {{-9.488658368912224, -11.407996480863838, -11.458308107757016}}, 
       {{-10.418476955203989, -12.297073493801639, -12.357407362378297}}, 
       {{-11.360202767568879, -13.187300429986493, -13.264556349098273}}, 
       {{-12.313878993235488, -14.08635086062491, -14.173006424426397}}, 
       {{-13.282251116636877, -14.991476073376962, -15.088160651701676}}, 
       {{-14.267907645976544, -15.903843877310667, -16.00504458730011}}, 
       {{-15.271924957976283, -16.82849368337114, -16.931295463958065}}, 
       {{-16.293377989154283, -17.774265161071924, -17.874656837079137}}, 
       {{-17.32985912626868, -18.751839399432033, -18.850945695696556}}, 
       {{-18.403444148672563, -19.747922298734544, -19.83817772269873}}}}, 
     {Automatic, Automatic}]
 
sigmaLOST8[x_] := If[x < 100 || x > 1200, 
     "Stop mass outside range of interpolation!", 
     SetPrecision[{E^fLOSTLog8[x][[1]], E^fLOSTLog8[x][[2]], 
       -E^fLOSTLog8[x][[3]]}, 3]]
 
fLOSTLog8 = InterpolatingFunction[{{100., 1200.}}, {4, 3, 0, {23}, {5}, 0, 0, 
      0, 0, Automatic}, {{100., 150., 200., 250., 300., 350., 400., 450., 
       500., 550., 600., 650., 700., 750., 800., 850., 900., 950., 1000., 
       1050., 1100., 1150., 1200.}}, 
     {{{6.022478600637151, 5.001258132283659, 4.623991940228679}}, 
      {{4.0668020592157, 3.1099534176440145, 2.7107133185216936}}, 
      {{2.5952547069568657, 1.6770965609079151, 1.2646915393606417}}, 
      {{1.3962446919730587, 0.5038010088290263, 0.08434114843375096}}, 
      {{0.371563556432483, -0.5008752929128224, -0.9263410677276568}}, 
      {{-0.5311984135739278, -1.3870946812906597, -1.8183088044615916}}, 
      {{-1.3451524177887153, -2.1874722858935414, -2.622790357151387}}, 
      {{-2.091514122914105, -2.9206248010671856, -3.3618805192852053}}, 
      {{-2.784013739909249, -3.604170726186982, -4.046125989951626}}, 
      {{-3.4345473613437094, -4.244702443810662, -4.689639342614542}}, 
      {{-4.05013630755778, -4.851070724424917, -5.298317366548036}}, 
      {{-4.637486787464635, -5.428881736569154, -5.880281018147367}}, 
      {{-5.20082774527078, -5.985084940143943, -6.437751649736401}}, 
      {{-5.744292017994411, -6.519775485214992, -6.976034119735432}}, 
      {{-6.270649489305817, -7.0390035655920915, -7.496542444217839}}, 
      {{-6.782886296936268, -7.542633551418106, -8.00347176453822}}, 
      {{-7.282739679836714, -8.035693397032075, -8.497880880383864}}, 
      {{-7.772165388979303, -8.516693316374587, -8.982408303930177}}, 
      {{-8.25252389327353, -8.989599705278284, -9.457520501118633}}, 
      {{-8.72606408344373, -9.453686630607912, -9.925733161483448}}, 
      {{-9.192500453847853, -9.91353788838963, -10.387346728072306}}, 
      {{-9.654130594406015, -10.367429590403267, -10.844070976979328}}, 
      {{-10.111496216266067, -10.817281404211696, -11.296202481458941}}}, 
     {Automatic}]
 
sigmaNLOST8[x_] := If[x < 100 || x > 1200, 
     "Stop mass outside range of interpolation!", 
     SetPrecision[{E^fNLOSTLog8[x][[1]], E^fNLOSTLog8[x][[2]], 
       -E^fNLOSTLog8[x][[3]]}, 3]]
 
fNLOSTLog8 = InterpolatingFunction[{{100., 1200.}}, 
     {4, 3, 0, {23}, {5}, 0, 0, 0, 0, Automatic}, 
     {{100., 150., 200., 250., 300., 350., 400., 450., 500., 550., 600., 
       650., 700., 750., 800., 850., 900., 950., 1000., 1050., 1100., 1150., 
       1200.}}, {{{6.3313238981181525, 4.4331949212482815, 
        4.338597076746545}}, {{4.392100720245356, 2.4248027257182945, 
        2.409644165287453}}, {{2.925309809257445, 0.9162907318741551, 
        0.9516578757114463}}, {{1.7252634779396907, -0.30652516025326115, 
        -0.24079848655293104}}, {{0.6966410698142012, -1.3509272172825997, 
        -1.2623083813388989}}, {{-0.21133850586444725, -2.2701179028565446, 
        -2.162823150618887}}, {{-1.030860186617291, -3.0966581921439524, 
        -2.9739707817724774}}, {{-1.783196238567567, -3.849048206266757, 
        -3.7214026458194964}}, {{-2.4819510219623675, -4.546901277864116, 
        -4.409603402444116}}, {{-3.137987321134862, -5.199377418693133, 
        -5.0561558093980645}}, {{-3.759301918410482, -5.815831978464824, 
        -5.669381047938868}}, {{-4.352079558305929, -6.394931652553473, 
        -6.255430092942446}}, {{-4.9201549409678815, -6.957996495418884, 
        -6.809721538710772}}, {{-5.468394196925554, -7.492945318036991, 
        -7.34781183185992}}, {{-5.999093574272473, -8.013392182587213, 
        -7.867475568783628}}, {{-6.515713191206113, -8.517193191416236, 
        -8.37309284744248}}, {{-7.019581094164394, -9.004953542251233, 
        -8.86746013905964}}, {{-7.512891582219369, -9.483462293096634, 
        -9.34960243930969}}, {{-7.997209629865481, -9.950579160069978, 
        -9.820986331024384}}, {{-8.473654889401754, -10.410985386209443, 
        -10.286213173674803}}, {{-8.944137331201526, -10.860600278930537, 
        -10.742817243274155}}, {{-9.408913269356187, -11.307538635245278, 
        -11.196655935666534}}, {{-9.869279381206391, -11.748647798491298, 
        -11.643034150317249}}}, {Automatic}]
 
sigmaNLLST8[x_] := If[x < 100 || x > 1200, 
     "Stop mass outside range of interpolation!", 
     SetPrecision[{E^fNLLSTLog8[x][[1]], E^fNLLSTLog8[x][[2]], 
       -E^fNLLSTLog8[x][[3]]}, 3]]
 
fNLLSTLog8 = InterpolatingFunction[{{100., 1200.}}, 
     {4, 3, 0, {23}, {5}, 0, 0, 0, 0, Automatic}, 
     {{100., 150., 200., 250., 300., 350., 400., 450., 500., 550., 600., 
       650., 700., 750., 800., 850., 900., 950., 1000., 1050., 1100., 1150., 
       1200.}}, {{{6.460639309344522, 4.757763170409706, 4.471063085234282}}, 
      {{4.526363577861385, 2.770631631012633, 2.5063034055408693}}, 
      {{3.0638495068695297, 1.269699644276887, 1.019029036751038}}, 
      {{1.8687415205494893, 0.048366286713134976, -0.20694663520420725}}, 
      {{0.8439512097375433, -0.9994330261572429, -1.248342335804449}}, 
      {{-0.060316832239239795, -1.9237388143033483, -2.166791394461638}}, 
      {{-0.8760934236132608, -2.756848065644792, -2.9954098585459996}}, 
      {{-1.624547161788382, -3.517225425321965, -3.7549329093221497}}, 
      {{-2.3193782758309895, -4.2254590914031995, -4.4595633689261405}}, 
      {{-2.971338001567379, -4.887961833755344, -5.119958030489404}}, 
      {{-3.5884106106765414, -5.512517822240474, -5.744634400046336}}, 
      {{-4.176732596877918, -6.105464401991327, -6.339368770402603}}, 
      {{-4.740272437754502, -6.677029630506904, -6.907588932398115}}, 
      {{-5.283709528466627, -7.223879807344856, -7.455309526468039}}, 
      {{-5.8094704523248675, -7.7528724058455065, -7.983927380471839}}, 
      {{-6.3208071970343225, -8.26502789421433, -8.49785518406416}}, 
      {{-6.819313992800008, -8.762894440094255, -8.995439280962364}}, 
      {{-7.306986358829839, -9.249631924086176, -9.48122711270254}}, 
      {{-7.785438709134707, -9.727099256102472, -9.957309057357996}}, 
      {{-8.255815242179056, -10.194897884778072, -10.424161330346632}}, 
      {{-8.7198813197613, -10.656617647935613, -10.884806444902887}}, 
      {{-9.176852213648038, -11.10533149438789, -11.348107957295532}}, 
      {{-9.630144789780484, -11.555004511737033, -11.797736679954896}}}, 
     {Automatic}]
 
sigmaLOSUSY8[x_, y_] := If[x < 200 || x > 2500 || y < 200 || y > 2500, 
     "Squark or gluino mass outside range of interpolation!", 
     {SetPrecision[E^fLOSBLog8[x, y][[1]] + E^fLOSSLog8[x, y][[1]] + 
        E^fLOSGLog8[x, y][[1]] + E^fLOGGLog8[x, y][[1]], 3], 
      SetPrecision[E^fLOSBLog8[x, y][[2]] + E^fLOSSLog8[x, y][[2]] + 
        E^fLOSGLog8[x, y][[2]] + E^fLOGGLog8[x, y][[2]], 3], 
      SetPrecision[-E^fLOSBLog8[x, y][[3]] - E^fLOSSLog8[x, y][[3]] - 
        E^fLOSGLog8[x, y][[3]] - E^fLOGGLog8[x, y][[3]], 3]}]
 
sigmaNLOSUSY8[x_, y_] := If[x < 200 || x > 2500 || y < 200 || y > 2500, 
     "Squark or gluino mass outside range of interpolation!", 
     {SetPrecision[E^fNLOSBLog8[x, y][[1]] + E^fNLOSSLog8[x, y][[1]] + 
        E^fNLOSGLog8[x, y][[1]] + E^fNLOGGLog8[x, y][[1]], 3], 
      SetPrecision[E^fNLOSBLog8[x, y][[2]] + E^fNLOSSLog8[x, y][[2]] + 
        E^fNLOSGLog8[x, y][[2]] + E^fNLOGGLog8[x, y][[2]], 3], 
      SetPrecision[-E^fNLOSBLog8[x, y][[3]] - E^fNLOSSLog8[x, y][[3]] - 
        E^fNLOSGLog8[x, y][[3]] - E^fNLOGGLog8[x, y][[3]], 3]}]
 
sigmaNLLSUSY8[x_, y_] := If[x < 200 || x > 2500 || y < 200 || y > 2500, 
     "Squark or gluino mass outside range of interpolation!", 
     {SetPrecision[E^fNLLSBLog8[x, y][[1]] + E^fNLLSSLog8[x, y][[1]] + 
        E^fNLLSGLog8[x, y][[1]] + E^fNLLGGLog8[x, y][[1]], 3], 
      SetPrecision[E^fNLLSBLog8[x, y][[2]] + E^fNLLSSLog8[x, y][[2]] + 
        E^fNLLSGLog8[x, y][[2]] + E^fNLLGGLog8[x, y][[2]], 3], 
      SetPrecision[-E^fNLLSBLog8[x, y][[3]] - E^fNLLSSLog8[x, y][[3]] - 
        E^fNLLSGLog8[x, y][[3]] - E^fNLLGGLog8[x, y][[3]], 3]}]
